#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9798
#define LARGE_STATE_COUNT 2603
#define SYMBOL_COUNT 525
#define ALIAS_COUNT 5
#define TOKEN_COUNT 214
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_class = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_COLON = 96,
  anon_sym_if = 97,
  anon_sym_else = 98,
  anon_sym_switch = 99,
  anon_sym_case = 100,
  anon_sym_default = 101,
  anon_sym_while = 102,
  anon_sym_do = 103,
  anon_sym_for = 104,
  anon_sym_return = 105,
  anon_sym_break = 106,
  anon_sym_continue = 107,
  anon_sym_goto = 108,
  anon_sym___try = 109,
  anon_sym___except = 110,
  anon_sym___finally = 111,
  anon_sym___leave = 112,
  anon_sym_QMARK = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_and_eq = 124,
  anon_sym_or_eq = 125,
  anon_sym_xor_eq = 126,
  anon_sym_not = 127,
  anon_sym_compl = 128,
  anon_sym_LT_EQ_GT = 129,
  anon_sym_or = 130,
  anon_sym_and = 131,
  anon_sym_bitor = 132,
  anon_sym_xor = 133,
  anon_sym_bitand = 134,
  anon_sym_not_eq = 135,
  anon_sym_DASH_DASH = 136,
  anon_sym_PLUS_PLUS = 137,
  anon_sym_sizeof = 138,
  anon_sym___alignof__ = 139,
  anon_sym___alignof = 140,
  anon_sym__alignof = 141,
  anon_sym_alignof = 142,
  anon_sym__Alignof = 143,
  anon_sym_offsetof = 144,
  anon_sym__Generic = 145,
  anon_sym_asm = 146,
  anon_sym___asm__ = 147,
  anon_sym_DOT = 148,
  anon_sym_DOT_STAR = 149,
  anon_sym_DASH_GT = 150,
  sym_number_literal = 151,
  anon_sym_L_SQUOTE = 152,
  anon_sym_u_SQUOTE = 153,
  anon_sym_U_SQUOTE = 154,
  anon_sym_u8_SQUOTE = 155,
  anon_sym_SQUOTE = 156,
  aux_sym_char_literal_token1 = 157,
  anon_sym_L_DQUOTE = 158,
  anon_sym_u_DQUOTE = 159,
  anon_sym_U_DQUOTE = 160,
  anon_sym_u8_DQUOTE = 161,
  anon_sym_DQUOTE = 162,
  aux_sym_string_literal_token1 = 163,
  sym_escape_sequence = 164,
  sym_system_lib_string = 165,
  sym_true = 166,
  sym_false = 167,
  anon_sym_NULL = 168,
  anon_sym_nullptr = 169,
  sym_comment = 170,
  sym_auto = 171,
  anon_sym_decltype = 172,
  anon_sym_final = 173,
  anon_sym_override = 174,
  anon_sym_virtual = 175,
  anon_sym_alignas = 176,
  anon_sym_explicit = 177,
  anon_sym_typename = 178,
  anon_sym_template = 179,
  anon_sym_GT2 = 180,
  anon_sym_operator = 181,
  anon_sym_try = 182,
  anon_sym_delete = 183,
  anon_sym_0 = 184,
  anon_sym_friend = 185,
  anon_sym_public = 186,
  anon_sym_private = 187,
  anon_sym_protected = 188,
  anon_sym_noexcept = 189,
  anon_sym_throw = 190,
  anon_sym_namespace = 191,
  anon_sym_using = 192,
  anon_sym_static_assert = 193,
  anon_sym_concept = 194,
  anon_sym_co_return = 195,
  anon_sym_co_yield = 196,
  anon_sym_catch = 197,
  anon_sym_R_DQUOTE = 198,
  anon_sym_LR_DQUOTE = 199,
  anon_sym_uR_DQUOTE = 200,
  anon_sym_UR_DQUOTE = 201,
  anon_sym_u8R_DQUOTE = 202,
  anon_sym_co_await = 203,
  anon_sym_new = 204,
  anon_sym_requires = 205,
  anon_sym_DASH_GT_STAR = 206,
  anon_sym_LPAREN_RPAREN = 207,
  anon_sym_LBRACK_RBRACK = 208,
  anon_sym_DQUOTE_DQUOTE = 209,
  sym_this = 210,
  sym_literal_suffix = 211,
  sym_raw_string_delimiter = 212,
  sym_raw_string_content = 213,
  sym_translation_unit = 214,
  sym_preproc_include = 215,
  sym_preproc_def = 216,
  sym_preproc_function_def = 217,
  sym_preproc_params = 218,
  sym_preproc_call = 219,
  sym_preproc_if = 220,
  sym_preproc_ifdef = 221,
  sym_preproc_else = 222,
  sym_preproc_elif = 223,
  sym_preproc_elifdef = 224,
  sym_preproc_if_in_field_declaration_list = 225,
  sym_preproc_ifdef_in_field_declaration_list = 226,
  sym_preproc_else_in_field_declaration_list = 227,
  sym_preproc_elif_in_field_declaration_list = 228,
  sym_preproc_elifdef_in_field_declaration_list = 229,
  sym_preproc_if_in_enumerator_list = 230,
  sym_preproc_ifdef_in_enumerator_list = 231,
  sym_preproc_else_in_enumerator_list = 232,
  sym_preproc_elif_in_enumerator_list = 233,
  sym_preproc_elifdef_in_enumerator_list = 234,
  sym_preproc_if_in_enumerator_list_no_comma = 235,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 236,
  sym_preproc_else_in_enumerator_list_no_comma = 237,
  sym_preproc_elif_in_enumerator_list_no_comma = 238,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 239,
  sym__preproc_expression = 240,
  sym_preproc_parenthesized_expression = 241,
  sym_preproc_defined = 242,
  sym_preproc_unary_expression = 243,
  sym_preproc_call_expression = 244,
  sym_preproc_argument_list = 245,
  sym_preproc_binary_expression = 246,
  sym_function_definition = 247,
  sym_declaration = 248,
  sym_type_definition = 249,
  sym__type_definition_type = 250,
  sym__type_definition_declarators = 251,
  sym__declaration_modifiers = 252,
  sym__declaration_specifiers = 253,
  sym_linkage_specification = 254,
  sym_attribute_specifier = 255,
  sym_attribute = 256,
  sym_attribute_declaration = 257,
  sym_ms_declspec_modifier = 258,
  sym_ms_based_modifier = 259,
  sym_ms_call_modifier = 260,
  sym_ms_unaligned_ptr_modifier = 261,
  sym_ms_pointer_modifier = 262,
  sym_declaration_list = 263,
  sym__declarator = 264,
  sym__field_declarator = 265,
  sym__type_declarator = 266,
  sym__abstract_declarator = 267,
  sym_parenthesized_declarator = 268,
  sym_parenthesized_field_declarator = 269,
  sym_parenthesized_type_declarator = 270,
  sym_abstract_parenthesized_declarator = 271,
  sym_attributed_declarator = 272,
  sym_attributed_field_declarator = 273,
  sym_attributed_type_declarator = 274,
  sym_pointer_declarator = 275,
  sym_pointer_field_declarator = 276,
  sym_pointer_type_declarator = 277,
  sym_abstract_pointer_declarator = 278,
  sym_function_declarator = 279,
  sym_function_field_declarator = 280,
  sym_function_type_declarator = 281,
  sym_abstract_function_declarator = 282,
  sym_array_declarator = 283,
  sym_array_field_declarator = 284,
  sym_array_type_declarator = 285,
  sym_abstract_array_declarator = 286,
  sym_init_declarator = 287,
  sym_compound_statement = 288,
  sym_storage_class_specifier = 289,
  sym_type_qualifier = 290,
  sym__type_specifier = 291,
  sym_sized_type_specifier = 292,
  sym_enum_specifier = 293,
  sym_enumerator_list = 294,
  sym_struct_specifier = 295,
  sym_union_specifier = 296,
  sym_field_declaration_list = 297,
  sym__field_declaration_list_item = 298,
  sym_field_declaration = 299,
  sym_bitfield_clause = 300,
  sym_enumerator = 301,
  sym_parameter_list = 302,
  sym_parameter_declaration = 303,
  sym_attributed_statement = 304,
  sym_labeled_statement = 305,
  sym__top_level_expression_statement = 306,
  sym_expression_statement = 307,
  sym_if_statement = 308,
  sym_else_clause = 309,
  sym_switch_statement = 310,
  sym_case_statement = 311,
  sym_while_statement = 312,
  sym_do_statement = 313,
  sym_for_statement = 314,
  sym__for_statement_body = 315,
  sym_return_statement = 316,
  sym_break_statement = 317,
  sym_continue_statement = 318,
  sym_goto_statement = 319,
  sym_seh_try_statement = 320,
  sym_seh_except_clause = 321,
  sym_seh_finally_clause = 322,
  sym_seh_leave_statement = 323,
  sym__expression = 324,
  sym__expression_not_binary = 325,
  sym__string = 326,
  sym_comma_expression = 327,
  sym_conditional_expression = 328,
  sym_assignment_expression = 329,
  sym_pointer_expression = 330,
  sym_unary_expression = 331,
  sym_binary_expression = 332,
  sym_update_expression = 333,
  sym_cast_expression = 334,
  sym_type_descriptor = 335,
  sym_sizeof_expression = 336,
  sym_alignof_expression = 337,
  sym_offsetof_expression = 338,
  sym_generic_expression = 339,
  sym_subscript_expression = 340,
  sym_call_expression = 341,
  sym_gnu_asm_expression = 342,
  sym_gnu_asm_qualifier = 343,
  sym_gnu_asm_output_operand_list = 344,
  sym_gnu_asm_output_operand = 345,
  sym_gnu_asm_input_operand_list = 346,
  sym_gnu_asm_input_operand = 347,
  sym_gnu_asm_clobber_list = 348,
  sym_gnu_asm_goto_list = 349,
  sym_argument_list = 350,
  sym_field_expression = 351,
  sym_compound_literal_expression = 352,
  sym_parenthesized_expression = 353,
  sym_initializer_list = 354,
  sym_initializer_pair = 355,
  sym_subscript_designator = 356,
  sym_subscript_range_designator = 357,
  sym_field_designator = 358,
  sym_char_literal = 359,
  sym_concatenated_string = 360,
  sym_string_literal = 361,
  sym_null = 362,
  sym__empty_declaration = 363,
  sym_placeholder_type_specifier = 364,
  sym_decltype_auto = 365,
  sym_decltype = 366,
  sym__class_declaration = 367,
  sym__class_declaration_item = 368,
  sym_class_specifier = 369,
  sym__class_name = 370,
  sym_virtual_specifier = 371,
  sym_virtual = 372,
  sym_alignas_specifier = 373,
  sym_explicit_function_specifier = 374,
  sym_base_class_clause = 375,
  sym__enum_base_clause = 376,
  sym_dependent_type = 377,
  sym_template_declaration = 378,
  sym_template_instantiation = 379,
  sym_template_parameter_list = 380,
  sym_type_parameter_declaration = 381,
  sym_variadic_type_parameter_declaration = 382,
  sym_optional_type_parameter_declaration = 383,
  sym_template_template_parameter_declaration = 384,
  sym_optional_parameter_declaration = 385,
  sym_variadic_parameter_declaration = 386,
  sym_variadic_declarator = 387,
  sym_variadic_reference_declarator = 388,
  sym_operator_cast = 389,
  sym_field_initializer_list = 390,
  sym_field_initializer = 391,
  sym_inline_method_definition = 392,
  sym__constructor_specifiers = 393,
  sym_operator_cast_definition = 394,
  sym_operator_cast_declaration = 395,
  sym_constructor_try_statement = 396,
  sym_constructor_or_destructor_definition = 397,
  sym_constructor_or_destructor_declaration = 398,
  sym_default_method_clause = 399,
  sym_delete_method_clause = 400,
  sym_pure_virtual_clause = 401,
  sym_friend_declaration = 402,
  sym_access_specifier = 403,
  sym_reference_declarator = 404,
  sym_reference_field_declarator = 405,
  sym_reference_type_declarator = 406,
  sym_abstract_reference_declarator = 407,
  sym_structured_binding_declarator = 408,
  sym_ref_qualifier = 409,
  sym__function_declarator_seq = 410,
  sym__function_attributes_start = 411,
  sym__function_exception_specification = 412,
  sym__function_attributes_end = 413,
  sym__function_postfix = 414,
  sym_trailing_return_type = 415,
  sym_noexcept = 416,
  sym_throw_specifier = 417,
  sym_template_type = 418,
  sym_template_method = 419,
  sym_template_function = 420,
  sym_template_argument_list = 421,
  sym_namespace_definition = 422,
  sym_namespace_alias_definition = 423,
  sym__namespace_specifier = 424,
  sym_nested_namespace_specifier = 425,
  sym_using_declaration = 426,
  sym_alias_declaration = 427,
  sym_static_assert_declaration = 428,
  sym_concept_definition = 429,
  sym_for_range_loop = 430,
  sym__for_range_loop_body = 431,
  sym_init_statement = 432,
  sym_condition_clause = 433,
  sym_condition_declaration = 434,
  sym_co_return_statement = 435,
  sym_co_yield_statement = 436,
  sym_throw_statement = 437,
  sym_try_statement = 438,
  sym_catch_clause = 439,
  sym_raw_string_literal = 440,
  sym_subscript_argument_list = 441,
  sym_co_await_expression = 442,
  sym_new_expression = 443,
  sym_new_declarator = 444,
  sym_delete_expression = 445,
  sym_type_requirement = 446,
  sym_compound_requirement = 447,
  sym__requirement = 448,
  sym_requirement_seq = 449,
  sym_constraint_conjunction = 450,
  sym_constraint_disjunction = 451,
  sym__requirement_clause_constraint = 452,
  sym_requires_clause = 453,
  sym_requires_parameter_list = 454,
  sym_requires_expression = 455,
  sym_lambda_expression = 456,
  sym_lambda_capture_specifier = 457,
  sym_lambda_default_capture = 458,
  sym__fold_operator = 459,
  sym__binary_fold_operator = 460,
  sym__unary_left_fold = 461,
  sym__unary_right_fold = 462,
  sym__binary_fold = 463,
  sym_fold_expression = 464,
  sym_parameter_pack_expansion = 465,
  sym_type_parameter_pack_expansion = 466,
  sym_destructor_name = 467,
  sym_dependent_identifier = 468,
  sym_dependent_field_identifier = 469,
  sym_dependent_type_identifier = 470,
  sym__scope_resolution = 471,
  sym_qualified_field_identifier = 472,
  sym_qualified_identifier = 473,
  sym_qualified_type_identifier = 474,
  sym_qualified_operator_cast_identifier = 475,
  sym__assignment_expression_lhs = 476,
  sym_operator_name = 477,
  sym_user_defined_literal = 478,
  aux_sym_translation_unit_repeat1 = 479,
  aux_sym_preproc_params_repeat1 = 480,
  aux_sym_preproc_if_repeat1 = 481,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 482,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 483,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 484,
  aux_sym_preproc_argument_list_repeat1 = 485,
  aux_sym_declaration_repeat1 = 486,
  aux_sym_type_definition_repeat1 = 487,
  aux_sym__type_definition_type_repeat1 = 488,
  aux_sym__type_definition_declarators_repeat1 = 489,
  aux_sym__declaration_specifiers_repeat1 = 490,
  aux_sym_attribute_declaration_repeat1 = 491,
  aux_sym_attributed_declarator_repeat1 = 492,
  aux_sym_pointer_declarator_repeat1 = 493,
  aux_sym_sized_type_specifier_repeat1 = 494,
  aux_sym_enumerator_list_repeat1 = 495,
  aux_sym_field_declaration_repeat1 = 496,
  aux_sym_parameter_list_repeat1 = 497,
  aux_sym_case_statement_repeat1 = 498,
  aux_sym_generic_expression_repeat1 = 499,
  aux_sym_gnu_asm_expression_repeat1 = 500,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 501,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 502,
  aux_sym_gnu_asm_clobber_list_repeat1 = 503,
  aux_sym_gnu_asm_goto_list_repeat1 = 504,
  aux_sym_argument_list_repeat1 = 505,
  aux_sym_initializer_list_repeat1 = 506,
  aux_sym_initializer_pair_repeat1 = 507,
  aux_sym_char_literal_repeat1 = 508,
  aux_sym_concatenated_string_repeat1 = 509,
  aux_sym_string_literal_repeat1 = 510,
  aux_sym__class_declaration_repeat1 = 511,
  aux_sym_base_class_clause_repeat1 = 512,
  aux_sym_template_parameter_list_repeat1 = 513,
  aux_sym_field_initializer_list_repeat1 = 514,
  aux_sym_operator_cast_definition_repeat1 = 515,
  aux_sym_constructor_try_statement_repeat1 = 516,
  aux_sym_structured_binding_declarator_repeat1 = 517,
  aux_sym__function_postfix_repeat1 = 518,
  aux_sym_throw_specifier_repeat1 = 519,
  aux_sym_template_argument_list_repeat1 = 520,
  aux_sym_subscript_argument_list_repeat1 = 521,
  aux_sym_requirement_seq_repeat1 = 522,
  aux_sym_requires_parameter_list_repeat1 = 523,
  aux_sym_lambda_capture_specifier_repeat1 = 524,
  alias_sym_field_identifier = 525,
  alias_sym_namespace_identifier = 526,
  alias_sym_simple_requirement = 527,
  alias_sym_statement_identifier = 528,
  alias_sym_type_identifier = 529,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_0] = "0",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_pure_virtual_clause] = "pure_virtual_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_reference_type_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_0] = anon_sym_0,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_pure_virtual_clause] = sym_pure_virtual_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_reference_type_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_pure_virtual_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 3},
  [71] = {.index = 91, .length = 3},
  [72] = {.index = 94, .length = 3},
  [73] = {.index = 97, .length = 3},
  [74] = {.index = 100, .length = 3},
  [75] = {.index = 103, .length = 2},
  [76] = {.index = 105, .length = 2},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 1},
  [79] = {.index = 110, .length = 2},
  [80] = {.index = 112, .length = 2},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 3},
  [83] = {.index = 119, .length = 2},
  [84] = {.index = 121, .length = 1},
  [85] = {.index = 122, .length = 2},
  [86] = {.index = 124, .length = 2},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 1},
  [94] = {.index = 136, .length = 2},
  [96] = {.index = 139, .length = 2},
  [97] = {.index = 141, .length = 1},
  [98] = {.index = 141, .length = 1},
  [99] = {.index = 142, .length = 3},
  [101] = {.index = 145, .length = 2},
  [102] = {.index = 147, .length = 2},
  [103] = {.index = 149, .length = 2},
  [104] = {.index = 151, .length = 3},
  [105] = {.index = 154, .length = 1},
  [106] = {.index = 155, .length = 1},
  [108] = {.index = 156, .length = 3},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 3},
  [115] = {.index = 176, .length = 2},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 181, .length = 2},
  [118] = {.index = 19, .length = 2},
  [119] = {.index = 39, .length = 2},
  [120] = {.index = 183, .length = 2},
  [121] = {.index = 185, .length = 2},
  [122] = {.index = 187, .length = 1},
  [123] = {.index = 188, .length = 4},
  [124] = {.index = 192, .length = 4},
  [125] = {.index = 196, .length = 2},
  [126] = {.index = 198, .length = 3},
  [127] = {.index = 201, .length = 2},
  [128] = {.index = 203, .length = 2},
  [129] = {.index = 205, .length = 1},
  [130] = {.index = 206, .length = 2},
  [131] = {.index = 208, .length = 2},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 3},
  [135] = {.index = 219, .length = 2},
  [136] = {.index = 219, .length = 2},
  [137] = {.index = 221, .length = 2},
  [138] = {.index = 221, .length = 2},
  [139] = {.index = 223, .length = 2},
  [140] = {.index = 225, .length = 3},
  [141] = {.index = 228, .length = 2},
  [142] = {.index = 230, .length = 2},
  [143] = {.index = 232, .length = 3},
  [144] = {.index = 235, .length = 2},
  [145] = {.index = 237, .length = 3},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 1},
  [148] = {.index = 243, .length = 2},
  [149] = {.index = 245, .length = 2},
  [150] = {.index = 247, .length = 4},
  [151] = {.index = 251, .length = 5},
  [152] = {.index = 256, .length = 1},
  [153] = {.index = 257, .length = 1},
  [154] = {.index = 258, .length = 2},
  [155] = {.index = 260, .length = 1},
  [157] = {.index = 261, .length = 1},
  [158] = {.index = 262, .length = 2},
  [159] = {.index = 264, .length = 2},
  [160] = {.index = 11, .length = 1},
  [161] = {.index = 11, .length = 1},
  [162] = {.index = 266, .length = 2},
  [163] = {.index = 268, .length = 1},
  [164] = {.index = 269, .length = 1},
  [165] = {.index = 270, .length = 4},
  [166] = {.index = 274, .length = 2},
  [167] = {.index = 276, .length = 4},
  [168] = {.index = 280, .length = 1},
  [169] = {.index = 281, .length = 3},
  [170] = {.index = 284, .length = 2},
  [171] = {.index = 286, .length = 3},
  [172] = {.index = 289, .length = 1},
  [173] = {.index = 290, .length = 5},
  [174] = {.index = 295, .length = 2},
  [175] = {.index = 297, .length = 2},
  [176] = {.index = 299, .length = 4},
  [177] = {.index = 303, .length = 2},
  [178] = {.index = 305, .length = 3},
  [179] = {.index = 308, .length = 4},
  [180] = {.index = 312, .length = 4},
  [181] = {.index = 316, .length = 3},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 3},
  [184] = {.index = 324, .length = 3},
  [185] = {.index = 327, .length = 2},
  [186] = {.index = 329, .length = 2},
  [187] = {.index = 331, .length = 2},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 3},
  [190] = {.index = 338, .length = 2},
  [191] = {.index = 340, .length = 2},
  [192] = {.index = 342, .length = 3},
  [193] = {.index = 345, .length = 2},
  [194] = {.index = 347, .length = 2},
  [195] = {.index = 349, .length = 2},
  [196] = {.index = 351, .length = 4},
  [197] = {.index = 355, .length = 5},
  [198] = {.index = 360, .length = 3},
  [199] = {.index = 363, .length = 4},
  [200] = {.index = 367, .length = 2},
  [201] = {.index = 369, .length = 1},
  [202] = {.index = 370, .length = 4},
  [203] = {.index = 374, .length = 3},
  [204] = {.index = 377, .length = 2},
  [205] = {.index = 379, .length = 1},
  [206] = {.index = 380, .length = 5},
  [207] = {.index = 385, .length = 2},
  [208] = {.index = 387, .length = 2},
  [209] = {.index = 65, .length = 1},
  [210] = {.index = 389, .length = 5},
  [211] = {.index = 394, .length = 4},
  [212] = {.index = 398, .length = 2},
  [213] = {.index = 400, .length = 2},
  [214] = {.index = 402, .length = 5},
  [215] = {.index = 407, .length = 2},
  [216] = {.index = 409, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_parameters, 0},
  [25] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [27] =
    {field_body, 1},
    {field_declarator, 0},
  [29] =
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_value, 1},
  [89] =
    {field_body, 2},
    {field_declarator, 0},
  [91] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [94] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [97] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [100] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [103] =
    {field_body, 2},
    {field_declarator, 1},
  [105] =
    {field_name, 1},
    {field_value, 2},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
  [109] =
    {field_condition, 1},
  [110] =
    {field_alternative, 2},
    {field_name, 1},
  [112] =
    {field_declarator, 2},
    {field_type, 0},
  [114] =
    {field_left, 0},
    {field_right, 2},
  [116] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [119] =
    {field_type, 1},
    {field_value, 3},
  [121] =
    {field_declarator, 3},
  [122] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [124] =
    {field_declarator, 0},
    {field_parameters, 1},
  [126] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [128] =
    {field_arguments, 3},
    {field_type, 2},
  [130] =
    {field_declarator, 3},
    {field_type, 2},
  [132] =
    {field_placement, 2},
    {field_type, 3},
  [134] =
    {field_name, 2},
    {field_prefix, 0},
  [136] =
    {field_body, 3},
    {field_name, 2},
  [138] =
    {field_body, 3},
  [139] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [141] =
    {field_base, 1},
  [142] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [145] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [147] =
    {field_body, 2},
    {field_name, 0},
  [149] =
    {field_condition, 2},
    {field_consequence, 3},
  [151] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [154] =
    {field_initializer, 0},
  [155] =
    {field_assembly_code, 2},
  [156] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [159] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [162] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [173] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [176] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [178] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [181] =
    {field_declarator, 0},
    {field_size, 2},
  [183] =
    {field_alternative, 3},
    {field_condition, 0},
  [185] =
    {field_declarator, 0},
    {field_default_value, 2},
  [187] =
    {field_size, 1},
  [188] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [192] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [196] =
    {field_body, 3},
    {field_declarator, 1},
  [198] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [201] =
    {field_alternative, 3},
    {field_condition, 1},
  [203] =
    {field_alternative, 3},
    {field_name, 1},
  [205] =
    {field_operator, 0},
  [206] =
    {field_declarator, 3},
    {field_type, 1},
  [208] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [210] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [213] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [219] =
    {field_body, 4},
    {field_name, 3},
  [221] =
    {field_designator, 0},
    {field_value, 2},
  [223] =
    {field_name, 0},
    {field_value, 2},
  [225] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [228] =
    {field_body, 3},
    {field_name, 0},
  [230] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [232] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [235] =
    {field_initializer, 1},
    {field_value, 2},
  [237] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [240] =
    {field_body, 1},
    {field_condition, 3},
  [242] =
    {field_update, 2},
  [243] =
    {field_initializer, 0},
    {field_update, 2},
  [245] =
    {field_condition, 1},
    {field_initializer, 0},
  [247] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [251] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [256] =
    {field_value, 3},
  [257] =
    {field_operand, 1},
  [258] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [260] =
    {field_assembly_code, 3},
  [261] =
    {field_default_type, 2},
  [262] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [264] =
    {field_body, 2},
    {field_parameters, 1},
  [266] =
    {field_name, 1},
    {field_type, 3},
  [268] =
    {field_condition, 2},
  [269] =
    {field_length, 1},
  [270] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [274] =
    {field_declarator, 1},
    {field_declarator, 2},
  [276] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [280] =
    {field_declarator, 4},
  [281] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [284] =
    {field_declarator, 0},
    {field_size, 3},
  [286] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [289] =
    {field_size, 2},
  [290] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [295] =
    {field_declarator, 1},
    {field_default_value, 3},
  [297] =
    {field_alternative, 4},
    {field_condition, 1},
  [299] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [303] =
    {field_body, 2},
    {field_filter, 1},
  [305] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [308] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [312] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [316] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [319] =
    {field_condition, 1},
    {field_update, 3},
  [321] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [324] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [327] =
    {field_initializer, 0},
    {field_update, 3},
  [329] =
    {field_condition, 2},
    {field_initializer, 0},
  [331] =
    {field_member, 4},
    {field_type, 2},
  [333] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [335] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [338] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [340] =
    {field_default_type, 3},
    {field_name, 1},
  [342] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [345] =
    {field_name, 1},
    {field_type, 4},
  [347] =
    {field_end, 3},
    {field_start, 1},
  [349] =
    {field_declarator, 1},
    {field_default_value, 2},
  [351] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [355] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [360] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [363] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [367] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [369] =
    {field_register, 1},
  [370] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [374] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [377] =
    {field_condition, 2},
    {field_message, 4},
  [379] =
    {field_delimiter, 1},
  [380] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [385] =
    {field_constraint, 0},
    {field_value, 2},
  [387] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [389] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [394] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [398] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [400] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [402] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [407] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [409] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [70] = {
    [2] = alias_sym_field_identifier,
  },
  [92] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [118] = {
    [0] = alias_sym_field_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [135] = {
    [3] = alias_sym_namespace_identifier,
  },
  [137] = {
    [0] = alias_sym_field_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [161] = {
    [1] = alias_sym_namespace_identifier,
  },
  [162] = {
    [1] = alias_sym_type_identifier,
  },
  [187] = {
    [4] = alias_sym_field_identifier,
  },
  [191] = {
    [1] = alias_sym_type_identifier,
  },
  [193] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 16,
  [18] = 16,
  [19] = 19,
  [20] = 19,
  [21] = 19,
  [22] = 19,
  [23] = 19,
  [24] = 16,
  [25] = 16,
  [26] = 26,
  [27] = 27,
  [28] = 26,
  [29] = 29,
  [30] = 30,
  [31] = 29,
  [32] = 32,
  [33] = 29,
  [34] = 26,
  [35] = 26,
  [36] = 29,
  [37] = 37,
  [38] = 38,
  [39] = 29,
  [40] = 26,
  [41] = 30,
  [42] = 42,
  [43] = 42,
  [44] = 44,
  [45] = 42,
  [46] = 44,
  [47] = 44,
  [48] = 48,
  [49] = 44,
  [50] = 48,
  [51] = 44,
  [52] = 48,
  [53] = 48,
  [54] = 48,
  [55] = 44,
  [56] = 48,
  [57] = 44,
  [58] = 48,
  [59] = 44,
  [60] = 48,
  [61] = 48,
  [62] = 44,
  [63] = 63,
  [64] = 30,
  [65] = 48,
  [66] = 44,
  [67] = 48,
  [68] = 44,
  [69] = 44,
  [70] = 44,
  [71] = 44,
  [72] = 44,
  [73] = 44,
  [74] = 44,
  [75] = 48,
  [76] = 42,
  [77] = 48,
  [78] = 78,
  [79] = 48,
  [80] = 63,
  [81] = 48,
  [82] = 44,
  [83] = 63,
  [84] = 84,
  [85] = 48,
  [86] = 44,
  [87] = 63,
  [88] = 48,
  [89] = 63,
  [90] = 48,
  [91] = 42,
  [92] = 44,
  [93] = 48,
  [94] = 30,
  [95] = 48,
  [96] = 44,
  [97] = 48,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 101,
  [106] = 102,
  [107] = 100,
  [108] = 103,
  [109] = 104,
  [110] = 102,
  [111] = 102,
  [112] = 103,
  [113] = 100,
  [114] = 104,
  [115] = 103,
  [116] = 102,
  [117] = 104,
  [118] = 101,
  [119] = 100,
  [120] = 101,
  [121] = 100,
  [122] = 101,
  [123] = 104,
  [124] = 103,
  [125] = 101,
  [126] = 103,
  [127] = 104,
  [128] = 100,
  [129] = 102,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 140,
  [141] = 138,
  [142] = 138,
  [143] = 138,
  [144] = 138,
  [145] = 138,
  [146] = 138,
  [147] = 147,
  [148] = 147,
  [149] = 147,
  [150] = 150,
  [151] = 151,
  [152] = 151,
  [153] = 153,
  [154] = 154,
  [155] = 151,
  [156] = 156,
  [157] = 151,
  [158] = 151,
  [159] = 159,
  [160] = 160,
  [161] = 159,
  [162] = 162,
  [163] = 159,
  [164] = 164,
  [165] = 165,
  [166] = 164,
  [167] = 162,
  [168] = 159,
  [169] = 162,
  [170] = 151,
  [171] = 160,
  [172] = 172,
  [173] = 151,
  [174] = 174,
  [175] = 162,
  [176] = 176,
  [177] = 160,
  [178] = 172,
  [179] = 179,
  [180] = 159,
  [181] = 176,
  [182] = 164,
  [183] = 183,
  [184] = 183,
  [185] = 176,
  [186] = 179,
  [187] = 176,
  [188] = 164,
  [189] = 162,
  [190] = 176,
  [191] = 179,
  [192] = 183,
  [193] = 183,
  [194] = 165,
  [195] = 165,
  [196] = 160,
  [197] = 172,
  [198] = 172,
  [199] = 179,
  [200] = 160,
  [201] = 174,
  [202] = 174,
  [203] = 164,
  [204] = 159,
  [205] = 174,
  [206] = 179,
  [207] = 162,
  [208] = 176,
  [209] = 174,
  [210] = 165,
  [211] = 174,
  [212] = 164,
  [213] = 183,
  [214] = 179,
  [215] = 172,
  [216] = 160,
  [217] = 159,
  [218] = 160,
  [219] = 165,
  [220] = 176,
  [221] = 172,
  [222] = 183,
  [223] = 164,
  [224] = 183,
  [225] = 165,
  [226] = 172,
  [227] = 162,
  [228] = 165,
  [229] = 179,
  [230] = 230,
  [231] = 231,
  [232] = 151,
  [233] = 233,
  [234] = 233,
  [235] = 233,
  [236] = 236,
  [237] = 233,
  [238] = 236,
  [239] = 236,
  [240] = 240,
  [241] = 233,
  [242] = 236,
  [243] = 236,
  [244] = 236,
  [245] = 236,
  [246] = 233,
  [247] = 236,
  [248] = 233,
  [249] = 249,
  [250] = 236,
  [251] = 233,
  [252] = 233,
  [253] = 236,
  [254] = 233,
  [255] = 236,
  [256] = 233,
  [257] = 236,
  [258] = 236,
  [259] = 233,
  [260] = 233,
  [261] = 236,
  [262] = 233,
  [263] = 233,
  [264] = 236,
  [265] = 230,
  [266] = 231,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 153,
  [271] = 154,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 249,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 240,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 230,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 231,
  [358] = 269,
  [359] = 230,
  [360] = 154,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 153,
  [367] = 267,
  [368] = 368,
  [369] = 369,
  [370] = 354,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 231,
  [380] = 380,
  [381] = 381,
  [382] = 354,
  [383] = 368,
  [384] = 384,
  [385] = 385,
  [386] = 368,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 230,
  [392] = 392,
  [393] = 393,
  [394] = 268,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 368,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 354,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 231,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 322,
  [443] = 316,
  [444] = 444,
  [445] = 317,
  [446] = 444,
  [447] = 444,
  [448] = 444,
  [449] = 277,
  [450] = 292,
  [451] = 294,
  [452] = 345,
  [453] = 341,
  [454] = 340,
  [455] = 328,
  [456] = 444,
  [457] = 326,
  [458] = 273,
  [459] = 348,
  [460] = 335,
  [461] = 334,
  [462] = 444,
  [463] = 444,
  [464] = 444,
  [465] = 240,
  [466] = 319,
  [467] = 300,
  [468] = 308,
  [469] = 298,
  [470] = 288,
  [471] = 444,
  [472] = 444,
  [473] = 249,
  [474] = 290,
  [475] = 346,
  [476] = 305,
  [477] = 444,
  [478] = 240,
  [479] = 293,
  [480] = 444,
  [481] = 272,
  [482] = 444,
  [483] = 295,
  [484] = 444,
  [485] = 306,
  [486] = 444,
  [487] = 327,
  [488] = 331,
  [489] = 299,
  [490] = 329,
  [491] = 291,
  [492] = 325,
  [493] = 315,
  [494] = 312,
  [495] = 304,
  [496] = 444,
  [497] = 287,
  [498] = 286,
  [499] = 280,
  [500] = 274,
  [501] = 336,
  [502] = 307,
  [503] = 297,
  [504] = 342,
  [505] = 249,
  [506] = 444,
  [507] = 275,
  [508] = 296,
  [509] = 309,
  [510] = 313,
  [511] = 314,
  [512] = 347,
  [513] = 338,
  [514] = 344,
  [515] = 324,
  [516] = 349,
  [517] = 323,
  [518] = 444,
  [519] = 311,
  [520] = 276,
  [521] = 278,
  [522] = 281,
  [523] = 282,
  [524] = 283,
  [525] = 284,
  [526] = 285,
  [527] = 289,
  [528] = 301,
  [529] = 303,
  [530] = 310,
  [531] = 330,
  [532] = 318,
  [533] = 321,
  [534] = 279,
  [535] = 302,
  [536] = 332,
  [537] = 339,
  [538] = 350,
  [539] = 444,
  [540] = 343,
  [541] = 333,
  [542] = 411,
  [543] = 431,
  [544] = 388,
  [545] = 387,
  [546] = 378,
  [547] = 376,
  [548] = 267,
  [549] = 356,
  [550] = 355,
  [551] = 372,
  [552] = 374,
  [553] = 353,
  [554] = 369,
  [555] = 373,
  [556] = 390,
  [557] = 393,
  [558] = 404,
  [559] = 417,
  [560] = 415,
  [561] = 395,
  [562] = 396,
  [563] = 398,
  [564] = 402,
  [565] = 416,
  [566] = 400,
  [567] = 407,
  [568] = 269,
  [569] = 154,
  [570] = 269,
  [571] = 389,
  [572] = 385,
  [573] = 384,
  [574] = 380,
  [575] = 420,
  [576] = 269,
  [577] = 414,
  [578] = 153,
  [579] = 413,
  [580] = 412,
  [581] = 403,
  [582] = 410,
  [583] = 351,
  [584] = 428,
  [585] = 421,
  [586] = 375,
  [587] = 587,
  [588] = 406,
  [589] = 408,
  [590] = 422,
  [591] = 362,
  [592] = 409,
  [593] = 419,
  [594] = 364,
  [595] = 361,
  [596] = 268,
  [597] = 423,
  [598] = 424,
  [599] = 427,
  [600] = 600,
  [601] = 429,
  [602] = 430,
  [603] = 267,
  [604] = 401,
  [605] = 434,
  [606] = 268,
  [607] = 435,
  [608] = 268,
  [609] = 437,
  [610] = 439,
  [611] = 377,
  [612] = 153,
  [613] = 392,
  [614] = 267,
  [615] = 399,
  [616] = 440,
  [617] = 154,
  [618] = 397,
  [619] = 587,
  [620] = 381,
  [621] = 441,
  [622] = 438,
  [623] = 436,
  [624] = 371,
  [625] = 433,
  [626] = 626,
  [627] = 426,
  [628] = 336,
  [629] = 312,
  [630] = 334,
  [631] = 346,
  [632] = 341,
  [633] = 633,
  [634] = 273,
  [635] = 326,
  [636] = 636,
  [637] = 319,
  [638] = 288,
  [639] = 273,
  [640] = 340,
  [641] = 299,
  [642] = 642,
  [643] = 643,
  [644] = 317,
  [645] = 295,
  [646] = 272,
  [647] = 346,
  [648] = 302,
  [649] = 328,
  [650] = 308,
  [651] = 651,
  [652] = 348,
  [653] = 653,
  [654] = 643,
  [655] = 300,
  [656] = 298,
  [657] = 305,
  [658] = 302,
  [659] = 302,
  [660] = 299,
  [661] = 295,
  [662] = 272,
  [663] = 345,
  [664] = 291,
  [665] = 316,
  [666] = 335,
  [667] = 277,
  [668] = 331,
  [669] = 306,
  [670] = 307,
  [671] = 329,
  [672] = 297,
  [673] = 325,
  [674] = 292,
  [675] = 315,
  [676] = 312,
  [677] = 304,
  [678] = 297,
  [679] = 346,
  [680] = 317,
  [681] = 293,
  [682] = 287,
  [683] = 274,
  [684] = 316,
  [685] = 274,
  [686] = 294,
  [687] = 273,
  [688] = 348,
  [689] = 286,
  [690] = 345,
  [691] = 280,
  [692] = 279,
  [693] = 341,
  [694] = 348,
  [695] = 340,
  [696] = 328,
  [697] = 294,
  [698] = 326,
  [699] = 317,
  [700] = 275,
  [701] = 296,
  [702] = 642,
  [703] = 319,
  [704] = 331,
  [705] = 309,
  [706] = 329,
  [707] = 299,
  [708] = 313,
  [709] = 295,
  [710] = 272,
  [711] = 314,
  [712] = 291,
  [713] = 347,
  [714] = 277,
  [715] = 338,
  [716] = 300,
  [717] = 292,
  [718] = 325,
  [719] = 643,
  [720] = 298,
  [721] = 297,
  [722] = 324,
  [723] = 323,
  [724] = 315,
  [725] = 274,
  [726] = 311,
  [727] = 276,
  [728] = 278,
  [729] = 312,
  [730] = 304,
  [731] = 281,
  [732] = 282,
  [733] = 287,
  [734] = 283,
  [735] = 284,
  [736] = 288,
  [737] = 308,
  [738] = 290,
  [739] = 286,
  [740] = 280,
  [741] = 279,
  [742] = 277,
  [743] = 743,
  [744] = 316,
  [745] = 331,
  [746] = 329,
  [747] = 325,
  [748] = 315,
  [749] = 310,
  [750] = 304,
  [751] = 287,
  [752] = 286,
  [753] = 280,
  [754] = 279,
  [755] = 275,
  [756] = 296,
  [757] = 309,
  [758] = 313,
  [759] = 314,
  [760] = 347,
  [761] = 338,
  [762] = 324,
  [763] = 323,
  [764] = 311,
  [765] = 276,
  [766] = 278,
  [767] = 285,
  [768] = 294,
  [769] = 281,
  [770] = 289,
  [771] = 282,
  [772] = 283,
  [773] = 345,
  [774] = 284,
  [775] = 285,
  [776] = 289,
  [777] = 301,
  [778] = 301,
  [779] = 303,
  [780] = 310,
  [781] = 318,
  [782] = 341,
  [783] = 340,
  [784] = 321,
  [785] = 322,
  [786] = 327,
  [787] = 330,
  [788] = 328,
  [789] = 326,
  [790] = 339,
  [791] = 350,
  [792] = 343,
  [793] = 303,
  [794] = 333,
  [795] = 332,
  [796] = 349,
  [797] = 293,
  [798] = 344,
  [799] = 319,
  [800] = 342,
  [801] = 310,
  [802] = 275,
  [803] = 308,
  [804] = 318,
  [805] = 321,
  [806] = 296,
  [807] = 322,
  [808] = 327,
  [809] = 330,
  [810] = 339,
  [811] = 305,
  [812] = 306,
  [813] = 307,
  [814] = 350,
  [815] = 343,
  [816] = 333,
  [817] = 332,
  [818] = 300,
  [819] = 349,
  [820] = 344,
  [821] = 309,
  [822] = 313,
  [823] = 298,
  [824] = 342,
  [825] = 336,
  [826] = 292,
  [827] = 314,
  [828] = 347,
  [829] = 642,
  [830] = 338,
  [831] = 324,
  [832] = 291,
  [833] = 334,
  [834] = 335,
  [835] = 336,
  [836] = 323,
  [837] = 305,
  [838] = 311,
  [839] = 342,
  [840] = 344,
  [841] = 306,
  [842] = 349,
  [843] = 290,
  [844] = 642,
  [845] = 307,
  [846] = 276,
  [847] = 278,
  [848] = 293,
  [849] = 290,
  [850] = 281,
  [851] = 282,
  [852] = 334,
  [853] = 283,
  [854] = 332,
  [855] = 643,
  [856] = 333,
  [857] = 343,
  [858] = 303,
  [859] = 288,
  [860] = 301,
  [861] = 335,
  [862] = 350,
  [863] = 339,
  [864] = 330,
  [865] = 327,
  [866] = 322,
  [867] = 285,
  [868] = 321,
  [869] = 289,
  [870] = 318,
  [871] = 284,
  [872] = 375,
  [873] = 413,
  [874] = 395,
  [875] = 378,
  [876] = 393,
  [877] = 390,
  [878] = 373,
  [879] = 369,
  [880] = 353,
  [881] = 308,
  [882] = 441,
  [883] = 398,
  [884] = 376,
  [885] = 372,
  [886] = 387,
  [887] = 374,
  [888] = 388,
  [889] = 351,
  [890] = 400,
  [891] = 402,
  [892] = 403,
  [893] = 404,
  [894] = 375,
  [895] = 406,
  [896] = 356,
  [897] = 355,
  [898] = 409,
  [899] = 353,
  [900] = 369,
  [901] = 373,
  [902] = 355,
  [903] = 397,
  [904] = 399,
  [905] = 356,
  [906] = 419,
  [907] = 364,
  [908] = 439,
  [909] = 376,
  [910] = 378,
  [911] = 387,
  [912] = 388,
  [913] = 351,
  [914] = 390,
  [915] = 393,
  [916] = 395,
  [917] = 423,
  [918] = 362,
  [919] = 361,
  [920] = 424,
  [921] = 396,
  [922] = 397,
  [923] = 437,
  [924] = 435,
  [925] = 408,
  [926] = 398,
  [927] = 249,
  [928] = 399,
  [929] = 400,
  [930] = 431,
  [931] = 434,
  [932] = 440,
  [933] = 151,
  [934] = 371,
  [935] = 402,
  [936] = 403,
  [937] = 404,
  [938] = 406,
  [939] = 408,
  [940] = 410,
  [941] = 409,
  [942] = 410,
  [943] = 411,
  [944] = 412,
  [945] = 396,
  [946] = 414,
  [947] = 415,
  [948] = 417,
  [949] = 411,
  [950] = 412,
  [951] = 413,
  [952] = 414,
  [953] = 419,
  [954] = 364,
  [955] = 438,
  [956] = 415,
  [957] = 436,
  [958] = 433,
  [959] = 426,
  [960] = 417,
  [961] = 421,
  [962] = 423,
  [963] = 424,
  [964] = 427,
  [965] = 427,
  [966] = 428,
  [967] = 431,
  [968] = 240,
  [969] = 430,
  [970] = 440,
  [971] = 420,
  [972] = 441,
  [973] = 392,
  [974] = 439,
  [975] = 438,
  [976] = 437,
  [977] = 416,
  [978] = 436,
  [979] = 381,
  [980] = 435,
  [981] = 434,
  [982] = 433,
  [983] = 430,
  [984] = 429,
  [985] = 426,
  [986] = 416,
  [987] = 407,
  [988] = 422,
  [989] = 389,
  [990] = 385,
  [991] = 429,
  [992] = 384,
  [993] = 380,
  [994] = 407,
  [995] = 361,
  [996] = 401,
  [997] = 422,
  [998] = 392,
  [999] = 362,
  [1000] = 372,
  [1001] = 389,
  [1002] = 374,
  [1003] = 420,
  [1004] = 385,
  [1005] = 384,
  [1006] = 381,
  [1007] = 380,
  [1008] = 377,
  [1009] = 401,
  [1010] = 377,
  [1011] = 421,
  [1012] = 371,
  [1013] = 428,
  [1014] = 439,
  [1015] = 422,
  [1016] = 743,
  [1017] = 151,
  [1018] = 151,
  [1019] = 1019,
  [1020] = 411,
  [1021] = 743,
  [1022] = 1019,
  [1023] = 427,
  [1024] = 377,
  [1025] = 424,
  [1026] = 423,
  [1027] = 371,
  [1028] = 151,
  [1029] = 421,
  [1030] = 1030,
  [1031] = 400,
  [1032] = 1030,
  [1033] = 399,
  [1034] = 1034,
  [1035] = 431,
  [1036] = 440,
  [1037] = 398,
  [1038] = 428,
  [1039] = 364,
  [1040] = 1030,
  [1041] = 1030,
  [1042] = 397,
  [1043] = 1019,
  [1044] = 419,
  [1045] = 380,
  [1046] = 381,
  [1047] = 1019,
  [1048] = 384,
  [1049] = 385,
  [1050] = 441,
  [1051] = 389,
  [1052] = 392,
  [1053] = 401,
  [1054] = 407,
  [1055] = 416,
  [1056] = 417,
  [1057] = 361,
  [1058] = 362,
  [1059] = 1019,
  [1060] = 415,
  [1061] = 414,
  [1062] = 413,
  [1063] = 412,
  [1064] = 420,
  [1065] = 410,
  [1066] = 1030,
  [1067] = 409,
  [1068] = 438,
  [1069] = 1019,
  [1070] = 408,
  [1071] = 406,
  [1072] = 1030,
  [1073] = 1030,
  [1074] = 1019,
  [1075] = 437,
  [1076] = 396,
  [1077] = 395,
  [1078] = 1030,
  [1079] = 436,
  [1080] = 1080,
  [1081] = 1019,
  [1082] = 1030,
  [1083] = 1019,
  [1084] = 372,
  [1085] = 374,
  [1086] = 356,
  [1087] = 355,
  [1088] = 435,
  [1089] = 434,
  [1090] = 1019,
  [1091] = 393,
  [1092] = 390,
  [1093] = 1093,
  [1094] = 433,
  [1095] = 353,
  [1096] = 430,
  [1097] = 1030,
  [1098] = 369,
  [1099] = 373,
  [1100] = 375,
  [1101] = 429,
  [1102] = 404,
  [1103] = 376,
  [1104] = 403,
  [1105] = 402,
  [1106] = 1030,
  [1107] = 1019,
  [1108] = 378,
  [1109] = 1030,
  [1110] = 1019,
  [1111] = 743,
  [1112] = 387,
  [1113] = 426,
  [1114] = 351,
  [1115] = 388,
  [1116] = 151,
  [1117] = 151,
  [1118] = 151,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1120,
  [1122] = 1122,
  [1123] = 1122,
  [1124] = 1122,
  [1125] = 1122,
  [1126] = 1122,
  [1127] = 1122,
  [1128] = 1122,
  [1129] = 1122,
  [1130] = 1122,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1133,
  [1135] = 1133,
  [1136] = 1133,
  [1137] = 1133,
  [1138] = 1133,
  [1139] = 1133,
  [1140] = 1133,
  [1141] = 1133,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 231,
  [1145] = 1145,
  [1146] = 1145,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1145,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1145,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1150,
  [1157] = 1147,
  [1158] = 1150,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1151,
  [1162] = 1154,
  [1163] = 230,
  [1164] = 1164,
  [1165] = 1159,
  [1166] = 1166,
  [1167] = 1150,
  [1168] = 1150,
  [1169] = 1148,
  [1170] = 1147,
  [1171] = 1147,
  [1172] = 1147,
  [1173] = 1173,
  [1174] = 1173,
  [1175] = 1145,
  [1176] = 268,
  [1177] = 154,
  [1178] = 153,
  [1179] = 267,
  [1180] = 269,
  [1181] = 294,
  [1182] = 317,
  [1183] = 292,
  [1184] = 274,
  [1185] = 348,
  [1186] = 1186,
  [1187] = 1132,
  [1188] = 277,
  [1189] = 290,
  [1190] = 293,
  [1191] = 1142,
  [1192] = 297,
  [1193] = 334,
  [1194] = 335,
  [1195] = 346,
  [1196] = 305,
  [1197] = 302,
  [1198] = 306,
  [1199] = 307,
  [1200] = 345,
  [1201] = 316,
  [1202] = 331,
  [1203] = 329,
  [1204] = 325,
  [1205] = 315,
  [1206] = 312,
  [1207] = 304,
  [1208] = 344,
  [1209] = 287,
  [1210] = 298,
  [1211] = 286,
  [1212] = 280,
  [1213] = 279,
  [1214] = 275,
  [1215] = 341,
  [1216] = 296,
  [1217] = 309,
  [1218] = 336,
  [1219] = 342,
  [1220] = 313,
  [1221] = 349,
  [1222] = 314,
  [1223] = 288,
  [1224] = 347,
  [1225] = 340,
  [1226] = 328,
  [1227] = 281,
  [1228] = 332,
  [1229] = 338,
  [1230] = 333,
  [1231] = 324,
  [1232] = 323,
  [1233] = 326,
  [1234] = 311,
  [1235] = 276,
  [1236] = 273,
  [1237] = 278,
  [1238] = 343,
  [1239] = 350,
  [1240] = 339,
  [1241] = 330,
  [1242] = 291,
  [1243] = 319,
  [1244] = 272,
  [1245] = 295,
  [1246] = 299,
  [1247] = 300,
  [1248] = 327,
  [1249] = 282,
  [1250] = 322,
  [1251] = 283,
  [1252] = 321,
  [1253] = 284,
  [1254] = 1131,
  [1255] = 285,
  [1256] = 289,
  [1257] = 301,
  [1258] = 303,
  [1259] = 310,
  [1260] = 318,
  [1261] = 1261,
  [1262] = 1261,
  [1263] = 1261,
  [1264] = 1264,
  [1265] = 1261,
  [1266] = 1266,
  [1267] = 1264,
  [1268] = 1264,
  [1269] = 1269,
  [1270] = 1261,
  [1271] = 1271,
  [1272] = 1266,
  [1273] = 1266,
  [1274] = 1266,
  [1275] = 1264,
  [1276] = 1261,
  [1277] = 1264,
  [1278] = 1264,
  [1279] = 1264,
  [1280] = 1264,
  [1281] = 1266,
  [1282] = 1266,
  [1283] = 1264,
  [1284] = 1261,
  [1285] = 1264,
  [1286] = 1261,
  [1287] = 1261,
  [1288] = 1266,
  [1289] = 1261,
  [1290] = 1261,
  [1291] = 1266,
  [1292] = 1264,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1294,
  [1297] = 1294,
  [1298] = 1298,
  [1299] = 1295,
  [1300] = 1295,
  [1301] = 1293,
  [1302] = 1294,
  [1303] = 1298,
  [1304] = 1295,
  [1305] = 1293,
  [1306] = 1293,
  [1307] = 1295,
  [1308] = 1293,
  [1309] = 1294,
  [1310] = 1293,
  [1311] = 1295,
  [1312] = 1294,
  [1313] = 1293,
  [1314] = 1294,
  [1315] = 1294,
  [1316] = 1293,
  [1317] = 1317,
  [1318] = 1298,
  [1319] = 1319,
  [1320] = 1319,
  [1321] = 1319,
  [1322] = 1319,
  [1323] = 1319,
  [1324] = 1319,
  [1325] = 1319,
  [1326] = 1319,
  [1327] = 1319,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1328,
  [1331] = 1331,
  [1332] = 1329,
  [1333] = 1328,
  [1334] = 1328,
  [1335] = 1328,
  [1336] = 1328,
  [1337] = 1329,
  [1338] = 1328,
  [1339] = 1339,
  [1340] = 1328,
  [1341] = 1329,
  [1342] = 1331,
  [1343] = 1331,
  [1344] = 1328,
  [1345] = 1329,
  [1346] = 1328,
  [1347] = 1329,
  [1348] = 1328,
  [1349] = 1331,
  [1350] = 1350,
  [1351] = 1350,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1350,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1350,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1352,
  [1369] = 1367,
  [1370] = 1366,
  [1371] = 1366,
  [1372] = 1367,
  [1373] = 1352,
  [1374] = 1366,
  [1375] = 1350,
  [1376] = 1350,
  [1377] = 1350,
  [1378] = 1378,
  [1379] = 1350,
  [1380] = 1380,
  [1381] = 1367,
  [1382] = 1350,
  [1383] = 1367,
  [1384] = 1350,
  [1385] = 1352,
  [1386] = 1366,
  [1387] = 1367,
  [1388] = 1352,
  [1389] = 1367,
  [1390] = 1367,
  [1391] = 1366,
  [1392] = 1366,
  [1393] = 1366,
  [1394] = 1380,
  [1395] = 1352,
  [1396] = 1366,
  [1397] = 1366,
  [1398] = 1366,
  [1399] = 1367,
  [1400] = 1350,
  [1401] = 1366,
  [1402] = 1402,
  [1403] = 1350,
  [1404] = 1350,
  [1405] = 1350,
  [1406] = 1367,
  [1407] = 1352,
  [1408] = 1352,
  [1409] = 1352,
  [1410] = 1352,
  [1411] = 1411,
  [1412] = 1352,
  [1413] = 1367,
  [1414] = 1366,
  [1415] = 1350,
  [1416] = 1416,
  [1417] = 1367,
  [1418] = 1366,
  [1419] = 1352,
  [1420] = 1366,
  [1421] = 1380,
  [1422] = 1367,
  [1423] = 1352,
  [1424] = 1352,
  [1425] = 1367,
  [1426] = 1380,
  [1427] = 1367,
  [1428] = 1352,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1429,
  [1432] = 1432,
  [1433] = 1430,
  [1434] = 1429,
  [1435] = 1435,
  [1436] = 1430,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1430,
  [1442] = 1429,
  [1443] = 1443,
  [1444] = 1435,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1430,
  [1448] = 1448,
  [1449] = 1435,
  [1450] = 1430,
  [1451] = 1430,
  [1452] = 1452,
  [1453] = 1429,
  [1454] = 1430,
  [1455] = 1429,
  [1456] = 1456,
  [1457] = 1429,
  [1458] = 1429,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1430,
  [1462] = 1430,
  [1463] = 1435,
  [1464] = 1429,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1430,
  [1469] = 1435,
  [1470] = 1435,
  [1471] = 1430,
  [1472] = 1429,
  [1473] = 1435,
  [1474] = 1430,
  [1475] = 1429,
  [1476] = 1429,
  [1477] = 1429,
  [1478] = 1430,
  [1479] = 1435,
  [1480] = 1429,
  [1481] = 1430,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1429,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1486,
  [1491] = 1486,
  [1492] = 1492,
  [1493] = 1485,
  [1494] = 1494,
  [1495] = 1486,
  [1496] = 1496,
  [1497] = 1486,
  [1498] = 1485,
  [1499] = 1486,
  [1500] = 1494,
  [1501] = 1486,
  [1502] = 1485,
  [1503] = 1492,
  [1504] = 1494,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1486,
  [1508] = 1492,
  [1509] = 1486,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1486,
  [1514] = 1514,
  [1515] = 1492,
  [1516] = 1505,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1494,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1510,
  [1523] = 1523,
  [1524] = 1494,
  [1525] = 1525,
  [1526] = 1505,
  [1527] = 1527,
  [1528] = 1486,
  [1529] = 1494,
  [1530] = 1485,
  [1531] = 1486,
  [1532] = 1532,
  [1533] = 1486,
  [1534] = 1534,
  [1535] = 1488,
  [1536] = 1536,
  [1537] = 1512,
  [1538] = 1514,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1517,
  [1543] = 1518,
  [1544] = 1544,
  [1545] = 1486,
  [1546] = 1546,
  [1547] = 1521,
  [1548] = 1523,
  [1549] = 1510,
  [1550] = 1550,
  [1551] = 1505,
  [1552] = 1527,
  [1553] = 1525,
  [1554] = 1534,
  [1555] = 1536,
  [1556] = 1540,
  [1557] = 1511,
  [1558] = 1541,
  [1559] = 1559,
  [1560] = 1546,
  [1561] = 1544,
  [1562] = 1550,
  [1563] = 1563,
  [1564] = 1488,
  [1565] = 1494,
  [1566] = 1488,
  [1567] = 1487,
  [1568] = 1563,
  [1569] = 1520,
  [1570] = 1496,
  [1571] = 1571,
  [1572] = 1571,
  [1573] = 1489,
  [1574] = 1574,
  [1575] = 1488,
  [1576] = 1494,
  [1577] = 1577,
  [1578] = 1492,
  [1579] = 1494,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1494,
  [1583] = 1486,
  [1584] = 1492,
  [1585] = 1505,
  [1586] = 1485,
  [1587] = 1510,
  [1588] = 1588,
  [1589] = 1494,
  [1590] = 1539,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1588,
  [1595] = 1593,
  [1596] = 1494,
  [1597] = 1574,
  [1598] = 1580,
  [1599] = 1581,
  [1600] = 1592,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1604,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1605,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1603,
  [1616] = 1614,
  [1617] = 1611,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1619,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1605,
  [1628] = 1602,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1630,
  [1634] = 1629,
  [1635] = 1631,
  [1636] = 1613,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1637,
  [1641] = 1604,
  [1642] = 1613,
  [1643] = 1629,
  [1644] = 1626,
  [1645] = 1602,
  [1646] = 1629,
  [1647] = 1647,
  [1648] = 1630,
  [1649] = 1632,
  [1650] = 1602,
  [1651] = 1651,
  [1652] = 1625,
  [1653] = 1631,
  [1654] = 1631,
  [1655] = 1613,
  [1656] = 1607,
  [1657] = 1637,
  [1658] = 1632,
  [1659] = 1604,
  [1660] = 1630,
  [1661] = 1625,
  [1662] = 1601,
  [1663] = 1663,
  [1664] = 1626,
  [1665] = 1629,
  [1666] = 1602,
  [1667] = 1626,
  [1668] = 1619,
  [1669] = 1626,
  [1670] = 1619,
  [1671] = 1610,
  [1672] = 1623,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1607,
  [1678] = 1625,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1618,
  [1682] = 1676,
  [1683] = 1621,
  [1684] = 1632,
  [1685] = 1685,
  [1686] = 1606,
  [1687] = 1614,
  [1688] = 1621,
  [1689] = 1623,
  [1690] = 1621,
  [1691] = 1638,
  [1692] = 1611,
  [1693] = 1604,
  [1694] = 1605,
  [1695] = 1639,
  [1696] = 1604,
  [1697] = 1638,
  [1698] = 1606,
  [1699] = 1637,
  [1700] = 1638,
  [1701] = 1601,
  [1702] = 1619,
  [1703] = 1626,
  [1704] = 1638,
  [1705] = 1638,
  [1706] = 1605,
  [1707] = 1602,
  [1708] = 1601,
  [1709] = 1609,
  [1710] = 1638,
  [1711] = 1601,
  [1712] = 1604,
  [1713] = 1663,
  [1714] = 1601,
  [1715] = 1601,
  [1716] = 1622,
  [1717] = 1625,
  [1718] = 1632,
  [1719] = 1637,
  [1720] = 1639,
  [1721] = 1637,
  [1722] = 1606,
  [1723] = 1723,
  [1724] = 1603,
  [1725] = 1613,
  [1726] = 1618,
  [1727] = 1631,
  [1728] = 1630,
  [1729] = 1619,
  [1730] = 1676,
  [1731] = 1731,
  [1732] = 1685,
  [1733] = 1733,
  [1734] = 1629,
  [1735] = 1680,
  [1736] = 1607,
  [1737] = 1604,
  [1738] = 1602,
  [1739] = 1626,
  [1740] = 1623,
  [1741] = 1619,
  [1742] = 1742,
  [1743] = 1680,
  [1744] = 1621,
  [1745] = 1623,
  [1746] = 1638,
  [1747] = 1605,
  [1748] = 1632,
  [1749] = 1603,
  [1750] = 1618,
  [1751] = 1619,
  [1752] = 1623,
  [1753] = 1622,
  [1754] = 1609,
  [1755] = 1625,
  [1756] = 1632,
  [1757] = 1621,
  [1758] = 1611,
  [1759] = 1613,
  [1760] = 1607,
  [1761] = 1601,
  [1762] = 1638,
  [1763] = 1601,
  [1764] = 1630,
  [1765] = 1765,
  [1766] = 1637,
  [1767] = 1625,
  [1768] = 1614,
  [1769] = 1613,
  [1770] = 1631,
  [1771] = 1630,
  [1772] = 1632,
  [1773] = 1625,
  [1774] = 1637,
  [1775] = 1775,
  [1776] = 1623,
  [1777] = 1618,
  [1778] = 1607,
  [1779] = 1613,
  [1780] = 1603,
  [1781] = 1610,
  [1782] = 1629,
  [1783] = 1602,
  [1784] = 1626,
  [1785] = 1626,
  [1786] = 1631,
  [1787] = 1630,
  [1788] = 1639,
  [1789] = 1629,
  [1790] = 1602,
  [1791] = 1631,
  [1792] = 1630,
  [1793] = 1629,
  [1794] = 1794,
  [1795] = 1685,
  [1796] = 1603,
  [1797] = 1680,
  [1798] = 1631,
  [1799] = 1613,
  [1800] = 1637,
  [1801] = 1632,
  [1802] = 1625,
  [1803] = 1619,
  [1804] = 1629,
  [1805] = 1610,
  [1806] = 1673,
  [1807] = 1610,
  [1808] = 1621,
  [1809] = 1607,
  [1810] = 1810,
  [1811] = 1605,
  [1812] = 1601,
  [1813] = 1630,
  [1814] = 1775,
  [1815] = 1607,
  [1816] = 1631,
  [1817] = 1610,
  [1818] = 1638,
  [1819] = 1601,
  [1820] = 1663,
  [1821] = 1610,
  [1822] = 1607,
  [1823] = 1618,
  [1824] = 1618,
  [1825] = 1603,
  [1826] = 1638,
  [1827] = 1618,
  [1828] = 1613,
  [1829] = 1601,
  [1830] = 1610,
  [1831] = 1603,
  [1832] = 1619,
  [1833] = 1626,
  [1834] = 1602,
  [1835] = 1629,
  [1836] = 1630,
  [1837] = 1631,
  [1838] = 1613,
  [1839] = 1637,
  [1840] = 1632,
  [1841] = 1625,
  [1842] = 1623,
  [1843] = 1676,
  [1844] = 1613,
  [1845] = 1605,
  [1846] = 1619,
  [1847] = 1626,
  [1848] = 1622,
  [1849] = 1626,
  [1850] = 1609,
  [1851] = 1605,
  [1852] = 1602,
  [1853] = 1629,
  [1854] = 1621,
  [1855] = 1603,
  [1856] = 1619,
  [1857] = 1605,
  [1858] = 1637,
  [1859] = 1619,
  [1860] = 1618,
  [1861] = 1603,
  [1862] = 1605,
  [1863] = 1618,
  [1864] = 1864,
  [1865] = 1621,
  [1866] = 1676,
  [1867] = 1611,
  [1868] = 1614,
  [1869] = 1605,
  [1870] = 1630,
  [1871] = 1631,
  [1872] = 1613,
  [1873] = 1606,
  [1874] = 1639,
  [1875] = 1626,
  [1876] = 1685,
  [1877] = 1621,
  [1878] = 1632,
  [1879] = 1680,
  [1880] = 1637,
  [1881] = 1625,
  [1882] = 1623,
  [1883] = 1676,
  [1884] = 1610,
  [1885] = 1622,
  [1886] = 1685,
  [1887] = 1625,
  [1888] = 1622,
  [1889] = 1621,
  [1890] = 1602,
  [1891] = 1623,
  [1892] = 1629,
  [1893] = 1630,
  [1894] = 1631,
  [1895] = 1603,
  [1896] = 1676,
  [1897] = 1637,
  [1898] = 1639,
  [1899] = 1621,
  [1900] = 1609,
  [1901] = 1607,
  [1902] = 1632,
  [1903] = 1903,
  [1904] = 1611,
  [1905] = 1625,
  [1906] = 1638,
  [1907] = 1907,
  [1908] = 1603,
  [1909] = 1618,
  [1910] = 1614,
  [1911] = 1606,
  [1912] = 1639,
  [1913] = 1685,
  [1914] = 1609,
  [1915] = 1680,
  [1916] = 1742,
  [1917] = 1607,
  [1918] = 1622,
  [1919] = 1606,
  [1920] = 1623,
  [1921] = 1639,
  [1922] = 1922,
  [1923] = 1621,
  [1924] = 1605,
  [1925] = 1618,
  [1926] = 1638,
  [1927] = 1601,
  [1928] = 1625,
  [1929] = 1623,
  [1930] = 1632,
  [1931] = 1614,
  [1932] = 1637,
  [1933] = 1611,
  [1934] = 1623,
  [1935] = 1603,
  [1936] = 1613,
  [1937] = 1618,
  [1938] = 1621,
  [1939] = 1609,
  [1940] = 1631,
  [1941] = 1605,
  [1942] = 1609,
  [1943] = 1607,
  [1944] = 1622,
  [1945] = 1638,
  [1946] = 1775,
  [1947] = 1602,
  [1948] = 1630,
  [1949] = 1619,
  [1950] = 1602,
  [1951] = 1629,
  [1952] = 1622,
  [1953] = 1611,
  [1954] = 1607,
  [1955] = 1629,
  [1956] = 1614,
  [1957] = 1602,
  [1958] = 1630,
  [1959] = 1626,
  [1960] = 1618,
  [1961] = 1603,
  [1962] = 1606,
  [1963] = 1601,
  [1964] = 1621,
  [1965] = 1631,
  [1966] = 1613,
  [1967] = 1623,
  [1968] = 1637,
  [1969] = 1674,
  [1970] = 1675,
  [1971] = 1638,
  [1972] = 1601,
  [1973] = 1623,
  [1974] = 1632,
  [1975] = 1626,
  [1976] = 1606,
  [1977] = 1609,
  [1978] = 1625,
  [1979] = 1607,
  [1980] = 1607,
  [1981] = 1619,
  [1982] = 1611,
  [1983] = 1605,
  [1984] = 1618,
  [1985] = 1632,
  [1986] = 1603,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1996,
  [1998] = 1998,
  [1999] = 1998,
  [2000] = 1998,
  [2001] = 1998,
  [2002] = 1998,
  [2003] = 2003,
  [2004] = 377,
  [2005] = 401,
  [2006] = 1987,
  [2007] = 1987,
  [2008] = 1994,
  [2009] = 1991,
  [2010] = 1995,
  [2011] = 1995,
  [2012] = 1990,
  [2013] = 1989,
  [2014] = 1988,
  [2015] = 2015,
  [2016] = 1992,
  [2017] = 1993,
  [2018] = 1987,
  [2019] = 1298,
  [2020] = 1988,
  [2021] = 1995,
  [2022] = 1993,
  [2023] = 1994,
  [2024] = 1992,
  [2025] = 1989,
  [2026] = 1990,
  [2027] = 1991,
  [2028] = 1298,
  [2029] = 1988,
  [2030] = 1989,
  [2031] = 1991,
  [2032] = 1990,
  [2033] = 1995,
  [2034] = 1993,
  [2035] = 1992,
  [2036] = 1994,
  [2037] = 1995,
  [2038] = 2038,
  [2039] = 2038,
  [2040] = 2038,
  [2041] = 2038,
  [2042] = 2038,
  [2043] = 2043,
  [2044] = 2043,
  [2045] = 2043,
  [2046] = 2043,
  [2047] = 2043,
  [2048] = 2043,
  [2049] = 2043,
  [2050] = 2043,
  [2051] = 2043,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2060,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 1995,
  [2076] = 2076,
  [2077] = 1995,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 1992,
  [2081] = 1993,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 1988,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 1989,
  [2089] = 2087,
  [2090] = 2087,
  [2091] = 1990,
  [2092] = 2087,
  [2093] = 2087,
  [2094] = 1991,
  [2095] = 1994,
  [2096] = 1992,
  [2097] = 1993,
  [2098] = 2098,
  [2099] = 230,
  [2100] = 1994,
  [2101] = 1990,
  [2102] = 249,
  [2103] = 2053,
  [2104] = 1991,
  [2105] = 240,
  [2106] = 231,
  [2107] = 1989,
  [2108] = 1988,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2079,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 1987,
  [2115] = 2112,
  [2116] = 308,
  [2117] = 2117,
  [2118] = 2112,
  [2119] = 2112,
  [2120] = 2113,
  [2121] = 2112,
  [2122] = 2113,
  [2123] = 2112,
  [2124] = 2112,
  [2125] = 2113,
  [2126] = 2112,
  [2127] = 2113,
  [2128] = 1995,
  [2129] = 2112,
  [2130] = 308,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 230,
  [2135] = 153,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 154,
  [2140] = 240,
  [2141] = 2053,
  [2142] = 1987,
  [2143] = 2143,
  [2144] = 231,
  [2145] = 268,
  [2146] = 2053,
  [2147] = 2147,
  [2148] = 249,
  [2149] = 364,
  [2150] = 411,
  [2151] = 399,
  [2152] = 377,
  [2153] = 397,
  [2154] = 2131,
  [2155] = 308,
  [2156] = 396,
  [2157] = 395,
  [2158] = 2053,
  [2159] = 390,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 351,
  [2164] = 388,
  [2165] = 2165,
  [2166] = 387,
  [2167] = 372,
  [2168] = 374,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 378,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 335,
  [2176] = 2176,
  [2177] = 376,
  [2178] = 375,
  [2179] = 308,
  [2180] = 1988,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 1992,
  [2185] = 2133,
  [2186] = 1994,
  [2187] = 392,
  [2188] = 1991,
  [2189] = 389,
  [2190] = 1990,
  [2191] = 1989,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 385,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 384,
  [2214] = 1995,
  [2215] = 410,
  [2216] = 273,
  [2217] = 412,
  [2218] = 381,
  [2219] = 2065,
  [2220] = 371,
  [2221] = 1989,
  [2222] = 1990,
  [2223] = 1991,
  [2224] = 2161,
  [2225] = 2165,
  [2226] = 2226,
  [2227] = 2161,
  [2228] = 413,
  [2229] = 2229,
  [2230] = 414,
  [2231] = 415,
  [2232] = 2232,
  [2233] = 288,
  [2234] = 417,
  [2235] = 1987,
  [2236] = 419,
  [2237] = 401,
  [2238] = 2238,
  [2239] = 421,
  [2240] = 2054,
  [2241] = 428,
  [2242] = 420,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 362,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 297,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 1993,
  [2253] = 274,
  [2254] = 2052,
  [2255] = 1993,
  [2256] = 2199,
  [2257] = 317,
  [2258] = 361,
  [2259] = 439,
  [2260] = 2160,
  [2261] = 2162,
  [2262] = 437,
  [2263] = 2263,
  [2264] = 435,
  [2265] = 1988,
  [2266] = 1992,
  [2267] = 1994,
  [2268] = 434,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 433,
  [2272] = 430,
  [2273] = 429,
  [2274] = 2274,
  [2275] = 305,
  [2276] = 306,
  [2277] = 307,
  [2278] = 393,
  [2279] = 422,
  [2280] = 334,
  [2281] = 2063,
  [2282] = 2229,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 240,
  [2287] = 2063,
  [2288] = 2288,
  [2289] = 2053,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2263,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2263,
  [2301] = 2301,
  [2302] = 2133,
  [2303] = 230,
  [2304] = 2131,
  [2305] = 153,
  [2306] = 231,
  [2307] = 2307,
  [2308] = 2054,
  [2309] = 2263,
  [2310] = 2310,
  [2311] = 154,
  [2312] = 2296,
  [2313] = 249,
  [2314] = 2065,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 249,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2053,
  [2324] = 2324,
  [2325] = 2296,
  [2326] = 2321,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2065,
  [2330] = 2330,
  [2331] = 230,
  [2332] = 2296,
  [2333] = 2296,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 268,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2052,
  [2345] = 1995,
  [2346] = 2263,
  [2347] = 2296,
  [2348] = 2348,
  [2349] = 2296,
  [2350] = 2296,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2054,
  [2361] = 231,
  [2362] = 2362,
  [2363] = 2296,
  [2364] = 2063,
  [2365] = 2365,
  [2366] = 240,
  [2367] = 2285,
  [2368] = 2263,
  [2369] = 2053,
  [2370] = 2053,
  [2371] = 2263,
  [2372] = 412,
  [2373] = 413,
  [2374] = 414,
  [2375] = 308,
  [2376] = 411,
  [2377] = 415,
  [2378] = 392,
  [2379] = 389,
  [2380] = 2380,
  [2381] = 410,
  [2382] = 385,
  [2383] = 308,
  [2384] = 288,
  [2385] = 384,
  [2386] = 2386,
  [2387] = 2380,
  [2388] = 2084,
  [2389] = 2053,
  [2390] = 361,
  [2391] = 2053,
  [2392] = 362,
  [2393] = 374,
  [2394] = 381,
  [2395] = 2380,
  [2396] = 372,
  [2397] = 399,
  [2398] = 2301,
  [2399] = 417,
  [2400] = 308,
  [2401] = 420,
  [2402] = 419,
  [2403] = 397,
  [2404] = 396,
  [2405] = 395,
  [2406] = 393,
  [2407] = 390,
  [2408] = 2408,
  [2409] = 364,
  [2410] = 351,
  [2411] = 388,
  [2412] = 387,
  [2413] = 2192,
  [2414] = 2414,
  [2415] = 317,
  [2416] = 371,
  [2417] = 2417,
  [2418] = 421,
  [2419] = 2083,
  [2420] = 428,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2206,
  [2424] = 2205,
  [2425] = 2204,
  [2426] = 2203,
  [2427] = 2202,
  [2428] = 2201,
  [2429] = 2200,
  [2430] = 2251,
  [2431] = 2198,
  [2432] = 2086,
  [2433] = 2250,
  [2434] = 2249,
  [2435] = 439,
  [2436] = 437,
  [2437] = 435,
  [2438] = 434,
  [2439] = 2247,
  [2440] = 2246,
  [2441] = 2244,
  [2442] = 433,
  [2443] = 2243,
  [2444] = 430,
  [2445] = 2337,
  [2446] = 429,
  [2447] = 378,
  [2448] = 2212,
  [2449] = 2449,
  [2450] = 2211,
  [2451] = 2451,
  [2452] = 2210,
  [2453] = 308,
  [2454] = 422,
  [2455] = 2209,
  [2456] = 2456,
  [2457] = 2208,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2197,
  [2461] = 2196,
  [2462] = 2195,
  [2463] = 2238,
  [2464] = 2194,
  [2465] = 2269,
  [2466] = 2270,
  [2467] = 2193,
  [2468] = 307,
  [2469] = 2053,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2065,
  [2474] = 376,
  [2475] = 2082,
  [2476] = 2476,
  [2477] = 2380,
  [2478] = 2301,
  [2479] = 375,
  [2480] = 297,
  [2481] = 2481,
  [2482] = 2183,
  [2483] = 2182,
  [2484] = 2484,
  [2485] = 2181,
  [2486] = 274,
  [2487] = 2063,
  [2488] = 2322,
  [2489] = 306,
  [2490] = 2176,
  [2491] = 2491,
  [2492] = 2174,
  [2493] = 334,
  [2494] = 377,
  [2495] = 2173,
  [2496] = 2172,
  [2497] = 2497,
  [2498] = 2170,
  [2499] = 2324,
  [2500] = 2169,
  [2501] = 305,
  [2502] = 2053,
  [2503] = 2295,
  [2504] = 2054,
  [2505] = 2324,
  [2506] = 401,
  [2507] = 335,
  [2508] = 273,
  [2509] = 2232,
  [2510] = 2476,
  [2511] = 2288,
  [2512] = 2343,
  [2513] = 2513,
  [2514] = 2330,
  [2515] = 2319,
  [2516] = 2334,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2472,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2318,
  [2525] = 2310,
  [2526] = 2317,
  [2527] = 2527,
  [2528] = 2137,
  [2529] = 268,
  [2530] = 2530,
  [2531] = 2316,
  [2532] = 2315,
  [2533] = 2533,
  [2534] = 2337,
  [2535] = 2307,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2079,
  [2539] = 2322,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2299,
  [2544] = 2542,
  [2545] = 2298,
  [2546] = 2283,
  [2547] = 268,
  [2548] = 2294,
  [2549] = 2293,
  [2550] = 2292,
  [2551] = 2291,
  [2552] = 2086,
  [2553] = 2290,
  [2554] = 2083,
  [2555] = 2131,
  [2556] = 2133,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2079,
  [2560] = 2143,
  [2561] = 2084,
  [2562] = 153,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 154,
  [2567] = 2541,
  [2568] = 2568,
  [2569] = 2540,
  [2570] = 2131,
  [2571] = 2133,
  [2572] = 2351,
  [2573] = 2352,
  [2574] = 2353,
  [2575] = 2354,
  [2576] = 2355,
  [2577] = 2356,
  [2578] = 153,
  [2579] = 2579,
  [2580] = 2357,
  [2581] = 2358,
  [2582] = 2359,
  [2583] = 2284,
  [2584] = 2537,
  [2585] = 2335,
  [2586] = 2536,
  [2587] = 2336,
  [2588] = 2520,
  [2589] = 2338,
  [2590] = 1987,
  [2591] = 2362,
  [2592] = 2365,
  [2593] = 2109,
  [2594] = 2594,
  [2595] = 154,
  [2596] = 2082,
  [2597] = 2533,
  [2598] = 2341,
  [2599] = 2599,
  [2600] = 2342,
  [2601] = 2601,
  [2602] = 2339,
  [2603] = 2270,
  [2604] = 2324,
  [2605] = 377,
  [2606] = 2202,
  [2607] = 306,
  [2608] = 307,
  [2609] = 2201,
  [2610] = 2200,
  [2611] = 2269,
  [2612] = 362,
  [2613] = 364,
  [2614] = 2212,
  [2615] = 2198,
  [2616] = 361,
  [2617] = 2173,
  [2618] = 2243,
  [2619] = 377,
  [2620] = 2172,
  [2621] = 273,
  [2622] = 421,
  [2623] = 2084,
  [2624] = 2082,
  [2625] = 306,
  [2626] = 305,
  [2627] = 2170,
  [2628] = 428,
  [2629] = 335,
  [2630] = 334,
  [2631] = 375,
  [2632] = 376,
  [2633] = 2169,
  [2634] = 2244,
  [2635] = 378,
  [2636] = 317,
  [2637] = 2246,
  [2638] = 387,
  [2639] = 388,
  [2640] = 351,
  [2641] = 2533,
  [2642] = 422,
  [2643] = 2174,
  [2644] = 2176,
  [2645] = 393,
  [2646] = 397,
  [2647] = 2536,
  [2648] = 390,
  [2649] = 399,
  [2650] = 351,
  [2651] = 2204,
  [2652] = 2133,
  [2653] = 2065,
  [2654] = 2109,
  [2655] = 388,
  [2656] = 401,
  [2657] = 1995,
  [2658] = 387,
  [2659] = 439,
  [2660] = 396,
  [2661] = 2247,
  [2662] = 433,
  [2663] = 2205,
  [2664] = 2206,
  [2665] = 437,
  [2666] = 305,
  [2667] = 435,
  [2668] = 434,
  [2669] = 2181,
  [2670] = 2131,
  [2671] = 2182,
  [2672] = 378,
  [2673] = 2251,
  [2674] = 419,
  [2675] = 433,
  [2676] = 430,
  [2677] = 2520,
  [2678] = 2183,
  [2679] = 417,
  [2680] = 2269,
  [2681] = 2270,
  [2682] = 2082,
  [2683] = 376,
  [2684] = 375,
  [2685] = 2249,
  [2686] = 429,
  [2687] = 2518,
  [2688] = 2688,
  [2689] = 2205,
  [2690] = 307,
  [2691] = 297,
  [2692] = 274,
  [2693] = 372,
  [2694] = 2250,
  [2695] = 415,
  [2696] = 414,
  [2697] = 2083,
  [2698] = 413,
  [2699] = 374,
  [2700] = 2251,
  [2701] = 412,
  [2702] = 411,
  [2703] = 410,
  [2704] = 288,
  [2705] = 2084,
  [2706] = 2301,
  [2707] = 410,
  [2708] = 1131,
  [2709] = 411,
  [2710] = 412,
  [2711] = 413,
  [2712] = 414,
  [2713] = 415,
  [2714] = 273,
  [2715] = 381,
  [2716] = 417,
  [2717] = 2054,
  [2718] = 317,
  [2719] = 361,
  [2720] = 2086,
  [2721] = 397,
  [2722] = 371,
  [2723] = 392,
  [2724] = 2212,
  [2725] = 2211,
  [2726] = 364,
  [2727] = 421,
  [2728] = 428,
  [2729] = 2249,
  [2730] = 274,
  [2731] = 422,
  [2732] = 2193,
  [2733] = 419,
  [2734] = 2194,
  [2735] = 2540,
  [2736] = 335,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 297,
  [2740] = 2537,
  [2741] = 2195,
  [2742] = 2079,
  [2743] = 362,
  [2744] = 2210,
  [2745] = 2476,
  [2746] = 384,
  [2747] = 2541,
  [2748] = 385,
  [2749] = 2203,
  [2750] = 2542,
  [2751] = 389,
  [2752] = 2209,
  [2753] = 2196,
  [2754] = 2197,
  [2755] = 2208,
  [2756] = 2209,
  [2757] = 389,
  [2758] = 2169,
  [2759] = 2170,
  [2760] = 2250,
  [2761] = 429,
  [2762] = 2210,
  [2763] = 385,
  [2764] = 2211,
  [2765] = 430,
  [2766] = 1132,
  [2767] = 2083,
  [2768] = 420,
  [2769] = 2518,
  [2770] = 2198,
  [2771] = 399,
  [2772] = 2208,
  [2773] = 395,
  [2774] = 372,
  [2775] = 392,
  [2776] = 2197,
  [2777] = 2206,
  [2778] = 2172,
  [2779] = 2196,
  [2780] = 2173,
  [2781] = 2174,
  [2782] = 439,
  [2783] = 2783,
  [2784] = 2176,
  [2785] = 2195,
  [2786] = 437,
  [2787] = 2181,
  [2788] = 381,
  [2789] = 2182,
  [2790] = 374,
  [2791] = 384,
  [2792] = 2204,
  [2793] = 2203,
  [2794] = 2194,
  [2795] = 288,
  [2796] = 2183,
  [2797] = 420,
  [2798] = 371,
  [2799] = 2086,
  [2800] = 2247,
  [2801] = 435,
  [2802] = 434,
  [2803] = 2246,
  [2804] = 2193,
  [2805] = 2244,
  [2806] = 2202,
  [2807] = 2201,
  [2808] = 2808,
  [2809] = 2243,
  [2810] = 2810,
  [2811] = 2200,
  [2812] = 390,
  [2813] = 393,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2063,
  [2817] = 395,
  [2818] = 396,
  [2819] = 401,
  [2820] = 334,
  [2821] = 2536,
  [2822] = 2537,
  [2823] = 2229,
  [2824] = 2137,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2086,
  [2828] = 2828,
  [2829] = 2162,
  [2830] = 154,
  [2831] = 2079,
  [2832] = 2285,
  [2833] = 2084,
  [2834] = 2082,
  [2835] = 2835,
  [2836] = 2083,
  [2837] = 2322,
  [2838] = 2199,
  [2839] = 2082,
  [2840] = 1132,
  [2841] = 2086,
  [2842] = 2082,
  [2843] = 2843,
  [2844] = 2199,
  [2845] = 2845,
  [2846] = 153,
  [2847] = 2520,
  [2848] = 2143,
  [2849] = 2301,
  [2850] = 2160,
  [2851] = 2301,
  [2852] = 2533,
  [2853] = 2162,
  [2854] = 2854,
  [2855] = 2109,
  [2856] = 2856,
  [2857] = 2857,
  [2858] = 2084,
  [2859] = 2160,
  [2860] = 2079,
  [2861] = 2083,
  [2862] = 2079,
  [2863] = 2540,
  [2864] = 2864,
  [2865] = 2083,
  [2866] = 2866,
  [2867] = 1131,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2541,
  [2873] = 2086,
  [2874] = 2542,
  [2875] = 2875,
  [2876] = 1994,
  [2877] = 1992,
  [2878] = 2285,
  [2879] = 2879,
  [2880] = 1988,
  [2881] = 1991,
  [2882] = 1990,
  [2883] = 2084,
  [2884] = 1989,
  [2885] = 1993,
  [2886] = 2324,
  [2887] = 2887,
  [2888] = 2324,
  [2889] = 2889,
  [2890] = 2229,
  [2891] = 2891,
  [2892] = 2892,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2071,
  [2896] = 2896,
  [2897] = 2079,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2810,
  [2902] = 2083,
  [2903] = 2903,
  [2904] = 2904,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2815,
  [2910] = 2910,
  [2911] = 2911,
  [2912] = 2912,
  [2913] = 2055,
  [2914] = 2058,
  [2915] = 2828,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2061,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2084,
  [2925] = 2925,
  [2926] = 2926,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2348,
  [2931] = 2931,
  [2932] = 2086,
  [2933] = 2933,
  [2934] = 2934,
  [2935] = 2935,
  [2936] = 2737,
  [2937] = 2162,
  [2938] = 2160,
  [2939] = 2057,
  [2940] = 153,
  [2941] = 2068,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2073,
  [2945] = 2322,
  [2946] = 2067,
  [2947] = 2199,
  [2948] = 2948,
  [2949] = 2949,
  [2950] = 2879,
  [2951] = 2951,
  [2952] = 2082,
  [2953] = 2953,
  [2954] = 2070,
  [2955] = 2324,
  [2956] = 1994,
  [2957] = 2738,
  [2958] = 2062,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2069,
  [2963] = 2131,
  [2964] = 154,
  [2965] = 2965,
  [2966] = 2815,
  [2967] = 2737,
  [2968] = 2301,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2810,
  [2972] = 2972,
  [2973] = 2973,
  [2974] = 2133,
  [2975] = 2975,
  [2976] = 2056,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2059,
  [2980] = 2109,
  [2981] = 1992,
  [2982] = 2982,
  [2983] = 2983,
  [2984] = 1988,
  [2985] = 1991,
  [2986] = 2327,
  [2987] = 1990,
  [2988] = 1989,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2476,
  [2996] = 2996,
  [2997] = 2997,
  [2998] = 2064,
  [2999] = 2066,
  [3000] = 2229,
  [3001] = 2738,
  [3002] = 2518,
  [3003] = 1993,
  [3004] = 3004,
  [3005] = 2052,
  [3006] = 2810,
  [3007] = 2147,
  [3008] = 2481,
  [3009] = 2137,
  [3010] = 2520,
  [3011] = 2086,
  [3012] = 2484,
  [3013] = 2109,
  [3014] = 2421,
  [3015] = 2449,
  [3016] = 2520,
  [3017] = 2533,
  [3018] = 3018,
  [3019] = 2542,
  [3020] = 2132,
  [3021] = 2456,
  [3022] = 2533,
  [3023] = 2476,
  [3024] = 2541,
  [3025] = 2540,
  [3026] = 2536,
  [3027] = 2537,
  [3028] = 2138,
  [3029] = 2083,
  [3030] = 2082,
  [3031] = 2536,
  [3032] = 2537,
  [3033] = 3033,
  [3034] = 2408,
  [3035] = 2136,
  [3036] = 2285,
  [3037] = 2458,
  [3038] = 2084,
  [3039] = 2063,
  [3040] = 2417,
  [3041] = 2471,
  [3042] = 2065,
  [3043] = 2470,
  [3044] = 2422,
  [3045] = 3045,
  [3046] = 2815,
  [3047] = 2143,
  [3048] = 2459,
  [3049] = 2540,
  [3050] = 2541,
  [3051] = 2054,
  [3052] = 2542,
  [3053] = 2324,
  [3054] = 2533,
  [3055] = 2542,
  [3056] = 2322,
  [3057] = 2541,
  [3058] = 2137,
  [3059] = 2052,
  [3060] = 3060,
  [3061] = 2232,
  [3062] = 2738,
  [3063] = 2079,
  [3064] = 2192,
  [3065] = 2540,
  [3066] = 2086,
  [3067] = 2199,
  [3068] = 2238,
  [3069] = 2109,
  [3070] = 2327,
  [3071] = 2084,
  [3072] = 2109,
  [3073] = 2229,
  [3074] = 2082,
  [3075] = 2322,
  [3076] = 2737,
  [3077] = 2520,
  [3078] = 2537,
  [3079] = 2143,
  [3080] = 2348,
  [3081] = 2536,
  [3082] = 3082,
  [3083] = 2162,
  [3084] = 2518,
  [3085] = 2301,
  [3086] = 2083,
  [3087] = 2160,
  [3088] = 2518,
  [3089] = 3089,
  [3090] = 2299,
  [3091] = 2342,
  [3092] = 2738,
  [3093] = 2335,
  [3094] = 2298,
  [3095] = 2143,
  [3096] = 2283,
  [3097] = 2341,
  [3098] = 2294,
  [3099] = 2481,
  [3100] = 2358,
  [3101] = 2162,
  [3102] = 2343,
  [3103] = 2160,
  [3104] = 2136,
  [3105] = 2357,
  [3106] = 2408,
  [3107] = 2338,
  [3108] = 3108,
  [3109] = 2199,
  [3110] = 2476,
  [3111] = 2137,
  [3112] = 2229,
  [3113] = 2356,
  [3114] = 2359,
  [3115] = 2417,
  [3116] = 2284,
  [3117] = 2354,
  [3118] = 2293,
  [3119] = 2292,
  [3120] = 2518,
  [3121] = 2458,
  [3122] = 2132,
  [3123] = 2318,
  [3124] = 2317,
  [3125] = 2459,
  [3126] = 2484,
  [3127] = 2330,
  [3128] = 2316,
  [3129] = 2315,
  [3130] = 2339,
  [3131] = 2449,
  [3132] = 2147,
  [3133] = 2421,
  [3134] = 2052,
  [3135] = 2422,
  [3136] = 2138,
  [3137] = 2362,
  [3138] = 2456,
  [3139] = 2352,
  [3140] = 2291,
  [3141] = 2307,
  [3142] = 2052,
  [3143] = 2290,
  [3144] = 2471,
  [3145] = 2470,
  [3146] = 2334,
  [3147] = 2288,
  [3148] = 2737,
  [3149] = 2353,
  [3150] = 2310,
  [3151] = 2324,
  [3152] = 2285,
  [3153] = 2319,
  [3154] = 2355,
  [3155] = 2365,
  [3156] = 2351,
  [3157] = 2301,
  [3158] = 2336,
  [3159] = 2343,
  [3160] = 3160,
  [3161] = 2497,
  [3162] = 2536,
  [3163] = 2537,
  [3164] = 1991,
  [3165] = 2192,
  [3166] = 2327,
  [3167] = 2386,
  [3168] = 1990,
  [3169] = 2451,
  [3170] = 1989,
  [3171] = 2357,
  [3172] = 1988,
  [3173] = 2533,
  [3174] = 1992,
  [3175] = 2491,
  [3176] = 1994,
  [3177] = 2542,
  [3178] = 2414,
  [3179] = 2354,
  [3180] = 2348,
  [3181] = 2083,
  [3182] = 2540,
  [3183] = 3183,
  [3184] = 2138,
  [3185] = 3185,
  [3186] = 2147,
  [3187] = 2052,
  [3188] = 2351,
  [3189] = 1993,
  [3190] = 2137,
  [3191] = 2520,
  [3192] = 2086,
  [3193] = 2537,
  [3194] = 2536,
  [3195] = 2132,
  [3196] = 3196,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 3200,
  [3201] = 3201,
  [3202] = 3202,
  [3203] = 3203,
  [3204] = 2533,
  [3205] = 2229,
  [3206] = 2143,
  [3207] = 2136,
  [3208] = 2520,
  [3209] = 2540,
  [3210] = 2327,
  [3211] = 2541,
  [3212] = 2541,
  [3213] = 2232,
  [3214] = 2238,
  [3215] = 2082,
  [3216] = 2285,
  [3217] = 2348,
  [3218] = 3218,
  [3219] = 2542,
  [3220] = 3220,
  [3221] = 2084,
  [3222] = 3222,
  [3223] = 3223,
  [3224] = 3224,
  [3225] = 2294,
  [3226] = 3226,
  [3227] = 2299,
  [3228] = 2160,
  [3229] = 2199,
  [3230] = 2162,
  [3231] = 2079,
  [3232] = 2421,
  [3233] = 3233,
  [3234] = 2975,
  [3235] = 2284,
  [3236] = 2330,
  [3237] = 2327,
  [3238] = 2338,
  [3239] = 2334,
  [3240] = 1991,
  [3241] = 2738,
  [3242] = 2989,
  [3243] = 2339,
  [3244] = 3244,
  [3245] = 2517,
  [3246] = 2310,
  [3247] = 2319,
  [3248] = 2993,
  [3249] = 2737,
  [3250] = 1992,
  [3251] = 1988,
  [3252] = 1990,
  [3253] = 2994,
  [3254] = 2471,
  [3255] = 3004,
  [3256] = 2978,
  [3257] = 1991,
  [3258] = 2579,
  [3259] = 1990,
  [3260] = 2362,
  [3261] = 2359,
  [3262] = 2229,
  [3263] = 1994,
  [3264] = 2449,
  [3265] = 1989,
  [3266] = 3266,
  [3267] = 2358,
  [3268] = 3233,
  [3269] = 1993,
  [3270] = 2459,
  [3271] = 2456,
  [3272] = 2470,
  [3273] = 2365,
  [3274] = 2341,
  [3275] = 3275,
  [3276] = 3266,
  [3277] = 1988,
  [3278] = 3233,
  [3279] = 1992,
  [3280] = 1994,
  [3281] = 2458,
  [3282] = 2356,
  [3283] = 1993,
  [3284] = 3233,
  [3285] = 2996,
  [3286] = 2315,
  [3287] = 2337,
  [3288] = 2355,
  [3289] = 1995,
  [3290] = 2422,
  [3291] = 3291,
  [3292] = 2599,
  [3293] = 2298,
  [3294] = 2283,
  [3295] = 2342,
  [3296] = 2348,
  [3297] = 2293,
  [3298] = 2292,
  [3299] = 2943,
  [3300] = 348,
  [3301] = 3233,
  [3302] = 2458,
  [3303] = 3303,
  [3304] = 2291,
  [3305] = 2290,
  [3306] = 2417,
  [3307] = 2288,
  [3308] = 3308,
  [3309] = 3233,
  [3310] = 2316,
  [3311] = 2317,
  [3312] = 3266,
  [3313] = 2353,
  [3314] = 3233,
  [3315] = 2934,
  [3316] = 2408,
  [3317] = 2162,
  [3318] = 1994,
  [3319] = 3233,
  [3320] = 1992,
  [3321] = 3321,
  [3322] = 2160,
  [3323] = 2459,
  [3324] = 2199,
  [3325] = 2558,
  [3326] = 2052,
  [3327] = 2352,
  [3328] = 3328,
  [3329] = 2337,
  [3330] = 2530,
  [3331] = 3266,
  [3332] = 2422,
  [3333] = 2421,
  [3334] = 2456,
  [3335] = 3266,
  [3336] = 1988,
  [3337] = 3233,
  [3338] = 2484,
  [3339] = 1989,
  [3340] = 2335,
  [3341] = 2557,
  [3342] = 2983,
  [3343] = 2336,
  [3344] = 2285,
  [3345] = 2199,
  [3346] = 2318,
  [3347] = 2417,
  [3348] = 1987,
  [3349] = 2160,
  [3350] = 302,
  [3351] = 2408,
  [3352] = 2997,
  [3353] = 2481,
  [3354] = 2162,
  [3355] = 2470,
  [3356] = 2471,
  [3357] = 2307,
  [3358] = 2229,
  [3359] = 2518,
  [3360] = 2472,
  [3361] = 2449,
  [3362] = 1991,
  [3363] = 1990,
  [3364] = 1989,
  [3365] = 2285,
  [3366] = 1993,
  [3367] = 2481,
  [3368] = 3368,
  [3369] = 2518,
  [3370] = 2484,
  [3371] = 3224,
  [3372] = 3226,
  [3373] = 3198,
  [3374] = 3197,
  [3375] = 2449,
  [3376] = 2451,
  [3377] = 2470,
  [3378] = 3200,
  [3379] = 3199,
  [3380] = 3201,
  [3381] = 2136,
  [3382] = 2471,
  [3383] = 2456,
  [3384] = 2458,
  [3385] = 2459,
  [3386] = 3202,
  [3387] = 3220,
  [3388] = 2417,
  [3389] = 2408,
  [3390] = 3223,
  [3391] = 3222,
  [3392] = 2826,
  [3393] = 3196,
  [3394] = 2386,
  [3395] = 3197,
  [3396] = 3160,
  [3397] = 2857,
  [3398] = 2343,
  [3399] = 3196,
  [3400] = 3400,
  [3401] = 2052,
  [3402] = 2351,
  [3403] = 2232,
  [3404] = 2808,
  [3405] = 3321,
  [3406] = 1987,
  [3407] = 2238,
  [3408] = 2299,
  [3409] = 2835,
  [3410] = 3183,
  [3411] = 2889,
  [3412] = 3185,
  [3413] = 2783,
  [3414] = 2354,
  [3415] = 3244,
  [3416] = 2285,
  [3417] = 3226,
  [3418] = 2845,
  [3419] = 2357,
  [3420] = 2354,
  [3421] = 2132,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3198,
  [3425] = 3425,
  [3426] = 2422,
  [3427] = 3199,
  [3428] = 2294,
  [3429] = 3218,
  [3430] = 3200,
  [3431] = 2343,
  [3432] = 3201,
  [3433] = 3202,
  [3434] = 3400,
  [3435] = 2414,
  [3436] = 3160,
  [3437] = 2497,
  [3438] = 2192,
  [3439] = 2192,
  [3440] = 3185,
  [3441] = 2481,
  [3442] = 3442,
  [3443] = 2232,
  [3444] = 2491,
  [3445] = 2138,
  [3446] = 3222,
  [3447] = 1987,
  [3448] = 3203,
  [3449] = 2421,
  [3450] = 1995,
  [3451] = 3368,
  [3452] = 2484,
  [3453] = 2147,
  [3454] = 2299,
  [3455] = 2238,
  [3456] = 3456,
  [3457] = 3400,
  [3458] = 2294,
  [3459] = 3183,
  [3460] = 3218,
  [3461] = 2864,
  [3462] = 3203,
  [3463] = 2351,
  [3464] = 2814,
  [3465] = 3223,
  [3466] = 2892,
  [3467] = 3400,
  [3468] = 3220,
  [3469] = 2357,
  [3470] = 3224,
  [3471] = 2292,
  [3472] = 1132,
  [3473] = 2854,
  [3474] = 3474,
  [3475] = 2307,
  [3476] = 1987,
  [3477] = 1992,
  [3478] = 2310,
  [3479] = 3479,
  [3480] = 2497,
  [3481] = 3474,
  [3482] = 2298,
  [3483] = 2327,
  [3484] = 2283,
  [3485] = 1993,
  [3486] = 2284,
  [3487] = 2319,
  [3488] = 2594,
  [3489] = 2601,
  [3490] = 2521,
  [3491] = 2527,
  [3492] = 2891,
  [3493] = 2288,
  [3494] = 2192,
  [3495] = 2293,
  [3496] = 2292,
  [3497] = 3479,
  [3498] = 2291,
  [3499] = 2365,
  [3500] = 2290,
  [3501] = 2294,
  [3502] = 2335,
  [3503] = 2310,
  [3504] = 1988,
  [3505] = 2491,
  [3506] = 2232,
  [3507] = 2352,
  [3508] = 2348,
  [3509] = 2290,
  [3510] = 2288,
  [3511] = 2307,
  [3512] = 2336,
  [3513] = 2513,
  [3514] = 2599,
  [3515] = 2351,
  [3516] = 2291,
  [3517] = 2517,
  [3518] = 3474,
  [3519] = 2358,
  [3520] = 2568,
  [3521] = 2565,
  [3522] = 2564,
  [3523] = 3474,
  [3524] = 2472,
  [3525] = 2359,
  [3526] = 2359,
  [3527] = 2356,
  [3528] = 2875,
  [3529] = 2343,
  [3530] = 2319,
  [3531] = 1131,
  [3532] = 2362,
  [3533] = 2315,
  [3534] = 2338,
  [3535] = 2316,
  [3536] = 2334,
  [3537] = 3479,
  [3538] = 2293,
  [3539] = 2283,
  [3540] = 2298,
  [3541] = 2355,
  [3542] = 2451,
  [3543] = 2523,
  [3544] = 1991,
  [3545] = 2522,
  [3546] = 2315,
  [3547] = 1990,
  [3548] = 2358,
  [3549] = 2316,
  [3550] = 3550,
  [3551] = 1989,
  [3552] = 2318,
  [3553] = 2284,
  [3554] = 3368,
  [3555] = 2887,
  [3556] = 3474,
  [3557] = 2356,
  [3558] = 2355,
  [3559] = 2688,
  [3560] = 2579,
  [3561] = 2362,
  [3562] = 2334,
  [3563] = 2339,
  [3564] = 2317,
  [3565] = 2341,
  [3566] = 1995,
  [3567] = 3479,
  [3568] = 2557,
  [3569] = 2330,
  [3570] = 2337,
  [3571] = 2352,
  [3572] = 2317,
  [3573] = 2825,
  [3574] = 2318,
  [3575] = 2348,
  [3576] = 2299,
  [3577] = 2342,
  [3578] = 2414,
  [3579] = 1994,
  [3580] = 3474,
  [3581] = 3479,
  [3582] = 3474,
  [3583] = 3479,
  [3584] = 2558,
  [3585] = 2365,
  [3586] = 2472,
  [3587] = 2353,
  [3588] = 2386,
  [3589] = 2330,
  [3590] = 2133,
  [3591] = 2341,
  [3592] = 3321,
  [3593] = 2357,
  [3594] = 2327,
  [3595] = 3244,
  [3596] = 3479,
  [3597] = 2563,
  [3598] = 2335,
  [3599] = 2337,
  [3600] = 2354,
  [3601] = 3479,
  [3602] = 2336,
  [3603] = 3479,
  [3604] = 2353,
  [3605] = 2342,
  [3606] = 2338,
  [3607] = 2131,
  [3608] = 2530,
  [3609] = 2339,
  [3610] = 2238,
  [3611] = 2893,
  [3612] = 2307,
  [3613] = 3222,
  [3614] = 2919,
  [3615] = 2973,
  [3616] = 2893,
  [3617] = 2558,
  [3618] = 3423,
  [3619] = 3422,
  [3620] = 2471,
  [3621] = 2470,
  [3622] = 2472,
  [3623] = 2948,
  [3624] = 2912,
  [3625] = 2449,
  [3626] = 3423,
  [3627] = 2065,
  [3628] = 2983,
  [3629] = 2928,
  [3630] = 2456,
  [3631] = 2891,
  [3632] = 2977,
  [3633] = 2599,
  [3634] = 2898,
  [3635] = 2972,
  [3636] = 2458,
  [3637] = 2929,
  [3638] = 2459,
  [3639] = 2960,
  [3640] = 2996,
  [3641] = 3224,
  [3642] = 2982,
  [3643] = 2337,
  [3644] = 2990,
  [3645] = 2893,
  [3646] = 3226,
  [3647] = 2055,
  [3648] = 2063,
  [3649] = 2058,
  [3650] = 2965,
  [3651] = 2061,
  [3652] = 3220,
  [3653] = 3222,
  [3654] = 2579,
  [3655] = 2056,
  [3656] = 2951,
  [3657] = 2934,
  [3658] = 2942,
  [3659] = 3223,
  [3660] = 3185,
  [3661] = 2927,
  [3662] = 2904,
  [3663] = 2059,
  [3664] = 2908,
  [3665] = 2907,
  [3666] = 2949,
  [3667] = 2905,
  [3668] = 154,
  [3669] = 2910,
  [3670] = 2920,
  [3671] = 2557,
  [3672] = 2903,
  [3673] = 2911,
  [3674] = 2868,
  [3675] = 2900,
  [3676] = 2921,
  [3677] = 153,
  [3678] = 2925,
  [3679] = 2931,
  [3680] = 2943,
  [3681] = 2064,
  [3682] = 2066,
  [3683] = 2926,
  [3684] = 2843,
  [3685] = 2856,
  [3686] = 2893,
  [3687] = 2828,
  [3688] = 2961,
  [3689] = 2959,
  [3690] = 3203,
  [3691] = 3183,
  [3692] = 1995,
  [3693] = 2922,
  [3694] = 2133,
  [3695] = 2131,
  [3696] = 2892,
  [3697] = 2069,
  [3698] = 2896,
  [3699] = 2070,
  [3700] = 2826,
  [3701] = 2857,
  [3702] = 1987,
  [3703] = 2893,
  [3704] = 2476,
  [3705] = 2481,
  [3706] = 2894,
  [3707] = 2916,
  [3708] = 2319,
  [3709] = 2310,
  [3710] = 2484,
  [3711] = 2835,
  [3712] = 2889,
  [3713] = 3160,
  [3714] = 2969,
  [3715] = 2970,
  [3716] = 3226,
  [3717] = 2845,
  [3718] = 2335,
  [3719] = 2336,
  [3720] = 2338,
  [3721] = 2339,
  [3722] = 3224,
  [3723] = 2341,
  [3724] = 2342,
  [3725] = 2057,
  [3726] = 3218,
  [3727] = 2991,
  [3728] = 2068,
  [3729] = 2992,
  [3730] = 2783,
  [3731] = 3223,
  [3732] = 3185,
  [3733] = 2334,
  [3734] = 3196,
  [3735] = 3197,
  [3736] = 3198,
  [3737] = 2330,
  [3738] = 3425,
  [3739] = 3199,
  [3740] = 2891,
  [3741] = 3200,
  [3742] = 3201,
  [3743] = 3202,
  [3744] = 2814,
  [3745] = 2864,
  [3746] = 3220,
  [3747] = 3747,
  [3748] = 2062,
  [3749] = 2318,
  [3750] = 2317,
  [3751] = 2073,
  [3752] = 2316,
  [3753] = 2315,
  [3754] = 3202,
  [3755] = 3201,
  [3756] = 3200,
  [3757] = 2365,
  [3758] = 3199,
  [3759] = 2362,
  [3760] = 2284,
  [3761] = 3422,
  [3762] = 2359,
  [3763] = 2358,
  [3764] = 2356,
  [3765] = 2917,
  [3766] = 3766,
  [3767] = 2355,
  [3768] = 2353,
  [3769] = 2866,
  [3770] = 2352,
  [3771] = 3198,
  [3772] = 3197,
  [3773] = 3183,
  [3774] = 2472,
  [3775] = 3196,
  [3776] = 2071,
  [3777] = 3203,
  [3778] = 2408,
  [3779] = 2933,
  [3780] = 2869,
  [3781] = 2517,
  [3782] = 2997,
  [3783] = 2879,
  [3784] = 2417,
  [3785] = 2975,
  [3786] = 2870,
  [3787] = 2989,
  [3788] = 2993,
  [3789] = 2994,
  [3790] = 3160,
  [3791] = 2808,
  [3792] = 2067,
  [3793] = 2871,
  [3794] = 2906,
  [3795] = 2935,
  [3796] = 3004,
  [3797] = 2288,
  [3798] = 2290,
  [3799] = 2322,
  [3800] = 2291,
  [3801] = 2292,
  [3802] = 2293,
  [3803] = 2530,
  [3804] = 2978,
  [3805] = 2283,
  [3806] = 2422,
  [3807] = 2298,
  [3808] = 2953,
  [3809] = 3218,
  [3810] = 2421,
  [3811] = 2054,
  [3812] = 1131,
  [3813] = 2422,
  [3814] = 2421,
  [3815] = 2449,
  [3816] = 2825,
  [3817] = 2808,
  [3818] = 3818,
  [3819] = 3004,
  [3820] = 2137,
  [3821] = 2527,
  [3822] = 2521,
  [3823] = 2568,
  [3824] = 2294,
  [3825] = 2601,
  [3826] = 3203,
  [3827] = 2565,
  [3828] = 2594,
  [3829] = 2564,
  [3830] = 3224,
  [3831] = 3422,
  [3832] = 2854,
  [3833] = 2826,
  [3834] = 2322,
  [3835] = 2299,
  [3836] = 3818,
  [3837] = 3185,
  [3838] = 1132,
  [3839] = 3183,
  [3840] = 2513,
  [3841] = 2935,
  [3842] = 3842,
  [3843] = 3423,
  [3844] = 2892,
  [3845] = 3223,
  [3846] = 2978,
  [3847] = 2891,
  [3848] = 3196,
  [3849] = 2456,
  [3850] = 3197,
  [3851] = 2953,
  [3852] = 3198,
  [3853] = 3818,
  [3854] = 2783,
  [3855] = 3199,
  [3856] = 2835,
  [3857] = 2889,
  [3858] = 3200,
  [3859] = 3201,
  [3860] = 3202,
  [3861] = 2864,
  [3862] = 3220,
  [3863] = 2917,
  [3864] = 3218,
  [3865] = 3226,
  [3866] = 3160,
  [3867] = 2845,
  [3868] = 2845,
  [3869] = 3226,
  [3870] = 2889,
  [3871] = 2835,
  [3872] = 2826,
  [3873] = 2994,
  [3874] = 3197,
  [3875] = 2993,
  [3876] = 2989,
  [3877] = 2975,
  [3878] = 2417,
  [3879] = 3818,
  [3880] = 3368,
  [3881] = 2893,
  [3882] = 3818,
  [3883] = 2285,
  [3884] = 2997,
  [3885] = 2408,
  [3886] = 2343,
  [3887] = 3203,
  [3888] = 1995,
  [3889] = 3842,
  [3890] = 2814,
  [3891] = 2563,
  [3892] = 2887,
  [3893] = 2458,
  [3894] = 2459,
  [3895] = 2893,
  [3896] = 3425,
  [3897] = 2109,
  [3898] = 2470,
  [3899] = 3368,
  [3900] = 3818,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3842,
  [3904] = 2953,
  [3905] = 2065,
  [3906] = 1995,
  [3907] = 3160,
  [3908] = 3321,
  [3909] = 3244,
  [3910] = 2301,
  [3911] = 3321,
  [3912] = 3244,
  [3913] = 2054,
  [3914] = 3224,
  [3915] = 3901,
  [3916] = 2688,
  [3917] = 2471,
  [3918] = 3185,
  [3919] = 2143,
  [3920] = 3222,
  [3921] = 2875,
  [3922] = 2893,
  [3923] = 2893,
  [3924] = 2484,
  [3925] = 2857,
  [3926] = 3183,
  [3927] = 2522,
  [3928] = 2238,
  [3929] = 2131,
  [3930] = 2133,
  [3931] = 3818,
  [3932] = 2857,
  [3933] = 2481,
  [3934] = 2523,
  [3935] = 3818,
  [3936] = 2232,
  [3937] = 2357,
  [3938] = 3196,
  [3939] = 2063,
  [3940] = 2917,
  [3941] = 2192,
  [3942] = 3218,
  [3943] = 3222,
  [3944] = 3944,
  [3945] = 3818,
  [3946] = 2354,
  [3947] = 2935,
  [3948] = 3223,
  [3949] = 2351,
  [3950] = 3818,
  [3951] = 2324,
  [3952] = 2892,
  [3953] = 3220,
  [3954] = 2864,
  [3955] = 3818,
  [3956] = 3202,
  [3957] = 3201,
  [3958] = 3200,
  [3959] = 3199,
  [3960] = 3198,
  [3961] = 2879,
  [3962] = 2896,
  [3963] = 2905,
  [3964] = 2065,
  [3965] = 2071,
  [3966] = 3966,
  [3967] = 2599,
  [3968] = 2908,
  [3969] = 2910,
  [3970] = 2067,
  [3971] = 2301,
  [3972] = 3972,
  [3973] = 2911,
  [3974] = 2920,
  [3975] = 3975,
  [3976] = 2921,
  [3977] = 2054,
  [3978] = 3978,
  [3979] = 2352,
  [3980] = 3966,
  [3981] = 2353,
  [3982] = 2322,
  [3983] = 2315,
  [3984] = 2316,
  [3985] = 2317,
  [3986] = 2355,
  [3987] = 3972,
  [3988] = 2083,
  [3989] = 2893,
  [3990] = 2337,
  [3991] = 2318,
  [3992] = 2961,
  [3993] = 2928,
  [3994] = 2356,
  [3995] = 2476,
  [3996] = 2843,
  [3997] = 153,
  [3998] = 153,
  [3999] = 3999,
  [4000] = 2073,
  [4001] = 2358,
  [4002] = 2068,
  [4003] = 2057,
  [4004] = 2919,
  [4005] = 2359,
  [4006] = 2856,
  [4007] = 2563,
  [4008] = 3966,
  [4009] = 2959,
  [4010] = 3975,
  [4011] = 3425,
  [4012] = 2330,
  [4013] = 2973,
  [4014] = 2997,
  [4015] = 3999,
  [4016] = 2284,
  [4017] = 2067,
  [4018] = 2362,
  [4019] = 3966,
  [4020] = 2070,
  [4021] = 2334,
  [4022] = 2925,
  [4023] = 2926,
  [4024] = 2082,
  [4025] = 2927,
  [4026] = 2887,
  [4027] = 2086,
  [4028] = 2476,
  [4029] = 4029,
  [4030] = 1132,
  [4031] = 3975,
  [4032] = 3972,
  [4033] = 2893,
  [4034] = 2059,
  [4035] = 3966,
  [4036] = 2931,
  [4037] = 3999,
  [4038] = 2891,
  [4039] = 4029,
  [4040] = 2900,
  [4041] = 2059,
  [4042] = 2056,
  [4043] = 2688,
  [4044] = 3978,
  [4045] = 2929,
  [4046] = 2310,
  [4047] = 2335,
  [4048] = 2071,
  [4049] = 2336,
  [4050] = 2338,
  [4051] = 2062,
  [4052] = 3999,
  [4053] = 3978,
  [4054] = 2063,
  [4055] = 2953,
  [4056] = 3999,
  [4057] = 2866,
  [4058] = 2319,
  [4059] = 3972,
  [4060] = 3966,
  [4061] = 3975,
  [4062] = 2307,
  [4063] = 2983,
  [4064] = 4064,
  [4065] = 2933,
  [4066] = 2868,
  [4067] = 2365,
  [4068] = 2869,
  [4069] = 2934,
  [4070] = 2288,
  [4071] = 2942,
  [4072] = 2870,
  [4073] = 2871,
  [4074] = 2472,
  [4075] = 2290,
  [4076] = 2056,
  [4077] = 4029,
  [4078] = 2904,
  [4079] = 2907,
  [4080] = 2977,
  [4081] = 2472,
  [4082] = 2903,
  [4083] = 2295,
  [4084] = 2738,
  [4085] = 2339,
  [4086] = 3425,
  [4087] = 2943,
  [4088] = 2341,
  [4089] = 154,
  [4090] = 2061,
  [4091] = 3999,
  [4092] = 2828,
  [4093] = 2058,
  [4094] = 2055,
  [4095] = 2513,
  [4096] = 2948,
  [4097] = 2912,
  [4098] = 3972,
  [4099] = 2825,
  [4100] = 2579,
  [4101] = 4064,
  [4102] = 2055,
  [4103] = 3975,
  [4104] = 2568,
  [4105] = 2565,
  [4106] = 2564,
  [4107] = 2906,
  [4108] = 2898,
  [4109] = 3108,
  [4110] = 3975,
  [4111] = 2875,
  [4112] = 2342,
  [4113] = 4113,
  [4114] = 2476,
  [4115] = 2291,
  [4116] = 3244,
  [4117] = 2292,
  [4118] = 2293,
  [4119] = 4119,
  [4120] = 2951,
  [4121] = 3321,
  [4122] = 2283,
  [4123] = 2975,
  [4124] = 2062,
  [4125] = 3368,
  [4126] = 2989,
  [4127] = 2084,
  [4128] = 2893,
  [4129] = 2935,
  [4130] = 2298,
  [4131] = 3978,
  [4132] = 2972,
  [4133] = 2922,
  [4134] = 2960,
  [4135] = 2949,
  [4136] = 3975,
  [4137] = 2970,
  [4138] = 2324,
  [4139] = 2070,
  [4140] = 2069,
  [4141] = 2993,
  [4142] = 3978,
  [4143] = 2522,
  [4144] = 2523,
  [4145] = 1131,
  [4146] = 2982,
  [4147] = 2996,
  [4148] = 2069,
  [4149] = 2557,
  [4150] = 2969,
  [4151] = 2917,
  [4152] = 3972,
  [4153] = 2990,
  [4154] = 154,
  [4155] = 3975,
  [4156] = 2737,
  [4157] = 2994,
  [4158] = 2527,
  [4159] = 2058,
  [4160] = 2521,
  [4161] = 2965,
  [4162] = 4029,
  [4163] = 2558,
  [4164] = 2894,
  [4165] = 3004,
  [4166] = 2601,
  [4167] = 2061,
  [4168] = 2594,
  [4169] = 2916,
  [4170] = 4170,
  [4171] = 2978,
  [4172] = 3978,
  [4173] = 2073,
  [4174] = 2854,
  [4175] = 4029,
  [4176] = 2068,
  [4177] = 2064,
  [4178] = 2066,
  [4179] = 3975,
  [4180] = 2064,
  [4181] = 2992,
  [4182] = 2066,
  [4183] = 2991,
  [4184] = 2057,
  [4185] = 2908,
  [4186] = 2977,
  [4187] = 2067,
  [4188] = 2537,
  [4189] = 2911,
  [4190] = 4190,
  [4191] = 4064,
  [4192] = 2536,
  [4193] = 2953,
  [4194] = 2961,
  [4195] = 3220,
  [4196] = 2927,
  [4197] = 2131,
  [4198] = 2071,
  [4199] = 2133,
  [4200] = 3425,
  [4201] = 2975,
  [4202] = 2942,
  [4203] = 2989,
  [4204] = 2991,
  [4205] = 2951,
  [4206] = 2993,
  [4207] = 2992,
  [4208] = 2903,
  [4209] = 2892,
  [4210] = 2879,
  [4211] = 2889,
  [4212] = 2994,
  [4213] = 4064,
  [4214] = 1131,
  [4215] = 2943,
  [4216] = 3224,
  [4217] = 3160,
  [4218] = 2864,
  [4219] = 2983,
  [4220] = 3004,
  [4221] = 2965,
  [4222] = 2143,
  [4223] = 2109,
  [4224] = 2978,
  [4225] = 3550,
  [4226] = 3425,
  [4227] = 2949,
  [4228] = 3202,
  [4229] = 2541,
  [4230] = 153,
  [4231] = 2143,
  [4232] = 2083,
  [4233] = 2828,
  [4234] = 2959,
  [4235] = 2537,
  [4236] = 2972,
  [4237] = 2835,
  [4238] = 3089,
  [4239] = 4239,
  [4240] = 2086,
  [4241] = 2896,
  [4242] = 2082,
  [4243] = 2070,
  [4244] = 3201,
  [4245] = 3200,
  [4246] = 2868,
  [4247] = 3185,
  [4248] = 1995,
  [4249] = 3199,
  [4250] = 2073,
  [4251] = 2894,
  [4252] = 3198,
  [4253] = 2900,
  [4254] = 2068,
  [4255] = 2916,
  [4256] = 3196,
  [4257] = 2057,
  [4258] = 2084,
  [4259] = 3222,
  [4260] = 2069,
  [4261] = 2540,
  [4262] = 2520,
  [4263] = 3223,
  [4264] = 2934,
  [4265] = 2907,
  [4266] = 2922,
  [4267] = 2906,
  [4268] = 2137,
  [4269] = 3183,
  [4270] = 2536,
  [4271] = 2928,
  [4272] = 2322,
  [4273] = 2905,
  [4274] = 2931,
  [4275] = 2919,
  [4276] = 2109,
  [4277] = 2904,
  [4278] = 2061,
  [4279] = 2973,
  [4280] = 2533,
  [4281] = 3197,
  [4282] = 2921,
  [4283] = 2062,
  [4284] = 2920,
  [4285] = 2910,
  [4286] = 2079,
  [4287] = 2059,
  [4288] = 2540,
  [4289] = 2056,
  [4290] = 2542,
  [4291] = 2542,
  [4292] = 2541,
  [4293] = 2925,
  [4294] = 2926,
  [4295] = 3442,
  [4296] = 2137,
  [4297] = 3766,
  [4298] = 2058,
  [4299] = 4170,
  [4300] = 2518,
  [4301] = 2948,
  [4302] = 2912,
  [4303] = 2935,
  [4304] = 154,
  [4305] = 2856,
  [4306] = 2843,
  [4307] = 3456,
  [4308] = 2898,
  [4309] = 3425,
  [4310] = 2917,
  [4311] = 2845,
  [4312] = 2871,
  [4313] = 2996,
  [4314] = 2870,
  [4315] = 2969,
  [4316] = 1132,
  [4317] = 2929,
  [4318] = 2970,
  [4319] = 2533,
  [4320] = 3226,
  [4321] = 2520,
  [4322] = 2869,
  [4323] = 2960,
  [4324] = 4324,
  [4325] = 2826,
  [4326] = 2982,
  [4327] = 3203,
  [4328] = 2933,
  [4329] = 2990,
  [4330] = 2997,
  [4331] = 3218,
  [4332] = 2064,
  [4333] = 2814,
  [4334] = 2066,
  [4335] = 2055,
  [4336] = 2866,
  [4337] = 2737,
  [4338] = 4064,
  [4339] = 1989,
  [4340] = 2738,
  [4341] = 3368,
  [4342] = 1995,
  [4343] = 4064,
  [4344] = 2086,
  [4345] = 3244,
  [4346] = 2737,
  [4347] = 4064,
  [4348] = 2229,
  [4349] = 4349,
  [4350] = 2301,
  [4351] = 2143,
  [4352] = 1993,
  [4353] = 2199,
  [4354] = 2083,
  [4355] = 1990,
  [4356] = 3321,
  [4357] = 2324,
  [4358] = 1991,
  [4359] = 2079,
  [4360] = 2854,
  [4361] = 2160,
  [4362] = 2162,
  [4363] = 2738,
  [4364] = 1988,
  [4365] = 1992,
  [4366] = 1994,
  [4367] = 4064,
  [4368] = 2814,
  [4369] = 2084,
  [4370] = 2518,
  [4371] = 4064,
  [4372] = 2082,
  [4373] = 4064,
  [4374] = 2133,
  [4375] = 2476,
  [4376] = 2131,
  [4377] = 2137,
  [4378] = 4064,
  [4379] = 4064,
  [4380] = 153,
  [4381] = 2911,
  [4382] = 2990,
  [4383] = 2965,
  [4384] = 2972,
  [4385] = 2982,
  [4386] = 2083,
  [4387] = 2854,
  [4388] = 2996,
  [4389] = 2903,
  [4390] = 2928,
  [4391] = 2542,
  [4392] = 2960,
  [4393] = 2896,
  [4394] = 2537,
  [4395] = 2285,
  [4396] = 154,
  [4397] = 2894,
  [4398] = 2916,
  [4399] = 4064,
  [4400] = 2067,
  [4401] = 2055,
  [4402] = 2828,
  [4403] = 2061,
  [4404] = 2898,
  [4405] = 2906,
  [4406] = 2969,
  [4407] = 2086,
  [4408] = 2083,
  [4409] = 2536,
  [4410] = 2970,
  [4411] = 2476,
  [4412] = 2826,
  [4413] = 2137,
  [4414] = 2942,
  [4415] = 2912,
  [4416] = 2961,
  [4417] = 2062,
  [4418] = 2948,
  [4419] = 2086,
  [4420] = 2058,
  [4421] = 2064,
  [4422] = 4064,
  [4423] = 2845,
  [4424] = 2533,
  [4425] = 2066,
  [4426] = 2071,
  [4427] = 2541,
  [4428] = 1987,
  [4429] = 2520,
  [4430] = 2059,
  [4431] = 2931,
  [4432] = 2079,
  [4433] = 4064,
  [4434] = 2864,
  [4435] = 2879,
  [4436] = 2540,
  [4437] = 2132,
  [4438] = 2069,
  [4439] = 2959,
  [4440] = 2951,
  [4441] = 2073,
  [4442] = 2056,
  [4443] = 2068,
  [4444] = 2070,
  [4445] = 2057,
  [4446] = 2138,
  [4447] = 2082,
  [4448] = 2949,
  [4449] = 2086,
  [4450] = 2084,
  [4451] = 2082,
  [4452] = 2943,
  [4453] = 2934,
  [4454] = 2973,
  [4455] = 2919,
  [4456] = 2942,
  [4457] = 2931,
  [4458] = 2983,
  [4459] = 2137,
  [4460] = 2928,
  [4461] = 2143,
  [4462] = 2892,
  [4463] = 2083,
  [4464] = 2960,
  [4465] = 2084,
  [4466] = 2910,
  [4467] = 2143,
  [4468] = 2147,
  [4469] = 2927,
  [4470] = 2908,
  [4471] = 2926,
  [4472] = 2925,
  [4473] = 2900,
  [4474] = 2904,
  [4475] = 2835,
  [4476] = 4064,
  [4477] = 2921,
  [4478] = 2920,
  [4479] = 2136,
  [4480] = 2889,
  [4481] = 2959,
  [4482] = 2894,
  [4483] = 2052,
  [4484] = 2919,
  [4485] = 2948,
  [4486] = 2925,
  [4487] = 2926,
  [4488] = 2912,
  [4489] = 1993,
  [4490] = 2927,
  [4491] = 1989,
  [4492] = 2082,
  [4493] = 1990,
  [4494] = 2738,
  [4495] = 2916,
  [4496] = 2738,
  [4497] = 4064,
  [4498] = 1991,
  [4499] = 2990,
  [4500] = 2896,
  [4501] = 2921,
  [4502] = 2920,
  [4503] = 2965,
  [4504] = 2229,
  [4505] = 1988,
  [4506] = 2327,
  [4507] = 4064,
  [4508] = 3766,
  [4509] = 2737,
  [4510] = 2162,
  [4511] = 1992,
  [4512] = 2083,
  [4513] = 2160,
  [4514] = 1994,
  [4515] = 2199,
  [4516] = 2348,
  [4517] = 2973,
  [4518] = 2911,
  [4519] = 2961,
  [4520] = 2951,
  [4521] = 2086,
  [4522] = 2910,
  [4523] = 2906,
  [4524] = 2908,
  [4525] = 2518,
  [4526] = 2348,
  [4527] = 2898,
  [4528] = 2903,
  [4529] = 2327,
  [4530] = 2949,
  [4531] = 2084,
  [4532] = 2969,
  [4533] = 2322,
  [4534] = 2737,
  [4535] = 2904,
  [4536] = 2972,
  [4537] = 2970,
  [4538] = 2900,
  [4539] = 2982,
  [4540] = 4540,
  [4541] = 2449,
  [4542] = 4542,
  [4543] = 2558,
  [4544] = 2579,
  [4545] = 2421,
  [4546] = 2557,
  [4547] = 2136,
  [4548] = 2136,
  [4549] = 2147,
  [4550] = 2481,
  [4551] = 1995,
  [4552] = 2285,
  [4553] = 2417,
  [4554] = 2459,
  [4555] = 2458,
  [4556] = 2484,
  [4557] = 2449,
  [4558] = 2476,
  [4559] = 2138,
  [4560] = 2456,
  [4561] = 2408,
  [4562] = 2471,
  [4563] = 2470,
  [4564] = 2458,
  [4565] = 4565,
  [4566] = 2456,
  [4567] = 2132,
  [4568] = 2422,
  [4569] = 4569,
  [4570] = 4565,
  [4571] = 2408,
  [4572] = 2599,
  [4573] = 2417,
  [4574] = 4113,
  [4575] = 4569,
  [4576] = 2421,
  [4577] = 2422,
  [4578] = 2484,
  [4579] = 4565,
  [4580] = 4580,
  [4581] = 2481,
  [4582] = 2147,
  [4583] = 2470,
  [4584] = 4119,
  [4585] = 2132,
  [4586] = 4569,
  [4587] = 2459,
  [4588] = 2471,
  [4589] = 2138,
  [4590] = 4590,
  [4591] = 4590,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4593,
  [4595] = 4592,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4593,
  [4599] = 4592,
  [4600] = 4590,
  [4601] = 2192,
  [4602] = 4593,
  [4603] = 2137,
  [4604] = 4592,
  [4605] = 4593,
  [4606] = 4590,
  [4607] = 4607,
  [4608] = 4064,
  [4609] = 4596,
  [4610] = 4596,
  [4611] = 4597,
  [4612] = 4612,
  [4613] = 4612,
  [4614] = 4064,
  [4615] = 4615,
  [4616] = 3766,
  [4617] = 4596,
  [4618] = 4615,
  [4619] = 4590,
  [4620] = 4615,
  [4621] = 4597,
  [4622] = 2299,
  [4623] = 4596,
  [4624] = 4597,
  [4625] = 4592,
  [4626] = 4597,
  [4627] = 4615,
  [4628] = 4596,
  [4629] = 4590,
  [4630] = 4592,
  [4631] = 2143,
  [4632] = 4565,
  [4633] = 4612,
  [4634] = 4612,
  [4635] = 4635,
  [4636] = 2351,
  [4637] = 4612,
  [4638] = 4593,
  [4639] = 4597,
  [4640] = 4590,
  [4641] = 2294,
  [4642] = 4635,
  [4643] = 2354,
  [4644] = 4612,
  [4645] = 4635,
  [4646] = 4597,
  [4647] = 4597,
  [4648] = 4635,
  [4649] = 2357,
  [4650] = 4635,
  [4651] = 4612,
  [4652] = 4615,
  [4653] = 4592,
  [4654] = 2348,
  [4655] = 4590,
  [4656] = 4590,
  [4657] = 4612,
  [4658] = 2232,
  [4659] = 4597,
  [4660] = 4592,
  [4661] = 2327,
  [4662] = 4597,
  [4663] = 2343,
  [4664] = 4635,
  [4665] = 4064,
  [4666] = 4590,
  [4667] = 4635,
  [4668] = 4612,
  [4669] = 4635,
  [4670] = 4590,
  [4671] = 4612,
  [4672] = 4597,
  [4673] = 4569,
  [4674] = 1987,
  [4675] = 4064,
  [4676] = 4592,
  [4677] = 4593,
  [4678] = 4615,
  [4679] = 4615,
  [4680] = 4592,
  [4681] = 4615,
  [4682] = 4635,
  [4683] = 4592,
  [4684] = 4684,
  [4685] = 4612,
  [4686] = 4635,
  [4687] = 4593,
  [4688] = 4635,
  [4689] = 4597,
  [4690] = 4596,
  [4691] = 2238,
  [4692] = 4596,
  [4693] = 2456,
  [4694] = 2481,
  [4695] = 4695,
  [4696] = 2417,
  [4697] = 2408,
  [4698] = 4695,
  [4699] = 2422,
  [4700] = 4695,
  [4701] = 4695,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 2138,
  [4705] = 2449,
  [4706] = 2342,
  [4707] = 2341,
  [4708] = 2365,
  [4709] = 2339,
  [4710] = 4565,
  [4711] = 2362,
  [4712] = 2338,
  [4713] = 2284,
  [4714] = 2336,
  [4715] = 2335,
  [4716] = 2359,
  [4717] = 2458,
  [4718] = 2459,
  [4719] = 2358,
  [4720] = 2356,
  [4721] = 2355,
  [4722] = 4695,
  [4723] = 2353,
  [4724] = 2352,
  [4725] = 2738,
  [4726] = 2737,
  [4727] = 4695,
  [4728] = 4695,
  [4729] = 4695,
  [4730] = 2330,
  [4731] = 2334,
  [4732] = 4732,
  [4733] = 2318,
  [4734] = 2421,
  [4735] = 2484,
  [4736] = 1995,
  [4737] = 4569,
  [4738] = 2317,
  [4739] = 2316,
  [4740] = 2315,
  [4741] = 4695,
  [4742] = 2310,
  [4743] = 2737,
  [4744] = 2319,
  [4745] = 2147,
  [4746] = 2470,
  [4747] = 2136,
  [4748] = 2307,
  [4749] = 2471,
  [4750] = 2109,
  [4751] = 4565,
  [4752] = 4695,
  [4753] = 4695,
  [4754] = 2738,
  [4755] = 4695,
  [4756] = 4569,
  [4757] = 4695,
  [4758] = 2298,
  [4759] = 2132,
  [4760] = 2288,
  [4761] = 2283,
  [4762] = 4695,
  [4763] = 2290,
  [4764] = 2291,
  [4765] = 2293,
  [4766] = 2292,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 3218,
  [4770] = 4770,
  [4771] = 4770,
  [4772] = 2996,
  [4773] = 4773,
  [4774] = 3160,
  [4775] = 4775,
  [4776] = 2943,
  [4777] = 2983,
  [4778] = 4778,
  [4779] = 4775,
  [4780] = 3220,
  [4781] = 4767,
  [4782] = 4770,
  [4783] = 4770,
  [4784] = 4767,
  [4785] = 2934,
  [4786] = 3222,
  [4787] = 4775,
  [4788] = 4767,
  [4789] = 3202,
  [4790] = 3201,
  [4791] = 3200,
  [4792] = 2192,
  [4793] = 3203,
  [4794] = 3199,
  [4795] = 3223,
  [4796] = 2343,
  [4797] = 4565,
  [4798] = 2232,
  [4799] = 4775,
  [4800] = 3198,
  [4801] = 3197,
  [4802] = 4768,
  [4803] = 4569,
  [4804] = 4770,
  [4805] = 3226,
  [4806] = 4767,
  [4807] = 4540,
  [4808] = 4775,
  [4809] = 2357,
  [4810] = 2899,
  [4811] = 2354,
  [4812] = 4770,
  [4813] = 2238,
  [4814] = 2351,
  [4815] = 2923,
  [4816] = 3183,
  [4817] = 3196,
  [4818] = 4767,
  [4819] = 2147,
  [4820] = 2132,
  [4821] = 2138,
  [4822] = 3224,
  [4823] = 3185,
  [4824] = 2299,
  [4825] = 4775,
  [4826] = 2136,
  [4827] = 2294,
  [4828] = 3368,
  [4829] = 2338,
  [4830] = 2557,
  [4831] = 3321,
  [4832] = 2283,
  [4833] = 2293,
  [4834] = 2292,
  [4835] = 2291,
  [4836] = 2298,
  [4837] = 1987,
  [4838] = 2290,
  [4839] = 2288,
  [4840] = 2337,
  [4841] = 2579,
  [4842] = 3975,
  [4843] = 2334,
  [4844] = 2557,
  [4845] = 2330,
  [4846] = 4569,
  [4847] = 2318,
  [4848] = 2317,
  [4849] = 2319,
  [4850] = 2310,
  [4851] = 4565,
  [4852] = 2316,
  [4853] = 2315,
  [4854] = 2335,
  [4855] = 3244,
  [4856] = 2472,
  [4857] = 3975,
  [4858] = 2358,
  [4859] = 2359,
  [4860] = 2342,
  [4861] = 2284,
  [4862] = 2579,
  [4863] = 2341,
  [4864] = 2362,
  [4865] = 2558,
  [4866] = 2307,
  [4867] = 2352,
  [4868] = 2353,
  [4869] = 2599,
  [4870] = 2558,
  [4871] = 2339,
  [4872] = 2599,
  [4873] = 2336,
  [4874] = 2365,
  [4875] = 2355,
  [4876] = 2356,
  [4877] = 4877,
  [4878] = 273,
  [4879] = 2879,
  [4880] = 4880,
  [4881] = 4877,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4882,
  [4885] = 3203,
  [4886] = 4886,
  [4887] = 2828,
  [4888] = 4773,
  [4889] = 3224,
  [4890] = 3226,
  [4891] = 4883,
  [4892] = 4886,
  [4893] = 4883,
  [4894] = 4883,
  [4895] = 3185,
  [4896] = 2814,
  [4897] = 2892,
  [4898] = 4883,
  [4899] = 3223,
  [4900] = 4880,
  [4901] = 3183,
  [4902] = 4877,
  [4903] = 3222,
  [4904] = 3220,
  [4905] = 4880,
  [4906] = 4882,
  [4907] = 2864,
  [4908] = 4908,
  [4909] = 4877,
  [4910] = 4880,
  [4911] = 4911,
  [4912] = 4883,
  [4913] = 3196,
  [4914] = 3197,
  [4915] = 3198,
  [4916] = 3199,
  [4917] = 3200,
  [4918] = 3201,
  [4919] = 1995,
  [4920] = 3202,
  [4921] = 4911,
  [4922] = 2828,
  [4923] = 4886,
  [4924] = 3218,
  [4925] = 2738,
  [4926] = 4882,
  [4927] = 4877,
  [4928] = 3244,
  [4929] = 2737,
  [4930] = 3160,
  [4931] = 4882,
  [4932] = 2879,
  [4933] = 4908,
  [4934] = 4882,
  [4935] = 2845,
  [4936] = 2835,
  [4937] = 2889,
  [4938] = 4883,
  [4939] = 4883,
  [4940] = 2826,
  [4941] = 4880,
  [4942] = 4877,
  [4943] = 4908,
  [4944] = 4877,
  [4945] = 4880,
  [4946] = 3368,
  [4947] = 401,
  [4948] = 2003,
  [4949] = 3321,
  [4950] = 4565,
  [4951] = 288,
  [4952] = 4569,
  [4953] = 4953,
  [4954] = 4886,
  [4955] = 4882,
  [4956] = 377,
  [4957] = 4880,
  [4958] = 335,
  [4959] = 4877,
  [4960] = 4911,
  [4961] = 4882,
  [4962] = 334,
  [4963] = 4880,
  [4964] = 3185,
  [4965] = 4908,
  [4966] = 3202,
  [4967] = 3201,
  [4968] = 3200,
  [4969] = 3199,
  [4970] = 4565,
  [4971] = 2476,
  [4972] = 3060,
  [4973] = 4973,
  [4974] = 3224,
  [4975] = 3160,
  [4976] = 4911,
  [4977] = 3198,
  [4978] = 3196,
  [4979] = 3082,
  [4980] = 3222,
  [4981] = 3218,
  [4982] = 4569,
  [4983] = 4703,
  [4984] = 1987,
  [4985] = 4702,
  [4986] = 2322,
  [4987] = 2854,
  [4988] = 2143,
  [4989] = 3368,
  [4990] = 2476,
  [4991] = 3197,
  [4992] = 3089,
  [4993] = 3226,
  [4994] = 3244,
  [4995] = 3203,
  [4996] = 4996,
  [4997] = 3220,
  [4998] = 3321,
  [4999] = 3183,
  [5000] = 3223,
  [5001] = 2137,
  [5002] = 4565,
  [5003] = 2926,
  [5004] = 5004,
  [5005] = 5004,
  [5006] = 5006,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 5004,
  [5010] = 5010,
  [5011] = 5008,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 3218,
  [5015] = 5013,
  [5016] = 4908,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5013,
  [5020] = 5013,
  [5021] = 5013,
  [5022] = 2079,
  [5023] = 5023,
  [5024] = 5013,
  [5025] = 153,
  [5026] = 5008,
  [5027] = 2067,
  [5028] = 2879,
  [5029] = 5004,
  [5030] = 5013,
  [5031] = 2324,
  [5032] = 2071,
  [5033] = 2973,
  [5034] = 2896,
  [5035] = 5018,
  [5036] = 2919,
  [5037] = 5037,
  [5038] = 2900,
  [5039] = 5039,
  [5040] = 5012,
  [5041] = 2904,
  [5042] = 2073,
  [5043] = 2068,
  [5044] = 2057,
  [5045] = 2828,
  [5046] = 5018,
  [5047] = 5018,
  [5048] = 2959,
  [5049] = 5049,
  [5050] = 2908,
  [5051] = 2910,
  [5052] = 5013,
  [5053] = 2961,
  [5054] = 5008,
  [5055] = 5004,
  [5056] = 5017,
  [5057] = 4953,
  [5058] = 3160,
  [5059] = 5013,
  [5060] = 4569,
  [5061] = 2931,
  [5062] = 4908,
  [5063] = 5063,
  [5064] = 2928,
  [5065] = 4911,
  [5066] = 2920,
  [5067] = 2921,
  [5068] = 4911,
  [5069] = 2070,
  [5070] = 2903,
  [5071] = 2949,
  [5072] = 2069,
  [5073] = 5012,
  [5074] = 5017,
  [5075] = 5008,
  [5076] = 5012,
  [5077] = 5012,
  [5078] = 5078,
  [5079] = 2894,
  [5080] = 2301,
  [5081] = 5081,
  [5082] = 2911,
  [5083] = 5013,
  [5084] = 5037,
  [5085] = 4565,
  [5086] = 2066,
  [5087] = 2064,
  [5088] = 5008,
  [5089] = 5018,
  [5090] = 5090,
  [5091] = 2972,
  [5092] = 5013,
  [5093] = 2925,
  [5094] = 3185,
  [5095] = 5095,
  [5096] = 2943,
  [5097] = 3226,
  [5098] = 3220,
  [5099] = 5013,
  [5100] = 5018,
  [5101] = 2927,
  [5102] = 5013,
  [5103] = 5008,
  [5104] = 5004,
  [5105] = 5012,
  [5106] = 2934,
  [5107] = 5013,
  [5108] = 2996,
  [5109] = 3202,
  [5110] = 5004,
  [5111] = 5018,
  [5112] = 3201,
  [5113] = 5013,
  [5114] = 5013,
  [5115] = 5115,
  [5116] = 2965,
  [5117] = 3200,
  [5118] = 5013,
  [5119] = 3199,
  [5120] = 3198,
  [5121] = 2055,
  [5122] = 2058,
  [5123] = 3197,
  [5124] = 2061,
  [5125] = 3196,
  [5126] = 3222,
  [5127] = 5013,
  [5128] = 3224,
  [5129] = 3223,
  [5130] = 2983,
  [5131] = 5012,
  [5132] = 2056,
  [5133] = 2059,
  [5134] = 5134,
  [5135] = 2990,
  [5136] = 2982,
  [5137] = 5137,
  [5138] = 2960,
  [5139] = 5018,
  [5140] = 2969,
  [5141] = 2970,
  [5142] = 2898,
  [5143] = 5143,
  [5144] = 2067,
  [5145] = 5018,
  [5146] = 3183,
  [5147] = 2071,
  [5148] = 5115,
  [5149] = 2062,
  [5150] = 2073,
  [5151] = 5078,
  [5152] = 2068,
  [5153] = 2057,
  [5154] = 2912,
  [5155] = 2062,
  [5156] = 2906,
  [5157] = 5017,
  [5158] = 5013,
  [5159] = 4953,
  [5160] = 2558,
  [5161] = 2948,
  [5162] = 5012,
  [5163] = 2557,
  [5164] = 2070,
  [5165] = 2069,
  [5166] = 2916,
  [5167] = 2942,
  [5168] = 5143,
  [5169] = 5008,
  [5170] = 2059,
  [5171] = 2056,
  [5172] = 5172,
  [5173] = 2055,
  [5174] = 154,
  [5175] = 154,
  [5176] = 153,
  [5177] = 5004,
  [5178] = 4569,
  [5179] = 2064,
  [5180] = 2061,
  [5181] = 2951,
  [5182] = 2058,
  [5183] = 3203,
  [5184] = 2579,
  [5185] = 5004,
  [5186] = 2599,
  [5187] = 5187,
  [5188] = 2066,
  [5189] = 3223,
  [5190] = 5190,
  [5191] = 2322,
  [5192] = 4973,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5194,
  [5196] = 3183,
  [5197] = 3160,
  [5198] = 3218,
  [5199] = 2892,
  [5200] = 5200,
  [5201] = 5201,
  [5202] = 3220,
  [5203] = 2892,
  [5204] = 5194,
  [5205] = 2864,
  [5206] = 3202,
  [5207] = 3201,
  [5208] = 3200,
  [5209] = 3223,
  [5210] = 3222,
  [5211] = 3196,
  [5212] = 3197,
  [5213] = 3199,
  [5214] = 3198,
  [5215] = 3199,
  [5216] = 3200,
  [5217] = 3201,
  [5218] = 3202,
  [5219] = 2864,
  [5220] = 3220,
  [5221] = 3198,
  [5222] = 3197,
  [5223] = 3196,
  [5224] = 4569,
  [5225] = 3222,
  [5226] = 3224,
  [5227] = 3226,
  [5228] = 4565,
  [5229] = 3223,
  [5230] = 5081,
  [5231] = 3901,
  [5232] = 5194,
  [5233] = 3183,
  [5234] = 4773,
  [5235] = 5200,
  [5236] = 3218,
  [5237] = 5193,
  [5238] = 3185,
  [5239] = 3224,
  [5240] = 3203,
  [5241] = 3368,
  [5242] = 2814,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 3160,
  [5246] = 2845,
  [5247] = 5194,
  [5248] = 5194,
  [5249] = 5249,
  [5250] = 2889,
  [5251] = 2835,
  [5252] = 5200,
  [5253] = 2826,
  [5254] = 5194,
  [5255] = 1995,
  [5256] = 5256,
  [5257] = 3203,
  [5258] = 5258,
  [5259] = 5194,
  [5260] = 5201,
  [5261] = 5193,
  [5262] = 3226,
  [5263] = 5194,
  [5264] = 3185,
  [5265] = 3321,
  [5266] = 2845,
  [5267] = 3226,
  [5268] = 5200,
  [5269] = 2889,
  [5270] = 2835,
  [5271] = 5271,
  [5272] = 3203,
  [5273] = 2826,
  [5274] = 3224,
  [5275] = 4565,
  [5276] = 5276,
  [5277] = 3185,
  [5278] = 3183,
  [5279] = 4569,
  [5280] = 3222,
  [5281] = 3196,
  [5282] = 3244,
  [5283] = 5194,
  [5284] = 3198,
  [5285] = 3199,
  [5286] = 3200,
  [5287] = 3201,
  [5288] = 3202,
  [5289] = 5190,
  [5290] = 3220,
  [5291] = 5291,
  [5292] = 5292,
  [5293] = 3218,
  [5294] = 3160,
  [5295] = 5295,
  [5296] = 5249,
  [5297] = 5297,
  [5298] = 5200,
  [5299] = 5200,
  [5300] = 5256,
  [5301] = 5301,
  [5302] = 5194,
  [5303] = 5303,
  [5304] = 5258,
  [5305] = 5305,
  [5306] = 5306,
  [5307] = 5194,
  [5308] = 5201,
  [5309] = 5193,
  [5310] = 3197,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 5314,
  [5315] = 5292,
  [5316] = 5316,
  [5317] = 5201,
  [5318] = 5200,
  [5319] = 5193,
  [5320] = 5193,
  [5321] = 5321,
  [5322] = 1995,
  [5323] = 5201,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5200,
  [5327] = 4908,
  [5328] = 5249,
  [5329] = 5256,
  [5330] = 5194,
  [5331] = 5258,
  [5332] = 5292,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 4953,
  [5337] = 4911,
  [5338] = 5193,
  [5339] = 5201,
  [5340] = 5340,
  [5341] = 5305,
  [5342] = 5194,
  [5343] = 5194,
  [5344] = 5200,
  [5345] = 5291,
  [5346] = 5346,
  [5347] = 2537,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5350,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 3321,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 5354,
  [5357] = 5354,
  [5358] = 5358,
  [5359] = 5354,
  [5360] = 5354,
  [5361] = 5354,
  [5362] = 5362,
  [5363] = 5354,
  [5364] = 5364,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 2079,
  [5368] = 2476,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5351,
  [5372] = 5350,
  [5373] = 5373,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5362,
  [5377] = 5362,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5375,
  [5381] = 2518,
  [5382] = 5375,
  [5383] = 5383,
  [5384] = 5365,
  [5385] = 5385,
  [5386] = 5386,
  [5387] = 4911,
  [5388] = 2520,
  [5389] = 5389,
  [5390] = 5358,
  [5391] = 2143,
  [5392] = 5369,
  [5393] = 5393,
  [5394] = 5375,
  [5395] = 5395,
  [5396] = 5374,
  [5397] = 2301,
  [5398] = 5374,
  [5399] = 5374,
  [5400] = 5349,
  [5401] = 5349,
  [5402] = 5402,
  [5403] = 5403,
  [5404] = 5350,
  [5405] = 5369,
  [5406] = 5351,
  [5407] = 5352,
  [5408] = 5369,
  [5409] = 5358,
  [5410] = 5410,
  [5411] = 5383,
  [5412] = 5349,
  [5413] = 5378,
  [5414] = 5350,
  [5415] = 2533,
  [5416] = 5362,
  [5417] = 5365,
  [5418] = 3244,
  [5419] = 5349,
  [5420] = 5369,
  [5421] = 5374,
  [5422] = 5378,
  [5423] = 5374,
  [5424] = 2137,
  [5425] = 5375,
  [5426] = 5358,
  [5427] = 5427,
  [5428] = 5375,
  [5429] = 5362,
  [5430] = 5362,
  [5431] = 5350,
  [5432] = 5373,
  [5433] = 2274,
  [5434] = 5434,
  [5435] = 5374,
  [5436] = 5410,
  [5437] = 5403,
  [5438] = 5383,
  [5439] = 5439,
  [5440] = 5365,
  [5441] = 2324,
  [5442] = 5374,
  [5443] = 5402,
  [5444] = 5369,
  [5445] = 5358,
  [5446] = 5358,
  [5447] = 5375,
  [5448] = 5448,
  [5449] = 3368,
  [5450] = 5362,
  [5451] = 5365,
  [5452] = 5365,
  [5453] = 2738,
  [5454] = 2737,
  [5455] = 2536,
  [5456] = 5369,
  [5457] = 5292,
  [5458] = 5351,
  [5459] = 5352,
  [5460] = 5383,
  [5461] = 5369,
  [5462] = 5383,
  [5463] = 5365,
  [5464] = 5464,
  [5465] = 5358,
  [5466] = 5374,
  [5467] = 5375,
  [5468] = 5249,
  [5469] = 5365,
  [5470] = 5256,
  [5471] = 5362,
  [5472] = 2542,
  [5473] = 5473,
  [5474] = 5365,
  [5475] = 2541,
  [5476] = 2540,
  [5477] = 5365,
  [5478] = 5350,
  [5479] = 5479,
  [5480] = 5352,
  [5481] = 5352,
  [5482] = 5378,
  [5483] = 5358,
  [5484] = 5258,
  [5485] = 5351,
  [5486] = 2854,
  [5487] = 5351,
  [5488] = 5354,
  [5489] = 5362,
  [5490] = 4908,
  [5491] = 5352,
  [5492] = 5439,
  [5493] = 5369,
  [5494] = 5365,
  [5495] = 5378,
  [5496] = 5349,
  [5497] = 5358,
  [5498] = 2919,
  [5499] = 2911,
  [5500] = 2322,
  [5501] = 2109,
  [5502] = 5502,
  [5503] = 2925,
  [5504] = 5256,
  [5505] = 5505,
  [5506] = 5256,
  [5507] = 5507,
  [5508] = 5505,
  [5509] = 2965,
  [5510] = 2983,
  [5511] = 5249,
  [5512] = 2926,
  [5513] = 2931,
  [5514] = 5514,
  [5515] = 2934,
  [5516] = 2969,
  [5517] = 2927,
  [5518] = 2970,
  [5519] = 2903,
  [5520] = 2949,
  [5521] = 5258,
  [5522] = 2972,
  [5523] = 2943,
  [5524] = 2942,
  [5525] = 5258,
  [5526] = 2921,
  [5527] = 2996,
  [5528] = 4565,
  [5529] = 2928,
  [5530] = 5530,
  [5531] = 2920,
  [5532] = 5249,
  [5533] = 5505,
  [5534] = 5534,
  [5535] = 5505,
  [5536] = 5514,
  [5537] = 2961,
  [5538] = 2973,
  [5539] = 2959,
  [5540] = 5505,
  [5541] = 5505,
  [5542] = 4569,
  [5543] = 2879,
  [5544] = 2990,
  [5545] = 2982,
  [5546] = 2951,
  [5547] = 5292,
  [5548] = 2916,
  [5549] = 2894,
  [5550] = 2960,
  [5551] = 4911,
  [5552] = 2898,
  [5553] = 2906,
  [5554] = 5292,
  [5555] = 2912,
  [5556] = 2948,
  [5557] = 2896,
  [5558] = 5505,
  [5559] = 5505,
  [5560] = 5505,
  [5561] = 2904,
  [5562] = 2900,
  [5563] = 4908,
  [5564] = 2908,
  [5565] = 2910,
  [5566] = 2828,
  [5567] = 5567,
  [5568] = 2337,
  [5569] = 2520,
  [5570] = 1994,
  [5571] = 1992,
  [5572] = 1988,
  [5573] = 1991,
  [5574] = 1990,
  [5575] = 1989,
  [5576] = 2542,
  [5577] = 2162,
  [5578] = 2541,
  [5579] = 2540,
  [5580] = 2160,
  [5581] = 1993,
  [5582] = 2537,
  [5583] = 2536,
  [5584] = 4908,
  [5585] = 2533,
  [5586] = 5249,
  [5587] = 2737,
  [5588] = 2199,
  [5589] = 2322,
  [5590] = 5514,
  [5591] = 2738,
  [5592] = 5292,
  [5593] = 2052,
  [5594] = 5594,
  [5595] = 2229,
  [5596] = 4911,
  [5597] = 2476,
  [5598] = 2875,
  [5599] = 5258,
  [5600] = 5514,
  [5601] = 2274,
  [5602] = 2295,
  [5603] = 2825,
  [5604] = 2109,
  [5605] = 5256,
  [5606] = 2887,
  [5607] = 5514,
  [5608] = 5514,
  [5609] = 2143,
  [5610] = 5514,
  [5611] = 5292,
  [5612] = 5514,
  [5613] = 5249,
  [5614] = 2137,
  [5615] = 2285,
  [5616] = 2738,
  [5617] = 2348,
  [5618] = 2109,
  [5619] = 4908,
  [5620] = 2327,
  [5621] = 5514,
  [5622] = 5530,
  [5623] = 4911,
  [5624] = 5514,
  [5625] = 5256,
  [5626] = 2137,
  [5627] = 5514,
  [5628] = 5514,
  [5629] = 2737,
  [5630] = 5567,
  [5631] = 5631,
  [5632] = 2274,
  [5633] = 2518,
  [5634] = 2143,
  [5635] = 5534,
  [5636] = 5258,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5639,
  [5640] = 2476,
  [5641] = 5637,
  [5642] = 5637,
  [5643] = 2449,
  [5644] = 5639,
  [5645] = 5645,
  [5646] = 5637,
  [5647] = 5638,
  [5648] = 2422,
  [5649] = 5637,
  [5650] = 5638,
  [5651] = 4911,
  [5652] = 5652,
  [5653] = 5638,
  [5654] = 5639,
  [5655] = 2417,
  [5656] = 2137,
  [5657] = 5639,
  [5658] = 5639,
  [5659] = 2408,
  [5660] = 2456,
  [5661] = 2192,
  [5662] = 2471,
  [5663] = 2470,
  [5664] = 2458,
  [5665] = 2459,
  [5666] = 2143,
  [5667] = 5514,
  [5668] = 5638,
  [5669] = 5514,
  [5670] = 2421,
  [5671] = 5637,
  [5672] = 2481,
  [5673] = 2484,
  [5674] = 5637,
  [5675] = 5514,
  [5676] = 5249,
  [5677] = 2295,
  [5678] = 5256,
  [5679] = 5639,
  [5680] = 5638,
  [5681] = 5637,
  [5682] = 5645,
  [5683] = 5258,
  [5684] = 5292,
  [5685] = 4911,
  [5686] = 5638,
  [5687] = 5652,
  [5688] = 5638,
  [5689] = 5639,
  [5690] = 5690,
  [5691] = 5639,
  [5692] = 4908,
  [5693] = 5514,
  [5694] = 4908,
  [5695] = 5249,
  [5696] = 2330,
  [5697] = 5514,
  [5698] = 5652,
  [5699] = 5699,
  [5700] = 5292,
  [5701] = 5701,
  [5702] = 5699,
  [5703] = 5701,
  [5704] = 5699,
  [5705] = 5514,
  [5706] = 5258,
  [5707] = 5256,
  [5708] = 5701,
  [5709] = 5699,
  [5710] = 5701,
  [5711] = 5701,
  [5712] = 2319,
  [5713] = 5699,
  [5714] = 5699,
  [5715] = 2476,
  [5716] = 5699,
  [5717] = 5699,
  [5718] = 5701,
  [5719] = 2327,
  [5720] = 5720,
  [5721] = 2334,
  [5722] = 5645,
  [5723] = 2318,
  [5724] = 2316,
  [5725] = 5701,
  [5726] = 5699,
  [5727] = 5701,
  [5728] = 2315,
  [5729] = 2310,
  [5730] = 5699,
  [5731] = 2335,
  [5732] = 2307,
  [5733] = 5699,
  [5734] = 5701,
  [5735] = 2336,
  [5736] = 2338,
  [5737] = 2339,
  [5738] = 2341,
  [5739] = 2342,
  [5740] = 2343,
  [5741] = 5652,
  [5742] = 2365,
  [5743] = 2362,
  [5744] = 2284,
  [5745] = 2359,
  [5746] = 2358,
  [5747] = 2348,
  [5748] = 5701,
  [5749] = 2357,
  [5750] = 2356,
  [5751] = 2355,
  [5752] = 2299,
  [5753] = 2354,
  [5754] = 2298,
  [5755] = 2283,
  [5756] = 2353,
  [5757] = 2294,
  [5758] = 5701,
  [5759] = 2352,
  [5760] = 2351,
  [5761] = 2317,
  [5762] = 5645,
  [5763] = 2293,
  [5764] = 2292,
  [5765] = 2288,
  [5766] = 2290,
  [5767] = 2291,
  [5768] = 2322,
  [5769] = 4911,
  [5770] = 2738,
  [5771] = 2737,
  [5772] = 5652,
  [5773] = 2738,
  [5774] = 2408,
  [5775] = 2417,
  [5776] = 5645,
  [5777] = 2737,
  [5778] = 2470,
  [5779] = 2484,
  [5780] = 2421,
  [5781] = 2422,
  [5782] = 2456,
  [5783] = 5783,
  [5784] = 5645,
  [5785] = 2481,
  [5786] = 4908,
  [5787] = 2471,
  [5788] = 5652,
  [5789] = 5652,
  [5790] = 5249,
  [5791] = 5645,
  [5792] = 5652,
  [5793] = 5645,
  [5794] = 5652,
  [5795] = 2449,
  [5796] = 5652,
  [5797] = 5797,
  [5798] = 5652,
  [5799] = 5645,
  [5800] = 5292,
  [5801] = 5258,
  [5802] = 2459,
  [5803] = 5645,
  [5804] = 5652,
  [5805] = 2737,
  [5806] = 5256,
  [5807] = 5807,
  [5808] = 5645,
  [5809] = 5258,
  [5810] = 2458,
  [5811] = 5807,
  [5812] = 5249,
  [5813] = 5783,
  [5814] = 5645,
  [5815] = 5797,
  [5816] = 2738,
  [5817] = 5817,
  [5818] = 5645,
  [5819] = 5652,
  [5820] = 5258,
  [5821] = 5256,
  [5822] = 5249,
  [5823] = 5823,
  [5824] = 5824,
  [5825] = 2232,
  [5826] = 5824,
  [5827] = 5827,
  [5828] = 5817,
  [5829] = 5829,
  [5830] = 5827,
  [5831] = 5817,
  [5832] = 5817,
  [5833] = 5827,
  [5834] = 5827,
  [5835] = 5835,
  [5836] = 5824,
  [5837] = 5824,
  [5838] = 5824,
  [5839] = 5652,
  [5840] = 5824,
  [5841] = 5817,
  [5842] = 5292,
  [5843] = 2238,
  [5844] = 5652,
  [5845] = 2274,
  [5846] = 5645,
  [5847] = 5292,
  [5848] = 5824,
  [5849] = 5824,
  [5850] = 5817,
  [5851] = 5514,
  [5852] = 5824,
  [5853] = 5824,
  [5854] = 5827,
  [5855] = 2192,
  [5856] = 5249,
  [5857] = 5835,
  [5858] = 5817,
  [5859] = 5827,
  [5860] = 5817,
  [5861] = 5835,
  [5862] = 5862,
  [5863] = 2274,
  [5864] = 5817,
  [5865] = 5827,
  [5866] = 5835,
  [5867] = 2299,
  [5868] = 5514,
  [5869] = 5827,
  [5870] = 5824,
  [5871] = 5835,
  [5872] = 2294,
  [5873] = 5645,
  [5874] = 5817,
  [5875] = 5514,
  [5876] = 5258,
  [5877] = 5824,
  [5878] = 5827,
  [5879] = 3108,
  [5880] = 5824,
  [5881] = 2354,
  [5882] = 5824,
  [5883] = 5652,
  [5884] = 5827,
  [5885] = 5824,
  [5886] = 5645,
  [5887] = 2343,
  [5888] = 5817,
  [5889] = 5824,
  [5890] = 5824,
  [5891] = 5824,
  [5892] = 5256,
  [5893] = 5824,
  [5894] = 2351,
  [5895] = 5824,
  [5896] = 5896,
  [5897] = 5827,
  [5898] = 5898,
  [5899] = 5835,
  [5900] = 5824,
  [5901] = 5514,
  [5902] = 2357,
  [5903] = 2291,
  [5904] = 5904,
  [5905] = 5904,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 2339,
  [5909] = 2341,
  [5910] = 2342,
  [5911] = 5904,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 2365,
  [5915] = 5906,
  [5916] = 5916,
  [5917] = 2362,
  [5918] = 2284,
  [5919] = 2359,
  [5920] = 2358,
  [5921] = 5921,
  [5922] = 2356,
  [5923] = 2355,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 2353,
  [5927] = 2352,
  [5928] = 5928,
  [5929] = 5913,
  [5930] = 5907,
  [5931] = 2337,
  [5932] = 5904,
  [5933] = 5933,
  [5934] = 5904,
  [5935] = 5906,
  [5936] = 5904,
  [5937] = 5906,
  [5938] = 5907,
  [5939] = 5907,
  [5940] = 5907,
  [5941] = 5912,
  [5942] = 5933,
  [5943] = 5906,
  [5944] = 5904,
  [5945] = 5912,
  [5946] = 2288,
  [5947] = 2290,
  [5948] = 5913,
  [5949] = 5907,
  [5950] = 2292,
  [5951] = 2338,
  [5952] = 2336,
  [5953] = 5953,
  [5954] = 2335,
  [5955] = 2283,
  [5956] = 2298,
  [5957] = 5916,
  [5958] = 5904,
  [5959] = 5933,
  [5960] = 5906,
  [5961] = 5907,
  [5962] = 5962,
  [5963] = 5913,
  [5964] = 2310,
  [5965] = 2319,
  [5966] = 5904,
  [5967] = 5906,
  [5968] = 4540,
  [5969] = 5916,
  [5970] = 5924,
  [5971] = 5907,
  [5972] = 5925,
  [5973] = 5913,
  [5974] = 5928,
  [5975] = 5913,
  [5976] = 2307,
  [5977] = 2476,
  [5978] = 2293,
  [5979] = 5904,
  [5980] = 2315,
  [5981] = 2316,
  [5982] = 2317,
  [5983] = 5928,
  [5984] = 2318,
  [5985] = 5925,
  [5986] = 5924,
  [5987] = 5906,
  [5988] = 5916,
  [5989] = 5912,
  [5990] = 5907,
  [5991] = 5904,
  [5992] = 5906,
  [5993] = 5904,
  [5994] = 5906,
  [5995] = 5907,
  [5996] = 2330,
  [5997] = 5907,
  [5998] = 5904,
  [5999] = 5906,
  [6000] = 2334,
  [6001] = 5928,
  [6002] = 5904,
  [6003] = 5916,
  [6004] = 5906,
  [6005] = 5925,
  [6006] = 5907,
  [6007] = 5924,
  [6008] = 5933,
  [6009] = 5924,
  [6010] = 5925,
  [6011] = 5928,
  [6012] = 5907,
  [6013] = 5907,
  [6014] = 5924,
  [6015] = 5912,
  [6016] = 5925,
  [6017] = 5928,
  [6018] = 5916,
  [6019] = 5904,
  [6020] = 5924,
  [6021] = 5925,
  [6022] = 5928,
  [6023] = 5906,
  [6024] = 5912,
  [6025] = 5904,
  [6026] = 5906,
  [6027] = 5916,
  [6028] = 5907,
  [6029] = 5916,
  [6030] = 5924,
  [6031] = 5925,
  [6032] = 5928,
  [6033] = 5912,
  [6034] = 5906,
  [6035] = 5907,
  [6036] = 5645,
  [6037] = 5916,
  [6038] = 5904,
  [6039] = 5924,
  [6040] = 5925,
  [6041] = 5928,
  [6042] = 5906,
  [6043] = 5907,
  [6044] = 5652,
  [6045] = 5904,
  [6046] = 5912,
  [6047] = 5906,
  [6048] = 5912,
  [6049] = 5907,
  [6050] = 2472,
  [6051] = 5933,
  [6052] = 2738,
  [6053] = 2737,
  [6054] = 5645,
  [6055] = 2327,
  [6056] = 5904,
  [6057] = 5906,
  [6058] = 5907,
  [6059] = 5906,
  [6060] = 5907,
  [6061] = 5906,
  [6062] = 5904,
  [6063] = 5652,
  [6064] = 2348,
  [6065] = 5258,
  [6066] = 6066,
  [6067] = 6067,
  [6068] = 3108,
  [6069] = 6069,
  [6070] = 6067,
  [6071] = 2324,
  [6072] = 6067,
  [6073] = 5292,
  [6074] = 6067,
  [6075] = 2520,
  [6076] = 6067,
  [6077] = 6067,
  [6078] = 6067,
  [6079] = 6067,
  [6080] = 6067,
  [6081] = 2542,
  [6082] = 2533,
  [6083] = 6069,
  [6084] = 6067,
  [6085] = 2530,
  [6086] = 2536,
  [6087] = 2537,
  [6088] = 2301,
  [6089] = 6067,
  [6090] = 6090,
  [6091] = 6067,
  [6092] = 6067,
  [6093] = 6066,
  [6094] = 6067,
  [6095] = 2541,
  [6096] = 6096,
  [6097] = 6067,
  [6098] = 6098,
  [6099] = 6067,
  [6100] = 6067,
  [6101] = 6067,
  [6102] = 6067,
  [6103] = 2540,
  [6104] = 5256,
  [6105] = 5249,
  [6106] = 6067,
  [6107] = 6098,
  [6108] = 5652,
  [6109] = 6098,
  [6110] = 6069,
  [6111] = 6066,
  [6112] = 2422,
  [6113] = 5645,
  [6114] = 5652,
  [6115] = 2481,
  [6116] = 2408,
  [6117] = 6098,
  [6118] = 2456,
  [6119] = 5645,
  [6120] = 6069,
  [6121] = 2459,
  [6122] = 2421,
  [6123] = 2449,
  [6124] = 2471,
  [6125] = 6066,
  [6126] = 5645,
  [6127] = 2470,
  [6128] = 5645,
  [6129] = 5652,
  [6130] = 2484,
  [6131] = 2458,
  [6132] = 5652,
  [6133] = 2417,
  [6134] = 2518,
  [6135] = 6069,
  [6136] = 6098,
  [6137] = 6098,
  [6138] = 6066,
  [6139] = 6139,
  [6140] = 6069,
  [6141] = 4702,
  [6142] = 6139,
  [6143] = 4703,
  [6144] = 6069,
  [6145] = 6098,
  [6146] = 6069,
  [6147] = 6139,
  [6148] = 6098,
  [6149] = 6069,
  [6150] = 6066,
  [6151] = 6066,
  [6152] = 6069,
  [6153] = 6066,
  [6154] = 6066,
  [6155] = 6098,
  [6156] = 6069,
  [6157] = 6098,
  [6158] = 6139,
  [6159] = 6066,
  [6160] = 6069,
  [6161] = 6139,
  [6162] = 6098,
  [6163] = 6066,
  [6164] = 6066,
  [6165] = 6098,
  [6166] = 6166,
  [6167] = 6167,
  [6168] = 6066,
  [6169] = 6069,
  [6170] = 6167,
  [6171] = 6167,
  [6172] = 6066,
  [6173] = 6066,
  [6174] = 6167,
  [6175] = 4119,
  [6176] = 6069,
  [6177] = 6066,
  [6178] = 6167,
  [6179] = 6098,
  [6180] = 6069,
  [6181] = 6098,
  [6182] = 6167,
  [6183] = 6167,
  [6184] = 6184,
  [6185] = 6069,
  [6186] = 6167,
  [6187] = 6098,
  [6188] = 6167,
  [6189] = 6098,
  [6190] = 6098,
  [6191] = 6066,
  [6192] = 6192,
  [6193] = 6192,
  [6194] = 4113,
  [6195] = 6069,
  [6196] = 6192,
  [6197] = 6098,
  [6198] = 6198,
  [6199] = 6066,
  [6200] = 6069,
  [6201] = 6201,
  [6202] = 6201,
  [6203] = 2274,
  [6204] = 6192,
  [6205] = 6201,
  [6206] = 6201,
  [6207] = 6066,
  [6208] = 6208,
  [6209] = 6208,
  [6210] = 6210,
  [6211] = 6210,
  [6212] = 6212,
  [6213] = 6210,
  [6214] = 6208,
  [6215] = 6208,
  [6216] = 6210,
  [6217] = 6208,
  [6218] = 6212,
  [6219] = 6212,
  [6220] = 6208,
  [6221] = 6066,
  [6222] = 6098,
  [6223] = 6069,
  [6224] = 6210,
  [6225] = 6212,
  [6226] = 6208,
  [6227] = 6069,
  [6228] = 6208,
  [6229] = 6208,
  [6230] = 6210,
  [6231] = 6098,
  [6232] = 6066,
  [6233] = 6233,
  [6234] = 6208,
  [6235] = 6210,
  [6236] = 6236,
  [6237] = 6210,
  [6238] = 6208,
  [6239] = 6208,
  [6240] = 6210,
  [6241] = 6210,
  [6242] = 6192,
  [6243] = 6243,
  [6244] = 6212,
  [6245] = 6212,
  [6246] = 6069,
  [6247] = 6098,
  [6248] = 6210,
  [6249] = 6208,
  [6250] = 6212,
  [6251] = 6251,
  [6252] = 6210,
  [6253] = 6208,
  [6254] = 6066,
  [6255] = 6208,
  [6256] = 6210,
  [6257] = 6251,
  [6258] = 6192,
  [6259] = 6208,
  [6260] = 6210,
  [6261] = 6212,
  [6262] = 6210,
  [6263] = 6208,
  [6264] = 6098,
  [6265] = 6069,
  [6266] = 6210,
  [6267] = 6210,
  [6268] = 6212,
  [6269] = 6251,
  [6270] = 6208,
  [6271] = 6210,
  [6272] = 6272,
  [6273] = 6273,
  [6274] = 6274,
  [6275] = 6275,
  [6276] = 6192,
  [6277] = 6272,
  [6278] = 6278,
  [6279] = 6278,
  [6280] = 6272,
  [6281] = 6273,
  [6282] = 6275,
  [6283] = 6243,
  [6284] = 6274,
  [6285] = 6274,
  [6286] = 6275,
  [6287] = 6278,
  [6288] = 6272,
  [6289] = 6272,
  [6290] = 6272,
  [6291] = 6278,
  [6292] = 6278,
  [6293] = 6278,
  [6294] = 6272,
  [6295] = 6273,
  [6296] = 6273,
  [6297] = 6273,
  [6298] = 6273,
  [6299] = 6278,
  [6300] = 6273,
  [6301] = 6274,
  [6302] = 6278,
  [6303] = 6275,
  [6304] = 6272,
  [6305] = 6275,
  [6306] = 6274,
  [6307] = 6273,
  [6308] = 6275,
  [6309] = 6275,
  [6310] = 6275,
  [6311] = 6278,
  [6312] = 6274,
  [6313] = 6272,
  [6314] = 6274,
  [6315] = 6275,
  [6316] = 6273,
  [6317] = 6317,
  [6318] = 6278,
  [6319] = 6272,
  [6320] = 6273,
  [6321] = 6275,
  [6322] = 6317,
  [6323] = 6275,
  [6324] = 6274,
  [6325] = 6274,
  [6326] = 6275,
  [6327] = 6327,
  [6328] = 6278,
  [6329] = 6272,
  [6330] = 6278,
  [6331] = 6272,
  [6332] = 6274,
  [6333] = 6272,
  [6334] = 6273,
  [6335] = 6274,
  [6336] = 6275,
  [6337] = 6337,
  [6338] = 6274,
  [6339] = 6273,
  [6340] = 6273,
  [6341] = 6274,
  [6342] = 6273,
  [6343] = 6278,
  [6344] = 6273,
  [6345] = 6272,
  [6346] = 6337,
  [6347] = 6278,
  [6348] = 6275,
  [6349] = 6278,
  [6350] = 6274,
  [6351] = 6272,
  [6352] = 6272,
  [6353] = 6278,
  [6354] = 6317,
  [6355] = 6274,
  [6356] = 6275,
  [6357] = 6273,
  [6358] = 6278,
  [6359] = 6274,
  [6360] = 6275,
  [6361] = 6272,
  [6362] = 6273,
  [6363] = 2295,
  [6364] = 6364,
  [6365] = 6275,
  [6366] = 6273,
  [6367] = 6278,
  [6368] = 6273,
  [6369] = 6274,
  [6370] = 6272,
  [6371] = 6337,
  [6372] = 6275,
  [6373] = 6274,
  [6374] = 6272,
  [6375] = 6274,
  [6376] = 6273,
  [6377] = 6278,
  [6378] = 6275,
  [6379] = 6272,
  [6380] = 6275,
  [6381] = 6278,
  [6382] = 6274,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 6383,
  [6386] = 6386,
  [6387] = 6387,
  [6388] = 6388,
  [6389] = 6387,
  [6390] = 6383,
  [6391] = 6391,
  [6392] = 6392,
  [6393] = 6383,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6383,
  [6397] = 6387,
  [6398] = 6391,
  [6399] = 6399,
  [6400] = 6383,
  [6401] = 6401,
  [6402] = 6386,
  [6403] = 6403,
  [6404] = 6386,
  [6405] = 6405,
  [6406] = 6388,
  [6407] = 6386,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 6388,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6391,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6420,
  [6421] = 6399,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6424,
  [6425] = 6425,
  [6426] = 6391,
  [6427] = 6236,
  [6428] = 6383,
  [6429] = 6399,
  [6430] = 6394,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6394,
  [6434] = 6432,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6391,
  [6438] = 6386,
  [6439] = 6439,
  [6440] = 6387,
  [6441] = 6399,
  [6442] = 6439,
  [6443] = 6391,
  [6444] = 6444,
  [6445] = 6444,
  [6446] = 6391,
  [6447] = 6391,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6394,
  [6451] = 6399,
  [6452] = 6448,
  [6453] = 6453,
  [6454] = 6383,
  [6455] = 6401,
  [6456] = 6456,
  [6457] = 6386,
  [6458] = 6458,
  [6459] = 6419,
  [6460] = 6460,
  [6461] = 6416,
  [6462] = 6386,
  [6463] = 6391,
  [6464] = 6386,
  [6465] = 6391,
  [6466] = 6192,
  [6467] = 6467,
  [6468] = 3368,
  [6469] = 6435,
  [6470] = 6387,
  [6471] = 6383,
  [6472] = 6386,
  [6473] = 6399,
  [6474] = 6449,
  [6475] = 6383,
  [6476] = 6383,
  [6477] = 6456,
  [6478] = 6458,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6386,
  [6482] = 6482,
  [6483] = 6388,
  [6484] = 6399,
  [6485] = 6383,
  [6486] = 6233,
  [6487] = 6487,
  [6488] = 6391,
  [6489] = 6383,
  [6490] = 6383,
  [6491] = 6460,
  [6492] = 6399,
  [6493] = 6493,
  [6494] = 6399,
  [6495] = 6386,
  [6496] = 6424,
  [6497] = 6497,
  [6498] = 6403,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 6501,
  [6502] = 6502,
  [6503] = 6497,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6506,
  [6507] = 2073,
  [6508] = 6508,
  [6509] = 6509,
  [6510] = 6510,
  [6511] = 6499,
  [6512] = 6420,
  [6513] = 6502,
  [6514] = 6509,
  [6515] = 2057,
  [6516] = 6508,
  [6517] = 6517,
  [6518] = 2070,
  [6519] = 6502,
  [6520] = 6520,
  [6521] = 6508,
  [6522] = 6499,
  [6523] = 6509,
  [6524] = 6499,
  [6525] = 6502,
  [6526] = 6505,
  [6527] = 6527,
  [6528] = 6505,
  [6529] = 6509,
  [6530] = 6423,
  [6531] = 6508,
  [6532] = 6532,
  [6533] = 2068,
  [6534] = 6534,
  [6535] = 2069,
  [6536] = 6536,
  [6537] = 6537,
  [6538] = 6538,
  [6539] = 6502,
  [6540] = 6499,
  [6541] = 6532,
  [6542] = 6537,
  [6543] = 2828,
  [6544] = 6544,
  [6545] = 6509,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6493,
  [6549] = 6546,
  [6550] = 2062,
  [6551] = 6551,
  [6552] = 6502,
  [6553] = 6553,
  [6554] = 6554,
  [6555] = 6555,
  [6556] = 2066,
  [6557] = 6517,
  [6558] = 6504,
  [6559] = 6395,
  [6560] = 6517,
  [6561] = 6508,
  [6562] = 2879,
  [6563] = 2059,
  [6564] = 2064,
  [6565] = 6565,
  [6566] = 6408,
  [6567] = 2071,
  [6568] = 6409,
  [6569] = 6410,
  [6570] = 6546,
  [6571] = 6412,
  [6572] = 2055,
  [6573] = 6546,
  [6574] = 2067,
  [6575] = 6575,
  [6576] = 6384,
  [6577] = 6504,
  [6578] = 6578,
  [6579] = 2828,
  [6580] = 2061,
  [6581] = 6565,
  [6582] = 6547,
  [6583] = 6504,
  [6584] = 6551,
  [6585] = 6499,
  [6586] = 6497,
  [6587] = 6509,
  [6588] = 3368,
  [6589] = 6589,
  [6590] = 6532,
  [6591] = 2056,
  [6592] = 154,
  [6593] = 6413,
  [6594] = 2058,
  [6595] = 153,
  [6596] = 2879,
  [6597] = 6414,
  [6598] = 6598,
  [6599] = 6599,
  [6600] = 6600,
  [6601] = 6487,
  [6602] = 6192,
  [6603] = 6551,
  [6604] = 6604,
  [6605] = 6605,
  [6606] = 6546,
  [6607] = 6565,
  [6608] = 6520,
  [6609] = 6609,
  [6610] = 6610,
  [6611] = 6415,
  [6612] = 6546,
  [6613] = 6418,
  [6614] = 6405,
  [6615] = 6520,
  [6616] = 6505,
  [6617] = 6497,
  [6618] = 6565,
  [6619] = 6517,
  [6620] = 6537,
  [6621] = 6532,
  [6622] = 6532,
  [6623] = 6505,
  [6624] = 6546,
  [6625] = 6537,
  [6626] = 6546,
  [6627] = 6532,
  [6628] = 6508,
  [6629] = 6520,
  [6630] = 6504,
  [6631] = 6551,
  [6632] = 6632,
  [6633] = 6425,
  [6634] = 6499,
  [6635] = 6635,
  [6636] = 2530,
  [6637] = 6508,
  [6638] = 6502,
  [6639] = 6508,
  [6640] = 6553,
  [6641] = 6599,
  [6642] = 6538,
  [6643] = 6509,
  [6644] = 6502,
  [6645] = 6192,
  [6646] = 6499,
  [6647] = 6509,
  [6648] = 6648,
  [6649] = 6649,
  [6650] = 6650,
  [6651] = 6651,
  [6652] = 6652,
  [6653] = 6653,
  [6654] = 2065,
  [6655] = 6651,
  [6656] = 6656,
  [6657] = 2063,
  [6658] = 6658,
  [6659] = 6651,
  [6660] = 6652,
  [6661] = 6652,
  [6662] = 2143,
  [6663] = 6508,
  [6664] = 6509,
  [6665] = 6499,
  [6666] = 6656,
  [6667] = 6192,
  [6668] = 6502,
  [6669] = 2054,
  [6670] = 6652,
  [6671] = 6656,
  [6672] = 6651,
  [6673] = 6673,
  [6674] = 6508,
  [6675] = 6509,
  [6676] = 6499,
  [6677] = 6502,
  [6678] = 6651,
  [6679] = 6499,
  [6680] = 6680,
  [6681] = 6656,
  [6682] = 6682,
  [6683] = 6683,
  [6684] = 6684,
  [6685] = 2137,
  [6686] = 6686,
  [6687] = 6651,
  [6688] = 6652,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6652,
  [6692] = 6692,
  [6693] = 6652,
  [6694] = 6652,
  [6695] = 6695,
  [6696] = 6652,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6651,
  [6700] = 6508,
  [6701] = 6502,
  [6702] = 6509,
  [6703] = 6652,
  [6704] = 6651,
  [6705] = 6705,
  [6706] = 6502,
  [6707] = 6651,
  [6708] = 6509,
  [6709] = 6695,
  [6710] = 6710,
  [6711] = 6499,
  [6712] = 6712,
  [6713] = 6508,
  [6714] = 6651,
  [6715] = 6715,
  [6716] = 6651,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 6719,
  [6720] = 6192,
  [6721] = 6721,
  [6722] = 6656,
  [6723] = 6652,
  [6724] = 6724,
  [6725] = 6656,
  [6726] = 6652,
  [6727] = 6651,
  [6728] = 6192,
  [6729] = 6499,
  [6730] = 6730,
  [6731] = 6730,
  [6732] = 154,
  [6733] = 2828,
  [6734] = 1131,
  [6735] = 6730,
  [6736] = 6730,
  [6737] = 6730,
  [6738] = 6517,
  [6739] = 153,
  [6740] = 1132,
  [6741] = 6565,
  [6742] = 6730,
  [6743] = 6730,
  [6744] = 6537,
  [6745] = 2891,
  [6746] = 6192,
  [6747] = 6520,
  [6748] = 6748,
  [6749] = 6610,
  [6750] = 6730,
  [6751] = 6730,
  [6752] = 2067,
  [6753] = 6497,
  [6754] = 6502,
  [6755] = 2879,
  [6756] = 2071,
  [6757] = 6502,
  [6758] = 6758,
  [6759] = 2062,
  [6760] = 2073,
  [6761] = 2068,
  [6762] = 6730,
  [6763] = 6730,
  [6764] = 2058,
  [6765] = 6517,
  [6766] = 6730,
  [6767] = 6730,
  [6768] = 6768,
  [6769] = 2055,
  [6770] = 6537,
  [6771] = 2059,
  [6772] = 2056,
  [6773] = 6544,
  [6774] = 6565,
  [6775] = 6730,
  [6776] = 6776,
  [6777] = 6730,
  [6778] = 2061,
  [6779] = 6497,
  [6780] = 6509,
  [6781] = 6730,
  [6782] = 6730,
  [6783] = 2057,
  [6784] = 6499,
  [6785] = 6520,
  [6786] = 2070,
  [6787] = 6730,
  [6788] = 6508,
  [6789] = 6730,
  [6790] = 6508,
  [6791] = 6730,
  [6792] = 2064,
  [6793] = 2069,
  [6794] = 2066,
  [6795] = 6509,
  [6796] = 6796,
  [6797] = 2386,
  [6798] = 6798,
  [6799] = 2935,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6800,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 6798,
  [6806] = 2893,
  [6807] = 6807,
  [6808] = 6807,
  [6809] = 6800,
  [6810] = 6810,
  [6811] = 6811,
  [6812] = 6812,
  [6813] = 6803,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6796,
  [6817] = 2497,
  [6818] = 6814,
  [6819] = 6819,
  [6820] = 6800,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6798,
  [6824] = 6803,
  [6825] = 6807,
  [6826] = 6803,
  [6827] = 6798,
  [6828] = 6499,
  [6829] = 2530,
  [6830] = 6807,
  [6831] = 6798,
  [6832] = 6800,
  [6833] = 6807,
  [6834] = 6803,
  [6835] = 6798,
  [6836] = 2917,
  [6837] = 6807,
  [6838] = 2451,
  [6839] = 2414,
  [6840] = 6807,
  [6841] = 6508,
  [6842] = 6508,
  [6843] = 6509,
  [6844] = 6798,
  [6845] = 6803,
  [6846] = 6807,
  [6847] = 6819,
  [6848] = 6848,
  [6849] = 6810,
  [6850] = 6811,
  [6851] = 6807,
  [6852] = 2491,
  [6853] = 6803,
  [6854] = 6803,
  [6855] = 6815,
  [6856] = 6822,
  [6857] = 6812,
  [6858] = 6812,
  [6859] = 6815,
  [6860] = 6499,
  [6861] = 6509,
  [6862] = 6811,
  [6863] = 6796,
  [6864] = 6810,
  [6865] = 6814,
  [6866] = 6819,
  [6867] = 6798,
  [6868] = 6502,
  [6869] = 6822,
  [6870] = 6803,
  [6871] = 6798,
  [6872] = 6872,
  [6873] = 6502,
  [6874] = 6807,
  [6875] = 6807,
  [6876] = 6807,
  [6877] = 6877,
  [6878] = 6878,
  [6879] = 6877,
  [6880] = 6880,
  [6881] = 6881,
  [6882] = 6882,
  [6883] = 6698,
  [6884] = 6882,
  [6885] = 6712,
  [6886] = 6877,
  [6887] = 6877,
  [6888] = 6881,
  [6889] = 6877,
  [6890] = 2084,
  [6891] = 6810,
  [6892] = 6692,
  [6893] = 6517,
  [6894] = 6653,
  [6895] = 6895,
  [6896] = 6877,
  [6897] = 6877,
  [6898] = 6811,
  [6899] = 6812,
  [6900] = 6881,
  [6901] = 6705,
  [6902] = 6877,
  [6903] = 6497,
  [6904] = 6904,
  [6905] = 6649,
  [6906] = 6881,
  [6907] = 6882,
  [6908] = 6882,
  [6909] = 6878,
  [6910] = 6881,
  [6911] = 6877,
  [6912] = 6877,
  [6913] = 6878,
  [6914] = 6520,
  [6915] = 6877,
  [6916] = 6916,
  [6917] = 6881,
  [6918] = 6882,
  [6919] = 6880,
  [6920] = 6920,
  [6921] = 6877,
  [6922] = 6717,
  [6923] = 6815,
  [6924] = 6796,
  [6925] = 6881,
  [6926] = 6877,
  [6927] = 6719,
  [6928] = 6928,
  [6929] = 6929,
  [6930] = 6814,
  [6931] = 6680,
  [6932] = 6819,
  [6933] = 6916,
  [6934] = 6517,
  [6935] = 2828,
  [6936] = 6936,
  [6937] = 2879,
  [6938] = 6878,
  [6939] = 1995,
  [6940] = 6537,
  [6941] = 6877,
  [6942] = 6537,
  [6943] = 6537,
  [6944] = 6192,
  [6945] = 6724,
  [6946] = 6946,
  [6947] = 2879,
  [6948] = 6877,
  [6949] = 6682,
  [6950] = 6683,
  [6951] = 6878,
  [6952] = 2082,
  [6953] = 6517,
  [6954] = 6565,
  [6955] = 6502,
  [6956] = 6882,
  [6957] = 6499,
  [6958] = 6718,
  [6959] = 6537,
  [6960] = 6520,
  [6961] = 6520,
  [6962] = 6882,
  [6963] = 2517,
  [6964] = 6877,
  [6965] = 6877,
  [6966] = 6929,
  [6967] = 6878,
  [6968] = 6881,
  [6969] = 6928,
  [6970] = 6970,
  [6971] = 6878,
  [6972] = 6878,
  [6973] = 6497,
  [6974] = 6565,
  [6975] = 6882,
  [6976] = 6509,
  [6977] = 6497,
  [6978] = 6978,
  [6979] = 6508,
  [6980] = 6822,
  [6981] = 6497,
  [6982] = 6877,
  [6983] = 6565,
  [6984] = 6520,
  [6985] = 6946,
  [6986] = 6517,
  [6987] = 6697,
  [6988] = 6648,
  [6989] = 6989,
  [6990] = 6684,
  [6991] = 2086,
  [6992] = 6877,
  [6993] = 6877,
  [6994] = 6994,
  [6995] = 2828,
  [6996] = 6996,
  [6997] = 6882,
  [6998] = 6502,
  [6999] = 6686,
  [7000] = 6565,
  [7001] = 6499,
  [7002] = 6689,
  [7003] = 6509,
  [7004] = 6710,
  [7005] = 6508,
  [7006] = 6878,
  [7007] = 6650,
  [7008] = 6877,
  [7009] = 2083,
  [7010] = 6673,
  [7011] = 6881,
  [7012] = 7012,
  [7013] = 7013,
  [7014] = 2523,
  [7015] = 7015,
  [7016] = 6502,
  [7017] = 6814,
  [7018] = 6796,
  [7019] = 7019,
  [7020] = 7020,
  [7021] = 6499,
  [7022] = 7022,
  [7023] = 6509,
  [7024] = 7015,
  [7025] = 7013,
  [7026] = 6819,
  [7027] = 6810,
  [7028] = 7028,
  [7029] = 7015,
  [7030] = 6508,
  [7031] = 6502,
  [7032] = 7032,
  [7033] = 7013,
  [7034] = 7013,
  [7035] = 7022,
  [7036] = 6811,
  [7037] = 7032,
  [7038] = 6499,
  [7039] = 2997,
  [7040] = 6812,
  [7041] = 6815,
  [7042] = 7020,
  [7043] = 6796,
  [7044] = 6814,
  [7045] = 6811,
  [7046] = 7046,
  [7047] = 6509,
  [7048] = 7028,
  [7049] = 7049,
  [7050] = 7015,
  [7051] = 7020,
  [7052] = 7032,
  [7053] = 6508,
  [7054] = 7032,
  [7055] = 6819,
  [7056] = 6822,
  [7057] = 7032,
  [7058] = 7058,
  [7059] = 2568,
  [7060] = 2565,
  [7061] = 7013,
  [7062] = 7013,
  [7063] = 7063,
  [7064] = 7032,
  [7065] = 7032,
  [7066] = 2594,
  [7067] = 2513,
  [7068] = 7013,
  [7069] = 2601,
  [7070] = 2564,
  [7071] = 7071,
  [7072] = 2521,
  [7073] = 2527,
  [7074] = 7028,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 6812,
  [7078] = 7078,
  [7079] = 2522,
  [7080] = 7080,
  [7081] = 2953,
  [7082] = 7082,
  [7083] = 7028,
  [7084] = 7020,
  [7085] = 7022,
  [7086] = 7032,
  [7087] = 7013,
  [7088] = 6822,
  [7089] = 7015,
  [7090] = 7020,
  [7091] = 7013,
  [7092] = 7022,
  [7093] = 7028,
  [7094] = 2414,
  [7095] = 2491,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 7032,
  [7099] = 2975,
  [7100] = 2451,
  [7101] = 7032,
  [7102] = 7020,
  [7103] = 2497,
  [7104] = 7076,
  [7105] = 2978,
  [7106] = 3004,
  [7107] = 2386,
  [7108] = 6815,
  [7109] = 6810,
  [7110] = 7022,
  [7111] = 2989,
  [7112] = 7013,
  [7113] = 7020,
  [7114] = 7032,
  [7115] = 7032,
  [7116] = 7020,
  [7117] = 2994,
  [7118] = 7013,
  [7119] = 7119,
  [7120] = 7028,
  [7121] = 2563,
  [7122] = 7020,
  [7123] = 7013,
  [7124] = 2993,
  [7125] = 6819,
  [7126] = 7126,
  [7127] = 2386,
  [7128] = 7126,
  [7129] = 2451,
  [7130] = 7126,
  [7131] = 6814,
  [7132] = 6994,
  [7133] = 2414,
  [7134] = 2517,
  [7135] = 7135,
  [7136] = 7126,
  [7137] = 7126,
  [7138] = 7126,
  [7139] = 2879,
  [7140] = 6509,
  [7141] = 6497,
  [7142] = 7126,
  [7143] = 6810,
  [7144] = 6811,
  [7145] = 6499,
  [7146] = 6812,
  [7147] = 2497,
  [7148] = 6508,
  [7149] = 6509,
  [7150] = 6499,
  [7151] = 6502,
  [7152] = 6520,
  [7153] = 4542,
  [7154] = 6796,
  [7155] = 7155,
  [7156] = 2828,
  [7157] = 6815,
  [7158] = 7158,
  [7159] = 7159,
  [7160] = 6497,
  [7161] = 7126,
  [7162] = 7126,
  [7163] = 7126,
  [7164] = 6565,
  [7165] = 6946,
  [7166] = 6517,
  [7167] = 6565,
  [7168] = 6537,
  [7169] = 6517,
  [7170] = 6502,
  [7171] = 6537,
  [7172] = 2491,
  [7173] = 6928,
  [7174] = 6822,
  [7175] = 7175,
  [7176] = 7126,
  [7177] = 6929,
  [7178] = 6880,
  [7179] = 7179,
  [7180] = 7126,
  [7181] = 7126,
  [7182] = 7126,
  [7183] = 7183,
  [7184] = 7126,
  [7185] = 7126,
  [7186] = 7186,
  [7187] = 7126,
  [7188] = 7126,
  [7189] = 6916,
  [7190] = 7126,
  [7191] = 6508,
  [7192] = 6520,
  [7193] = 7126,
  [7194] = 7126,
  [7195] = 6928,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 7198,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 6811,
  [7202] = 7202,
  [7203] = 7198,
  [7204] = 2517,
  [7205] = 7205,
  [7206] = 7198,
  [7207] = 7197,
  [7208] = 7208,
  [7209] = 7209,
  [7210] = 7196,
  [7211] = 7197,
  [7212] = 7198,
  [7213] = 7198,
  [7214] = 6946,
  [7215] = 2879,
  [7216] = 6815,
  [7217] = 6880,
  [7218] = 6819,
  [7219] = 6814,
  [7220] = 7220,
  [7221] = 7221,
  [7222] = 7222,
  [7223] = 6796,
  [7224] = 7209,
  [7225] = 7197,
  [7226] = 6812,
  [7227] = 6916,
  [7228] = 6812,
  [7229] = 7209,
  [7230] = 7230,
  [7231] = 7209,
  [7232] = 6537,
  [7233] = 7233,
  [7234] = 7234,
  [7235] = 7196,
  [7236] = 7196,
  [7237] = 7209,
  [7238] = 6520,
  [7239] = 7198,
  [7240] = 6537,
  [7241] = 6814,
  [7242] = 7197,
  [7243] = 6517,
  [7244] = 7209,
  [7245] = 7197,
  [7246] = 7246,
  [7247] = 6819,
  [7248] = 7197,
  [7249] = 6517,
  [7250] = 6565,
  [7251] = 7251,
  [7252] = 7197,
  [7253] = 2828,
  [7254] = 7198,
  [7255] = 2868,
  [7256] = 6565,
  [7257] = 7196,
  [7258] = 6810,
  [7259] = 6497,
  [7260] = 7197,
  [7261] = 7209,
  [7262] = 7262,
  [7263] = 7196,
  [7264] = 7198,
  [7265] = 7265,
  [7266] = 7196,
  [7267] = 6520,
  [7268] = 7209,
  [7269] = 7198,
  [7270] = 7209,
  [7271] = 7196,
  [7272] = 6929,
  [7273] = 6810,
  [7274] = 6822,
  [7275] = 6497,
  [7276] = 7276,
  [7277] = 7196,
  [7278] = 6811,
  [7279] = 7279,
  [7280] = 7279,
  [7281] = 7281,
  [7282] = 1993,
  [7283] = 1991,
  [7284] = 7279,
  [7285] = 7279,
  [7286] = 1990,
  [7287] = 7279,
  [7288] = 7288,
  [7289] = 1989,
  [7290] = 7279,
  [7291] = 7279,
  [7292] = 7279,
  [7293] = 1988,
  [7294] = 7279,
  [7295] = 7279,
  [7296] = 7296,
  [7297] = 7279,
  [7298] = 1992,
  [7299] = 7299,
  [7300] = 6822,
  [7301] = 7279,
  [7302] = 1994,
  [7303] = 7303,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 7306,
  [7307] = 7307,
  [7308] = 6814,
  [7309] = 7279,
  [7310] = 7279,
  [7311] = 6812,
  [7312] = 7279,
  [7313] = 6815,
  [7314] = 7314,
  [7315] = 6819,
  [7316] = 6810,
  [7317] = 6796,
  [7318] = 7281,
  [7319] = 7319,
  [7320] = 7320,
  [7321] = 6812,
  [7322] = 7320,
  [7323] = 7323,
  [7324] = 7320,
  [7325] = 7319,
  [7326] = 7320,
  [7327] = 7320,
  [7328] = 7323,
  [7329] = 7319,
  [7330] = 7320,
  [7331] = 6748,
  [7332] = 7319,
  [7333] = 7320,
  [7334] = 6822,
  [7335] = 7335,
  [7336] = 7323,
  [7337] = 7320,
  [7338] = 7319,
  [7339] = 7320,
  [7340] = 7320,
  [7341] = 7320,
  [7342] = 7342,
  [7343] = 7320,
  [7344] = 7342,
  [7345] = 7345,
  [7346] = 6811,
  [7347] = 7320,
  [7348] = 6810,
  [7349] = 7342,
  [7350] = 7320,
  [7351] = 7342,
  [7352] = 7320,
  [7353] = 7335,
  [7354] = 7323,
  [7355] = 7335,
  [7356] = 7320,
  [7357] = 7320,
  [7358] = 7320,
  [7359] = 6815,
  [7360] = 6796,
  [7361] = 6819,
  [7362] = 2879,
  [7363] = 7320,
  [7364] = 7320,
  [7365] = 7320,
  [7366] = 7342,
  [7367] = 7342,
  [7368] = 7320,
  [7369] = 7342,
  [7370] = 7320,
  [7371] = 7342,
  [7372] = 7335,
  [7373] = 7342,
  [7374] = 7323,
  [7375] = 7335,
  [7376] = 6814,
  [7377] = 6776,
  [7378] = 2828,
  [7379] = 7379,
  [7380] = 7380,
  [7381] = 6895,
  [7382] = 7382,
  [7383] = 7383,
  [7384] = 7384,
  [7385] = 7385,
  [7386] = 6946,
  [7387] = 7387,
  [7388] = 7388,
  [7389] = 7389,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 6822,
  [7393] = 7393,
  [7394] = 6920,
  [7395] = 6970,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7391,
  [7399] = 7380,
  [7400] = 7400,
  [7401] = 6748,
  [7402] = 7400,
  [7403] = 7391,
  [7404] = 6916,
  [7405] = 7391,
  [7406] = 7406,
  [7407] = 7380,
  [7408] = 6880,
  [7409] = 7409,
  [7410] = 7391,
  [7411] = 7391,
  [7412] = 7012,
  [7413] = 7413,
  [7414] = 7414,
  [7415] = 7391,
  [7416] = 7416,
  [7417] = 6819,
  [7418] = 6814,
  [7419] = 7419,
  [7420] = 6810,
  [7421] = 7421,
  [7422] = 7422,
  [7423] = 6796,
  [7424] = 6815,
  [7425] = 2893,
  [7426] = 7400,
  [7427] = 7380,
  [7428] = 7400,
  [7429] = 7429,
  [7430] = 6978,
  [7431] = 6811,
  [7432] = 7400,
  [7433] = 7380,
  [7434] = 6812,
  [7435] = 7391,
  [7436] = 7391,
  [7437] = 6776,
  [7438] = 7438,
  [7439] = 6929,
  [7440] = 7440,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 6928,
  [7444] = 7444,
  [7445] = 6812,
  [7446] = 6815,
  [7447] = 7447,
  [7448] = 6796,
  [7449] = 2491,
  [7450] = 7450,
  [7451] = 6810,
  [7452] = 3045,
  [7453] = 7447,
  [7454] = 6822,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7456,
  [7458] = 2893,
  [7459] = 7459,
  [7460] = 7460,
  [7461] = 3033,
  [7462] = 6819,
  [7463] = 6814,
  [7464] = 6812,
  [7465] = 7456,
  [7466] = 6796,
  [7467] = 7467,
  [7468] = 7468,
  [7469] = 3018,
  [7470] = 7470,
  [7471] = 6810,
  [7472] = 7455,
  [7473] = 7447,
  [7474] = 7455,
  [7475] = 7456,
  [7476] = 2386,
  [7477] = 7455,
  [7478] = 7455,
  [7479] = 6811,
  [7480] = 7450,
  [7481] = 6814,
  [7482] = 6819,
  [7483] = 7450,
  [7484] = 7450,
  [7485] = 7485,
  [7486] = 2414,
  [7487] = 7456,
  [7488] = 7447,
  [7489] = 6822,
  [7490] = 2497,
  [7491] = 2451,
  [7492] = 6811,
  [7493] = 7493,
  [7494] = 7450,
  [7495] = 7447,
  [7496] = 6815,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7388,
  [7500] = 7500,
  [7501] = 2893,
  [7502] = 7502,
  [7503] = 7503,
  [7504] = 7504,
  [7505] = 7505,
  [7506] = 7506,
  [7507] = 7505,
  [7508] = 7502,
  [7509] = 7509,
  [7510] = 7510,
  [7511] = 7511,
  [7512] = 7512,
  [7513] = 7506,
  [7514] = 7514,
  [7515] = 7505,
  [7516] = 7506,
  [7517] = 7502,
  [7518] = 7502,
  [7519] = 7519,
  [7520] = 7520,
  [7521] = 7505,
  [7522] = 7512,
  [7523] = 7523,
  [7524] = 7500,
  [7525] = 7512,
  [7526] = 7505,
  [7527] = 7527,
  [7528] = 7397,
  [7529] = 7505,
  [7530] = 7512,
  [7531] = 7506,
  [7532] = 7502,
  [7533] = 7533,
  [7534] = 2893,
  [7535] = 7535,
  [7536] = 7512,
  [7537] = 7537,
  [7538] = 7179,
  [7539] = 7506,
  [7540] = 7502,
  [7541] = 7155,
  [7542] = 7183,
  [7543] = 2517,
  [7544] = 7512,
  [7545] = 7506,
  [7546] = 7422,
  [7547] = 7505,
  [7548] = 7512,
  [7549] = 7506,
  [7550] = 7502,
  [7551] = 7512,
  [7552] = 7506,
  [7553] = 7533,
  [7554] = 7502,
  [7555] = 7502,
  [7556] = 7512,
  [7557] = 7557,
  [7558] = 7506,
  [7559] = 7559,
  [7560] = 7505,
  [7561] = 7505,
  [7562] = 7562,
  [7563] = 7563,
  [7564] = 7564,
  [7565] = 7565,
  [7566] = 7566,
  [7567] = 7567,
  [7568] = 7568,
  [7569] = 7569,
  [7570] = 6815,
  [7571] = 7566,
  [7572] = 7572,
  [7573] = 7573,
  [7574] = 6812,
  [7575] = 6811,
  [7576] = 6796,
  [7577] = 7577,
  [7578] = 7566,
  [7579] = 7569,
  [7580] = 7580,
  [7581] = 7485,
  [7582] = 7568,
  [7583] = 6810,
  [7584] = 7580,
  [7585] = 7563,
  [7586] = 7586,
  [7587] = 7586,
  [7588] = 7588,
  [7589] = 7589,
  [7590] = 7590,
  [7591] = 7589,
  [7592] = 7592,
  [7593] = 7593,
  [7594] = 7580,
  [7595] = 6814,
  [7596] = 7569,
  [7597] = 7597,
  [7598] = 7592,
  [7599] = 7593,
  [7600] = 6819,
  [7601] = 7564,
  [7602] = 7592,
  [7603] = 7563,
  [7604] = 7565,
  [7605] = 7589,
  [7606] = 7563,
  [7607] = 7563,
  [7608] = 7608,
  [7609] = 7568,
  [7610] = 7564,
  [7611] = 7611,
  [7612] = 2893,
  [7613] = 7613,
  [7614] = 2808,
  [7615] = 7615,
  [7616] = 7593,
  [7617] = 7580,
  [7618] = 7593,
  [7619] = 7564,
  [7620] = 7592,
  [7621] = 7590,
  [7622] = 7573,
  [7623] = 7589,
  [7624] = 7624,
  [7625] = 7568,
  [7626] = 7586,
  [7627] = 7569,
  [7628] = 7566,
  [7629] = 7586,
  [7630] = 7563,
  [7631] = 7564,
  [7632] = 2893,
  [7633] = 6822,
  [7634] = 7608,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7639,
  [7640] = 7640,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 7644,
  [7645] = 7645,
  [7646] = 7644,
  [7647] = 7647,
  [7648] = 7648,
  [7649] = 7639,
  [7650] = 7635,
  [7651] = 7651,
  [7652] = 7648,
  [7653] = 7636,
  [7654] = 7635,
  [7655] = 7651,
  [7656] = 7656,
  [7657] = 7657,
  [7658] = 7656,
  [7659] = 7659,
  [7660] = 7635,
  [7661] = 7651,
  [7662] = 7645,
  [7663] = 7663,
  [7664] = 7638,
  [7665] = 7641,
  [7666] = 7666,
  [7667] = 7641,
  [7668] = 7668,
  [7669] = 7643,
  [7670] = 7639,
  [7671] = 7643,
  [7672] = 7636,
  [7673] = 7640,
  [7674] = 7656,
  [7675] = 7651,
  [7676] = 7635,
  [7677] = 7648,
  [7678] = 7644,
  [7679] = 7641,
  [7680] = 7643,
  [7681] = 7659,
  [7682] = 7668,
  [7683] = 7656,
  [7684] = 7684,
  [7685] = 7684,
  [7686] = 7644,
  [7687] = 7648,
  [7688] = 7688,
  [7689] = 7640,
  [7690] = 7659,
  [7691] = 7691,
  [7692] = 7692,
  [7693] = 7656,
  [7694] = 7638,
  [7695] = 7692,
  [7696] = 7657,
  [7697] = 7644,
  [7698] = 7651,
  [7699] = 7657,
  [7700] = 7700,
  [7701] = 7692,
  [7702] = 7656,
  [7703] = 7648,
  [7704] = 7684,
  [7705] = 7645,
  [7706] = 7656,
  [7707] = 7638,
  [7708] = 7691,
  [7709] = 7644,
  [7710] = 7710,
  [7711] = 7638,
  [7712] = 7712,
  [7713] = 7648,
  [7714] = 7692,
  [7715] = 7640,
  [7716] = 7645,
  [7717] = 7659,
  [7718] = 7700,
  [7719] = 7641,
  [7720] = 7640,
  [7721] = 7656,
  [7722] = 7648,
  [7723] = 7644,
  [7724] = 7644,
  [7725] = 7647,
  [7726] = 7645,
  [7727] = 7656,
  [7728] = 7659,
  [7729] = 7692,
  [7730] = 7647,
  [7731] = 7638,
  [7732] = 7691,
  [7733] = 7733,
  [7734] = 7645,
  [7735] = 7643,
  [7736] = 7643,
  [7737] = 7737,
  [7738] = 7684,
  [7739] = 7739,
  [7740] = 7651,
  [7741] = 7668,
  [7742] = 7691,
  [7743] = 7635,
  [7744] = 7641,
  [7745] = 7636,
  [7746] = 7635,
  [7747] = 7643,
  [7748] = 7688,
  [7749] = 7700,
  [7750] = 7636,
  [7751] = 7643,
  [7752] = 7656,
  [7753] = 7647,
  [7754] = 7684,
  [7755] = 7641,
  [7756] = 7645,
  [7757] = 7651,
  [7758] = 7691,
  [7759] = 7651,
  [7760] = 7760,
  [7761] = 7644,
  [7762] = 7641,
  [7763] = 7648,
  [7764] = 7647,
  [7765] = 7640,
  [7766] = 7644,
  [7767] = 7635,
  [7768] = 7691,
  [7769] = 7643,
  [7770] = 7647,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 7647,
  [7774] = 7668,
  [7775] = 7639,
  [7776] = 7776,
  [7777] = 7651,
  [7778] = 7645,
  [7779] = 7635,
  [7780] = 7643,
  [7781] = 7656,
  [7782] = 7657,
  [7783] = 7783,
  [7784] = 7645,
  [7785] = 7684,
  [7786] = 7786,
  [7787] = 7651,
  [7788] = 7710,
  [7789] = 7635,
  [7790] = 7710,
  [7791] = 7638,
  [7792] = 7668,
  [7793] = 7643,
  [7794] = 7636,
  [7795] = 7692,
  [7796] = 7659,
  [7797] = 6776,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7640,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7668,
  [7805] = 7651,
  [7806] = 7640,
  [7807] = 7647,
  [7808] = 7645,
  [7809] = 7659,
  [7810] = 7692,
  [7811] = 7638,
  [7812] = 7772,
  [7813] = 7688,
  [7814] = 7684,
  [7815] = 7710,
  [7816] = 7643,
  [7817] = 7638,
  [7818] = 7647,
  [7819] = 7641,
  [7820] = 7684,
  [7821] = 7645,
  [7822] = 7640,
  [7823] = 7647,
  [7824] = 7659,
  [7825] = 7643,
  [7826] = 7826,
  [7827] = 7692,
  [7828] = 7644,
  [7829] = 7643,
  [7830] = 7644,
  [7831] = 7636,
  [7832] = 7691,
  [7833] = 7656,
  [7834] = 7644,
  [7835] = 7648,
  [7836] = 7641,
  [7837] = 7684,
  [7838] = 7638,
  [7839] = 7700,
  [7840] = 7691,
  [7841] = 7643,
  [7842] = 7710,
  [7843] = 7843,
  [7844] = 7659,
  [7845] = 7772,
  [7846] = 7640,
  [7847] = 7847,
  [7848] = 7692,
  [7849] = 7641,
  [7850] = 7644,
  [7851] = 7648,
  [7852] = 7772,
  [7853] = 7644,
  [7854] = 7648,
  [7855] = 7640,
  [7856] = 7700,
  [7857] = 7656,
  [7858] = 7644,
  [7859] = 7640,
  [7860] = 7639,
  [7861] = 7648,
  [7862] = 7668,
  [7863] = 7643,
  [7864] = 7635,
  [7865] = 7688,
  [7866] = 7644,
  [7867] = 7772,
  [7868] = 7656,
  [7869] = 7643,
  [7870] = 7656,
  [7871] = 7641,
  [7872] = 7638,
  [7873] = 7643,
  [7874] = 7700,
  [7875] = 7641,
  [7876] = 7692,
  [7877] = 7772,
  [7878] = 7878,
  [7879] = 7710,
  [7880] = 7710,
  [7881] = 7659,
  [7882] = 7656,
  [7883] = 7883,
  [7884] = 7688,
  [7885] = 7885,
  [7886] = 7688,
  [7887] = 7772,
  [7888] = 7888,
  [7889] = 7691,
  [7890] = 7890,
  [7891] = 7640,
  [7892] = 7648,
  [7893] = 7644,
  [7894] = 7700,
  [7895] = 7636,
  [7896] = 7636,
  [7897] = 7710,
  [7898] = 7691,
  [7899] = 7899,
  [7900] = 7688,
  [7901] = 7684,
  [7902] = 7700,
  [7903] = 7772,
  [7904] = 7636,
  [7905] = 7640,
  [7906] = 7656,
  [7907] = 7639,
  [7908] = 7908,
  [7909] = 7656,
  [7910] = 7648,
  [7911] = 7641,
  [7912] = 7644,
  [7913] = 7644,
  [7914] = 7700,
  [7915] = 7643,
  [7916] = 7656,
  [7917] = 7668,
  [7918] = 7918,
  [7919] = 7644,
  [7920] = 7684,
  [7921] = 7688,
  [7922] = 7657,
  [7923] = 7772,
  [7924] = 7514,
  [7925] = 7638,
  [7926] = 7691,
  [7927] = 7692,
  [7928] = 7659,
  [7929] = 7684,
  [7930] = 7656,
  [7931] = 7656,
  [7932] = 7932,
  [7933] = 7933,
  [7934] = 7636,
  [7935] = 7668,
  [7936] = 7645,
  [7937] = 7647,
  [7938] = 7639,
  [7939] = 7688,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 7940,
  [7944] = 7944,
  [7945] = 7945,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7949,
  [7950] = 7950,
  [7951] = 7951,
  [7952] = 7951,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7955,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7959,
  [7960] = 7960,
  [7961] = 7961,
  [7962] = 7962,
  [7963] = 7963,
  [7964] = 7950,
  [7965] = 7965,
  [7966] = 7966,
  [7967] = 7955,
  [7968] = 7422,
  [7969] = 7969,
  [7970] = 7945,
  [7971] = 7971,
  [7972] = 7972,
  [7973] = 7973,
  [7974] = 7974,
  [7975] = 7975,
  [7976] = 7945,
  [7977] = 7940,
  [7978] = 7978,
  [7979] = 7979,
  [7980] = 7980,
  [7981] = 7981,
  [7982] = 7954,
  [7983] = 7983,
  [7984] = 7984,
  [7985] = 7950,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7949,
  [7989] = 7989,
  [7990] = 7990,
  [7991] = 7951,
  [7992] = 7960,
  [7993] = 7962,
  [7994] = 7994,
  [7995] = 7955,
  [7996] = 7996,
  [7997] = 7997,
  [7998] = 7961,
  [7999] = 7996,
  [8000] = 8000,
  [8001] = 8001,
  [8002] = 7954,
  [8003] = 8003,
  [8004] = 7966,
  [8005] = 8005,
  [8006] = 7949,
  [8007] = 7940,
  [8008] = 7954,
  [8009] = 7955,
  [8010] = 2893,
  [8011] = 7980,
  [8012] = 7989,
  [8013] = 7997,
  [8014] = 7990,
  [8015] = 7990,
  [8016] = 8016,
  [8017] = 7954,
  [8018] = 7986,
  [8019] = 7989,
  [8020] = 7951,
  [8021] = 7955,
  [8022] = 7969,
  [8023] = 7953,
  [8024] = 7946,
  [8025] = 8025,
  [8026] = 7947,
  [8027] = 7948,
  [8028] = 8028,
  [8029] = 7953,
  [8030] = 8000,
  [8031] = 8031,
  [8032] = 8032,
  [8033] = 8033,
  [8034] = 7961,
  [8035] = 7955,
  [8036] = 7940,
  [8037] = 8003,
  [8038] = 7997,
  [8039] = 7954,
  [8040] = 7962,
  [8041] = 7980,
  [8042] = 7950,
  [8043] = 7960,
  [8044] = 8003,
  [8045] = 7997,
  [8046] = 7945,
  [8047] = 7955,
  [8048] = 7962,
  [8049] = 7960,
  [8050] = 8050,
  [8051] = 7945,
  [8052] = 7990,
  [8053] = 7989,
  [8054] = 7955,
  [8055] = 7987,
  [8056] = 7986,
  [8057] = 7983,
  [8058] = 7965,
  [8059] = 8059,
  [8060] = 8060,
  [8061] = 7981,
  [8062] = 8062,
  [8063] = 7986,
  [8064] = 7955,
  [8065] = 8065,
  [8066] = 7955,
  [8067] = 7960,
  [8068] = 7946,
  [8069] = 7947,
  [8070] = 7948,
  [8071] = 7955,
  [8072] = 7954,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 7971,
  [8076] = 7975,
  [8077] = 7974,
  [8078] = 7972,
  [8079] = 7973,
  [8080] = 7974,
  [8081] = 7973,
  [8082] = 7974,
  [8083] = 7975,
  [8084] = 7975,
  [8085] = 7980,
  [8086] = 8086,
  [8087] = 7981,
  [8088] = 7973,
  [8089] = 7972,
  [8090] = 7971,
  [8091] = 7962,
  [8092] = 8092,
  [8093] = 7945,
  [8094] = 8060,
  [8095] = 7965,
  [8096] = 7981,
  [8097] = 8097,
  [8098] = 7955,
  [8099] = 7986,
  [8100] = 7966,
  [8101] = 7969,
  [8102] = 8102,
  [8103] = 8103,
  [8104] = 7990,
  [8105] = 7989,
  [8106] = 8106,
  [8107] = 7983,
  [8108] = 7953,
  [8109] = 8109,
  [8110] = 7948,
  [8111] = 7947,
  [8112] = 7946,
  [8113] = 7987,
  [8114] = 7946,
  [8115] = 7947,
  [8116] = 7987,
  [8117] = 7987,
  [8118] = 8118,
  [8119] = 7986,
  [8120] = 7948,
  [8121] = 7980,
  [8122] = 7954,
  [8123] = 7989,
  [8124] = 8124,
  [8125] = 7941,
  [8126] = 7990,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 7949,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 7961,
  [8133] = 8109,
  [8134] = 7945,
  [8135] = 7983,
  [8136] = 7951,
  [8137] = 7960,
  [8138] = 7951,
  [8139] = 7962,
  [8140] = 7949,
  [8141] = 8103,
  [8142] = 7950,
  [8143] = 8143,
  [8144] = 7981,
  [8145] = 7941,
  [8146] = 7997,
  [8147] = 7974,
  [8148] = 7945,
  [8149] = 7975,
  [8150] = 7986,
  [8151] = 7974,
  [8152] = 8003,
  [8153] = 7950,
  [8154] = 7987,
  [8155] = 8155,
  [8156] = 7950,
  [8157] = 7973,
  [8158] = 7972,
  [8159] = 7971,
  [8160] = 7996,
  [8161] = 8060,
  [8162] = 8109,
  [8163] = 7983,
  [8164] = 8164,
  [8165] = 7973,
  [8166] = 7974,
  [8167] = 7975,
  [8168] = 8168,
  [8169] = 8103,
  [8170] = 8086,
  [8171] = 7953,
  [8172] = 7953,
  [8173] = 7949,
  [8174] = 8174,
  [8175] = 7979,
  [8176] = 8176,
  [8177] = 7965,
  [8178] = 7981,
  [8179] = 7966,
  [8180] = 8180,
  [8181] = 8028,
  [8182] = 8001,
  [8183] = 8183,
  [8184] = 7966,
  [8185] = 8086,
  [8186] = 7961,
  [8187] = 7940,
  [8188] = 8000,
  [8189] = 7953,
  [8190] = 8028,
  [8191] = 8109,
  [8192] = 8192,
  [8193] = 7965,
  [8194] = 8194,
  [8195] = 8195,
  [8196] = 7975,
  [8197] = 7983,
  [8198] = 7948,
  [8199] = 7947,
  [8200] = 8200,
  [8201] = 8201,
  [8202] = 7965,
  [8203] = 7940,
  [8204] = 8204,
  [8205] = 7950,
  [8206] = 8206,
  [8207] = 8060,
  [8208] = 8208,
  [8209] = 7945,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 7975,
  [8215] = 7974,
  [8216] = 8060,
  [8217] = 7946,
  [8218] = 7986,
  [8219] = 7945,
  [8220] = 7980,
  [8221] = 7971,
  [8222] = 7997,
  [8223] = 7972,
  [8224] = 7986,
  [8225] = 8225,
  [8226] = 8226,
  [8227] = 7973,
  [8228] = 7974,
  [8229] = 7975,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 7973,
  [8233] = 8233,
  [8234] = 7973,
  [8235] = 7974,
  [8236] = 7975,
  [8237] = 8237,
  [8238] = 8003,
  [8239] = 7997,
  [8240] = 8240,
  [8241] = 7972,
  [8242] = 7971,
  [8243] = 8003,
  [8244] = 7961,
  [8245] = 7962,
  [8246] = 7960,
  [8247] = 7997,
  [8248] = 7990,
  [8249] = 7965,
  [8250] = 7989,
  [8251] = 7996,
  [8252] = 7987,
  [8253] = 7949,
  [8254] = 7945,
  [8255] = 7951,
  [8256] = 7940,
  [8257] = 8257,
  [8258] = 7983,
  [8259] = 7986,
  [8260] = 7973,
  [8261] = 7974,
  [8262] = 7975,
  [8263] = 7948,
  [8264] = 7981,
  [8265] = 7951,
  [8266] = 7949,
  [8267] = 7971,
  [8268] = 7962,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 7960,
  [8272] = 8272,
  [8273] = 7975,
  [8274] = 8274,
  [8275] = 7971,
  [8276] = 7973,
  [8277] = 7990,
  [8278] = 7945,
  [8279] = 7969,
  [8280] = 7989,
  [8281] = 7972,
  [8282] = 7969,
  [8283] = 7986,
  [8284] = 7973,
  [8285] = 7974,
  [8286] = 7975,
  [8287] = 7981,
  [8288] = 8288,
  [8289] = 7961,
  [8290] = 8060,
  [8291] = 7965,
  [8292] = 7983,
  [8293] = 7945,
  [8294] = 7953,
  [8295] = 8295,
  [8296] = 7948,
  [8297] = 7987,
  [8298] = 7947,
  [8299] = 7996,
  [8300] = 7945,
  [8301] = 7946,
  [8302] = 8302,
  [8303] = 7946,
  [8304] = 7986,
  [8305] = 7973,
  [8306] = 7974,
  [8307] = 7975,
  [8308] = 267,
  [8309] = 7980,
  [8310] = 7981,
  [8311] = 8086,
  [8312] = 7987,
  [8313] = 7946,
  [8314] = 269,
  [8315] = 7986,
  [8316] = 8316,
  [8317] = 7966,
  [8318] = 7980,
  [8319] = 7950,
  [8320] = 7986,
  [8321] = 7945,
  [8322] = 7974,
  [8323] = 7947,
  [8324] = 7961,
  [8325] = 7986,
  [8326] = 7973,
  [8327] = 7974,
  [8328] = 7975,
  [8329] = 8003,
  [8330] = 8330,
  [8331] = 7948,
  [8332] = 7951,
  [8333] = 7949,
  [8334] = 7989,
  [8335] = 8335,
  [8336] = 7940,
  [8337] = 7983,
  [8338] = 7945,
  [8339] = 8103,
  [8340] = 7990,
  [8341] = 7945,
  [8342] = 7945,
  [8343] = 7981,
  [8344] = 8344,
  [8345] = 7986,
  [8346] = 7973,
  [8347] = 7974,
  [8348] = 7975,
  [8349] = 7946,
  [8350] = 8028,
  [8351] = 8351,
  [8352] = 8060,
  [8353] = 7950,
  [8354] = 7947,
  [8355] = 7948,
  [8356] = 7960,
  [8357] = 8028,
  [8358] = 8358,
  [8359] = 7979,
  [8360] = 7962,
  [8361] = 8000,
  [8362] = 7945,
  [8363] = 7980,
  [8364] = 8364,
  [8365] = 7986,
  [8366] = 7973,
  [8367] = 7974,
  [8368] = 7975,
  [8369] = 7940,
  [8370] = 8370,
  [8371] = 7954,
  [8372] = 7953,
  [8373] = 7966,
  [8374] = 7997,
  [8375] = 7975,
  [8376] = 8003,
  [8377] = 7974,
  [8378] = 7966,
  [8379] = 7973,
  [8380] = 7973,
  [8381] = 7972,
  [8382] = 7945,
  [8383] = 7979,
  [8384] = 7966,
  [8385] = 7986,
  [8386] = 7973,
  [8387] = 7974,
  [8388] = 7975,
  [8389] = 8389,
  [8390] = 7986,
  [8391] = 7972,
  [8392] = 7971,
  [8393] = 7979,
  [8394] = 7965,
  [8395] = 8143,
  [8396] = 7945,
  [8397] = 7955,
  [8398] = 7969,
  [8399] = 8060,
  [8400] = 8103,
  [8401] = 7947,
  [8402] = 8086,
  [8403] = 7969,
  [8404] = 7955,
  [8405] = 8405,
  [8406] = 8406,
  [8407] = 8407,
  [8408] = 8407,
  [8409] = 8409,
  [8410] = 8410,
  [8411] = 8411,
  [8412] = 8412,
  [8413] = 8413,
  [8414] = 8413,
  [8415] = 8413,
  [8416] = 8413,
  [8417] = 8417,
  [8418] = 8413,
  [8419] = 8409,
  [8420] = 8413,
  [8421] = 8421,
  [8422] = 8422,
  [8423] = 8423,
  [8424] = 8413,
  [8425] = 8425,
  [8426] = 8413,
  [8427] = 8427,
  [8428] = 8413,
  [8429] = 8410,
  [8430] = 8413,
  [8431] = 8413,
  [8432] = 8432,
  [8433] = 8413,
  [8434] = 8434,
  [8435] = 8435,
  [8436] = 8413,
  [8437] = 8417,
  [8438] = 8409,
  [8439] = 8413,
  [8440] = 8413,
  [8441] = 8413,
  [8442] = 8442,
  [8443] = 8435,
  [8444] = 8413,
  [8445] = 8434,
  [8446] = 8446,
  [8447] = 8447,
  [8448] = 8425,
  [8449] = 8413,
  [8450] = 8450,
  [8451] = 8435,
  [8452] = 8452,
  [8453] = 8434,
  [8454] = 8411,
  [8455] = 8455,
  [8456] = 8456,
  [8457] = 8435,
  [8458] = 8435,
  [8459] = 8456,
  [8460] = 8427,
  [8461] = 8452,
  [8462] = 8405,
  [8463] = 8411,
  [8464] = 8450,
  [8465] = 8465,
  [8466] = 8455,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8470,
  [8471] = 8456,
  [8472] = 8472,
  [8473] = 8413,
  [8474] = 8474,
  [8475] = 8475,
  [8476] = 8476,
  [8477] = 8477,
  [8478] = 8478,
  [8479] = 8421,
  [8480] = 8480,
  [8481] = 8469,
  [8482] = 8482,
  [8483] = 8442,
  [8484] = 8450,
  [8485] = 8485,
  [8486] = 8446,
  [8487] = 8456,
  [8488] = 8411,
  [8489] = 8434,
  [8490] = 8447,
  [8491] = 8491,
  [8492] = 8452,
  [8493] = 8450,
  [8494] = 8494,
  [8495] = 8412,
  [8496] = 8496,
  [8497] = 8475,
  [8498] = 8423,
  [8499] = 8412,
  [8500] = 8405,
  [8501] = 8421,
  [8502] = 8502,
  [8503] = 8474,
  [8504] = 8504,
  [8505] = 8475,
  [8506] = 8465,
  [8507] = 8467,
  [8508] = 8508,
  [8509] = 8465,
  [8510] = 8510,
  [8511] = 8485,
  [8512] = 8456,
  [8513] = 8475,
  [8514] = 8514,
  [8515] = 8465,
  [8516] = 2970,
  [8517] = 2904,
  [8518] = 8518,
  [8519] = 8452,
  [8520] = 8405,
  [8521] = 8485,
  [8522] = 8480,
  [8523] = 8523,
  [8524] = 2908,
  [8525] = 8422,
  [8526] = 8423,
  [8527] = 8411,
  [8528] = 2910,
  [8529] = 8480,
  [8530] = 2920,
  [8531] = 8514,
  [8532] = 8409,
  [8533] = 2921,
  [8534] = 8470,
  [8535] = 8475,
  [8536] = 2925,
  [8537] = 2926,
  [8538] = 8467,
  [8539] = 2969,
  [8540] = 8465,
  [8541] = 8450,
  [8542] = 8542,
  [8543] = 8543,
  [8544] = 8475,
  [8545] = 8545,
  [8546] = 8411,
  [8547] = 8450,
  [8548] = 8465,
  [8549] = 8407,
  [8550] = 8456,
  [8551] = 8421,
  [8552] = 8411,
  [8553] = 2906,
  [8554] = 8421,
  [8555] = 8407,
  [8556] = 8423,
  [8557] = 8480,
  [8558] = 8558,
  [8559] = 8434,
  [8560] = 8435,
  [8561] = 8477,
  [8562] = 8475,
  [8563] = 8435,
  [8564] = 8477,
  [8565] = 8427,
  [8566] = 8447,
  [8567] = 8447,
  [8568] = 8514,
  [8569] = 8456,
  [8570] = 8570,
  [8571] = 8411,
  [8572] = 8572,
  [8573] = 8423,
  [8574] = 8474,
  [8575] = 8412,
  [8576] = 8423,
  [8577] = 8421,
  [8578] = 8421,
  [8579] = 8411,
  [8580] = 8580,
  [8581] = 8581,
  [8582] = 8469,
  [8583] = 8470,
  [8584] = 8545,
  [8585] = 8450,
  [8586] = 8465,
  [8587] = 8587,
  [8588] = 8467,
  [8589] = 8470,
  [8590] = 8480,
  [8591] = 8468,
  [8592] = 8592,
  [8593] = 8474,
  [8594] = 8475,
  [8595] = 8595,
  [8596] = 8475,
  [8597] = 8469,
  [8598] = 8469,
  [8599] = 8599,
  [8600] = 8600,
  [8601] = 8456,
  [8602] = 8480,
  [8603] = 8491,
  [8604] = 8465,
  [8605] = 8450,
  [8606] = 8470,
  [8607] = 8485,
  [8608] = 8477,
  [8609] = 8609,
  [8610] = 8446,
  [8611] = 8447,
  [8612] = 8421,
  [8613] = 8435,
  [8614] = 8407,
  [8615] = 8510,
  [8616] = 8411,
  [8617] = 8491,
  [8618] = 8467,
  [8619] = 8619,
  [8620] = 8469,
  [8621] = 8442,
  [8622] = 8474,
  [8623] = 8442,
  [8624] = 8467,
  [8625] = 8405,
  [8626] = 8468,
  [8627] = 8456,
  [8628] = 8510,
  [8629] = 8442,
  [8630] = 8425,
  [8631] = 8422,
  [8632] = 8510,
  [8633] = 8450,
  [8634] = 8465,
  [8635] = 8442,
  [8636] = 8480,
  [8637] = 8425,
  [8638] = 8407,
  [8639] = 8639,
  [8640] = 8410,
  [8641] = 8641,
  [8642] = 8407,
  [8643] = 8422,
  [8644] = 8435,
  [8645] = 8645,
  [8646] = 8475,
  [8647] = 8647,
  [8648] = 8510,
  [8649] = 8474,
  [8650] = 8435,
  [8651] = 8442,
  [8652] = 8434,
  [8653] = 8653,
  [8654] = 8425,
  [8655] = 8655,
  [8656] = 8410,
  [8657] = 8407,
  [8658] = 8545,
  [8659] = 8422,
  [8660] = 8510,
  [8661] = 8427,
  [8662] = 8434,
  [8663] = 8411,
  [8664] = 8456,
  [8665] = 8442,
  [8666] = 8491,
  [8667] = 8421,
  [8668] = 8435,
  [8669] = 8425,
  [8670] = 8410,
  [8671] = 8671,
  [8672] = 8545,
  [8673] = 8673,
  [8674] = 8422,
  [8675] = 8469,
  [8676] = 8469,
  [8677] = 8510,
  [8678] = 8678,
  [8679] = 8470,
  [8680] = 8504,
  [8681] = 8475,
  [8682] = 8682,
  [8683] = 8474,
  [8684] = 8450,
  [8685] = 8475,
  [8686] = 8465,
  [8687] = 8687,
  [8688] = 8435,
  [8689] = 8446,
  [8690] = 8434,
  [8691] = 8442,
  [8692] = 8456,
  [8693] = 8475,
  [8694] = 8405,
  [8695] = 8427,
  [8696] = 8425,
  [8697] = 8417,
  [8698] = 8410,
  [8699] = 8480,
  [8700] = 8474,
  [8701] = 8465,
  [8702] = 8545,
  [8703] = 8450,
  [8704] = 8475,
  [8705] = 8422,
  [8706] = 8510,
  [8707] = 8504,
  [8708] = 8435,
  [8709] = 8475,
  [8710] = 8485,
  [8711] = 8477,
  [8712] = 8469,
  [8713] = 8447,
  [8714] = 8452,
  [8715] = 8447,
  [8716] = 8716,
  [8717] = 8446,
  [8718] = 8456,
  [8719] = 8442,
  [8720] = 8469,
  [8721] = 8421,
  [8722] = 8470,
  [8723] = 8425,
  [8724] = 8409,
  [8725] = 8470,
  [8726] = 8726,
  [8727] = 8485,
  [8728] = 8417,
  [8729] = 8411,
  [8730] = 8730,
  [8731] = 8480,
  [8732] = 8410,
  [8733] = 8467,
  [8734] = 8474,
  [8735] = 8475,
  [8736] = 8485,
  [8737] = 8545,
  [8738] = 8491,
  [8739] = 8422,
  [8740] = 8435,
  [8741] = 8514,
  [8742] = 8467,
  [8743] = 8510,
  [8744] = 8470,
  [8745] = 8480,
  [8746] = 8410,
  [8747] = 8504,
  [8748] = 8447,
  [8749] = 8417,
  [8750] = 8514,
  [8751] = 8409,
  [8752] = 8480,
  [8753] = 8468,
  [8754] = 8465,
  [8755] = 8450,
  [8756] = 8425,
  [8757] = 8452,
  [8758] = 8446,
  [8759] = 8442,
  [8760] = 8435,
  [8761] = 8435,
  [8762] = 8465,
  [8763] = 8435,
  [8764] = 8456,
  [8765] = 8450,
  [8766] = 8425,
  [8767] = 8409,
  [8768] = 8417,
  [8769] = 8442,
  [8770] = 8446,
  [8771] = 8452,
  [8772] = 8468,
  [8773] = 8467,
  [8774] = 8410,
  [8775] = 8775,
  [8776] = 8467,
  [8777] = 8411,
  [8778] = 8475,
  [8779] = 8421,
  [8780] = 8435,
  [8781] = 8407,
  [8782] = 8427,
  [8783] = 8456,
  [8784] = 8469,
  [8785] = 8447,
  [8786] = 8504,
  [8787] = 8411,
  [8788] = 8475,
  [8789] = 8480,
  [8790] = 8790,
  [8791] = 8504,
  [8792] = 8510,
  [8793] = 8421,
  [8794] = 8412,
  [8795] = 8422,
  [8796] = 8423,
  [8797] = 8450,
  [8798] = 8465,
  [8799] = 8545,
  [8800] = 8800,
  [8801] = 8801,
  [8802] = 8802,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8807,
  [8808] = 8808,
  [8809] = 8802,
  [8810] = 8810,
  [8811] = 8811,
  [8812] = 8812,
  [8813] = 8813,
  [8814] = 8806,
  [8815] = 8804,
  [8816] = 8816,
  [8817] = 8817,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8820,
  [8821] = 8821,
  [8822] = 8822,
  [8823] = 8813,
  [8824] = 8824,
  [8825] = 8825,
  [8826] = 8826,
  [8827] = 8827,
  [8828] = 8828,
  [8829] = 8829,
  [8830] = 8830,
  [8831] = 8801,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8834,
  [8835] = 8835,
  [8836] = 8836,
  [8837] = 8837,
  [8838] = 8838,
  [8839] = 8839,
  [8840] = 8840,
  [8841] = 8841,
  [8842] = 8842,
  [8843] = 8843,
  [8844] = 8844,
  [8845] = 8836,
  [8846] = 8846,
  [8847] = 8847,
  [8848] = 8848,
  [8849] = 8849,
  [8850] = 8850,
  [8851] = 8851,
  [8852] = 8852,
  [8853] = 8853,
  [8854] = 8840,
  [8855] = 8855,
  [8856] = 8817,
  [8857] = 8857,
  [8858] = 8858,
  [8859] = 8859,
  [8860] = 8860,
  [8861] = 8861,
  [8862] = 8862,
  [8863] = 8863,
  [8864] = 8864,
  [8865] = 8865,
  [8866] = 8866,
  [8867] = 8867,
  [8868] = 8868,
  [8869] = 8869,
  [8870] = 8870,
  [8871] = 8871,
  [8872] = 8872,
  [8873] = 8873,
  [8874] = 8807,
  [8875] = 8875,
  [8876] = 8876,
  [8877] = 8877,
  [8878] = 8878,
  [8879] = 8866,
  [8880] = 8863,
  [8881] = 8868,
  [8882] = 8882,
  [8883] = 8883,
  [8884] = 8877,
  [8885] = 8885,
  [8886] = 8878,
  [8887] = 8810,
  [8888] = 8802,
  [8889] = 8889,
  [8890] = 8890,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8893,
  [8894] = 8894,
  [8895] = 8895,
  [8896] = 8896,
  [8897] = 8843,
  [8898] = 8869,
  [8899] = 8825,
  [8900] = 8900,
  [8901] = 8819,
  [8902] = 8818,
  [8903] = 8903,
  [8904] = 8904,
  [8905] = 8905,
  [8906] = 8813,
  [8907] = 8806,
  [8908] = 8804,
  [8909] = 8909,
  [8910] = 8807,
  [8911] = 8911,
  [8912] = 8812,
  [8913] = 8913,
  [8914] = 8873,
  [8915] = 8805,
  [8916] = 8916,
  [8917] = 8860,
  [8918] = 7597,
  [8919] = 8919,
  [8920] = 8859,
  [8921] = 8921,
  [8922] = 8892,
  [8923] = 8876,
  [8924] = 8924,
  [8925] = 8925,
  [8926] = 8873,
  [8927] = 8826,
  [8928] = 8822,
  [8929] = 8818,
  [8930] = 8930,
  [8931] = 8866,
  [8932] = 8878,
  [8933] = 8830,
  [8934] = 8872,
  [8935] = 8832,
  [8936] = 8936,
  [8937] = 8937,
  [8938] = 8885,
  [8939] = 8871,
  [8940] = 8883,
  [8941] = 8863,
  [8942] = 8838,
  [8943] = 8870,
  [8944] = 8859,
  [8945] = 8860,
  [8946] = 8946,
  [8947] = 8819,
  [8948] = 8948,
  [8949] = 8866,
  [8950] = 8950,
  [8951] = 8924,
  [8952] = 8870,
  [8953] = 8871,
  [8954] = 8869,
  [8955] = 8827,
  [8956] = 8956,
  [8957] = 8885,
  [8958] = 8817,
  [8959] = 8959,
  [8960] = 8960,
  [8961] = 8877,
  [8962] = 8872,
  [8963] = 8963,
  [8964] = 8964,
  [8965] = 8937,
  [8966] = 8876,
  [8967] = 8838,
  [8968] = 8801,
  [8969] = 8844,
  [8970] = 8801,
  [8971] = 8892,
  [8972] = 8972,
  [8973] = 8964,
  [8974] = 8904,
  [8975] = 8873,
  [8976] = 8840,
  [8977] = 8959,
  [8978] = 8836,
  [8979] = 8843,
  [8980] = 8916,
  [8981] = 8848,
  [8982] = 8982,
  [8983] = 8983,
  [8984] = 8849,
  [8985] = 8964,
  [8986] = 8963,
  [8987] = 8813,
  [8988] = 8806,
  [8989] = 8804,
  [8990] = 8850,
  [8991] = 8948,
  [8992] = 8992,
  [8993] = 8867,
  [8994] = 8895,
  [8995] = 8995,
  [8996] = 8805,
  [8997] = 8807,
  [8998] = 8998,
  [8999] = 8999,
  [9000] = 8802,
  [9001] = 8982,
  [9002] = 9002,
  [9003] = 8826,
  [9004] = 8857,
  [9005] = 8852,
  [9006] = 8822,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 8830,
  [9010] = 8883,
  [9011] = 8832,
  [9012] = 9012,
  [9013] = 8859,
  [9014] = 9014,
  [9015] = 8828,
  [9016] = 8924,
  [9017] = 9002,
  [9018] = 8869,
  [9019] = 8819,
  [9020] = 8817,
  [9021] = 9021,
  [9022] = 9022,
  [9023] = 9023,
  [9024] = 8877,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 9027,
  [9028] = 8892,
  [9029] = 8800,
  [9030] = 9030,
  [9031] = 8890,
  [9032] = 9032,
  [9033] = 9014,
  [9034] = 8891,
  [9035] = 8826,
  [9036] = 9036,
  [9037] = 2086,
  [9038] = 8843,
  [9039] = 8921,
  [9040] = 8883,
  [9041] = 9041,
  [9042] = 8802,
  [9043] = 9043,
  [9044] = 8807,
  [9045] = 8804,
  [9046] = 9046,
  [9047] = 9023,
  [9048] = 9048,
  [9049] = 8909,
  [9050] = 8826,
  [9051] = 8805,
  [9052] = 8919,
  [9053] = 9053,
  [9054] = 9054,
  [9055] = 9055,
  [9056] = 8892,
  [9057] = 8870,
  [9058] = 8871,
  [9059] = 8872,
  [9060] = 8822,
  [9061] = 8876,
  [9062] = 9062,
  [9063] = 8830,
  [9064] = 8924,
  [9065] = 8832,
  [9066] = 8904,
  [9067] = 8859,
  [9068] = 8836,
  [9069] = 9069,
  [9070] = 8840,
  [9071] = 8892,
  [9072] = 9072,
  [9073] = 8999,
  [9074] = 8825,
  [9075] = 9075,
  [9076] = 9076,
  [9077] = 9077,
  [9078] = 9078,
  [9079] = 8863,
  [9080] = 8872,
  [9081] = 9081,
  [9082] = 8826,
  [9083] = 8843,
  [9084] = 9084,
  [9085] = 9021,
  [9086] = 9026,
  [9087] = 9087,
  [9088] = 9088,
  [9089] = 8804,
  [9090] = 9090,
  [9091] = 9091,
  [9092] = 8836,
  [9093] = 8844,
  [9094] = 9094,
  [9095] = 8805,
  [9096] = 9096,
  [9097] = 9097,
  [9098] = 9096,
  [9099] = 9088,
  [9100] = 9094,
  [9101] = 9101,
  [9102] = 8860,
  [9103] = 8870,
  [9104] = 8822,
  [9105] = 9105,
  [9106] = 8871,
  [9107] = 8830,
  [9108] = 8948,
  [9109] = 8832,
  [9110] = 9110,
  [9111] = 8859,
  [9112] = 8863,
  [9113] = 8872,
  [9114] = 8866,
  [9115] = 9032,
  [9116] = 9116,
  [9117] = 8876,
  [9118] = 8873,
  [9119] = 9119,
  [9120] = 8892,
  [9121] = 9036,
  [9122] = 8921,
  [9123] = 8999,
  [9124] = 8840,
  [9125] = 9125,
  [9126] = 9126,
  [9127] = 8843,
  [9128] = 9046,
  [9129] = 9129,
  [9130] = 9130,
  [9131] = 9131,
  [9132] = 9036,
  [9133] = 8804,
  [9134] = 9032,
  [9135] = 9078,
  [9136] = 9136,
  [9137] = 9137,
  [9138] = 9138,
  [9139] = 8805,
  [9140] = 8937,
  [9141] = 6425,
  [9142] = 8999,
  [9143] = 9143,
  [9144] = 9144,
  [9145] = 9145,
  [9146] = 8876,
  [9147] = 8822,
  [9148] = 9148,
  [9149] = 8916,
  [9150] = 8830,
  [9151] = 9151,
  [9152] = 8832,
  [9153] = 9153,
  [9154] = 8859,
  [9155] = 8871,
  [9156] = 8870,
  [9157] = 8819,
  [9158] = 8919,
  [9159] = 8909,
  [9160] = 9023,
  [9161] = 8866,
  [9162] = 9046,
  [9163] = 8800,
  [9164] = 8921,
  [9165] = 8819,
  [9166] = 9036,
  [9167] = 9096,
  [9168] = 9168,
  [9169] = 8843,
  [9170] = 9032,
  [9171] = 8848,
  [9172] = 8800,
  [9173] = 8802,
  [9174] = 8891,
  [9175] = 9026,
  [9176] = 9021,
  [9177] = 8892,
  [9178] = 8805,
  [9179] = 8924,
  [9180] = 8878,
  [9181] = 9181,
  [9182] = 9026,
  [9183] = 8810,
  [9184] = 9014,
  [9185] = 8919,
  [9186] = 9002,
  [9187] = 8830,
  [9188] = 8921,
  [9189] = 8832,
  [9190] = 8849,
  [9191] = 8890,
  [9192] = 8982,
  [9193] = 8863,
  [9194] = 8892,
  [9195] = 8843,
  [9196] = 9196,
  [9197] = 8868,
  [9198] = 8924,
  [9199] = 8805,
  [9200] = 9200,
  [9201] = 8963,
  [9202] = 8832,
  [9203] = 8873,
  [9204] = 8919,
  [9205] = 9088,
  [9206] = 9206,
  [9207] = 8843,
  [9208] = 8959,
  [9209] = 8883,
  [9210] = 8805,
  [9211] = 8844,
  [9212] = 8832,
  [9213] = 8807,
  [9214] = 8852,
  [9215] = 6424,
  [9216] = 8843,
  [9217] = 8805,
  [9218] = 8832,
  [9219] = 8866,
  [9220] = 8805,
  [9221] = 8832,
  [9222] = 8878,
  [9223] = 8805,
  [9224] = 8832,
  [9225] = 8805,
  [9226] = 8832,
  [9227] = 8805,
  [9228] = 8832,
  [9229] = 8805,
  [9230] = 8832,
  [9231] = 8805,
  [9232] = 8832,
  [9233] = 8805,
  [9234] = 8832,
  [9235] = 8863,
  [9236] = 8857,
  [9237] = 8873,
  [9238] = 9238,
  [9239] = 8921,
  [9240] = 9240,
  [9241] = 9241,
  [9242] = 8855,
  [9243] = 8873,
  [9244] = 9244,
  [9245] = 9245,
  [9246] = 9246,
  [9247] = 9247,
  [9248] = 8850,
  [9249] = 8827,
  [9250] = 8838,
  [9251] = 8817,
  [9252] = 8876,
  [9253] = 8895,
  [9254] = 8801,
  [9255] = 8855,
  [9256] = 8844,
  [9257] = 8867,
  [9258] = 8840,
  [9259] = 8876,
  [9260] = 8836,
  [9261] = 8848,
  [9262] = 8849,
  [9263] = 9263,
  [9264] = 8964,
  [9265] = 9265,
  [9266] = 8850,
  [9267] = 8830,
  [9268] = 8885,
  [9269] = 8832,
  [9270] = 9270,
  [9271] = 9271,
  [9272] = 2083,
  [9273] = 8843,
  [9274] = 8828,
  [9275] = 8838,
  [9276] = 8867,
  [9277] = 8892,
  [9278] = 8819,
  [9279] = 8826,
  [9280] = 8807,
  [9281] = 8810,
  [9282] = 8802,
  [9283] = 8948,
  [9284] = 8904,
  [9285] = 8864,
  [9286] = 8802,
  [9287] = 8811,
  [9288] = 8913,
  [9289] = 8919,
  [9290] = 9290,
  [9291] = 9291,
  [9292] = 8840,
  [9293] = 8983,
  [9294] = 8916,
  [9295] = 9295,
  [9296] = 9296,
  [9297] = 9297,
  [9298] = 8826,
  [9299] = 9299,
  [9300] = 8866,
  [9301] = 9301,
  [9302] = 9302,
  [9303] = 8826,
  [9304] = 8911,
  [9305] = 8878,
  [9306] = 8863,
  [9307] = 8868,
  [9308] = 9271,
  [9309] = 9097,
  [9310] = 9310,
  [9311] = 9311,
  [9312] = 6487,
  [9313] = 8883,
  [9314] = 8850,
  [9315] = 8819,
  [9316] = 8802,
  [9317] = 8849,
  [9318] = 8807,
  [9319] = 8855,
  [9320] = 8836,
  [9321] = 8833,
  [9322] = 8838,
  [9323] = 8904,
  [9324] = 8829,
  [9325] = 8827,
  [9326] = 8817,
  [9327] = 8840,
  [9328] = 9328,
  [9329] = 8904,
  [9330] = 8817,
  [9331] = 8848,
  [9332] = 8883,
  [9333] = 8937,
  [9334] = 8832,
  [9335] = 8830,
  [9336] = 8836,
  [9337] = 9337,
  [9338] = 8840,
  [9339] = 8867,
  [9340] = 8825,
  [9341] = 8828,
  [9342] = 8801,
  [9343] = 8866,
  [9344] = 8916,
  [9345] = 9014,
  [9346] = 8892,
  [9347] = 8840,
  [9348] = 8870,
  [9349] = 8871,
  [9350] = 9270,
  [9351] = 8836,
  [9352] = 8904,
  [9353] = 8872,
  [9354] = 9354,
  [9355] = 9355,
  [9356] = 8848,
  [9357] = 8849,
  [9358] = 8850,
  [9359] = 8876,
  [9360] = 9360,
  [9361] = 9361,
  [9362] = 8999,
  [9363] = 9363,
  [9364] = 8801,
  [9365] = 8919,
  [9366] = 9366,
  [9367] = 8819,
  [9368] = 9368,
  [9369] = 8895,
  [9370] = 8867,
  [9371] = 8822,
  [9372] = 8807,
  [9373] = 8805,
  [9374] = 8817,
  [9375] = 8827,
  [9376] = 8810,
  [9377] = 8921,
  [9378] = 8802,
  [9379] = 9379,
  [9380] = 8806,
  [9381] = 8833,
  [9382] = 8855,
  [9383] = 8813,
  [9384] = 9384,
  [9385] = 8826,
  [9386] = 8817,
  [9387] = 9387,
  [9388] = 9388,
  [9389] = 9002,
  [9390] = 9390,
  [9391] = 8812,
  [9392] = 9392,
  [9393] = 9265,
  [9394] = 8802,
  [9395] = 8857,
  [9396] = 8852,
  [9397] = 8895,
  [9398] = 8919,
  [9399] = 9399,
  [9400] = 8833,
  [9401] = 8866,
  [9402] = 8863,
  [9403] = 8812,
  [9404] = 9094,
  [9405] = 8924,
  [9406] = 8867,
  [9407] = 8819,
  [9408] = 8844,
  [9409] = 9088,
  [9410] = 9096,
  [9411] = 9094,
  [9412] = 8866,
  [9413] = 8921,
  [9414] = 8916,
  [9415] = 9263,
  [9416] = 9238,
  [9417] = 9241,
  [9418] = 9244,
  [9419] = 8892,
  [9420] = 9246,
  [9421] = 8892,
  [9422] = 8876,
  [9423] = 8916,
  [9424] = 9424,
  [9425] = 9263,
  [9426] = 8819,
  [9427] = 9265,
  [9428] = 8924,
  [9429] = 8857,
  [9430] = 8805,
  [9431] = 9270,
  [9432] = 9271,
  [9433] = 8838,
  [9434] = 8873,
  [9435] = 8802,
  [9436] = 8811,
  [9437] = 8844,
  [9438] = 8827,
  [9439] = 8878,
  [9440] = 8911,
  [9441] = 9097,
  [9442] = 8982,
  [9443] = 9443,
  [9444] = 9238,
  [9445] = 9244,
  [9446] = 8852,
  [9447] = 9246,
  [9448] = 8866,
  [9449] = 8866,
  [9450] = 9263,
  [9451] = 8873,
  [9452] = 9265,
  [9453] = 8878,
  [9454] = 8892,
  [9455] = 9270,
  [9456] = 9271,
  [9457] = 8863,
  [9458] = 8811,
  [9459] = 8802,
  [9460] = 8855,
  [9461] = 8826,
  [9462] = 8911,
  [9463] = 9097,
  [9464] = 8804,
  [9465] = 8806,
  [9466] = 9238,
  [9467] = 9244,
  [9468] = 8827,
  [9469] = 9246,
  [9470] = 8937,
  [9471] = 8813,
  [9472] = 9263,
  [9473] = 8810,
  [9474] = 9265,
  [9475] = 8817,
  [9476] = 8883,
  [9477] = 9270,
  [9478] = 9271,
  [9479] = 8811,
  [9480] = 9480,
  [9481] = 9481,
  [9482] = 8948,
  [9483] = 8911,
  [9484] = 9097,
  [9485] = 8818,
  [9486] = 9238,
  [9487] = 9244,
  [9488] = 8866,
  [9489] = 9246,
  [9490] = 8838,
  [9491] = 8890,
  [9492] = 9263,
  [9493] = 9265,
  [9494] = 8801,
  [9495] = 8892,
  [9496] = 9270,
  [9497] = 9271,
  [9498] = 8811,
  [9499] = 8840,
  [9500] = 9021,
  [9501] = 8836,
  [9502] = 8911,
  [9503] = 9097,
  [9504] = 8891,
  [9505] = 9238,
  [9506] = 9244,
  [9507] = 8848,
  [9508] = 9246,
  [9509] = 8807,
  [9510] = 9510,
  [9511] = 9265,
  [9512] = 8849,
  [9513] = 9513,
  [9514] = 9270,
  [9515] = 9271,
  [9516] = 8811,
  [9517] = 8850,
  [9518] = 8867,
  [9519] = 8829,
  [9520] = 8911,
  [9521] = 9097,
  [9522] = 8807,
  [9523] = 9238,
  [9524] = 9244,
  [9525] = 9200,
  [9526] = 9246,
  [9527] = 8810,
  [9528] = 8802,
  [9529] = 9265,
  [9530] = 9530,
  [9531] = 8866,
  [9532] = 9270,
  [9533] = 9271,
  [9534] = 8811,
  [9535] = 8876,
  [9536] = 9384,
  [9537] = 8813,
  [9538] = 8911,
  [9539] = 9097,
  [9540] = 8871,
  [9541] = 9238,
  [9542] = 8866,
  [9543] = 9246,
  [9544] = 8892,
  [9545] = 8819,
  [9546] = 8840,
  [9547] = 6395,
  [9548] = 9270,
  [9549] = 9271,
  [9550] = 8806,
  [9551] = 8916,
  [9552] = 8904,
  [9553] = 8911,
  [9554] = 8866,
  [9555] = 9238,
  [9556] = 9246,
  [9557] = 8802,
  [9558] = 9271,
  [9559] = 8844,
  [9560] = 8810,
  [9561] = 8911,
  [9562] = 8826,
  [9563] = 9238,
  [9564] = 9246,
  [9565] = 8878,
  [9566] = 9271,
  [9567] = 9567,
  [9568] = 8911,
  [9569] = 9238,
  [9570] = 9246,
  [9571] = 9271,
  [9572] = 8911,
  [9573] = 9271,
  [9574] = 8911,
  [9575] = 9271,
  [9576] = 8911,
  [9577] = 9271,
  [9578] = 8911,
  [9579] = 9271,
  [9580] = 8911,
  [9581] = 9271,
  [9582] = 8911,
  [9583] = 9271,
  [9584] = 8911,
  [9585] = 9271,
  [9586] = 8911,
  [9587] = 9587,
  [9588] = 9588,
  [9589] = 9241,
  [9590] = 9590,
  [9591] = 9591,
  [9592] = 8863,
  [9593] = 8909,
  [9594] = 8895,
  [9595] = 9078,
  [9596] = 8883,
  [9597] = 8868,
  [9598] = 8873,
  [9599] = 9599,
  [9600] = 8866,
  [9601] = 8892,
  [9602] = 9602,
  [9603] = 8904,
  [9604] = 8843,
  [9605] = 8850,
  [9606] = 8864,
  [9607] = 9368,
  [9608] = 8849,
  [9609] = 8857,
  [9610] = 8852,
  [9611] = 9611,
  [9612] = 8924,
  [9613] = 9023,
  [9614] = 9055,
  [9615] = 8848,
  [9616] = 8870,
  [9617] = 8999,
  [9618] = 8872,
  [9619] = 8876,
  [9620] = 9062,
  [9621] = 8895,
  [9622] = 8890,
  [9623] = 8891,
  [9624] = 8890,
  [9625] = 8892,
  [9626] = 8999,
  [9627] = 8921,
  [9628] = 8836,
  [9629] = 9629,
  [9630] = 8876,
  [9631] = 8909,
  [9632] = 9046,
  [9633] = 9633,
  [9634] = 8919,
  [9635] = 8829,
  [9636] = 8890,
  [9637] = 8840,
  [9638] = 9078,
  [9639] = 8963,
  [9640] = 9640,
  [9641] = 9055,
  [9642] = 8870,
  [9643] = 8909,
  [9644] = 8840,
  [9645] = 8871,
  [9646] = 8872,
  [9647] = 8876,
  [9648] = 9062,
  [9649] = 8807,
  [9650] = 8822,
  [9651] = 8877,
  [9652] = 8850,
  [9653] = 9653,
  [9654] = 8999,
  [9655] = 8870,
  [9656] = 8871,
  [9657] = 8891,
  [9658] = 9591,
  [9659] = 9590,
  [9660] = 9078,
  [9661] = 8872,
  [9662] = 9662,
  [9663] = 9663,
  [9664] = 8849,
  [9665] = 9665,
  [9666] = 8840,
  [9667] = 9247,
  [9668] = 9246,
  [9669] = 9241,
  [9670] = 9590,
  [9671] = 9591,
  [9672] = 9513,
  [9673] = 9673,
  [9674] = 9062,
  [9675] = 8864,
  [9676] = 9368,
  [9677] = 8999,
  [9678] = 8855,
  [9679] = 9679,
  [9680] = 9241,
  [9681] = 9590,
  [9682] = 9591,
  [9683] = 8848,
  [9684] = 9684,
  [9685] = 8864,
  [9686] = 9368,
  [9687] = 9244,
  [9688] = 8959,
  [9689] = 8869,
  [9690] = 9241,
  [9691] = 9590,
  [9692] = 9591,
  [9693] = 8801,
  [9694] = 9094,
  [9695] = 8864,
  [9696] = 9368,
  [9697] = 9096,
  [9698] = 9698,
  [9699] = 9241,
  [9700] = 9590,
  [9701] = 9591,
  [9702] = 8828,
  [9703] = 8825,
  [9704] = 8864,
  [9705] = 9368,
  [9706] = 9088,
  [9707] = 8892,
  [9708] = 9590,
  [9709] = 9591,
  [9710] = 8876,
  [9711] = 8872,
  [9712] = 8864,
  [9713] = 9368,
  [9714] = 9714,
  [9715] = 9715,
  [9716] = 9590,
  [9717] = 9591,
  [9718] = 9718,
  [9719] = 9719,
  [9720] = 8864,
  [9721] = 9368,
  [9722] = 9094,
  [9723] = 8855,
  [9724] = 9590,
  [9725] = 9591,
  [9726] = 8817,
  [9727] = 8864,
  [9728] = 9368,
  [9729] = 9240,
  [9730] = 8827,
  [9731] = 8864,
  [9732] = 9368,
  [9733] = 8877,
  [9734] = 8871,
  [9735] = 9368,
  [9736] = 8870,
  [9737] = 9368,
  [9738] = 8866,
  [9739] = 9368,
  [9740] = 8859,
  [9741] = 9368,
  [9742] = 8869,
  [9743] = 9368,
  [9744] = 8836,
  [9745] = 9368,
  [9746] = 8817,
  [9747] = 9368,
  [9748] = 9055,
  [9749] = 9368,
  [9750] = 8827,
  [9751] = 9368,
  [9752] = 9684,
  [9753] = 9310,
  [9754] = 9096,
  [9755] = 9684,
  [9756] = 9310,
  [9757] = 9757,
  [9758] = 9684,
  [9759] = 9310,
  [9760] = 8833,
  [9761] = 9684,
  [9762] = 9310,
  [9763] = 9088,
  [9764] = 9684,
  [9765] = 9310,
  [9766] = 8833,
  [9767] = 9684,
  [9768] = 9310,
  [9769] = 8893,
  [9770] = 9684,
  [9771] = 9310,
  [9772] = 9772,
  [9773] = 9310,
  [9774] = 9310,
  [9775] = 9310,
  [9776] = 9310,
  [9777] = 9310,
  [9778] = 9310,
  [9779] = 9310,
  [9780] = 9310,
  [9781] = 9310,
  [9782] = 9310,
  [9783] = 9310,
  [9784] = 9784,
  [9785] = 9238,
  [9786] = 9786,
  [9787] = 8909,
  [9788] = 8860,
  [9789] = 8867,
  [9790] = 8859,
  [9791] = 9679,
  [9792] = 9679,
  [9793] = 9679,
  [9794] = 9679,
  [9795] = 9679,
  [9796] = 9679,
  [9797] = 9679,
};

static TSCharacterRange sym_number_literal_character_set_1[] = {
  {'\'', '\''}, {'.', '.'}, {'0', '9'}, {'B', 'B'}, {'E', 'E'}, {'L', 'L'}, {'U', 'U'}, {'X', 'X'},
  {'Z', 'Z'}, {'b', 'b'}, {'e', 'e'}, {'l', 'l'}, {'u', 'u'}, {'x', 'x'}, {'z', 'z'},
};

static TSCharacterRange sym_number_literal_character_set_2[] = {
  {'\'', '\''}, {'.', '.'}, {'0', '9'}, {'E', 'E'}, {'L', 'L'}, {'U', 'U'}, {'Z', 'Z'}, {'e', 'e'},
  {'l', 'l'}, {'u', 'u'}, {'z', 'z'},
};

static TSCharacterRange sym_number_literal_character_set_3[] = {
  {'\'', '\''}, {'.', '.'}, {'0', '9'}, {'A', 'F'}, {'L', 'L'}, {'P', 'P'}, {'U', 'U'}, {'Z', 'Z'},
  {'a', 'f'}, {'l', 'l'}, {'p', 'p'}, {'u', 'u'}, {'z', 'z'},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f},
  {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1},
  {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122},
  {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf2}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xecd}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff66, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x1123e}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36},
  {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f},
  {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb},
  {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88},
  {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b},
  {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac},
  {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539},
  {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa},
  {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb},
  {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(391);
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(325);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(395);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(697);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(190);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(190);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(201);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(201);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(200);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(200);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(204);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(204);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(202);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(202);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(205);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(205);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(193);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(193);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(195);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(195);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(196);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(196);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(206);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(206);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(285);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(285);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(255);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(255);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(283);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(283);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(286);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(286);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(198);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(198);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(225);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(225);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(222);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(222);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(207);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(207);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(247);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(247);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(234);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(234);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(229);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(229);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(226);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(226);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(211);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(211);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(233);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(233);
      if (lookahead == '\r') SKIP(49);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(263);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(263);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(237);
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(237);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(216);
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(216);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(217);
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(217);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(224);
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(224);
      if (lookahead == '\r') SKIP(59);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(240);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(240);
      if (lookahead == '\r') SKIP(61);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(227);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(227);
      if (lookahead == '\r') SKIP(63);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(248);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(248);
      if (lookahead == '\r') SKIP(65);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(245);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(245);
      if (lookahead == '\r') SKIP(67);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(284);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(284);
      if (lookahead == '\r') SKIP(69);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(259);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(259);
      if (lookahead == '\r') SKIP(71);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(262);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(262);
      if (lookahead == '\r') SKIP(73);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(264);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(264);
      if (lookahead == '\r') SKIP(75);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(239);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(239);
      if (lookahead == '\r') SKIP(77);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(269);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(269);
      if (lookahead == '\r') SKIP(79);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(213);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(213);
      if (lookahead == '\r') SKIP(81);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(279);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(279);
      if (lookahead == '\r') SKIP(83);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(261);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(261);
      if (lookahead == '\r') SKIP(85);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(199);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(199);
      if (lookahead == '\r') SKIP(87);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(271);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(271);
      if (lookahead == '\r') SKIP(89);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(251);
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(251);
      if (lookahead == '\r') SKIP(91);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(381);
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(381);
      if (lookahead == '\r') SKIP(93);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(270);
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(270);
      if (lookahead == '\r') SKIP(95);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(265);
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(265);
      if (lookahead == '\r') SKIP(97);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(384);
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(384);
      if (lookahead == '\r') SKIP(99);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(274);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(274);
      if (lookahead == '\r') SKIP(101);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(382);
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(382);
      if (lookahead == '\r') SKIP(103);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(385);
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(385);
      if (lookahead == '\r') SKIP(105);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(383);
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(383);
      if (lookahead == '\r') SKIP(107);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(111);
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(111);
      if (lookahead == '\r') SKIP(109);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '\n', 400,
        '!', 312,
        '%', 486,
        '&', 496,
        '(', 461,
        '*', 482,
        '+', 475,
        '-', 465,
        '/', 484,
        '<', 510,
        '=', 313,
        '>', 501,
      );
      if (lookahead == '\\') SKIP(110);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(208);
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(208);
      if (lookahead == '\r') SKIP(112);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(280);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(280);
      if (lookahead == '\r') SKIP(114);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(386);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(386);
      if (lookahead == '\r') SKIP(116);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(281);
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(281);
      if (lookahead == '\r') SKIP(118);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(278);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '/') ADVANCE(583);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(586);
      if (lookahead != 0) ADVANCE(587);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(589);
      if (lookahead == '\r') ADVANCE(588);
      if (lookahead == 'U') ADVANCE(380);
      if (lookahead == 'u') ADVANCE(372);
      if (lookahead == 'x') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead != 0) ADVANCE(588);
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(288);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '/') ADVANCE(576);
      if (lookahead == '\\') ADVANCE(575);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(577);
      if (lookahead != 0) ADVANCE(574);
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(393);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead == '(') ADVANCE(395);
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(418);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(303);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 124:
      if (lookahead == '\n') ADVANCE(393);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(418);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(303);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(393);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '\\') SKIP(129);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(291);
      END_STATE();
    case 126:
      if (lookahead == '\n') ADVANCE(393);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '\\') SKIP(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      END_STATE();
    case 127:
      if (lookahead == '\n') ADVANCE(393);
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(418);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(291);
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(291);
      if (lookahead == '\r') SKIP(128);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(191);
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(191);
      if (lookahead == '\r') SKIP(130);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(203);
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(203);
      if (lookahead == '\r') SKIP(132);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(194);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(194);
      if (lookahead == '\r') SKIP(134);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(197);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(197);
      if (lookahead == '\r') SKIP(136);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(212);
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(212);
      if (lookahead == '\r') SKIP(138);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(232);
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(232);
      if (lookahead == '\r') SKIP(140);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(268);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(268);
      if (lookahead == '\r') SKIP(142);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(235);
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(235);
      if (lookahead == '\r') SKIP(144);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(218);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(218);
      if (lookahead == '\r') SKIP(146);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(228);
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(228);
      if (lookahead == '\r') SKIP(148);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(249);
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(249);
      if (lookahead == '\r') SKIP(150);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(287);
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(287);
      if (lookahead == '\r') SKIP(152);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(260);
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(260);
      if (lookahead == '\r') SKIP(154);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(238);
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(238);
      if (lookahead == '\r') SKIP(156);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(276);
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(276);
      if (lookahead == '\r') SKIP(158);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(273);
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(273);
      if (lookahead == '\r') SKIP(160);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(250);
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(250);
      if (lookahead == '\r') SKIP(162);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(267);
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(267);
      if (lookahead == '\r') SKIP(164);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(192);
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(192);
      if (lookahead == '\r') SKIP(166);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(246);
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(246);
      if (lookahead == '\r') SKIP(168);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(236);
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(236);
      if (lookahead == '\r') SKIP(170);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(253);
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(253);
      if (lookahead == '\r') SKIP(172);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(242);
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(242);
      if (lookahead == '\r') SKIP(174);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(275);
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(275);
      if (lookahead == '\r') SKIP(176);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(272);
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(272);
      if (lookahead == '\r') SKIP(178);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(254);
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(254);
      if (lookahead == '\r') SKIP(180);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(266);
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(266);
      if (lookahead == '\r') SKIP(182);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(241);
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(241);
      if (lookahead == '\r') SKIP(184);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(252);
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(252);
      if (lookahead == '\r') SKIP(186);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 188:
      if (lookahead == '\n') SKIP(277);
      END_STATE();
    case 189:
      if (lookahead == '\n') SKIP(277);
      if (lookahead == '\r') SKIP(188);
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(325);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(697);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(467);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(468);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(282);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(292);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '[') ADVANCE(322);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(282);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(292);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '[') ADVANCE(323);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(325);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(311);
      if (lookahead == '>') ADVANCE(500);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(490);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(331);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(549);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(324);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(335);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(300);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(327);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '>') ADVANCE(316);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(329);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '>') ADVANCE(314);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(548);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(548);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(697);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(462);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '+') ADVANCE(480);
      if (lookahead == '-') ADVANCE(473);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == 'L') ADVANCE(682);
      if (lookahead == 'U') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(620);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212);
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213);
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(707);
      if (lookahead == 'R') ADVANCE(708);
      if (lookahead == 'U') ADVANCE(709);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == 'u') ADVANCE(710);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225);
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'u') ADVANCE(604);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(350);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(696);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(312);
      if (lookahead == '#') ADVANCE(330);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(465);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(510);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266);
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(494);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(189);
      if (lookahead == '^') ADVANCE(493);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277);
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(501);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == ']') ADVANCE(324);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261);
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262);
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263);
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264);
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265);
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266);
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(470);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267);
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268);
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269);
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270);
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(479);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(524);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273);
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(481);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(474);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '<') ADVANCE(508);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(502);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == '|') ADVANCE(491);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274);
      END_STATE();
    case 275:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275);
      END_STATE();
    case 276:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      END_STATE();
    case 277:
      if (lookahead == '!') ADVANCE(312);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(476);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(546);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '<') ADVANCE(509);
      if (lookahead == '=') ADVANCE(313);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(189);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == '|') ADVANCE(492);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277);
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278);
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == 'L') ADVANCE(598);
      if (lookahead == 'U') ADVANCE(602);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(605);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279);
      END_STATE();
    case 280:
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == 'L') ADVANCE(597);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'U') ADVANCE(601);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == 'u') ADVANCE(604);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280);
      END_STATE();
    case 281:
      if (lookahead == '"') ADVANCE(582);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'L' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '<') ADVANCE(318);
      if (lookahead == 'L') ADVANCE(598);
      if (lookahead == 'U') ADVANCE(602);
      if (lookahead == '\\') ADVANCE(119);
      if (lookahead == 'u') ADVANCE(606);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281);
      END_STATE();
    case 282:
      if (lookahead == '"') ADVANCE(706);
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(332);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283);
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(336);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(317);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284);
      END_STATE();
    case 285:
      if (lookahead == '#') ADVANCE(326);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(475);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(317);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285);
      END_STATE();
    case 286:
      if (lookahead == '#') ADVANCE(328);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286);
      END_STATE();
    case 287:
      if (lookahead == '#') ADVANCE(340);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(317);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287);
      END_STATE();
    case 288:
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '\\') ADVANCE(121);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288);
      END_STATE();
    case 289:
      if (lookahead == '\'') ADVANCE(365);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(289);
      END_STATE();
    case 290:
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(562);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      END_STATE();
    case 291:
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == '\\') SKIP(129);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      END_STATE();
    case 292:
      if (lookahead == ')') ADVANCE(704);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(550);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(297);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(703);
      END_STATE();
    case 296:
      if (lookahead == '*') ADVANCE(296);
      if (lookahead == '/') ADVANCE(686);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 297:
      if (lookahead == '*') ADVANCE(296);
      if (lookahead != 0) ADVANCE(297);
      END_STATE();
    case 298:
      if (lookahead == '*') ADVANCE(296);
      if (lookahead != 0) ADVANCE(416);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(301);
      END_STATE();
    case 300:
      if (lookahead == '.') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 301:
      if (lookahead == '.') ADVANCE(396);
      END_STATE();
    case 302:
      if (lookahead == '.') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 303:
      if (lookahead == '/') ADVANCE(420);
      if (lookahead == '\\') ADVANCE(418);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 304:
      if (lookahead == '1') ADVANCE(308);
      END_STATE();
    case 305:
      if (lookahead == '2') ADVANCE(553);
      END_STATE();
    case 306:
      if (lookahead == '2') ADVANCE(309);
      if (lookahead == '6') ADVANCE(553);
      END_STATE();
    case 307:
      if (lookahead == '4') ADVANCE(553);
      END_STATE();
    case 308:
      if (lookahead == '6') ADVANCE(553);
      END_STATE();
    case 309:
      if (lookahead == '8') ADVANCE(553);
      END_STATE();
    case 310:
      if (lookahead == ':') ADVANCE(516);
      END_STATE();
    case 311:
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(499);
      END_STATE();
    case 313:
      if (lookahead == '=') ADVANCE(498);
      END_STATE();
    case 314:
      if (lookahead == '=') ADVANCE(503);
      if (lookahead == '>') ADVANCE(315);
      END_STATE();
    case 315:
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(513);
      END_STATE();
    case 317:
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 318:
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 319:
      if (lookahead == '>') ADVANCE(593);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 320:
      if (lookahead == 'F') ADVANCE(304);
      END_STATE();
    case 321:
      if (lookahead == 'U') ADVANCE(379);
      if (lookahead == 'u') ADVANCE(371);
      END_STATE();
    case 322:
      if (lookahead == '[') ADVANCE(517);
      if (lookahead == ']') ADVANCE(705);
      END_STATE();
    case 323:
      if (lookahead == ']') ADVANCE(705);
      END_STATE();
    case 324:
      if (lookahead == ']') ADVANCE(518);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(454);
      if (lookahead == 'i') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(457);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(457);
      if (lookahead == 'i') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(456);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'e') ADVANCE(456);
      if (lookahead == 'i') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(330);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'i') ADVANCE(440);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(432);
      if (lookahead == 'i') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(332);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 333:
      if (lookahead == 'd') ADVANCE(347);
      END_STATE();
    case 334:
      if (lookahead == 'd') ADVANCE(339);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(353);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(335);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(336);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(352);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(340);
      END_STATE();
    case 341:
      if (lookahead == 'f') ADVANCE(304);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(401);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(408);
      END_STATE();
    case 344:
      if (lookahead == 'f') ADVANCE(411);
      END_STATE();
    case 345:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 346:
      if (lookahead == 'f') ADVANCE(407);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(343);
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 349:
      if (lookahead == 'i') ADVANCE(346);
      if (lookahead == 's') ADVANCE(337);
      END_STATE();
    case 350:
      if (lookahead == 'i') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 351:
      if (lookahead == 'l') ADVANCE(348);
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(349);
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 353:
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 354:
      if (lookahead == '|') ADVANCE(488);
      END_STATE();
    case 355:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 356:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(289);
      END_STATE();
    case 357:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(557);
      END_STATE();
    case 358:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 359:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 360:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 361:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(290);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(685);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(289);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(588);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(363);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(368);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(376);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 380:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 381:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      END_STATE();
    case 382:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          lookahead != 's' &&
          lookahead != 'u' &&
          lookahead != 'v') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(650);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 'u') ADVANCE(643);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      END_STATE();
    case 383:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'T' &&
          lookahead != '\\' &&
          lookahead != 'f' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(310);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'f') ADVANCE(675);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == '{') ADVANCE(519);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      END_STATE();
    case 384:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(317);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384);
      END_STATE();
    case 385:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '.') ADVANCE(299);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(521);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385);
      END_STATE();
    case 386:
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '/') ADVANCE(294);
      if (lookahead == ':') ADVANCE(530);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(117);
      if (lookahead == '{') ADVANCE(519);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      END_STATE();
    case 387:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(692);
      END_STATE();
    case 388:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(421);
      END_STATE();
    case 389:
      if (eof) ADVANCE(391);
      if (lookahead == '!') ADVANCE(463);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(325);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(487);
      if (lookahead == '&') ADVANCE(497);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(483);
      if (lookahead == '+') ADVANCE(477);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(466);
      if (lookahead == '.') ADVANCE(547);
      if (lookahead == '/') ADVANCE(485);
      if (lookahead == '0') ADVANCE(697);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(507);
      if (lookahead == '=') ADVANCE(527);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == '?') ADVANCE(532);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(525);
      if (lookahead == '^') ADVANCE(494);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(491);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 390:
      if (eof) ADVANCE(391);
      if (lookahead == '!') ADVANCE(462);
      if (lookahead == '"') ADVANCE(582);
      if (lookahead == '#') ADVANCE(331);
      if ((set_contains(sym_identifier_character_set_1, 658, lookahead)) &&
          lookahead != 'F' &&
          lookahead != 'L' &&
          lookahead != 'R' &&
          lookahead != 'T' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          (lookahead < 'b' || 'd' < lookahead) &&
          lookahead != 'f' &&
          lookahead != 'i' &&
          lookahead != 'm' &&
          lookahead != 'n' &&
          lookahead != 'p' &&
          (lookahead < 's' || 'v' < lookahead)) ADVANCE(685);
      if (lookahead == '%') ADVANCE(486);
      if (lookahead == '&') ADVANCE(496);
      if (lookahead == '\'') ADVANCE(573);
      if (lookahead == '(') ADVANCE(461);
      if (lookahead == ')') ADVANCE(398);
      if (lookahead == '*') ADVANCE(482);
      if (lookahead == '+') ADVANCE(478);
      if (lookahead == ',') ADVANCE(397);
      if (lookahead == '-') ADVANCE(469);
      if (lookahead == '.') ADVANCE(549);
      if (lookahead == '/') ADVANCE(484);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == ':') ADVANCE(531);
      if (lookahead == ';') ADVANCE(515);
      if (lookahead == '<') ADVANCE(506);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(695);
      if (lookahead == 'F') ADVANCE(627);
      if (lookahead == 'L') ADVANCE(596);
      if (lookahead == 'R') ADVANCE(599);
      if (lookahead == 'T') ADVANCE(624);
      if (lookahead == 'U') ADVANCE(600);
      if (lookahead == '[') ADVANCE(522);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(324);
      if (lookahead == '^') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(658);
      if (lookahead == 'c') ADVANCE(638);
      if (lookahead == 'd') ADVANCE(654);
      if (lookahead == 'f') ADVANCE(616);
      if (lookahead == 'i') ADVANCE(651);
      if (lookahead == 'm') ADVANCE(676);
      if (lookahead == 'n') ADVANCE(671);
      if (lookahead == 'p') ADVANCE(668);
      if (lookahead == 's') ADVANCE(615);
      if (lookahead == 't') ADVANCE(663);
      if (lookahead == 'u') ADVANCE(603);
      if (lookahead == 'v') ADVANCE(655);
      if (lookahead == '{') ADVANCE(519);
      if (lookahead == '|') ADVANCE(354);
      if (lookahead == '}') ADVANCE(520);
      if (lookahead == '~') ADVANCE(464);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(390);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(436);
      if (lookahead == 'n') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(400);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(338);
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'n') ADVANCE(431);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == '/') ADVANCE(686);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0) ADVANCE(416);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(297);
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == '/') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(422);
      if (lookahead != 0) ADVANCE(416);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(687);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      if (lookahead != 0) ADVANCE(689);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(303);
      if (lookahead == '\r') ADVANCE(419);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(303);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0) ADVANCE(421);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(416);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(421);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(421);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(416);
      if (lookahead == '\r') ADVANCE(425);
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == '/') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(421);
      if (lookahead == '\r') ADVANCE(426);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '\\') ADVANCE(423);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(416);
      if (lookahead == '*') ADVANCE(415);
      if (lookahead == '/') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(422);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(421);
      if (lookahead == '/') ADVANCE(388);
      if (lookahead == '\\') ADVANCE(423);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(399);
      if (lookahead == 'n') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(404);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(414);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(443);
      if (lookahead == 's') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(449);
      if (lookahead == 's') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(451);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(453);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(428);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(429);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(460);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(499);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(537);
      if (lookahead == '>') ADVANCE(552);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(537);
      if (lookahead == '>') ADVANCE(551);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '>') ADVANCE(551);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '=') ADVANCE(537);
      if (lookahead == '>') ADVANCE(552);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '=') ADVANCE(537);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(544);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(537);
      if (lookahead == '>') ADVANCE(295);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(545);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(545);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (lookahead == '=') ADVANCE(536);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(545);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(545);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(360);
      if (lookahead == '0') ADVANCE(556);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(297);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(297);
      if (lookahead == '/') ADVANCE(690);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(542);
      if (lookahead == '|') ADVANCE(488);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(488);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(489);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(489);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(503);
      if (lookahead == '>') ADVANCE(513);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(503);
      if (lookahead == '>') ADVANCE(514);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(543);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(511);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(538);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(517);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(517);
      if (lookahead == ']') ADVANCE(705);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(705);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(498);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_primitive_type);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '1' &&
          lookahead != '3' &&
          lookahead != '6' &&
          lookahead != '8' &&
          lookahead != '\\' &&
          lookahead != 'p') ADVANCE(685);
      if (lookahead == '1') ADVANCE(619);
      if (lookahead == '3') ADVANCE(617);
      if (lookahead == '6') ADVANCE(618);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_primitive_type);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(516);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(550);
      if (lookahead == '.') ADVANCE(301);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(550);
      if (lookahead == '.') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(301);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(703);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 360,
        'B', 320,
        'b', 341,
        'E', 355,
        'e', 355,
        'F', 561,
        'f', 561,
        'L', 553,
        'l', 553,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 358,
        '.', 562,
        'L', 563,
        'l', 566,
        'E', 355,
        'e', 355,
        'U', 565,
        'u', 565,
        'Z', 568,
        'z', 568,
      );
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 358,
        '.', 562,
        'B', 357,
        'b', 357,
        'L', 563,
        'X', 302,
        'x', 302,
        'l', 566,
        'E', 355,
        'e', 355,
        'U', 565,
        'u', 565,
        'Z', 568,
        'z', 568,
      );
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(357);
      if (lookahead == 'L') ADVANCE(563);
      if (lookahead == 'l') ADVANCE(566);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(565);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(568);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(557);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 359,
        '.', 562,
        'L', 563,
        'l', 566,
        'E', 355,
        'e', 355,
        'U', 565,
        'u', 565,
        'Z', 568,
        'z', 568,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(558);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == 'B') ADVANCE(320);
      if (lookahead == 'b') ADVANCE(341);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(561);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(559);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 364,
        '.', 356,
        'L', 563,
        'l', 566,
        'P', 355,
        'p', 355,
        'U', 565,
        'u', 565,
        'Z', 568,
        'z', 568,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(560);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(306);
      if (lookahead == '3') ADVANCE(305);
      if (lookahead == '6') ADVANCE(307);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'B', 320,
        'b', 341,
        'E', 355,
        'e', 355,
        'F', 561,
        'f', 561,
        'L', 553,
        'l', 553,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(554);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(568);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(553);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(564);
      if (lookahead == 'l') ADVANCE(567);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(553);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(568);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(553);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(589);
      if (lookahead == '\r') ADVANCE(588);
      if (lookahead == 'U') ADVANCE(380);
      if (lookahead == 'u') ADVANCE(372);
      if (lookahead == 'x') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (lookahead != 0) ADVANCE(588);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(297);
      if (lookahead == '/') ADVANCE(690);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(121);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(585);
      if (lookahead == '/') ADVANCE(587);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(584);
      if (lookahead == '/') ADVANCE(587);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(585);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(584);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(583);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(586);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(587);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(121);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(590);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '\\') ADVANCE(319);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(318);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_true);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_false);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == 'R') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'R') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(578);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(698);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(571);
      if (lookahead == 'R') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'R') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(580);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '8' &&
          lookahead != 'R' &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '8') ADVANCE(609);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '8' &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '8') ADVANCE(610);
      if (lookahead == 'R') ADVANCE(612);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '8' &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '8') ADVANCE(611);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(579);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '8' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '8') ADVANCE(611);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(699);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(701);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(572);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(581);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(700);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(702);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '1' &&
          lookahead != '3' &&
          lookahead != '6' &&
          lookahead != '8' &&
          lookahead != '\\' &&
          lookahead != 'p') ADVANCE(685);
      if (lookahead == '1') ADVANCE(619);
      if (lookahead == '3') ADVANCE(617);
      if (lookahead == '6') ADVANCE(618);
      if (lookahead == '8') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i' &&
          lookahead != 's') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(674);
      if (lookahead == 's') ADVANCE(639);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(644);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '2' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '2') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '4' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '4') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '6' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '6') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '8' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(570);
      if (lookahead == '8') ADVANCE(684);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'E' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'E') ADVANCE(594);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'E' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'E') ADVANCE(595);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'L' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'L') ADVANCE(625);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'R' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'R') ADVANCE(626);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'S' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'S') ADVANCE(622);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'U' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'U') ADVANCE(621);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != 'A' &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == 'A') ADVANCE(623);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'b') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'b') ADVANCE(649);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'd') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'd') ADVANCE(529);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'd') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'd') ADVANCE(640);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'e') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'e') ADVANCE(594);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'e') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'e') ADVANCE(529);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'e') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'e') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'e') ADVANCE(681);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'f') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'f') ADVANCE(681);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'f') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'f') ADVANCE(635);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'g') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'g') ADVANCE(652);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'h') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'h') ADVANCE(677);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(674);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(636);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(637);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(629);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'i') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(653);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(664);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(529);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(659);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(646);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(641);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(632);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'l') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'l') ADVANCE(656);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'n') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(665);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'n') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(681);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'n') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'n') ADVANCE(667);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'o') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(670);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'o') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(642);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'o') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(678);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'o') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(645);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'o') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(657);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'p') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'p') ADVANCE(669);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'r') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'r') ADVANCE(528);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'r') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'r') ADVANCE(630);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'r') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'r') ADVANCE(681);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'r') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'r') ADVANCE(672);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 's') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 's') ADVANCE(633);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 't') ADVANCE(529);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 't') ADVANCE(614);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 't') ADVANCE(661);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 't') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 't') ADVANCE(662);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'u') ADVANCE(628);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'u') ADVANCE(647);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'u') ADVANCE(631);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'x') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'x') ADVANCE(680);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'z') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'z') ADVANCE(634);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(644);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(673);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(660);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != 'a') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == 'a') ADVANCE(648);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != '_') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == '_') ADVANCE(679);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\' &&
          lookahead != '_') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (lookahead == '_') ADVANCE(666);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(571);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\'') ADVANCE(572);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          lookahead != '\\') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(424);
      if (lookahead != 0) ADVANCE(689);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(417);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(689);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(424);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(690);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(691);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\r') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(692);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(689);
      if (lookahead == '/') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(424);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(387);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_0);
      ADVANCE_MAP(
        '\'', 358,
        '.', 562,
        'B', 357,
        'b', 357,
        'L', 563,
        'X', 302,
        'x', 302,
        'l', 566,
        'E', 355,
        'e', 355,
        'U', 565,
        'u', 565,
        'Z', 568,
        'z', 568,
      );
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(290);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(555);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(578);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(711);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(698);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(580);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(579);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '8') ADVANCE(713);
      if (lookahead == 'R') ADVANCE(714);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(699);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(701);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(581);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == 'R') ADVANCE(715);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(700);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(702);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_literal_suffix);
      if ((set_contains(sym_identifier_character_set_2, 765, lookahead)) &&
          (lookahead < '0' || '9' < lookahead) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '\\' &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(685);
      if (lookahead == '\\') ADVANCE(321);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(716);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        'a', 84,
        'b', 85,
        'c', 86,
        'd', 87,
        'e', 88,
        'f', 89,
        'i', 90,
        'l', 91,
        'r', 92,
        's', 93,
        't', 94,
        'u', 95,
        'v', 96,
      );
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(420);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(426);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(438);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(444);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(447);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(452);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(453);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(456);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(468);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(470);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(471);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 421:
      if (lookahead == 'b') ADVANCE(480);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 425:
      if (lookahead == 'p') ADVANCE(482);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 427:
      if (lookahead == 's') ADVANCE(484);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(485);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(491);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(492);
      END_STATE();
    case 437:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 438:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 439:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(496);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 444:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 445:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(500);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(501);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 450:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(505);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(509);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 466:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 473:
      if (lookahead == 'd') ADVANCE(520);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 478:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 479:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 480:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 484:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'c') ADVANCE(532);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(534);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 493:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 494:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 502:
      if (lookahead == 't') ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 512:
      if (lookahead == 'd') ADVANCE(543);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 518:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(546);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 526:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 527:
      if (lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 528:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 531:
      if (lookahead == '_') ADVANCE(552);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 534:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 535:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(557);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 545:
      if (lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 546:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 549:
      if (lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 551:
      if (lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 555:
      if (lookahead == 'd') ADVANCE(565);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(568);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(569);
      END_STATE();
    case 562:
      if (lookahead == '_') ADVANCE(570);
      END_STATE();
    case 563:
      if (lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 567:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 390},
  [2] = {.lex_state = 390},
  [3] = {.lex_state = 390},
  [4] = {.lex_state = 390},
  [5] = {.lex_state = 390},
  [6] = {.lex_state = 390},
  [7] = {.lex_state = 390},
  [8] = {.lex_state = 390},
  [9] = {.lex_state = 390},
  [10] = {.lex_state = 390},
  [11] = {.lex_state = 390},
  [12] = {.lex_state = 390},
  [13] = {.lex_state = 390},
  [14] = {.lex_state = 390},
  [15] = {.lex_state = 390},
  [16] = {.lex_state = 200},
  [17] = {.lex_state = 200},
  [18] = {.lex_state = 200},
  [19] = {.lex_state = 200},
  [20] = {.lex_state = 200},
  [21] = {.lex_state = 200},
  [22] = {.lex_state = 200},
  [23] = {.lex_state = 200},
  [24] = {.lex_state = 200},
  [25] = {.lex_state = 200},
  [26] = {.lex_state = 204},
  [27] = {.lex_state = 204},
  [28] = {.lex_state = 204},
  [29] = {.lex_state = 204},
  [30] = {.lex_state = 200},
  [31] = {.lex_state = 204},
  [32] = {.lex_state = 204},
  [33] = {.lex_state = 204},
  [34] = {.lex_state = 204},
  [35] = {.lex_state = 204},
  [36] = {.lex_state = 204},
  [37] = {.lex_state = 204},
  [38] = {.lex_state = 204},
  [39] = {.lex_state = 204},
  [40] = {.lex_state = 204},
  [41] = {.lex_state = 204},
  [42] = {.lex_state = 390},
  [43] = {.lex_state = 390},
  [44] = {.lex_state = 390},
  [45] = {.lex_state = 390},
  [46] = {.lex_state = 390},
  [47] = {.lex_state = 390},
  [48] = {.lex_state = 390},
  [49] = {.lex_state = 390},
  [50] = {.lex_state = 390},
  [51] = {.lex_state = 390},
  [52] = {.lex_state = 390},
  [53] = {.lex_state = 390},
  [54] = {.lex_state = 390},
  [55] = {.lex_state = 390},
  [56] = {.lex_state = 390},
  [57] = {.lex_state = 390},
  [58] = {.lex_state = 390},
  [59] = {.lex_state = 390},
  [60] = {.lex_state = 390},
  [61] = {.lex_state = 390},
  [62] = {.lex_state = 390},
  [63] = {.lex_state = 390},
  [64] = {.lex_state = 390},
  [65] = {.lex_state = 390},
  [66] = {.lex_state = 390},
  [67] = {.lex_state = 390},
  [68] = {.lex_state = 390},
  [69] = {.lex_state = 390},
  [70] = {.lex_state = 390},
  [71] = {.lex_state = 390},
  [72] = {.lex_state = 390},
  [73] = {.lex_state = 390},
  [74] = {.lex_state = 390},
  [75] = {.lex_state = 390},
  [76] = {.lex_state = 390},
  [77] = {.lex_state = 390},
  [78] = {.lex_state = 203},
  [79] = {.lex_state = 390},
  [80] = {.lex_state = 390},
  [81] = {.lex_state = 390},
  [82] = {.lex_state = 390},
  [83] = {.lex_state = 390},
  [84] = {.lex_state = 203},
  [85] = {.lex_state = 390},
  [86] = {.lex_state = 390},
  [87] = {.lex_state = 390},
  [88] = {.lex_state = 390},
  [89] = {.lex_state = 390},
  [90] = {.lex_state = 390},
  [91] = {.lex_state = 390},
  [92] = {.lex_state = 390},
  [93] = {.lex_state = 390},
  [94] = {.lex_state = 203},
  [95] = {.lex_state = 390},
  [96] = {.lex_state = 390},
  [97] = {.lex_state = 390},
  [98] = {.lex_state = 390},
  [99] = {.lex_state = 390},
  [100] = {.lex_state = 200},
  [101] = {.lex_state = 200},
  [102] = {.lex_state = 200},
  [103] = {.lex_state = 200},
  [104] = {.lex_state = 200},
  [105] = {.lex_state = 204},
  [106] = {.lex_state = 204},
  [107] = {.lex_state = 204},
  [108] = {.lex_state = 204},
  [109] = {.lex_state = 204},
  [110] = {.lex_state = 390},
  [111] = {.lex_state = 390},
  [112] = {.lex_state = 390},
  [113] = {.lex_state = 203},
  [114] = {.lex_state = 203},
  [115] = {.lex_state = 203},
  [116] = {.lex_state = 203},
  [117] = {.lex_state = 390},
  [118] = {.lex_state = 390},
  [119] = {.lex_state = 390},
  [120] = {.lex_state = 203},
  [121] = {.lex_state = 390},
  [122] = {.lex_state = 390},
  [123] = {.lex_state = 390},
  [124] = {.lex_state = 390},
  [125] = {.lex_state = 202},
  [126] = {.lex_state = 202},
  [127] = {.lex_state = 202},
  [128] = {.lex_state = 202},
  [129] = {.lex_state = 202},
  [130] = {.lex_state = 202},
  [131] = {.lex_state = 202},
  [132] = {.lex_state = 202},
  [133] = {.lex_state = 202},
  [134] = {.lex_state = 202},
  [135] = {.lex_state = 202},
  [136] = {.lex_state = 202},
  [137] = {.lex_state = 202},
  [138] = {.lex_state = 202},
  [139] = {.lex_state = 202},
  [140] = {.lex_state = 202},
  [141] = {.lex_state = 202},
  [142] = {.lex_state = 202},
  [143] = {.lex_state = 202},
  [144] = {.lex_state = 202},
  [145] = {.lex_state = 202},
  [146] = {.lex_state = 202},
  [147] = {.lex_state = 205},
  [148] = {.lex_state = 205},
  [149] = {.lex_state = 205},
  [150] = {.lex_state = 202},
  [151] = {.lex_state = 191},
  [152] = {.lex_state = 191},
  [153] = {.lex_state = 390},
  [154] = {.lex_state = 390},
  [155] = {.lex_state = 193},
  [156] = {.lex_state = 202},
  [157] = {.lex_state = 191},
  [158] = {.lex_state = 195},
  [159] = {.lex_state = 202},
  [160] = {.lex_state = 202},
  [161] = {.lex_state = 202},
  [162] = {.lex_state = 202},
  [163] = {.lex_state = 202},
  [164] = {.lex_state = 202},
  [165] = {.lex_state = 202},
  [166] = {.lex_state = 202},
  [167] = {.lex_state = 202},
  [168] = {.lex_state = 202},
  [169] = {.lex_state = 202},
  [170] = {.lex_state = 191},
  [171] = {.lex_state = 202},
  [172] = {.lex_state = 202},
  [173] = {.lex_state = 196},
  [174] = {.lex_state = 202},
  [175] = {.lex_state = 202},
  [176] = {.lex_state = 202},
  [177] = {.lex_state = 202},
  [178] = {.lex_state = 202},
  [179] = {.lex_state = 202},
  [180] = {.lex_state = 202},
  [181] = {.lex_state = 202},
  [182] = {.lex_state = 202},
  [183] = {.lex_state = 202},
  [184] = {.lex_state = 202},
  [185] = {.lex_state = 202},
  [186] = {.lex_state = 202},
  [187] = {.lex_state = 202},
  [188] = {.lex_state = 202},
  [189] = {.lex_state = 202},
  [190] = {.lex_state = 202},
  [191] = {.lex_state = 202},
  [192] = {.lex_state = 202},
  [193] = {.lex_state = 202},
  [194] = {.lex_state = 202},
  [195] = {.lex_state = 202},
  [196] = {.lex_state = 202},
  [197] = {.lex_state = 202},
  [198] = {.lex_state = 202},
  [199] = {.lex_state = 202},
  [200] = {.lex_state = 202},
  [201] = {.lex_state = 202},
  [202] = {.lex_state = 202},
  [203] = {.lex_state = 202},
  [204] = {.lex_state = 202},
  [205] = {.lex_state = 202},
  [206] = {.lex_state = 202},
  [207] = {.lex_state = 202},
  [208] = {.lex_state = 202},
  [209] = {.lex_state = 202},
  [210] = {.lex_state = 202},
  [211] = {.lex_state = 202},
  [212] = {.lex_state = 202},
  [213] = {.lex_state = 202},
  [214] = {.lex_state = 202},
  [215] = {.lex_state = 202},
  [216] = {.lex_state = 202},
  [217] = {.lex_state = 202},
  [218] = {.lex_state = 202},
  [219] = {.lex_state = 202},
  [220] = {.lex_state = 202},
  [221] = {.lex_state = 202},
  [222] = {.lex_state = 202},
  [223] = {.lex_state = 202},
  [224] = {.lex_state = 202},
  [225] = {.lex_state = 202},
  [226] = {.lex_state = 202},
  [227] = {.lex_state = 202},
  [228] = {.lex_state = 202},
  [229] = {.lex_state = 202},
  [230] = {.lex_state = 200},
  [231] = {.lex_state = 200},
  [232] = {.lex_state = 195},
  [233] = {.lex_state = 206},
  [234] = {.lex_state = 206},
  [235] = {.lex_state = 206},
  [236] = {.lex_state = 206},
  [237] = {.lex_state = 206},
  [238] = {.lex_state = 206},
  [239] = {.lex_state = 206},
  [240] = {.lex_state = 200},
  [241] = {.lex_state = 206},
  [242] = {.lex_state = 206},
  [243] = {.lex_state = 206},
  [244] = {.lex_state = 206},
  [245] = {.lex_state = 206},
  [246] = {.lex_state = 206},
  [247] = {.lex_state = 206},
  [248] = {.lex_state = 206},
  [249] = {.lex_state = 200},
  [250] = {.lex_state = 206},
  [251] = {.lex_state = 206},
  [252] = {.lex_state = 206},
  [253] = {.lex_state = 206},
  [254] = {.lex_state = 206},
  [255] = {.lex_state = 206},
  [256] = {.lex_state = 206},
  [257] = {.lex_state = 206},
  [258] = {.lex_state = 206},
  [259] = {.lex_state = 206},
  [260] = {.lex_state = 206},
  [261] = {.lex_state = 206},
  [262] = {.lex_state = 206},
  [263] = {.lex_state = 206},
  [264] = {.lex_state = 206},
  [265] = {.lex_state = 204},
  [266] = {.lex_state = 204},
  [267] = {.lex_state = 200},
  [268] = {.lex_state = 200},
  [269] = {.lex_state = 200},
  [270] = {.lex_state = 200},
  [271] = {.lex_state = 200},
  [272] = {.lex_state = 200},
  [273] = {.lex_state = 200},
  [274] = {.lex_state = 200},
  [275] = {.lex_state = 200},
  [276] = {.lex_state = 200},
  [277] = {.lex_state = 200},
  [278] = {.lex_state = 200},
  [279] = {.lex_state = 200},
  [280] = {.lex_state = 200},
  [281] = {.lex_state = 200},
  [282] = {.lex_state = 200},
  [283] = {.lex_state = 200},
  [284] = {.lex_state = 200},
  [285] = {.lex_state = 200},
  [286] = {.lex_state = 200},
  [287] = {.lex_state = 200},
  [288] = {.lex_state = 200},
  [289] = {.lex_state = 200},
  [290] = {.lex_state = 200},
  [291] = {.lex_state = 200},
  [292] = {.lex_state = 200},
  [293] = {.lex_state = 200},
  [294] = {.lex_state = 200},
  [295] = {.lex_state = 200},
  [296] = {.lex_state = 200},
  [297] = {.lex_state = 200},
  [298] = {.lex_state = 200},
  [299] = {.lex_state = 200},
  [300] = {.lex_state = 200},
  [301] = {.lex_state = 200},
  [302] = {.lex_state = 200},
  [303] = {.lex_state = 200},
  [304] = {.lex_state = 200},
  [305] = {.lex_state = 200},
  [306] = {.lex_state = 200},
  [307] = {.lex_state = 200},
  [308] = {.lex_state = 200},
  [309] = {.lex_state = 200},
  [310] = {.lex_state = 200},
  [311] = {.lex_state = 200},
  [312] = {.lex_state = 200},
  [313] = {.lex_state = 200},
  [314] = {.lex_state = 200},
  [315] = {.lex_state = 200},
  [316] = {.lex_state = 200},
  [317] = {.lex_state = 200},
  [318] = {.lex_state = 200},
  [319] = {.lex_state = 200},
  [320] = {.lex_state = 204},
  [321] = {.lex_state = 200},
  [322] = {.lex_state = 200},
  [323] = {.lex_state = 200},
  [324] = {.lex_state = 200},
  [325] = {.lex_state = 200},
  [326] = {.lex_state = 200},
  [327] = {.lex_state = 200},
  [328] = {.lex_state = 200},
  [329] = {.lex_state = 200},
  [330] = {.lex_state = 200},
  [331] = {.lex_state = 200},
  [332] = {.lex_state = 200},
  [333] = {.lex_state = 200},
  [334] = {.lex_state = 200},
  [335] = {.lex_state = 200},
  [336] = {.lex_state = 200},
  [337] = {.lex_state = 204},
  [338] = {.lex_state = 200},
  [339] = {.lex_state = 200},
  [340] = {.lex_state = 200},
  [341] = {.lex_state = 200},
  [342] = {.lex_state = 200},
  [343] = {.lex_state = 200},
  [344] = {.lex_state = 200},
  [345] = {.lex_state = 200},
  [346] = {.lex_state = 200},
  [347] = {.lex_state = 200},
  [348] = {.lex_state = 200},
  [349] = {.lex_state = 200},
  [350] = {.lex_state = 200},
  [351] = {.lex_state = 200},
  [352] = {.lex_state = 390},
  [353] = {.lex_state = 200},
  [354] = {.lex_state = 285},
  [355] = {.lex_state = 200},
  [356] = {.lex_state = 200},
  [357] = {.lex_state = 203},
  [358] = {.lex_state = 204},
  [359] = {.lex_state = 390},
  [360] = {.lex_state = 204},
  [361] = {.lex_state = 200},
  [362] = {.lex_state = 200},
  [363] = {.lex_state = 202},
  [364] = {.lex_state = 200},
  [365] = {.lex_state = 202},
  [366] = {.lex_state = 204},
  [367] = {.lex_state = 204},
  [368] = {.lex_state = 285},
  [369] = {.lex_state = 200},
  [370] = {.lex_state = 285},
  [371] = {.lex_state = 200},
  [372] = {.lex_state = 200},
  [373] = {.lex_state = 200},
  [374] = {.lex_state = 200},
  [375] = {.lex_state = 200},
  [376] = {.lex_state = 200},
  [377] = {.lex_state = 200},
  [378] = {.lex_state = 200},
  [379] = {.lex_state = 390},
  [380] = {.lex_state = 200},
  [381] = {.lex_state = 200},
  [382] = {.lex_state = 285},
  [383] = {.lex_state = 285},
  [384] = {.lex_state = 200},
  [385] = {.lex_state = 200},
  [386] = {.lex_state = 285},
  [387] = {.lex_state = 200},
  [388] = {.lex_state = 200},
  [389] = {.lex_state = 200},
  [390] = {.lex_state = 200},
  [391] = {.lex_state = 203},
  [392] = {.lex_state = 200},
  [393] = {.lex_state = 200},
  [394] = {.lex_state = 204},
  [395] = {.lex_state = 200},
  [396] = {.lex_state = 200},
  [397] = {.lex_state = 200},
  [398] = {.lex_state = 200},
  [399] = {.lex_state = 200},
  [400] = {.lex_state = 200},
  [401] = {.lex_state = 200},
  [402] = {.lex_state = 200},
  [403] = {.lex_state = 200},
  [404] = {.lex_state = 200},
  [405] = {.lex_state = 285},
  [406] = {.lex_state = 200},
  [407] = {.lex_state = 200},
  [408] = {.lex_state = 200},
  [409] = {.lex_state = 200},
  [410] = {.lex_state = 200},
  [411] = {.lex_state = 200},
  [412] = {.lex_state = 200},
  [413] = {.lex_state = 200},
  [414] = {.lex_state = 200},
  [415] = {.lex_state = 200},
  [416] = {.lex_state = 200},
  [417] = {.lex_state = 200},
  [418] = {.lex_state = 285},
  [419] = {.lex_state = 200},
  [420] = {.lex_state = 200},
  [421] = {.lex_state = 200},
  [422] = {.lex_state = 200},
  [423] = {.lex_state = 200},
  [424] = {.lex_state = 200},
  [425] = {.lex_state = 390},
  [426] = {.lex_state = 200},
  [427] = {.lex_state = 200},
  [428] = {.lex_state = 200},
  [429] = {.lex_state = 200},
  [430] = {.lex_state = 200},
  [431] = {.lex_state = 200},
  [432] = {.lex_state = 202},
  [433] = {.lex_state = 200},
  [434] = {.lex_state = 200},
  [435] = {.lex_state = 200},
  [436] = {.lex_state = 200},
  [437] = {.lex_state = 200},
  [438] = {.lex_state = 200},
  [439] = {.lex_state = 200},
  [440] = {.lex_state = 200},
  [441] = {.lex_state = 200},
  [442] = {.lex_state = 204},
  [443] = {.lex_state = 204},
  [444] = {.lex_state = 206},
  [445] = {.lex_state = 204},
  [446] = {.lex_state = 206},
  [447] = {.lex_state = 206},
  [448] = {.lex_state = 206},
  [449] = {.lex_state = 204},
  [450] = {.lex_state = 204},
  [451] = {.lex_state = 204},
  [452] = {.lex_state = 204},
  [453] = {.lex_state = 204},
  [454] = {.lex_state = 204},
  [455] = {.lex_state = 204},
  [456] = {.lex_state = 206},
  [457] = {.lex_state = 204},
  [458] = {.lex_state = 204},
  [459] = {.lex_state = 204},
  [460] = {.lex_state = 204},
  [461] = {.lex_state = 204},
  [462] = {.lex_state = 206},
  [463] = {.lex_state = 206},
  [464] = {.lex_state = 206},
  [465] = {.lex_state = 390},
  [466] = {.lex_state = 204},
  [467] = {.lex_state = 204},
  [468] = {.lex_state = 204},
  [469] = {.lex_state = 204},
  [470] = {.lex_state = 204},
  [471] = {.lex_state = 206},
  [472] = {.lex_state = 206},
  [473] = {.lex_state = 203},
  [474] = {.lex_state = 204},
  [475] = {.lex_state = 204},
  [476] = {.lex_state = 204},
  [477] = {.lex_state = 206},
  [478] = {.lex_state = 203},
  [479] = {.lex_state = 204},
  [480] = {.lex_state = 206},
  [481] = {.lex_state = 204},
  [482] = {.lex_state = 206},
  [483] = {.lex_state = 204},
  [484] = {.lex_state = 206},
  [485] = {.lex_state = 204},
  [486] = {.lex_state = 206},
  [487] = {.lex_state = 204},
  [488] = {.lex_state = 204},
  [489] = {.lex_state = 204},
  [490] = {.lex_state = 204},
  [491] = {.lex_state = 204},
  [492] = {.lex_state = 204},
  [493] = {.lex_state = 204},
  [494] = {.lex_state = 204},
  [495] = {.lex_state = 204},
  [496] = {.lex_state = 206},
  [497] = {.lex_state = 204},
  [498] = {.lex_state = 204},
  [499] = {.lex_state = 204},
  [500] = {.lex_state = 204},
  [501] = {.lex_state = 204},
  [502] = {.lex_state = 204},
  [503] = {.lex_state = 204},
  [504] = {.lex_state = 204},
  [505] = {.lex_state = 390},
  [506] = {.lex_state = 206},
  [507] = {.lex_state = 204},
  [508] = {.lex_state = 204},
  [509] = {.lex_state = 204},
  [510] = {.lex_state = 204},
  [511] = {.lex_state = 204},
  [512] = {.lex_state = 204},
  [513] = {.lex_state = 204},
  [514] = {.lex_state = 204},
  [515] = {.lex_state = 204},
  [516] = {.lex_state = 204},
  [517] = {.lex_state = 204},
  [518] = {.lex_state = 206},
  [519] = {.lex_state = 204},
  [520] = {.lex_state = 204},
  [521] = {.lex_state = 204},
  [522] = {.lex_state = 204},
  [523] = {.lex_state = 204},
  [524] = {.lex_state = 204},
  [525] = {.lex_state = 204},
  [526] = {.lex_state = 204},
  [527] = {.lex_state = 204},
  [528] = {.lex_state = 204},
  [529] = {.lex_state = 204},
  [530] = {.lex_state = 204},
  [531] = {.lex_state = 204},
  [532] = {.lex_state = 204},
  [533] = {.lex_state = 204},
  [534] = {.lex_state = 204},
  [535] = {.lex_state = 204},
  [536] = {.lex_state = 204},
  [537] = {.lex_state = 204},
  [538] = {.lex_state = 204},
  [539] = {.lex_state = 206},
  [540] = {.lex_state = 204},
  [541] = {.lex_state = 204},
  [542] = {.lex_state = 204},
  [543] = {.lex_state = 204},
  [544] = {.lex_state = 204},
  [545] = {.lex_state = 204},
  [546] = {.lex_state = 204},
  [547] = {.lex_state = 204},
  [548] = {.lex_state = 390},
  [549] = {.lex_state = 204},
  [550] = {.lex_state = 204},
  [551] = {.lex_state = 204},
  [552] = {.lex_state = 204},
  [553] = {.lex_state = 204},
  [554] = {.lex_state = 204},
  [555] = {.lex_state = 204},
  [556] = {.lex_state = 204},
  [557] = {.lex_state = 204},
  [558] = {.lex_state = 204},
  [559] = {.lex_state = 204},
  [560] = {.lex_state = 204},
  [561] = {.lex_state = 204},
  [562] = {.lex_state = 204},
  [563] = {.lex_state = 204},
  [564] = {.lex_state = 204},
  [565] = {.lex_state = 204},
  [566] = {.lex_state = 204},
  [567] = {.lex_state = 204},
  [568] = {.lex_state = 390},
  [569] = {.lex_state = 390},
  [570] = {.lex_state = 203},
  [571] = {.lex_state = 204},
  [572] = {.lex_state = 204},
  [573] = {.lex_state = 204},
  [574] = {.lex_state = 204},
  [575] = {.lex_state = 204},
  [576] = {.lex_state = 390},
  [577] = {.lex_state = 204},
  [578] = {.lex_state = 390},
  [579] = {.lex_state = 204},
  [580] = {.lex_state = 204},
  [581] = {.lex_state = 204},
  [582] = {.lex_state = 204},
  [583] = {.lex_state = 204},
  [584] = {.lex_state = 204},
  [585] = {.lex_state = 204},
  [586] = {.lex_state = 204},
  [587] = {.lex_state = 205},
  [588] = {.lex_state = 204},
  [589] = {.lex_state = 204},
  [590] = {.lex_state = 204},
  [591] = {.lex_state = 204},
  [592] = {.lex_state = 204},
  [593] = {.lex_state = 204},
  [594] = {.lex_state = 204},
  [595] = {.lex_state = 204},
  [596] = {.lex_state = 390},
  [597] = {.lex_state = 204},
  [598] = {.lex_state = 204},
  [599] = {.lex_state = 204},
  [600] = {.lex_state = 202},
  [601] = {.lex_state = 204},
  [602] = {.lex_state = 204},
  [603] = {.lex_state = 390},
  [604] = {.lex_state = 204},
  [605] = {.lex_state = 204},
  [606] = {.lex_state = 390},
  [607] = {.lex_state = 204},
  [608] = {.lex_state = 203},
  [609] = {.lex_state = 204},
  [610] = {.lex_state = 204},
  [611] = {.lex_state = 204},
  [612] = {.lex_state = 203},
  [613] = {.lex_state = 204},
  [614] = {.lex_state = 203},
  [615] = {.lex_state = 204},
  [616] = {.lex_state = 204},
  [617] = {.lex_state = 203},
  [618] = {.lex_state = 204},
  [619] = {.lex_state = 205},
  [620] = {.lex_state = 204},
  [621] = {.lex_state = 204},
  [622] = {.lex_state = 204},
  [623] = {.lex_state = 204},
  [624] = {.lex_state = 204},
  [625] = {.lex_state = 204},
  [626] = {.lex_state = 206},
  [627] = {.lex_state = 204},
  [628] = {.lex_state = 390},
  [629] = {.lex_state = 390},
  [630] = {.lex_state = 203},
  [631] = {.lex_state = 390},
  [632] = {.lex_state = 390},
  [633] = {.lex_state = 255},
  [634] = {.lex_state = 390},
  [635] = {.lex_state = 390},
  [636] = {.lex_state = 255},
  [637] = {.lex_state = 390},
  [638] = {.lex_state = 203},
  [639] = {.lex_state = 203},
  [640] = {.lex_state = 390},
  [641] = {.lex_state = 390},
  [642] = {.lex_state = 255},
  [643] = {.lex_state = 255},
  [644] = {.lex_state = 390},
  [645] = {.lex_state = 390},
  [646] = {.lex_state = 390},
  [647] = {.lex_state = 203},
  [648] = {.lex_state = 390},
  [649] = {.lex_state = 390},
  [650] = {.lex_state = 203},
  [651] = {.lex_state = 255},
  [652] = {.lex_state = 203},
  [653] = {.lex_state = 255},
  [654] = {.lex_state = 255},
  [655] = {.lex_state = 390},
  [656] = {.lex_state = 390},
  [657] = {.lex_state = 390},
  [658] = {.lex_state = 390},
  [659] = {.lex_state = 203},
  [660] = {.lex_state = 390},
  [661] = {.lex_state = 390},
  [662] = {.lex_state = 390},
  [663] = {.lex_state = 390},
  [664] = {.lex_state = 390},
  [665] = {.lex_state = 203},
  [666] = {.lex_state = 203},
  [667] = {.lex_state = 390},
  [668] = {.lex_state = 203},
  [669] = {.lex_state = 390},
  [670] = {.lex_state = 390},
  [671] = {.lex_state = 203},
  [672] = {.lex_state = 203},
  [673] = {.lex_state = 203},
  [674] = {.lex_state = 390},
  [675] = {.lex_state = 203},
  [676] = {.lex_state = 203},
  [677] = {.lex_state = 203},
  [678] = {.lex_state = 390},
  [679] = {.lex_state = 390},
  [680] = {.lex_state = 203},
  [681] = {.lex_state = 390},
  [682] = {.lex_state = 203},
  [683] = {.lex_state = 203},
  [684] = {.lex_state = 390},
  [685] = {.lex_state = 390},
  [686] = {.lex_state = 390},
  [687] = {.lex_state = 390},
  [688] = {.lex_state = 390},
  [689] = {.lex_state = 203},
  [690] = {.lex_state = 390},
  [691] = {.lex_state = 203},
  [692] = {.lex_state = 203},
  [693] = {.lex_state = 390},
  [694] = {.lex_state = 390},
  [695] = {.lex_state = 390},
  [696] = {.lex_state = 390},
  [697] = {.lex_state = 390},
  [698] = {.lex_state = 390},
  [699] = {.lex_state = 390},
  [700] = {.lex_state = 203},
  [701] = {.lex_state = 203},
  [702] = {.lex_state = 255},
  [703] = {.lex_state = 390},
  [704] = {.lex_state = 390},
  [705] = {.lex_state = 203},
  [706] = {.lex_state = 390},
  [707] = {.lex_state = 203},
  [708] = {.lex_state = 203},
  [709] = {.lex_state = 203},
  [710] = {.lex_state = 203},
  [711] = {.lex_state = 203},
  [712] = {.lex_state = 203},
  [713] = {.lex_state = 203},
  [714] = {.lex_state = 203},
  [715] = {.lex_state = 203},
  [716] = {.lex_state = 390},
  [717] = {.lex_state = 203},
  [718] = {.lex_state = 390},
  [719] = {.lex_state = 255},
  [720] = {.lex_state = 390},
  [721] = {.lex_state = 390},
  [722] = {.lex_state = 203},
  [723] = {.lex_state = 203},
  [724] = {.lex_state = 390},
  [725] = {.lex_state = 390},
  [726] = {.lex_state = 203},
  [727] = {.lex_state = 203},
  [728] = {.lex_state = 203},
  [729] = {.lex_state = 390},
  [730] = {.lex_state = 390},
  [731] = {.lex_state = 203},
  [732] = {.lex_state = 203},
  [733] = {.lex_state = 390},
  [734] = {.lex_state = 203},
  [735] = {.lex_state = 203},
  [736] = {.lex_state = 390},
  [737] = {.lex_state = 390},
  [738] = {.lex_state = 390},
  [739] = {.lex_state = 390},
  [740] = {.lex_state = 390},
  [741] = {.lex_state = 390},
  [742] = {.lex_state = 390},
  [743] = {.lex_state = 285},
  [744] = {.lex_state = 390},
  [745] = {.lex_state = 390},
  [746] = {.lex_state = 390},
  [747] = {.lex_state = 390},
  [748] = {.lex_state = 390},
  [749] = {.lex_state = 390},
  [750] = {.lex_state = 390},
  [751] = {.lex_state = 390},
  [752] = {.lex_state = 390},
  [753] = {.lex_state = 390},
  [754] = {.lex_state = 390},
  [755] = {.lex_state = 390},
  [756] = {.lex_state = 390},
  [757] = {.lex_state = 390},
  [758] = {.lex_state = 390},
  [759] = {.lex_state = 390},
  [760] = {.lex_state = 390},
  [761] = {.lex_state = 390},
  [762] = {.lex_state = 390},
  [763] = {.lex_state = 390},
  [764] = {.lex_state = 390},
  [765] = {.lex_state = 390},
  [766] = {.lex_state = 390},
  [767] = {.lex_state = 203},
  [768] = {.lex_state = 203},
  [769] = {.lex_state = 390},
  [770] = {.lex_state = 203},
  [771] = {.lex_state = 390},
  [772] = {.lex_state = 390},
  [773] = {.lex_state = 203},
  [774] = {.lex_state = 390},
  [775] = {.lex_state = 390},
  [776] = {.lex_state = 390},
  [777] = {.lex_state = 390},
  [778] = {.lex_state = 203},
  [779] = {.lex_state = 390},
  [780] = {.lex_state = 390},
  [781] = {.lex_state = 390},
  [782] = {.lex_state = 203},
  [783] = {.lex_state = 203},
  [784] = {.lex_state = 390},
  [785] = {.lex_state = 390},
  [786] = {.lex_state = 390},
  [787] = {.lex_state = 390},
  [788] = {.lex_state = 203},
  [789] = {.lex_state = 203},
  [790] = {.lex_state = 390},
  [791] = {.lex_state = 390},
  [792] = {.lex_state = 390},
  [793] = {.lex_state = 203},
  [794] = {.lex_state = 390},
  [795] = {.lex_state = 390},
  [796] = {.lex_state = 390},
  [797] = {.lex_state = 390},
  [798] = {.lex_state = 390},
  [799] = {.lex_state = 203},
  [800] = {.lex_state = 390},
  [801] = {.lex_state = 203},
  [802] = {.lex_state = 390},
  [803] = {.lex_state = 390},
  [804] = {.lex_state = 203},
  [805] = {.lex_state = 203},
  [806] = {.lex_state = 390},
  [807] = {.lex_state = 203},
  [808] = {.lex_state = 203},
  [809] = {.lex_state = 203},
  [810] = {.lex_state = 203},
  [811] = {.lex_state = 390},
  [812] = {.lex_state = 390},
  [813] = {.lex_state = 390},
  [814] = {.lex_state = 203},
  [815] = {.lex_state = 203},
  [816] = {.lex_state = 203},
  [817] = {.lex_state = 203},
  [818] = {.lex_state = 203},
  [819] = {.lex_state = 203},
  [820] = {.lex_state = 203},
  [821] = {.lex_state = 390},
  [822] = {.lex_state = 390},
  [823] = {.lex_state = 203},
  [824] = {.lex_state = 203},
  [825] = {.lex_state = 203},
  [826] = {.lex_state = 390},
  [827] = {.lex_state = 390},
  [828] = {.lex_state = 390},
  [829] = {.lex_state = 255},
  [830] = {.lex_state = 390},
  [831] = {.lex_state = 390},
  [832] = {.lex_state = 390},
  [833] = {.lex_state = 390},
  [834] = {.lex_state = 390},
  [835] = {.lex_state = 390},
  [836] = {.lex_state = 390},
  [837] = {.lex_state = 203},
  [838] = {.lex_state = 390},
  [839] = {.lex_state = 390},
  [840] = {.lex_state = 390},
  [841] = {.lex_state = 203},
  [842] = {.lex_state = 390},
  [843] = {.lex_state = 203},
  [844] = {.lex_state = 255},
  [845] = {.lex_state = 203},
  [846] = {.lex_state = 390},
  [847] = {.lex_state = 390},
  [848] = {.lex_state = 203},
  [849] = {.lex_state = 390},
  [850] = {.lex_state = 390},
  [851] = {.lex_state = 390},
  [852] = {.lex_state = 390},
  [853] = {.lex_state = 390},
  [854] = {.lex_state = 390},
  [855] = {.lex_state = 255},
  [856] = {.lex_state = 390},
  [857] = {.lex_state = 390},
  [858] = {.lex_state = 390},
  [859] = {.lex_state = 390},
  [860] = {.lex_state = 390},
  [861] = {.lex_state = 390},
  [862] = {.lex_state = 390},
  [863] = {.lex_state = 390},
  [864] = {.lex_state = 390},
  [865] = {.lex_state = 390},
  [866] = {.lex_state = 390},
  [867] = {.lex_state = 390},
  [868] = {.lex_state = 390},
  [869] = {.lex_state = 390},
  [870] = {.lex_state = 390},
  [871] = {.lex_state = 390},
  [872] = {.lex_state = 390},
  [873] = {.lex_state = 390},
  [874] = {.lex_state = 203},
  [875] = {.lex_state = 203},
  [876] = {.lex_state = 203},
  [877] = {.lex_state = 203},
  [878] = {.lex_state = 203},
  [879] = {.lex_state = 203},
  [880] = {.lex_state = 203},
  [881] = {.lex_state = 390},
  [882] = {.lex_state = 203},
  [883] = {.lex_state = 203},
  [884] = {.lex_state = 203},
  [885] = {.lex_state = 390},
  [886] = {.lex_state = 203},
  [887] = {.lex_state = 390},
  [888] = {.lex_state = 203},
  [889] = {.lex_state = 203},
  [890] = {.lex_state = 203},
  [891] = {.lex_state = 203},
  [892] = {.lex_state = 203},
  [893] = {.lex_state = 203},
  [894] = {.lex_state = 203},
  [895] = {.lex_state = 203},
  [896] = {.lex_state = 390},
  [897] = {.lex_state = 390},
  [898] = {.lex_state = 203},
  [899] = {.lex_state = 390},
  [900] = {.lex_state = 390},
  [901] = {.lex_state = 390},
  [902] = {.lex_state = 203},
  [903] = {.lex_state = 203},
  [904] = {.lex_state = 203},
  [905] = {.lex_state = 203},
  [906] = {.lex_state = 203},
  [907] = {.lex_state = 203},
  [908] = {.lex_state = 203},
  [909] = {.lex_state = 390},
  [910] = {.lex_state = 390},
  [911] = {.lex_state = 390},
  [912] = {.lex_state = 390},
  [913] = {.lex_state = 390},
  [914] = {.lex_state = 390},
  [915] = {.lex_state = 390},
  [916] = {.lex_state = 390},
  [917] = {.lex_state = 203},
  [918] = {.lex_state = 390},
  [919] = {.lex_state = 390},
  [920] = {.lex_state = 203},
  [921] = {.lex_state = 390},
  [922] = {.lex_state = 390},
  [923] = {.lex_state = 203},
  [924] = {.lex_state = 203},
  [925] = {.lex_state = 203},
  [926] = {.lex_state = 390},
  [927] = {.lex_state = 390},
  [928] = {.lex_state = 390},
  [929] = {.lex_state = 390},
  [930] = {.lex_state = 203},
  [931] = {.lex_state = 203},
  [932] = {.lex_state = 203},
  [933] = {.lex_state = 192},
  [934] = {.lex_state = 203},
  [935] = {.lex_state = 390},
  [936] = {.lex_state = 390},
  [937] = {.lex_state = 390},
  [938] = {.lex_state = 390},
  [939] = {.lex_state = 390},
  [940] = {.lex_state = 203},
  [941] = {.lex_state = 390},
  [942] = {.lex_state = 390},
  [943] = {.lex_state = 390},
  [944] = {.lex_state = 390},
  [945] = {.lex_state = 203},
  [946] = {.lex_state = 390},
  [947] = {.lex_state = 390},
  [948] = {.lex_state = 390},
  [949] = {.lex_state = 203},
  [950] = {.lex_state = 203},
  [951] = {.lex_state = 203},
  [952] = {.lex_state = 203},
  [953] = {.lex_state = 390},
  [954] = {.lex_state = 390},
  [955] = {.lex_state = 203},
  [956] = {.lex_state = 203},
  [957] = {.lex_state = 203},
  [958] = {.lex_state = 203},
  [959] = {.lex_state = 203},
  [960] = {.lex_state = 203},
  [961] = {.lex_state = 390},
  [962] = {.lex_state = 390},
  [963] = {.lex_state = 390},
  [964] = {.lex_state = 390},
  [965] = {.lex_state = 203},
  [966] = {.lex_state = 390},
  [967] = {.lex_state = 390},
  [968] = {.lex_state = 390},
  [969] = {.lex_state = 203},
  [970] = {.lex_state = 390},
  [971] = {.lex_state = 390},
  [972] = {.lex_state = 390},
  [973] = {.lex_state = 203},
  [974] = {.lex_state = 390},
  [975] = {.lex_state = 390},
  [976] = {.lex_state = 390},
  [977] = {.lex_state = 390},
  [978] = {.lex_state = 390},
  [979] = {.lex_state = 203},
  [980] = {.lex_state = 390},
  [981] = {.lex_state = 390},
  [982] = {.lex_state = 390},
  [983] = {.lex_state = 390},
  [984] = {.lex_state = 390},
  [985] = {.lex_state = 390},
  [986] = {.lex_state = 203},
  [987] = {.lex_state = 203},
  [988] = {.lex_state = 390},
  [989] = {.lex_state = 203},
  [990] = {.lex_state = 203},
  [991] = {.lex_state = 203},
  [992] = {.lex_state = 203},
  [993] = {.lex_state = 203},
  [994] = {.lex_state = 390},
  [995] = {.lex_state = 203},
  [996] = {.lex_state = 390},
  [997] = {.lex_state = 203},
  [998] = {.lex_state = 390},
  [999] = {.lex_state = 203},
  [1000] = {.lex_state = 203},
  [1001] = {.lex_state = 390},
  [1002] = {.lex_state = 203},
  [1003] = {.lex_state = 203},
  [1004] = {.lex_state = 390},
  [1005] = {.lex_state = 390},
  [1006] = {.lex_state = 390},
  [1007] = {.lex_state = 390},
  [1008] = {.lex_state = 203},
  [1009] = {.lex_state = 203},
  [1010] = {.lex_state = 390},
  [1011] = {.lex_state = 203},
  [1012] = {.lex_state = 390},
  [1013] = {.lex_state = 203},
  [1014] = {.lex_state = 390},
  [1015] = {.lex_state = 390},
  [1016] = {.lex_state = 255},
  [1017] = {.lex_state = 192},
  [1018] = {.lex_state = 194},
  [1019] = {.lex_state = 283},
  [1020] = {.lex_state = 390},
  [1021] = {.lex_state = 286},
  [1022] = {.lex_state = 283},
  [1023] = {.lex_state = 390},
  [1024] = {.lex_state = 390},
  [1025] = {.lex_state = 390},
  [1026] = {.lex_state = 390},
  [1027] = {.lex_state = 390},
  [1028] = {.lex_state = 192},
  [1029] = {.lex_state = 390},
  [1030] = {.lex_state = 283},
  [1031] = {.lex_state = 390},
  [1032] = {.lex_state = 283},
  [1033] = {.lex_state = 390},
  [1034] = {.lex_state = 286},
  [1035] = {.lex_state = 390},
  [1036] = {.lex_state = 390},
  [1037] = {.lex_state = 390},
  [1038] = {.lex_state = 390},
  [1039] = {.lex_state = 390},
  [1040] = {.lex_state = 283},
  [1041] = {.lex_state = 283},
  [1042] = {.lex_state = 390},
  [1043] = {.lex_state = 283},
  [1044] = {.lex_state = 390},
  [1045] = {.lex_state = 390},
  [1046] = {.lex_state = 390},
  [1047] = {.lex_state = 283},
  [1048] = {.lex_state = 390},
  [1049] = {.lex_state = 390},
  [1050] = {.lex_state = 390},
  [1051] = {.lex_state = 390},
  [1052] = {.lex_state = 390},
  [1053] = {.lex_state = 390},
  [1054] = {.lex_state = 390},
  [1055] = {.lex_state = 390},
  [1056] = {.lex_state = 390},
  [1057] = {.lex_state = 390},
  [1058] = {.lex_state = 390},
  [1059] = {.lex_state = 283},
  [1060] = {.lex_state = 390},
  [1061] = {.lex_state = 390},
  [1062] = {.lex_state = 390},
  [1063] = {.lex_state = 390},
  [1064] = {.lex_state = 390},
  [1065] = {.lex_state = 390},
  [1066] = {.lex_state = 283},
  [1067] = {.lex_state = 390},
  [1068] = {.lex_state = 390},
  [1069] = {.lex_state = 283},
  [1070] = {.lex_state = 390},
  [1071] = {.lex_state = 390},
  [1072] = {.lex_state = 283},
  [1073] = {.lex_state = 283},
  [1074] = {.lex_state = 283},
  [1075] = {.lex_state = 390},
  [1076] = {.lex_state = 390},
  [1077] = {.lex_state = 390},
  [1078] = {.lex_state = 283},
  [1079] = {.lex_state = 390},
  [1080] = {.lex_state = 286},
  [1081] = {.lex_state = 283},
  [1082] = {.lex_state = 283},
  [1083] = {.lex_state = 283},
  [1084] = {.lex_state = 390},
  [1085] = {.lex_state = 390},
  [1086] = {.lex_state = 390},
  [1087] = {.lex_state = 390},
  [1088] = {.lex_state = 390},
  [1089] = {.lex_state = 390},
  [1090] = {.lex_state = 283},
  [1091] = {.lex_state = 390},
  [1092] = {.lex_state = 390},
  [1093] = {.lex_state = 390},
  [1094] = {.lex_state = 390},
  [1095] = {.lex_state = 390},
  [1096] = {.lex_state = 390},
  [1097] = {.lex_state = 283},
  [1098] = {.lex_state = 390},
  [1099] = {.lex_state = 390},
  [1100] = {.lex_state = 390},
  [1101] = {.lex_state = 390},
  [1102] = {.lex_state = 390},
  [1103] = {.lex_state = 390},
  [1104] = {.lex_state = 390},
  [1105] = {.lex_state = 390},
  [1106] = {.lex_state = 283},
  [1107] = {.lex_state = 283},
  [1108] = {.lex_state = 390},
  [1109] = {.lex_state = 283},
  [1110] = {.lex_state = 283},
  [1111] = {.lex_state = 283},
  [1112] = {.lex_state = 390},
  [1113] = {.lex_state = 390},
  [1114] = {.lex_state = 390},
  [1115] = {.lex_state = 390},
  [1116] = {.lex_state = 192},
  [1117] = {.lex_state = 192},
  [1118] = {.lex_state = 197},
  [1119] = {.lex_state = 192},
  [1120] = {.lex_state = 198},
  [1121] = {.lex_state = 198},
  [1122] = {.lex_state = 285},
  [1123] = {.lex_state = 285},
  [1124] = {.lex_state = 285},
  [1125] = {.lex_state = 285},
  [1126] = {.lex_state = 285},
  [1127] = {.lex_state = 285},
  [1128] = {.lex_state = 285},
  [1129] = {.lex_state = 285},
  [1130] = {.lex_state = 285},
  [1131] = {.lex_state = 390},
  [1132] = {.lex_state = 390},
  [1133] = {.lex_state = 285},
  [1134] = {.lex_state = 285},
  [1135] = {.lex_state = 285},
  [1136] = {.lex_state = 285},
  [1137] = {.lex_state = 285},
  [1138] = {.lex_state = 285},
  [1139] = {.lex_state = 285},
  [1140] = {.lex_state = 285},
  [1141] = {.lex_state = 285},
  [1142] = {.lex_state = 390},
  [1143] = {.lex_state = 225},
  [1144] = {.lex_state = 202},
  [1145] = {.lex_state = 225},
  [1146] = {.lex_state = 225},
  [1147] = {.lex_state = 206},
  [1148] = {.lex_state = 206},
  [1149] = {.lex_state = 225},
  [1150] = {.lex_state = 206},
  [1151] = {.lex_state = 206},
  [1152] = {.lex_state = 225},
  [1153] = {.lex_state = 206},
  [1154] = {.lex_state = 206},
  [1155] = {.lex_state = 206},
  [1156] = {.lex_state = 206},
  [1157] = {.lex_state = 206},
  [1158] = {.lex_state = 206},
  [1159] = {.lex_state = 206},
  [1160] = {.lex_state = 206},
  [1161] = {.lex_state = 206},
  [1162] = {.lex_state = 206},
  [1163] = {.lex_state = 202},
  [1164] = {.lex_state = 206},
  [1165] = {.lex_state = 206},
  [1166] = {.lex_state = 206},
  [1167] = {.lex_state = 206},
  [1168] = {.lex_state = 206},
  [1169] = {.lex_state = 206},
  [1170] = {.lex_state = 206},
  [1171] = {.lex_state = 206},
  [1172] = {.lex_state = 206},
  [1173] = {.lex_state = 205},
  [1174] = {.lex_state = 205},
  [1175] = {.lex_state = 225},
  [1176] = {.lex_state = 202},
  [1177] = {.lex_state = 202},
  [1178] = {.lex_state = 202},
  [1179] = {.lex_state = 202},
  [1180] = {.lex_state = 202},
  [1181] = {.lex_state = 202},
  [1182] = {.lex_state = 202},
  [1183] = {.lex_state = 202},
  [1184] = {.lex_state = 202},
  [1185] = {.lex_state = 202},
  [1186] = {.lex_state = 285},
  [1187] = {.lex_state = 202},
  [1188] = {.lex_state = 202},
  [1189] = {.lex_state = 202},
  [1190] = {.lex_state = 202},
  [1191] = {.lex_state = 202},
  [1192] = {.lex_state = 202},
  [1193] = {.lex_state = 202},
  [1194] = {.lex_state = 202},
  [1195] = {.lex_state = 202},
  [1196] = {.lex_state = 202},
  [1197] = {.lex_state = 202},
  [1198] = {.lex_state = 202},
  [1199] = {.lex_state = 202},
  [1200] = {.lex_state = 202},
  [1201] = {.lex_state = 202},
  [1202] = {.lex_state = 202},
  [1203] = {.lex_state = 202},
  [1204] = {.lex_state = 202},
  [1205] = {.lex_state = 202},
  [1206] = {.lex_state = 202},
  [1207] = {.lex_state = 202},
  [1208] = {.lex_state = 202},
  [1209] = {.lex_state = 202},
  [1210] = {.lex_state = 202},
  [1211] = {.lex_state = 202},
  [1212] = {.lex_state = 202},
  [1213] = {.lex_state = 202},
  [1214] = {.lex_state = 202},
  [1215] = {.lex_state = 202},
  [1216] = {.lex_state = 202},
  [1217] = {.lex_state = 202},
  [1218] = {.lex_state = 202},
  [1219] = {.lex_state = 202},
  [1220] = {.lex_state = 202},
  [1221] = {.lex_state = 202},
  [1222] = {.lex_state = 202},
  [1223] = {.lex_state = 202},
  [1224] = {.lex_state = 202},
  [1225] = {.lex_state = 202},
  [1226] = {.lex_state = 202},
  [1227] = {.lex_state = 202},
  [1228] = {.lex_state = 202},
  [1229] = {.lex_state = 202},
  [1230] = {.lex_state = 202},
  [1231] = {.lex_state = 202},
  [1232] = {.lex_state = 202},
  [1233] = {.lex_state = 202},
  [1234] = {.lex_state = 202},
  [1235] = {.lex_state = 202},
  [1236] = {.lex_state = 202},
  [1237] = {.lex_state = 202},
  [1238] = {.lex_state = 202},
  [1239] = {.lex_state = 202},
  [1240] = {.lex_state = 202},
  [1241] = {.lex_state = 202},
  [1242] = {.lex_state = 202},
  [1243] = {.lex_state = 202},
  [1244] = {.lex_state = 202},
  [1245] = {.lex_state = 202},
  [1246] = {.lex_state = 202},
  [1247] = {.lex_state = 202},
  [1248] = {.lex_state = 202},
  [1249] = {.lex_state = 202},
  [1250] = {.lex_state = 202},
  [1251] = {.lex_state = 202},
  [1252] = {.lex_state = 202},
  [1253] = {.lex_state = 202},
  [1254] = {.lex_state = 202},
  [1255] = {.lex_state = 202},
  [1256] = {.lex_state = 202},
  [1257] = {.lex_state = 202},
  [1258] = {.lex_state = 202},
  [1259] = {.lex_state = 202},
  [1260] = {.lex_state = 202},
  [1261] = {.lex_state = 206},
  [1262] = {.lex_state = 206},
  [1263] = {.lex_state = 206},
  [1264] = {.lex_state = 206},
  [1265] = {.lex_state = 206},
  [1266] = {.lex_state = 206},
  [1267] = {.lex_state = 206},
  [1268] = {.lex_state = 206},
  [1269] = {.lex_state = 206},
  [1270] = {.lex_state = 206},
  [1271] = {.lex_state = 206},
  [1272] = {.lex_state = 206},
  [1273] = {.lex_state = 206},
  [1274] = {.lex_state = 206},
  [1275] = {.lex_state = 206},
  [1276] = {.lex_state = 206},
  [1277] = {.lex_state = 206},
  [1278] = {.lex_state = 206},
  [1279] = {.lex_state = 206},
  [1280] = {.lex_state = 206},
  [1281] = {.lex_state = 206},
  [1282] = {.lex_state = 206},
  [1283] = {.lex_state = 206},
  [1284] = {.lex_state = 206},
  [1285] = {.lex_state = 206},
  [1286] = {.lex_state = 206},
  [1287] = {.lex_state = 206},
  [1288] = {.lex_state = 206},
  [1289] = {.lex_state = 206},
  [1290] = {.lex_state = 206},
  [1291] = {.lex_state = 206},
  [1292] = {.lex_state = 206},
  [1293] = {.lex_state = 206},
  [1294] = {.lex_state = 206},
  [1295] = {.lex_state = 225},
  [1296] = {.lex_state = 206},
  [1297] = {.lex_state = 206},
  [1298] = {.lex_state = 222},
  [1299] = {.lex_state = 225},
  [1300] = {.lex_state = 225},
  [1301] = {.lex_state = 206},
  [1302] = {.lex_state = 206},
  [1303] = {.lex_state = 225},
  [1304] = {.lex_state = 225},
  [1305] = {.lex_state = 206},
  [1306] = {.lex_state = 206},
  [1307] = {.lex_state = 225},
  [1308] = {.lex_state = 206},
  [1309] = {.lex_state = 206},
  [1310] = {.lex_state = 206},
  [1311] = {.lex_state = 225},
  [1312] = {.lex_state = 206},
  [1313] = {.lex_state = 206},
  [1314] = {.lex_state = 206},
  [1315] = {.lex_state = 206},
  [1316] = {.lex_state = 206},
  [1317] = {.lex_state = 206},
  [1318] = {.lex_state = 225},
  [1319] = {.lex_state = 206},
  [1320] = {.lex_state = 206},
  [1321] = {.lex_state = 206},
  [1322] = {.lex_state = 206},
  [1323] = {.lex_state = 206},
  [1324] = {.lex_state = 206},
  [1325] = {.lex_state = 206},
  [1326] = {.lex_state = 206},
  [1327] = {.lex_state = 206},
  [1328] = {.lex_state = 206},
  [1329] = {.lex_state = 206},
  [1330] = {.lex_state = 206},
  [1331] = {.lex_state = 207},
  [1332] = {.lex_state = 206},
  [1333] = {.lex_state = 206},
  [1334] = {.lex_state = 206},
  [1335] = {.lex_state = 206},
  [1336] = {.lex_state = 206},
  [1337] = {.lex_state = 206},
  [1338] = {.lex_state = 206},
  [1339] = {.lex_state = 206},
  [1340] = {.lex_state = 206},
  [1341] = {.lex_state = 206},
  [1342] = {.lex_state = 207},
  [1343] = {.lex_state = 207},
  [1344] = {.lex_state = 206},
  [1345] = {.lex_state = 206},
  [1346] = {.lex_state = 206},
  [1347] = {.lex_state = 206},
  [1348] = {.lex_state = 206},
  [1349] = {.lex_state = 207},
  [1350] = {.lex_state = 205},
  [1351] = {.lex_state = 205},
  [1352] = {.lex_state = 206},
  [1353] = {.lex_state = 206},
  [1354] = {.lex_state = 206},
  [1355] = {.lex_state = 206},
  [1356] = {.lex_state = 206},
  [1357] = {.lex_state = 205},
  [1358] = {.lex_state = 206},
  [1359] = {.lex_state = 206},
  [1360] = {.lex_state = 206},
  [1361] = {.lex_state = 206},
  [1362] = {.lex_state = 206},
  [1363] = {.lex_state = 206},
  [1364] = {.lex_state = 206},
  [1365] = {.lex_state = 205},
  [1366] = {.lex_state = 206},
  [1367] = {.lex_state = 205},
  [1368] = {.lex_state = 206},
  [1369] = {.lex_state = 205},
  [1370] = {.lex_state = 206},
  [1371] = {.lex_state = 206},
  [1372] = {.lex_state = 205},
  [1373] = {.lex_state = 206},
  [1374] = {.lex_state = 206},
  [1375] = {.lex_state = 205},
  [1376] = {.lex_state = 205},
  [1377] = {.lex_state = 205},
  [1378] = {.lex_state = 206},
  [1379] = {.lex_state = 205},
  [1380] = {.lex_state = 206},
  [1381] = {.lex_state = 205},
  [1382] = {.lex_state = 205},
  [1383] = {.lex_state = 205},
  [1384] = {.lex_state = 205},
  [1385] = {.lex_state = 206},
  [1386] = {.lex_state = 206},
  [1387] = {.lex_state = 205},
  [1388] = {.lex_state = 206},
  [1389] = {.lex_state = 205},
  [1390] = {.lex_state = 205},
  [1391] = {.lex_state = 206},
  [1392] = {.lex_state = 206},
  [1393] = {.lex_state = 206},
  [1394] = {.lex_state = 206},
  [1395] = {.lex_state = 206},
  [1396] = {.lex_state = 206},
  [1397] = {.lex_state = 206},
  [1398] = {.lex_state = 206},
  [1399] = {.lex_state = 205},
  [1400] = {.lex_state = 205},
  [1401] = {.lex_state = 206},
  [1402] = {.lex_state = 206},
  [1403] = {.lex_state = 205},
  [1404] = {.lex_state = 205},
  [1405] = {.lex_state = 205},
  [1406] = {.lex_state = 205},
  [1407] = {.lex_state = 206},
  [1408] = {.lex_state = 206},
  [1409] = {.lex_state = 206},
  [1410] = {.lex_state = 206},
  [1411] = {.lex_state = 206},
  [1412] = {.lex_state = 206},
  [1413] = {.lex_state = 205},
  [1414] = {.lex_state = 206},
  [1415] = {.lex_state = 205},
  [1416] = {.lex_state = 206},
  [1417] = {.lex_state = 205},
  [1418] = {.lex_state = 206},
  [1419] = {.lex_state = 206},
  [1420] = {.lex_state = 206},
  [1421] = {.lex_state = 206},
  [1422] = {.lex_state = 205},
  [1423] = {.lex_state = 206},
  [1424] = {.lex_state = 206},
  [1425] = {.lex_state = 205},
  [1426] = {.lex_state = 206},
  [1427] = {.lex_state = 205},
  [1428] = {.lex_state = 206},
  [1429] = {.lex_state = 206},
  [1430] = {.lex_state = 206},
  [1431] = {.lex_state = 206},
  [1432] = {.lex_state = 206},
  [1433] = {.lex_state = 206},
  [1434] = {.lex_state = 206},
  [1435] = {.lex_state = 206},
  [1436] = {.lex_state = 206},
  [1437] = {.lex_state = 206},
  [1438] = {.lex_state = 206},
  [1439] = {.lex_state = 206},
  [1440] = {.lex_state = 206},
  [1441] = {.lex_state = 206},
  [1442] = {.lex_state = 206},
  [1443] = {.lex_state = 206},
  [1444] = {.lex_state = 206},
  [1445] = {.lex_state = 206},
  [1446] = {.lex_state = 206},
  [1447] = {.lex_state = 206},
  [1448] = {.lex_state = 206},
  [1449] = {.lex_state = 206},
  [1450] = {.lex_state = 206},
  [1451] = {.lex_state = 206},
  [1452] = {.lex_state = 206},
  [1453] = {.lex_state = 206},
  [1454] = {.lex_state = 206},
  [1455] = {.lex_state = 206},
  [1456] = {.lex_state = 206},
  [1457] = {.lex_state = 206},
  [1458] = {.lex_state = 206},
  [1459] = {.lex_state = 206},
  [1460] = {.lex_state = 206},
  [1461] = {.lex_state = 206},
  [1462] = {.lex_state = 206},
  [1463] = {.lex_state = 206},
  [1464] = {.lex_state = 206},
  [1465] = {.lex_state = 206},
  [1466] = {.lex_state = 206},
  [1467] = {.lex_state = 206},
  [1468] = {.lex_state = 206},
  [1469] = {.lex_state = 206},
  [1470] = {.lex_state = 206},
  [1471] = {.lex_state = 206},
  [1472] = {.lex_state = 206},
  [1473] = {.lex_state = 206},
  [1474] = {.lex_state = 206},
  [1475] = {.lex_state = 206},
  [1476] = {.lex_state = 206},
  [1477] = {.lex_state = 206},
  [1478] = {.lex_state = 206},
  [1479] = {.lex_state = 206},
  [1480] = {.lex_state = 206},
  [1481] = {.lex_state = 206},
  [1482] = {.lex_state = 206},
  [1483] = {.lex_state = 206},
  [1484] = {.lex_state = 206},
  [1485] = {.lex_state = 206},
  [1486] = {.lex_state = 206},
  [1487] = {.lex_state = 206},
  [1488] = {.lex_state = 206},
  [1489] = {.lex_state = 206},
  [1490] = {.lex_state = 206},
  [1491] = {.lex_state = 206},
  [1492] = {.lex_state = 206},
  [1493] = {.lex_state = 206},
  [1494] = {.lex_state = 206},
  [1495] = {.lex_state = 206},
  [1496] = {.lex_state = 206},
  [1497] = {.lex_state = 206},
  [1498] = {.lex_state = 206},
  [1499] = {.lex_state = 206},
  [1500] = {.lex_state = 206},
  [1501] = {.lex_state = 206},
  [1502] = {.lex_state = 206},
  [1503] = {.lex_state = 206},
  [1504] = {.lex_state = 206},
  [1505] = {.lex_state = 206},
  [1506] = {.lex_state = 206},
  [1507] = {.lex_state = 206},
  [1508] = {.lex_state = 206},
  [1509] = {.lex_state = 206},
  [1510] = {.lex_state = 206},
  [1511] = {.lex_state = 206},
  [1512] = {.lex_state = 206},
  [1513] = {.lex_state = 206},
  [1514] = {.lex_state = 206},
  [1515] = {.lex_state = 206},
  [1516] = {.lex_state = 206},
  [1517] = {.lex_state = 206},
  [1518] = {.lex_state = 206},
  [1519] = {.lex_state = 206},
  [1520] = {.lex_state = 206},
  [1521] = {.lex_state = 206},
  [1522] = {.lex_state = 206},
  [1523] = {.lex_state = 206},
  [1524] = {.lex_state = 206},
  [1525] = {.lex_state = 206},
  [1526] = {.lex_state = 206},
  [1527] = {.lex_state = 206},
  [1528] = {.lex_state = 206},
  [1529] = {.lex_state = 206},
  [1530] = {.lex_state = 206},
  [1531] = {.lex_state = 206},
  [1532] = {.lex_state = 206},
  [1533] = {.lex_state = 206},
  [1534] = {.lex_state = 206},
  [1535] = {.lex_state = 206},
  [1536] = {.lex_state = 206},
  [1537] = {.lex_state = 206},
  [1538] = {.lex_state = 206},
  [1539] = {.lex_state = 206},
  [1540] = {.lex_state = 206},
  [1541] = {.lex_state = 206},
  [1542] = {.lex_state = 206},
  [1543] = {.lex_state = 206},
  [1544] = {.lex_state = 206},
  [1545] = {.lex_state = 206},
  [1546] = {.lex_state = 206},
  [1547] = {.lex_state = 206},
  [1548] = {.lex_state = 206},
  [1549] = {.lex_state = 206},
  [1550] = {.lex_state = 206},
  [1551] = {.lex_state = 206},
  [1552] = {.lex_state = 206},
  [1553] = {.lex_state = 206},
  [1554] = {.lex_state = 206},
  [1555] = {.lex_state = 206},
  [1556] = {.lex_state = 206},
  [1557] = {.lex_state = 206},
  [1558] = {.lex_state = 206},
  [1559] = {.lex_state = 206},
  [1560] = {.lex_state = 206},
  [1561] = {.lex_state = 206},
  [1562] = {.lex_state = 206},
  [1563] = {.lex_state = 206},
  [1564] = {.lex_state = 206},
  [1565] = {.lex_state = 206},
  [1566] = {.lex_state = 206},
  [1567] = {.lex_state = 206},
  [1568] = {.lex_state = 206},
  [1569] = {.lex_state = 206},
  [1570] = {.lex_state = 206},
  [1571] = {.lex_state = 206},
  [1572] = {.lex_state = 206},
  [1573] = {.lex_state = 206},
  [1574] = {.lex_state = 206},
  [1575] = {.lex_state = 206},
  [1576] = {.lex_state = 206},
  [1577] = {.lex_state = 206},
  [1578] = {.lex_state = 206},
  [1579] = {.lex_state = 206},
  [1580] = {.lex_state = 206},
  [1581] = {.lex_state = 206},
  [1582] = {.lex_state = 206},
  [1583] = {.lex_state = 206},
  [1584] = {.lex_state = 206},
  [1585] = {.lex_state = 206},
  [1586] = {.lex_state = 206},
  [1587] = {.lex_state = 206},
  [1588] = {.lex_state = 206},
  [1589] = {.lex_state = 206},
  [1590] = {.lex_state = 206},
  [1591] = {.lex_state = 206},
  [1592] = {.lex_state = 206},
  [1593] = {.lex_state = 206},
  [1594] = {.lex_state = 206},
  [1595] = {.lex_state = 206},
  [1596] = {.lex_state = 206},
  [1597] = {.lex_state = 206},
  [1598] = {.lex_state = 206},
  [1599] = {.lex_state = 206},
  [1600] = {.lex_state = 206},
  [1601] = {.lex_state = 206},
  [1602] = {.lex_state = 206},
  [1603] = {.lex_state = 206},
  [1604] = {.lex_state = 206},
  [1605] = {.lex_state = 206},
  [1606] = {.lex_state = 206},
  [1607] = {.lex_state = 206},
  [1608] = {.lex_state = 206},
  [1609] = {.lex_state = 206},
  [1610] = {.lex_state = 206},
  [1611] = {.lex_state = 206},
  [1612] = {.lex_state = 206},
  [1613] = {.lex_state = 206},
  [1614] = {.lex_state = 206},
  [1615] = {.lex_state = 206},
  [1616] = {.lex_state = 206},
  [1617] = {.lex_state = 206},
  [1618] = {.lex_state = 206},
  [1619] = {.lex_state = 206},
  [1620] = {.lex_state = 206},
  [1621] = {.lex_state = 206},
  [1622] = {.lex_state = 206},
  [1623] = {.lex_state = 206},
  [1624] = {.lex_state = 206},
  [1625] = {.lex_state = 206},
  [1626] = {.lex_state = 206},
  [1627] = {.lex_state = 206},
  [1628] = {.lex_state = 206},
  [1629] = {.lex_state = 206},
  [1630] = {.lex_state = 206},
  [1631] = {.lex_state = 206},
  [1632] = {.lex_state = 206},
  [1633] = {.lex_state = 206},
  [1634] = {.lex_state = 206},
  [1635] = {.lex_state = 206},
  [1636] = {.lex_state = 206},
  [1637] = {.lex_state = 206},
  [1638] = {.lex_state = 206},
  [1639] = {.lex_state = 206},
  [1640] = {.lex_state = 206},
  [1641] = {.lex_state = 206},
  [1642] = {.lex_state = 206},
  [1643] = {.lex_state = 206},
  [1644] = {.lex_state = 206},
  [1645] = {.lex_state = 206},
  [1646] = {.lex_state = 206},
  [1647] = {.lex_state = 206},
  [1648] = {.lex_state = 206},
  [1649] = {.lex_state = 206},
  [1650] = {.lex_state = 206},
  [1651] = {.lex_state = 206},
  [1652] = {.lex_state = 206},
  [1653] = {.lex_state = 206},
  [1654] = {.lex_state = 206},
  [1655] = {.lex_state = 206},
  [1656] = {.lex_state = 206},
  [1657] = {.lex_state = 206},
  [1658] = {.lex_state = 206},
  [1659] = {.lex_state = 206},
  [1660] = {.lex_state = 206},
  [1661] = {.lex_state = 206},
  [1662] = {.lex_state = 206},
  [1663] = {.lex_state = 206},
  [1664] = {.lex_state = 206},
  [1665] = {.lex_state = 206},
  [1666] = {.lex_state = 206},
  [1667] = {.lex_state = 206},
  [1668] = {.lex_state = 206},
  [1669] = {.lex_state = 206},
  [1670] = {.lex_state = 206},
  [1671] = {.lex_state = 206},
  [1672] = {.lex_state = 206},
  [1673] = {.lex_state = 206},
  [1674] = {.lex_state = 206},
  [1675] = {.lex_state = 206},
  [1676] = {.lex_state = 206},
  [1677] = {.lex_state = 206},
  [1678] = {.lex_state = 206},
  [1679] = {.lex_state = 206},
  [1680] = {.lex_state = 206},
  [1681] = {.lex_state = 206},
  [1682] = {.lex_state = 206},
  [1683] = {.lex_state = 206},
  [1684] = {.lex_state = 206},
  [1685] = {.lex_state = 206},
  [1686] = {.lex_state = 206},
  [1687] = {.lex_state = 206},
  [1688] = {.lex_state = 206},
  [1689] = {.lex_state = 206},
  [1690] = {.lex_state = 206},
  [1691] = {.lex_state = 206},
  [1692] = {.lex_state = 206},
  [1693] = {.lex_state = 206},
  [1694] = {.lex_state = 206},
  [1695] = {.lex_state = 206},
  [1696] = {.lex_state = 206},
  [1697] = {.lex_state = 206},
  [1698] = {.lex_state = 206},
  [1699] = {.lex_state = 206},
  [1700] = {.lex_state = 206},
  [1701] = {.lex_state = 206},
  [1702] = {.lex_state = 206},
  [1703] = {.lex_state = 206},
  [1704] = {.lex_state = 206},
  [1705] = {.lex_state = 206},
  [1706] = {.lex_state = 206},
  [1707] = {.lex_state = 206},
  [1708] = {.lex_state = 206},
  [1709] = {.lex_state = 206},
  [1710] = {.lex_state = 206},
  [1711] = {.lex_state = 206},
  [1712] = {.lex_state = 206},
  [1713] = {.lex_state = 206},
  [1714] = {.lex_state = 206},
  [1715] = {.lex_state = 206},
  [1716] = {.lex_state = 206},
  [1717] = {.lex_state = 206},
  [1718] = {.lex_state = 206},
  [1719] = {.lex_state = 206},
  [1720] = {.lex_state = 206},
  [1721] = {.lex_state = 206},
  [1722] = {.lex_state = 206},
  [1723] = {.lex_state = 206},
  [1724] = {.lex_state = 206},
  [1725] = {.lex_state = 206},
  [1726] = {.lex_state = 206},
  [1727] = {.lex_state = 206},
  [1728] = {.lex_state = 206},
  [1729] = {.lex_state = 206},
  [1730] = {.lex_state = 206},
  [1731] = {.lex_state = 206},
  [1732] = {.lex_state = 206},
  [1733] = {.lex_state = 206},
  [1734] = {.lex_state = 206},
  [1735] = {.lex_state = 206},
  [1736] = {.lex_state = 206},
  [1737] = {.lex_state = 206},
  [1738] = {.lex_state = 206},
  [1739] = {.lex_state = 206},
  [1740] = {.lex_state = 206},
  [1741] = {.lex_state = 206},
  [1742] = {.lex_state = 206},
  [1743] = {.lex_state = 206},
  [1744] = {.lex_state = 206},
  [1745] = {.lex_state = 206},
  [1746] = {.lex_state = 206},
  [1747] = {.lex_state = 206},
  [1748] = {.lex_state = 206},
  [1749] = {.lex_state = 206},
  [1750] = {.lex_state = 206},
  [1751] = {.lex_state = 206},
  [1752] = {.lex_state = 206},
  [1753] = {.lex_state = 206},
  [1754] = {.lex_state = 206},
  [1755] = {.lex_state = 206},
  [1756] = {.lex_state = 206},
  [1757] = {.lex_state = 206},
  [1758] = {.lex_state = 206},
  [1759] = {.lex_state = 206},
  [1760] = {.lex_state = 206},
  [1761] = {.lex_state = 206},
  [1762] = {.lex_state = 206},
  [1763] = {.lex_state = 206},
  [1764] = {.lex_state = 206},
  [1765] = {.lex_state = 206},
  [1766] = {.lex_state = 206},
  [1767] = {.lex_state = 206},
  [1768] = {.lex_state = 206},
  [1769] = {.lex_state = 206},
  [1770] = {.lex_state = 206},
  [1771] = {.lex_state = 206},
  [1772] = {.lex_state = 206},
  [1773] = {.lex_state = 206},
  [1774] = {.lex_state = 206},
  [1775] = {.lex_state = 206},
  [1776] = {.lex_state = 206},
  [1777] = {.lex_state = 206},
  [1778] = {.lex_state = 206},
  [1779] = {.lex_state = 206},
  [1780] = {.lex_state = 206},
  [1781] = {.lex_state = 206},
  [1782] = {.lex_state = 206},
  [1783] = {.lex_state = 206},
  [1784] = {.lex_state = 206},
  [1785] = {.lex_state = 206},
  [1786] = {.lex_state = 206},
  [1787] = {.lex_state = 206},
  [1788] = {.lex_state = 206},
  [1789] = {.lex_state = 206},
  [1790] = {.lex_state = 206},
  [1791] = {.lex_state = 206},
  [1792] = {.lex_state = 206},
  [1793] = {.lex_state = 206},
  [1794] = {.lex_state = 206},
  [1795] = {.lex_state = 206},
  [1796] = {.lex_state = 206},
  [1797] = {.lex_state = 206},
  [1798] = {.lex_state = 206},
  [1799] = {.lex_state = 206},
  [1800] = {.lex_state = 206},
  [1801] = {.lex_state = 206},
  [1802] = {.lex_state = 206},
  [1803] = {.lex_state = 206},
  [1804] = {.lex_state = 206},
  [1805] = {.lex_state = 206},
  [1806] = {.lex_state = 206},
  [1807] = {.lex_state = 206},
  [1808] = {.lex_state = 206},
  [1809] = {.lex_state = 206},
  [1810] = {.lex_state = 206},
  [1811] = {.lex_state = 206},
  [1812] = {.lex_state = 206},
  [1813] = {.lex_state = 206},
  [1814] = {.lex_state = 206},
  [1815] = {.lex_state = 206},
  [1816] = {.lex_state = 206},
  [1817] = {.lex_state = 206},
  [1818] = {.lex_state = 206},
  [1819] = {.lex_state = 206},
  [1820] = {.lex_state = 206},
  [1821] = {.lex_state = 206},
  [1822] = {.lex_state = 206},
  [1823] = {.lex_state = 206},
  [1824] = {.lex_state = 206},
  [1825] = {.lex_state = 206},
  [1826] = {.lex_state = 206},
  [1827] = {.lex_state = 206},
  [1828] = {.lex_state = 206},
  [1829] = {.lex_state = 206},
  [1830] = {.lex_state = 206},
  [1831] = {.lex_state = 206},
  [1832] = {.lex_state = 206},
  [1833] = {.lex_state = 206},
  [1834] = {.lex_state = 206},
  [1835] = {.lex_state = 206},
  [1836] = {.lex_state = 206},
  [1837] = {.lex_state = 206},
  [1838] = {.lex_state = 206},
  [1839] = {.lex_state = 206},
  [1840] = {.lex_state = 206},
  [1841] = {.lex_state = 206},
  [1842] = {.lex_state = 206},
  [1843] = {.lex_state = 206},
  [1844] = {.lex_state = 206},
  [1845] = {.lex_state = 206},
  [1846] = {.lex_state = 206},
  [1847] = {.lex_state = 206},
  [1848] = {.lex_state = 206},
  [1849] = {.lex_state = 206},
  [1850] = {.lex_state = 206},
  [1851] = {.lex_state = 206},
  [1852] = {.lex_state = 206},
  [1853] = {.lex_state = 206},
  [1854] = {.lex_state = 206},
  [1855] = {.lex_state = 206},
  [1856] = {.lex_state = 206},
  [1857] = {.lex_state = 206},
  [1858] = {.lex_state = 206},
  [1859] = {.lex_state = 206},
  [1860] = {.lex_state = 206},
  [1861] = {.lex_state = 206},
  [1862] = {.lex_state = 206},
  [1863] = {.lex_state = 206},
  [1864] = {.lex_state = 206},
  [1865] = {.lex_state = 206},
  [1866] = {.lex_state = 206},
  [1867] = {.lex_state = 206},
  [1868] = {.lex_state = 206},
  [1869] = {.lex_state = 206},
  [1870] = {.lex_state = 206},
  [1871] = {.lex_state = 206},
  [1872] = {.lex_state = 206},
  [1873] = {.lex_state = 206},
  [1874] = {.lex_state = 206},
  [1875] = {.lex_state = 206},
  [1876] = {.lex_state = 206},
  [1877] = {.lex_state = 206},
  [1878] = {.lex_state = 206},
  [1879] = {.lex_state = 206},
  [1880] = {.lex_state = 206},
  [1881] = {.lex_state = 206},
  [1882] = {.lex_state = 206},
  [1883] = {.lex_state = 206},
  [1884] = {.lex_state = 206},
  [1885] = {.lex_state = 206},
  [1886] = {.lex_state = 206},
  [1887] = {.lex_state = 206},
  [1888] = {.lex_state = 206},
  [1889] = {.lex_state = 206},
  [1890] = {.lex_state = 206},
  [1891] = {.lex_state = 206},
  [1892] = {.lex_state = 206},
  [1893] = {.lex_state = 206},
  [1894] = {.lex_state = 206},
  [1895] = {.lex_state = 206},
  [1896] = {.lex_state = 206},
  [1897] = {.lex_state = 206},
  [1898] = {.lex_state = 206},
  [1899] = {.lex_state = 206},
  [1900] = {.lex_state = 206},
  [1901] = {.lex_state = 206},
  [1902] = {.lex_state = 206},
  [1903] = {.lex_state = 206},
  [1904] = {.lex_state = 206},
  [1905] = {.lex_state = 206},
  [1906] = {.lex_state = 206},
  [1907] = {.lex_state = 206},
  [1908] = {.lex_state = 206},
  [1909] = {.lex_state = 206},
  [1910] = {.lex_state = 206},
  [1911] = {.lex_state = 206},
  [1912] = {.lex_state = 206},
  [1913] = {.lex_state = 206},
  [1914] = {.lex_state = 206},
  [1915] = {.lex_state = 206},
  [1916] = {.lex_state = 206},
  [1917] = {.lex_state = 206},
  [1918] = {.lex_state = 206},
  [1919] = {.lex_state = 206},
  [1920] = {.lex_state = 206},
  [1921] = {.lex_state = 206},
  [1922] = {.lex_state = 206},
  [1923] = {.lex_state = 206},
  [1924] = {.lex_state = 206},
  [1925] = {.lex_state = 206},
  [1926] = {.lex_state = 206},
  [1927] = {.lex_state = 206},
  [1928] = {.lex_state = 206},
  [1929] = {.lex_state = 206},
  [1930] = {.lex_state = 206},
  [1931] = {.lex_state = 206},
  [1932] = {.lex_state = 206},
  [1933] = {.lex_state = 206},
  [1934] = {.lex_state = 206},
  [1935] = {.lex_state = 206},
  [1936] = {.lex_state = 206},
  [1937] = {.lex_state = 206},
  [1938] = {.lex_state = 206},
  [1939] = {.lex_state = 206},
  [1940] = {.lex_state = 206},
  [1941] = {.lex_state = 206},
  [1942] = {.lex_state = 206},
  [1943] = {.lex_state = 206},
  [1944] = {.lex_state = 206},
  [1945] = {.lex_state = 206},
  [1946] = {.lex_state = 206},
  [1947] = {.lex_state = 206},
  [1948] = {.lex_state = 206},
  [1949] = {.lex_state = 206},
  [1950] = {.lex_state = 206},
  [1951] = {.lex_state = 206},
  [1952] = {.lex_state = 206},
  [1953] = {.lex_state = 206},
  [1954] = {.lex_state = 206},
  [1955] = {.lex_state = 206},
  [1956] = {.lex_state = 206},
  [1957] = {.lex_state = 206},
  [1958] = {.lex_state = 206},
  [1959] = {.lex_state = 206},
  [1960] = {.lex_state = 206},
  [1961] = {.lex_state = 206},
  [1962] = {.lex_state = 206},
  [1963] = {.lex_state = 206},
  [1964] = {.lex_state = 206},
  [1965] = {.lex_state = 206},
  [1966] = {.lex_state = 206},
  [1967] = {.lex_state = 206},
  [1968] = {.lex_state = 206},
  [1969] = {.lex_state = 206},
  [1970] = {.lex_state = 206},
  [1971] = {.lex_state = 206},
  [1972] = {.lex_state = 206},
  [1973] = {.lex_state = 206},
  [1974] = {.lex_state = 206},
  [1975] = {.lex_state = 206},
  [1976] = {.lex_state = 206},
  [1977] = {.lex_state = 206},
  [1978] = {.lex_state = 206},
  [1979] = {.lex_state = 206},
  [1980] = {.lex_state = 206},
  [1981] = {.lex_state = 206},
  [1982] = {.lex_state = 206},
  [1983] = {.lex_state = 206},
  [1984] = {.lex_state = 206},
  [1985] = {.lex_state = 206},
  [1986] = {.lex_state = 206},
  [1987] = {.lex_state = 247},
  [1988] = {.lex_state = 247},
  [1989] = {.lex_state = 247},
  [1990] = {.lex_state = 247},
  [1991] = {.lex_state = 247},
  [1992] = {.lex_state = 247},
  [1993] = {.lex_state = 247},
  [1994] = {.lex_state = 247},
  [1995] = {.lex_state = 247},
  [1996] = {.lex_state = 285},
  [1997] = {.lex_state = 285},
  [1998] = {.lex_state = 285},
  [1999] = {.lex_state = 285},
  [2000] = {.lex_state = 285},
  [2001] = {.lex_state = 285},
  [2002] = {.lex_state = 285},
  [2003] = {.lex_state = 202},
  [2004] = {.lex_state = 202},
  [2005] = {.lex_state = 202},
  [2006] = {.lex_state = 234},
  [2007] = {.lex_state = 247},
  [2008] = {.lex_state = 234},
  [2009] = {.lex_state = 234},
  [2010] = {.lex_state = 234},
  [2011] = {.lex_state = 247},
  [2012] = {.lex_state = 234},
  [2013] = {.lex_state = 234},
  [2014] = {.lex_state = 234},
  [2015] = {.lex_state = 222},
  [2016] = {.lex_state = 234},
  [2017] = {.lex_state = 234},
  [2018] = {.lex_state = 247},
  [2019] = {.lex_state = 223},
  [2020] = {.lex_state = 229},
  [2021] = {.lex_state = 247},
  [2022] = {.lex_state = 229},
  [2023] = {.lex_state = 229},
  [2024] = {.lex_state = 229},
  [2025] = {.lex_state = 229},
  [2026] = {.lex_state = 229},
  [2027] = {.lex_state = 229},
  [2028] = {.lex_state = 226},
  [2029] = {.lex_state = 234},
  [2030] = {.lex_state = 234},
  [2031] = {.lex_state = 234},
  [2032] = {.lex_state = 234},
  [2033] = {.lex_state = 234},
  [2034] = {.lex_state = 234},
  [2035] = {.lex_state = 234},
  [2036] = {.lex_state = 234},
  [2037] = {.lex_state = 229},
  [2038] = {.lex_state = 285},
  [2039] = {.lex_state = 285},
  [2040] = {.lex_state = 285},
  [2041] = {.lex_state = 285},
  [2042] = {.lex_state = 285},
  [2043] = {.lex_state = 285},
  [2044] = {.lex_state = 285},
  [2045] = {.lex_state = 285},
  [2046] = {.lex_state = 285},
  [2047] = {.lex_state = 285},
  [2048] = {.lex_state = 285},
  [2049] = {.lex_state = 285},
  [2050] = {.lex_state = 285},
  [2051] = {.lex_state = 285},
  [2052] = {.lex_state = 285},
  [2053] = {.lex_state = 211},
  [2054] = {.lex_state = 209},
  [2055] = {.lex_state = 285},
  [2056] = {.lex_state = 285},
  [2057] = {.lex_state = 285},
  [2058] = {.lex_state = 285},
  [2059] = {.lex_state = 285},
  [2060] = {.lex_state = 285},
  [2061] = {.lex_state = 285},
  [2062] = {.lex_state = 285},
  [2063] = {.lex_state = 209},
  [2064] = {.lex_state = 285},
  [2065] = {.lex_state = 209},
  [2066] = {.lex_state = 285},
  [2067] = {.lex_state = 285},
  [2068] = {.lex_state = 285},
  [2069] = {.lex_state = 285},
  [2070] = {.lex_state = 285},
  [2071] = {.lex_state = 285},
  [2072] = {.lex_state = 285},
  [2073] = {.lex_state = 285},
  [2074] = {.lex_state = 285},
  [2075] = {.lex_state = 229},
  [2076] = {.lex_state = 202},
  [2077] = {.lex_state = 229},
  [2078] = {.lex_state = 202},
  [2079] = {.lex_state = 233},
  [2080] = {.lex_state = 263},
  [2081] = {.lex_state = 263},
  [2082] = {.lex_state = 209},
  [2083] = {.lex_state = 209},
  [2084] = {.lex_state = 209},
  [2085] = {.lex_state = 263},
  [2086] = {.lex_state = 209},
  [2087] = {.lex_state = 285},
  [2088] = {.lex_state = 263},
  [2089] = {.lex_state = 285},
  [2090] = {.lex_state = 285},
  [2091] = {.lex_state = 263},
  [2092] = {.lex_state = 285},
  [2093] = {.lex_state = 285},
  [2094] = {.lex_state = 263},
  [2095] = {.lex_state = 263},
  [2096] = {.lex_state = 268},
  [2097] = {.lex_state = 268},
  [2098] = {.lex_state = 285},
  [2099] = {.lex_state = 285},
  [2100] = {.lex_state = 268},
  [2101] = {.lex_state = 268},
  [2102] = {.lex_state = 285},
  [2103] = {.lex_state = 211},
  [2104] = {.lex_state = 268},
  [2105] = {.lex_state = 285},
  [2106] = {.lex_state = 285},
  [2107] = {.lex_state = 268},
  [2108] = {.lex_state = 268},
  [2109] = {.lex_state = 237},
  [2110] = {.lex_state = 285},
  [2111] = {.lex_state = 232},
  [2112] = {.lex_state = 229},
  [2113] = {.lex_state = 229},
  [2114] = {.lex_state = 234},
  [2115] = {.lex_state = 229},
  [2116] = {.lex_state = 285},
  [2117] = {.lex_state = 285},
  [2118] = {.lex_state = 229},
  [2119] = {.lex_state = 229},
  [2120] = {.lex_state = 229},
  [2121] = {.lex_state = 229},
  [2122] = {.lex_state = 229},
  [2123] = {.lex_state = 229},
  [2124] = {.lex_state = 229},
  [2125] = {.lex_state = 229},
  [2126] = {.lex_state = 229},
  [2127] = {.lex_state = 229},
  [2128] = {.lex_state = 234},
  [2129] = {.lex_state = 229},
  [2130] = {.lex_state = 285},
  [2131] = {.lex_state = 209},
  [2132] = {.lex_state = 237},
  [2133] = {.lex_state = 209},
  [2134] = {.lex_state = 255},
  [2135] = {.lex_state = 285},
  [2136] = {.lex_state = 237},
  [2137] = {.lex_state = 235},
  [2138] = {.lex_state = 237},
  [2139] = {.lex_state = 285},
  [2140] = {.lex_state = 255},
  [2141] = {.lex_state = 216},
  [2142] = {.lex_state = 263},
  [2143] = {.lex_state = 235},
  [2144] = {.lex_state = 255},
  [2145] = {.lex_state = 285},
  [2146] = {.lex_state = 216},
  [2147] = {.lex_state = 237},
  [2148] = {.lex_state = 255},
  [2149] = {.lex_state = 285},
  [2150] = {.lex_state = 285},
  [2151] = {.lex_state = 285},
  [2152] = {.lex_state = 285},
  [2153] = {.lex_state = 285},
  [2154] = {.lex_state = 209},
  [2155] = {.lex_state = 255},
  [2156] = {.lex_state = 285},
  [2157] = {.lex_state = 285},
  [2158] = {.lex_state = 211},
  [2159] = {.lex_state = 285},
  [2160] = {.lex_state = 246},
  [2161] = {.lex_state = 225},
  [2162] = {.lex_state = 246},
  [2163] = {.lex_state = 285},
  [2164] = {.lex_state = 285},
  [2165] = {.lex_state = 225},
  [2166] = {.lex_state = 285},
  [2167] = {.lex_state = 285},
  [2168] = {.lex_state = 285},
  [2169] = {.lex_state = 285},
  [2170] = {.lex_state = 285},
  [2171] = {.lex_state = 285},
  [2172] = {.lex_state = 285},
  [2173] = {.lex_state = 285},
  [2174] = {.lex_state = 285},
  [2175] = {.lex_state = 285},
  [2176] = {.lex_state = 285},
  [2177] = {.lex_state = 285},
  [2178] = {.lex_state = 285},
  [2179] = {.lex_state = 255},
  [2180] = {.lex_state = 235},
  [2181] = {.lex_state = 285},
  [2182] = {.lex_state = 285},
  [2183] = {.lex_state = 285},
  [2184] = {.lex_state = 235},
  [2185] = {.lex_state = 209},
  [2186] = {.lex_state = 235},
  [2187] = {.lex_state = 285},
  [2188] = {.lex_state = 235},
  [2189] = {.lex_state = 285},
  [2190] = {.lex_state = 235},
  [2191] = {.lex_state = 235},
  [2192] = {.lex_state = 233},
  [2193] = {.lex_state = 285},
  [2194] = {.lex_state = 285},
  [2195] = {.lex_state = 285},
  [2196] = {.lex_state = 285},
  [2197] = {.lex_state = 285},
  [2198] = {.lex_state = 285},
  [2199] = {.lex_state = 246},
  [2200] = {.lex_state = 285},
  [2201] = {.lex_state = 285},
  [2202] = {.lex_state = 285},
  [2203] = {.lex_state = 285},
  [2204] = {.lex_state = 285},
  [2205] = {.lex_state = 285},
  [2206] = {.lex_state = 285},
  [2207] = {.lex_state = 285},
  [2208] = {.lex_state = 285},
  [2209] = {.lex_state = 285},
  [2210] = {.lex_state = 285},
  [2211] = {.lex_state = 285},
  [2212] = {.lex_state = 285},
  [2213] = {.lex_state = 285},
  [2214] = {.lex_state = 263},
  [2215] = {.lex_state = 285},
  [2216] = {.lex_state = 285},
  [2217] = {.lex_state = 285},
  [2218] = {.lex_state = 285},
  [2219] = {.lex_state = 214},
  [2220] = {.lex_state = 285},
  [2221] = {.lex_state = 246},
  [2222] = {.lex_state = 246},
  [2223] = {.lex_state = 246},
  [2224] = {.lex_state = 225},
  [2225] = {.lex_state = 222},
  [2226] = {.lex_state = 211},
  [2227] = {.lex_state = 222},
  [2228] = {.lex_state = 285},
  [2229] = {.lex_state = 246},
  [2230] = {.lex_state = 285},
  [2231] = {.lex_state = 285},
  [2232] = {.lex_state = 246},
  [2233] = {.lex_state = 285},
  [2234] = {.lex_state = 285},
  [2235] = {.lex_state = 268},
  [2236] = {.lex_state = 285},
  [2237] = {.lex_state = 285},
  [2238] = {.lex_state = 246},
  [2239] = {.lex_state = 285},
  [2240] = {.lex_state = 214},
  [2241] = {.lex_state = 285},
  [2242] = {.lex_state = 285},
  [2243] = {.lex_state = 285},
  [2244] = {.lex_state = 285},
  [2245] = {.lex_state = 285},
  [2246] = {.lex_state = 285},
  [2247] = {.lex_state = 285},
  [2248] = {.lex_state = 285},
  [2249] = {.lex_state = 285},
  [2250] = {.lex_state = 285},
  [2251] = {.lex_state = 285},
  [2252] = {.lex_state = 235},
  [2253] = {.lex_state = 285},
  [2254] = {.lex_state = 235},
  [2255] = {.lex_state = 246},
  [2256] = {.lex_state = 235},
  [2257] = {.lex_state = 285},
  [2258] = {.lex_state = 285},
  [2259] = {.lex_state = 285},
  [2260] = {.lex_state = 235},
  [2261] = {.lex_state = 235},
  [2262] = {.lex_state = 285},
  [2263] = {.lex_state = 211},
  [2264] = {.lex_state = 285},
  [2265] = {.lex_state = 246},
  [2266] = {.lex_state = 246},
  [2267] = {.lex_state = 246},
  [2268] = {.lex_state = 285},
  [2269] = {.lex_state = 285},
  [2270] = {.lex_state = 285},
  [2271] = {.lex_state = 285},
  [2272] = {.lex_state = 285},
  [2273] = {.lex_state = 285},
  [2274] = {.lex_state = 206},
  [2275] = {.lex_state = 285},
  [2276] = {.lex_state = 285},
  [2277] = {.lex_state = 285},
  [2278] = {.lex_state = 285},
  [2279] = {.lex_state = 285},
  [2280] = {.lex_state = 285},
  [2281] = {.lex_state = 214},
  [2282] = {.lex_state = 235},
  [2283] = {.lex_state = 233},
  [2284] = {.lex_state = 233},
  [2285] = {.lex_state = 233},
  [2286] = {.lex_state = 283},
  [2287] = {.lex_state = 209},
  [2288] = {.lex_state = 233},
  [2289] = {.lex_state = 223},
  [2290] = {.lex_state = 233},
  [2291] = {.lex_state = 233},
  [2292] = {.lex_state = 233},
  [2293] = {.lex_state = 233},
  [2294] = {.lex_state = 233},
  [2295] = {.lex_state = 285},
  [2296] = {.lex_state = 285},
  [2297] = {.lex_state = 211},
  [2298] = {.lex_state = 233},
  [2299] = {.lex_state = 233},
  [2300] = {.lex_state = 211},
  [2301] = {.lex_state = 233},
  [2302] = {.lex_state = 214},
  [2303] = {.lex_state = 286},
  [2304] = {.lex_state = 214},
  [2305] = {.lex_state = 255},
  [2306] = {.lex_state = 286},
  [2307] = {.lex_state = 233},
  [2308] = {.lex_state = 209},
  [2309] = {.lex_state = 211},
  [2310] = {.lex_state = 233},
  [2311] = {.lex_state = 255},
  [2312] = {.lex_state = 285},
  [2313] = {.lex_state = 283},
  [2314] = {.lex_state = 219},
  [2315] = {.lex_state = 233},
  [2316] = {.lex_state = 233},
  [2317] = {.lex_state = 233},
  [2318] = {.lex_state = 233},
  [2319] = {.lex_state = 233},
  [2320] = {.lex_state = 286},
  [2321] = {.lex_state = 211},
  [2322] = {.lex_state = 235},
  [2323] = {.lex_state = 223},
  [2324] = {.lex_state = 233},
  [2325] = {.lex_state = 285},
  [2326] = {.lex_state = 211},
  [2327] = {.lex_state = 237},
  [2328] = {.lex_state = 285},
  [2329] = {.lex_state = 209},
  [2330] = {.lex_state = 233},
  [2331] = {.lex_state = 283},
  [2332] = {.lex_state = 285},
  [2333] = {.lex_state = 285},
  [2334] = {.lex_state = 233},
  [2335] = {.lex_state = 233},
  [2336] = {.lex_state = 233},
  [2337] = {.lex_state = 285},
  [2338] = {.lex_state = 233},
  [2339] = {.lex_state = 233},
  [2340] = {.lex_state = 255},
  [2341] = {.lex_state = 233},
  [2342] = {.lex_state = 233},
  [2343] = {.lex_state = 233},
  [2344] = {.lex_state = 240},
  [2345] = {.lex_state = 268},
  [2346] = {.lex_state = 211},
  [2347] = {.lex_state = 285},
  [2348] = {.lex_state = 237},
  [2349] = {.lex_state = 285},
  [2350] = {.lex_state = 285},
  [2351] = {.lex_state = 233},
  [2352] = {.lex_state = 233},
  [2353] = {.lex_state = 233},
  [2354] = {.lex_state = 233},
  [2355] = {.lex_state = 233},
  [2356] = {.lex_state = 233},
  [2357] = {.lex_state = 233},
  [2358] = {.lex_state = 233},
  [2359] = {.lex_state = 233},
  [2360] = {.lex_state = 219},
  [2361] = {.lex_state = 283},
  [2362] = {.lex_state = 233},
  [2363] = {.lex_state = 285},
  [2364] = {.lex_state = 219},
  [2365] = {.lex_state = 233},
  [2366] = {.lex_state = 286},
  [2367] = {.lex_state = 237},
  [2368] = {.lex_state = 211},
  [2369] = {.lex_state = 211},
  [2370] = {.lex_state = 211},
  [2371] = {.lex_state = 211},
  [2372] = {.lex_state = 255},
  [2373] = {.lex_state = 255},
  [2374] = {.lex_state = 255},
  [2375] = {.lex_state = 286},
  [2376] = {.lex_state = 255},
  [2377] = {.lex_state = 255},
  [2378] = {.lex_state = 255},
  [2379] = {.lex_state = 255},
  [2380] = {.lex_state = 285},
  [2381] = {.lex_state = 255},
  [2382] = {.lex_state = 255},
  [2383] = {.lex_state = 283},
  [2384] = {.lex_state = 255},
  [2385] = {.lex_state = 255},
  [2386] = {.lex_state = 236},
  [2387] = {.lex_state = 285},
  [2388] = {.lex_state = 209},
  [2389] = {.lex_state = 211},
  [2390] = {.lex_state = 255},
  [2391] = {.lex_state = 211},
  [2392] = {.lex_state = 255},
  [2393] = {.lex_state = 255},
  [2394] = {.lex_state = 255},
  [2395] = {.lex_state = 285},
  [2396] = {.lex_state = 255},
  [2397] = {.lex_state = 255},
  [2398] = {.lex_state = 232},
  [2399] = {.lex_state = 255},
  [2400] = {.lex_state = 283},
  [2401] = {.lex_state = 255},
  [2402] = {.lex_state = 255},
  [2403] = {.lex_state = 255},
  [2404] = {.lex_state = 255},
  [2405] = {.lex_state = 255},
  [2406] = {.lex_state = 255},
  [2407] = {.lex_state = 255},
  [2408] = {.lex_state = 237},
  [2409] = {.lex_state = 255},
  [2410] = {.lex_state = 255},
  [2411] = {.lex_state = 255},
  [2412] = {.lex_state = 255},
  [2413] = {.lex_state = 237},
  [2414] = {.lex_state = 236},
  [2415] = {.lex_state = 255},
  [2416] = {.lex_state = 255},
  [2417] = {.lex_state = 237},
  [2418] = {.lex_state = 255},
  [2419] = {.lex_state = 209},
  [2420] = {.lex_state = 255},
  [2421] = {.lex_state = 237},
  [2422] = {.lex_state = 237},
  [2423] = {.lex_state = 255},
  [2424] = {.lex_state = 255},
  [2425] = {.lex_state = 255},
  [2426] = {.lex_state = 255},
  [2427] = {.lex_state = 255},
  [2428] = {.lex_state = 255},
  [2429] = {.lex_state = 255},
  [2430] = {.lex_state = 255},
  [2431] = {.lex_state = 255},
  [2432] = {.lex_state = 209},
  [2433] = {.lex_state = 255},
  [2434] = {.lex_state = 255},
  [2435] = {.lex_state = 255},
  [2436] = {.lex_state = 255},
  [2437] = {.lex_state = 255},
  [2438] = {.lex_state = 255},
  [2439] = {.lex_state = 255},
  [2440] = {.lex_state = 255},
  [2441] = {.lex_state = 255},
  [2442] = {.lex_state = 255},
  [2443] = {.lex_state = 255},
  [2444] = {.lex_state = 255},
  [2445] = {.lex_state = 241},
  [2446] = {.lex_state = 255},
  [2447] = {.lex_state = 255},
  [2448] = {.lex_state = 255},
  [2449] = {.lex_state = 237},
  [2450] = {.lex_state = 255},
  [2451] = {.lex_state = 236},
  [2452] = {.lex_state = 255},
  [2453] = {.lex_state = 286},
  [2454] = {.lex_state = 255},
  [2455] = {.lex_state = 255},
  [2456] = {.lex_state = 237},
  [2457] = {.lex_state = 255},
  [2458] = {.lex_state = 237},
  [2459] = {.lex_state = 237},
  [2460] = {.lex_state = 255},
  [2461] = {.lex_state = 255},
  [2462] = {.lex_state = 255},
  [2463] = {.lex_state = 235},
  [2464] = {.lex_state = 255},
  [2465] = {.lex_state = 255},
  [2466] = {.lex_state = 255},
  [2467] = {.lex_state = 255},
  [2468] = {.lex_state = 255},
  [2469] = {.lex_state = 226},
  [2470] = {.lex_state = 237},
  [2471] = {.lex_state = 237},
  [2472] = {.lex_state = 241},
  [2473] = {.lex_state = 220},
  [2474] = {.lex_state = 255},
  [2475] = {.lex_state = 209},
  [2476] = {.lex_state = 235},
  [2477] = {.lex_state = 285},
  [2478] = {.lex_state = 232},
  [2479] = {.lex_state = 255},
  [2480] = {.lex_state = 255},
  [2481] = {.lex_state = 237},
  [2482] = {.lex_state = 255},
  [2483] = {.lex_state = 255},
  [2484] = {.lex_state = 237},
  [2485] = {.lex_state = 255},
  [2486] = {.lex_state = 255},
  [2487] = {.lex_state = 220},
  [2488] = {.lex_state = 235},
  [2489] = {.lex_state = 255},
  [2490] = {.lex_state = 255},
  [2491] = {.lex_state = 236},
  [2492] = {.lex_state = 255},
  [2493] = {.lex_state = 255},
  [2494] = {.lex_state = 255},
  [2495] = {.lex_state = 255},
  [2496] = {.lex_state = 255},
  [2497] = {.lex_state = 236},
  [2498] = {.lex_state = 255},
  [2499] = {.lex_state = 232},
  [2500] = {.lex_state = 255},
  [2501] = {.lex_state = 255},
  [2502] = {.lex_state = 226},
  [2503] = {.lex_state = 206},
  [2504] = {.lex_state = 220},
  [2505] = {.lex_state = 232},
  [2506] = {.lex_state = 255},
  [2507] = {.lex_state = 255},
  [2508] = {.lex_state = 255},
  [2509] = {.lex_state = 235},
  [2510] = {.lex_state = 235},
  [2511] = {.lex_state = 237},
  [2512] = {.lex_state = 237},
  [2513] = {.lex_state = 236},
  [2514] = {.lex_state = 237},
  [2515] = {.lex_state = 237},
  [2516] = {.lex_state = 237},
  [2517] = {.lex_state = 236},
  [2518] = {.lex_state = 241},
  [2519] = {.lex_state = 237},
  [2520] = {.lex_state = 237},
  [2521] = {.lex_state = 236},
  [2522] = {.lex_state = 236},
  [2523] = {.lex_state = 236},
  [2524] = {.lex_state = 237},
  [2525] = {.lex_state = 237},
  [2526] = {.lex_state = 237},
  [2527] = {.lex_state = 236},
  [2528] = {.lex_state = 285},
  [2529] = {.lex_state = 286},
  [2530] = {.lex_state = 236},
  [2531] = {.lex_state = 237},
  [2532] = {.lex_state = 237},
  [2533] = {.lex_state = 237},
  [2534] = {.lex_state = 237},
  [2535] = {.lex_state = 237},
  [2536] = {.lex_state = 237},
  [2537] = {.lex_state = 237},
  [2538] = {.lex_state = 237},
  [2539] = {.lex_state = 248},
  [2540] = {.lex_state = 237},
  [2541] = {.lex_state = 237},
  [2542] = {.lex_state = 237},
  [2543] = {.lex_state = 237},
  [2544] = {.lex_state = 241},
  [2545] = {.lex_state = 237},
  [2546] = {.lex_state = 237},
  [2547] = {.lex_state = 283},
  [2548] = {.lex_state = 237},
  [2549] = {.lex_state = 237},
  [2550] = {.lex_state = 237},
  [2551] = {.lex_state = 237},
  [2552] = {.lex_state = 214},
  [2553] = {.lex_state = 237},
  [2554] = {.lex_state = 214},
  [2555] = {.lex_state = 209},
  [2556] = {.lex_state = 209},
  [2557] = {.lex_state = 237},
  [2558] = {.lex_state = 237},
  [2559] = {.lex_state = 285},
  [2560] = {.lex_state = 285},
  [2561] = {.lex_state = 214},
  [2562] = {.lex_state = 283},
  [2563] = {.lex_state = 236},
  [2564] = {.lex_state = 236},
  [2565] = {.lex_state = 236},
  [2566] = {.lex_state = 286},
  [2567] = {.lex_state = 241},
  [2568] = {.lex_state = 236},
  [2569] = {.lex_state = 241},
  [2570] = {.lex_state = 219},
  [2571] = {.lex_state = 219},
  [2572] = {.lex_state = 237},
  [2573] = {.lex_state = 237},
  [2574] = {.lex_state = 237},
  [2575] = {.lex_state = 237},
  [2576] = {.lex_state = 237},
  [2577] = {.lex_state = 237},
  [2578] = {.lex_state = 286},
  [2579] = {.lex_state = 237},
  [2580] = {.lex_state = 237},
  [2581] = {.lex_state = 237},
  [2582] = {.lex_state = 237},
  [2583] = {.lex_state = 237},
  [2584] = {.lex_state = 241},
  [2585] = {.lex_state = 237},
  [2586] = {.lex_state = 241},
  [2587] = {.lex_state = 237},
  [2588] = {.lex_state = 241},
  [2589] = {.lex_state = 237},
  [2590] = {.lex_state = 235},
  [2591] = {.lex_state = 237},
  [2592] = {.lex_state = 237},
  [2593] = {.lex_state = 249},
  [2594] = {.lex_state = 236},
  [2595] = {.lex_state = 283},
  [2596] = {.lex_state = 214},
  [2597] = {.lex_state = 241},
  [2598] = {.lex_state = 237},
  [2599] = {.lex_state = 237},
  [2600] = {.lex_state = 237},
  [2601] = {.lex_state = 236},
  [2602] = {.lex_state = 237},
  [2603] = {.lex_state = 283},
  [2604] = {.lex_state = 245},
  [2605] = {.lex_state = 283},
  [2606] = {.lex_state = 286},
  [2607] = {.lex_state = 283},
  [2608] = {.lex_state = 283},
  [2609] = {.lex_state = 286},
  [2610] = {.lex_state = 286},
  [2611] = {.lex_state = 283},
  [2612] = {.lex_state = 283},
  [2613] = {.lex_state = 286},
  [2614] = {.lex_state = 286},
  [2615] = {.lex_state = 286},
  [2616] = {.lex_state = 283},
  [2617] = {.lex_state = 286},
  [2618] = {.lex_state = 286},
  [2619] = {.lex_state = 286},
  [2620] = {.lex_state = 286},
  [2621] = {.lex_state = 286},
  [2622] = {.lex_state = 286},
  [2623] = {.lex_state = 209},
  [2624] = {.lex_state = 209},
  [2625] = {.lex_state = 286},
  [2626] = {.lex_state = 286},
  [2627] = {.lex_state = 286},
  [2628] = {.lex_state = 286},
  [2629] = {.lex_state = 283},
  [2630] = {.lex_state = 283},
  [2631] = {.lex_state = 283},
  [2632] = {.lex_state = 283},
  [2633] = {.lex_state = 286},
  [2634] = {.lex_state = 286},
  [2635] = {.lex_state = 283},
  [2636] = {.lex_state = 283},
  [2637] = {.lex_state = 286},
  [2638] = {.lex_state = 283},
  [2639] = {.lex_state = 283},
  [2640] = {.lex_state = 283},
  [2641] = {.lex_state = 237},
  [2642] = {.lex_state = 283},
  [2643] = {.lex_state = 286},
  [2644] = {.lex_state = 286},
  [2645] = {.lex_state = 286},
  [2646] = {.lex_state = 283},
  [2647] = {.lex_state = 237},
  [2648] = {.lex_state = 286},
  [2649] = {.lex_state = 283},
  [2650] = {.lex_state = 286},
  [2651] = {.lex_state = 286},
  [2652] = {.lex_state = 220},
  [2653] = {.lex_state = 219},
  [2654] = {.lex_state = 241},
  [2655] = {.lex_state = 286},
  [2656] = {.lex_state = 286},
  [2657] = {.lex_state = 235},
  [2658] = {.lex_state = 286},
  [2659] = {.lex_state = 286},
  [2660] = {.lex_state = 286},
  [2661] = {.lex_state = 286},
  [2662] = {.lex_state = 283},
  [2663] = {.lex_state = 286},
  [2664] = {.lex_state = 286},
  [2665] = {.lex_state = 286},
  [2666] = {.lex_state = 283},
  [2667] = {.lex_state = 286},
  [2668] = {.lex_state = 286},
  [2669] = {.lex_state = 286},
  [2670] = {.lex_state = 220},
  [2671] = {.lex_state = 286},
  [2672] = {.lex_state = 286},
  [2673] = {.lex_state = 283},
  [2674] = {.lex_state = 286},
  [2675] = {.lex_state = 286},
  [2676] = {.lex_state = 286},
  [2677] = {.lex_state = 237},
  [2678] = {.lex_state = 286},
  [2679] = {.lex_state = 286},
  [2680] = {.lex_state = 286},
  [2681] = {.lex_state = 286},
  [2682] = {.lex_state = 219},
  [2683] = {.lex_state = 286},
  [2684] = {.lex_state = 286},
  [2685] = {.lex_state = 286},
  [2686] = {.lex_state = 286},
  [2687] = {.lex_state = 237},
  [2688] = {.lex_state = 235},
  [2689] = {.lex_state = 283},
  [2690] = {.lex_state = 286},
  [2691] = {.lex_state = 286},
  [2692] = {.lex_state = 286},
  [2693] = {.lex_state = 286},
  [2694] = {.lex_state = 286},
  [2695] = {.lex_state = 286},
  [2696] = {.lex_state = 286},
  [2697] = {.lex_state = 209},
  [2698] = {.lex_state = 286},
  [2699] = {.lex_state = 286},
  [2700] = {.lex_state = 286},
  [2701] = {.lex_state = 286},
  [2702] = {.lex_state = 286},
  [2703] = {.lex_state = 286},
  [2704] = {.lex_state = 283},
  [2705] = {.lex_state = 219},
  [2706] = {.lex_state = 245},
  [2707] = {.lex_state = 283},
  [2708] = {.lex_state = 284},
  [2709] = {.lex_state = 283},
  [2710] = {.lex_state = 283},
  [2711] = {.lex_state = 283},
  [2712] = {.lex_state = 283},
  [2713] = {.lex_state = 283},
  [2714] = {.lex_state = 283},
  [2715] = {.lex_state = 283},
  [2716] = {.lex_state = 283},
  [2717] = {.lex_state = 219},
  [2718] = {.lex_state = 286},
  [2719] = {.lex_state = 286},
  [2720] = {.lex_state = 209},
  [2721] = {.lex_state = 286},
  [2722] = {.lex_state = 283},
  [2723] = {.lex_state = 286},
  [2724] = {.lex_state = 283},
  [2725] = {.lex_state = 283},
  [2726] = {.lex_state = 283},
  [2727] = {.lex_state = 283},
  [2728] = {.lex_state = 283},
  [2729] = {.lex_state = 283},
  [2730] = {.lex_state = 283},
  [2731] = {.lex_state = 286},
  [2732] = {.lex_state = 286},
  [2733] = {.lex_state = 283},
  [2734] = {.lex_state = 286},
  [2735] = {.lex_state = 237},
  [2736] = {.lex_state = 286},
  [2737] = {.lex_state = 237},
  [2738] = {.lex_state = 237},
  [2739] = {.lex_state = 283},
  [2740] = {.lex_state = 237},
  [2741] = {.lex_state = 286},
  [2742] = {.lex_state = 245},
  [2743] = {.lex_state = 286},
  [2744] = {.lex_state = 283},
  [2745] = {.lex_state = 248},
  [2746] = {.lex_state = 283},
  [2747] = {.lex_state = 237},
  [2748] = {.lex_state = 283},
  [2749] = {.lex_state = 286},
  [2750] = {.lex_state = 237},
  [2751] = {.lex_state = 283},
  [2752] = {.lex_state = 283},
  [2753] = {.lex_state = 286},
  [2754] = {.lex_state = 286},
  [2755] = {.lex_state = 286},
  [2756] = {.lex_state = 286},
  [2757] = {.lex_state = 286},
  [2758] = {.lex_state = 283},
  [2759] = {.lex_state = 283},
  [2760] = {.lex_state = 283},
  [2761] = {.lex_state = 283},
  [2762] = {.lex_state = 286},
  [2763] = {.lex_state = 286},
  [2764] = {.lex_state = 286},
  [2765] = {.lex_state = 283},
  [2766] = {.lex_state = 284},
  [2767] = {.lex_state = 219},
  [2768] = {.lex_state = 283},
  [2769] = {.lex_state = 237},
  [2770] = {.lex_state = 283},
  [2771] = {.lex_state = 286},
  [2772] = {.lex_state = 283},
  [2773] = {.lex_state = 286},
  [2774] = {.lex_state = 283},
  [2775] = {.lex_state = 283},
  [2776] = {.lex_state = 283},
  [2777] = {.lex_state = 283},
  [2778] = {.lex_state = 283},
  [2779] = {.lex_state = 283},
  [2780] = {.lex_state = 283},
  [2781] = {.lex_state = 283},
  [2782] = {.lex_state = 283},
  [2783] = {.lex_state = 235},
  [2784] = {.lex_state = 283},
  [2785] = {.lex_state = 283},
  [2786] = {.lex_state = 283},
  [2787] = {.lex_state = 283},
  [2788] = {.lex_state = 286},
  [2789] = {.lex_state = 283},
  [2790] = {.lex_state = 283},
  [2791] = {.lex_state = 286},
  [2792] = {.lex_state = 283},
  [2793] = {.lex_state = 283},
  [2794] = {.lex_state = 283},
  [2795] = {.lex_state = 286},
  [2796] = {.lex_state = 283},
  [2797] = {.lex_state = 286},
  [2798] = {.lex_state = 286},
  [2799] = {.lex_state = 219},
  [2800] = {.lex_state = 283},
  [2801] = {.lex_state = 283},
  [2802] = {.lex_state = 283},
  [2803] = {.lex_state = 283},
  [2804] = {.lex_state = 283},
  [2805] = {.lex_state = 283},
  [2806] = {.lex_state = 283},
  [2807] = {.lex_state = 283},
  [2808] = {.lex_state = 235},
  [2809] = {.lex_state = 283},
  [2810] = {.lex_state = 287},
  [2811] = {.lex_state = 283},
  [2812] = {.lex_state = 283},
  [2813] = {.lex_state = 283},
  [2814] = {.lex_state = 237},
  [2815] = {.lex_state = 287},
  [2816] = {.lex_state = 219},
  [2817] = {.lex_state = 283},
  [2818] = {.lex_state = 283},
  [2819] = {.lex_state = 283},
  [2820] = {.lex_state = 286},
  [2821] = {.lex_state = 248},
  [2822] = {.lex_state = 248},
  [2823] = {.lex_state = 284},
  [2824] = {.lex_state = 248},
  [2825] = {.lex_state = 236},
  [2826] = {.lex_state = 237},
  [2827] = {.lex_state = 219},
  [2828] = {.lex_state = 285},
  [2829] = {.lex_state = 284},
  [2830] = {.lex_state = 285},
  [2831] = {.lex_state = 259},
  [2832] = {.lex_state = 284},
  [2833] = {.lex_state = 220},
  [2834] = {.lex_state = 209},
  [2835] = {.lex_state = 237},
  [2836] = {.lex_state = 219},
  [2837] = {.lex_state = 263},
  [2838] = {.lex_state = 284},
  [2839] = {.lex_state = 220},
  [2840] = {.lex_state = 236},
  [2841] = {.lex_state = 220},
  [2842] = {.lex_state = 219},
  [2843] = {.lex_state = 237},
  [2844] = {.lex_state = 285},
  [2845] = {.lex_state = 237},
  [2846] = {.lex_state = 285},
  [2847] = {.lex_state = 248},
  [2848] = {.lex_state = 248},
  [2849] = {.lex_state = 259},
  [2850] = {.lex_state = 285},
  [2851] = {.lex_state = 262},
  [2852] = {.lex_state = 248},
  [2853] = {.lex_state = 285},
  [2854] = {.lex_state = 237},
  [2855] = {.lex_state = 264},
  [2856] = {.lex_state = 237},
  [2857] = {.lex_state = 237},
  [2858] = {.lex_state = 209},
  [2859] = {.lex_state = 284},
  [2860] = {.lex_state = 248},
  [2861] = {.lex_state = 220},
  [2862] = {.lex_state = 262},
  [2863] = {.lex_state = 248},
  [2864] = {.lex_state = 237},
  [2865] = {.lex_state = 209},
  [2866] = {.lex_state = 237},
  [2867] = {.lex_state = 236},
  [2868] = {.lex_state = 237},
  [2869] = {.lex_state = 237},
  [2870] = {.lex_state = 237},
  [2871] = {.lex_state = 237},
  [2872] = {.lex_state = 248},
  [2873] = {.lex_state = 209},
  [2874] = {.lex_state = 248},
  [2875] = {.lex_state = 236},
  [2876] = {.lex_state = 285},
  [2877] = {.lex_state = 285},
  [2878] = {.lex_state = 285},
  [2879] = {.lex_state = 285},
  [2880] = {.lex_state = 285},
  [2881] = {.lex_state = 285},
  [2882] = {.lex_state = 285},
  [2883] = {.lex_state = 219},
  [2884] = {.lex_state = 285},
  [2885] = {.lex_state = 285},
  [2886] = {.lex_state = 262},
  [2887] = {.lex_state = 236},
  [2888] = {.lex_state = 259},
  [2889] = {.lex_state = 237},
  [2890] = {.lex_state = 285},
  [2891] = {.lex_state = 239},
  [2892] = {.lex_state = 237},
  [2893] = {.lex_state = 237},
  [2894] = {.lex_state = 237},
  [2895] = {.lex_state = 237},
  [2896] = {.lex_state = 237},
  [2897] = {.lex_state = 260},
  [2898] = {.lex_state = 237},
  [2899] = {.lex_state = 284},
  [2900] = {.lex_state = 237},
  [2901] = {.lex_state = 240},
  [2902] = {.lex_state = 220},
  [2903] = {.lex_state = 237},
  [2904] = {.lex_state = 237},
  [2905] = {.lex_state = 237},
  [2906] = {.lex_state = 237},
  [2907] = {.lex_state = 237},
  [2908] = {.lex_state = 237},
  [2909] = {.lex_state = 240},
  [2910] = {.lex_state = 237},
  [2911] = {.lex_state = 237},
  [2912] = {.lex_state = 237},
  [2913] = {.lex_state = 237},
  [2914] = {.lex_state = 237},
  [2915] = {.lex_state = 237},
  [2916] = {.lex_state = 237},
  [2917] = {.lex_state = 237},
  [2918] = {.lex_state = 237},
  [2919] = {.lex_state = 237},
  [2920] = {.lex_state = 237},
  [2921] = {.lex_state = 237},
  [2922] = {.lex_state = 237},
  [2923] = {.lex_state = 284},
  [2924] = {.lex_state = 220},
  [2925] = {.lex_state = 237},
  [2926] = {.lex_state = 237},
  [2927] = {.lex_state = 237},
  [2928] = {.lex_state = 237},
  [2929] = {.lex_state = 237},
  [2930] = {.lex_state = 241},
  [2931] = {.lex_state = 237},
  [2932] = {.lex_state = 220},
  [2933] = {.lex_state = 237},
  [2934] = {.lex_state = 237},
  [2935] = {.lex_state = 237},
  [2936] = {.lex_state = 237},
  [2937] = {.lex_state = 248},
  [2938] = {.lex_state = 248},
  [2939] = {.lex_state = 237},
  [2940] = {.lex_state = 237},
  [2941] = {.lex_state = 237},
  [2942] = {.lex_state = 237},
  [2943] = {.lex_state = 237},
  [2944] = {.lex_state = 237},
  [2945] = {.lex_state = 268},
  [2946] = {.lex_state = 237},
  [2947] = {.lex_state = 248},
  [2948] = {.lex_state = 237},
  [2949] = {.lex_state = 237},
  [2950] = {.lex_state = 237},
  [2951] = {.lex_state = 237},
  [2952] = {.lex_state = 220},
  [2953] = {.lex_state = 237},
  [2954] = {.lex_state = 237},
  [2955] = {.lex_state = 260},
  [2956] = {.lex_state = 248},
  [2957] = {.lex_state = 249},
  [2958] = {.lex_state = 237},
  [2959] = {.lex_state = 237},
  [2960] = {.lex_state = 237},
  [2961] = {.lex_state = 237},
  [2962] = {.lex_state = 237},
  [2963] = {.lex_state = 219},
  [2964] = {.lex_state = 237},
  [2965] = {.lex_state = 237},
  [2966] = {.lex_state = 287},
  [2967] = {.lex_state = 249},
  [2968] = {.lex_state = 260},
  [2969] = {.lex_state = 237},
  [2970] = {.lex_state = 237},
  [2971] = {.lex_state = 287},
  [2972] = {.lex_state = 237},
  [2973] = {.lex_state = 237},
  [2974] = {.lex_state = 219},
  [2975] = {.lex_state = 237},
  [2976] = {.lex_state = 237},
  [2977] = {.lex_state = 237},
  [2978] = {.lex_state = 237},
  [2979] = {.lex_state = 237},
  [2980] = {.lex_state = 269},
  [2981] = {.lex_state = 248},
  [2982] = {.lex_state = 237},
  [2983] = {.lex_state = 237},
  [2984] = {.lex_state = 248},
  [2985] = {.lex_state = 248},
  [2986] = {.lex_state = 241},
  [2987] = {.lex_state = 248},
  [2988] = {.lex_state = 248},
  [2989] = {.lex_state = 237},
  [2990] = {.lex_state = 237},
  [2991] = {.lex_state = 237},
  [2992] = {.lex_state = 237},
  [2993] = {.lex_state = 237},
  [2994] = {.lex_state = 237},
  [2995] = {.lex_state = 263},
  [2996] = {.lex_state = 237},
  [2997] = {.lex_state = 237},
  [2998] = {.lex_state = 237},
  [2999] = {.lex_state = 237},
  [3000] = {.lex_state = 248},
  [3001] = {.lex_state = 237},
  [3002] = {.lex_state = 248},
  [3003] = {.lex_state = 248},
  [3004] = {.lex_state = 237},
  [3005] = {.lex_state = 248},
  [3006] = {.lex_state = 240},
  [3007] = {.lex_state = 248},
  [3008] = {.lex_state = 241},
  [3009] = {.lex_state = 263},
  [3010] = {.lex_state = 263},
  [3011] = {.lex_state = 219},
  [3012] = {.lex_state = 241},
  [3013] = {.lex_state = 276},
  [3014] = {.lex_state = 241},
  [3015] = {.lex_state = 241},
  [3016] = {.lex_state = 276},
  [3017] = {.lex_state = 263},
  [3018] = {.lex_state = 285},
  [3019] = {.lex_state = 276},
  [3020] = {.lex_state = 248},
  [3021] = {.lex_state = 241},
  [3022] = {.lex_state = 276},
  [3023] = {.lex_state = 268},
  [3024] = {.lex_state = 276},
  [3025] = {.lex_state = 276},
  [3026] = {.lex_state = 263},
  [3027] = {.lex_state = 263},
  [3028] = {.lex_state = 248},
  [3029] = {.lex_state = 219},
  [3030] = {.lex_state = 219},
  [3031] = {.lex_state = 276},
  [3032] = {.lex_state = 276},
  [3033] = {.lex_state = 285},
  [3034] = {.lex_state = 241},
  [3035] = {.lex_state = 248},
  [3036] = {.lex_state = 249},
  [3037] = {.lex_state = 241},
  [3038] = {.lex_state = 219},
  [3039] = {.lex_state = 210},
  [3040] = {.lex_state = 241},
  [3041] = {.lex_state = 241},
  [3042] = {.lex_state = 210},
  [3043] = {.lex_state = 241},
  [3044] = {.lex_state = 241},
  [3045] = {.lex_state = 285},
  [3046] = {.lex_state = 240},
  [3047] = {.lex_state = 263},
  [3048] = {.lex_state = 241},
  [3049] = {.lex_state = 263},
  [3050] = {.lex_state = 263},
  [3051] = {.lex_state = 210},
  [3052] = {.lex_state = 263},
  [3053] = {.lex_state = 259},
  [3054] = {.lex_state = 268},
  [3055] = {.lex_state = 268},
  [3056] = {.lex_state = 263},
  [3057] = {.lex_state = 268},
  [3058] = {.lex_state = 268},
  [3059] = {.lex_state = 263},
  [3060] = {.lex_state = 284},
  [3061] = {.lex_state = 284},
  [3062] = {.lex_state = 264},
  [3063] = {.lex_state = 259},
  [3064] = {.lex_state = 284},
  [3065] = {.lex_state = 268},
  [3066] = {.lex_state = 219},
  [3067] = {.lex_state = 263},
  [3068] = {.lex_state = 284},
  [3069] = {.lex_state = 264},
  [3070] = {.lex_state = 248},
  [3071] = {.lex_state = 219},
  [3072] = {.lex_state = 284},
  [3073] = {.lex_state = 263},
  [3074] = {.lex_state = 219},
  [3075] = {.lex_state = 284},
  [3076] = {.lex_state = 264},
  [3077] = {.lex_state = 268},
  [3078] = {.lex_state = 268},
  [3079] = {.lex_state = 268},
  [3080] = {.lex_state = 248},
  [3081] = {.lex_state = 268},
  [3082] = {.lex_state = 284},
  [3083] = {.lex_state = 263},
  [3084] = {.lex_state = 263},
  [3085] = {.lex_state = 259},
  [3086] = {.lex_state = 219},
  [3087] = {.lex_state = 263},
  [3088] = {.lex_state = 276},
  [3089] = {.lex_state = 284},
  [3090] = {.lex_state = 284},
  [3091] = {.lex_state = 284},
  [3092] = {.lex_state = 269},
  [3093] = {.lex_state = 284},
  [3094] = {.lex_state = 284},
  [3095] = {.lex_state = 206},
  [3096] = {.lex_state = 284},
  [3097] = {.lex_state = 284},
  [3098] = {.lex_state = 284},
  [3099] = {.lex_state = 248},
  [3100] = {.lex_state = 284},
  [3101] = {.lex_state = 268},
  [3102] = {.lex_state = 284},
  [3103] = {.lex_state = 268},
  [3104] = {.lex_state = 263},
  [3105] = {.lex_state = 284},
  [3106] = {.lex_state = 248},
  [3107] = {.lex_state = 284},
  [3108] = {.lex_state = 284},
  [3109] = {.lex_state = 268},
  [3110] = {.lex_state = 263},
  [3111] = {.lex_state = 206},
  [3112] = {.lex_state = 268},
  [3113] = {.lex_state = 284},
  [3114] = {.lex_state = 284},
  [3115] = {.lex_state = 248},
  [3116] = {.lex_state = 284},
  [3117] = {.lex_state = 284},
  [3118] = {.lex_state = 284},
  [3119] = {.lex_state = 284},
  [3120] = {.lex_state = 268},
  [3121] = {.lex_state = 248},
  [3122] = {.lex_state = 263},
  [3123] = {.lex_state = 284},
  [3124] = {.lex_state = 284},
  [3125] = {.lex_state = 248},
  [3126] = {.lex_state = 248},
  [3127] = {.lex_state = 284},
  [3128] = {.lex_state = 284},
  [3129] = {.lex_state = 284},
  [3130] = {.lex_state = 284},
  [3131] = {.lex_state = 248},
  [3132] = {.lex_state = 263},
  [3133] = {.lex_state = 248},
  [3134] = {.lex_state = 263},
  [3135] = {.lex_state = 248},
  [3136] = {.lex_state = 263},
  [3137] = {.lex_state = 284},
  [3138] = {.lex_state = 248},
  [3139] = {.lex_state = 284},
  [3140] = {.lex_state = 284},
  [3141] = {.lex_state = 284},
  [3142] = {.lex_state = 268},
  [3143] = {.lex_state = 284},
  [3144] = {.lex_state = 248},
  [3145] = {.lex_state = 248},
  [3146] = {.lex_state = 284},
  [3147] = {.lex_state = 284},
  [3148] = {.lex_state = 269},
  [3149] = {.lex_state = 284},
  [3150] = {.lex_state = 284},
  [3151] = {.lex_state = 285},
  [3152] = {.lex_state = 264},
  [3153] = {.lex_state = 284},
  [3154] = {.lex_state = 284},
  [3155] = {.lex_state = 284},
  [3156] = {.lex_state = 284},
  [3157] = {.lex_state = 285},
  [3158] = {.lex_state = 284},
  [3159] = {.lex_state = 248},
  [3160] = {.lex_state = 237},
  [3161] = {.lex_state = 247},
  [3162] = {.lex_state = 284},
  [3163] = {.lex_state = 284},
  [3164] = {.lex_state = 275},
  [3165] = {.lex_state = 248},
  [3166] = {.lex_state = 276},
  [3167] = {.lex_state = 247},
  [3168] = {.lex_state = 275},
  [3169] = {.lex_state = 247},
  [3170] = {.lex_state = 275},
  [3171] = {.lex_state = 248},
  [3172] = {.lex_state = 275},
  [3173] = {.lex_state = 284},
  [3174] = {.lex_state = 275},
  [3175] = {.lex_state = 247},
  [3176] = {.lex_state = 275},
  [3177] = {.lex_state = 263},
  [3178] = {.lex_state = 247},
  [3179] = {.lex_state = 248},
  [3180] = {.lex_state = 276},
  [3181] = {.lex_state = 210},
  [3182] = {.lex_state = 263},
  [3183] = {.lex_state = 237},
  [3184] = {.lex_state = 268},
  [3185] = {.lex_state = 237},
  [3186] = {.lex_state = 268},
  [3187] = {.lex_state = 275},
  [3188] = {.lex_state = 248},
  [3189] = {.lex_state = 275},
  [3190] = {.lex_state = 263},
  [3191] = {.lex_state = 284},
  [3192] = {.lex_state = 210},
  [3193] = {.lex_state = 263},
  [3194] = {.lex_state = 263},
  [3195] = {.lex_state = 268},
  [3196] = {.lex_state = 237},
  [3197] = {.lex_state = 237},
  [3198] = {.lex_state = 237},
  [3199] = {.lex_state = 237},
  [3200] = {.lex_state = 237},
  [3201] = {.lex_state = 237},
  [3202] = {.lex_state = 237},
  [3203] = {.lex_state = 237},
  [3204] = {.lex_state = 263},
  [3205] = {.lex_state = 275},
  [3206] = {.lex_state = 263},
  [3207] = {.lex_state = 268},
  [3208] = {.lex_state = 263},
  [3209] = {.lex_state = 284},
  [3210] = {.lex_state = 263},
  [3211] = {.lex_state = 284},
  [3212] = {.lex_state = 263},
  [3213] = {.lex_state = 248},
  [3214] = {.lex_state = 248},
  [3215] = {.lex_state = 210},
  [3216] = {.lex_state = 269},
  [3217] = {.lex_state = 263},
  [3218] = {.lex_state = 237},
  [3219] = {.lex_state = 284},
  [3220] = {.lex_state = 237},
  [3221] = {.lex_state = 210},
  [3222] = {.lex_state = 237},
  [3223] = {.lex_state = 237},
  [3224] = {.lex_state = 237},
  [3225] = {.lex_state = 248},
  [3226] = {.lex_state = 237},
  [3227] = {.lex_state = 248},
  [3228] = {.lex_state = 275},
  [3229] = {.lex_state = 275},
  [3230] = {.lex_state = 275},
  [3231] = {.lex_state = 284},
  [3232] = {.lex_state = 276},
  [3233] = {.lex_state = 229},
  [3234] = {.lex_state = 236},
  [3235] = {.lex_state = 248},
  [3236] = {.lex_state = 248},
  [3237] = {.lex_state = 268},
  [3238] = {.lex_state = 248},
  [3239] = {.lex_state = 248},
  [3240] = {.lex_state = 284},
  [3241] = {.lex_state = 264},
  [3242] = {.lex_state = 236},
  [3243] = {.lex_state = 248},
  [3244] = {.lex_state = 230},
  [3245] = {.lex_state = 247},
  [3246] = {.lex_state = 248},
  [3247] = {.lex_state = 248},
  [3248] = {.lex_state = 236},
  [3249] = {.lex_state = 264},
  [3250] = {.lex_state = 206},
  [3251] = {.lex_state = 206},
  [3252] = {.lex_state = 284},
  [3253] = {.lex_state = 236},
  [3254] = {.lex_state = 263},
  [3255] = {.lex_state = 236},
  [3256] = {.lex_state = 236},
  [3257] = {.lex_state = 206},
  [3258] = {.lex_state = 248},
  [3259] = {.lex_state = 206},
  [3260] = {.lex_state = 248},
  [3261] = {.lex_state = 248},
  [3262] = {.lex_state = 263},
  [3263] = {.lex_state = 206},
  [3264] = {.lex_state = 276},
  [3265] = {.lex_state = 284},
  [3266] = {.lex_state = 279},
  [3267] = {.lex_state = 248},
  [3268] = {.lex_state = 229},
  [3269] = {.lex_state = 206},
  [3270] = {.lex_state = 263},
  [3271] = {.lex_state = 276},
  [3272] = {.lex_state = 263},
  [3273] = {.lex_state = 248},
  [3274] = {.lex_state = 248},
  [3275] = {.lex_state = 206},
  [3276] = {.lex_state = 279},
  [3277] = {.lex_state = 284},
  [3278] = {.lex_state = 229},
  [3279] = {.lex_state = 284},
  [3280] = {.lex_state = 284},
  [3281] = {.lex_state = 263},
  [3282] = {.lex_state = 248},
  [3283] = {.lex_state = 284},
  [3284] = {.lex_state = 229},
  [3285] = {.lex_state = 261},
  [3286] = {.lex_state = 248},
  [3287] = {.lex_state = 284},
  [3288] = {.lex_state = 248},
  [3289] = {.lex_state = 247},
  [3290] = {.lex_state = 276},
  [3291] = {.lex_state = 206},
  [3292] = {.lex_state = 248},
  [3293] = {.lex_state = 248},
  [3294] = {.lex_state = 248},
  [3295] = {.lex_state = 248},
  [3296] = {.lex_state = 268},
  [3297] = {.lex_state = 248},
  [3298] = {.lex_state = 248},
  [3299] = {.lex_state = 261},
  [3300] = {.lex_state = 206},
  [3301] = {.lex_state = 229},
  [3302] = {.lex_state = 276},
  [3303] = {.lex_state = 206},
  [3304] = {.lex_state = 248},
  [3305] = {.lex_state = 248},
  [3306] = {.lex_state = 276},
  [3307] = {.lex_state = 248},
  [3308] = {.lex_state = 206},
  [3309] = {.lex_state = 229},
  [3310] = {.lex_state = 248},
  [3311] = {.lex_state = 248},
  [3312] = {.lex_state = 279},
  [3313] = {.lex_state = 248},
  [3314] = {.lex_state = 229},
  [3315] = {.lex_state = 261},
  [3316] = {.lex_state = 276},
  [3317] = {.lex_state = 263},
  [3318] = {.lex_state = 263},
  [3319] = {.lex_state = 229},
  [3320] = {.lex_state = 263},
  [3321] = {.lex_state = 230},
  [3322] = {.lex_state = 263},
  [3323] = {.lex_state = 276},
  [3324] = {.lex_state = 263},
  [3325] = {.lex_state = 248},
  [3326] = {.lex_state = 206},
  [3327] = {.lex_state = 248},
  [3328] = {.lex_state = 206},
  [3329] = {.lex_state = 248},
  [3330] = {.lex_state = 247},
  [3331] = {.lex_state = 279},
  [3332] = {.lex_state = 263},
  [3333] = {.lex_state = 263},
  [3334] = {.lex_state = 263},
  [3335] = {.lex_state = 279},
  [3336] = {.lex_state = 263},
  [3337] = {.lex_state = 229},
  [3338] = {.lex_state = 276},
  [3339] = {.lex_state = 206},
  [3340] = {.lex_state = 248},
  [3341] = {.lex_state = 248},
  [3342] = {.lex_state = 261},
  [3343] = {.lex_state = 248},
  [3344] = {.lex_state = 206},
  [3345] = {.lex_state = 206},
  [3346] = {.lex_state = 248},
  [3347] = {.lex_state = 263},
  [3348] = {.lex_state = 248},
  [3349] = {.lex_state = 206},
  [3350] = {.lex_state = 206},
  [3351] = {.lex_state = 263},
  [3352] = {.lex_state = 236},
  [3353] = {.lex_state = 276},
  [3354] = {.lex_state = 206},
  [3355] = {.lex_state = 276},
  [3356] = {.lex_state = 276},
  [3357] = {.lex_state = 248},
  [3358] = {.lex_state = 206},
  [3359] = {.lex_state = 263},
  [3360] = {.lex_state = 248},
  [3361] = {.lex_state = 263},
  [3362] = {.lex_state = 263},
  [3363] = {.lex_state = 263},
  [3364] = {.lex_state = 263},
  [3365] = {.lex_state = 276},
  [3366] = {.lex_state = 263},
  [3367] = {.lex_state = 263},
  [3368] = {.lex_state = 230},
  [3369] = {.lex_state = 284},
  [3370] = {.lex_state = 263},
  [3371] = {.lex_state = 248},
  [3372] = {.lex_state = 237},
  [3373] = {.lex_state = 248},
  [3374] = {.lex_state = 248},
  [3375] = {.lex_state = 268},
  [3376] = {.lex_state = 234},
  [3377] = {.lex_state = 268},
  [3378] = {.lex_state = 248},
  [3379] = {.lex_state = 248},
  [3380] = {.lex_state = 248},
  [3381] = {.lex_state = 263},
  [3382] = {.lex_state = 268},
  [3383] = {.lex_state = 268},
  [3384] = {.lex_state = 268},
  [3385] = {.lex_state = 268},
  [3386] = {.lex_state = 248},
  [3387] = {.lex_state = 248},
  [3388] = {.lex_state = 268},
  [3389] = {.lex_state = 268},
  [3390] = {.lex_state = 237},
  [3391] = {.lex_state = 237},
  [3392] = {.lex_state = 248},
  [3393] = {.lex_state = 237},
  [3394] = {.lex_state = 234},
  [3395] = {.lex_state = 237},
  [3396] = {.lex_state = 248},
  [3397] = {.lex_state = 248},
  [3398] = {.lex_state = 276},
  [3399] = {.lex_state = 248},
  [3400] = {.lex_state = 263},
  [3401] = {.lex_state = 284},
  [3402] = {.lex_state = 276},
  [3403] = {.lex_state = 263},
  [3404] = {.lex_state = 248},
  [3405] = {.lex_state = 230},
  [3406] = {.lex_state = 234},
  [3407] = {.lex_state = 263},
  [3408] = {.lex_state = 263},
  [3409] = {.lex_state = 248},
  [3410] = {.lex_state = 248},
  [3411] = {.lex_state = 248},
  [3412] = {.lex_state = 237},
  [3413] = {.lex_state = 248},
  [3414] = {.lex_state = 276},
  [3415] = {.lex_state = 230},
  [3416] = {.lex_state = 264},
  [3417] = {.lex_state = 248},
  [3418] = {.lex_state = 248},
  [3419] = {.lex_state = 276},
  [3420] = {.lex_state = 263},
  [3421] = {.lex_state = 263},
  [3422] = {.lex_state = 287},
  [3423] = {.lex_state = 287},
  [3424] = {.lex_state = 237},
  [3425] = {.lex_state = 237},
  [3426] = {.lex_state = 268},
  [3427] = {.lex_state = 237},
  [3428] = {.lex_state = 263},
  [3429] = {.lex_state = 248},
  [3430] = {.lex_state = 237},
  [3431] = {.lex_state = 263},
  [3432] = {.lex_state = 237},
  [3433] = {.lex_state = 237},
  [3434] = {.lex_state = 263},
  [3435] = {.lex_state = 234},
  [3436] = {.lex_state = 237},
  [3437] = {.lex_state = 234},
  [3438] = {.lex_state = 276},
  [3439] = {.lex_state = 263},
  [3440] = {.lex_state = 248},
  [3441] = {.lex_state = 268},
  [3442] = {.lex_state = 284},
  [3443] = {.lex_state = 275},
  [3444] = {.lex_state = 234},
  [3445] = {.lex_state = 263},
  [3446] = {.lex_state = 248},
  [3447] = {.lex_state = 247},
  [3448] = {.lex_state = 248},
  [3449] = {.lex_state = 268},
  [3450] = {.lex_state = 248},
  [3451] = {.lex_state = 230},
  [3452] = {.lex_state = 268},
  [3453] = {.lex_state = 263},
  [3454] = {.lex_state = 276},
  [3455] = {.lex_state = 275},
  [3456] = {.lex_state = 284},
  [3457] = {.lex_state = 263},
  [3458] = {.lex_state = 276},
  [3459] = {.lex_state = 237},
  [3460] = {.lex_state = 237},
  [3461] = {.lex_state = 248},
  [3462] = {.lex_state = 237},
  [3463] = {.lex_state = 263},
  [3464] = {.lex_state = 248},
  [3465] = {.lex_state = 248},
  [3466] = {.lex_state = 248},
  [3467] = {.lex_state = 263},
  [3468] = {.lex_state = 237},
  [3469] = {.lex_state = 263},
  [3470] = {.lex_state = 237},
  [3471] = {.lex_state = 263},
  [3472] = {.lex_state = 247},
  [3473] = {.lex_state = 248},
  [3474] = {.lex_state = 199},
  [3475] = {.lex_state = 263},
  [3476] = {.lex_state = 263},
  [3477] = {.lex_state = 249},
  [3478] = {.lex_state = 276},
  [3479] = {.lex_state = 229},
  [3480] = {.lex_state = 271},
  [3481] = {.lex_state = 199},
  [3482] = {.lex_state = 276},
  [3483] = {.lex_state = 284},
  [3484] = {.lex_state = 276},
  [3485] = {.lex_state = 249},
  [3486] = {.lex_state = 276},
  [3487] = {.lex_state = 276},
  [3488] = {.lex_state = 247},
  [3489] = {.lex_state = 247},
  [3490] = {.lex_state = 247},
  [3491] = {.lex_state = 247},
  [3492] = {.lex_state = 251},
  [3493] = {.lex_state = 263},
  [3494] = {.lex_state = 268},
  [3495] = {.lex_state = 276},
  [3496] = {.lex_state = 276},
  [3497] = {.lex_state = 229},
  [3498] = {.lex_state = 276},
  [3499] = {.lex_state = 263},
  [3500] = {.lex_state = 263},
  [3501] = {.lex_state = 268},
  [3502] = {.lex_state = 276},
  [3503] = {.lex_state = 263},
  [3504] = {.lex_state = 249},
  [3505] = {.lex_state = 271},
  [3506] = {.lex_state = 268},
  [3507] = {.lex_state = 263},
  [3508] = {.lex_state = 263},
  [3509] = {.lex_state = 276},
  [3510] = {.lex_state = 276},
  [3511] = {.lex_state = 276},
  [3512] = {.lex_state = 276},
  [3513] = {.lex_state = 247},
  [3514] = {.lex_state = 263},
  [3515] = {.lex_state = 268},
  [3516] = {.lex_state = 263},
  [3517] = {.lex_state = 234},
  [3518] = {.lex_state = 199},
  [3519] = {.lex_state = 263},
  [3520] = {.lex_state = 247},
  [3521] = {.lex_state = 247},
  [3522] = {.lex_state = 247},
  [3523] = {.lex_state = 199},
  [3524] = {.lex_state = 276},
  [3525] = {.lex_state = 276},
  [3526] = {.lex_state = 263},
  [3527] = {.lex_state = 263},
  [3528] = {.lex_state = 247},
  [3529] = {.lex_state = 268},
  [3530] = {.lex_state = 263},
  [3531] = {.lex_state = 247},
  [3532] = {.lex_state = 276},
  [3533] = {.lex_state = 263},
  [3534] = {.lex_state = 276},
  [3535] = {.lex_state = 263},
  [3536] = {.lex_state = 276},
  [3537] = {.lex_state = 229},
  [3538] = {.lex_state = 263},
  [3539] = {.lex_state = 263},
  [3540] = {.lex_state = 263},
  [3541] = {.lex_state = 263},
  [3542] = {.lex_state = 271},
  [3543] = {.lex_state = 247},
  [3544] = {.lex_state = 249},
  [3545] = {.lex_state = 247},
  [3546] = {.lex_state = 276},
  [3547] = {.lex_state = 249},
  [3548] = {.lex_state = 276},
  [3549] = {.lex_state = 276},
  [3550] = {.lex_state = 284},
  [3551] = {.lex_state = 249},
  [3552] = {.lex_state = 263},
  [3553] = {.lex_state = 263},
  [3554] = {.lex_state = 243},
  [3555] = {.lex_state = 247},
  [3556] = {.lex_state = 199},
  [3557] = {.lex_state = 276},
  [3558] = {.lex_state = 276},
  [3559] = {.lex_state = 248},
  [3560] = {.lex_state = 263},
  [3561] = {.lex_state = 263},
  [3562] = {.lex_state = 263},
  [3563] = {.lex_state = 276},
  [3564] = {.lex_state = 263},
  [3565] = {.lex_state = 276},
  [3566] = {.lex_state = 234},
  [3567] = {.lex_state = 229},
  [3568] = {.lex_state = 263},
  [3569] = {.lex_state = 263},
  [3570] = {.lex_state = 276},
  [3571] = {.lex_state = 276},
  [3572] = {.lex_state = 276},
  [3573] = {.lex_state = 247},
  [3574] = {.lex_state = 276},
  [3575] = {.lex_state = 284},
  [3576] = {.lex_state = 268},
  [3577] = {.lex_state = 276},
  [3578] = {.lex_state = 271},
  [3579] = {.lex_state = 249},
  [3580] = {.lex_state = 199},
  [3581] = {.lex_state = 229},
  [3582] = {.lex_state = 199},
  [3583] = {.lex_state = 229},
  [3584] = {.lex_state = 263},
  [3585] = {.lex_state = 276},
  [3586] = {.lex_state = 263},
  [3587] = {.lex_state = 263},
  [3588] = {.lex_state = 271},
  [3589] = {.lex_state = 276},
  [3590] = {.lex_state = 210},
  [3591] = {.lex_state = 263},
  [3592] = {.lex_state = 243},
  [3593] = {.lex_state = 268},
  [3594] = {.lex_state = 263},
  [3595] = {.lex_state = 243},
  [3596] = {.lex_state = 229},
  [3597] = {.lex_state = 247},
  [3598] = {.lex_state = 263},
  [3599] = {.lex_state = 263},
  [3600] = {.lex_state = 268},
  [3601] = {.lex_state = 229},
  [3602] = {.lex_state = 263},
  [3603] = {.lex_state = 229},
  [3604] = {.lex_state = 276},
  [3605] = {.lex_state = 263},
  [3606] = {.lex_state = 263},
  [3607] = {.lex_state = 210},
  [3608] = {.lex_state = 234},
  [3609] = {.lex_state = 263},
  [3610] = {.lex_state = 268},
  [3611] = {.lex_state = 248},
  [3612] = {.lex_state = 268},
  [3613] = {.lex_state = 263},
  [3614] = {.lex_state = 248},
  [3615] = {.lex_state = 248},
  [3616] = {.lex_state = 247},
  [3617] = {.lex_state = 268},
  [3618] = {.lex_state = 287},
  [3619] = {.lex_state = 240},
  [3620] = {.lex_state = 263},
  [3621] = {.lex_state = 263},
  [3622] = {.lex_state = 381},
  [3623] = {.lex_state = 248},
  [3624] = {.lex_state = 248},
  [3625] = {.lex_state = 263},
  [3626] = {.lex_state = 240},
  [3627] = {.lex_state = 215},
  [3628] = {.lex_state = 248},
  [3629] = {.lex_state = 248},
  [3630] = {.lex_state = 263},
  [3631] = {.lex_state = 270},
  [3632] = {.lex_state = 248},
  [3633] = {.lex_state = 268},
  [3634] = {.lex_state = 248},
  [3635] = {.lex_state = 248},
  [3636] = {.lex_state = 263},
  [3637] = {.lex_state = 248},
  [3638] = {.lex_state = 263},
  [3639] = {.lex_state = 248},
  [3640] = {.lex_state = 248},
  [3641] = {.lex_state = 263},
  [3642] = {.lex_state = 248},
  [3643] = {.lex_state = 268},
  [3644] = {.lex_state = 248},
  [3645] = {.lex_state = 234},
  [3646] = {.lex_state = 237},
  [3647] = {.lex_state = 248},
  [3648] = {.lex_state = 215},
  [3649] = {.lex_state = 248},
  [3650] = {.lex_state = 248},
  [3651] = {.lex_state = 248},
  [3652] = {.lex_state = 237},
  [3653] = {.lex_state = 237},
  [3654] = {.lex_state = 268},
  [3655] = {.lex_state = 248},
  [3656] = {.lex_state = 248},
  [3657] = {.lex_state = 248},
  [3658] = {.lex_state = 248},
  [3659] = {.lex_state = 237},
  [3660] = {.lex_state = 263},
  [3661] = {.lex_state = 248},
  [3662] = {.lex_state = 248},
  [3663] = {.lex_state = 248},
  [3664] = {.lex_state = 248},
  [3665] = {.lex_state = 248},
  [3666] = {.lex_state = 248},
  [3667] = {.lex_state = 248},
  [3668] = {.lex_state = 248},
  [3669] = {.lex_state = 248},
  [3670] = {.lex_state = 248},
  [3671] = {.lex_state = 268},
  [3672] = {.lex_state = 248},
  [3673] = {.lex_state = 248},
  [3674] = {.lex_state = 248},
  [3675] = {.lex_state = 248},
  [3676] = {.lex_state = 248},
  [3677] = {.lex_state = 248},
  [3678] = {.lex_state = 248},
  [3679] = {.lex_state = 248},
  [3680] = {.lex_state = 248},
  [3681] = {.lex_state = 248},
  [3682] = {.lex_state = 248},
  [3683] = {.lex_state = 248},
  [3684] = {.lex_state = 248},
  [3685] = {.lex_state = 248},
  [3686] = {.lex_state = 247},
  [3687] = {.lex_state = 248},
  [3688] = {.lex_state = 248},
  [3689] = {.lex_state = 248},
  [3690] = {.lex_state = 237},
  [3691] = {.lex_state = 263},
  [3692] = {.lex_state = 263},
  [3693] = {.lex_state = 248},
  [3694] = {.lex_state = 210},
  [3695] = {.lex_state = 210},
  [3696] = {.lex_state = 263},
  [3697] = {.lex_state = 248},
  [3698] = {.lex_state = 248},
  [3699] = {.lex_state = 248},
  [3700] = {.lex_state = 263},
  [3701] = {.lex_state = 263},
  [3702] = {.lex_state = 268},
  [3703] = {.lex_state = 234},
  [3704] = {.lex_state = 284},
  [3705] = {.lex_state = 263},
  [3706] = {.lex_state = 248},
  [3707] = {.lex_state = 248},
  [3708] = {.lex_state = 268},
  [3709] = {.lex_state = 268},
  [3710] = {.lex_state = 263},
  [3711] = {.lex_state = 263},
  [3712] = {.lex_state = 263},
  [3713] = {.lex_state = 237},
  [3714] = {.lex_state = 248},
  [3715] = {.lex_state = 248},
  [3716] = {.lex_state = 263},
  [3717] = {.lex_state = 263},
  [3718] = {.lex_state = 268},
  [3719] = {.lex_state = 268},
  [3720] = {.lex_state = 268},
  [3721] = {.lex_state = 268},
  [3722] = {.lex_state = 237},
  [3723] = {.lex_state = 268},
  [3724] = {.lex_state = 268},
  [3725] = {.lex_state = 248},
  [3726] = {.lex_state = 237},
  [3727] = {.lex_state = 248},
  [3728] = {.lex_state = 248},
  [3729] = {.lex_state = 248},
  [3730] = {.lex_state = 263},
  [3731] = {.lex_state = 263},
  [3732] = {.lex_state = 237},
  [3733] = {.lex_state = 268},
  [3734] = {.lex_state = 263},
  [3735] = {.lex_state = 263},
  [3736] = {.lex_state = 263},
  [3737] = {.lex_state = 268},
  [3738] = {.lex_state = 248},
  [3739] = {.lex_state = 263},
  [3740] = {.lex_state = 265},
  [3741] = {.lex_state = 263},
  [3742] = {.lex_state = 263},
  [3743] = {.lex_state = 263},
  [3744] = {.lex_state = 263},
  [3745] = {.lex_state = 263},
  [3746] = {.lex_state = 263},
  [3747] = {.lex_state = 284},
  [3748] = {.lex_state = 248},
  [3749] = {.lex_state = 268},
  [3750] = {.lex_state = 268},
  [3751] = {.lex_state = 248},
  [3752] = {.lex_state = 268},
  [3753] = {.lex_state = 268},
  [3754] = {.lex_state = 237},
  [3755] = {.lex_state = 237},
  [3756] = {.lex_state = 237},
  [3757] = {.lex_state = 268},
  [3758] = {.lex_state = 237},
  [3759] = {.lex_state = 268},
  [3760] = {.lex_state = 268},
  [3761] = {.lex_state = 287},
  [3762] = {.lex_state = 268},
  [3763] = {.lex_state = 268},
  [3764] = {.lex_state = 268},
  [3765] = {.lex_state = 248},
  [3766] = {.lex_state = 284},
  [3767] = {.lex_state = 268},
  [3768] = {.lex_state = 268},
  [3769] = {.lex_state = 248},
  [3770] = {.lex_state = 268},
  [3771] = {.lex_state = 237},
  [3772] = {.lex_state = 237},
  [3773] = {.lex_state = 237},
  [3774] = {.lex_state = 268},
  [3775] = {.lex_state = 237},
  [3776] = {.lex_state = 248},
  [3777] = {.lex_state = 263},
  [3778] = {.lex_state = 263},
  [3779] = {.lex_state = 248},
  [3780] = {.lex_state = 248},
  [3781] = {.lex_state = 271},
  [3782] = {.lex_state = 248},
  [3783] = {.lex_state = 248},
  [3784] = {.lex_state = 263},
  [3785] = {.lex_state = 248},
  [3786] = {.lex_state = 248},
  [3787] = {.lex_state = 248},
  [3788] = {.lex_state = 248},
  [3789] = {.lex_state = 248},
  [3790] = {.lex_state = 263},
  [3791] = {.lex_state = 263},
  [3792] = {.lex_state = 248},
  [3793] = {.lex_state = 248},
  [3794] = {.lex_state = 248},
  [3795] = {.lex_state = 248},
  [3796] = {.lex_state = 248},
  [3797] = {.lex_state = 268},
  [3798] = {.lex_state = 268},
  [3799] = {.lex_state = 284},
  [3800] = {.lex_state = 268},
  [3801] = {.lex_state = 268},
  [3802] = {.lex_state = 268},
  [3803] = {.lex_state = 271},
  [3804] = {.lex_state = 248},
  [3805] = {.lex_state = 268},
  [3806] = {.lex_state = 263},
  [3807] = {.lex_state = 268},
  [3808] = {.lex_state = 248},
  [3809] = {.lex_state = 263},
  [3810] = {.lex_state = 263},
  [3811] = {.lex_state = 215},
  [3812] = {.lex_state = 234},
  [3813] = {.lex_state = 284},
  [3814] = {.lex_state = 284},
  [3815] = {.lex_state = 284},
  [3816] = {.lex_state = 234},
  [3817] = {.lex_state = 268},
  [3818] = {.lex_state = 263},
  [3819] = {.lex_state = 234},
  [3820] = {.lex_state = 284},
  [3821] = {.lex_state = 234},
  [3822] = {.lex_state = 234},
  [3823] = {.lex_state = 234},
  [3824] = {.lex_state = 263},
  [3825] = {.lex_state = 234},
  [3826] = {.lex_state = 237},
  [3827] = {.lex_state = 234},
  [3828] = {.lex_state = 234},
  [3829] = {.lex_state = 234},
  [3830] = {.lex_state = 237},
  [3831] = {.lex_state = 240},
  [3832] = {.lex_state = 263},
  [3833] = {.lex_state = 268},
  [3834] = {.lex_state = 240},
  [3835] = {.lex_state = 263},
  [3836] = {.lex_state = 263},
  [3837] = {.lex_state = 237},
  [3838] = {.lex_state = 234},
  [3839] = {.lex_state = 237},
  [3840] = {.lex_state = 234},
  [3841] = {.lex_state = 247},
  [3842] = {.lex_state = 247},
  [3843] = {.lex_state = 240},
  [3844] = {.lex_state = 237},
  [3845] = {.lex_state = 237},
  [3846] = {.lex_state = 234},
  [3847] = {.lex_state = 267},
  [3848] = {.lex_state = 237},
  [3849] = {.lex_state = 284},
  [3850] = {.lex_state = 237},
  [3851] = {.lex_state = 247},
  [3852] = {.lex_state = 237},
  [3853] = {.lex_state = 263},
  [3854] = {.lex_state = 268},
  [3855] = {.lex_state = 237},
  [3856] = {.lex_state = 268},
  [3857] = {.lex_state = 268},
  [3858] = {.lex_state = 237},
  [3859] = {.lex_state = 237},
  [3860] = {.lex_state = 237},
  [3861] = {.lex_state = 237},
  [3862] = {.lex_state = 237},
  [3863] = {.lex_state = 234},
  [3864] = {.lex_state = 237},
  [3865] = {.lex_state = 268},
  [3866] = {.lex_state = 237},
  [3867] = {.lex_state = 237},
  [3868] = {.lex_state = 268},
  [3869] = {.lex_state = 237},
  [3870] = {.lex_state = 237},
  [3871] = {.lex_state = 237},
  [3872] = {.lex_state = 237},
  [3873] = {.lex_state = 234},
  [3874] = {.lex_state = 268},
  [3875] = {.lex_state = 234},
  [3876] = {.lex_state = 234},
  [3877] = {.lex_state = 234},
  [3878] = {.lex_state = 284},
  [3879] = {.lex_state = 263},
  [3880] = {.lex_state = 230},
  [3881] = {.lex_state = 263},
  [3882] = {.lex_state = 263},
  [3883] = {.lex_state = 384},
  [3884] = {.lex_state = 234},
  [3885] = {.lex_state = 284},
  [3886] = {.lex_state = 263},
  [3887] = {.lex_state = 268},
  [3888] = {.lex_state = 275},
  [3889] = {.lex_state = 234},
  [3890] = {.lex_state = 268},
  [3891] = {.lex_state = 234},
  [3892] = {.lex_state = 234},
  [3893] = {.lex_state = 284},
  [3894] = {.lex_state = 284},
  [3895] = {.lex_state = 263},
  [3896] = {.lex_state = 237},
  [3897] = {.lex_state = 241},
  [3898] = {.lex_state = 284},
  [3899] = {.lex_state = 256},
  [3900] = {.lex_state = 263},
  [3901] = {.lex_state = 234},
  [3902] = {.lex_state = 237},
  [3903] = {.lex_state = 247},
  [3904] = {.lex_state = 234},
  [3905] = {.lex_state = 210},
  [3906] = {.lex_state = 268},
  [3907] = {.lex_state = 268},
  [3908] = {.lex_state = 256},
  [3909] = {.lex_state = 256},
  [3910] = {.lex_state = 285},
  [3911] = {.lex_state = 230},
  [3912] = {.lex_state = 230},
  [3913] = {.lex_state = 210},
  [3914] = {.lex_state = 268},
  [3915] = {.lex_state = 247},
  [3916] = {.lex_state = 263},
  [3917] = {.lex_state = 284},
  [3918] = {.lex_state = 268},
  [3919] = {.lex_state = 284},
  [3920] = {.lex_state = 237},
  [3921] = {.lex_state = 234},
  [3922] = {.lex_state = 237},
  [3923] = {.lex_state = 263},
  [3924] = {.lex_state = 284},
  [3925] = {.lex_state = 268},
  [3926] = {.lex_state = 268},
  [3927] = {.lex_state = 234},
  [3928] = {.lex_state = 263},
  [3929] = {.lex_state = 215},
  [3930] = {.lex_state = 215},
  [3931] = {.lex_state = 263},
  [3932] = {.lex_state = 237},
  [3933] = {.lex_state = 284},
  [3934] = {.lex_state = 234},
  [3935] = {.lex_state = 263},
  [3936] = {.lex_state = 263},
  [3937] = {.lex_state = 263},
  [3938] = {.lex_state = 268},
  [3939] = {.lex_state = 210},
  [3940] = {.lex_state = 247},
  [3941] = {.lex_state = 263},
  [3942] = {.lex_state = 268},
  [3943] = {.lex_state = 268},
  [3944] = {.lex_state = 206},
  [3945] = {.lex_state = 263},
  [3946] = {.lex_state = 263},
  [3947] = {.lex_state = 234},
  [3948] = {.lex_state = 268},
  [3949] = {.lex_state = 263},
  [3950] = {.lex_state = 263},
  [3951] = {.lex_state = 285},
  [3952] = {.lex_state = 268},
  [3953] = {.lex_state = 268},
  [3954] = {.lex_state = 268},
  [3955] = {.lex_state = 263},
  [3956] = {.lex_state = 268},
  [3957] = {.lex_state = 268},
  [3958] = {.lex_state = 268},
  [3959] = {.lex_state = 268},
  [3960] = {.lex_state = 268},
  [3961] = {.lex_state = 263},
  [3962] = {.lex_state = 263},
  [3963] = {.lex_state = 263},
  [3964] = {.lex_state = 221},
  [3965] = {.lex_state = 263},
  [3966] = {.lex_state = 240},
  [3967] = {.lex_state = 263},
  [3968] = {.lex_state = 263},
  [3969] = {.lex_state = 263},
  [3970] = {.lex_state = 263},
  [3971] = {.lex_state = 233},
  [3972] = {.lex_state = 240},
  [3973] = {.lex_state = 263},
  [3974] = {.lex_state = 263},
  [3975] = {.lex_state = 285},
  [3976] = {.lex_state = 263},
  [3977] = {.lex_state = 221},
  [3978] = {.lex_state = 240},
  [3979] = {.lex_state = 263},
  [3980] = {.lex_state = 240},
  [3981] = {.lex_state = 263},
  [3982] = {.lex_state = 240},
  [3983] = {.lex_state = 263},
  [3984] = {.lex_state = 263},
  [3985] = {.lex_state = 263},
  [3986] = {.lex_state = 263},
  [3987] = {.lex_state = 240},
  [3988] = {.lex_state = 210},
  [3989] = {.lex_state = 268},
  [3990] = {.lex_state = 263},
  [3991] = {.lex_state = 263},
  [3992] = {.lex_state = 263},
  [3993] = {.lex_state = 263},
  [3994] = {.lex_state = 263},
  [3995] = {.lex_state = 284},
  [3996] = {.lex_state = 263},
  [3997] = {.lex_state = 263},
  [3998] = {.lex_state = 241},
  [3999] = {.lex_state = 240},
  [4000] = {.lex_state = 263},
  [4001] = {.lex_state = 263},
  [4002] = {.lex_state = 263},
  [4003] = {.lex_state = 263},
  [4004] = {.lex_state = 263},
  [4005] = {.lex_state = 263},
  [4006] = {.lex_state = 263},
  [4007] = {.lex_state = 271},
  [4008] = {.lex_state = 240},
  [4009] = {.lex_state = 263},
  [4010] = {.lex_state = 285},
  [4011] = {.lex_state = 263},
  [4012] = {.lex_state = 263},
  [4013] = {.lex_state = 263},
  [4014] = {.lex_state = 263},
  [4015] = {.lex_state = 240},
  [4016] = {.lex_state = 263},
  [4017] = {.lex_state = 241},
  [4018] = {.lex_state = 263},
  [4019] = {.lex_state = 240},
  [4020] = {.lex_state = 241},
  [4021] = {.lex_state = 263},
  [4022] = {.lex_state = 263},
  [4023] = {.lex_state = 263},
  [4024] = {.lex_state = 210},
  [4025] = {.lex_state = 263},
  [4026] = {.lex_state = 271},
  [4027] = {.lex_state = 210},
  [4028] = {.lex_state = 240},
  [4029] = {.lex_state = 285},
  [4030] = {.lex_state = 271},
  [4031] = {.lex_state = 285},
  [4032] = {.lex_state = 240},
  [4033] = {.lex_state = 268},
  [4034] = {.lex_state = 241},
  [4035] = {.lex_state = 240},
  [4036] = {.lex_state = 263},
  [4037] = {.lex_state = 240},
  [4038] = {.lex_state = 273},
  [4039] = {.lex_state = 285},
  [4040] = {.lex_state = 263},
  [4041] = {.lex_state = 263},
  [4042] = {.lex_state = 263},
  [4043] = {.lex_state = 268},
  [4044] = {.lex_state = 240},
  [4045] = {.lex_state = 263},
  [4046] = {.lex_state = 263},
  [4047] = {.lex_state = 263},
  [4048] = {.lex_state = 241},
  [4049] = {.lex_state = 263},
  [4050] = {.lex_state = 263},
  [4051] = {.lex_state = 241},
  [4052] = {.lex_state = 240},
  [4053] = {.lex_state = 240},
  [4054] = {.lex_state = 221},
  [4055] = {.lex_state = 263},
  [4056] = {.lex_state = 240},
  [4057] = {.lex_state = 263},
  [4058] = {.lex_state = 263},
  [4059] = {.lex_state = 240},
  [4060] = {.lex_state = 240},
  [4061] = {.lex_state = 285},
  [4062] = {.lex_state = 263},
  [4063] = {.lex_state = 263},
  [4064] = {.lex_state = 284},
  [4065] = {.lex_state = 263},
  [4066] = {.lex_state = 263},
  [4067] = {.lex_state = 263},
  [4068] = {.lex_state = 263},
  [4069] = {.lex_state = 263},
  [4070] = {.lex_state = 263},
  [4071] = {.lex_state = 263},
  [4072] = {.lex_state = 263},
  [4073] = {.lex_state = 263},
  [4074] = {.lex_state = 263},
  [4075] = {.lex_state = 263},
  [4076] = {.lex_state = 241},
  [4077] = {.lex_state = 285},
  [4078] = {.lex_state = 263},
  [4079] = {.lex_state = 263},
  [4080] = {.lex_state = 263},
  [4081] = {.lex_state = 284},
  [4082] = {.lex_state = 263},
  [4083] = {.lex_state = 284},
  [4084] = {.lex_state = 229},
  [4085] = {.lex_state = 263},
  [4086] = {.lex_state = 237},
  [4087] = {.lex_state = 263},
  [4088] = {.lex_state = 263},
  [4089] = {.lex_state = 241},
  [4090] = {.lex_state = 263},
  [4091] = {.lex_state = 240},
  [4092] = {.lex_state = 263},
  [4093] = {.lex_state = 263},
  [4094] = {.lex_state = 263},
  [4095] = {.lex_state = 271},
  [4096] = {.lex_state = 263},
  [4097] = {.lex_state = 263},
  [4098] = {.lex_state = 240},
  [4099] = {.lex_state = 271},
  [4100] = {.lex_state = 263},
  [4101] = {.lex_state = 284},
  [4102] = {.lex_state = 241},
  [4103] = {.lex_state = 285},
  [4104] = {.lex_state = 271},
  [4105] = {.lex_state = 271},
  [4106] = {.lex_state = 271},
  [4107] = {.lex_state = 263},
  [4108] = {.lex_state = 263},
  [4109] = {.lex_state = 284},
  [4110] = {.lex_state = 285},
  [4111] = {.lex_state = 271},
  [4112] = {.lex_state = 263},
  [4113] = {.lex_state = 284},
  [4114] = {.lex_state = 240},
  [4115] = {.lex_state = 263},
  [4116] = {.lex_state = 257},
  [4117] = {.lex_state = 263},
  [4118] = {.lex_state = 263},
  [4119] = {.lex_state = 284},
  [4120] = {.lex_state = 263},
  [4121] = {.lex_state = 257},
  [4122] = {.lex_state = 263},
  [4123] = {.lex_state = 263},
  [4124] = {.lex_state = 263},
  [4125] = {.lex_state = 257},
  [4126] = {.lex_state = 263},
  [4127] = {.lex_state = 210},
  [4128] = {.lex_state = 237},
  [4129] = {.lex_state = 263},
  [4130] = {.lex_state = 263},
  [4131] = {.lex_state = 240},
  [4132] = {.lex_state = 263},
  [4133] = {.lex_state = 263},
  [4134] = {.lex_state = 263},
  [4135] = {.lex_state = 263},
  [4136] = {.lex_state = 285},
  [4137] = {.lex_state = 263},
  [4138] = {.lex_state = 233},
  [4139] = {.lex_state = 263},
  [4140] = {.lex_state = 263},
  [4141] = {.lex_state = 263},
  [4142] = {.lex_state = 240},
  [4143] = {.lex_state = 271},
  [4144] = {.lex_state = 271},
  [4145] = {.lex_state = 271},
  [4146] = {.lex_state = 263},
  [4147] = {.lex_state = 263},
  [4148] = {.lex_state = 241},
  [4149] = {.lex_state = 263},
  [4150] = {.lex_state = 263},
  [4151] = {.lex_state = 263},
  [4152] = {.lex_state = 240},
  [4153] = {.lex_state = 263},
  [4154] = {.lex_state = 263},
  [4155] = {.lex_state = 285},
  [4156] = {.lex_state = 229},
  [4157] = {.lex_state = 263},
  [4158] = {.lex_state = 271},
  [4159] = {.lex_state = 241},
  [4160] = {.lex_state = 271},
  [4161] = {.lex_state = 263},
  [4162] = {.lex_state = 285},
  [4163] = {.lex_state = 263},
  [4164] = {.lex_state = 263},
  [4165] = {.lex_state = 263},
  [4166] = {.lex_state = 271},
  [4167] = {.lex_state = 241},
  [4168] = {.lex_state = 271},
  [4169] = {.lex_state = 263},
  [4170] = {.lex_state = 284},
  [4171] = {.lex_state = 263},
  [4172] = {.lex_state = 240},
  [4173] = {.lex_state = 241},
  [4174] = {.lex_state = 268},
  [4175] = {.lex_state = 285},
  [4176] = {.lex_state = 241},
  [4177] = {.lex_state = 263},
  [4178] = {.lex_state = 263},
  [4179] = {.lex_state = 285},
  [4180] = {.lex_state = 241},
  [4181] = {.lex_state = 263},
  [4182] = {.lex_state = 241},
  [4183] = {.lex_state = 263},
  [4184] = {.lex_state = 241},
  [4185] = {.lex_state = 268},
  [4186] = {.lex_state = 268},
  [4187] = {.lex_state = 268},
  [4188] = {.lex_state = 284},
  [4189] = {.lex_state = 268},
  [4190] = {.lex_state = 229},
  [4191] = {.lex_state = 384},
  [4192] = {.lex_state = 284},
  [4193] = {.lex_state = 268},
  [4194] = {.lex_state = 268},
  [4195] = {.lex_state = 263},
  [4196] = {.lex_state = 268},
  [4197] = {.lex_state = 210},
  [4198] = {.lex_state = 268},
  [4199] = {.lex_state = 210},
  [4200] = {.lex_state = 237},
  [4201] = {.lex_state = 268},
  [4202] = {.lex_state = 268},
  [4203] = {.lex_state = 268},
  [4204] = {.lex_state = 268},
  [4205] = {.lex_state = 268},
  [4206] = {.lex_state = 268},
  [4207] = {.lex_state = 268},
  [4208] = {.lex_state = 268},
  [4209] = {.lex_state = 263},
  [4210] = {.lex_state = 268},
  [4211] = {.lex_state = 263},
  [4212] = {.lex_state = 268},
  [4213] = {.lex_state = 384},
  [4214] = {.lex_state = 285},
  [4215] = {.lex_state = 268},
  [4216] = {.lex_state = 263},
  [4217] = {.lex_state = 263},
  [4218] = {.lex_state = 263},
  [4219] = {.lex_state = 268},
  [4220] = {.lex_state = 268},
  [4221] = {.lex_state = 268},
  [4222] = {.lex_state = 240},
  [4223] = {.lex_state = 253},
  [4224] = {.lex_state = 268},
  [4225] = {.lex_state = 285},
  [4226] = {.lex_state = 268},
  [4227] = {.lex_state = 268},
  [4228] = {.lex_state = 263},
  [4229] = {.lex_state = 240},
  [4230] = {.lex_state = 268},
  [4231] = {.lex_state = 284},
  [4232] = {.lex_state = 215},
  [4233] = {.lex_state = 268},
  [4234] = {.lex_state = 268},
  [4235] = {.lex_state = 240},
  [4236] = {.lex_state = 268},
  [4237] = {.lex_state = 263},
  [4238] = {.lex_state = 285},
  [4239] = {.lex_state = 285},
  [4240] = {.lex_state = 215},
  [4241] = {.lex_state = 268},
  [4242] = {.lex_state = 215},
  [4243] = {.lex_state = 268},
  [4244] = {.lex_state = 263},
  [4245] = {.lex_state = 263},
  [4246] = {.lex_state = 268},
  [4247] = {.lex_state = 263},
  [4248] = {.lex_state = 263},
  [4249] = {.lex_state = 263},
  [4250] = {.lex_state = 268},
  [4251] = {.lex_state = 268},
  [4252] = {.lex_state = 263},
  [4253] = {.lex_state = 268},
  [4254] = {.lex_state = 268},
  [4255] = {.lex_state = 268},
  [4256] = {.lex_state = 263},
  [4257] = {.lex_state = 268},
  [4258] = {.lex_state = 215},
  [4259] = {.lex_state = 263},
  [4260] = {.lex_state = 268},
  [4261] = {.lex_state = 240},
  [4262] = {.lex_state = 240},
  [4263] = {.lex_state = 263},
  [4264] = {.lex_state = 268},
  [4265] = {.lex_state = 268},
  [4266] = {.lex_state = 268},
  [4267] = {.lex_state = 268},
  [4268] = {.lex_state = 240},
  [4269] = {.lex_state = 263},
  [4270] = {.lex_state = 240},
  [4271] = {.lex_state = 268},
  [4272] = {.lex_state = 252},
  [4273] = {.lex_state = 268},
  [4274] = {.lex_state = 268},
  [4275] = {.lex_state = 268},
  [4276] = {.lex_state = 384},
  [4277] = {.lex_state = 268},
  [4278] = {.lex_state = 268},
  [4279] = {.lex_state = 268},
  [4280] = {.lex_state = 240},
  [4281] = {.lex_state = 263},
  [4282] = {.lex_state = 268},
  [4283] = {.lex_state = 268},
  [4284] = {.lex_state = 268},
  [4285] = {.lex_state = 268},
  [4286] = {.lex_state = 240},
  [4287] = {.lex_state = 268},
  [4288] = {.lex_state = 284},
  [4289] = {.lex_state = 268},
  [4290] = {.lex_state = 240},
  [4291] = {.lex_state = 284},
  [4292] = {.lex_state = 284},
  [4293] = {.lex_state = 268},
  [4294] = {.lex_state = 268},
  [4295] = {.lex_state = 285},
  [4296] = {.lex_state = 284},
  [4297] = {.lex_state = 284},
  [4298] = {.lex_state = 268},
  [4299] = {.lex_state = 285},
  [4300] = {.lex_state = 284},
  [4301] = {.lex_state = 268},
  [4302] = {.lex_state = 268},
  [4303] = {.lex_state = 268},
  [4304] = {.lex_state = 268},
  [4305] = {.lex_state = 268},
  [4306] = {.lex_state = 268},
  [4307] = {.lex_state = 285},
  [4308] = {.lex_state = 268},
  [4309] = {.lex_state = 237},
  [4310] = {.lex_state = 268},
  [4311] = {.lex_state = 263},
  [4312] = {.lex_state = 268},
  [4313] = {.lex_state = 268},
  [4314] = {.lex_state = 268},
  [4315] = {.lex_state = 268},
  [4316] = {.lex_state = 285},
  [4317] = {.lex_state = 268},
  [4318] = {.lex_state = 268},
  [4319] = {.lex_state = 284},
  [4320] = {.lex_state = 263},
  [4321] = {.lex_state = 284},
  [4322] = {.lex_state = 268},
  [4323] = {.lex_state = 268},
  [4324] = {.lex_state = 284},
  [4325] = {.lex_state = 263},
  [4326] = {.lex_state = 268},
  [4327] = {.lex_state = 263},
  [4328] = {.lex_state = 268},
  [4329] = {.lex_state = 268},
  [4330] = {.lex_state = 268},
  [4331] = {.lex_state = 263},
  [4332] = {.lex_state = 268},
  [4333] = {.lex_state = 263},
  [4334] = {.lex_state = 268},
  [4335] = {.lex_state = 268},
  [4336] = {.lex_state = 268},
  [4337] = {.lex_state = 284},
  [4338] = {.lex_state = 384},
  [4339] = {.lex_state = 240},
  [4340] = {.lex_state = 241},
  [4341] = {.lex_state = 256},
  [4342] = {.lex_state = 240},
  [4343] = {.lex_state = 284},
  [4344] = {.lex_state = 210},
  [4345] = {.lex_state = 256},
  [4346] = {.lex_state = 241},
  [4347] = {.lex_state = 284},
  [4348] = {.lex_state = 240},
  [4349] = {.lex_state = 284},
  [4350] = {.lex_state = 246},
  [4351] = {.lex_state = 284},
  [4352] = {.lex_state = 240},
  [4353] = {.lex_state = 240},
  [4354] = {.lex_state = 210},
  [4355] = {.lex_state = 240},
  [4356] = {.lex_state = 256},
  [4357] = {.lex_state = 246},
  [4358] = {.lex_state = 240},
  [4359] = {.lex_state = 246},
  [4360] = {.lex_state = 263},
  [4361] = {.lex_state = 240},
  [4362] = {.lex_state = 240},
  [4363] = {.lex_state = 284},
  [4364] = {.lex_state = 240},
  [4365] = {.lex_state = 240},
  [4366] = {.lex_state = 240},
  [4367] = {.lex_state = 284},
  [4368] = {.lex_state = 241},
  [4369] = {.lex_state = 210},
  [4370] = {.lex_state = 240},
  [4371] = {.lex_state = 384},
  [4372] = {.lex_state = 210},
  [4373] = {.lex_state = 384},
  [4374] = {.lex_state = 221},
  [4375] = {.lex_state = 252},
  [4376] = {.lex_state = 221},
  [4377] = {.lex_state = 284},
  [4378] = {.lex_state = 284},
  [4379] = {.lex_state = 384},
  [4380] = {.lex_state = 263},
  [4381] = {.lex_state = 263},
  [4382] = {.lex_state = 263},
  [4383] = {.lex_state = 263},
  [4384] = {.lex_state = 263},
  [4385] = {.lex_state = 263},
  [4386] = {.lex_state = 285},
  [4387] = {.lex_state = 241},
  [4388] = {.lex_state = 263},
  [4389] = {.lex_state = 263},
  [4390] = {.lex_state = 241},
  [4391] = {.lex_state = 253},
  [4392] = {.lex_state = 263},
  [4393] = {.lex_state = 263},
  [4394] = {.lex_state = 253},
  [4395] = {.lex_state = 241},
  [4396] = {.lex_state = 263},
  [4397] = {.lex_state = 263},
  [4398] = {.lex_state = 263},
  [4399] = {.lex_state = 229},
  [4400] = {.lex_state = 263},
  [4401] = {.lex_state = 263},
  [4402] = {.lex_state = 263},
  [4403] = {.lex_state = 263},
  [4404] = {.lex_state = 263},
  [4405] = {.lex_state = 263},
  [4406] = {.lex_state = 263},
  [4407] = {.lex_state = 221},
  [4408] = {.lex_state = 221},
  [4409] = {.lex_state = 253},
  [4410] = {.lex_state = 263},
  [4411] = {.lex_state = 284},
  [4412] = {.lex_state = 240},
  [4413] = {.lex_state = 240},
  [4414] = {.lex_state = 241},
  [4415] = {.lex_state = 263},
  [4416] = {.lex_state = 263},
  [4417] = {.lex_state = 263},
  [4418] = {.lex_state = 263},
  [4419] = {.lex_state = 285},
  [4420] = {.lex_state = 263},
  [4421] = {.lex_state = 263},
  [4422] = {.lex_state = 229},
  [4423] = {.lex_state = 240},
  [4424] = {.lex_state = 253},
  [4425] = {.lex_state = 263},
  [4426] = {.lex_state = 263},
  [4427] = {.lex_state = 253},
  [4428] = {.lex_state = 284},
  [4429] = {.lex_state = 253},
  [4430] = {.lex_state = 263},
  [4431] = {.lex_state = 241},
  [4432] = {.lex_state = 253},
  [4433] = {.lex_state = 229},
  [4434] = {.lex_state = 240},
  [4435] = {.lex_state = 263},
  [4436] = {.lex_state = 253},
  [4437] = {.lex_state = 240},
  [4438] = {.lex_state = 263},
  [4439] = {.lex_state = 263},
  [4440] = {.lex_state = 263},
  [4441] = {.lex_state = 263},
  [4442] = {.lex_state = 263},
  [4443] = {.lex_state = 263},
  [4444] = {.lex_state = 263},
  [4445] = {.lex_state = 263},
  [4446] = {.lex_state = 240},
  [4447] = {.lex_state = 221},
  [4448] = {.lex_state = 263},
  [4449] = {.lex_state = 210},
  [4450] = {.lex_state = 210},
  [4451] = {.lex_state = 210},
  [4452] = {.lex_state = 263},
  [4453] = {.lex_state = 263},
  [4454] = {.lex_state = 263},
  [4455] = {.lex_state = 263},
  [4456] = {.lex_state = 263},
  [4457] = {.lex_state = 263},
  [4458] = {.lex_state = 263},
  [4459] = {.lex_state = 252},
  [4460] = {.lex_state = 263},
  [4461] = {.lex_state = 240},
  [4462] = {.lex_state = 240},
  [4463] = {.lex_state = 210},
  [4464] = {.lex_state = 241},
  [4465] = {.lex_state = 221},
  [4466] = {.lex_state = 263},
  [4467] = {.lex_state = 252},
  [4468] = {.lex_state = 240},
  [4469] = {.lex_state = 263},
  [4470] = {.lex_state = 263},
  [4471] = {.lex_state = 263},
  [4472] = {.lex_state = 263},
  [4473] = {.lex_state = 263},
  [4474] = {.lex_state = 263},
  [4475] = {.lex_state = 240},
  [4476] = {.lex_state = 229},
  [4477] = {.lex_state = 263},
  [4478] = {.lex_state = 263},
  [4479] = {.lex_state = 240},
  [4480] = {.lex_state = 240},
  [4481] = {.lex_state = 241},
  [4482] = {.lex_state = 241},
  [4483] = {.lex_state = 252},
  [4484] = {.lex_state = 241},
  [4485] = {.lex_state = 241},
  [4486] = {.lex_state = 241},
  [4487] = {.lex_state = 241},
  [4488] = {.lex_state = 241},
  [4489] = {.lex_state = 252},
  [4490] = {.lex_state = 241},
  [4491] = {.lex_state = 252},
  [4492] = {.lex_state = 221},
  [4493] = {.lex_state = 252},
  [4494] = {.lex_state = 241},
  [4495] = {.lex_state = 241},
  [4496] = {.lex_state = 253},
  [4497] = {.lex_state = 284},
  [4498] = {.lex_state = 252},
  [4499] = {.lex_state = 241},
  [4500] = {.lex_state = 241},
  [4501] = {.lex_state = 241},
  [4502] = {.lex_state = 241},
  [4503] = {.lex_state = 241},
  [4504] = {.lex_state = 252},
  [4505] = {.lex_state = 252},
  [4506] = {.lex_state = 240},
  [4507] = {.lex_state = 284},
  [4508] = {.lex_state = 284},
  [4509] = {.lex_state = 241},
  [4510] = {.lex_state = 252},
  [4511] = {.lex_state = 252},
  [4512] = {.lex_state = 221},
  [4513] = {.lex_state = 252},
  [4514] = {.lex_state = 252},
  [4515] = {.lex_state = 252},
  [4516] = {.lex_state = 284},
  [4517] = {.lex_state = 241},
  [4518] = {.lex_state = 241},
  [4519] = {.lex_state = 241},
  [4520] = {.lex_state = 241},
  [4521] = {.lex_state = 221},
  [4522] = {.lex_state = 241},
  [4523] = {.lex_state = 241},
  [4524] = {.lex_state = 241},
  [4525] = {.lex_state = 253},
  [4526] = {.lex_state = 240},
  [4527] = {.lex_state = 241},
  [4528] = {.lex_state = 241},
  [4529] = {.lex_state = 284},
  [4530] = {.lex_state = 241},
  [4531] = {.lex_state = 221},
  [4532] = {.lex_state = 241},
  [4533] = {.lex_state = 275},
  [4534] = {.lex_state = 253},
  [4535] = {.lex_state = 241},
  [4536] = {.lex_state = 241},
  [4537] = {.lex_state = 241},
  [4538] = {.lex_state = 241},
  [4539] = {.lex_state = 241},
  [4540] = {.lex_state = 381},
  [4541] = {.lex_state = 240},
  [4542] = {.lex_state = 285},
  [4543] = {.lex_state = 241},
  [4544] = {.lex_state = 241},
  [4545] = {.lex_state = 284},
  [4546] = {.lex_state = 241},
  [4547] = {.lex_state = 253},
  [4548] = {.lex_state = 240},
  [4549] = {.lex_state = 253},
  [4550] = {.lex_state = 240},
  [4551] = {.lex_state = 229},
  [4552] = {.lex_state = 253},
  [4553] = {.lex_state = 284},
  [4554] = {.lex_state = 240},
  [4555] = {.lex_state = 240},
  [4556] = {.lex_state = 240},
  [4557] = {.lex_state = 284},
  [4558] = {.lex_state = 275},
  [4559] = {.lex_state = 253},
  [4560] = {.lex_state = 240},
  [4561] = {.lex_state = 284},
  [4562] = {.lex_state = 240},
  [4563] = {.lex_state = 240},
  [4564] = {.lex_state = 284},
  [4565] = {.lex_state = 384},
  [4566] = {.lex_state = 284},
  [4567] = {.lex_state = 253},
  [4568] = {.lex_state = 284},
  [4569] = {.lex_state = 384},
  [4570] = {.lex_state = 384},
  [4571] = {.lex_state = 240},
  [4572] = {.lex_state = 241},
  [4573] = {.lex_state = 240},
  [4574] = {.lex_state = 229},
  [4575] = {.lex_state = 384},
  [4576] = {.lex_state = 240},
  [4577] = {.lex_state = 240},
  [4578] = {.lex_state = 284},
  [4579] = {.lex_state = 284},
  [4580] = {.lex_state = 285},
  [4581] = {.lex_state = 284},
  [4582] = {.lex_state = 240},
  [4583] = {.lex_state = 284},
  [4584] = {.lex_state = 229},
  [4585] = {.lex_state = 240},
  [4586] = {.lex_state = 284},
  [4587] = {.lex_state = 284},
  [4588] = {.lex_state = 284},
  [4589] = {.lex_state = 240},
  [4590] = {.lex_state = 285},
  [4591] = {.lex_state = 285},
  [4592] = {.lex_state = 285},
  [4593] = {.lex_state = 285},
  [4594] = {.lex_state = 285},
  [4595] = {.lex_state = 285},
  [4596] = {.lex_state = 285},
  [4597] = {.lex_state = 285},
  [4598] = {.lex_state = 285},
  [4599] = {.lex_state = 285},
  [4600] = {.lex_state = 285},
  [4601] = {.lex_state = 240},
  [4602] = {.lex_state = 285},
  [4603] = {.lex_state = 275},
  [4604] = {.lex_state = 285},
  [4605] = {.lex_state = 285},
  [4606] = {.lex_state = 285},
  [4607] = {.lex_state = 285},
  [4608] = {.lex_state = 384},
  [4609] = {.lex_state = 285},
  [4610] = {.lex_state = 285},
  [4611] = {.lex_state = 285},
  [4612] = {.lex_state = 285},
  [4613] = {.lex_state = 285},
  [4614] = {.lex_state = 384},
  [4615] = {.lex_state = 285},
  [4616] = {.lex_state = 284},
  [4617] = {.lex_state = 285},
  [4618] = {.lex_state = 285},
  [4619] = {.lex_state = 285},
  [4620] = {.lex_state = 285},
  [4621] = {.lex_state = 285},
  [4622] = {.lex_state = 240},
  [4623] = {.lex_state = 285},
  [4624] = {.lex_state = 285},
  [4625] = {.lex_state = 285},
  [4626] = {.lex_state = 285},
  [4627] = {.lex_state = 285},
  [4628] = {.lex_state = 285},
  [4629] = {.lex_state = 285},
  [4630] = {.lex_state = 285},
  [4631] = {.lex_state = 275},
  [4632] = {.lex_state = 287},
  [4633] = {.lex_state = 285},
  [4634] = {.lex_state = 285},
  [4635] = {.lex_state = 285},
  [4636] = {.lex_state = 240},
  [4637] = {.lex_state = 285},
  [4638] = {.lex_state = 285},
  [4639] = {.lex_state = 285},
  [4640] = {.lex_state = 285},
  [4641] = {.lex_state = 240},
  [4642] = {.lex_state = 285},
  [4643] = {.lex_state = 240},
  [4644] = {.lex_state = 285},
  [4645] = {.lex_state = 285},
  [4646] = {.lex_state = 285},
  [4647] = {.lex_state = 285},
  [4648] = {.lex_state = 285},
  [4649] = {.lex_state = 240},
  [4650] = {.lex_state = 285},
  [4651] = {.lex_state = 285},
  [4652] = {.lex_state = 285},
  [4653] = {.lex_state = 285},
  [4654] = {.lex_state = 253},
  [4655] = {.lex_state = 285},
  [4656] = {.lex_state = 285},
  [4657] = {.lex_state = 285},
  [4658] = {.lex_state = 240},
  [4659] = {.lex_state = 285},
  [4660] = {.lex_state = 285},
  [4661] = {.lex_state = 253},
  [4662] = {.lex_state = 285},
  [4663] = {.lex_state = 240},
  [4664] = {.lex_state = 285},
  [4665] = {.lex_state = 384},
  [4666] = {.lex_state = 285},
  [4667] = {.lex_state = 285},
  [4668] = {.lex_state = 285},
  [4669] = {.lex_state = 285},
  [4670] = {.lex_state = 285},
  [4671] = {.lex_state = 285},
  [4672] = {.lex_state = 285},
  [4673] = {.lex_state = 287},
  [4674] = {.lex_state = 284},
  [4675] = {.lex_state = 384},
  [4676] = {.lex_state = 285},
  [4677] = {.lex_state = 285},
  [4678] = {.lex_state = 285},
  [4679] = {.lex_state = 285},
  [4680] = {.lex_state = 285},
  [4681] = {.lex_state = 285},
  [4682] = {.lex_state = 285},
  [4683] = {.lex_state = 285},
  [4684] = {.lex_state = 285},
  [4685] = {.lex_state = 285},
  [4686] = {.lex_state = 285},
  [4687] = {.lex_state = 285},
  [4688] = {.lex_state = 285},
  [4689] = {.lex_state = 285},
  [4690] = {.lex_state = 285},
  [4691] = {.lex_state = 240},
  [4692] = {.lex_state = 285},
  [4693] = {.lex_state = 253},
  [4694] = {.lex_state = 253},
  [4695] = {.lex_state = 285},
  [4696] = {.lex_state = 253},
  [4697] = {.lex_state = 253},
  [4698] = {.lex_state = 285},
  [4699] = {.lex_state = 253},
  [4700] = {.lex_state = 285},
  [4701] = {.lex_state = 285},
  [4702] = {.lex_state = 381},
  [4703] = {.lex_state = 381},
  [4704] = {.lex_state = 241},
  [4705] = {.lex_state = 253},
  [4706] = {.lex_state = 240},
  [4707] = {.lex_state = 240},
  [4708] = {.lex_state = 240},
  [4709] = {.lex_state = 240},
  [4710] = {.lex_state = 384},
  [4711] = {.lex_state = 240},
  [4712] = {.lex_state = 240},
  [4713] = {.lex_state = 240},
  [4714] = {.lex_state = 240},
  [4715] = {.lex_state = 240},
  [4716] = {.lex_state = 240},
  [4717] = {.lex_state = 253},
  [4718] = {.lex_state = 253},
  [4719] = {.lex_state = 240},
  [4720] = {.lex_state = 240},
  [4721] = {.lex_state = 240},
  [4722] = {.lex_state = 285},
  [4723] = {.lex_state = 240},
  [4724] = {.lex_state = 240},
  [4725] = {.lex_state = 276},
  [4726] = {.lex_state = 276},
  [4727] = {.lex_state = 285},
  [4728] = {.lex_state = 285},
  [4729] = {.lex_state = 285},
  [4730] = {.lex_state = 240},
  [4731] = {.lex_state = 240},
  [4732] = {.lex_state = 285},
  [4733] = {.lex_state = 240},
  [4734] = {.lex_state = 253},
  [4735] = {.lex_state = 253},
  [4736] = {.lex_state = 284},
  [4737] = {.lex_state = 384},
  [4738] = {.lex_state = 240},
  [4739] = {.lex_state = 240},
  [4740] = {.lex_state = 240},
  [4741] = {.lex_state = 285},
  [4742] = {.lex_state = 240},
  [4743] = {.lex_state = 384},
  [4744] = {.lex_state = 240},
  [4745] = {.lex_state = 241},
  [4746] = {.lex_state = 253},
  [4747] = {.lex_state = 241},
  [4748] = {.lex_state = 240},
  [4749] = {.lex_state = 253},
  [4750] = {.lex_state = 384},
  [4751] = {.lex_state = 284},
  [4752] = {.lex_state = 285},
  [4753] = {.lex_state = 285},
  [4754] = {.lex_state = 384},
  [4755] = {.lex_state = 285},
  [4756] = {.lex_state = 284},
  [4757] = {.lex_state = 285},
  [4758] = {.lex_state = 240},
  [4759] = {.lex_state = 241},
  [4760] = {.lex_state = 240},
  [4761] = {.lex_state = 240},
  [4762] = {.lex_state = 285},
  [4763] = {.lex_state = 240},
  [4764] = {.lex_state = 240},
  [4765] = {.lex_state = 240},
  [4766] = {.lex_state = 240},
  [4767] = {.lex_state = 240},
  [4768] = {.lex_state = 287},
  [4769] = {.lex_state = 240},
  [4770] = {.lex_state = 240},
  [4771] = {.lex_state = 240},
  [4772] = {.lex_state = 241},
  [4773] = {.lex_state = 240},
  [4774] = {.lex_state = 240},
  [4775] = {.lex_state = 240},
  [4776] = {.lex_state = 241},
  [4777] = {.lex_state = 241},
  [4778] = {.lex_state = 287},
  [4779] = {.lex_state = 240},
  [4780] = {.lex_state = 240},
  [4781] = {.lex_state = 240},
  [4782] = {.lex_state = 240},
  [4783] = {.lex_state = 240},
  [4784] = {.lex_state = 240},
  [4785] = {.lex_state = 241},
  [4786] = {.lex_state = 240},
  [4787] = {.lex_state = 240},
  [4788] = {.lex_state = 240},
  [4789] = {.lex_state = 240},
  [4790] = {.lex_state = 240},
  [4791] = {.lex_state = 240},
  [4792] = {.lex_state = 253},
  [4793] = {.lex_state = 240},
  [4794] = {.lex_state = 240},
  [4795] = {.lex_state = 240},
  [4796] = {.lex_state = 253},
  [4797] = {.lex_state = 229},
  [4798] = {.lex_state = 252},
  [4799] = {.lex_state = 240},
  [4800] = {.lex_state = 240},
  [4801] = {.lex_state = 240},
  [4802] = {.lex_state = 287},
  [4803] = {.lex_state = 229},
  [4804] = {.lex_state = 240},
  [4805] = {.lex_state = 240},
  [4806] = {.lex_state = 240},
  [4807] = {.lex_state = 287},
  [4808] = {.lex_state = 240},
  [4809] = {.lex_state = 253},
  [4810] = {.lex_state = 229},
  [4811] = {.lex_state = 253},
  [4812] = {.lex_state = 240},
  [4813] = {.lex_state = 252},
  [4814] = {.lex_state = 253},
  [4815] = {.lex_state = 229},
  [4816] = {.lex_state = 240},
  [4817] = {.lex_state = 240},
  [4818] = {.lex_state = 240},
  [4819] = {.lex_state = 276},
  [4820] = {.lex_state = 276},
  [4821] = {.lex_state = 276},
  [4822] = {.lex_state = 240},
  [4823] = {.lex_state = 240},
  [4824] = {.lex_state = 253},
  [4825] = {.lex_state = 240},
  [4826] = {.lex_state = 276},
  [4827] = {.lex_state = 253},
  [4828] = {.lex_state = 231},
  [4829] = {.lex_state = 253},
  [4830] = {.lex_state = 240},
  [4831] = {.lex_state = 231},
  [4832] = {.lex_state = 253},
  [4833] = {.lex_state = 253},
  [4834] = {.lex_state = 253},
  [4835] = {.lex_state = 253},
  [4836] = {.lex_state = 253},
  [4837] = {.lex_state = 284},
  [4838] = {.lex_state = 253},
  [4839] = {.lex_state = 253},
  [4840] = {.lex_state = 253},
  [4841] = {.lex_state = 240},
  [4842] = {.lex_state = 285},
  [4843] = {.lex_state = 253},
  [4844] = {.lex_state = 253},
  [4845] = {.lex_state = 253},
  [4846] = {.lex_state = 240},
  [4847] = {.lex_state = 253},
  [4848] = {.lex_state = 253},
  [4849] = {.lex_state = 253},
  [4850] = {.lex_state = 253},
  [4851] = {.lex_state = 240},
  [4852] = {.lex_state = 253},
  [4853] = {.lex_state = 253},
  [4854] = {.lex_state = 253},
  [4855] = {.lex_state = 231},
  [4856] = {.lex_state = 253},
  [4857] = {.lex_state = 285},
  [4858] = {.lex_state = 253},
  [4859] = {.lex_state = 253},
  [4860] = {.lex_state = 253},
  [4861] = {.lex_state = 253},
  [4862] = {.lex_state = 253},
  [4863] = {.lex_state = 253},
  [4864] = {.lex_state = 253},
  [4865] = {.lex_state = 240},
  [4866] = {.lex_state = 253},
  [4867] = {.lex_state = 253},
  [4868] = {.lex_state = 253},
  [4869] = {.lex_state = 253},
  [4870] = {.lex_state = 253},
  [4871] = {.lex_state = 253},
  [4872] = {.lex_state = 240},
  [4873] = {.lex_state = 253},
  [4874] = {.lex_state = 253},
  [4875] = {.lex_state = 253},
  [4876] = {.lex_state = 253},
  [4877] = {.lex_state = 285},
  [4878] = {.lex_state = 285},
  [4879] = {.lex_state = 241},
  [4880] = {.lex_state = 285},
  [4881] = {.lex_state = 285},
  [4882] = {.lex_state = 285},
  [4883] = {.lex_state = 285},
  [4884] = {.lex_state = 285},
  [4885] = {.lex_state = 253},
  [4886] = {.lex_state = 240},
  [4887] = {.lex_state = 240},
  [4888] = {.lex_state = 253},
  [4889] = {.lex_state = 253},
  [4890] = {.lex_state = 253},
  [4891] = {.lex_state = 285},
  [4892] = {.lex_state = 240},
  [4893] = {.lex_state = 285},
  [4894] = {.lex_state = 285},
  [4895] = {.lex_state = 253},
  [4896] = {.lex_state = 253},
  [4897] = {.lex_state = 253},
  [4898] = {.lex_state = 285},
  [4899] = {.lex_state = 253},
  [4900] = {.lex_state = 285},
  [4901] = {.lex_state = 253},
  [4902] = {.lex_state = 285},
  [4903] = {.lex_state = 253},
  [4904] = {.lex_state = 253},
  [4905] = {.lex_state = 285},
  [4906] = {.lex_state = 285},
  [4907] = {.lex_state = 253},
  [4908] = {.lex_state = 384},
  [4909] = {.lex_state = 285},
  [4910] = {.lex_state = 285},
  [4911] = {.lex_state = 384},
  [4912] = {.lex_state = 285},
  [4913] = {.lex_state = 253},
  [4914] = {.lex_state = 253},
  [4915] = {.lex_state = 253},
  [4916] = {.lex_state = 253},
  [4917] = {.lex_state = 253},
  [4918] = {.lex_state = 253},
  [4919] = {.lex_state = 252},
  [4920] = {.lex_state = 253},
  [4921] = {.lex_state = 384},
  [4922] = {.lex_state = 241},
  [4923] = {.lex_state = 240},
  [4924] = {.lex_state = 253},
  [4925] = {.lex_state = 384},
  [4926] = {.lex_state = 285},
  [4927] = {.lex_state = 285},
  [4928] = {.lex_state = 231},
  [4929] = {.lex_state = 384},
  [4930] = {.lex_state = 253},
  [4931] = {.lex_state = 285},
  [4932] = {.lex_state = 240},
  [4933] = {.lex_state = 384},
  [4934] = {.lex_state = 285},
  [4935] = {.lex_state = 253},
  [4936] = {.lex_state = 253},
  [4937] = {.lex_state = 253},
  [4938] = {.lex_state = 285},
  [4939] = {.lex_state = 285},
  [4940] = {.lex_state = 253},
  [4941] = {.lex_state = 285},
  [4942] = {.lex_state = 285},
  [4943] = {.lex_state = 284},
  [4944] = {.lex_state = 285},
  [4945] = {.lex_state = 285},
  [4946] = {.lex_state = 231},
  [4947] = {.lex_state = 285},
  [4948] = {.lex_state = 285},
  [4949] = {.lex_state = 231},
  [4950] = {.lex_state = 287},
  [4951] = {.lex_state = 285},
  [4952] = {.lex_state = 287},
  [4953] = {.lex_state = 287},
  [4954] = {.lex_state = 240},
  [4955] = {.lex_state = 285},
  [4956] = {.lex_state = 285},
  [4957] = {.lex_state = 285},
  [4958] = {.lex_state = 285},
  [4959] = {.lex_state = 285},
  [4960] = {.lex_state = 284},
  [4961] = {.lex_state = 285},
  [4962] = {.lex_state = 285},
  [4963] = {.lex_state = 285},
  [4964] = {.lex_state = 240},
  [4965] = {.lex_state = 287},
  [4966] = {.lex_state = 240},
  [4967] = {.lex_state = 240},
  [4968] = {.lex_state = 240},
  [4969] = {.lex_state = 240},
  [4970] = {.lex_state = 384},
  [4971] = {.lex_state = 284},
  [4972] = {.lex_state = 229},
  [4973] = {.lex_state = 284},
  [4974] = {.lex_state = 240},
  [4975] = {.lex_state = 240},
  [4976] = {.lex_state = 287},
  [4977] = {.lex_state = 240},
  [4978] = {.lex_state = 240},
  [4979] = {.lex_state = 229},
  [4980] = {.lex_state = 240},
  [4981] = {.lex_state = 240},
  [4982] = {.lex_state = 384},
  [4983] = {.lex_state = 287},
  [4984] = {.lex_state = 284},
  [4985] = {.lex_state = 287},
  [4986] = {.lex_state = 284},
  [4987] = {.lex_state = 253},
  [4988] = {.lex_state = 284},
  [4989] = {.lex_state = 244},
  [4990] = {.lex_state = 284},
  [4991] = {.lex_state = 240},
  [4992] = {.lex_state = 229},
  [4993] = {.lex_state = 240},
  [4994] = {.lex_state = 244},
  [4995] = {.lex_state = 240},
  [4996] = {.lex_state = 240},
  [4997] = {.lex_state = 240},
  [4998] = {.lex_state = 244},
  [4999] = {.lex_state = 240},
  [5000] = {.lex_state = 240},
  [5001] = {.lex_state = 284},
  [5002] = {.lex_state = 287},
  [5003] = {.lex_state = 253},
  [5004] = {.lex_state = 240},
  [5005] = {.lex_state = 240},
  [5006] = {.lex_state = 240},
  [5007] = {.lex_state = 229},
  [5008] = {.lex_state = 240},
  [5009] = {.lex_state = 240},
  [5010] = {.lex_state = 240},
  [5011] = {.lex_state = 240},
  [5012] = {.lex_state = 240},
  [5013] = {.lex_state = 276},
  [5014] = {.lex_state = 240},
  [5015] = {.lex_state = 276},
  [5016] = {.lex_state = 384},
  [5017] = {.lex_state = 240},
  [5018] = {.lex_state = 240},
  [5019] = {.lex_state = 276},
  [5020] = {.lex_state = 276},
  [5021] = {.lex_state = 276},
  [5022] = {.lex_state = 381},
  [5023] = {.lex_state = 240},
  [5024] = {.lex_state = 276},
  [5025] = {.lex_state = 253},
  [5026] = {.lex_state = 240},
  [5027] = {.lex_state = 253},
  [5028] = {.lex_state = 253},
  [5029] = {.lex_state = 240},
  [5030] = {.lex_state = 276},
  [5031] = {.lex_state = 381},
  [5032] = {.lex_state = 253},
  [5033] = {.lex_state = 253},
  [5034] = {.lex_state = 253},
  [5035] = {.lex_state = 240},
  [5036] = {.lex_state = 253},
  [5037] = {.lex_state = 229},
  [5038] = {.lex_state = 253},
  [5039] = {.lex_state = 240},
  [5040] = {.lex_state = 240},
  [5041] = {.lex_state = 253},
  [5042] = {.lex_state = 253},
  [5043] = {.lex_state = 253},
  [5044] = {.lex_state = 253},
  [5045] = {.lex_state = 253},
  [5046] = {.lex_state = 240},
  [5047] = {.lex_state = 240},
  [5048] = {.lex_state = 253},
  [5049] = {.lex_state = 229},
  [5050] = {.lex_state = 253},
  [5051] = {.lex_state = 253},
  [5052] = {.lex_state = 276},
  [5053] = {.lex_state = 253},
  [5054] = {.lex_state = 240},
  [5055] = {.lex_state = 240},
  [5056] = {.lex_state = 240},
  [5057] = {.lex_state = 240},
  [5058] = {.lex_state = 240},
  [5059] = {.lex_state = 276},
  [5060] = {.lex_state = 287},
  [5061] = {.lex_state = 253},
  [5062] = {.lex_state = 284},
  [5063] = {.lex_state = 240},
  [5064] = {.lex_state = 253},
  [5065] = {.lex_state = 384},
  [5066] = {.lex_state = 253},
  [5067] = {.lex_state = 253},
  [5068] = {.lex_state = 284},
  [5069] = {.lex_state = 253},
  [5070] = {.lex_state = 253},
  [5071] = {.lex_state = 253},
  [5072] = {.lex_state = 253},
  [5073] = {.lex_state = 240},
  [5074] = {.lex_state = 240},
  [5075] = {.lex_state = 240},
  [5076] = {.lex_state = 240},
  [5077] = {.lex_state = 240},
  [5078] = {.lex_state = 229},
  [5079] = {.lex_state = 253},
  [5080] = {.lex_state = 381},
  [5081] = {.lex_state = 240},
  [5082] = {.lex_state = 253},
  [5083] = {.lex_state = 276},
  [5084] = {.lex_state = 229},
  [5085] = {.lex_state = 241},
  [5086] = {.lex_state = 253},
  [5087] = {.lex_state = 253},
  [5088] = {.lex_state = 240},
  [5089] = {.lex_state = 240},
  [5090] = {.lex_state = 240},
  [5091] = {.lex_state = 253},
  [5092] = {.lex_state = 276},
  [5093] = {.lex_state = 253},
  [5094] = {.lex_state = 240},
  [5095] = {.lex_state = 240},
  [5096] = {.lex_state = 253},
  [5097] = {.lex_state = 240},
  [5098] = {.lex_state = 240},
  [5099] = {.lex_state = 276},
  [5100] = {.lex_state = 240},
  [5101] = {.lex_state = 253},
  [5102] = {.lex_state = 276},
  [5103] = {.lex_state = 240},
  [5104] = {.lex_state = 240},
  [5105] = {.lex_state = 240},
  [5106] = {.lex_state = 253},
  [5107] = {.lex_state = 276},
  [5108] = {.lex_state = 253},
  [5109] = {.lex_state = 240},
  [5110] = {.lex_state = 240},
  [5111] = {.lex_state = 240},
  [5112] = {.lex_state = 240},
  [5113] = {.lex_state = 276},
  [5114] = {.lex_state = 276},
  [5115] = {.lex_state = 229},
  [5116] = {.lex_state = 253},
  [5117] = {.lex_state = 240},
  [5118] = {.lex_state = 276},
  [5119] = {.lex_state = 240},
  [5120] = {.lex_state = 240},
  [5121] = {.lex_state = 253},
  [5122] = {.lex_state = 253},
  [5123] = {.lex_state = 240},
  [5124] = {.lex_state = 253},
  [5125] = {.lex_state = 240},
  [5126] = {.lex_state = 240},
  [5127] = {.lex_state = 276},
  [5128] = {.lex_state = 240},
  [5129] = {.lex_state = 240},
  [5130] = {.lex_state = 253},
  [5131] = {.lex_state = 240},
  [5132] = {.lex_state = 253},
  [5133] = {.lex_state = 253},
  [5134] = {.lex_state = 274},
  [5135] = {.lex_state = 253},
  [5136] = {.lex_state = 253},
  [5137] = {.lex_state = 240},
  [5138] = {.lex_state = 253},
  [5139] = {.lex_state = 240},
  [5140] = {.lex_state = 253},
  [5141] = {.lex_state = 253},
  [5142] = {.lex_state = 253},
  [5143] = {.lex_state = 229},
  [5144] = {.lex_state = 276},
  [5145] = {.lex_state = 240},
  [5146] = {.lex_state = 240},
  [5147] = {.lex_state = 276},
  [5148] = {.lex_state = 229},
  [5149] = {.lex_state = 276},
  [5150] = {.lex_state = 276},
  [5151] = {.lex_state = 229},
  [5152] = {.lex_state = 276},
  [5153] = {.lex_state = 276},
  [5154] = {.lex_state = 253},
  [5155] = {.lex_state = 253},
  [5156] = {.lex_state = 253},
  [5157] = {.lex_state = 240},
  [5158] = {.lex_state = 276},
  [5159] = {.lex_state = 287},
  [5160] = {.lex_state = 276},
  [5161] = {.lex_state = 253},
  [5162] = {.lex_state = 240},
  [5163] = {.lex_state = 276},
  [5164] = {.lex_state = 276},
  [5165] = {.lex_state = 276},
  [5166] = {.lex_state = 253},
  [5167] = {.lex_state = 253},
  [5168] = {.lex_state = 229},
  [5169] = {.lex_state = 240},
  [5170] = {.lex_state = 276},
  [5171] = {.lex_state = 276},
  [5172] = {.lex_state = 229},
  [5173] = {.lex_state = 276},
  [5174] = {.lex_state = 253},
  [5175] = {.lex_state = 276},
  [5176] = {.lex_state = 276},
  [5177] = {.lex_state = 240},
  [5178] = {.lex_state = 241},
  [5179] = {.lex_state = 276},
  [5180] = {.lex_state = 276},
  [5181] = {.lex_state = 253},
  [5182] = {.lex_state = 276},
  [5183] = {.lex_state = 240},
  [5184] = {.lex_state = 276},
  [5185] = {.lex_state = 240},
  [5186] = {.lex_state = 276},
  [5187] = {.lex_state = 240},
  [5188] = {.lex_state = 276},
  [5189] = {.lex_state = 241},
  [5190] = {.lex_state = 240},
  [5191] = {.lex_state = 287},
  [5192] = {.lex_state = 384},
  [5193] = {.lex_state = 240},
  [5194] = {.lex_state = 241},
  [5195] = {.lex_state = 241},
  [5196] = {.lex_state = 276},
  [5197] = {.lex_state = 240},
  [5198] = {.lex_state = 240},
  [5199] = {.lex_state = 241},
  [5200] = {.lex_state = 240},
  [5201] = {.lex_state = 240},
  [5202] = {.lex_state = 240},
  [5203] = {.lex_state = 276},
  [5204] = {.lex_state = 241},
  [5205] = {.lex_state = 241},
  [5206] = {.lex_state = 240},
  [5207] = {.lex_state = 240},
  [5208] = {.lex_state = 240},
  [5209] = {.lex_state = 276},
  [5210] = {.lex_state = 276},
  [5211] = {.lex_state = 276},
  [5212] = {.lex_state = 276},
  [5213] = {.lex_state = 240},
  [5214] = {.lex_state = 276},
  [5215] = {.lex_state = 276},
  [5216] = {.lex_state = 276},
  [5217] = {.lex_state = 276},
  [5218] = {.lex_state = 276},
  [5219] = {.lex_state = 276},
  [5220] = {.lex_state = 276},
  [5221] = {.lex_state = 240},
  [5222] = {.lex_state = 240},
  [5223] = {.lex_state = 240},
  [5224] = {.lex_state = 240},
  [5225] = {.lex_state = 240},
  [5226] = {.lex_state = 276},
  [5227] = {.lex_state = 240},
  [5228] = {.lex_state = 240},
  [5229] = {.lex_state = 240},
  [5230] = {.lex_state = 241},
  [5231] = {.lex_state = 229},
  [5232] = {.lex_state = 241},
  [5233] = {.lex_state = 240},
  [5234] = {.lex_state = 240},
  [5235] = {.lex_state = 240},
  [5236] = {.lex_state = 276},
  [5237] = {.lex_state = 240},
  [5238] = {.lex_state = 240},
  [5239] = {.lex_state = 240},
  [5240] = {.lex_state = 240},
  [5241] = {.lex_state = 231},
  [5242] = {.lex_state = 276},
  [5243] = {.lex_state = 240},
  [5244] = {.lex_state = 240},
  [5245] = {.lex_state = 276},
  [5246] = {.lex_state = 241},
  [5247] = {.lex_state = 241},
  [5248] = {.lex_state = 241},
  [5249] = {.lex_state = 284},
  [5250] = {.lex_state = 241},
  [5251] = {.lex_state = 241},
  [5252] = {.lex_state = 240},
  [5253] = {.lex_state = 241},
  [5254] = {.lex_state = 241},
  [5255] = {.lex_state = 275},
  [5256] = {.lex_state = 284},
  [5257] = {.lex_state = 276},
  [5258] = {.lex_state = 284},
  [5259] = {.lex_state = 241},
  [5260] = {.lex_state = 240},
  [5261] = {.lex_state = 240},
  [5262] = {.lex_state = 241},
  [5263] = {.lex_state = 241},
  [5264] = {.lex_state = 276},
  [5265] = {.lex_state = 231},
  [5266] = {.lex_state = 276},
  [5267] = {.lex_state = 276},
  [5268] = {.lex_state = 240},
  [5269] = {.lex_state = 276},
  [5270] = {.lex_state = 276},
  [5271] = {.lex_state = 240},
  [5272] = {.lex_state = 241},
  [5273] = {.lex_state = 276},
  [5274] = {.lex_state = 241},
  [5275] = {.lex_state = 287},
  [5276] = {.lex_state = 240},
  [5277] = {.lex_state = 241},
  [5278] = {.lex_state = 241},
  [5279] = {.lex_state = 287},
  [5280] = {.lex_state = 241},
  [5281] = {.lex_state = 241},
  [5282] = {.lex_state = 231},
  [5283] = {.lex_state = 241},
  [5284] = {.lex_state = 241},
  [5285] = {.lex_state = 241},
  [5286] = {.lex_state = 241},
  [5287] = {.lex_state = 241},
  [5288] = {.lex_state = 241},
  [5289] = {.lex_state = 276},
  [5290] = {.lex_state = 241},
  [5291] = {.lex_state = 276},
  [5292] = {.lex_state = 284},
  [5293] = {.lex_state = 241},
  [5294] = {.lex_state = 241},
  [5295] = {.lex_state = 240},
  [5296] = {.lex_state = 384},
  [5297] = {.lex_state = 240},
  [5298] = {.lex_state = 240},
  [5299] = {.lex_state = 240},
  [5300] = {.lex_state = 384},
  [5301] = {.lex_state = 240},
  [5302] = {.lex_state = 241},
  [5303] = {.lex_state = 240},
  [5304] = {.lex_state = 384},
  [5305] = {.lex_state = 240},
  [5306] = {.lex_state = 240},
  [5307] = {.lex_state = 241},
  [5308] = {.lex_state = 240},
  [5309] = {.lex_state = 240},
  [5310] = {.lex_state = 241},
  [5311] = {.lex_state = 240},
  [5312] = {.lex_state = 240},
  [5313] = {.lex_state = 240},
  [5314] = {.lex_state = 240},
  [5315] = {.lex_state = 384},
  [5316] = {.lex_state = 240},
  [5317] = {.lex_state = 240},
  [5318] = {.lex_state = 240},
  [5319] = {.lex_state = 240},
  [5320] = {.lex_state = 240},
  [5321] = {.lex_state = 240},
  [5322] = {.lex_state = 229},
  [5323] = {.lex_state = 240},
  [5324] = {.lex_state = 240},
  [5325] = {.lex_state = 240},
  [5326] = {.lex_state = 240},
  [5327] = {.lex_state = 229},
  [5328] = {.lex_state = 384},
  [5329] = {.lex_state = 384},
  [5330] = {.lex_state = 241},
  [5331] = {.lex_state = 384},
  [5332] = {.lex_state = 384},
  [5333] = {.lex_state = 276},
  [5334] = {.lex_state = 240},
  [5335] = {.lex_state = 240},
  [5336] = {.lex_state = 240},
  [5337] = {.lex_state = 229},
  [5338] = {.lex_state = 240},
  [5339] = {.lex_state = 240},
  [5340] = {.lex_state = 240},
  [5341] = {.lex_state = 276},
  [5342] = {.lex_state = 241},
  [5343] = {.lex_state = 241},
  [5344] = {.lex_state = 240},
  [5345] = {.lex_state = 240},
  [5346] = {.lex_state = 240},
  [5347] = {.lex_state = 384},
  [5348] = {.lex_state = 240},
  [5349] = {.lex_state = 241},
  [5350] = {.lex_state = 240},
  [5351] = {.lex_state = 240},
  [5352] = {.lex_state = 240},
  [5353] = {.lex_state = 258},
  [5354] = {.lex_state = 240},
  [5355] = {.lex_state = 240},
  [5356] = {.lex_state = 240},
  [5357] = {.lex_state = 240},
  [5358] = {.lex_state = 240},
  [5359] = {.lex_state = 240},
  [5360] = {.lex_state = 240},
  [5361] = {.lex_state = 240},
  [5362] = {.lex_state = 240},
  [5363] = {.lex_state = 240},
  [5364] = {.lex_state = 240},
  [5365] = {.lex_state = 240},
  [5366] = {.lex_state = 240},
  [5367] = {.lex_state = 382},
  [5368] = {.lex_state = 287},
  [5369] = {.lex_state = 240},
  [5370] = {.lex_state = 240},
  [5371] = {.lex_state = 240},
  [5372] = {.lex_state = 240},
  [5373] = {.lex_state = 240},
  [5374] = {.lex_state = 240},
  [5375] = {.lex_state = 240},
  [5376] = {.lex_state = 240},
  [5377] = {.lex_state = 240},
  [5378] = {.lex_state = 240},
  [5379] = {.lex_state = 240},
  [5380] = {.lex_state = 240},
  [5381] = {.lex_state = 384},
  [5382] = {.lex_state = 240},
  [5383] = {.lex_state = 240},
  [5384] = {.lex_state = 240},
  [5385] = {.lex_state = 240},
  [5386] = {.lex_state = 240},
  [5387] = {.lex_state = 240},
  [5388] = {.lex_state = 384},
  [5389] = {.lex_state = 240},
  [5390] = {.lex_state = 240},
  [5391] = {.lex_state = 287},
  [5392] = {.lex_state = 240},
  [5393] = {.lex_state = 240},
  [5394] = {.lex_state = 240},
  [5395] = {.lex_state = 240},
  [5396] = {.lex_state = 240},
  [5397] = {.lex_state = 382},
  [5398] = {.lex_state = 240},
  [5399] = {.lex_state = 240},
  [5400] = {.lex_state = 241},
  [5401] = {.lex_state = 241},
  [5402] = {.lex_state = 240},
  [5403] = {.lex_state = 240},
  [5404] = {.lex_state = 240},
  [5405] = {.lex_state = 240},
  [5406] = {.lex_state = 240},
  [5407] = {.lex_state = 240},
  [5408] = {.lex_state = 240},
  [5409] = {.lex_state = 240},
  [5410] = {.lex_state = 240},
  [5411] = {.lex_state = 240},
  [5412] = {.lex_state = 241},
  [5413] = {.lex_state = 240},
  [5414] = {.lex_state = 240},
  [5415] = {.lex_state = 384},
  [5416] = {.lex_state = 240},
  [5417] = {.lex_state = 240},
  [5418] = {.lex_state = 258},
  [5419] = {.lex_state = 241},
  [5420] = {.lex_state = 240},
  [5421] = {.lex_state = 240},
  [5422] = {.lex_state = 240},
  [5423] = {.lex_state = 240},
  [5424] = {.lex_state = 287},
  [5425] = {.lex_state = 240},
  [5426] = {.lex_state = 240},
  [5427] = {.lex_state = 240},
  [5428] = {.lex_state = 240},
  [5429] = {.lex_state = 240},
  [5430] = {.lex_state = 240},
  [5431] = {.lex_state = 240},
  [5432] = {.lex_state = 240},
  [5433] = {.lex_state = 284},
  [5434] = {.lex_state = 240},
  [5435] = {.lex_state = 240},
  [5436] = {.lex_state = 240},
  [5437] = {.lex_state = 240},
  [5438] = {.lex_state = 240},
  [5439] = {.lex_state = 240},
  [5440] = {.lex_state = 240},
  [5441] = {.lex_state = 382},
  [5442] = {.lex_state = 240},
  [5443] = {.lex_state = 240},
  [5444] = {.lex_state = 240},
  [5445] = {.lex_state = 240},
  [5446] = {.lex_state = 240},
  [5447] = {.lex_state = 240},
  [5448] = {.lex_state = 240},
  [5449] = {.lex_state = 258},
  [5450] = {.lex_state = 240},
  [5451] = {.lex_state = 240},
  [5452] = {.lex_state = 240},
  [5453] = {.lex_state = 384},
  [5454] = {.lex_state = 384},
  [5455] = {.lex_state = 384},
  [5456] = {.lex_state = 240},
  [5457] = {.lex_state = 287},
  [5458] = {.lex_state = 240},
  [5459] = {.lex_state = 240},
  [5460] = {.lex_state = 240},
  [5461] = {.lex_state = 240},
  [5462] = {.lex_state = 240},
  [5463] = {.lex_state = 240},
  [5464] = {.lex_state = 240},
  [5465] = {.lex_state = 240},
  [5466] = {.lex_state = 240},
  [5467] = {.lex_state = 240},
  [5468] = {.lex_state = 287},
  [5469] = {.lex_state = 240},
  [5470] = {.lex_state = 287},
  [5471] = {.lex_state = 240},
  [5472] = {.lex_state = 384},
  [5473] = {.lex_state = 240},
  [5474] = {.lex_state = 240},
  [5475] = {.lex_state = 384},
  [5476] = {.lex_state = 384},
  [5477] = {.lex_state = 240},
  [5478] = {.lex_state = 240},
  [5479] = {.lex_state = 240},
  [5480] = {.lex_state = 240},
  [5481] = {.lex_state = 240},
  [5482] = {.lex_state = 240},
  [5483] = {.lex_state = 240},
  [5484] = {.lex_state = 287},
  [5485] = {.lex_state = 240},
  [5486] = {.lex_state = 276},
  [5487] = {.lex_state = 240},
  [5488] = {.lex_state = 240},
  [5489] = {.lex_state = 240},
  [5490] = {.lex_state = 240},
  [5491] = {.lex_state = 240},
  [5492] = {.lex_state = 240},
  [5493] = {.lex_state = 240},
  [5494] = {.lex_state = 240},
  [5495] = {.lex_state = 240},
  [5496] = {.lex_state = 241},
  [5497] = {.lex_state = 240},
  [5498] = {.lex_state = 276},
  [5499] = {.lex_state = 276},
  [5500] = {.lex_state = 287},
  [5501] = {.lex_state = 384},
  [5502] = {.lex_state = 240},
  [5503] = {.lex_state = 276},
  [5504] = {.lex_state = 384},
  [5505] = {.lex_state = 240},
  [5506] = {.lex_state = 284},
  [5507] = {.lex_state = 240},
  [5508] = {.lex_state = 240},
  [5509] = {.lex_state = 276},
  [5510] = {.lex_state = 276},
  [5511] = {.lex_state = 384},
  [5512] = {.lex_state = 276},
  [5513] = {.lex_state = 276},
  [5514] = {.lex_state = 284},
  [5515] = {.lex_state = 276},
  [5516] = {.lex_state = 276},
  [5517] = {.lex_state = 276},
  [5518] = {.lex_state = 276},
  [5519] = {.lex_state = 276},
  [5520] = {.lex_state = 276},
  [5521] = {.lex_state = 284},
  [5522] = {.lex_state = 276},
  [5523] = {.lex_state = 276},
  [5524] = {.lex_state = 276},
  [5525] = {.lex_state = 384},
  [5526] = {.lex_state = 276},
  [5527] = {.lex_state = 276},
  [5528] = {.lex_state = 241},
  [5529] = {.lex_state = 276},
  [5530] = {.lex_state = 284},
  [5531] = {.lex_state = 276},
  [5532] = {.lex_state = 284},
  [5533] = {.lex_state = 240},
  [5534] = {.lex_state = 284},
  [5535] = {.lex_state = 240},
  [5536] = {.lex_state = 284},
  [5537] = {.lex_state = 276},
  [5538] = {.lex_state = 276},
  [5539] = {.lex_state = 276},
  [5540] = {.lex_state = 240},
  [5541] = {.lex_state = 240},
  [5542] = {.lex_state = 241},
  [5543] = {.lex_state = 276},
  [5544] = {.lex_state = 276},
  [5545] = {.lex_state = 276},
  [5546] = {.lex_state = 276},
  [5547] = {.lex_state = 284},
  [5548] = {.lex_state = 276},
  [5549] = {.lex_state = 276},
  [5550] = {.lex_state = 276},
  [5551] = {.lex_state = 287},
  [5552] = {.lex_state = 276},
  [5553] = {.lex_state = 276},
  [5554] = {.lex_state = 384},
  [5555] = {.lex_state = 276},
  [5556] = {.lex_state = 276},
  [5557] = {.lex_state = 276},
  [5558] = {.lex_state = 240},
  [5559] = {.lex_state = 240},
  [5560] = {.lex_state = 240},
  [5561] = {.lex_state = 276},
  [5562] = {.lex_state = 276},
  [5563] = {.lex_state = 287},
  [5564] = {.lex_state = 276},
  [5565] = {.lex_state = 276},
  [5566] = {.lex_state = 276},
  [5567] = {.lex_state = 284},
  [5568] = {.lex_state = 384},
  [5569] = {.lex_state = 287},
  [5570] = {.lex_state = 287},
  [5571] = {.lex_state = 287},
  [5572] = {.lex_state = 287},
  [5573] = {.lex_state = 287},
  [5574] = {.lex_state = 287},
  [5575] = {.lex_state = 287},
  [5576] = {.lex_state = 287},
  [5577] = {.lex_state = 287},
  [5578] = {.lex_state = 287},
  [5579] = {.lex_state = 287},
  [5580] = {.lex_state = 287},
  [5581] = {.lex_state = 287},
  [5582] = {.lex_state = 287},
  [5583] = {.lex_state = 287},
  [5584] = {.lex_state = 384},
  [5585] = {.lex_state = 287},
  [5586] = {.lex_state = 229},
  [5587] = {.lex_state = 384},
  [5588] = {.lex_state = 287},
  [5589] = {.lex_state = 287},
  [5590] = {.lex_state = 384},
  [5591] = {.lex_state = 384},
  [5592] = {.lex_state = 229},
  [5593] = {.lex_state = 287},
  [5594] = {.lex_state = 240},
  [5595] = {.lex_state = 287},
  [5596] = {.lex_state = 384},
  [5597] = {.lex_state = 287},
  [5598] = {.lex_state = 384},
  [5599] = {.lex_state = 229},
  [5600] = {.lex_state = 384},
  [5601] = {.lex_state = 384},
  [5602] = {.lex_state = 287},
  [5603] = {.lex_state = 384},
  [5604] = {.lex_state = 385},
  [5605] = {.lex_state = 229},
  [5606] = {.lex_state = 384},
  [5607] = {.lex_state = 384},
  [5608] = {.lex_state = 284},
  [5609] = {.lex_state = 287},
  [5610] = {.lex_state = 284},
  [5611] = {.lex_state = 240},
  [5612] = {.lex_state = 384},
  [5613] = {.lex_state = 240},
  [5614] = {.lex_state = 287},
  [5615] = {.lex_state = 385},
  [5616] = {.lex_state = 385},
  [5617] = {.lex_state = 384},
  [5618] = {.lex_state = 233},
  [5619] = {.lex_state = 241},
  [5620] = {.lex_state = 384},
  [5621] = {.lex_state = 284},
  [5622] = {.lex_state = 384},
  [5623] = {.lex_state = 241},
  [5624] = {.lex_state = 284},
  [5625] = {.lex_state = 240},
  [5626] = {.lex_state = 287},
  [5627] = {.lex_state = 384},
  [5628] = {.lex_state = 384},
  [5629] = {.lex_state = 385},
  [5630] = {.lex_state = 384},
  [5631] = {.lex_state = 285},
  [5632] = {.lex_state = 285},
  [5633] = {.lex_state = 287},
  [5634] = {.lex_state = 287},
  [5635] = {.lex_state = 384},
  [5636] = {.lex_state = 240},
  [5637] = {.lex_state = 285},
  [5638] = {.lex_state = 285},
  [5639] = {.lex_state = 285},
  [5640] = {.lex_state = 287},
  [5641] = {.lex_state = 285},
  [5642] = {.lex_state = 285},
  [5643] = {.lex_state = 384},
  [5644] = {.lex_state = 285},
  [5645] = {.lex_state = 284},
  [5646] = {.lex_state = 285},
  [5647] = {.lex_state = 285},
  [5648] = {.lex_state = 384},
  [5649] = {.lex_state = 285},
  [5650] = {.lex_state = 285},
  [5651] = {.lex_state = 240},
  [5652] = {.lex_state = 284},
  [5653] = {.lex_state = 285},
  [5654] = {.lex_state = 285},
  [5655] = {.lex_state = 384},
  [5656] = {.lex_state = 285},
  [5657] = {.lex_state = 285},
  [5658] = {.lex_state = 285},
  [5659] = {.lex_state = 384},
  [5660] = {.lex_state = 384},
  [5661] = {.lex_state = 384},
  [5662] = {.lex_state = 384},
  [5663] = {.lex_state = 384},
  [5664] = {.lex_state = 384},
  [5665] = {.lex_state = 384},
  [5666] = {.lex_state = 285},
  [5667] = {.lex_state = 229},
  [5668] = {.lex_state = 285},
  [5669] = {.lex_state = 229},
  [5670] = {.lex_state = 384},
  [5671] = {.lex_state = 285},
  [5672] = {.lex_state = 384},
  [5673] = {.lex_state = 384},
  [5674] = {.lex_state = 285},
  [5675] = {.lex_state = 229},
  [5676] = {.lex_state = 287},
  [5677] = {.lex_state = 384},
  [5678] = {.lex_state = 287},
  [5679] = {.lex_state = 285},
  [5680] = {.lex_state = 285},
  [5681] = {.lex_state = 285},
  [5682] = {.lex_state = 284},
  [5683] = {.lex_state = 287},
  [5684] = {.lex_state = 287},
  [5685] = {.lex_state = 287},
  [5686] = {.lex_state = 285},
  [5687] = {.lex_state = 284},
  [5688] = {.lex_state = 285},
  [5689] = {.lex_state = 285},
  [5690] = {.lex_state = 284},
  [5691] = {.lex_state = 285},
  [5692] = {.lex_state = 240},
  [5693] = {.lex_state = 229},
  [5694] = {.lex_state = 287},
  [5695] = {.lex_state = 384},
  [5696] = {.lex_state = 384},
  [5697] = {.lex_state = 284},
  [5698] = {.lex_state = 384},
  [5699] = {.lex_state = 285},
  [5700] = {.lex_state = 384},
  [5701] = {.lex_state = 285},
  [5702] = {.lex_state = 285},
  [5703] = {.lex_state = 285},
  [5704] = {.lex_state = 285},
  [5705] = {.lex_state = 284},
  [5706] = {.lex_state = 384},
  [5707] = {.lex_state = 384},
  [5708] = {.lex_state = 285},
  [5709] = {.lex_state = 285},
  [5710] = {.lex_state = 285},
  [5711] = {.lex_state = 285},
  [5712] = {.lex_state = 384},
  [5713] = {.lex_state = 285},
  [5714] = {.lex_state = 285},
  [5715] = {.lex_state = 284},
  [5716] = {.lex_state = 285},
  [5717] = {.lex_state = 285},
  [5718] = {.lex_state = 285},
  [5719] = {.lex_state = 287},
  [5720] = {.lex_state = 384},
  [5721] = {.lex_state = 384},
  [5722] = {.lex_state = 384},
  [5723] = {.lex_state = 384},
  [5724] = {.lex_state = 384},
  [5725] = {.lex_state = 285},
  [5726] = {.lex_state = 285},
  [5727] = {.lex_state = 285},
  [5728] = {.lex_state = 384},
  [5729] = {.lex_state = 384},
  [5730] = {.lex_state = 285},
  [5731] = {.lex_state = 384},
  [5732] = {.lex_state = 384},
  [5733] = {.lex_state = 285},
  [5734] = {.lex_state = 285},
  [5735] = {.lex_state = 384},
  [5736] = {.lex_state = 384},
  [5737] = {.lex_state = 384},
  [5738] = {.lex_state = 384},
  [5739] = {.lex_state = 384},
  [5740] = {.lex_state = 384},
  [5741] = {.lex_state = 384},
  [5742] = {.lex_state = 384},
  [5743] = {.lex_state = 384},
  [5744] = {.lex_state = 384},
  [5745] = {.lex_state = 384},
  [5746] = {.lex_state = 384},
  [5747] = {.lex_state = 287},
  [5748] = {.lex_state = 285},
  [5749] = {.lex_state = 384},
  [5750] = {.lex_state = 384},
  [5751] = {.lex_state = 384},
  [5752] = {.lex_state = 384},
  [5753] = {.lex_state = 384},
  [5754] = {.lex_state = 384},
  [5755] = {.lex_state = 384},
  [5756] = {.lex_state = 384},
  [5757] = {.lex_state = 384},
  [5758] = {.lex_state = 285},
  [5759] = {.lex_state = 384},
  [5760] = {.lex_state = 384},
  [5761] = {.lex_state = 384},
  [5762] = {.lex_state = 384},
  [5763] = {.lex_state = 384},
  [5764] = {.lex_state = 384},
  [5765] = {.lex_state = 384},
  [5766] = {.lex_state = 384},
  [5767] = {.lex_state = 384},
  [5768] = {.lex_state = 285},
  [5769] = {.lex_state = 241},
  [5770] = {.lex_state = 241},
  [5771] = {.lex_state = 233},
  [5772] = {.lex_state = 384},
  [5773] = {.lex_state = 276},
  [5774] = {.lex_state = 287},
  [5775] = {.lex_state = 287},
  [5776] = {.lex_state = 284},
  [5777] = {.lex_state = 276},
  [5778] = {.lex_state = 287},
  [5779] = {.lex_state = 287},
  [5780] = {.lex_state = 287},
  [5781] = {.lex_state = 287},
  [5782] = {.lex_state = 287},
  [5783] = {.lex_state = 229},
  [5784] = {.lex_state = 384},
  [5785] = {.lex_state = 287},
  [5786] = {.lex_state = 241},
  [5787] = {.lex_state = 287},
  [5788] = {.lex_state = 384},
  [5789] = {.lex_state = 284},
  [5790] = {.lex_state = 287},
  [5791] = {.lex_state = 284},
  [5792] = {.lex_state = 384},
  [5793] = {.lex_state = 384},
  [5794] = {.lex_state = 284},
  [5795] = {.lex_state = 287},
  [5796] = {.lex_state = 284},
  [5797] = {.lex_state = 229},
  [5798] = {.lex_state = 284},
  [5799] = {.lex_state = 384},
  [5800] = {.lex_state = 241},
  [5801] = {.lex_state = 241},
  [5802] = {.lex_state = 287},
  [5803] = {.lex_state = 284},
  [5804] = {.lex_state = 384},
  [5805] = {.lex_state = 241},
  [5806] = {.lex_state = 241},
  [5807] = {.lex_state = 229},
  [5808] = {.lex_state = 284},
  [5809] = {.lex_state = 287},
  [5810] = {.lex_state = 287},
  [5811] = {.lex_state = 229},
  [5812] = {.lex_state = 241},
  [5813] = {.lex_state = 229},
  [5814] = {.lex_state = 384},
  [5815] = {.lex_state = 229},
  [5816] = {.lex_state = 233},
  [5817] = {.lex_state = 285},
  [5818] = {.lex_state = 247},
  [5819] = {.lex_state = 247},
  [5820] = {.lex_state = 287},
  [5821] = {.lex_state = 240},
  [5822] = {.lex_state = 287},
  [5823] = {.lex_state = 240},
  [5824] = {.lex_state = 285},
  [5825] = {.lex_state = 287},
  [5826] = {.lex_state = 285},
  [5827] = {.lex_state = 285},
  [5828] = {.lex_state = 285},
  [5829] = {.lex_state = 285},
  [5830] = {.lex_state = 285},
  [5831] = {.lex_state = 285},
  [5832] = {.lex_state = 285},
  [5833] = {.lex_state = 285},
  [5834] = {.lex_state = 285},
  [5835] = {.lex_state = 240},
  [5836] = {.lex_state = 285},
  [5837] = {.lex_state = 285},
  [5838] = {.lex_state = 285},
  [5839] = {.lex_state = 247},
  [5840] = {.lex_state = 285},
  [5841] = {.lex_state = 285},
  [5842] = {.lex_state = 240},
  [5843] = {.lex_state = 287},
  [5844] = {.lex_state = 247},
  [5845] = {.lex_state = 287},
  [5846] = {.lex_state = 247},
  [5847] = {.lex_state = 287},
  [5848] = {.lex_state = 285},
  [5849] = {.lex_state = 285},
  [5850] = {.lex_state = 285},
  [5851] = {.lex_state = 384},
  [5852] = {.lex_state = 285},
  [5853] = {.lex_state = 285},
  [5854] = {.lex_state = 285},
  [5855] = {.lex_state = 287},
  [5856] = {.lex_state = 240},
  [5857] = {.lex_state = 240},
  [5858] = {.lex_state = 285},
  [5859] = {.lex_state = 285},
  [5860] = {.lex_state = 285},
  [5861] = {.lex_state = 240},
  [5862] = {.lex_state = 240},
  [5863] = {.lex_state = 287},
  [5864] = {.lex_state = 285},
  [5865] = {.lex_state = 285},
  [5866] = {.lex_state = 240},
  [5867] = {.lex_state = 287},
  [5868] = {.lex_state = 384},
  [5869] = {.lex_state = 285},
  [5870] = {.lex_state = 285},
  [5871] = {.lex_state = 240},
  [5872] = {.lex_state = 287},
  [5873] = {.lex_state = 247},
  [5874] = {.lex_state = 285},
  [5875] = {.lex_state = 384},
  [5876] = {.lex_state = 240},
  [5877] = {.lex_state = 285},
  [5878] = {.lex_state = 285},
  [5879] = {.lex_state = 287},
  [5880] = {.lex_state = 285},
  [5881] = {.lex_state = 287},
  [5882] = {.lex_state = 285},
  [5883] = {.lex_state = 247},
  [5884] = {.lex_state = 285},
  [5885] = {.lex_state = 285},
  [5886] = {.lex_state = 247},
  [5887] = {.lex_state = 287},
  [5888] = {.lex_state = 285},
  [5889] = {.lex_state = 285},
  [5890] = {.lex_state = 285},
  [5891] = {.lex_state = 285},
  [5892] = {.lex_state = 287},
  [5893] = {.lex_state = 285},
  [5894] = {.lex_state = 287},
  [5895] = {.lex_state = 285},
  [5896] = {.lex_state = 285},
  [5897] = {.lex_state = 285},
  [5898] = {.lex_state = 240},
  [5899] = {.lex_state = 240},
  [5900] = {.lex_state = 285},
  [5901] = {.lex_state = 384},
  [5902] = {.lex_state = 287},
  [5903] = {.lex_state = 287},
  [5904] = {.lex_state = 247},
  [5905] = {.lex_state = 247},
  [5906] = {.lex_state = 247},
  [5907] = {.lex_state = 247},
  [5908] = {.lex_state = 287},
  [5909] = {.lex_state = 287},
  [5910] = {.lex_state = 287},
  [5911] = {.lex_state = 247},
  [5912] = {.lex_state = 240},
  [5913] = {.lex_state = 240},
  [5914] = {.lex_state = 287},
  [5915] = {.lex_state = 247},
  [5916] = {.lex_state = 240},
  [5917] = {.lex_state = 287},
  [5918] = {.lex_state = 287},
  [5919] = {.lex_state = 287},
  [5920] = {.lex_state = 287},
  [5921] = {.lex_state = 240},
  [5922] = {.lex_state = 287},
  [5923] = {.lex_state = 287},
  [5924] = {.lex_state = 247},
  [5925] = {.lex_state = 247},
  [5926] = {.lex_state = 287},
  [5927] = {.lex_state = 287},
  [5928] = {.lex_state = 247},
  [5929] = {.lex_state = 240},
  [5930] = {.lex_state = 247},
  [5931] = {.lex_state = 287},
  [5932] = {.lex_state = 247},
  [5933] = {.lex_state = 240},
  [5934] = {.lex_state = 247},
  [5935] = {.lex_state = 247},
  [5936] = {.lex_state = 247},
  [5937] = {.lex_state = 247},
  [5938] = {.lex_state = 247},
  [5939] = {.lex_state = 247},
  [5940] = {.lex_state = 247},
  [5941] = {.lex_state = 240},
  [5942] = {.lex_state = 240},
  [5943] = {.lex_state = 247},
  [5944] = {.lex_state = 247},
  [5945] = {.lex_state = 240},
  [5946] = {.lex_state = 287},
  [5947] = {.lex_state = 287},
  [5948] = {.lex_state = 240},
  [5949] = {.lex_state = 247},
  [5950] = {.lex_state = 287},
  [5951] = {.lex_state = 287},
  [5952] = {.lex_state = 287},
  [5953] = {.lex_state = 240},
  [5954] = {.lex_state = 287},
  [5955] = {.lex_state = 287},
  [5956] = {.lex_state = 287},
  [5957] = {.lex_state = 240},
  [5958] = {.lex_state = 247},
  [5959] = {.lex_state = 240},
  [5960] = {.lex_state = 247},
  [5961] = {.lex_state = 247},
  [5962] = {.lex_state = 240},
  [5963] = {.lex_state = 240},
  [5964] = {.lex_state = 287},
  [5965] = {.lex_state = 287},
  [5966] = {.lex_state = 247},
  [5967] = {.lex_state = 247},
  [5968] = {.lex_state = 241},
  [5969] = {.lex_state = 240},
  [5970] = {.lex_state = 247},
  [5971] = {.lex_state = 247},
  [5972] = {.lex_state = 247},
  [5973] = {.lex_state = 240},
  [5974] = {.lex_state = 247},
  [5975] = {.lex_state = 240},
  [5976] = {.lex_state = 287},
  [5977] = {.lex_state = 285},
  [5978] = {.lex_state = 287},
  [5979] = {.lex_state = 247},
  [5980] = {.lex_state = 287},
  [5981] = {.lex_state = 287},
  [5982] = {.lex_state = 287},
  [5983] = {.lex_state = 247},
  [5984] = {.lex_state = 287},
  [5985] = {.lex_state = 247},
  [5986] = {.lex_state = 247},
  [5987] = {.lex_state = 247},
  [5988] = {.lex_state = 240},
  [5989] = {.lex_state = 240},
  [5990] = {.lex_state = 247},
  [5991] = {.lex_state = 247},
  [5992] = {.lex_state = 247},
  [5993] = {.lex_state = 247},
  [5994] = {.lex_state = 247},
  [5995] = {.lex_state = 247},
  [5996] = {.lex_state = 287},
  [5997] = {.lex_state = 247},
  [5998] = {.lex_state = 247},
  [5999] = {.lex_state = 247},
  [6000] = {.lex_state = 287},
  [6001] = {.lex_state = 247},
  [6002] = {.lex_state = 247},
  [6003] = {.lex_state = 240},
  [6004] = {.lex_state = 247},
  [6005] = {.lex_state = 247},
  [6006] = {.lex_state = 247},
  [6007] = {.lex_state = 247},
  [6008] = {.lex_state = 240},
  [6009] = {.lex_state = 247},
  [6010] = {.lex_state = 247},
  [6011] = {.lex_state = 247},
  [6012] = {.lex_state = 247},
  [6013] = {.lex_state = 247},
  [6014] = {.lex_state = 247},
  [6015] = {.lex_state = 240},
  [6016] = {.lex_state = 247},
  [6017] = {.lex_state = 247},
  [6018] = {.lex_state = 240},
  [6019] = {.lex_state = 247},
  [6020] = {.lex_state = 247},
  [6021] = {.lex_state = 247},
  [6022] = {.lex_state = 247},
  [6023] = {.lex_state = 247},
  [6024] = {.lex_state = 240},
  [6025] = {.lex_state = 247},
  [6026] = {.lex_state = 247},
  [6027] = {.lex_state = 240},
  [6028] = {.lex_state = 247},
  [6029] = {.lex_state = 240},
  [6030] = {.lex_state = 247},
  [6031] = {.lex_state = 247},
  [6032] = {.lex_state = 247},
  [6033] = {.lex_state = 240},
  [6034] = {.lex_state = 247},
  [6035] = {.lex_state = 247},
  [6036] = {.lex_state = 284},
  [6037] = {.lex_state = 240},
  [6038] = {.lex_state = 247},
  [6039] = {.lex_state = 247},
  [6040] = {.lex_state = 247},
  [6041] = {.lex_state = 247},
  [6042] = {.lex_state = 247},
  [6043] = {.lex_state = 247},
  [6044] = {.lex_state = 284},
  [6045] = {.lex_state = 247},
  [6046] = {.lex_state = 240},
  [6047] = {.lex_state = 247},
  [6048] = {.lex_state = 240},
  [6049] = {.lex_state = 247},
  [6050] = {.lex_state = 287},
  [6051] = {.lex_state = 240},
  [6052] = {.lex_state = 384},
  [6053] = {.lex_state = 384},
  [6054] = {.lex_state = 284},
  [6055] = {.lex_state = 285},
  [6056] = {.lex_state = 247},
  [6057] = {.lex_state = 247},
  [6058] = {.lex_state = 247},
  [6059] = {.lex_state = 247},
  [6060] = {.lex_state = 247},
  [6061] = {.lex_state = 247},
  [6062] = {.lex_state = 247},
  [6063] = {.lex_state = 284},
  [6064] = {.lex_state = 285},
  [6065] = {.lex_state = 241},
  [6066] = {.lex_state = 284},
  [6067] = {.lex_state = 247},
  [6068] = {.lex_state = 240},
  [6069] = {.lex_state = 284},
  [6070] = {.lex_state = 247},
  [6071] = {.lex_state = 285},
  [6072] = {.lex_state = 247},
  [6073] = {.lex_state = 241},
  [6074] = {.lex_state = 247},
  [6075] = {.lex_state = 285},
  [6076] = {.lex_state = 247},
  [6077] = {.lex_state = 247},
  [6078] = {.lex_state = 247},
  [6079] = {.lex_state = 247},
  [6080] = {.lex_state = 247},
  [6081] = {.lex_state = 285},
  [6082] = {.lex_state = 285},
  [6083] = {.lex_state = 284},
  [6084] = {.lex_state = 247},
  [6085] = {.lex_state = 284},
  [6086] = {.lex_state = 285},
  [6087] = {.lex_state = 285},
  [6088] = {.lex_state = 285},
  [6089] = {.lex_state = 247},
  [6090] = {.lex_state = 285},
  [6091] = {.lex_state = 247},
  [6092] = {.lex_state = 247},
  [6093] = {.lex_state = 284},
  [6094] = {.lex_state = 247},
  [6095] = {.lex_state = 285},
  [6096] = {.lex_state = 285},
  [6097] = {.lex_state = 247},
  [6098] = {.lex_state = 284},
  [6099] = {.lex_state = 247},
  [6100] = {.lex_state = 247},
  [6101] = {.lex_state = 247},
  [6102] = {.lex_state = 247},
  [6103] = {.lex_state = 285},
  [6104] = {.lex_state = 241},
  [6105] = {.lex_state = 241},
  [6106] = {.lex_state = 247},
  [6107] = {.lex_state = 284},
  [6108] = {.lex_state = 236},
  [6109] = {.lex_state = 384},
  [6110] = {.lex_state = 384},
  [6111] = {.lex_state = 384},
  [6112] = {.lex_state = 285},
  [6113] = {.lex_state = 236},
  [6114] = {.lex_state = 236},
  [6115] = {.lex_state = 285},
  [6116] = {.lex_state = 285},
  [6117] = {.lex_state = 384},
  [6118] = {.lex_state = 285},
  [6119] = {.lex_state = 236},
  [6120] = {.lex_state = 384},
  [6121] = {.lex_state = 285},
  [6122] = {.lex_state = 285},
  [6123] = {.lex_state = 285},
  [6124] = {.lex_state = 285},
  [6125] = {.lex_state = 384},
  [6126] = {.lex_state = 236},
  [6127] = {.lex_state = 285},
  [6128] = {.lex_state = 236},
  [6129] = {.lex_state = 236},
  [6130] = {.lex_state = 285},
  [6131] = {.lex_state = 285},
  [6132] = {.lex_state = 236},
  [6133] = {.lex_state = 285},
  [6134] = {.lex_state = 285},
  [6135] = {.lex_state = 284},
  [6136] = {.lex_state = 384},
  [6137] = {.lex_state = 284},
  [6138] = {.lex_state = 284},
  [6139] = {.lex_state = 285},
  [6140] = {.lex_state = 384},
  [6141] = {.lex_state = 241},
  [6142] = {.lex_state = 285},
  [6143] = {.lex_state = 241},
  [6144] = {.lex_state = 384},
  [6145] = {.lex_state = 384},
  [6146] = {.lex_state = 384},
  [6147] = {.lex_state = 285},
  [6148] = {.lex_state = 284},
  [6149] = {.lex_state = 284},
  [6150] = {.lex_state = 384},
  [6151] = {.lex_state = 284},
  [6152] = {.lex_state = 284},
  [6153] = {.lex_state = 284},
  [6154] = {.lex_state = 384},
  [6155] = {.lex_state = 384},
  [6156] = {.lex_state = 284},
  [6157] = {.lex_state = 284},
  [6158] = {.lex_state = 285},
  [6159] = {.lex_state = 384},
  [6160] = {.lex_state = 384},
  [6161] = {.lex_state = 285},
  [6162] = {.lex_state = 384},
  [6163] = {.lex_state = 384},
  [6164] = {.lex_state = 284},
  [6165] = {.lex_state = 284},
  [6166] = {.lex_state = 285},
  [6167] = {.lex_state = 383},
  [6168] = {.lex_state = 247},
  [6169] = {.lex_state = 247},
  [6170] = {.lex_state = 383},
  [6171] = {.lex_state = 383},
  [6172] = {.lex_state = 247},
  [6173] = {.lex_state = 247},
  [6174] = {.lex_state = 383},
  [6175] = {.lex_state = 287},
  [6176] = {.lex_state = 247},
  [6177] = {.lex_state = 247},
  [6178] = {.lex_state = 383},
  [6179] = {.lex_state = 247},
  [6180] = {.lex_state = 247},
  [6181] = {.lex_state = 247},
  [6182] = {.lex_state = 383},
  [6183] = {.lex_state = 383},
  [6184] = {.lex_state = 285},
  [6185] = {.lex_state = 247},
  [6186] = {.lex_state = 383},
  [6187] = {.lex_state = 247},
  [6188] = {.lex_state = 383},
  [6189] = {.lex_state = 247},
  [6190] = {.lex_state = 284},
  [6191] = {.lex_state = 284},
  [6192] = {.lex_state = 284},
  [6193] = {.lex_state = 384},
  [6194] = {.lex_state = 287},
  [6195] = {.lex_state = 284},
  [6196] = {.lex_state = 384},
  [6197] = {.lex_state = 284},
  [6198] = {.lex_state = 229},
  [6199] = {.lex_state = 284},
  [6200] = {.lex_state = 284},
  [6201] = {.lex_state = 384},
  [6202] = {.lex_state = 384},
  [6203] = {.lex_state = 241},
  [6204] = {.lex_state = 287},
  [6205] = {.lex_state = 384},
  [6206] = {.lex_state = 384},
  [6207] = {.lex_state = 236},
  [6208] = {.lex_state = 383},
  [6209] = {.lex_state = 383},
  [6210] = {.lex_state = 383},
  [6211] = {.lex_state = 383},
  [6212] = {.lex_state = 383},
  [6213] = {.lex_state = 383},
  [6214] = {.lex_state = 383},
  [6215] = {.lex_state = 383},
  [6216] = {.lex_state = 383},
  [6217] = {.lex_state = 383},
  [6218] = {.lex_state = 383},
  [6219] = {.lex_state = 383},
  [6220] = {.lex_state = 383},
  [6221] = {.lex_state = 236},
  [6222] = {.lex_state = 236},
  [6223] = {.lex_state = 236},
  [6224] = {.lex_state = 383},
  [6225] = {.lex_state = 383},
  [6226] = {.lex_state = 383},
  [6227] = {.lex_state = 236},
  [6228] = {.lex_state = 383},
  [6229] = {.lex_state = 383},
  [6230] = {.lex_state = 383},
  [6231] = {.lex_state = 236},
  [6232] = {.lex_state = 236},
  [6233] = {.lex_state = 284},
  [6234] = {.lex_state = 383},
  [6235] = {.lex_state = 383},
  [6236] = {.lex_state = 284},
  [6237] = {.lex_state = 383},
  [6238] = {.lex_state = 383},
  [6239] = {.lex_state = 383},
  [6240] = {.lex_state = 383},
  [6241] = {.lex_state = 383},
  [6242] = {.lex_state = 384},
  [6243] = {.lex_state = 255},
  [6244] = {.lex_state = 383},
  [6245] = {.lex_state = 383},
  [6246] = {.lex_state = 236},
  [6247] = {.lex_state = 236},
  [6248] = {.lex_state = 383},
  [6249] = {.lex_state = 383},
  [6250] = {.lex_state = 383},
  [6251] = {.lex_state = 229},
  [6252] = {.lex_state = 383},
  [6253] = {.lex_state = 383},
  [6254] = {.lex_state = 236},
  [6255] = {.lex_state = 383},
  [6256] = {.lex_state = 383},
  [6257] = {.lex_state = 229},
  [6258] = {.lex_state = 284},
  [6259] = {.lex_state = 383},
  [6260] = {.lex_state = 383},
  [6261] = {.lex_state = 383},
  [6262] = {.lex_state = 383},
  [6263] = {.lex_state = 383},
  [6264] = {.lex_state = 236},
  [6265] = {.lex_state = 236},
  [6266] = {.lex_state = 383},
  [6267] = {.lex_state = 383},
  [6268] = {.lex_state = 383},
  [6269] = {.lex_state = 229},
  [6270] = {.lex_state = 383},
  [6271] = {.lex_state = 383},
  [6272] = {.lex_state = 247},
  [6273] = {.lex_state = 247},
  [6274] = {.lex_state = 247},
  [6275] = {.lex_state = 247},
  [6276] = {.lex_state = 229},
  [6277] = {.lex_state = 247},
  [6278] = {.lex_state = 247},
  [6279] = {.lex_state = 247},
  [6280] = {.lex_state = 247},
  [6281] = {.lex_state = 247},
  [6282] = {.lex_state = 247},
  [6283] = {.lex_state = 111},
  [6284] = {.lex_state = 247},
  [6285] = {.lex_state = 247},
  [6286] = {.lex_state = 247},
  [6287] = {.lex_state = 247},
  [6288] = {.lex_state = 247},
  [6289] = {.lex_state = 247},
  [6290] = {.lex_state = 247},
  [6291] = {.lex_state = 247},
  [6292] = {.lex_state = 247},
  [6293] = {.lex_state = 247},
  [6294] = {.lex_state = 247},
  [6295] = {.lex_state = 247},
  [6296] = {.lex_state = 247},
  [6297] = {.lex_state = 247},
  [6298] = {.lex_state = 247},
  [6299] = {.lex_state = 247},
  [6300] = {.lex_state = 247},
  [6301] = {.lex_state = 247},
  [6302] = {.lex_state = 247},
  [6303] = {.lex_state = 247},
  [6304] = {.lex_state = 247},
  [6305] = {.lex_state = 247},
  [6306] = {.lex_state = 247},
  [6307] = {.lex_state = 247},
  [6308] = {.lex_state = 247},
  [6309] = {.lex_state = 247},
  [6310] = {.lex_state = 247},
  [6311] = {.lex_state = 247},
  [6312] = {.lex_state = 247},
  [6313] = {.lex_state = 247},
  [6314] = {.lex_state = 247},
  [6315] = {.lex_state = 247},
  [6316] = {.lex_state = 247},
  [6317] = {.lex_state = 208},
  [6318] = {.lex_state = 247},
  [6319] = {.lex_state = 247},
  [6320] = {.lex_state = 247},
  [6321] = {.lex_state = 247},
  [6322] = {.lex_state = 208},
  [6323] = {.lex_state = 247},
  [6324] = {.lex_state = 247},
  [6325] = {.lex_state = 247},
  [6326] = {.lex_state = 247},
  [6327] = {.lex_state = 229},
  [6328] = {.lex_state = 247},
  [6329] = {.lex_state = 247},
  [6330] = {.lex_state = 247},
  [6331] = {.lex_state = 247},
  [6332] = {.lex_state = 247},
  [6333] = {.lex_state = 247},
  [6334] = {.lex_state = 247},
  [6335] = {.lex_state = 247},
  [6336] = {.lex_state = 247},
  [6337] = {.lex_state = 255},
  [6338] = {.lex_state = 247},
  [6339] = {.lex_state = 247},
  [6340] = {.lex_state = 247},
  [6341] = {.lex_state = 247},
  [6342] = {.lex_state = 247},
  [6343] = {.lex_state = 247},
  [6344] = {.lex_state = 247},
  [6345] = {.lex_state = 247},
  [6346] = {.lex_state = 255},
  [6347] = {.lex_state = 247},
  [6348] = {.lex_state = 247},
  [6349] = {.lex_state = 247},
  [6350] = {.lex_state = 247},
  [6351] = {.lex_state = 247},
  [6352] = {.lex_state = 247},
  [6353] = {.lex_state = 247},
  [6354] = {.lex_state = 208},
  [6355] = {.lex_state = 247},
  [6356] = {.lex_state = 247},
  [6357] = {.lex_state = 247},
  [6358] = {.lex_state = 247},
  [6359] = {.lex_state = 247},
  [6360] = {.lex_state = 247},
  [6361] = {.lex_state = 247},
  [6362] = {.lex_state = 247},
  [6363] = {.lex_state = 241},
  [6364] = {.lex_state = 384},
  [6365] = {.lex_state = 247},
  [6366] = {.lex_state = 247},
  [6367] = {.lex_state = 247},
  [6368] = {.lex_state = 247},
  [6369] = {.lex_state = 247},
  [6370] = {.lex_state = 247},
  [6371] = {.lex_state = 255},
  [6372] = {.lex_state = 247},
  [6373] = {.lex_state = 247},
  [6374] = {.lex_state = 247},
  [6375] = {.lex_state = 247},
  [6376] = {.lex_state = 247},
  [6377] = {.lex_state = 247},
  [6378] = {.lex_state = 247},
  [6379] = {.lex_state = 247},
  [6380] = {.lex_state = 247},
  [6381] = {.lex_state = 247},
  [6382] = {.lex_state = 247},
  [6383] = {.lex_state = 229},
  [6384] = {.lex_state = 255},
  [6385] = {.lex_state = 229},
  [6386] = {.lex_state = 285},
  [6387] = {.lex_state = 208},
  [6388] = {.lex_state = 208},
  [6389] = {.lex_state = 208},
  [6390] = {.lex_state = 229},
  [6391] = {.lex_state = 285},
  [6392] = {.lex_state = 208},
  [6393] = {.lex_state = 229},
  [6394] = {.lex_state = 229},
  [6395] = {.lex_state = 255},
  [6396] = {.lex_state = 229},
  [6397] = {.lex_state = 208},
  [6398] = {.lex_state = 285},
  [6399] = {.lex_state = 284},
  [6400] = {.lex_state = 229},
  [6401] = {.lex_state = 208},
  [6402] = {.lex_state = 285},
  [6403] = {.lex_state = 255},
  [6404] = {.lex_state = 285},
  [6405] = {.lex_state = 255},
  [6406] = {.lex_state = 208},
  [6407] = {.lex_state = 285},
  [6408] = {.lex_state = 255},
  [6409] = {.lex_state = 255},
  [6410] = {.lex_state = 255},
  [6411] = {.lex_state = 208},
  [6412] = {.lex_state = 255},
  [6413] = {.lex_state = 255},
  [6414] = {.lex_state = 255},
  [6415] = {.lex_state = 255},
  [6416] = {.lex_state = 208},
  [6417] = {.lex_state = 285},
  [6418] = {.lex_state = 255},
  [6419] = {.lex_state = 208},
  [6420] = {.lex_state = 255},
  [6421] = {.lex_state = 284},
  [6422] = {.lex_state = 208},
  [6423] = {.lex_state = 255},
  [6424] = {.lex_state = 255},
  [6425] = {.lex_state = 255},
  [6426] = {.lex_state = 285},
  [6427] = {.lex_state = 384},
  [6428] = {.lex_state = 229},
  [6429] = {.lex_state = 284},
  [6430] = {.lex_state = 229},
  [6431] = {.lex_state = 208},
  [6432] = {.lex_state = 208},
  [6433] = {.lex_state = 229},
  [6434] = {.lex_state = 208},
  [6435] = {.lex_state = 208},
  [6436] = {.lex_state = 208},
  [6437] = {.lex_state = 285},
  [6438] = {.lex_state = 285},
  [6439] = {.lex_state = 208},
  [6440] = {.lex_state = 208},
  [6441] = {.lex_state = 284},
  [6442] = {.lex_state = 208},
  [6443] = {.lex_state = 285},
  [6444] = {.lex_state = 208},
  [6445] = {.lex_state = 208},
  [6446] = {.lex_state = 285},
  [6447] = {.lex_state = 285},
  [6448] = {.lex_state = 208},
  [6449] = {.lex_state = 208},
  [6450] = {.lex_state = 229},
  [6451] = {.lex_state = 284},
  [6452] = {.lex_state = 208},
  [6453] = {.lex_state = 208},
  [6454] = {.lex_state = 229},
  [6455] = {.lex_state = 208},
  [6456] = {.lex_state = 208},
  [6457] = {.lex_state = 285},
  [6458] = {.lex_state = 208},
  [6459] = {.lex_state = 208},
  [6460] = {.lex_state = 208},
  [6461] = {.lex_state = 208},
  [6462] = {.lex_state = 285},
  [6463] = {.lex_state = 285},
  [6464] = {.lex_state = 285},
  [6465] = {.lex_state = 285},
  [6466] = {.lex_state = 240},
  [6467] = {.lex_state = 208},
  [6468] = {.lex_state = 255},
  [6469] = {.lex_state = 208},
  [6470] = {.lex_state = 208},
  [6471] = {.lex_state = 229},
  [6472] = {.lex_state = 285},
  [6473] = {.lex_state = 284},
  [6474] = {.lex_state = 208},
  [6475] = {.lex_state = 229},
  [6476] = {.lex_state = 229},
  [6477] = {.lex_state = 208},
  [6478] = {.lex_state = 208},
  [6479] = {.lex_state = 208},
  [6480] = {.lex_state = 255},
  [6481] = {.lex_state = 285},
  [6482] = {.lex_state = 208},
  [6483] = {.lex_state = 208},
  [6484] = {.lex_state = 284},
  [6485] = {.lex_state = 229},
  [6486] = {.lex_state = 384},
  [6487] = {.lex_state = 255},
  [6488] = {.lex_state = 285},
  [6489] = {.lex_state = 229},
  [6490] = {.lex_state = 229},
  [6491] = {.lex_state = 208},
  [6492] = {.lex_state = 284},
  [6493] = {.lex_state = 255},
  [6494] = {.lex_state = 284},
  [6495] = {.lex_state = 285},
  [6496] = {.lex_state = 111},
  [6497] = {.lex_state = 384},
  [6498] = {.lex_state = 111},
  [6499] = {.lex_state = 284},
  [6500] = {.lex_state = 247},
  [6501] = {.lex_state = 111},
  [6502] = {.lex_state = 284},
  [6503] = {.lex_state = 384},
  [6504] = {.lex_state = 285},
  [6505] = {.lex_state = 111},
  [6506] = {.lex_state = 384},
  [6507] = {.lex_state = 384},
  [6508] = {.lex_state = 384},
  [6509] = {.lex_state = 384},
  [6510] = {.lex_state = 384},
  [6511] = {.lex_state = 384},
  [6512] = {.lex_state = 111},
  [6513] = {.lex_state = 384},
  [6514] = {.lex_state = 284},
  [6515] = {.lex_state = 384},
  [6516] = {.lex_state = 284},
  [6517] = {.lex_state = 384},
  [6518] = {.lex_state = 384},
  [6519] = {.lex_state = 384},
  [6520] = {.lex_state = 384},
  [6521] = {.lex_state = 284},
  [6522] = {.lex_state = 384},
  [6523] = {.lex_state = 284},
  [6524] = {.lex_state = 284},
  [6525] = {.lex_state = 284},
  [6526] = {.lex_state = 111},
  [6527] = {.lex_state = 247},
  [6528] = {.lex_state = 111},
  [6529] = {.lex_state = 384},
  [6530] = {.lex_state = 111},
  [6531] = {.lex_state = 384},
  [6532] = {.lex_state = 229},
  [6533] = {.lex_state = 384},
  [6534] = {.lex_state = 285},
  [6535] = {.lex_state = 384},
  [6536] = {.lex_state = 111},
  [6537] = {.lex_state = 384},
  [6538] = {.lex_state = 284},
  [6539] = {.lex_state = 384},
  [6540] = {.lex_state = 384},
  [6541] = {.lex_state = 229},
  [6542] = {.lex_state = 284},
  [6543] = {.lex_state = 284},
  [6544] = {.lex_state = 384},
  [6545] = {.lex_state = 384},
  [6546] = {.lex_state = 285},
  [6547] = {.lex_state = 255},
  [6548] = {.lex_state = 111},
  [6549] = {.lex_state = 285},
  [6550] = {.lex_state = 384},
  [6551] = {.lex_state = 111},
  [6552] = {.lex_state = 384},
  [6553] = {.lex_state = 284},
  [6554] = {.lex_state = 247},
  [6555] = {.lex_state = 247},
  [6556] = {.lex_state = 384},
  [6557] = {.lex_state = 284},
  [6558] = {.lex_state = 285},
  [6559] = {.lex_state = 111},
  [6560] = {.lex_state = 384},
  [6561] = {.lex_state = 384},
  [6562] = {.lex_state = 384},
  [6563] = {.lex_state = 384},
  [6564] = {.lex_state = 384},
  [6565] = {.lex_state = 384},
  [6566] = {.lex_state = 111},
  [6567] = {.lex_state = 384},
  [6568] = {.lex_state = 111},
  [6569] = {.lex_state = 111},
  [6570] = {.lex_state = 285},
  [6571] = {.lex_state = 111},
  [6572] = {.lex_state = 384},
  [6573] = {.lex_state = 285},
  [6574] = {.lex_state = 384},
  [6575] = {.lex_state = 111},
  [6576] = {.lex_state = 111},
  [6577] = {.lex_state = 285},
  [6578] = {.lex_state = 111},
  [6579] = {.lex_state = 384},
  [6580] = {.lex_state = 384},
  [6581] = {.lex_state = 284},
  [6582] = {.lex_state = 255},
  [6583] = {.lex_state = 285},
  [6584] = {.lex_state = 111},
  [6585] = {.lex_state = 384},
  [6586] = {.lex_state = 284},
  [6587] = {.lex_state = 384},
  [6588] = {.lex_state = 111},
  [6589] = {.lex_state = 384},
  [6590] = {.lex_state = 229},
  [6591] = {.lex_state = 384},
  [6592] = {.lex_state = 384},
  [6593] = {.lex_state = 111},
  [6594] = {.lex_state = 384},
  [6595] = {.lex_state = 384},
  [6596] = {.lex_state = 284},
  [6597] = {.lex_state = 111},
  [6598] = {.lex_state = 384},
  [6599] = {.lex_state = 284},
  [6600] = {.lex_state = 111},
  [6601] = {.lex_state = 111},
  [6602] = {.lex_state = 287},
  [6603] = {.lex_state = 111},
  [6604] = {.lex_state = 111},
  [6605] = {.lex_state = 384},
  [6606] = {.lex_state = 285},
  [6607] = {.lex_state = 384},
  [6608] = {.lex_state = 384},
  [6609] = {.lex_state = 111},
  [6610] = {.lex_state = 384},
  [6611] = {.lex_state = 111},
  [6612] = {.lex_state = 285},
  [6613] = {.lex_state = 111},
  [6614] = {.lex_state = 111},
  [6615] = {.lex_state = 284},
  [6616] = {.lex_state = 111},
  [6617] = {.lex_state = 284},
  [6618] = {.lex_state = 284},
  [6619] = {.lex_state = 284},
  [6620] = {.lex_state = 284},
  [6621] = {.lex_state = 229},
  [6622] = {.lex_state = 229},
  [6623] = {.lex_state = 111},
  [6624] = {.lex_state = 285},
  [6625] = {.lex_state = 384},
  [6626] = {.lex_state = 285},
  [6627] = {.lex_state = 229},
  [6628] = {.lex_state = 384},
  [6629] = {.lex_state = 284},
  [6630] = {.lex_state = 285},
  [6631] = {.lex_state = 111},
  [6632] = {.lex_state = 384},
  [6633] = {.lex_state = 111},
  [6634] = {.lex_state = 287},
  [6635] = {.lex_state = 384},
  [6636] = {.lex_state = 384},
  [6637] = {.lex_state = 287},
  [6638] = {.lex_state = 287},
  [6639] = {.lex_state = 287},
  [6640] = {.lex_state = 384},
  [6641] = {.lex_state = 384},
  [6642] = {.lex_state = 384},
  [6643] = {.lex_state = 287},
  [6644] = {.lex_state = 287},
  [6645] = {.lex_state = 384},
  [6646] = {.lex_state = 287},
  [6647] = {.lex_state = 287},
  [6648] = {.lex_state = 384},
  [6649] = {.lex_state = 384},
  [6650] = {.lex_state = 384},
  [6651] = {.lex_state = 205},
  [6652] = {.lex_state = 240},
  [6653] = {.lex_state = 384},
  [6654] = {.lex_state = 280},
  [6655] = {.lex_state = 205},
  [6656] = {.lex_state = 284},
  [6657] = {.lex_state = 280},
  [6658] = {.lex_state = 284},
  [6659] = {.lex_state = 205},
  [6660] = {.lex_state = 240},
  [6661] = {.lex_state = 240},
  [6662] = {.lex_state = 287},
  [6663] = {.lex_state = 284},
  [6664] = {.lex_state = 284},
  [6665] = {.lex_state = 284},
  [6666] = {.lex_state = 284},
  [6667] = {.lex_state = 287},
  [6668] = {.lex_state = 284},
  [6669] = {.lex_state = 280},
  [6670] = {.lex_state = 240},
  [6671] = {.lex_state = 284},
  [6672] = {.lex_state = 205},
  [6673] = {.lex_state = 384},
  [6674] = {.lex_state = 284},
  [6675] = {.lex_state = 284},
  [6676] = {.lex_state = 284},
  [6677] = {.lex_state = 284},
  [6678] = {.lex_state = 205},
  [6679] = {.lex_state = 384},
  [6680] = {.lex_state = 384},
  [6681] = {.lex_state = 284},
  [6682] = {.lex_state = 384},
  [6683] = {.lex_state = 384},
  [6684] = {.lex_state = 384},
  [6685] = {.lex_state = 287},
  [6686] = {.lex_state = 384},
  [6687] = {.lex_state = 205},
  [6688] = {.lex_state = 240},
  [6689] = {.lex_state = 384},
  [6690] = {.lex_state = 280},
  [6691] = {.lex_state = 240},
  [6692] = {.lex_state = 384},
  [6693] = {.lex_state = 240},
  [6694] = {.lex_state = 240},
  [6695] = {.lex_state = 229},
  [6696] = {.lex_state = 240},
  [6697] = {.lex_state = 384},
  [6698] = {.lex_state = 384},
  [6699] = {.lex_state = 205},
  [6700] = {.lex_state = 384},
  [6701] = {.lex_state = 384},
  [6702] = {.lex_state = 384},
  [6703] = {.lex_state = 240},
  [6704] = {.lex_state = 205},
  [6705] = {.lex_state = 384},
  [6706] = {.lex_state = 384},
  [6707] = {.lex_state = 205},
  [6708] = {.lex_state = 384},
  [6709] = {.lex_state = 229},
  [6710] = {.lex_state = 384},
  [6711] = {.lex_state = 384},
  [6712] = {.lex_state = 384},
  [6713] = {.lex_state = 384},
  [6714] = {.lex_state = 205},
  [6715] = {.lex_state = 229},
  [6716] = {.lex_state = 205},
  [6717] = {.lex_state = 384},
  [6718] = {.lex_state = 384},
  [6719] = {.lex_state = 384},
  [6720] = {.lex_state = 241},
  [6721] = {.lex_state = 229},
  [6722] = {.lex_state = 284},
  [6723] = {.lex_state = 240},
  [6724] = {.lex_state = 384},
  [6725] = {.lex_state = 284},
  [6726] = {.lex_state = 240},
  [6727] = {.lex_state = 205},
  [6728] = {.lex_state = 205},
  [6729] = {.lex_state = 247},
  [6730] = {.lex_state = 285},
  [6731] = {.lex_state = 285},
  [6732] = {.lex_state = 287},
  [6733] = {.lex_state = 287},
  [6734] = {.lex_state = 384},
  [6735] = {.lex_state = 285},
  [6736] = {.lex_state = 285},
  [6737] = {.lex_state = 285},
  [6738] = {.lex_state = 287},
  [6739] = {.lex_state = 287},
  [6740] = {.lex_state = 384},
  [6741] = {.lex_state = 287},
  [6742] = {.lex_state = 285},
  [6743] = {.lex_state = 285},
  [6744] = {.lex_state = 287},
  [6745] = {.lex_state = 386},
  [6746] = {.lex_state = 205},
  [6747] = {.lex_state = 287},
  [6748] = {.lex_state = 284},
  [6749] = {.lex_state = 385},
  [6750] = {.lex_state = 285},
  [6751] = {.lex_state = 285},
  [6752] = {.lex_state = 287},
  [6753] = {.lex_state = 287},
  [6754] = {.lex_state = 247},
  [6755] = {.lex_state = 287},
  [6756] = {.lex_state = 287},
  [6757] = {.lex_state = 247},
  [6758] = {.lex_state = 247},
  [6759] = {.lex_state = 287},
  [6760] = {.lex_state = 287},
  [6761] = {.lex_state = 287},
  [6762] = {.lex_state = 285},
  [6763] = {.lex_state = 285},
  [6764] = {.lex_state = 287},
  [6765] = {.lex_state = 287},
  [6766] = {.lex_state = 285},
  [6767] = {.lex_state = 285},
  [6768] = {.lex_state = 284},
  [6769] = {.lex_state = 287},
  [6770] = {.lex_state = 287},
  [6771] = {.lex_state = 287},
  [6772] = {.lex_state = 287},
  [6773] = {.lex_state = 385},
  [6774] = {.lex_state = 287},
  [6775] = {.lex_state = 285},
  [6776] = {.lex_state = 284},
  [6777] = {.lex_state = 285},
  [6778] = {.lex_state = 287},
  [6779] = {.lex_state = 287},
  [6780] = {.lex_state = 247},
  [6781] = {.lex_state = 285},
  [6782] = {.lex_state = 285},
  [6783] = {.lex_state = 287},
  [6784] = {.lex_state = 247},
  [6785] = {.lex_state = 287},
  [6786] = {.lex_state = 287},
  [6787] = {.lex_state = 285},
  [6788] = {.lex_state = 247},
  [6789] = {.lex_state = 285},
  [6790] = {.lex_state = 247},
  [6791] = {.lex_state = 285},
  [6792] = {.lex_state = 287},
  [6793] = {.lex_state = 287},
  [6794] = {.lex_state = 287},
  [6795] = {.lex_state = 247},
  [6796] = {.lex_state = 284},
  [6797] = {.lex_state = 284},
  [6798] = {.lex_state = 225},
  [6799] = {.lex_state = 384},
  [6800] = {.lex_state = 247},
  [6801] = {.lex_state = 247},
  [6802] = {.lex_state = 247},
  [6803] = {.lex_state = 225},
  [6804] = {.lex_state = 384},
  [6805] = {.lex_state = 225},
  [6806] = {.lex_state = 384},
  [6807] = {.lex_state = 205},
  [6808] = {.lex_state = 205},
  [6809] = {.lex_state = 247},
  [6810] = {.lex_state = 384},
  [6811] = {.lex_state = 384},
  [6812] = {.lex_state = 384},
  [6813] = {.lex_state = 225},
  [6814] = {.lex_state = 284},
  [6815] = {.lex_state = 384},
  [6816] = {.lex_state = 384},
  [6817] = {.lex_state = 284},
  [6818] = {.lex_state = 384},
  [6819] = {.lex_state = 384},
  [6820] = {.lex_state = 247},
  [6821] = {.lex_state = 225},
  [6822] = {.lex_state = 384},
  [6823] = {.lex_state = 225},
  [6824] = {.lex_state = 225},
  [6825] = {.lex_state = 205},
  [6826] = {.lex_state = 225},
  [6827] = {.lex_state = 225},
  [6828] = {.lex_state = 268},
  [6829] = {.lex_state = 284},
  [6830] = {.lex_state = 205},
  [6831] = {.lex_state = 225},
  [6832] = {.lex_state = 247},
  [6833] = {.lex_state = 205},
  [6834] = {.lex_state = 225},
  [6835] = {.lex_state = 225},
  [6836] = {.lex_state = 384},
  [6837] = {.lex_state = 205},
  [6838] = {.lex_state = 284},
  [6839] = {.lex_state = 284},
  [6840] = {.lex_state = 205},
  [6841] = {.lex_state = 268},
  [6842] = {.lex_state = 268},
  [6843] = {.lex_state = 268},
  [6844] = {.lex_state = 225},
  [6845] = {.lex_state = 225},
  [6846] = {.lex_state = 205},
  [6847] = {.lex_state = 284},
  [6848] = {.lex_state = 234},
  [6849] = {.lex_state = 384},
  [6850] = {.lex_state = 384},
  [6851] = {.lex_state = 205},
  [6852] = {.lex_state = 284},
  [6853] = {.lex_state = 225},
  [6854] = {.lex_state = 225},
  [6855] = {.lex_state = 284},
  [6856] = {.lex_state = 284},
  [6857] = {.lex_state = 284},
  [6858] = {.lex_state = 384},
  [6859] = {.lex_state = 384},
  [6860] = {.lex_state = 268},
  [6861] = {.lex_state = 268},
  [6862] = {.lex_state = 284},
  [6863] = {.lex_state = 384},
  [6864] = {.lex_state = 284},
  [6865] = {.lex_state = 384},
  [6866] = {.lex_state = 384},
  [6867] = {.lex_state = 225},
  [6868] = {.lex_state = 268},
  [6869] = {.lex_state = 384},
  [6870] = {.lex_state = 225},
  [6871] = {.lex_state = 225},
  [6872] = {.lex_state = 209},
  [6873] = {.lex_state = 268},
  [6874] = {.lex_state = 205},
  [6875] = {.lex_state = 205},
  [6876] = {.lex_state = 205},
  [6877] = {.lex_state = 247},
  [6878] = {.lex_state = 225},
  [6879] = {.lex_state = 247},
  [6880] = {.lex_state = 384},
  [6881] = {.lex_state = 384},
  [6882] = {.lex_state = 384},
  [6883] = {.lex_state = 385},
  [6884] = {.lex_state = 384},
  [6885] = {.lex_state = 385},
  [6886] = {.lex_state = 247},
  [6887] = {.lex_state = 247},
  [6888] = {.lex_state = 384},
  [6889] = {.lex_state = 247},
  [6890] = {.lex_state = 280},
  [6891] = {.lex_state = 287},
  [6892] = {.lex_state = 385},
  [6893] = {.lex_state = 237},
  [6894] = {.lex_state = 385},
  [6895] = {.lex_state = 384},
  [6896] = {.lex_state = 247},
  [6897] = {.lex_state = 247},
  [6898] = {.lex_state = 287},
  [6899] = {.lex_state = 287},
  [6900] = {.lex_state = 384},
  [6901] = {.lex_state = 385},
  [6902] = {.lex_state = 247},
  [6903] = {.lex_state = 237},
  [6904] = {.lex_state = 247},
  [6905] = {.lex_state = 385},
  [6906] = {.lex_state = 384},
  [6907] = {.lex_state = 384},
  [6908] = {.lex_state = 384},
  [6909] = {.lex_state = 225},
  [6910] = {.lex_state = 384},
  [6911] = {.lex_state = 247},
  [6912] = {.lex_state = 247},
  [6913] = {.lex_state = 225},
  [6914] = {.lex_state = 237},
  [6915] = {.lex_state = 247},
  [6916] = {.lex_state = 284},
  [6917] = {.lex_state = 384},
  [6918] = {.lex_state = 384},
  [6919] = {.lex_state = 284},
  [6920] = {.lex_state = 384},
  [6921] = {.lex_state = 247},
  [6922] = {.lex_state = 385},
  [6923] = {.lex_state = 287},
  [6924] = {.lex_state = 287},
  [6925] = {.lex_state = 384},
  [6926] = {.lex_state = 247},
  [6927] = {.lex_state = 385},
  [6928] = {.lex_state = 284},
  [6929] = {.lex_state = 384},
  [6930] = {.lex_state = 287},
  [6931] = {.lex_state = 385},
  [6932] = {.lex_state = 287},
  [6933] = {.lex_state = 384},
  [6934] = {.lex_state = 237},
  [6935] = {.lex_state = 247},
  [6936] = {.lex_state = 247},
  [6937] = {.lex_state = 237},
  [6938] = {.lex_state = 225},
  [6939] = {.lex_state = 284},
  [6940] = {.lex_state = 237},
  [6941] = {.lex_state = 247},
  [6942] = {.lex_state = 247},
  [6943] = {.lex_state = 247},
  [6944] = {.lex_state = 233},
  [6945] = {.lex_state = 385},
  [6946] = {.lex_state = 284},
  [6947] = {.lex_state = 247},
  [6948] = {.lex_state = 247},
  [6949] = {.lex_state = 385},
  [6950] = {.lex_state = 385},
  [6951] = {.lex_state = 225},
  [6952] = {.lex_state = 280},
  [6953] = {.lex_state = 247},
  [6954] = {.lex_state = 247},
  [6955] = {.lex_state = 268},
  [6956] = {.lex_state = 384},
  [6957] = {.lex_state = 268},
  [6958] = {.lex_state = 385},
  [6959] = {.lex_state = 237},
  [6960] = {.lex_state = 237},
  [6961] = {.lex_state = 247},
  [6962] = {.lex_state = 384},
  [6963] = {.lex_state = 284},
  [6964] = {.lex_state = 247},
  [6965] = {.lex_state = 247},
  [6966] = {.lex_state = 284},
  [6967] = {.lex_state = 225},
  [6968] = {.lex_state = 384},
  [6969] = {.lex_state = 384},
  [6970] = {.lex_state = 384},
  [6971] = {.lex_state = 225},
  [6972] = {.lex_state = 225},
  [6973] = {.lex_state = 247},
  [6974] = {.lex_state = 237},
  [6975] = {.lex_state = 384},
  [6976] = {.lex_state = 268},
  [6977] = {.lex_state = 237},
  [6978] = {.lex_state = 384},
  [6979] = {.lex_state = 268},
  [6980] = {.lex_state = 287},
  [6981] = {.lex_state = 247},
  [6982] = {.lex_state = 247},
  [6983] = {.lex_state = 247},
  [6984] = {.lex_state = 247},
  [6985] = {.lex_state = 384},
  [6986] = {.lex_state = 247},
  [6987] = {.lex_state = 385},
  [6988] = {.lex_state = 385},
  [6989] = {.lex_state = 247},
  [6990] = {.lex_state = 385},
  [6991] = {.lex_state = 280},
  [6992] = {.lex_state = 247},
  [6993] = {.lex_state = 247},
  [6994] = {.lex_state = 284},
  [6995] = {.lex_state = 237},
  [6996] = {.lex_state = 247},
  [6997] = {.lex_state = 384},
  [6998] = {.lex_state = 268},
  [6999] = {.lex_state = 385},
  [7000] = {.lex_state = 237},
  [7001] = {.lex_state = 268},
  [7002] = {.lex_state = 385},
  [7003] = {.lex_state = 268},
  [7004] = {.lex_state = 385},
  [7005] = {.lex_state = 268},
  [7006] = {.lex_state = 225},
  [7007] = {.lex_state = 385},
  [7008] = {.lex_state = 247},
  [7009] = {.lex_state = 280},
  [7010] = {.lex_state = 385},
  [7011] = {.lex_state = 384},
  [7012] = {.lex_state = 384},
  [7013] = {.lex_state = 229},
  [7014] = {.lex_state = 384},
  [7015] = {.lex_state = 384},
  [7016] = {.lex_state = 236},
  [7017] = {.lex_state = 384},
  [7018] = {.lex_state = 384},
  [7019] = {.lex_state = 384},
  [7020] = {.lex_state = 0},
  [7021] = {.lex_state = 236},
  [7022] = {.lex_state = 384},
  [7023] = {.lex_state = 236},
  [7024] = {.lex_state = 384},
  [7025] = {.lex_state = 229},
  [7026] = {.lex_state = 384},
  [7027] = {.lex_state = 284},
  [7028] = {.lex_state = 247},
  [7029] = {.lex_state = 384},
  [7030] = {.lex_state = 236},
  [7031] = {.lex_state = 236},
  [7032] = {.lex_state = 229},
  [7033] = {.lex_state = 229},
  [7034] = {.lex_state = 229},
  [7035] = {.lex_state = 384},
  [7036] = {.lex_state = 284},
  [7037] = {.lex_state = 229},
  [7038] = {.lex_state = 236},
  [7039] = {.lex_state = 384},
  [7040] = {.lex_state = 284},
  [7041] = {.lex_state = 284},
  [7042] = {.lex_state = 0},
  [7043] = {.lex_state = 284},
  [7044] = {.lex_state = 284},
  [7045] = {.lex_state = 384},
  [7046] = {.lex_state = 384},
  [7047] = {.lex_state = 236},
  [7048] = {.lex_state = 247},
  [7049] = {.lex_state = 384},
  [7050] = {.lex_state = 384},
  [7051] = {.lex_state = 0},
  [7052] = {.lex_state = 229},
  [7053] = {.lex_state = 236},
  [7054] = {.lex_state = 229},
  [7055] = {.lex_state = 284},
  [7056] = {.lex_state = 284},
  [7057] = {.lex_state = 229},
  [7058] = {.lex_state = 384},
  [7059] = {.lex_state = 384},
  [7060] = {.lex_state = 384},
  [7061] = {.lex_state = 229},
  [7062] = {.lex_state = 229},
  [7063] = {.lex_state = 384},
  [7064] = {.lex_state = 229},
  [7065] = {.lex_state = 229},
  [7066] = {.lex_state = 384},
  [7067] = {.lex_state = 384},
  [7068] = {.lex_state = 229},
  [7069] = {.lex_state = 384},
  [7070] = {.lex_state = 384},
  [7071] = {.lex_state = 384},
  [7072] = {.lex_state = 384},
  [7073] = {.lex_state = 384},
  [7074] = {.lex_state = 247},
  [7075] = {.lex_state = 205},
  [7076] = {.lex_state = 205},
  [7077] = {.lex_state = 384},
  [7078] = {.lex_state = 247},
  [7079] = {.lex_state = 384},
  [7080] = {.lex_state = 384},
  [7081] = {.lex_state = 384},
  [7082] = {.lex_state = 384},
  [7083] = {.lex_state = 247},
  [7084] = {.lex_state = 0},
  [7085] = {.lex_state = 384},
  [7086] = {.lex_state = 229},
  [7087] = {.lex_state = 229},
  [7088] = {.lex_state = 384},
  [7089] = {.lex_state = 384},
  [7090] = {.lex_state = 0},
  [7091] = {.lex_state = 229},
  [7092] = {.lex_state = 384},
  [7093] = {.lex_state = 247},
  [7094] = {.lex_state = 384},
  [7095] = {.lex_state = 384},
  [7096] = {.lex_state = 384},
  [7097] = {.lex_state = 247},
  [7098] = {.lex_state = 229},
  [7099] = {.lex_state = 384},
  [7100] = {.lex_state = 384},
  [7101] = {.lex_state = 229},
  [7102] = {.lex_state = 0},
  [7103] = {.lex_state = 384},
  [7104] = {.lex_state = 205},
  [7105] = {.lex_state = 384},
  [7106] = {.lex_state = 384},
  [7107] = {.lex_state = 384},
  [7108] = {.lex_state = 384},
  [7109] = {.lex_state = 384},
  [7110] = {.lex_state = 384},
  [7111] = {.lex_state = 384},
  [7112] = {.lex_state = 229},
  [7113] = {.lex_state = 0},
  [7114] = {.lex_state = 229},
  [7115] = {.lex_state = 229},
  [7116] = {.lex_state = 0},
  [7117] = {.lex_state = 384},
  [7118] = {.lex_state = 229},
  [7119] = {.lex_state = 384},
  [7120] = {.lex_state = 247},
  [7121] = {.lex_state = 384},
  [7122] = {.lex_state = 0},
  [7123] = {.lex_state = 229},
  [7124] = {.lex_state = 384},
  [7125] = {.lex_state = 247},
  [7126] = {.lex_state = 247},
  [7127] = {.lex_state = 247},
  [7128] = {.lex_state = 247},
  [7129] = {.lex_state = 247},
  [7130] = {.lex_state = 247},
  [7131] = {.lex_state = 247},
  [7132] = {.lex_state = 384},
  [7133] = {.lex_state = 247},
  [7134] = {.lex_state = 384},
  [7135] = {.lex_state = 247},
  [7136] = {.lex_state = 247},
  [7137] = {.lex_state = 247},
  [7138] = {.lex_state = 247},
  [7139] = {.lex_state = 268},
  [7140] = {.lex_state = 237},
  [7141] = {.lex_state = 268},
  [7142] = {.lex_state = 247},
  [7143] = {.lex_state = 247},
  [7144] = {.lex_state = 247},
  [7145] = {.lex_state = 237},
  [7146] = {.lex_state = 247},
  [7147] = {.lex_state = 247},
  [7148] = {.lex_state = 237},
  [7149] = {.lex_state = 237},
  [7150] = {.lex_state = 237},
  [7151] = {.lex_state = 237},
  [7152] = {.lex_state = 268},
  [7153] = {.lex_state = 240},
  [7154] = {.lex_state = 247},
  [7155] = {.lex_state = 384},
  [7156] = {.lex_state = 268},
  [7157] = {.lex_state = 247},
  [7158] = {.lex_state = 0},
  [7159] = {.lex_state = 247},
  [7160] = {.lex_state = 268},
  [7161] = {.lex_state = 247},
  [7162] = {.lex_state = 247},
  [7163] = {.lex_state = 247},
  [7164] = {.lex_state = 268},
  [7165] = {.lex_state = 390},
  [7166] = {.lex_state = 268},
  [7167] = {.lex_state = 268},
  [7168] = {.lex_state = 268},
  [7169] = {.lex_state = 268},
  [7170] = {.lex_state = 237},
  [7171] = {.lex_state = 268},
  [7172] = {.lex_state = 247},
  [7173] = {.lex_state = 390},
  [7174] = {.lex_state = 247},
  [7175] = {.lex_state = 247},
  [7176] = {.lex_state = 247},
  [7177] = {.lex_state = 390},
  [7178] = {.lex_state = 390},
  [7179] = {.lex_state = 384},
  [7180] = {.lex_state = 247},
  [7181] = {.lex_state = 247},
  [7182] = {.lex_state = 247},
  [7183] = {.lex_state = 384},
  [7184] = {.lex_state = 247},
  [7185] = {.lex_state = 247},
  [7186] = {.lex_state = 247},
  [7187] = {.lex_state = 247},
  [7188] = {.lex_state = 247},
  [7189] = {.lex_state = 390},
  [7190] = {.lex_state = 247},
  [7191] = {.lex_state = 237},
  [7192] = {.lex_state = 268},
  [7193] = {.lex_state = 247},
  [7194] = {.lex_state = 247},
  [7195] = {.lex_state = 247},
  [7196] = {.lex_state = 247},
  [7197] = {.lex_state = 247},
  [7198] = {.lex_state = 247},
  [7199] = {.lex_state = 384},
  [7200] = {.lex_state = 384},
  [7201] = {.lex_state = 263},
  [7202] = {.lex_state = 384},
  [7203] = {.lex_state = 247},
  [7204] = {.lex_state = 247},
  [7205] = {.lex_state = 384},
  [7206] = {.lex_state = 247},
  [7207] = {.lex_state = 247},
  [7208] = {.lex_state = 247},
  [7209] = {.lex_state = 247},
  [7210] = {.lex_state = 247},
  [7211] = {.lex_state = 247},
  [7212] = {.lex_state = 247},
  [7213] = {.lex_state = 247},
  [7214] = {.lex_state = 247},
  [7215] = {.lex_state = 236},
  [7216] = {.lex_state = 263},
  [7217] = {.lex_state = 247},
  [7218] = {.lex_state = 287},
  [7219] = {.lex_state = 287},
  [7220] = {.lex_state = 234},
  [7221] = {.lex_state = 234},
  [7222] = {.lex_state = 247},
  [7223] = {.lex_state = 263},
  [7224] = {.lex_state = 247},
  [7225] = {.lex_state = 247},
  [7226] = {.lex_state = 263},
  [7227] = {.lex_state = 247},
  [7228] = {.lex_state = 287},
  [7229] = {.lex_state = 247},
  [7230] = {.lex_state = 384},
  [7231] = {.lex_state = 247},
  [7232] = {.lex_state = 236},
  [7233] = {.lex_state = 384},
  [7234] = {.lex_state = 234},
  [7235] = {.lex_state = 247},
  [7236] = {.lex_state = 247},
  [7237] = {.lex_state = 247},
  [7238] = {.lex_state = 236},
  [7239] = {.lex_state = 247},
  [7240] = {.lex_state = 236},
  [7241] = {.lex_state = 263},
  [7242] = {.lex_state = 247},
  [7243] = {.lex_state = 236},
  [7244] = {.lex_state = 247},
  [7245] = {.lex_state = 247},
  [7246] = {.lex_state = 384},
  [7247] = {.lex_state = 263},
  [7248] = {.lex_state = 247},
  [7249] = {.lex_state = 236},
  [7250] = {.lex_state = 236},
  [7251] = {.lex_state = 384},
  [7252] = {.lex_state = 247},
  [7253] = {.lex_state = 236},
  [7254] = {.lex_state = 247},
  [7255] = {.lex_state = 384},
  [7256] = {.lex_state = 236},
  [7257] = {.lex_state = 247},
  [7258] = {.lex_state = 263},
  [7259] = {.lex_state = 236},
  [7260] = {.lex_state = 247},
  [7261] = {.lex_state = 247},
  [7262] = {.lex_state = 384},
  [7263] = {.lex_state = 247},
  [7264] = {.lex_state = 247},
  [7265] = {.lex_state = 247},
  [7266] = {.lex_state = 247},
  [7267] = {.lex_state = 236},
  [7268] = {.lex_state = 247},
  [7269] = {.lex_state = 247},
  [7270] = {.lex_state = 247},
  [7271] = {.lex_state = 247},
  [7272] = {.lex_state = 247},
  [7273] = {.lex_state = 287},
  [7274] = {.lex_state = 263},
  [7275] = {.lex_state = 236},
  [7276] = {.lex_state = 229},
  [7277] = {.lex_state = 247},
  [7278] = {.lex_state = 268},
  [7279] = {.lex_state = 229},
  [7280] = {.lex_state = 229},
  [7281] = {.lex_state = 390},
  [7282] = {.lex_state = 384},
  [7283] = {.lex_state = 384},
  [7284] = {.lex_state = 229},
  [7285] = {.lex_state = 229},
  [7286] = {.lex_state = 384},
  [7287] = {.lex_state = 229},
  [7288] = {.lex_state = 247},
  [7289] = {.lex_state = 384},
  [7290] = {.lex_state = 229},
  [7291] = {.lex_state = 229},
  [7292] = {.lex_state = 229},
  [7293] = {.lex_state = 384},
  [7294] = {.lex_state = 229},
  [7295] = {.lex_state = 229},
  [7296] = {.lex_state = 209},
  [7297] = {.lex_state = 229},
  [7298] = {.lex_state = 384},
  [7299] = {.lex_state = 247},
  [7300] = {.lex_state = 268},
  [7301] = {.lex_state = 229},
  [7302] = {.lex_state = 384},
  [7303] = {.lex_state = 247},
  [7304] = {.lex_state = 247},
  [7305] = {.lex_state = 247},
  [7306] = {.lex_state = 390},
  [7307] = {.lex_state = 209},
  [7308] = {.lex_state = 268},
  [7309] = {.lex_state = 229},
  [7310] = {.lex_state = 229},
  [7311] = {.lex_state = 268},
  [7312] = {.lex_state = 229},
  [7313] = {.lex_state = 268},
  [7314] = {.lex_state = 247},
  [7315] = {.lex_state = 268},
  [7316] = {.lex_state = 268},
  [7317] = {.lex_state = 268},
  [7318] = {.lex_state = 390},
  [7319] = {.lex_state = 247},
  [7320] = {.lex_state = 247},
  [7321] = {.lex_state = 236},
  [7322] = {.lex_state = 247},
  [7323] = {.lex_state = 281},
  [7324] = {.lex_state = 247},
  [7325] = {.lex_state = 247},
  [7326] = {.lex_state = 247},
  [7327] = {.lex_state = 247},
  [7328] = {.lex_state = 281},
  [7329] = {.lex_state = 247},
  [7330] = {.lex_state = 247},
  [7331] = {.lex_state = 390},
  [7332] = {.lex_state = 247},
  [7333] = {.lex_state = 247},
  [7334] = {.lex_state = 236},
  [7335] = {.lex_state = 247},
  [7336] = {.lex_state = 281},
  [7337] = {.lex_state = 247},
  [7338] = {.lex_state = 247},
  [7339] = {.lex_state = 247},
  [7340] = {.lex_state = 247},
  [7341] = {.lex_state = 247},
  [7342] = {.lex_state = 247},
  [7343] = {.lex_state = 247},
  [7344] = {.lex_state = 247},
  [7345] = {.lex_state = 205},
  [7346] = {.lex_state = 236},
  [7347] = {.lex_state = 247},
  [7348] = {.lex_state = 236},
  [7349] = {.lex_state = 247},
  [7350] = {.lex_state = 247},
  [7351] = {.lex_state = 247},
  [7352] = {.lex_state = 247},
  [7353] = {.lex_state = 247},
  [7354] = {.lex_state = 281},
  [7355] = {.lex_state = 247},
  [7356] = {.lex_state = 247},
  [7357] = {.lex_state = 247},
  [7358] = {.lex_state = 247},
  [7359] = {.lex_state = 236},
  [7360] = {.lex_state = 236},
  [7361] = {.lex_state = 236},
  [7362] = {.lex_state = 240},
  [7363] = {.lex_state = 247},
  [7364] = {.lex_state = 247},
  [7365] = {.lex_state = 247},
  [7366] = {.lex_state = 247},
  [7367] = {.lex_state = 247},
  [7368] = {.lex_state = 247},
  [7369] = {.lex_state = 247},
  [7370] = {.lex_state = 247},
  [7371] = {.lex_state = 247},
  [7372] = {.lex_state = 247},
  [7373] = {.lex_state = 247},
  [7374] = {.lex_state = 281},
  [7375] = {.lex_state = 247},
  [7376] = {.lex_state = 236},
  [7377] = {.lex_state = 390},
  [7378] = {.lex_state = 240},
  [7379] = {.lex_state = 247},
  [7380] = {.lex_state = 390},
  [7381] = {.lex_state = 390},
  [7382] = {.lex_state = 247},
  [7383] = {.lex_state = 247},
  [7384] = {.lex_state = 390},
  [7385] = {.lex_state = 390},
  [7386] = {.lex_state = 236},
  [7387] = {.lex_state = 247},
  [7388] = {.lex_state = 234},
  [7389] = {.lex_state = 247},
  [7390] = {.lex_state = 390},
  [7391] = {.lex_state = 390},
  [7392] = {.lex_state = 237},
  [7393] = {.lex_state = 247},
  [7394] = {.lex_state = 390},
  [7395] = {.lex_state = 390},
  [7396] = {.lex_state = 247},
  [7397] = {.lex_state = 234},
  [7398] = {.lex_state = 390},
  [7399] = {.lex_state = 390},
  [7400] = {.lex_state = 390},
  [7401] = {.lex_state = 284},
  [7402] = {.lex_state = 390},
  [7403] = {.lex_state = 390},
  [7404] = {.lex_state = 236},
  [7405] = {.lex_state = 390},
  [7406] = {.lex_state = 287},
  [7407] = {.lex_state = 390},
  [7408] = {.lex_state = 236},
  [7409] = {.lex_state = 205},
  [7410] = {.lex_state = 390},
  [7411] = {.lex_state = 390},
  [7412] = {.lex_state = 390},
  [7413] = {.lex_state = 205},
  [7414] = {.lex_state = 229},
  [7415] = {.lex_state = 390},
  [7416] = {.lex_state = 229},
  [7417] = {.lex_state = 237},
  [7418] = {.lex_state = 237},
  [7419] = {.lex_state = 247},
  [7420] = {.lex_state = 237},
  [7421] = {.lex_state = 247},
  [7422] = {.lex_state = 284},
  [7423] = {.lex_state = 237},
  [7424] = {.lex_state = 237},
  [7425] = {.lex_state = 381},
  [7426] = {.lex_state = 390},
  [7427] = {.lex_state = 390},
  [7428] = {.lex_state = 390},
  [7429] = {.lex_state = 247},
  [7430] = {.lex_state = 390},
  [7431] = {.lex_state = 237},
  [7432] = {.lex_state = 390},
  [7433] = {.lex_state = 390},
  [7434] = {.lex_state = 237},
  [7435] = {.lex_state = 390},
  [7436] = {.lex_state = 390},
  [7437] = {.lex_state = 284},
  [7438] = {.lex_state = 390},
  [7439] = {.lex_state = 236},
  [7440] = {.lex_state = 236},
  [7441] = {.lex_state = 247},
  [7442] = {.lex_state = 247},
  [7443] = {.lex_state = 236},
  [7444] = {.lex_state = 390},
  [7445] = {.lex_state = 205},
  [7446] = {.lex_state = 205},
  [7447] = {.lex_state = 390},
  [7448] = {.lex_state = 205},
  [7449] = {.lex_state = 236},
  [7450] = {.lex_state = 390},
  [7451] = {.lex_state = 205},
  [7452] = {.lex_state = 240},
  [7453] = {.lex_state = 390},
  [7454] = {.lex_state = 205},
  [7455] = {.lex_state = 247},
  [7456] = {.lex_state = 247},
  [7457] = {.lex_state = 247},
  [7458] = {.lex_state = 284},
  [7459] = {.lex_state = 205},
  [7460] = {.lex_state = 205},
  [7461] = {.lex_state = 240},
  [7462] = {.lex_state = 205},
  [7463] = {.lex_state = 205},
  [7464] = {.lex_state = 205},
  [7465] = {.lex_state = 247},
  [7466] = {.lex_state = 205},
  [7467] = {.lex_state = 390},
  [7468] = {.lex_state = 205},
  [7469] = {.lex_state = 240},
  [7470] = {.lex_state = 205},
  [7471] = {.lex_state = 205},
  [7472] = {.lex_state = 247},
  [7473] = {.lex_state = 390},
  [7474] = {.lex_state = 247},
  [7475] = {.lex_state = 247},
  [7476] = {.lex_state = 236},
  [7477] = {.lex_state = 247},
  [7478] = {.lex_state = 247},
  [7479] = {.lex_state = 205},
  [7480] = {.lex_state = 390},
  [7481] = {.lex_state = 205},
  [7482] = {.lex_state = 205},
  [7483] = {.lex_state = 390},
  [7484] = {.lex_state = 390},
  [7485] = {.lex_state = 234},
  [7486] = {.lex_state = 236},
  [7487] = {.lex_state = 247},
  [7488] = {.lex_state = 390},
  [7489] = {.lex_state = 205},
  [7490] = {.lex_state = 236},
  [7491] = {.lex_state = 236},
  [7492] = {.lex_state = 205},
  [7493] = {.lex_state = 205},
  [7494] = {.lex_state = 390},
  [7495] = {.lex_state = 390},
  [7496] = {.lex_state = 205},
  [7497] = {.lex_state = 205},
  [7498] = {.lex_state = 205},
  [7499] = {.lex_state = 247},
  [7500] = {.lex_state = 205},
  [7501] = {.lex_state = 390},
  [7502] = {.lex_state = 247},
  [7503] = {.lex_state = 229},
  [7504] = {.lex_state = 229},
  [7505] = {.lex_state = 284},
  [7506] = {.lex_state = 247},
  [7507] = {.lex_state = 284},
  [7508] = {.lex_state = 247},
  [7509] = {.lex_state = 0},
  [7510] = {.lex_state = 229},
  [7511] = {.lex_state = 229},
  [7512] = {.lex_state = 284},
  [7513] = {.lex_state = 247},
  [7514] = {.lex_state = 234},
  [7515] = {.lex_state = 284},
  [7516] = {.lex_state = 247},
  [7517] = {.lex_state = 247},
  [7518] = {.lex_state = 247},
  [7519] = {.lex_state = 229},
  [7520] = {.lex_state = 229},
  [7521] = {.lex_state = 284},
  [7522] = {.lex_state = 284},
  [7523] = {.lex_state = 0},
  [7524] = {.lex_state = 205},
  [7525] = {.lex_state = 284},
  [7526] = {.lex_state = 284},
  [7527] = {.lex_state = 229},
  [7528] = {.lex_state = 247},
  [7529] = {.lex_state = 284},
  [7530] = {.lex_state = 284},
  [7531] = {.lex_state = 247},
  [7532] = {.lex_state = 247},
  [7533] = {.lex_state = 247},
  [7534] = {.lex_state = 390},
  [7535] = {.lex_state = 229},
  [7536] = {.lex_state = 284},
  [7537] = {.lex_state = 229},
  [7538] = {.lex_state = 390},
  [7539] = {.lex_state = 247},
  [7540] = {.lex_state = 247},
  [7541] = {.lex_state = 390},
  [7542] = {.lex_state = 390},
  [7543] = {.lex_state = 236},
  [7544] = {.lex_state = 284},
  [7545] = {.lex_state = 247},
  [7546] = {.lex_state = 287},
  [7547] = {.lex_state = 284},
  [7548] = {.lex_state = 284},
  [7549] = {.lex_state = 247},
  [7550] = {.lex_state = 247},
  [7551] = {.lex_state = 284},
  [7552] = {.lex_state = 247},
  [7553] = {.lex_state = 247},
  [7554] = {.lex_state = 247},
  [7555] = {.lex_state = 247},
  [7556] = {.lex_state = 284},
  [7557] = {.lex_state = 229},
  [7558] = {.lex_state = 247},
  [7559] = {.lex_state = 229},
  [7560] = {.lex_state = 284},
  [7561] = {.lex_state = 284},
  [7562] = {.lex_state = 247},
  [7563] = {.lex_state = 247},
  [7564] = {.lex_state = 247},
  [7565] = {.lex_state = 205},
  [7566] = {.lex_state = 247},
  [7567] = {.lex_state = 268},
  [7568] = {.lex_state = 247},
  [7569] = {.lex_state = 247},
  [7570] = {.lex_state = 209},
  [7571] = {.lex_state = 247},
  [7572] = {.lex_state = 247},
  [7573] = {.lex_state = 390},
  [7574] = {.lex_state = 209},
  [7575] = {.lex_state = 209},
  [7576] = {.lex_state = 209},
  [7577] = {.lex_state = 247},
  [7578] = {.lex_state = 247},
  [7579] = {.lex_state = 247},
  [7580] = {.lex_state = 247},
  [7581] = {.lex_state = 247},
  [7582] = {.lex_state = 247},
  [7583] = {.lex_state = 209},
  [7584] = {.lex_state = 247},
  [7585] = {.lex_state = 247},
  [7586] = {.lex_state = 247},
  [7587] = {.lex_state = 247},
  [7588] = {.lex_state = 390},
  [7589] = {.lex_state = 247},
  [7590] = {.lex_state = 205},
  [7591] = {.lex_state = 247},
  [7592] = {.lex_state = 247},
  [7593] = {.lex_state = 247},
  [7594] = {.lex_state = 247},
  [7595] = {.lex_state = 209},
  [7596] = {.lex_state = 247},
  [7597] = {.lex_state = 247},
  [7598] = {.lex_state = 247},
  [7599] = {.lex_state = 247},
  [7600] = {.lex_state = 209},
  [7601] = {.lex_state = 247},
  [7602] = {.lex_state = 247},
  [7603] = {.lex_state = 247},
  [7604] = {.lex_state = 205},
  [7605] = {.lex_state = 247},
  [7606] = {.lex_state = 247},
  [7607] = {.lex_state = 247},
  [7608] = {.lex_state = 205},
  [7609] = {.lex_state = 247},
  [7610] = {.lex_state = 247},
  [7611] = {.lex_state = 247},
  [7612] = {.lex_state = 390},
  [7613] = {.lex_state = 284},
  [7614] = {.lex_state = 390},
  [7615] = {.lex_state = 268},
  [7616] = {.lex_state = 247},
  [7617] = {.lex_state = 247},
  [7618] = {.lex_state = 247},
  [7619] = {.lex_state = 247},
  [7620] = {.lex_state = 247},
  [7621] = {.lex_state = 205},
  [7622] = {.lex_state = 390},
  [7623] = {.lex_state = 247},
  [7624] = {.lex_state = 247},
  [7625] = {.lex_state = 247},
  [7626] = {.lex_state = 247},
  [7627] = {.lex_state = 247},
  [7628] = {.lex_state = 247},
  [7629] = {.lex_state = 247},
  [7630] = {.lex_state = 247},
  [7631] = {.lex_state = 247},
  [7632] = {.lex_state = 390},
  [7633] = {.lex_state = 209},
  [7634] = {.lex_state = 205},
  [7635] = {.lex_state = 390},
  [7636] = {.lex_state = 247},
  [7637] = {.lex_state = 209},
  [7638] = {.lex_state = 205},
  [7639] = {.lex_state = 247},
  [7640] = {.lex_state = 209},
  [7641] = {.lex_state = 209},
  [7642] = {.lex_state = 209},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 120},
  [7645] = {.lex_state = 205},
  [7646] = {.lex_state = 120},
  [7647] = {.lex_state = 247},
  [7648] = {.lex_state = 122},
  [7649] = {.lex_state = 247},
  [7650] = {.lex_state = 390},
  [7651] = {.lex_state = 390},
  [7652] = {.lex_state = 122},
  [7653] = {.lex_state = 247},
  [7654] = {.lex_state = 390},
  [7655] = {.lex_state = 390},
  [7656] = {.lex_state = 120},
  [7657] = {.lex_state = 390},
  [7658] = {.lex_state = 120},
  [7659] = {.lex_state = 247},
  [7660] = {.lex_state = 390},
  [7661] = {.lex_state = 390},
  [7662] = {.lex_state = 205},
  [7663] = {.lex_state = 209},
  [7664] = {.lex_state = 205},
  [7665] = {.lex_state = 209},
  [7666] = {.lex_state = 247},
  [7667] = {.lex_state = 209},
  [7668] = {.lex_state = 390},
  [7669] = {.lex_state = 0},
  [7670] = {.lex_state = 247},
  [7671] = {.lex_state = 0},
  [7672] = {.lex_state = 247},
  [7673] = {.lex_state = 209},
  [7674] = {.lex_state = 120},
  [7675] = {.lex_state = 390},
  [7676] = {.lex_state = 390},
  [7677] = {.lex_state = 122},
  [7678] = {.lex_state = 120},
  [7679] = {.lex_state = 209},
  [7680] = {.lex_state = 0},
  [7681] = {.lex_state = 247},
  [7682] = {.lex_state = 390},
  [7683] = {.lex_state = 120},
  [7684] = {.lex_state = 205},
  [7685] = {.lex_state = 205},
  [7686] = {.lex_state = 120},
  [7687] = {.lex_state = 122},
  [7688] = {.lex_state = 284},
  [7689] = {.lex_state = 209},
  [7690] = {.lex_state = 247},
  [7691] = {.lex_state = 390},
  [7692] = {.lex_state = 247},
  [7693] = {.lex_state = 120},
  [7694] = {.lex_state = 205},
  [7695] = {.lex_state = 247},
  [7696] = {.lex_state = 390},
  [7697] = {.lex_state = 120},
  [7698] = {.lex_state = 390},
  [7699] = {.lex_state = 390},
  [7700] = {.lex_state = 123},
  [7701] = {.lex_state = 247},
  [7702] = {.lex_state = 120},
  [7703] = {.lex_state = 122},
  [7704] = {.lex_state = 205},
  [7705] = {.lex_state = 205},
  [7706] = {.lex_state = 120},
  [7707] = {.lex_state = 205},
  [7708] = {.lex_state = 390},
  [7709] = {.lex_state = 120},
  [7710] = {.lex_state = 390},
  [7711] = {.lex_state = 205},
  [7712] = {.lex_state = 247},
  [7713] = {.lex_state = 122},
  [7714] = {.lex_state = 247},
  [7715] = {.lex_state = 209},
  [7716] = {.lex_state = 205},
  [7717] = {.lex_state = 247},
  [7718] = {.lex_state = 123},
  [7719] = {.lex_state = 209},
  [7720] = {.lex_state = 209},
  [7721] = {.lex_state = 120},
  [7722] = {.lex_state = 122},
  [7723] = {.lex_state = 120},
  [7724] = {.lex_state = 120},
  [7725] = {.lex_state = 247},
  [7726] = {.lex_state = 205},
  [7727] = {.lex_state = 120},
  [7728] = {.lex_state = 247},
  [7729] = {.lex_state = 247},
  [7730] = {.lex_state = 247},
  [7731] = {.lex_state = 205},
  [7732] = {.lex_state = 390},
  [7733] = {.lex_state = 247},
  [7734] = {.lex_state = 205},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 0},
  [7737] = {.lex_state = 209},
  [7738] = {.lex_state = 205},
  [7739] = {.lex_state = 247},
  [7740] = {.lex_state = 390},
  [7741] = {.lex_state = 390},
  [7742] = {.lex_state = 390},
  [7743] = {.lex_state = 390},
  [7744] = {.lex_state = 209},
  [7745] = {.lex_state = 247},
  [7746] = {.lex_state = 390},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 284},
  [7749] = {.lex_state = 123},
  [7750] = {.lex_state = 247},
  [7751] = {.lex_state = 0},
  [7752] = {.lex_state = 120},
  [7753] = {.lex_state = 247},
  [7754] = {.lex_state = 205},
  [7755] = {.lex_state = 209},
  [7756] = {.lex_state = 205},
  [7757] = {.lex_state = 390},
  [7758] = {.lex_state = 390},
  [7759] = {.lex_state = 390},
  [7760] = {.lex_state = 284},
  [7761] = {.lex_state = 120},
  [7762] = {.lex_state = 209},
  [7763] = {.lex_state = 122},
  [7764] = {.lex_state = 247},
  [7765] = {.lex_state = 209},
  [7766] = {.lex_state = 120},
  [7767] = {.lex_state = 390},
  [7768] = {.lex_state = 390},
  [7769] = {.lex_state = 0},
  [7770] = {.lex_state = 247},
  [7771] = {.lex_state = 0},
  [7772] = {.lex_state = 209},
  [7773] = {.lex_state = 247},
  [7774] = {.lex_state = 390},
  [7775] = {.lex_state = 247},
  [7776] = {.lex_state = 390},
  [7777] = {.lex_state = 390},
  [7778] = {.lex_state = 205},
  [7779] = {.lex_state = 390},
  [7780] = {.lex_state = 0},
  [7781] = {.lex_state = 120},
  [7782] = {.lex_state = 390},
  [7783] = {.lex_state = 205},
  [7784] = {.lex_state = 205},
  [7785] = {.lex_state = 205},
  [7786] = {.lex_state = 209},
  [7787] = {.lex_state = 390},
  [7788] = {.lex_state = 390},
  [7789] = {.lex_state = 390},
  [7790] = {.lex_state = 390},
  [7791] = {.lex_state = 205},
  [7792] = {.lex_state = 390},
  [7793] = {.lex_state = 0},
  [7794] = {.lex_state = 247},
  [7795] = {.lex_state = 247},
  [7796] = {.lex_state = 247},
  [7797] = {.lex_state = 390},
  [7798] = {.lex_state = 120},
  [7799] = {.lex_state = 268},
  [7800] = {.lex_state = 209},
  [7801] = {.lex_state = 122},
  [7802] = {.lex_state = 284},
  [7803] = {.lex_state = 284},
  [7804] = {.lex_state = 390},
  [7805] = {.lex_state = 390},
  [7806] = {.lex_state = 209},
  [7807] = {.lex_state = 247},
  [7808] = {.lex_state = 205},
  [7809] = {.lex_state = 247},
  [7810] = {.lex_state = 247},
  [7811] = {.lex_state = 205},
  [7812] = {.lex_state = 209},
  [7813] = {.lex_state = 284},
  [7814] = {.lex_state = 205},
  [7815] = {.lex_state = 390},
  [7816] = {.lex_state = 0},
  [7817] = {.lex_state = 205},
  [7818] = {.lex_state = 247},
  [7819] = {.lex_state = 209},
  [7820] = {.lex_state = 205},
  [7821] = {.lex_state = 205},
  [7822] = {.lex_state = 209},
  [7823] = {.lex_state = 247},
  [7824] = {.lex_state = 247},
  [7825] = {.lex_state = 0},
  [7826] = {.lex_state = 247},
  [7827] = {.lex_state = 247},
  [7828] = {.lex_state = 120},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 120},
  [7831] = {.lex_state = 247},
  [7832] = {.lex_state = 390},
  [7833] = {.lex_state = 120},
  [7834] = {.lex_state = 120},
  [7835] = {.lex_state = 122},
  [7836] = {.lex_state = 209},
  [7837] = {.lex_state = 205},
  [7838] = {.lex_state = 205},
  [7839] = {.lex_state = 123},
  [7840] = {.lex_state = 390},
  [7841] = {.lex_state = 0},
  [7842] = {.lex_state = 390},
  [7843] = {.lex_state = 0},
  [7844] = {.lex_state = 247},
  [7845] = {.lex_state = 209},
  [7846] = {.lex_state = 209},
  [7847] = {.lex_state = 247},
  [7848] = {.lex_state = 247},
  [7849] = {.lex_state = 209},
  [7850] = {.lex_state = 120},
  [7851] = {.lex_state = 122},
  [7852] = {.lex_state = 209},
  [7853] = {.lex_state = 120},
  [7854] = {.lex_state = 122},
  [7855] = {.lex_state = 209},
  [7856] = {.lex_state = 123},
  [7857] = {.lex_state = 120},
  [7858] = {.lex_state = 120},
  [7859] = {.lex_state = 209},
  [7860] = {.lex_state = 247},
  [7861] = {.lex_state = 122},
  [7862] = {.lex_state = 390},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 390},
  [7865] = {.lex_state = 284},
  [7866] = {.lex_state = 120},
  [7867] = {.lex_state = 209},
  [7868] = {.lex_state = 120},
  [7869] = {.lex_state = 0},
  [7870] = {.lex_state = 120},
  [7871] = {.lex_state = 209},
  [7872] = {.lex_state = 205},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 123},
  [7875] = {.lex_state = 209},
  [7876] = {.lex_state = 247},
  [7877] = {.lex_state = 209},
  [7878] = {.lex_state = 209},
  [7879] = {.lex_state = 390},
  [7880] = {.lex_state = 390},
  [7881] = {.lex_state = 247},
  [7882] = {.lex_state = 120},
  [7883] = {.lex_state = 209},
  [7884] = {.lex_state = 284},
  [7885] = {.lex_state = 247},
  [7886] = {.lex_state = 284},
  [7887] = {.lex_state = 209},
  [7888] = {.lex_state = 0},
  [7889] = {.lex_state = 390},
  [7890] = {.lex_state = 247},
  [7891] = {.lex_state = 209},
  [7892] = {.lex_state = 122},
  [7893] = {.lex_state = 120},
  [7894] = {.lex_state = 123},
  [7895] = {.lex_state = 247},
  [7896] = {.lex_state = 247},
  [7897] = {.lex_state = 390},
  [7898] = {.lex_state = 390},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 284},
  [7901] = {.lex_state = 205},
  [7902] = {.lex_state = 123},
  [7903] = {.lex_state = 209},
  [7904] = {.lex_state = 247},
  [7905] = {.lex_state = 209},
  [7906] = {.lex_state = 120},
  [7907] = {.lex_state = 247},
  [7908] = {.lex_state = 390},
  [7909] = {.lex_state = 120},
  [7910] = {.lex_state = 122},
  [7911] = {.lex_state = 209},
  [7912] = {.lex_state = 120},
  [7913] = {.lex_state = 120},
  [7914] = {.lex_state = 123},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 120},
  [7917] = {.lex_state = 390},
  [7918] = {.lex_state = 247},
  [7919] = {.lex_state = 120},
  [7920] = {.lex_state = 205},
  [7921] = {.lex_state = 284},
  [7922] = {.lex_state = 390},
  [7923] = {.lex_state = 209},
  [7924] = {.lex_state = 247},
  [7925] = {.lex_state = 205},
  [7926] = {.lex_state = 390},
  [7927] = {.lex_state = 247},
  [7928] = {.lex_state = 247},
  [7929] = {.lex_state = 205},
  [7930] = {.lex_state = 120},
  [7931] = {.lex_state = 120},
  [7932] = {.lex_state = 209},
  [7933] = {.lex_state = 209},
  [7934] = {.lex_state = 247},
  [7935] = {.lex_state = 390},
  [7936] = {.lex_state = 205},
  [7937] = {.lex_state = 247},
  [7938] = {.lex_state = 247},
  [7939] = {.lex_state = 284},
  [7940] = {.lex_state = 247},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 0},
  [7943] = {.lex_state = 247},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 247},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 390},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 247},
  [7954] = {.lex_state = 247},
  [7955] = {.lex_state = 122},
  [7956] = {.lex_state = 0},
  [7957] = {.lex_state = 209},
  [7958] = {.lex_state = 0},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 209},
  [7961] = {.lex_state = 0},
  [7962] = {.lex_state = 209},
  [7963] = {.lex_state = 0},
  [7964] = {.lex_state = 0},
  [7965] = {.lex_state = 0},
  [7966] = {.lex_state = 390},
  [7967] = {.lex_state = 122},
  [7968] = {.lex_state = 390},
  [7969] = {.lex_state = 247},
  [7970] = {.lex_state = 247},
  [7971] = {.lex_state = 209},
  [7972] = {.lex_state = 209},
  [7973] = {.lex_state = 0},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 0},
  [7976] = {.lex_state = 247},
  [7977] = {.lex_state = 247},
  [7978] = {.lex_state = 0},
  [7979] = {.lex_state = 125},
  [7980] = {.lex_state = 209},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 247},
  [7983] = {.lex_state = 247},
  [7984] = {.lex_state = 0},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 390},
  [7989] = {.lex_state = 209},
  [7990] = {.lex_state = 209},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 209},
  [7993] = {.lex_state = 209},
  [7994] = {.lex_state = 0},
  [7995] = {.lex_state = 122},
  [7996] = {.lex_state = 0},
  [7997] = {.lex_state = 209},
  [7998] = {.lex_state = 0},
  [7999] = {.lex_state = 0},
  [8000] = {.lex_state = 0},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 247},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 390},
  [8005] = {.lex_state = 0},
  [8006] = {.lex_state = 390},
  [8007] = {.lex_state = 247},
  [8008] = {.lex_state = 247},
  [8009] = {.lex_state = 122},
  [8010] = {.lex_state = 390},
  [8011] = {.lex_state = 209},
  [8012] = {.lex_state = 209},
  [8013] = {.lex_state = 209},
  [8014] = {.lex_state = 209},
  [8015] = {.lex_state = 209},
  [8016] = {.lex_state = 0},
  [8017] = {.lex_state = 247},
  [8018] = {.lex_state = 0},
  [8019] = {.lex_state = 209},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 122},
  [8022] = {.lex_state = 247},
  [8023] = {.lex_state = 247},
  [8024] = {.lex_state = 0},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 0},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 247},
  [8030] = {.lex_state = 0},
  [8031] = {.lex_state = 0},
  [8032] = {.lex_state = 0},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 122},
  [8036] = {.lex_state = 247},
  [8037] = {.lex_state = 0},
  [8038] = {.lex_state = 209},
  [8039] = {.lex_state = 247},
  [8040] = {.lex_state = 209},
  [8041] = {.lex_state = 209},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 209},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 209},
  [8046] = {.lex_state = 247},
  [8047] = {.lex_state = 122},
  [8048] = {.lex_state = 209},
  [8049] = {.lex_state = 209},
  [8050] = {.lex_state = 0},
  [8051] = {.lex_state = 247},
  [8052] = {.lex_state = 209},
  [8053] = {.lex_state = 209},
  [8054] = {.lex_state = 122},
  [8055] = {.lex_state = 0},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 247},
  [8058] = {.lex_state = 0},
  [8059] = {.lex_state = 247},
  [8060] = {.lex_state = 0},
  [8061] = {.lex_state = 0},
  [8062] = {.lex_state = 247},
  [8063] = {.lex_state = 0},
  [8064] = {.lex_state = 122},
  [8065] = {.lex_state = 247},
  [8066] = {.lex_state = 122},
  [8067] = {.lex_state = 209},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 0},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 122},
  [8072] = {.lex_state = 247},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 0},
  [8075] = {.lex_state = 209},
  [8076] = {.lex_state = 0},
  [8077] = {.lex_state = 0},
  [8078] = {.lex_state = 209},
  [8079] = {.lex_state = 0},
  [8080] = {.lex_state = 0},
  [8081] = {.lex_state = 0},
  [8082] = {.lex_state = 0},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 209},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 209},
  [8090] = {.lex_state = 209},
  [8091] = {.lex_state = 209},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 247},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 0},
  [8098] = {.lex_state = 122},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 390},
  [8101] = {.lex_state = 247},
  [8102] = {.lex_state = 390},
  [8103] = {.lex_state = 0},
  [8104] = {.lex_state = 209},
  [8105] = {.lex_state = 209},
  [8106] = {.lex_state = 209},
  [8107] = {.lex_state = 247},
  [8108] = {.lex_state = 247},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 0},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 0},
  [8117] = {.lex_state = 0},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 0},
  [8120] = {.lex_state = 0},
  [8121] = {.lex_state = 209},
  [8122] = {.lex_state = 247},
  [8123] = {.lex_state = 209},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 209},
  [8127] = {.lex_state = 390},
  [8128] = {.lex_state = 268},
  [8129] = {.lex_state = 390},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 0},
  [8134] = {.lex_state = 247},
  [8135] = {.lex_state = 247},
  [8136] = {.lex_state = 0},
  [8137] = {.lex_state = 209},
  [8138] = {.lex_state = 0},
  [8139] = {.lex_state = 209},
  [8140] = {.lex_state = 390},
  [8141] = {.lex_state = 0},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 209},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 247},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 0},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 191},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 209},
  [8159] = {.lex_state = 209},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 247},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 0},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 247},
  [8172] = {.lex_state = 247},
  [8173] = {.lex_state = 390},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 125},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 0},
  [8178] = {.lex_state = 0},
  [8179] = {.lex_state = 390},
  [8180] = {.lex_state = 0},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 390},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 0},
  [8187] = {.lex_state = 247},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 247},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 0},
  [8194] = {.lex_state = 247},
  [8195] = {.lex_state = 0},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 247},
  [8198] = {.lex_state = 0},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 205},
  [8201] = {.lex_state = 209},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 247},
  [8204] = {.lex_state = 209},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 247},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 0},
  [8213] = {.lex_state = 0},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 0},
  [8219] = {.lex_state = 247},
  [8220] = {.lex_state = 209},
  [8221] = {.lex_state = 209},
  [8222] = {.lex_state = 209},
  [8223] = {.lex_state = 209},
  [8224] = {.lex_state = 0},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 0},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 0},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 0},
  [8233] = {.lex_state = 209},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 0},
  [8236] = {.lex_state = 0},
  [8237] = {.lex_state = 209},
  [8238] = {.lex_state = 0},
  [8239] = {.lex_state = 209},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 209},
  [8242] = {.lex_state = 209},
  [8243] = {.lex_state = 0},
  [8244] = {.lex_state = 0},
  [8245] = {.lex_state = 209},
  [8246] = {.lex_state = 209},
  [8247] = {.lex_state = 209},
  [8248] = {.lex_state = 209},
  [8249] = {.lex_state = 0},
  [8250] = {.lex_state = 209},
  [8251] = {.lex_state = 0},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 390},
  [8254] = {.lex_state = 247},
  [8255] = {.lex_state = 0},
  [8256] = {.lex_state = 247},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 247},
  [8259] = {.lex_state = 0},
  [8260] = {.lex_state = 0},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 0},
  [8263] = {.lex_state = 0},
  [8264] = {.lex_state = 0},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 390},
  [8267] = {.lex_state = 209},
  [8268] = {.lex_state = 209},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 0},
  [8271] = {.lex_state = 209},
  [8272] = {.lex_state = 205},
  [8273] = {.lex_state = 0},
  [8274] = {.lex_state = 0},
  [8275] = {.lex_state = 209},
  [8276] = {.lex_state = 0},
  [8277] = {.lex_state = 209},
  [8278] = {.lex_state = 247},
  [8279] = {.lex_state = 247},
  [8280] = {.lex_state = 209},
  [8281] = {.lex_state = 209},
  [8282] = {.lex_state = 247},
  [8283] = {.lex_state = 0},
  [8284] = {.lex_state = 0},
  [8285] = {.lex_state = 0},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 0},
  [8288] = {.lex_state = 209},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 0},
  [8292] = {.lex_state = 247},
  [8293] = {.lex_state = 247},
  [8294] = {.lex_state = 247},
  [8295] = {.lex_state = 209},
  [8296] = {.lex_state = 0},
  [8297] = {.lex_state = 0},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 247},
  [8301] = {.lex_state = 0},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 0},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 0},
  [8308] = {.lex_state = 247},
  [8309] = {.lex_state = 209},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 0},
  [8313] = {.lex_state = 0},
  [8314] = {.lex_state = 247},
  [8315] = {.lex_state = 0},
  [8316] = {.lex_state = 0},
  [8317] = {.lex_state = 390},
  [8318] = {.lex_state = 209},
  [8319] = {.lex_state = 0},
  [8320] = {.lex_state = 0},
  [8321] = {.lex_state = 247},
  [8322] = {.lex_state = 0},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 0},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 0},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 0},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 0},
  [8333] = {.lex_state = 390},
  [8334] = {.lex_state = 209},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 247},
  [8337] = {.lex_state = 247},
  [8338] = {.lex_state = 247},
  [8339] = {.lex_state = 0},
  [8340] = {.lex_state = 209},
  [8341] = {.lex_state = 247},
  [8342] = {.lex_state = 247},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 0},
  [8345] = {.lex_state = 0},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 0},
  [8349] = {.lex_state = 0},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 0},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 0},
  [8354] = {.lex_state = 0},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 209},
  [8357] = {.lex_state = 0},
  [8358] = {.lex_state = 0},
  [8359] = {.lex_state = 125},
  [8360] = {.lex_state = 209},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 247},
  [8363] = {.lex_state = 209},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 0},
  [8366] = {.lex_state = 0},
  [8367] = {.lex_state = 0},
  [8368] = {.lex_state = 0},
  [8369] = {.lex_state = 247},
  [8370] = {.lex_state = 205},
  [8371] = {.lex_state = 247},
  [8372] = {.lex_state = 247},
  [8373] = {.lex_state = 390},
  [8374] = {.lex_state = 209},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 390},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 0},
  [8381] = {.lex_state = 209},
  [8382] = {.lex_state = 247},
  [8383] = {.lex_state = 125},
  [8384] = {.lex_state = 390},
  [8385] = {.lex_state = 0},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 0},
  [8388] = {.lex_state = 0},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 0},
  [8391] = {.lex_state = 209},
  [8392] = {.lex_state = 209},
  [8393] = {.lex_state = 125},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 0},
  [8396] = {.lex_state = 247},
  [8397] = {.lex_state = 122},
  [8398] = {.lex_state = 247},
  [8399] = {.lex_state = 0},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 247},
  [8404] = {.lex_state = 122},
  [8405] = {.lex_state = 0},
  [8406] = {.lex_state = 0},
  [8407] = {.lex_state = 124},
  [8408] = {.lex_state = 124},
  [8409] = {.lex_state = 390},
  [8410] = {.lex_state = 247},
  [8411] = {.lex_state = 0},
  [8412] = {.lex_state = 0},
  [8413] = {.lex_state = 390, .external_lex_state = 2},
  [8414] = {.lex_state = 390, .external_lex_state = 2},
  [8415] = {.lex_state = 390, .external_lex_state = 2},
  [8416] = {.lex_state = 390, .external_lex_state = 2},
  [8417] = {.lex_state = 390},
  [8418] = {.lex_state = 390, .external_lex_state = 2},
  [8419] = {.lex_state = 390},
  [8420] = {.lex_state = 390, .external_lex_state = 2},
  [8421] = {.lex_state = 0},
  [8422] = {.lex_state = 0},
  [8423] = {.lex_state = 0},
  [8424] = {.lex_state = 390, .external_lex_state = 2},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 390, .external_lex_state = 2},
  [8427] = {.lex_state = 390},
  [8428] = {.lex_state = 390, .external_lex_state = 2},
  [8429] = {.lex_state = 247},
  [8430] = {.lex_state = 390, .external_lex_state = 2},
  [8431] = {.lex_state = 390, .external_lex_state = 2},
  [8432] = {.lex_state = 390},
  [8433] = {.lex_state = 390, .external_lex_state = 2},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 247},
  [8436] = {.lex_state = 390, .external_lex_state = 2},
  [8437] = {.lex_state = 390},
  [8438] = {.lex_state = 390},
  [8439] = {.lex_state = 390, .external_lex_state = 2},
  [8440] = {.lex_state = 390, .external_lex_state = 2},
  [8441] = {.lex_state = 390, .external_lex_state = 2},
  [8442] = {.lex_state = 390},
  [8443] = {.lex_state = 247},
  [8444] = {.lex_state = 390, .external_lex_state = 2},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 390, .external_lex_state = 2},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 247},
  [8452] = {.lex_state = 390},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 247},
  [8456] = {.lex_state = 0},
  [8457] = {.lex_state = 247},
  [8458] = {.lex_state = 247},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 390},
  [8461] = {.lex_state = 390},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 0},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 0},
  [8466] = {.lex_state = 247},
  [8467] = {.lex_state = 0},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 0},
  [8470] = {.lex_state = 0},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 124},
  [8473] = {.lex_state = 390, .external_lex_state = 2},
  [8474] = {.lex_state = 124},
  [8475] = {.lex_state = 390},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 0},
  [8478] = {.lex_state = 0},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 0},
  [8482] = {.lex_state = 0},
  [8483] = {.lex_state = 390},
  [8484] = {.lex_state = 0},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 0},
  [8487] = {.lex_state = 0},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 0},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 390},
  [8492] = {.lex_state = 390},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 390},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 0},
  [8501] = {.lex_state = 0},
  [8502] = {.lex_state = 0},
  [8503] = {.lex_state = 124},
  [8504] = {.lex_state = 390},
  [8505] = {.lex_state = 390},
  [8506] = {.lex_state = 0},
  [8507] = {.lex_state = 0},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 0},
  [8510] = {.lex_state = 390},
  [8511] = {.lex_state = 0},
  [8512] = {.lex_state = 0},
  [8513] = {.lex_state = 390},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 247},
  [8517] = {.lex_state = 247},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 390},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 0},
  [8523] = {.lex_state = 0},
  [8524] = {.lex_state = 247},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 0},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 247},
  [8529] = {.lex_state = 0},
  [8530] = {.lex_state = 247},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 390},
  [8533] = {.lex_state = 247},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 390},
  [8536] = {.lex_state = 247},
  [8537] = {.lex_state = 247},
  [8538] = {.lex_state = 0},
  [8539] = {.lex_state = 247},
  [8540] = {.lex_state = 0},
  [8541] = {.lex_state = 0},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 0},
  [8544] = {.lex_state = 390},
  [8545] = {.lex_state = 390},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 124},
  [8550] = {.lex_state = 0},
  [8551] = {.lex_state = 0},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 247},
  [8554] = {.lex_state = 0},
  [8555] = {.lex_state = 124},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 247},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 390},
  [8563] = {.lex_state = 247},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 390},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 0},
  [8568] = {.lex_state = 0},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 0},
  [8571] = {.lex_state = 0},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 124},
  [8575] = {.lex_state = 0},
  [8576] = {.lex_state = 0},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 0},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 0},
  [8581] = {.lex_state = 0},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 390},
  [8585] = {.lex_state = 0},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 124},
  [8594] = {.lex_state = 390},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 390},
  [8597] = {.lex_state = 0},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 124},
  [8600] = {.lex_state = 0},
  [8601] = {.lex_state = 0},
  [8602] = {.lex_state = 0},
  [8603] = {.lex_state = 390},
  [8604] = {.lex_state = 0},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 0},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 0},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 247},
  [8614] = {.lex_state = 124},
  [8615] = {.lex_state = 390},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 390},
  [8618] = {.lex_state = 0},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 390},
  [8622] = {.lex_state = 124},
  [8623] = {.lex_state = 390},
  [8624] = {.lex_state = 0},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 0},
  [8628] = {.lex_state = 390},
  [8629] = {.lex_state = 390},
  [8630] = {.lex_state = 0},
  [8631] = {.lex_state = 0},
  [8632] = {.lex_state = 390},
  [8633] = {.lex_state = 0},
  [8634] = {.lex_state = 0},
  [8635] = {.lex_state = 390},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 124},
  [8639] = {.lex_state = 390},
  [8640] = {.lex_state = 247},
  [8641] = {.lex_state = 0},
  [8642] = {.lex_state = 124},
  [8643] = {.lex_state = 0},
  [8644] = {.lex_state = 247},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 390},
  [8647] = {.lex_state = 0},
  [8648] = {.lex_state = 390},
  [8649] = {.lex_state = 124},
  [8650] = {.lex_state = 247},
  [8651] = {.lex_state = 390},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 247},
  [8654] = {.lex_state = 0},
  [8655] = {.lex_state = 124},
  [8656] = {.lex_state = 247},
  [8657] = {.lex_state = 124},
  [8658] = {.lex_state = 390},
  [8659] = {.lex_state = 0},
  [8660] = {.lex_state = 390},
  [8661] = {.lex_state = 390},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 0},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 390},
  [8666] = {.lex_state = 390},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 247},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 247},
  [8671] = {.lex_state = 390},
  [8672] = {.lex_state = 390},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 0},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 0},
  [8677] = {.lex_state = 390},
  [8678] = {.lex_state = 247},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 390},
  [8681] = {.lex_state = 390},
  [8682] = {.lex_state = 390},
  [8683] = {.lex_state = 124},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 390},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 247},
  [8688] = {.lex_state = 247},
  [8689] = {.lex_state = 0},
  [8690] = {.lex_state = 0},
  [8691] = {.lex_state = 390},
  [8692] = {.lex_state = 0},
  [8693] = {.lex_state = 390},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 390},
  [8696] = {.lex_state = 0},
  [8697] = {.lex_state = 390},
  [8698] = {.lex_state = 247},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 124},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 390},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 390},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 390},
  [8707] = {.lex_state = 390},
  [8708] = {.lex_state = 247},
  [8709] = {.lex_state = 390},
  [8710] = {.lex_state = 0},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 0},
  [8713] = {.lex_state = 0},
  [8714] = {.lex_state = 390},
  [8715] = {.lex_state = 0},
  [8716] = {.lex_state = 0},
  [8717] = {.lex_state = 0},
  [8718] = {.lex_state = 0},
  [8719] = {.lex_state = 390},
  [8720] = {.lex_state = 0},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 0},
  [8724] = {.lex_state = 390},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 0},
  [8728] = {.lex_state = 390},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 0},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 247},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 124},
  [8735] = {.lex_state = 390},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 390},
  [8738] = {.lex_state = 390},
  [8739] = {.lex_state = 0},
  [8740] = {.lex_state = 247},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0},
  [8743] = {.lex_state = 390},
  [8744] = {.lex_state = 0},
  [8745] = {.lex_state = 0},
  [8746] = {.lex_state = 247},
  [8747] = {.lex_state = 390},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 390},
  [8750] = {.lex_state = 0},
  [8751] = {.lex_state = 390},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 0},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 390},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 390},
  [8760] = {.lex_state = 247},
  [8761] = {.lex_state = 247},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 247},
  [8764] = {.lex_state = 0},
  [8765] = {.lex_state = 0},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 390},
  [8768] = {.lex_state = 390},
  [8769] = {.lex_state = 390},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 390},
  [8772] = {.lex_state = 0},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 247},
  [8775] = {.lex_state = 0},
  [8776] = {.lex_state = 0},
  [8777] = {.lex_state = 0},
  [8778] = {.lex_state = 390},
  [8779] = {.lex_state = 0},
  [8780] = {.lex_state = 247},
  [8781] = {.lex_state = 124},
  [8782] = {.lex_state = 390},
  [8783] = {.lex_state = 0},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 0},
  [8786] = {.lex_state = 390},
  [8787] = {.lex_state = 0},
  [8788] = {.lex_state = 390},
  [8789] = {.lex_state = 0},
  [8790] = {.lex_state = 0},
  [8791] = {.lex_state = 390},
  [8792] = {.lex_state = 390},
  [8793] = {.lex_state = 0},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 0},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 0},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 390},
  [8800] = {.lex_state = 0},
  [8801] = {.lex_state = 125},
  [8802] = {.lex_state = 0},
  [8803] = {.lex_state = 390},
  [8804] = {.lex_state = 247},
  [8805] = {.lex_state = 0},
  [8806] = {.lex_state = 0},
  [8807] = {.lex_state = 0},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 209},
  [8813] = {.lex_state = 0},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 247},
  [8816] = {.lex_state = 390},
  [8817] = {.lex_state = 0},
  [8818] = {.lex_state = 247},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 0},
  [8821] = {.lex_state = 0},
  [8822] = {.lex_state = 247},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 0},
  [8825] = {.lex_state = 202},
  [8826] = {.lex_state = 0},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 202},
  [8829] = {.lex_state = 0},
  [8830] = {.lex_state = 0},
  [8831] = {.lex_state = 125},
  [8832] = {.lex_state = 0, .external_lex_state = 2},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 202},
  [8835] = {.lex_state = 200},
  [8836] = {.lex_state = 247},
  [8837] = {.lex_state = 390},
  [8838] = {.lex_state = 390},
  [8839] = {.lex_state = 202},
  [8840] = {.lex_state = 209},
  [8841] = {.lex_state = 0},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 390},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 247},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 0},
  [8848] = {.lex_state = 0},
  [8849] = {.lex_state = 0},
  [8850] = {.lex_state = 0},
  [8851] = {.lex_state = 247},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 202},
  [8854] = {.lex_state = 209},
  [8855] = {.lex_state = 0},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 0},
  [8858] = {.lex_state = 200},
  [8859] = {.lex_state = 247},
  [8860] = {.lex_state = 247},
  [8861] = {.lex_state = 0},
  [8862] = {.lex_state = 202},
  [8863] = {.lex_state = 0},
  [8864] = {.lex_state = 247},
  [8865] = {.lex_state = 204},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 0},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 247},
  [8870] = {.lex_state = 0},
  [8871] = {.lex_state = 0},
  [8872] = {.lex_state = 0},
  [8873] = {.lex_state = 0},
  [8874] = {.lex_state = 0},
  [8875] = {.lex_state = 390},
  [8876] = {.lex_state = 0},
  [8877] = {.lex_state = 390},
  [8878] = {.lex_state = 0},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 0},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 200},
  [8883] = {.lex_state = 125},
  [8884] = {.lex_state = 390},
  [8885] = {.lex_state = 202},
  [8886] = {.lex_state = 0},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 0},
  [8889] = {.lex_state = 390},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 0},
  [8893] = {.lex_state = 0},
  [8894] = {.lex_state = 285},
  [8895] = {.lex_state = 247},
  [8896] = {.lex_state = 200},
  [8897] = {.lex_state = 390},
  [8898] = {.lex_state = 247},
  [8899] = {.lex_state = 202},
  [8900] = {.lex_state = 247},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 247},
  [8903] = {.lex_state = 202},
  [8904] = {.lex_state = 0},
  [8905] = {.lex_state = 255},
  [8906] = {.lex_state = 0},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 247},
  [8909] = {.lex_state = 247},
  [8910] = {.lex_state = 0},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 209},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 0},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 0},
  [8917] = {.lex_state = 247},
  [8918] = {.lex_state = 209},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 247},
  [8921] = {.lex_state = 0},
  [8922] = {.lex_state = 0},
  [8923] = {.lex_state = 0},
  [8924] = {.lex_state = 0},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 0},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 247},
  [8929] = {.lex_state = 247},
  [8930] = {.lex_state = 390},
  [8931] = {.lex_state = 0},
  [8932] = {.lex_state = 0},
  [8933] = {.lex_state = 0},
  [8934] = {.lex_state = 0},
  [8935] = {.lex_state = 0, .external_lex_state = 2},
  [8936] = {.lex_state = 247},
  [8937] = {.lex_state = 202},
  [8938] = {.lex_state = 202},
  [8939] = {.lex_state = 0},
  [8940] = {.lex_state = 125},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 390},
  [8943] = {.lex_state = 0},
  [8944] = {.lex_state = 247},
  [8945] = {.lex_state = 247},
  [8946] = {.lex_state = 247},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 202},
  [8949] = {.lex_state = 0},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 0},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 0},
  [8954] = {.lex_state = 247},
  [8955] = {.lex_state = 0},
  [8956] = {.lex_state = 247},
  [8957] = {.lex_state = 202},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 202},
  [8960] = {.lex_state = 247},
  [8961] = {.lex_state = 390},
  [8962] = {.lex_state = 0},
  [8963] = {.lex_state = 202},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 202},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 390},
  [8968] = {.lex_state = 125},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 125},
  [8971] = {.lex_state = 0},
  [8972] = {.lex_state = 247},
  [8973] = {.lex_state = 0},
  [8974] = {.lex_state = 0},
  [8975] = {.lex_state = 0},
  [8976] = {.lex_state = 209},
  [8977] = {.lex_state = 202},
  [8978] = {.lex_state = 247},
  [8979] = {.lex_state = 390},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 0},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 0},
  [8984] = {.lex_state = 0},
  [8985] = {.lex_state = 0},
  [8986] = {.lex_state = 202},
  [8987] = {.lex_state = 0},
  [8988] = {.lex_state = 0},
  [8989] = {.lex_state = 247},
  [8990] = {.lex_state = 0},
  [8991] = {.lex_state = 202},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 247},
  [8995] = {.lex_state = 0},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 0},
  [8998] = {.lex_state = 0},
  [8999] = {.lex_state = 125},
  [9000] = {.lex_state = 0},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 0},
  [9003] = {.lex_state = 0},
  [9004] = {.lex_state = 0},
  [9005] = {.lex_state = 0},
  [9006] = {.lex_state = 247},
  [9007] = {.lex_state = 0},
  [9008] = {.lex_state = 247},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 125},
  [9011] = {.lex_state = 0, .external_lex_state = 2},
  [9012] = {.lex_state = 0},
  [9013] = {.lex_state = 247},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 202},
  [9016] = {.lex_state = 0},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 247},
  [9019] = {.lex_state = 0},
  [9020] = {.lex_state = 0},
  [9021] = {.lex_state = 202},
  [9022] = {.lex_state = 247},
  [9023] = {.lex_state = 0},
  [9024] = {.lex_state = 390},
  [9025] = {.lex_state = 0},
  [9026] = {.lex_state = 0},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 0},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 0},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 0},
  [9035] = {.lex_state = 0},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 125},
  [9038] = {.lex_state = 390},
  [9039] = {.lex_state = 0},
  [9040] = {.lex_state = 125},
  [9041] = {.lex_state = 247},
  [9042] = {.lex_state = 0},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 0},
  [9045] = {.lex_state = 247},
  [9046] = {.lex_state = 0},
  [9047] = {.lex_state = 0},
  [9048] = {.lex_state = 0},
  [9049] = {.lex_state = 247},
  [9050] = {.lex_state = 0},
  [9051] = {.lex_state = 0},
  [9052] = {.lex_state = 0},
  [9053] = {.lex_state = 204},
  [9054] = {.lex_state = 202},
  [9055] = {.lex_state = 0},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 0},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 0},
  [9060] = {.lex_state = 247},
  [9061] = {.lex_state = 0},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 0},
  [9065] = {.lex_state = 0, .external_lex_state = 2},
  [9066] = {.lex_state = 0},
  [9067] = {.lex_state = 247},
  [9068] = {.lex_state = 247},
  [9069] = {.lex_state = 0},
  [9070] = {.lex_state = 209},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 125},
  [9074] = {.lex_state = 202},
  [9075] = {.lex_state = 0},
  [9076] = {.lex_state = 0},
  [9077] = {.lex_state = 0},
  [9078] = {.lex_state = 125},
  [9079] = {.lex_state = 0},
  [9080] = {.lex_state = 0},
  [9081] = {.lex_state = 247},
  [9082] = {.lex_state = 0},
  [9083] = {.lex_state = 390},
  [9084] = {.lex_state = 0},
  [9085] = {.lex_state = 202},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 247},
  [9088] = {.lex_state = 209},
  [9089] = {.lex_state = 247},
  [9090] = {.lex_state = 0},
  [9091] = {.lex_state = 202},
  [9092] = {.lex_state = 247},
  [9093] = {.lex_state = 0},
  [9094] = {.lex_state = 0},
  [9095] = {.lex_state = 0},
  [9096] = {.lex_state = 0},
  [9097] = {.lex_state = 209},
  [9098] = {.lex_state = 0},
  [9099] = {.lex_state = 209},
  [9100] = {.lex_state = 0},
  [9101] = {.lex_state = 247},
  [9102] = {.lex_state = 247},
  [9103] = {.lex_state = 0},
  [9104] = {.lex_state = 247},
  [9105] = {.lex_state = 247},
  [9106] = {.lex_state = 0},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 202},
  [9109] = {.lex_state = 0, .external_lex_state = 2},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 247},
  [9112] = {.lex_state = 0},
  [9113] = {.lex_state = 0},
  [9114] = {.lex_state = 0},
  [9115] = {.lex_state = 0},
  [9116] = {.lex_state = 390},
  [9117] = {.lex_state = 0},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 0},
  [9120] = {.lex_state = 0},
  [9121] = {.lex_state = 0},
  [9122] = {.lex_state = 0},
  [9123] = {.lex_state = 125},
  [9124] = {.lex_state = 209},
  [9125] = {.lex_state = 203},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 390},
  [9128] = {.lex_state = 0},
  [9129] = {.lex_state = 0},
  [9130] = {.lex_state = 247},
  [9131] = {.lex_state = 0},
  [9132] = {.lex_state = 0},
  [9133] = {.lex_state = 247},
  [9134] = {.lex_state = 0},
  [9135] = {.lex_state = 125},
  [9136] = {.lex_state = 0},
  [9137] = {.lex_state = 0},
  [9138] = {.lex_state = 0},
  [9139] = {.lex_state = 0},
  [9140] = {.lex_state = 202},
  [9141] = {.lex_state = 125},
  [9142] = {.lex_state = 125},
  [9143] = {.lex_state = 247},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 0},
  [9146] = {.lex_state = 0},
  [9147] = {.lex_state = 247},
  [9148] = {.lex_state = 0},
  [9149] = {.lex_state = 0},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 0},
  [9152] = {.lex_state = 0, .external_lex_state = 2},
  [9153] = {.lex_state = 0},
  [9154] = {.lex_state = 247},
  [9155] = {.lex_state = 0},
  [9156] = {.lex_state = 0},
  [9157] = {.lex_state = 0},
  [9158] = {.lex_state = 0},
  [9159] = {.lex_state = 247},
  [9160] = {.lex_state = 0},
  [9161] = {.lex_state = 0},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 0},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 0},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 0},
  [9168] = {.lex_state = 0},
  [9169] = {.lex_state = 390},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 0},
  [9172] = {.lex_state = 0},
  [9173] = {.lex_state = 0},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 0},
  [9176] = {.lex_state = 202},
  [9177] = {.lex_state = 0},
  [9178] = {.lex_state = 0},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 0},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 0},
  [9183] = {.lex_state = 0},
  [9184] = {.lex_state = 0},
  [9185] = {.lex_state = 0},
  [9186] = {.lex_state = 0},
  [9187] = {.lex_state = 0},
  [9188] = {.lex_state = 0},
  [9189] = {.lex_state = 0, .external_lex_state = 2},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 0},
  [9192] = {.lex_state = 0},
  [9193] = {.lex_state = 0},
  [9194] = {.lex_state = 0},
  [9195] = {.lex_state = 390},
  [9196] = {.lex_state = 0},
  [9197] = {.lex_state = 0},
  [9198] = {.lex_state = 0},
  [9199] = {.lex_state = 0},
  [9200] = {.lex_state = 247},
  [9201] = {.lex_state = 202},
  [9202] = {.lex_state = 0, .external_lex_state = 2},
  [9203] = {.lex_state = 0},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 209},
  [9206] = {.lex_state = 0},
  [9207] = {.lex_state = 390},
  [9208] = {.lex_state = 202},
  [9209] = {.lex_state = 125},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0},
  [9212] = {.lex_state = 0, .external_lex_state = 2},
  [9213] = {.lex_state = 0},
  [9214] = {.lex_state = 0},
  [9215] = {.lex_state = 125},
  [9216] = {.lex_state = 390},
  [9217] = {.lex_state = 0},
  [9218] = {.lex_state = 0, .external_lex_state = 2},
  [9219] = {.lex_state = 0},
  [9220] = {.lex_state = 0},
  [9221] = {.lex_state = 0, .external_lex_state = 2},
  [9222] = {.lex_state = 0},
  [9223] = {.lex_state = 0},
  [9224] = {.lex_state = 0, .external_lex_state = 2},
  [9225] = {.lex_state = 0},
  [9226] = {.lex_state = 0, .external_lex_state = 2},
  [9227] = {.lex_state = 0},
  [9228] = {.lex_state = 0, .external_lex_state = 2},
  [9229] = {.lex_state = 0},
  [9230] = {.lex_state = 0, .external_lex_state = 2},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 0, .external_lex_state = 2},
  [9233] = {.lex_state = 0},
  [9234] = {.lex_state = 0, .external_lex_state = 2},
  [9235] = {.lex_state = 0},
  [9236] = {.lex_state = 0},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 390},
  [9239] = {.lex_state = 0},
  [9240] = {.lex_state = 390},
  [9241] = {.lex_state = 390},
  [9242] = {.lex_state = 0},
  [9243] = {.lex_state = 0},
  [9244] = {.lex_state = 390},
  [9245] = {.lex_state = 0},
  [9246] = {.lex_state = 390},
  [9247] = {.lex_state = 390},
  [9248] = {.lex_state = 0},
  [9249] = {.lex_state = 0},
  [9250] = {.lex_state = 390},
  [9251] = {.lex_state = 0},
  [9252] = {.lex_state = 0},
  [9253] = {.lex_state = 247},
  [9254] = {.lex_state = 125},
  [9255] = {.lex_state = 0},
  [9256] = {.lex_state = 0},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 209},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 247},
  [9261] = {.lex_state = 0},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 247},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 390},
  [9266] = {.lex_state = 0},
  [9267] = {.lex_state = 0},
  [9268] = {.lex_state = 202},
  [9269] = {.lex_state = 0, .external_lex_state = 2},
  [9270] = {.lex_state = 390},
  [9271] = {.lex_state = 0, .external_lex_state = 3},
  [9272] = {.lex_state = 125},
  [9273] = {.lex_state = 390},
  [9274] = {.lex_state = 202},
  [9275] = {.lex_state = 390},
  [9276] = {.lex_state = 0},
  [9277] = {.lex_state = 0},
  [9278] = {.lex_state = 0},
  [9279] = {.lex_state = 0},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 0},
  [9282] = {.lex_state = 0},
  [9283] = {.lex_state = 202},
  [9284] = {.lex_state = 0},
  [9285] = {.lex_state = 247},
  [9286] = {.lex_state = 0},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 0},
  [9289] = {.lex_state = 0},
  [9290] = {.lex_state = 0},
  [9291] = {.lex_state = 0},
  [9292] = {.lex_state = 209},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 0},
  [9295] = {.lex_state = 202},
  [9296] = {.lex_state = 0},
  [9297] = {.lex_state = 247},
  [9298] = {.lex_state = 0},
  [9299] = {.lex_state = 390},
  [9300] = {.lex_state = 0},
  [9301] = {.lex_state = 0},
  [9302] = {.lex_state = 0},
  [9303] = {.lex_state = 0},
  [9304] = {.lex_state = 0},
  [9305] = {.lex_state = 0},
  [9306] = {.lex_state = 0},
  [9307] = {.lex_state = 0},
  [9308] = {.lex_state = 0, .external_lex_state = 3},
  [9309] = {.lex_state = 209},
  [9310] = {.lex_state = 390},
  [9311] = {.lex_state = 0},
  [9312] = {.lex_state = 125},
  [9313] = {.lex_state = 125},
  [9314] = {.lex_state = 0},
  [9315] = {.lex_state = 0},
  [9316] = {.lex_state = 0},
  [9317] = {.lex_state = 0},
  [9318] = {.lex_state = 0},
  [9319] = {.lex_state = 0},
  [9320] = {.lex_state = 247},
  [9321] = {.lex_state = 0},
  [9322] = {.lex_state = 390},
  [9323] = {.lex_state = 0},
  [9324] = {.lex_state = 0},
  [9325] = {.lex_state = 0},
  [9326] = {.lex_state = 0},
  [9327] = {.lex_state = 209},
  [9328] = {.lex_state = 247},
  [9329] = {.lex_state = 0},
  [9330] = {.lex_state = 0},
  [9331] = {.lex_state = 0},
  [9332] = {.lex_state = 125},
  [9333] = {.lex_state = 202},
  [9334] = {.lex_state = 0, .external_lex_state = 2},
  [9335] = {.lex_state = 0},
  [9336] = {.lex_state = 247},
  [9337] = {.lex_state = 202},
  [9338] = {.lex_state = 209},
  [9339] = {.lex_state = 0},
  [9340] = {.lex_state = 202},
  [9341] = {.lex_state = 202},
  [9342] = {.lex_state = 125},
  [9343] = {.lex_state = 0},
  [9344] = {.lex_state = 0},
  [9345] = {.lex_state = 0},
  [9346] = {.lex_state = 0},
  [9347] = {.lex_state = 209},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 390},
  [9351] = {.lex_state = 247},
  [9352] = {.lex_state = 0},
  [9353] = {.lex_state = 0},
  [9354] = {.lex_state = 390},
  [9355] = {.lex_state = 0},
  [9356] = {.lex_state = 0},
  [9357] = {.lex_state = 0},
  [9358] = {.lex_state = 0},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 0},
  [9361] = {.lex_state = 247},
  [9362] = {.lex_state = 125},
  [9363] = {.lex_state = 247},
  [9364] = {.lex_state = 125},
  [9365] = {.lex_state = 0},
  [9366] = {.lex_state = 209},
  [9367] = {.lex_state = 0},
  [9368] = {.lex_state = 0, .external_lex_state = 3},
  [9369] = {.lex_state = 247},
  [9370] = {.lex_state = 0},
  [9371] = {.lex_state = 247},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 0},
  [9374] = {.lex_state = 0},
  [9375] = {.lex_state = 0},
  [9376] = {.lex_state = 0},
  [9377] = {.lex_state = 0},
  [9378] = {.lex_state = 0},
  [9379] = {.lex_state = 0},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 0},
  [9382] = {.lex_state = 0},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 390},
  [9385] = {.lex_state = 0},
  [9386] = {.lex_state = 0},
  [9387] = {.lex_state = 202},
  [9388] = {.lex_state = 202},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 202},
  [9391] = {.lex_state = 209},
  [9392] = {.lex_state = 202},
  [9393] = {.lex_state = 390},
  [9394] = {.lex_state = 0},
  [9395] = {.lex_state = 0},
  [9396] = {.lex_state = 0},
  [9397] = {.lex_state = 247},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 0},
  [9400] = {.lex_state = 0},
  [9401] = {.lex_state = 0},
  [9402] = {.lex_state = 0},
  [9403] = {.lex_state = 209},
  [9404] = {.lex_state = 0},
  [9405] = {.lex_state = 0},
  [9406] = {.lex_state = 0},
  [9407] = {.lex_state = 0},
  [9408] = {.lex_state = 0},
  [9409] = {.lex_state = 209},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 0},
  [9412] = {.lex_state = 0},
  [9413] = {.lex_state = 0},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 247},
  [9416] = {.lex_state = 390},
  [9417] = {.lex_state = 390},
  [9418] = {.lex_state = 390},
  [9419] = {.lex_state = 0},
  [9420] = {.lex_state = 390},
  [9421] = {.lex_state = 0},
  [9422] = {.lex_state = 0},
  [9423] = {.lex_state = 0},
  [9424] = {.lex_state = 0},
  [9425] = {.lex_state = 247},
  [9426] = {.lex_state = 0},
  [9427] = {.lex_state = 390},
  [9428] = {.lex_state = 0},
  [9429] = {.lex_state = 0},
  [9430] = {.lex_state = 0},
  [9431] = {.lex_state = 390},
  [9432] = {.lex_state = 0, .external_lex_state = 3},
  [9433] = {.lex_state = 390},
  [9434] = {.lex_state = 0},
  [9435] = {.lex_state = 0},
  [9436] = {.lex_state = 0},
  [9437] = {.lex_state = 0},
  [9438] = {.lex_state = 0},
  [9439] = {.lex_state = 0},
  [9440] = {.lex_state = 0},
  [9441] = {.lex_state = 209},
  [9442] = {.lex_state = 0},
  [9443] = {.lex_state = 390},
  [9444] = {.lex_state = 390},
  [9445] = {.lex_state = 390},
  [9446] = {.lex_state = 0},
  [9447] = {.lex_state = 390},
  [9448] = {.lex_state = 0},
  [9449] = {.lex_state = 0},
  [9450] = {.lex_state = 247},
  [9451] = {.lex_state = 0},
  [9452] = {.lex_state = 390},
  [9453] = {.lex_state = 0},
  [9454] = {.lex_state = 0},
  [9455] = {.lex_state = 390},
  [9456] = {.lex_state = 0, .external_lex_state = 3},
  [9457] = {.lex_state = 0},
  [9458] = {.lex_state = 0},
  [9459] = {.lex_state = 0},
  [9460] = {.lex_state = 0},
  [9461] = {.lex_state = 0},
  [9462] = {.lex_state = 0},
  [9463] = {.lex_state = 209},
  [9464] = {.lex_state = 247},
  [9465] = {.lex_state = 0},
  [9466] = {.lex_state = 390},
  [9467] = {.lex_state = 390},
  [9468] = {.lex_state = 0},
  [9469] = {.lex_state = 390},
  [9470] = {.lex_state = 202},
  [9471] = {.lex_state = 0},
  [9472] = {.lex_state = 247},
  [9473] = {.lex_state = 0},
  [9474] = {.lex_state = 390},
  [9475] = {.lex_state = 0},
  [9476] = {.lex_state = 125},
  [9477] = {.lex_state = 390},
  [9478] = {.lex_state = 0, .external_lex_state = 3},
  [9479] = {.lex_state = 0},
  [9480] = {.lex_state = 202},
  [9481] = {.lex_state = 202},
  [9482] = {.lex_state = 202},
  [9483] = {.lex_state = 0},
  [9484] = {.lex_state = 209},
  [9485] = {.lex_state = 247},
  [9486] = {.lex_state = 390},
  [9487] = {.lex_state = 390},
  [9488] = {.lex_state = 0},
  [9489] = {.lex_state = 390},
  [9490] = {.lex_state = 390},
  [9491] = {.lex_state = 0},
  [9492] = {.lex_state = 247},
  [9493] = {.lex_state = 390},
  [9494] = {.lex_state = 125},
  [9495] = {.lex_state = 0},
  [9496] = {.lex_state = 390},
  [9497] = {.lex_state = 0, .external_lex_state = 3},
  [9498] = {.lex_state = 0},
  [9499] = {.lex_state = 209},
  [9500] = {.lex_state = 202},
  [9501] = {.lex_state = 247},
  [9502] = {.lex_state = 0},
  [9503] = {.lex_state = 209},
  [9504] = {.lex_state = 0},
  [9505] = {.lex_state = 390},
  [9506] = {.lex_state = 390},
  [9507] = {.lex_state = 0},
  [9508] = {.lex_state = 390},
  [9509] = {.lex_state = 0},
  [9510] = {.lex_state = 390},
  [9511] = {.lex_state = 390},
  [9512] = {.lex_state = 0},
  [9513] = {.lex_state = 247},
  [9514] = {.lex_state = 390},
  [9515] = {.lex_state = 0, .external_lex_state = 3},
  [9516] = {.lex_state = 0},
  [9517] = {.lex_state = 0},
  [9518] = {.lex_state = 0},
  [9519] = {.lex_state = 0},
  [9520] = {.lex_state = 0},
  [9521] = {.lex_state = 209},
  [9522] = {.lex_state = 0},
  [9523] = {.lex_state = 390},
  [9524] = {.lex_state = 390},
  [9525] = {.lex_state = 247},
  [9526] = {.lex_state = 390},
  [9527] = {.lex_state = 0},
  [9528] = {.lex_state = 0},
  [9529] = {.lex_state = 390},
  [9530] = {.lex_state = 202},
  [9531] = {.lex_state = 0},
  [9532] = {.lex_state = 390},
  [9533] = {.lex_state = 0, .external_lex_state = 3},
  [9534] = {.lex_state = 0},
  [9535] = {.lex_state = 0},
  [9536] = {.lex_state = 390},
  [9537] = {.lex_state = 0},
  [9538] = {.lex_state = 0},
  [9539] = {.lex_state = 209},
  [9540] = {.lex_state = 0},
  [9541] = {.lex_state = 390},
  [9542] = {.lex_state = 0},
  [9543] = {.lex_state = 390},
  [9544] = {.lex_state = 0},
  [9545] = {.lex_state = 0},
  [9546] = {.lex_state = 209},
  [9547] = {.lex_state = 125},
  [9548] = {.lex_state = 390},
  [9549] = {.lex_state = 0, .external_lex_state = 3},
  [9550] = {.lex_state = 0},
  [9551] = {.lex_state = 0},
  [9552] = {.lex_state = 0},
  [9553] = {.lex_state = 0},
  [9554] = {.lex_state = 0},
  [9555] = {.lex_state = 390},
  [9556] = {.lex_state = 390},
  [9557] = {.lex_state = 0},
  [9558] = {.lex_state = 0, .external_lex_state = 3},
  [9559] = {.lex_state = 0},
  [9560] = {.lex_state = 0},
  [9561] = {.lex_state = 0},
  [9562] = {.lex_state = 0},
  [9563] = {.lex_state = 390},
  [9564] = {.lex_state = 390},
  [9565] = {.lex_state = 0},
  [9566] = {.lex_state = 0, .external_lex_state = 3},
  [9567] = {.lex_state = 202},
  [9568] = {.lex_state = 0},
  [9569] = {.lex_state = 390},
  [9570] = {.lex_state = 390},
  [9571] = {.lex_state = 0, .external_lex_state = 3},
  [9572] = {.lex_state = 0},
  [9573] = {.lex_state = 0, .external_lex_state = 3},
  [9574] = {.lex_state = 0},
  [9575] = {.lex_state = 0, .external_lex_state = 3},
  [9576] = {.lex_state = 0},
  [9577] = {.lex_state = 0, .external_lex_state = 3},
  [9578] = {.lex_state = 0},
  [9579] = {.lex_state = 0, .external_lex_state = 3},
  [9580] = {.lex_state = 0},
  [9581] = {.lex_state = 0, .external_lex_state = 3},
  [9582] = {.lex_state = 0},
  [9583] = {.lex_state = 0, .external_lex_state = 3},
  [9584] = {.lex_state = 0},
  [9585] = {.lex_state = 0, .external_lex_state = 3},
  [9586] = {.lex_state = 0},
  [9587] = {.lex_state = 390},
  [9588] = {.lex_state = 247},
  [9589] = {.lex_state = 390},
  [9590] = {.lex_state = 390},
  [9591] = {.lex_state = 247},
  [9592] = {.lex_state = 0},
  [9593] = {.lex_state = 247},
  [9594] = {.lex_state = 247},
  [9595] = {.lex_state = 125},
  [9596] = {.lex_state = 125},
  [9597] = {.lex_state = 0},
  [9598] = {.lex_state = 0},
  [9599] = {.lex_state = 202},
  [9600] = {.lex_state = 0},
  [9601] = {.lex_state = 0},
  [9602] = {.lex_state = 202},
  [9603] = {.lex_state = 0},
  [9604] = {.lex_state = 390},
  [9605] = {.lex_state = 0},
  [9606] = {.lex_state = 247},
  [9607] = {.lex_state = 0, .external_lex_state = 3},
  [9608] = {.lex_state = 0},
  [9609] = {.lex_state = 0},
  [9610] = {.lex_state = 0},
  [9611] = {.lex_state = 390},
  [9612] = {.lex_state = 0},
  [9613] = {.lex_state = 0},
  [9614] = {.lex_state = 0},
  [9615] = {.lex_state = 0},
  [9616] = {.lex_state = 0},
  [9617] = {.lex_state = 125},
  [9618] = {.lex_state = 0},
  [9619] = {.lex_state = 0},
  [9620] = {.lex_state = 0},
  [9621] = {.lex_state = 247},
  [9622] = {.lex_state = 0},
  [9623] = {.lex_state = 0},
  [9624] = {.lex_state = 0},
  [9625] = {.lex_state = 0},
  [9626] = {.lex_state = 125},
  [9627] = {.lex_state = 0},
  [9628] = {.lex_state = 247},
  [9629] = {.lex_state = 202},
  [9630] = {.lex_state = 0},
  [9631] = {.lex_state = 247},
  [9632] = {.lex_state = 0},
  [9633] = {.lex_state = 202},
  [9634] = {.lex_state = 0},
  [9635] = {.lex_state = 0},
  [9636] = {.lex_state = 0},
  [9637] = {.lex_state = 209},
  [9638] = {.lex_state = 125},
  [9639] = {.lex_state = 202},
  [9640] = {.lex_state = 0},
  [9641] = {.lex_state = 0},
  [9642] = {.lex_state = 0},
  [9643] = {.lex_state = 247},
  [9644] = {.lex_state = 209},
  [9645] = {.lex_state = 0},
  [9646] = {.lex_state = 0},
  [9647] = {.lex_state = 0},
  [9648] = {.lex_state = 0},
  [9649] = {.lex_state = 0},
  [9650] = {.lex_state = 247},
  [9651] = {.lex_state = 390},
  [9652] = {.lex_state = 0},
  [9653] = {.lex_state = 0},
  [9654] = {.lex_state = 125},
  [9655] = {.lex_state = 0},
  [9656] = {.lex_state = 0},
  [9657] = {.lex_state = 0},
  [9658] = {.lex_state = 247},
  [9659] = {.lex_state = 390},
  [9660] = {.lex_state = 125},
  [9661] = {.lex_state = 0},
  [9662] = {.lex_state = 202},
  [9663] = {.lex_state = 202},
  [9664] = {.lex_state = 0},
  [9665] = {.lex_state = 0},
  [9666] = {.lex_state = 209},
  [9667] = {.lex_state = 390},
  [9668] = {.lex_state = 390},
  [9669] = {.lex_state = 390},
  [9670] = {.lex_state = 390},
  [9671] = {.lex_state = 247},
  [9672] = {.lex_state = 247},
  [9673] = {.lex_state = 0},
  [9674] = {.lex_state = 0},
  [9675] = {.lex_state = 247},
  [9676] = {.lex_state = 0, .external_lex_state = 3},
  [9677] = {.lex_state = 125},
  [9678] = {.lex_state = 0},
  [9679] = {.lex_state = 390},
  [9680] = {.lex_state = 390},
  [9681] = {.lex_state = 390},
  [9682] = {.lex_state = 247},
  [9683] = {.lex_state = 0},
  [9684] = {.lex_state = 390},
  [9685] = {.lex_state = 247},
  [9686] = {.lex_state = 0, .external_lex_state = 3},
  [9687] = {.lex_state = 390},
  [9688] = {.lex_state = 202},
  [9689] = {.lex_state = 247},
  [9690] = {.lex_state = 390},
  [9691] = {.lex_state = 390},
  [9692] = {.lex_state = 247},
  [9693] = {.lex_state = 125},
  [9694] = {.lex_state = 0},
  [9695] = {.lex_state = 247},
  [9696] = {.lex_state = 0, .external_lex_state = 3},
  [9697] = {.lex_state = 0},
  [9698] = {.lex_state = 0},
  [9699] = {.lex_state = 390},
  [9700] = {.lex_state = 390},
  [9701] = {.lex_state = 247},
  [9702] = {.lex_state = 202},
  [9703] = {.lex_state = 202},
  [9704] = {.lex_state = 247},
  [9705] = {.lex_state = 0, .external_lex_state = 3},
  [9706] = {.lex_state = 209},
  [9707] = {.lex_state = 0},
  [9708] = {.lex_state = 390},
  [9709] = {.lex_state = 247},
  [9710] = {.lex_state = 0},
  [9711] = {.lex_state = 0},
  [9712] = {.lex_state = 247},
  [9713] = {.lex_state = 0, .external_lex_state = 3},
  [9714] = {.lex_state = 0},
  [9715] = {.lex_state = 0},
  [9716] = {.lex_state = 390},
  [9717] = {.lex_state = 247},
  [9718] = {.lex_state = 202},
  [9719] = {.lex_state = 247},
  [9720] = {.lex_state = 247},
  [9721] = {.lex_state = 0, .external_lex_state = 3},
  [9722] = {.lex_state = 0},
  [9723] = {.lex_state = 0},
  [9724] = {.lex_state = 390},
  [9725] = {.lex_state = 247},
  [9726] = {.lex_state = 0},
  [9727] = {.lex_state = 247},
  [9728] = {.lex_state = 0, .external_lex_state = 3},
  [9729] = {.lex_state = 390},
  [9730] = {.lex_state = 0},
  [9731] = {.lex_state = 247},
  [9732] = {.lex_state = 0, .external_lex_state = 3},
  [9733] = {.lex_state = 390},
  [9734] = {.lex_state = 0},
  [9735] = {.lex_state = 0, .external_lex_state = 3},
  [9736] = {.lex_state = 0},
  [9737] = {.lex_state = 0, .external_lex_state = 3},
  [9738] = {.lex_state = 0},
  [9739] = {.lex_state = 0, .external_lex_state = 3},
  [9740] = {.lex_state = 247},
  [9741] = {.lex_state = 0, .external_lex_state = 3},
  [9742] = {.lex_state = 247},
  [9743] = {.lex_state = 0, .external_lex_state = 3},
  [9744] = {.lex_state = 247},
  [9745] = {.lex_state = 0, .external_lex_state = 3},
  [9746] = {.lex_state = 0},
  [9747] = {.lex_state = 0, .external_lex_state = 3},
  [9748] = {.lex_state = 0},
  [9749] = {.lex_state = 0, .external_lex_state = 3},
  [9750] = {.lex_state = 0},
  [9751] = {.lex_state = 0, .external_lex_state = 3},
  [9752] = {.lex_state = 390},
  [9753] = {.lex_state = 390},
  [9754] = {.lex_state = 0},
  [9755] = {.lex_state = 390},
  [9756] = {.lex_state = 390},
  [9757] = {.lex_state = 202},
  [9758] = {.lex_state = 390},
  [9759] = {.lex_state = 390},
  [9760] = {.lex_state = 0},
  [9761] = {.lex_state = 390},
  [9762] = {.lex_state = 390},
  [9763] = {.lex_state = 209},
  [9764] = {.lex_state = 390},
  [9765] = {.lex_state = 390},
  [9766] = {.lex_state = 0},
  [9767] = {.lex_state = 390},
  [9768] = {.lex_state = 390},
  [9769] = {.lex_state = 0},
  [9770] = {.lex_state = 390},
  [9771] = {.lex_state = 390},
  [9772] = {.lex_state = 0},
  [9773] = {.lex_state = 390},
  [9774] = {.lex_state = 390},
  [9775] = {.lex_state = 390},
  [9776] = {.lex_state = 390},
  [9777] = {.lex_state = 390},
  [9778] = {.lex_state = 390},
  [9779] = {.lex_state = 390},
  [9780] = {.lex_state = 390},
  [9781] = {.lex_state = 390},
  [9782] = {.lex_state = 390},
  [9783] = {.lex_state = 390},
  [9784] = {.lex_state = 0},
  [9785] = {.lex_state = 390},
  [9786] = {.lex_state = 247},
  [9787] = {.lex_state = 247},
  [9788] = {.lex_state = 247},
  [9789] = {.lex_state = 0},
  [9790] = {.lex_state = 247},
  [9791] = {.lex_state = 390},
  [9792] = {.lex_state = 390},
  [9793] = {.lex_state = 390},
  [9794] = {.lex_state = 390},
  [9795] = {.lex_state = 390},
  [9796] = {.lex_state = 390},
  [9797] = {.lex_state = 390},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9653),
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2349),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7050),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3301),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5507),
    [sym__expression_not_binary] = STATE(5594),
    [sym__string] = STATE(5594),
    [sym_conditional_expression] = STATE(5594),
    [sym_assignment_expression] = STATE(5594),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(5594),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(5594),
    [sym_cast_expression] = STATE(5594),
    [sym_sizeof_expression] = STATE(5594),
    [sym_alignof_expression] = STATE(5594),
    [sym_offsetof_expression] = STATE(5594),
    [sym_generic_expression] = STATE(5594),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(5594),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(5594),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(5594),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2122),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7525),
    [sym__constructor_specifiers] = STATE(2122),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(5594),
    [sym_new_expression] = STATE(5594),
    [sym_delete_expression] = STATE(5594),
    [sym_requires_clause] = STATE(5594),
    [sym_requires_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(5594),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(5594),
    [sym_parameter_pack_expansion] = STATE(5594),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7525),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2122),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [2] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [3] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [4] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [5] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [6] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [7] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_case_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(55),
    [sym_co_return_statement] = STATE(55),
    [sym_co_yield_statement] = STATE(55),
    [sym_throw_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [8] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_case_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(55),
    [sym_co_return_statement] = STATE(55),
    [sym_co_yield_statement] = STATE(55),
    [sym_throw_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [9] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [10] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [11] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [12] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [13] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [14] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [15] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [16] = {
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(8965),
    [sym_preproc_elif] = STATE(8965),
    [sym_preproc_elifdef] = STATE(8965),
    [sym_function_definition] = STATE(19),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(19),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(19),
    [sym_labeled_statement] = STATE(19),
    [sym_expression_statement] = STATE(19),
    [sym_if_statement] = STATE(19),
    [sym_switch_statement] = STATE(19),
    [sym_case_statement] = STATE(19),
    [sym_while_statement] = STATE(19),
    [sym_do_statement] = STATE(19),
    [sym_for_statement] = STATE(19),
    [sym_return_statement] = STATE(19),
    [sym_break_statement] = STATE(19),
    [sym_continue_statement] = STATE(19),
    [sym_goto_statement] = STATE(19),
    [sym_seh_try_statement] = STATE(19),
    [sym_seh_leave_statement] = STATE(19),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(19),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(19),
    [sym_template_instantiation] = STATE(19),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(19),
    [sym_operator_cast_declaration] = STATE(19),
    [sym_constructor_or_destructor_definition] = STATE(19),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(19),
    [sym_namespace_alias_definition] = STATE(19),
    [sym_using_declaration] = STATE(19),
    [sym_alias_declaration] = STATE(19),
    [sym_static_assert_declaration] = STATE(19),
    [sym_concept_definition] = STATE(19),
    [sym_for_range_loop] = STATE(19),
    [sym_co_return_statement] = STATE(19),
    [sym_co_yield_statement] = STATE(19),
    [sym_throw_statement] = STATE(19),
    [sym_try_statement] = STATE(19),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [17] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(9470),
    [sym_preproc_elif] = STATE(9470),
    [sym_preproc_elifdef] = STATE(9470),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(23),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(23),
    [sym_template_instantiation] = STATE(23),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(23),
    [sym_operator_cast_declaration] = STATE(23),
    [sym_constructor_or_destructor_definition] = STATE(23),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(23),
    [sym_namespace_alias_definition] = STATE(23),
    [sym_using_declaration] = STATE(23),
    [sym_alias_declaration] = STATE(23),
    [sym_static_assert_declaration] = STATE(23),
    [sym_concept_definition] = STATE(23),
    [sym_for_range_loop] = STATE(23),
    [sym_co_return_statement] = STATE(23),
    [sym_co_yield_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [18] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(9333),
    [sym_preproc_elif] = STATE(9333),
    [sym_preproc_elifdef] = STATE(9333),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(22),
    [sym_co_return_statement] = STATE(22),
    [sym_co_yield_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [19] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9074),
    [sym_preproc_elif] = STATE(9074),
    [sym_preproc_elifdef] = STATE(9074),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [20] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8899),
    [sym_preproc_elif] = STATE(8899),
    [sym_preproc_elifdef] = STATE(8899),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [21] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8825),
    [sym_preproc_elif] = STATE(8825),
    [sym_preproc_elifdef] = STATE(8825),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [22] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9703),
    [sym_preproc_elif] = STATE(9703),
    [sym_preproc_elifdef] = STATE(9703),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [23] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(9340),
    [sym_preproc_elif] = STATE(9340),
    [sym_preproc_elifdef] = STATE(9340),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [24] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(9140),
    [sym_preproc_elif] = STATE(9140),
    [sym_preproc_elifdef] = STATE(9140),
    [sym_function_definition] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym_seh_try_statement] = STATE(20),
    [sym_seh_leave_statement] = STATE(20),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(20),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(20),
    [sym_template_instantiation] = STATE(20),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(20),
    [sym_operator_cast_declaration] = STATE(20),
    [sym_constructor_or_destructor_definition] = STATE(20),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(20),
    [sym_namespace_alias_definition] = STATE(20),
    [sym_using_declaration] = STATE(20),
    [sym_alias_declaration] = STATE(20),
    [sym_static_assert_declaration] = STATE(20),
    [sym_concept_definition] = STATE(20),
    [sym_for_range_loop] = STATE(20),
    [sym_co_return_statement] = STATE(20),
    [sym_co_yield_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [25] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(8937),
    [sym_preproc_elif] = STATE(8937),
    [sym_preproc_elifdef] = STATE(8937),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(21),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(21),
    [sym_template_instantiation] = STATE(21),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(21),
    [sym_operator_cast_declaration] = STATE(21),
    [sym_constructor_or_destructor_definition] = STATE(21),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(21),
    [sym_namespace_alias_definition] = STATE(21),
    [sym_using_declaration] = STATE(21),
    [sym_alias_declaration] = STATE(21),
    [sym_static_assert_declaration] = STATE(21),
    [sym_concept_definition] = STATE(21),
    [sym_for_range_loop] = STATE(21),
    [sym_co_return_statement] = STATE(21),
    [sym_co_yield_statement] = STATE(21),
    [sym_throw_statement] = STATE(21),
    [sym_try_statement] = STATE(21),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [26] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_preproc_else] = STATE(9015),
    [sym_preproc_elif] = STATE(9015),
    [sym_function_definition] = STATE(33),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(33),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(33),
    [sym_template_instantiation] = STATE(33),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(33),
    [sym_operator_cast_declaration] = STATE(33),
    [sym_constructor_or_destructor_definition] = STATE(33),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_alias_definition] = STATE(33),
    [sym_using_declaration] = STATE(33),
    [sym_alias_declaration] = STATE(33),
    [sym_static_assert_declaration] = STATE(33),
    [sym_concept_definition] = STATE(33),
    [sym_for_range_loop] = STATE(33),
    [sym_co_return_statement] = STATE(33),
    [sym_co_yield_statement] = STATE(33),
    [sym_throw_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [27] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(9091),
    [sym_preproc_elif] = STATE(9091),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [28] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(9341),
    [sym_preproc_elif] = STATE(9341),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [29] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9482),
    [sym_preproc_elif] = STATE(9482),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [30] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7024),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2113),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2113),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2113),
    [sym_identifier] = ACTIONS(433),
    [aux_sym_preproc_include_token1] = ACTIONS(436),
    [aux_sym_preproc_def_token1] = ACTIONS(439),
    [aux_sym_preproc_if_token1] = ACTIONS(442),
    [aux_sym_preproc_if_token2] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(447),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(447),
    [aux_sym_preproc_else_token1] = ACTIONS(445),
    [aux_sym_preproc_elif_token1] = ACTIONS(445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(445),
    [sym_preproc_directive] = ACTIONS(450),
    [anon_sym_LPAREN2] = ACTIONS(453),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym___extension__] = ACTIONS(477),
    [anon_sym_typedef] = ACTIONS(480),
    [anon_sym_extern] = ACTIONS(483),
    [anon_sym___attribute__] = ACTIONS(486),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(492),
    [anon_sym___declspec] = ACTIONS(495),
    [anon_sym___based] = ACTIONS(498),
    [anon_sym___cdecl] = ACTIONS(501),
    [anon_sym___clrcall] = ACTIONS(501),
    [anon_sym___stdcall] = ACTIONS(501),
    [anon_sym___fastcall] = ACTIONS(501),
    [anon_sym___thiscall] = ACTIONS(501),
    [anon_sym___vectorcall] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_signed] = ACTIONS(507),
    [anon_sym_unsigned] = ACTIONS(507),
    [anon_sym_long] = ACTIONS(507),
    [anon_sym_short] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(513),
    [anon_sym_register] = ACTIONS(513),
    [anon_sym_inline] = ACTIONS(516),
    [anon_sym___inline] = ACTIONS(513),
    [anon_sym___inline__] = ACTIONS(513),
    [anon_sym___forceinline] = ACTIONS(513),
    [anon_sym_thread_local] = ACTIONS(513),
    [anon_sym___thread] = ACTIONS(513),
    [anon_sym_const] = ACTIONS(519),
    [anon_sym_constexpr] = ACTIONS(519),
    [anon_sym_volatile] = ACTIONS(519),
    [anon_sym_restrict] = ACTIONS(519),
    [anon_sym___restrict__] = ACTIONS(519),
    [anon_sym__Atomic] = ACTIONS(519),
    [anon_sym__Noreturn] = ACTIONS(519),
    [anon_sym_noreturn] = ACTIONS(519),
    [anon_sym_mutable] = ACTIONS(519),
    [anon_sym_constinit] = ACTIONS(519),
    [anon_sym_consteval] = ACTIONS(519),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(525),
    [anon_sym_class] = ACTIONS(528),
    [anon_sym_struct] = ACTIONS(531),
    [anon_sym_union] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(537),
    [anon_sym_switch] = ACTIONS(540),
    [anon_sym_case] = ACTIONS(543),
    [anon_sym_default] = ACTIONS(546),
    [anon_sym_while] = ACTIONS(549),
    [anon_sym_do] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(555),
    [anon_sym_return] = ACTIONS(558),
    [anon_sym_break] = ACTIONS(561),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_goto] = ACTIONS(567),
    [anon_sym___try] = ACTIONS(570),
    [anon_sym___leave] = ACTIONS(573),
    [anon_sym_not] = ACTIONS(462),
    [anon_sym_compl] = ACTIONS(462),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_sizeof] = ACTIONS(579),
    [anon_sym___alignof__] = ACTIONS(582),
    [anon_sym___alignof] = ACTIONS(582),
    [anon_sym__alignof] = ACTIONS(582),
    [anon_sym_alignof] = ACTIONS(582),
    [anon_sym__Alignof] = ACTIONS(582),
    [anon_sym_offsetof] = ACTIONS(585),
    [anon_sym__Generic] = ACTIONS(588),
    [anon_sym_asm] = ACTIONS(591),
    [anon_sym___asm__] = ACTIONS(591),
    [sym_number_literal] = ACTIONS(594),
    [anon_sym_L_SQUOTE] = ACTIONS(597),
    [anon_sym_u_SQUOTE] = ACTIONS(597),
    [anon_sym_U_SQUOTE] = ACTIONS(597),
    [anon_sym_u8_SQUOTE] = ACTIONS(597),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_L_DQUOTE] = ACTIONS(600),
    [anon_sym_u_DQUOTE] = ACTIONS(600),
    [anon_sym_U_DQUOTE] = ACTIONS(600),
    [anon_sym_u8_DQUOTE] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [anon_sym_NULL] = ACTIONS(606),
    [anon_sym_nullptr] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(609),
    [anon_sym_decltype] = ACTIONS(612),
    [anon_sym_virtual] = ACTIONS(615),
    [anon_sym_alignas] = ACTIONS(618),
    [anon_sym_explicit] = ACTIONS(621),
    [anon_sym_typename] = ACTIONS(624),
    [anon_sym_template] = ACTIONS(627),
    [anon_sym_operator] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(633),
    [anon_sym_delete] = ACTIONS(636),
    [anon_sym_throw] = ACTIONS(639),
    [anon_sym_namespace] = ACTIONS(642),
    [anon_sym_using] = ACTIONS(645),
    [anon_sym_static_assert] = ACTIONS(648),
    [anon_sym_concept] = ACTIONS(651),
    [anon_sym_co_return] = ACTIONS(654),
    [anon_sym_co_yield] = ACTIONS(657),
    [anon_sym_R_DQUOTE] = ACTIONS(660),
    [anon_sym_LR_DQUOTE] = ACTIONS(660),
    [anon_sym_uR_DQUOTE] = ACTIONS(660),
    [anon_sym_UR_DQUOTE] = ACTIONS(660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(660),
    [anon_sym_co_await] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_requires] = ACTIONS(669),
    [sym_this] = ACTIONS(603),
  },
  [31] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9108),
    [sym_preproc_elif] = STATE(9108),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [32] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9530),
    [sym_preproc_elif] = STATE(9530),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [33] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8991),
    [sym_preproc_elif] = STATE(8991),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [34] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(9274),
    [sym_preproc_elif] = STATE(9274),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(31),
    [sym_co_return_statement] = STATE(31),
    [sym_co_yield_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [35] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(9702),
    [sym_preproc_elif] = STATE(9702),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(29),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(29),
    [sym_template_instantiation] = STATE(29),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(29),
    [sym_operator_cast_declaration] = STATE(29),
    [sym_constructor_or_destructor_definition] = STATE(29),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_alias_definition] = STATE(29),
    [sym_using_declaration] = STATE(29),
    [sym_alias_declaration] = STATE(29),
    [sym_static_assert_declaration] = STATE(29),
    [sym_concept_definition] = STATE(29),
    [sym_for_range_loop] = STATE(29),
    [sym_co_return_statement] = STATE(29),
    [sym_co_yield_statement] = STATE(29),
    [sym_throw_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [36] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9283),
    [sym_preproc_elif] = STATE(9283),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [37] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(9599),
    [sym_preproc_elif] = STATE(9599),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(32),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(32),
    [sym_template_instantiation] = STATE(32),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(32),
    [sym_operator_cast_declaration] = STATE(32),
    [sym_constructor_or_destructor_definition] = STATE(32),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(32),
    [sym_namespace_alias_definition] = STATE(32),
    [sym_using_declaration] = STATE(32),
    [sym_alias_declaration] = STATE(32),
    [sym_static_assert_declaration] = STATE(32),
    [sym_concept_definition] = STATE(32),
    [sym_for_range_loop] = STATE(32),
    [sym_co_return_statement] = STATE(32),
    [sym_co_yield_statement] = STATE(32),
    [sym_throw_statement] = STATE(32),
    [sym_try_statement] = STATE(32),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [38] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9602),
    [sym_preproc_elif] = STATE(9602),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8948),
    [sym_preproc_elif] = STATE(8948),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [40] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(8828),
    [sym_preproc_elif] = STATE(8828),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7089),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2127),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2127),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2127),
    [sym_identifier] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(695),
    [aux_sym_preproc_def_token1] = ACTIONS(698),
    [aux_sym_preproc_if_token1] = ACTIONS(701),
    [aux_sym_preproc_if_token2] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(704),
    [aux_sym_preproc_else_token1] = ACTIONS(445),
    [aux_sym_preproc_elif_token1] = ACTIONS(445),
    [sym_preproc_directive] = ACTIONS(707),
    [anon_sym_LPAREN2] = ACTIONS(453),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym___extension__] = ACTIONS(713),
    [anon_sym_typedef] = ACTIONS(716),
    [anon_sym_extern] = ACTIONS(719),
    [anon_sym___attribute__] = ACTIONS(486),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(492),
    [anon_sym___declspec] = ACTIONS(495),
    [anon_sym___based] = ACTIONS(498),
    [anon_sym___cdecl] = ACTIONS(501),
    [anon_sym___clrcall] = ACTIONS(501),
    [anon_sym___stdcall] = ACTIONS(501),
    [anon_sym___fastcall] = ACTIONS(501),
    [anon_sym___thiscall] = ACTIONS(501),
    [anon_sym___vectorcall] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(507),
    [anon_sym_unsigned] = ACTIONS(507),
    [anon_sym_long] = ACTIONS(507),
    [anon_sym_short] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(513),
    [anon_sym_register] = ACTIONS(513),
    [anon_sym_inline] = ACTIONS(725),
    [anon_sym___inline] = ACTIONS(513),
    [anon_sym___inline__] = ACTIONS(513),
    [anon_sym___forceinline] = ACTIONS(513),
    [anon_sym_thread_local] = ACTIONS(513),
    [anon_sym___thread] = ACTIONS(513),
    [anon_sym_const] = ACTIONS(519),
    [anon_sym_constexpr] = ACTIONS(519),
    [anon_sym_volatile] = ACTIONS(519),
    [anon_sym_restrict] = ACTIONS(519),
    [anon_sym___restrict__] = ACTIONS(519),
    [anon_sym__Atomic] = ACTIONS(519),
    [anon_sym__Noreturn] = ACTIONS(519),
    [anon_sym_noreturn] = ACTIONS(519),
    [anon_sym_mutable] = ACTIONS(519),
    [anon_sym_constinit] = ACTIONS(519),
    [anon_sym_consteval] = ACTIONS(519),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(525),
    [anon_sym_class] = ACTIONS(528),
    [anon_sym_struct] = ACTIONS(531),
    [anon_sym_union] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(734),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(743),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(755),
    [anon_sym_goto] = ACTIONS(758),
    [anon_sym___try] = ACTIONS(761),
    [anon_sym___leave] = ACTIONS(764),
    [anon_sym_not] = ACTIONS(462),
    [anon_sym_compl] = ACTIONS(462),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_sizeof] = ACTIONS(579),
    [anon_sym___alignof__] = ACTIONS(582),
    [anon_sym___alignof] = ACTIONS(582),
    [anon_sym__alignof] = ACTIONS(582),
    [anon_sym_alignof] = ACTIONS(582),
    [anon_sym__Alignof] = ACTIONS(582),
    [anon_sym_offsetof] = ACTIONS(585),
    [anon_sym__Generic] = ACTIONS(588),
    [anon_sym_asm] = ACTIONS(591),
    [anon_sym___asm__] = ACTIONS(591),
    [sym_number_literal] = ACTIONS(594),
    [anon_sym_L_SQUOTE] = ACTIONS(597),
    [anon_sym_u_SQUOTE] = ACTIONS(597),
    [anon_sym_U_SQUOTE] = ACTIONS(597),
    [anon_sym_u8_SQUOTE] = ACTIONS(597),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_L_DQUOTE] = ACTIONS(600),
    [anon_sym_u_DQUOTE] = ACTIONS(600),
    [anon_sym_U_DQUOTE] = ACTIONS(600),
    [anon_sym_u8_DQUOTE] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [anon_sym_NULL] = ACTIONS(606),
    [anon_sym_nullptr] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(609),
    [anon_sym_decltype] = ACTIONS(612),
    [anon_sym_virtual] = ACTIONS(615),
    [anon_sym_alignas] = ACTIONS(618),
    [anon_sym_explicit] = ACTIONS(621),
    [anon_sym_typename] = ACTIONS(624),
    [anon_sym_template] = ACTIONS(767),
    [anon_sym_operator] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_delete] = ACTIONS(636),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_namespace] = ACTIONS(776),
    [anon_sym_using] = ACTIONS(779),
    [anon_sym_static_assert] = ACTIONS(782),
    [anon_sym_concept] = ACTIONS(785),
    [anon_sym_co_return] = ACTIONS(788),
    [anon_sym_co_yield] = ACTIONS(791),
    [anon_sym_R_DQUOTE] = ACTIONS(660),
    [anon_sym_LR_DQUOTE] = ACTIONS(660),
    [anon_sym_uR_DQUOTE] = ACTIONS(660),
    [anon_sym_UR_DQUOTE] = ACTIONS(660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(660),
    [anon_sym_co_await] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_requires] = ACTIONS(669),
    [sym_this] = ACTIONS(603),
  },
  [42] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [43] = {
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(87),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(87),
    [sym_labeled_statement] = STATE(87),
    [sym_expression_statement] = STATE(87),
    [sym_if_statement] = STATE(87),
    [sym_switch_statement] = STATE(87),
    [sym_case_statement] = STATE(87),
    [sym_while_statement] = STATE(87),
    [sym_do_statement] = STATE(87),
    [sym_for_statement] = STATE(87),
    [sym_return_statement] = STATE(87),
    [sym_break_statement] = STATE(87),
    [sym_continue_statement] = STATE(87),
    [sym_goto_statement] = STATE(87),
    [sym_seh_try_statement] = STATE(87),
    [sym_seh_leave_statement] = STATE(87),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(87),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(87),
    [sym_template_instantiation] = STATE(87),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(87),
    [sym_operator_cast_declaration] = STATE(87),
    [sym_constructor_or_destructor_definition] = STATE(87),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(87),
    [sym_namespace_alias_definition] = STATE(87),
    [sym_using_declaration] = STATE(87),
    [sym_alias_declaration] = STATE(87),
    [sym_static_assert_declaration] = STATE(87),
    [sym_concept_definition] = STATE(87),
    [sym_for_range_loop] = STATE(87),
    [sym_co_return_statement] = STATE(87),
    [sym_co_yield_statement] = STATE(87),
    [sym_throw_statement] = STATE(87),
    [sym_try_statement] = STATE(87),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(87),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [44] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [45] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_case_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(89),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(89),
    [sym_template_instantiation] = STATE(89),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(89),
    [sym_operator_cast_declaration] = STATE(89),
    [sym_constructor_or_destructor_definition] = STATE(89),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(89),
    [sym_namespace_alias_definition] = STATE(89),
    [sym_using_declaration] = STATE(89),
    [sym_alias_declaration] = STATE(89),
    [sym_static_assert_declaration] = STATE(89),
    [sym_concept_definition] = STATE(89),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(89),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [46] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [47] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [48] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(49),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(49),
    [sym_template_instantiation] = STATE(49),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(49),
    [sym_operator_cast_declaration] = STATE(49),
    [sym_constructor_or_destructor_definition] = STATE(49),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(49),
    [sym_namespace_alias_definition] = STATE(49),
    [sym_using_declaration] = STATE(49),
    [sym_alias_declaration] = STATE(49),
    [sym_static_assert_declaration] = STATE(49),
    [sym_concept_definition] = STATE(49),
    [sym_for_range_loop] = STATE(49),
    [sym_co_return_statement] = STATE(49),
    [sym_co_yield_statement] = STATE(49),
    [sym_throw_statement] = STATE(49),
    [sym_try_statement] = STATE(49),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [49] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [50] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [51] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(816),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [52] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(818),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [53] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [54] = {
    [sym_preproc_include] = STATE(55),
    [sym_preproc_def] = STATE(55),
    [sym_preproc_function_def] = STATE(55),
    [sym_preproc_call] = STATE(55),
    [sym_preproc_if] = STATE(55),
    [sym_preproc_ifdef] = STATE(55),
    [sym_function_definition] = STATE(55),
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(55),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_case_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(55),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(55),
    [sym_template_instantiation] = STATE(55),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(55),
    [sym_operator_cast_declaration] = STATE(55),
    [sym_constructor_or_destructor_definition] = STATE(55),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_alias_definition] = STATE(55),
    [sym_using_declaration] = STATE(55),
    [sym_alias_declaration] = STATE(55),
    [sym_static_assert_declaration] = STATE(55),
    [sym_concept_definition] = STATE(55),
    [sym_for_range_loop] = STATE(55),
    [sym_co_return_statement] = STATE(55),
    [sym_co_yield_statement] = STATE(55),
    [sym_throw_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(55),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [55] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(824),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [56] = {
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_case_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(57),
    [sym_co_return_statement] = STATE(57),
    [sym_co_yield_statement] = STATE(57),
    [sym_throw_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(826),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [57] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [58] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [59] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(832),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [60] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(834),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [61] = {
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_case_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(68),
    [sym_co_return_statement] = STATE(68),
    [sym_co_yield_statement] = STATE(68),
    [sym_throw_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(836),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [62] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(838),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [63] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(840),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [64] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(842),
    [aux_sym_preproc_include_token1] = ACTIONS(845),
    [aux_sym_preproc_def_token1] = ACTIONS(848),
    [aux_sym_preproc_if_token1] = ACTIONS(851),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(854),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(854),
    [sym_preproc_directive] = ACTIONS(857),
    [anon_sym_LPAREN2] = ACTIONS(453),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(863),
    [anon_sym_typedef] = ACTIONS(866),
    [anon_sym_extern] = ACTIONS(869),
    [anon_sym___attribute__] = ACTIONS(486),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(492),
    [anon_sym___declspec] = ACTIONS(495),
    [anon_sym___based] = ACTIONS(498),
    [anon_sym___cdecl] = ACTIONS(501),
    [anon_sym___clrcall] = ACTIONS(501),
    [anon_sym___stdcall] = ACTIONS(501),
    [anon_sym___fastcall] = ACTIONS(501),
    [anon_sym___thiscall] = ACTIONS(501),
    [anon_sym___vectorcall] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(872),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_signed] = ACTIONS(507),
    [anon_sym_unsigned] = ACTIONS(507),
    [anon_sym_long] = ACTIONS(507),
    [anon_sym_short] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(513),
    [anon_sym_register] = ACTIONS(513),
    [anon_sym_inline] = ACTIONS(877),
    [anon_sym___inline] = ACTIONS(513),
    [anon_sym___inline__] = ACTIONS(513),
    [anon_sym___forceinline] = ACTIONS(513),
    [anon_sym_thread_local] = ACTIONS(513),
    [anon_sym___thread] = ACTIONS(513),
    [anon_sym_const] = ACTIONS(519),
    [anon_sym_constexpr] = ACTIONS(519),
    [anon_sym_volatile] = ACTIONS(519),
    [anon_sym_restrict] = ACTIONS(519),
    [anon_sym___restrict__] = ACTIONS(519),
    [anon_sym__Atomic] = ACTIONS(519),
    [anon_sym__Noreturn] = ACTIONS(519),
    [anon_sym_noreturn] = ACTIONS(519),
    [anon_sym_mutable] = ACTIONS(519),
    [anon_sym_constinit] = ACTIONS(519),
    [anon_sym_consteval] = ACTIONS(519),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(525),
    [anon_sym_class] = ACTIONS(528),
    [anon_sym_struct] = ACTIONS(531),
    [anon_sym_union] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_switch] = ACTIONS(883),
    [anon_sym_case] = ACTIONS(886),
    [anon_sym_default] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(892),
    [anon_sym_do] = ACTIONS(895),
    [anon_sym_for] = ACTIONS(898),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(907),
    [anon_sym_goto] = ACTIONS(910),
    [anon_sym___try] = ACTIONS(913),
    [anon_sym___leave] = ACTIONS(916),
    [anon_sym_not] = ACTIONS(462),
    [anon_sym_compl] = ACTIONS(462),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_sizeof] = ACTIONS(579),
    [anon_sym___alignof__] = ACTIONS(582),
    [anon_sym___alignof] = ACTIONS(582),
    [anon_sym__alignof] = ACTIONS(582),
    [anon_sym_alignof] = ACTIONS(582),
    [anon_sym__Alignof] = ACTIONS(582),
    [anon_sym_offsetof] = ACTIONS(585),
    [anon_sym__Generic] = ACTIONS(588),
    [anon_sym_asm] = ACTIONS(591),
    [anon_sym___asm__] = ACTIONS(591),
    [sym_number_literal] = ACTIONS(594),
    [anon_sym_L_SQUOTE] = ACTIONS(597),
    [anon_sym_u_SQUOTE] = ACTIONS(597),
    [anon_sym_U_SQUOTE] = ACTIONS(597),
    [anon_sym_u8_SQUOTE] = ACTIONS(597),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_L_DQUOTE] = ACTIONS(600),
    [anon_sym_u_DQUOTE] = ACTIONS(600),
    [anon_sym_U_DQUOTE] = ACTIONS(600),
    [anon_sym_u8_DQUOTE] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [anon_sym_NULL] = ACTIONS(606),
    [anon_sym_nullptr] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(609),
    [anon_sym_decltype] = ACTIONS(612),
    [anon_sym_virtual] = ACTIONS(615),
    [anon_sym_alignas] = ACTIONS(618),
    [anon_sym_explicit] = ACTIONS(621),
    [anon_sym_typename] = ACTIONS(624),
    [anon_sym_template] = ACTIONS(919),
    [anon_sym_operator] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(922),
    [anon_sym_delete] = ACTIONS(636),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_namespace] = ACTIONS(928),
    [anon_sym_using] = ACTIONS(931),
    [anon_sym_static_assert] = ACTIONS(934),
    [anon_sym_concept] = ACTIONS(937),
    [anon_sym_co_return] = ACTIONS(940),
    [anon_sym_co_yield] = ACTIONS(943),
    [anon_sym_R_DQUOTE] = ACTIONS(660),
    [anon_sym_LR_DQUOTE] = ACTIONS(660),
    [anon_sym_uR_DQUOTE] = ACTIONS(660),
    [anon_sym_UR_DQUOTE] = ACTIONS(660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(660),
    [anon_sym_co_await] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_requires] = ACTIONS(669),
    [sym_this] = ACTIONS(603),
  },
  [65] = {
    [sym_preproc_include] = STATE(66),
    [sym_preproc_def] = STATE(66),
    [sym_preproc_function_def] = STATE(66),
    [sym_preproc_call] = STATE(66),
    [sym_preproc_if] = STATE(66),
    [sym_preproc_ifdef] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(66),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_case_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(66),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(66),
    [sym_template_instantiation] = STATE(66),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(66),
    [sym_operator_cast_declaration] = STATE(66),
    [sym_constructor_or_destructor_definition] = STATE(66),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(66),
    [sym_namespace_alias_definition] = STATE(66),
    [sym_using_declaration] = STATE(66),
    [sym_alias_declaration] = STATE(66),
    [sym_static_assert_declaration] = STATE(66),
    [sym_concept_definition] = STATE(66),
    [sym_for_range_loop] = STATE(66),
    [sym_co_return_statement] = STATE(66),
    [sym_co_yield_statement] = STATE(66),
    [sym_throw_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(66),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [66] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [67] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [68] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(952),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [69] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(954),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [70] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(956),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [71] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [72] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [73] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [74] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(964),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [75] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(44),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(44),
    [sym_template_instantiation] = STATE(44),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(44),
    [sym_operator_cast_declaration] = STATE(44),
    [sym_constructor_or_destructor_definition] = STATE(44),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(44),
    [sym_namespace_alias_definition] = STATE(44),
    [sym_using_declaration] = STATE(44),
    [sym_alias_declaration] = STATE(44),
    [sym_static_assert_declaration] = STATE(44),
    [sym_concept_definition] = STATE(44),
    [sym_for_range_loop] = STATE(44),
    [sym_co_return_statement] = STATE(44),
    [sym_co_yield_statement] = STATE(44),
    [sym_throw_statement] = STATE(44),
    [sym_try_statement] = STATE(44),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(966),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [76] = {
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_case_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(83),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(83),
    [sym_template_instantiation] = STATE(83),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(83),
    [sym_operator_cast_declaration] = STATE(83),
    [sym_constructor_or_destructor_definition] = STATE(83),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(83),
    [sym_namespace_alias_definition] = STATE(83),
    [sym_using_declaration] = STATE(83),
    [sym_alias_declaration] = STATE(83),
    [sym_static_assert_declaration] = STATE(83),
    [sym_concept_definition] = STATE(83),
    [sym_for_range_loop] = STATE(83),
    [sym_co_return_statement] = STATE(83),
    [sym_co_yield_statement] = STATE(83),
    [sym_throw_statement] = STATE(83),
    [sym_try_statement] = STATE(83),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(83),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(968),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [77] = {
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_case_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(72),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(72),
    [sym_template_instantiation] = STATE(72),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(72),
    [sym_operator_cast_declaration] = STATE(72),
    [sym_constructor_or_destructor_definition] = STATE(72),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(72),
    [sym_namespace_alias_definition] = STATE(72),
    [sym_using_declaration] = STATE(72),
    [sym_alias_declaration] = STATE(72),
    [sym_static_assert_declaration] = STATE(72),
    [sym_concept_definition] = STATE(72),
    [sym_for_range_loop] = STATE(72),
    [sym_co_return_statement] = STATE(72),
    [sym_co_yield_statement] = STATE(72),
    [sym_throw_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(72),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [78] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2325),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7029),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3337),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2125),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7548),
    [sym__constructor_specifiers] = STATE(2125),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7548),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2125),
    [sym_identifier] = ACTIONS(972),
    [aux_sym_preproc_include_token1] = ACTIONS(974),
    [aux_sym_preproc_def_token1] = ACTIONS(976),
    [aux_sym_preproc_if_token1] = ACTIONS(978),
    [aux_sym_preproc_if_token2] = ACTIONS(980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(982),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(982),
    [sym_preproc_directive] = ACTIONS(984),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(992),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(996),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1024),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1030),
    [anon_sym_using] = ACTIONS(1032),
    [anon_sym_static_assert] = ACTIONS(1034),
    [anon_sym_concept] = ACTIONS(1036),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [79] = {
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_case_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(71),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(71),
    [sym_template_instantiation] = STATE(71),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(71),
    [sym_operator_cast_declaration] = STATE(71),
    [sym_constructor_or_destructor_definition] = STATE(71),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_alias_definition] = STATE(71),
    [sym_using_declaration] = STATE(71),
    [sym_alias_declaration] = STATE(71),
    [sym_static_assert_declaration] = STATE(71),
    [sym_concept_definition] = STATE(71),
    [sym_for_range_loop] = STATE(71),
    [sym_co_return_statement] = STATE(71),
    [sym_co_yield_statement] = STATE(71),
    [sym_throw_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(71),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [80] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [81] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [82] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [83] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [84] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_if] = STATE(94),
    [sym_preproc_ifdef] = STATE(94),
    [sym_function_definition] = STATE(94),
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_linkage_specification] = STATE(94),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2325),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7029),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3337),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_case_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(94),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2125),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(94),
    [sym_template_instantiation] = STATE(94),
    [sym_operator_cast] = STATE(7548),
    [sym__constructor_specifiers] = STATE(2125),
    [sym_operator_cast_definition] = STATE(94),
    [sym_operator_cast_declaration] = STATE(94),
    [sym_constructor_or_destructor_definition] = STATE(94),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(94),
    [sym_namespace_alias_definition] = STATE(94),
    [sym_using_declaration] = STATE(94),
    [sym_alias_declaration] = STATE(94),
    [sym_static_assert_declaration] = STATE(94),
    [sym_concept_definition] = STATE(94),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7548),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(94),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2125),
    [sym_identifier] = ACTIONS(972),
    [aux_sym_preproc_include_token1] = ACTIONS(974),
    [aux_sym_preproc_def_token1] = ACTIONS(976),
    [aux_sym_preproc_if_token1] = ACTIONS(978),
    [aux_sym_preproc_if_token2] = ACTIONS(1052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(982),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(982),
    [sym_preproc_directive] = ACTIONS(984),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(992),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(996),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1024),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1030),
    [anon_sym_using] = ACTIONS(1032),
    [anon_sym_static_assert] = ACTIONS(1034),
    [anon_sym_concept] = ACTIONS(1036),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [85] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [86] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [87] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [88] = {
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_case_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(70),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(70),
    [sym_template_instantiation] = STATE(70),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(70),
    [sym_operator_cast_declaration] = STATE(70),
    [sym_constructor_or_destructor_definition] = STATE(70),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(70),
    [sym_namespace_alias_definition] = STATE(70),
    [sym_using_declaration] = STATE(70),
    [sym_alias_declaration] = STATE(70),
    [sym_static_assert_declaration] = STATE(70),
    [sym_concept_definition] = STATE(70),
    [sym_for_range_loop] = STATE(70),
    [sym_co_return_statement] = STATE(70),
    [sym_co_yield_statement] = STATE(70),
    [sym_throw_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(70),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [89] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [90] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [91] = {
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [92] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [93] = {
    [sym_preproc_include] = STATE(86),
    [sym_preproc_def] = STATE(86),
    [sym_preproc_function_def] = STATE(86),
    [sym_preproc_call] = STATE(86),
    [sym_preproc_if] = STATE(86),
    [sym_preproc_ifdef] = STATE(86),
    [sym_function_definition] = STATE(86),
    [sym_declaration] = STATE(86),
    [sym_type_definition] = STATE(86),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(86),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(86),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(86),
    [sym_labeled_statement] = STATE(86),
    [sym_expression_statement] = STATE(86),
    [sym_if_statement] = STATE(86),
    [sym_switch_statement] = STATE(86),
    [sym_case_statement] = STATE(86),
    [sym_while_statement] = STATE(86),
    [sym_do_statement] = STATE(86),
    [sym_for_statement] = STATE(86),
    [sym_return_statement] = STATE(86),
    [sym_break_statement] = STATE(86),
    [sym_continue_statement] = STATE(86),
    [sym_goto_statement] = STATE(86),
    [sym_seh_try_statement] = STATE(86),
    [sym_seh_leave_statement] = STATE(86),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(86),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(86),
    [sym_template_instantiation] = STATE(86),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(86),
    [sym_operator_cast_declaration] = STATE(86),
    [sym_constructor_or_destructor_definition] = STATE(86),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(86),
    [sym_namespace_alias_definition] = STATE(86),
    [sym_using_declaration] = STATE(86),
    [sym_alias_declaration] = STATE(86),
    [sym_static_assert_declaration] = STATE(86),
    [sym_concept_definition] = STATE(86),
    [sym_for_range_loop] = STATE(86),
    [sym_co_return_statement] = STATE(86),
    [sym_co_yield_statement] = STATE(86),
    [sym_throw_statement] = STATE(86),
    [sym_try_statement] = STATE(86),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(86),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [94] = {
    [sym_preproc_include] = STATE(94),
    [sym_preproc_def] = STATE(94),
    [sym_preproc_function_def] = STATE(94),
    [sym_preproc_call] = STATE(94),
    [sym_preproc_if] = STATE(94),
    [sym_preproc_ifdef] = STATE(94),
    [sym_function_definition] = STATE(94),
    [sym_declaration] = STATE(94),
    [sym_type_definition] = STATE(94),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_linkage_specification] = STATE(94),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2325),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7029),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(94),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3337),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(94),
    [sym_labeled_statement] = STATE(94),
    [sym_expression_statement] = STATE(94),
    [sym_if_statement] = STATE(94),
    [sym_switch_statement] = STATE(94),
    [sym_case_statement] = STATE(94),
    [sym_while_statement] = STATE(94),
    [sym_do_statement] = STATE(94),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(94),
    [sym_break_statement] = STATE(94),
    [sym_continue_statement] = STATE(94),
    [sym_goto_statement] = STATE(94),
    [sym_seh_try_statement] = STATE(94),
    [sym_seh_leave_statement] = STATE(94),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(94),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2125),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(94),
    [sym_template_instantiation] = STATE(94),
    [sym_operator_cast] = STATE(7548),
    [sym__constructor_specifiers] = STATE(2125),
    [sym_operator_cast_definition] = STATE(94),
    [sym_operator_cast_declaration] = STATE(94),
    [sym_constructor_or_destructor_definition] = STATE(94),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(94),
    [sym_namespace_alias_definition] = STATE(94),
    [sym_using_declaration] = STATE(94),
    [sym_alias_declaration] = STATE(94),
    [sym_static_assert_declaration] = STATE(94),
    [sym_concept_definition] = STATE(94),
    [sym_for_range_loop] = STATE(94),
    [sym_co_return_statement] = STATE(94),
    [sym_co_yield_statement] = STATE(94),
    [sym_throw_statement] = STATE(94),
    [sym_try_statement] = STATE(94),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7548),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(94),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2125),
    [sym_identifier] = ACTIONS(1072),
    [aux_sym_preproc_include_token1] = ACTIONS(1075),
    [aux_sym_preproc_def_token1] = ACTIONS(1078),
    [aux_sym_preproc_if_token1] = ACTIONS(1081),
    [aux_sym_preproc_if_token2] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1084),
    [sym_preproc_directive] = ACTIONS(1087),
    [anon_sym_LPAREN2] = ACTIONS(453),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(462),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(468),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_SEMI] = ACTIONS(1090),
    [anon_sym___extension__] = ACTIONS(1093),
    [anon_sym_typedef] = ACTIONS(1096),
    [anon_sym_extern] = ACTIONS(1099),
    [anon_sym___attribute__] = ACTIONS(486),
    [anon_sym_COLON_COLON] = ACTIONS(489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(492),
    [anon_sym___declspec] = ACTIONS(495),
    [anon_sym___based] = ACTIONS(498),
    [anon_sym___cdecl] = ACTIONS(501),
    [anon_sym___clrcall] = ACTIONS(501),
    [anon_sym___stdcall] = ACTIONS(501),
    [anon_sym___fastcall] = ACTIONS(501),
    [anon_sym___thiscall] = ACTIONS(501),
    [anon_sym___vectorcall] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_signed] = ACTIONS(507),
    [anon_sym_unsigned] = ACTIONS(507),
    [anon_sym_long] = ACTIONS(507),
    [anon_sym_short] = ACTIONS(507),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(513),
    [anon_sym_register] = ACTIONS(513),
    [anon_sym_inline] = ACTIONS(1105),
    [anon_sym___inline] = ACTIONS(513),
    [anon_sym___inline__] = ACTIONS(513),
    [anon_sym___forceinline] = ACTIONS(513),
    [anon_sym_thread_local] = ACTIONS(513),
    [anon_sym___thread] = ACTIONS(513),
    [anon_sym_const] = ACTIONS(519),
    [anon_sym_constexpr] = ACTIONS(519),
    [anon_sym_volatile] = ACTIONS(519),
    [anon_sym_restrict] = ACTIONS(519),
    [anon_sym___restrict__] = ACTIONS(519),
    [anon_sym__Atomic] = ACTIONS(519),
    [anon_sym__Noreturn] = ACTIONS(519),
    [anon_sym_noreturn] = ACTIONS(519),
    [anon_sym_mutable] = ACTIONS(519),
    [anon_sym_constinit] = ACTIONS(519),
    [anon_sym_consteval] = ACTIONS(519),
    [sym_primitive_type] = ACTIONS(522),
    [anon_sym_enum] = ACTIONS(525),
    [anon_sym_class] = ACTIONS(528),
    [anon_sym_struct] = ACTIONS(531),
    [anon_sym_union] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_switch] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1114),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1123),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1135),
    [anon_sym_goto] = ACTIONS(1138),
    [anon_sym___try] = ACTIONS(1141),
    [anon_sym___leave] = ACTIONS(1144),
    [anon_sym_not] = ACTIONS(462),
    [anon_sym_compl] = ACTIONS(462),
    [anon_sym_DASH_DASH] = ACTIONS(576),
    [anon_sym_PLUS_PLUS] = ACTIONS(576),
    [anon_sym_sizeof] = ACTIONS(579),
    [anon_sym___alignof__] = ACTIONS(582),
    [anon_sym___alignof] = ACTIONS(582),
    [anon_sym__alignof] = ACTIONS(582),
    [anon_sym_alignof] = ACTIONS(582),
    [anon_sym__Alignof] = ACTIONS(582),
    [anon_sym_offsetof] = ACTIONS(585),
    [anon_sym__Generic] = ACTIONS(588),
    [anon_sym_asm] = ACTIONS(591),
    [anon_sym___asm__] = ACTIONS(591),
    [sym_number_literal] = ACTIONS(594),
    [anon_sym_L_SQUOTE] = ACTIONS(597),
    [anon_sym_u_SQUOTE] = ACTIONS(597),
    [anon_sym_U_SQUOTE] = ACTIONS(597),
    [anon_sym_u8_SQUOTE] = ACTIONS(597),
    [anon_sym_SQUOTE] = ACTIONS(597),
    [anon_sym_L_DQUOTE] = ACTIONS(600),
    [anon_sym_u_DQUOTE] = ACTIONS(600),
    [anon_sym_U_DQUOTE] = ACTIONS(600),
    [anon_sym_u8_DQUOTE] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [sym_true] = ACTIONS(603),
    [sym_false] = ACTIONS(603),
    [anon_sym_NULL] = ACTIONS(606),
    [anon_sym_nullptr] = ACTIONS(606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(609),
    [anon_sym_decltype] = ACTIONS(612),
    [anon_sym_virtual] = ACTIONS(615),
    [anon_sym_alignas] = ACTIONS(618),
    [anon_sym_explicit] = ACTIONS(621),
    [anon_sym_typename] = ACTIONS(624),
    [anon_sym_template] = ACTIONS(1147),
    [anon_sym_operator] = ACTIONS(630),
    [anon_sym_try] = ACTIONS(1150),
    [anon_sym_delete] = ACTIONS(636),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_namespace] = ACTIONS(1156),
    [anon_sym_using] = ACTIONS(1159),
    [anon_sym_static_assert] = ACTIONS(1162),
    [anon_sym_concept] = ACTIONS(1165),
    [anon_sym_co_return] = ACTIONS(1168),
    [anon_sym_co_yield] = ACTIONS(1171),
    [anon_sym_R_DQUOTE] = ACTIONS(660),
    [anon_sym_LR_DQUOTE] = ACTIONS(660),
    [anon_sym_uR_DQUOTE] = ACTIONS(660),
    [anon_sym_UR_DQUOTE] = ACTIONS(660),
    [anon_sym_u8R_DQUOTE] = ACTIONS(660),
    [anon_sym_co_await] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_requires] = ACTIONS(669),
    [sym_this] = ACTIONS(603),
  },
  [95] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [96] = {
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_case_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(64),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(64),
    [sym_template_instantiation] = STATE(64),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(64),
    [sym_operator_cast_declaration] = STATE(64),
    [sym_constructor_or_destructor_definition] = STATE(64),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(64),
    [sym_namespace_alias_definition] = STATE(64),
    [sym_using_declaration] = STATE(64),
    [sym_alias_declaration] = STATE(64),
    [sym_static_assert_declaration] = STATE(64),
    [sym_concept_definition] = STATE(64),
    [sym_for_range_loop] = STATE(64),
    [sym_co_return_statement] = STATE(64),
    [sym_co_yield_statement] = STATE(64),
    [sym_throw_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(64),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [97] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7015),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2120),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2120),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2120),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [98] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2349),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7050),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3301),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5507),
    [sym__expression_not_binary] = STATE(5594),
    [sym__string] = STATE(5594),
    [sym_conditional_expression] = STATE(5594),
    [sym_assignment_expression] = STATE(5594),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(5594),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(5594),
    [sym_cast_expression] = STATE(5594),
    [sym_sizeof_expression] = STATE(5594),
    [sym_alignof_expression] = STATE(5594),
    [sym_offsetof_expression] = STATE(5594),
    [sym_generic_expression] = STATE(5594),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(5594),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(5594),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(5594),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2122),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7525),
    [sym__constructor_specifiers] = STATE(2122),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(5594),
    [sym_new_expression] = STATE(5594),
    [sym_delete_expression] = STATE(5594),
    [sym_requires_clause] = STATE(5594),
    [sym_requires_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(5594),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(5594),
    [sym_parameter_pack_expansion] = STATE(5594),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7525),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2122),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(1182),
    [aux_sym_preproc_include_token1] = ACTIONS(1185),
    [aux_sym_preproc_def_token1] = ACTIONS(1188),
    [aux_sym_preproc_if_token1] = ACTIONS(1191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1194),
    [sym_preproc_directive] = ACTIONS(1197),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1209),
    [anon_sym_PLUS] = ACTIONS(1209),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1218),
    [anon_sym___extension__] = ACTIONS(1221),
    [anon_sym_typedef] = ACTIONS(1224),
    [anon_sym_extern] = ACTIONS(1227),
    [anon_sym___attribute__] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(1233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1236),
    [anon_sym___declspec] = ACTIONS(1239),
    [anon_sym___based] = ACTIONS(1242),
    [anon_sym___cdecl] = ACTIONS(1245),
    [anon_sym___clrcall] = ACTIONS(1245),
    [anon_sym___stdcall] = ACTIONS(1245),
    [anon_sym___fastcall] = ACTIONS(1245),
    [anon_sym___thiscall] = ACTIONS(1245),
    [anon_sym___vectorcall] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_signed] = ACTIONS(1251),
    [anon_sym_unsigned] = ACTIONS(1251),
    [anon_sym_long] = ACTIONS(1251),
    [anon_sym_short] = ACTIONS(1251),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_register] = ACTIONS(1257),
    [anon_sym_inline] = ACTIONS(1260),
    [anon_sym___inline] = ACTIONS(1257),
    [anon_sym___inline__] = ACTIONS(1257),
    [anon_sym___forceinline] = ACTIONS(1257),
    [anon_sym_thread_local] = ACTIONS(1257),
    [anon_sym___thread] = ACTIONS(1257),
    [anon_sym_const] = ACTIONS(1263),
    [anon_sym_constexpr] = ACTIONS(1263),
    [anon_sym_volatile] = ACTIONS(1263),
    [anon_sym_restrict] = ACTIONS(1263),
    [anon_sym___restrict__] = ACTIONS(1263),
    [anon_sym__Atomic] = ACTIONS(1263),
    [anon_sym__Noreturn] = ACTIONS(1263),
    [anon_sym_noreturn] = ACTIONS(1263),
    [anon_sym_mutable] = ACTIONS(1263),
    [anon_sym_constinit] = ACTIONS(1263),
    [anon_sym_consteval] = ACTIONS(1263),
    [sym_primitive_type] = ACTIONS(1266),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_struct] = ACTIONS(1275),
    [anon_sym_union] = ACTIONS(1278),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_case] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1299),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_goto] = ACTIONS(1311),
    [anon_sym_not] = ACTIONS(1209),
    [anon_sym_compl] = ACTIONS(1209),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1317),
    [anon_sym___alignof__] = ACTIONS(1320),
    [anon_sym___alignof] = ACTIONS(1320),
    [anon_sym__alignof] = ACTIONS(1320),
    [anon_sym_alignof] = ACTIONS(1320),
    [anon_sym__Alignof] = ACTIONS(1320),
    [anon_sym_offsetof] = ACTIONS(1323),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1329),
    [anon_sym___asm__] = ACTIONS(1329),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1335),
    [anon_sym_u_SQUOTE] = ACTIONS(1335),
    [anon_sym_U_SQUOTE] = ACTIONS(1335),
    [anon_sym_u8_SQUOTE] = ACTIONS(1335),
    [anon_sym_SQUOTE] = ACTIONS(1335),
    [anon_sym_L_DQUOTE] = ACTIONS(1338),
    [anon_sym_u_DQUOTE] = ACTIONS(1338),
    [anon_sym_U_DQUOTE] = ACTIONS(1338),
    [anon_sym_u8_DQUOTE] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1344),
    [anon_sym_nullptr] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1347),
    [anon_sym_decltype] = ACTIONS(1350),
    [anon_sym_virtual] = ACTIONS(1353),
    [anon_sym_alignas] = ACTIONS(1356),
    [anon_sym_explicit] = ACTIONS(1359),
    [anon_sym_typename] = ACTIONS(1362),
    [anon_sym_template] = ACTIONS(1365),
    [anon_sym_operator] = ACTIONS(1368),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_delete] = ACTIONS(1374),
    [anon_sym_throw] = ACTIONS(1377),
    [anon_sym_namespace] = ACTIONS(1380),
    [anon_sym_using] = ACTIONS(1383),
    [anon_sym_static_assert] = ACTIONS(1386),
    [anon_sym_concept] = ACTIONS(1389),
    [anon_sym_co_return] = ACTIONS(1392),
    [anon_sym_co_yield] = ACTIONS(1395),
    [anon_sym_R_DQUOTE] = ACTIONS(1398),
    [anon_sym_LR_DQUOTE] = ACTIONS(1398),
    [anon_sym_uR_DQUOTE] = ACTIONS(1398),
    [anon_sym_UR_DQUOTE] = ACTIONS(1398),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1398),
    [anon_sym_co_await] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1404),
    [anon_sym_requires] = ACTIONS(1407),
    [sym_this] = ACTIONS(1341),
  },
  [99] = {
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(1142),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2349),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7050),
    [sym_array_declarator] = STATE(7049),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3301),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5507),
    [sym__expression_not_binary] = STATE(5594),
    [sym__string] = STATE(5594),
    [sym_conditional_expression] = STATE(5594),
    [sym_assignment_expression] = STATE(5594),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(5594),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(5594),
    [sym_cast_expression] = STATE(5594),
    [sym_sizeof_expression] = STATE(5594),
    [sym_alignof_expression] = STATE(5594),
    [sym_offsetof_expression] = STATE(5594),
    [sym_generic_expression] = STATE(5594),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(5594),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(5594),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(5594),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2122),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7525),
    [sym__constructor_specifiers] = STATE(2122),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(5231),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(5594),
    [sym_new_expression] = STATE(5594),
    [sym_delete_expression] = STATE(5594),
    [sym_requires_clause] = STATE(5594),
    [sym_requires_expression] = STATE(5594),
    [sym_lambda_expression] = STATE(5594),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(5594),
    [sym_parameter_pack_expansion] = STATE(5594),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6269),
    [sym_qualified_identifier] = STATE(3903),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_qualified_operator_cast_identifier] = STATE(7525),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2122),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [100] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [101] = {
    [sym_declaration] = STATE(102),
    [sym_type_definition] = STATE(102),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(102),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(102),
    [sym_labeled_statement] = STATE(102),
    [sym_expression_statement] = STATE(102),
    [sym_if_statement] = STATE(102),
    [sym_switch_statement] = STATE(102),
    [sym_while_statement] = STATE(102),
    [sym_do_statement] = STATE(102),
    [sym_for_statement] = STATE(102),
    [sym_return_statement] = STATE(102),
    [sym_break_statement] = STATE(102),
    [sym_continue_statement] = STATE(102),
    [sym_goto_statement] = STATE(102),
    [sym_seh_try_statement] = STATE(102),
    [sym_seh_leave_statement] = STATE(102),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(102),
    [sym_co_return_statement] = STATE(102),
    [sym_co_yield_statement] = STATE(102),
    [sym_throw_statement] = STATE(102),
    [sym_try_statement] = STATE(102),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(102),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [102] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [103] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1438),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1460),
    [anon_sym___extension__] = ACTIONS(1463),
    [anon_sym_typedef] = ACTIONS(1466),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1520),
    [anon_sym_for] = ACTIONS(1523),
    [anon_sym_return] = ACTIONS(1526),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1532),
    [anon_sym_goto] = ACTIONS(1535),
    [anon_sym___try] = ACTIONS(1538),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1595),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1601),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1604),
    [anon_sym_co_yield] = ACTIONS(1607),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [104] = {
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5835),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(103),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(103),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(103),
    [sym_if_statement] = STATE(103),
    [sym_switch_statement] = STATE(103),
    [sym_while_statement] = STATE(103),
    [sym_do_statement] = STATE(103),
    [sym_for_statement] = STATE(103),
    [sym_return_statement] = STATE(103),
    [sym_break_statement] = STATE(103),
    [sym_continue_statement] = STATE(103),
    [sym_goto_statement] = STATE(103),
    [sym_seh_try_statement] = STATE(103),
    [sym_seh_leave_statement] = STATE(103),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(103),
    [sym_co_return_statement] = STATE(103),
    [sym_co_yield_statement] = STATE(103),
    [sym_throw_statement] = STATE(103),
    [sym_try_statement] = STATE(103),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(103),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [aux_sym_preproc_else_token1] = ACTIONS(1622),
    [aux_sym_preproc_elif_token1] = ACTIONS(1622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [105] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5866),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [106] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5866),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [107] = {
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5866),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(109),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(109),
    [sym_labeled_statement] = STATE(109),
    [sym_expression_statement] = STATE(109),
    [sym_if_statement] = STATE(109),
    [sym_switch_statement] = STATE(109),
    [sym_while_statement] = STATE(109),
    [sym_do_statement] = STATE(109),
    [sym_for_statement] = STATE(109),
    [sym_return_statement] = STATE(109),
    [sym_break_statement] = STATE(109),
    [sym_continue_statement] = STATE(109),
    [sym_goto_statement] = STATE(109),
    [sym_seh_try_statement] = STATE(109),
    [sym_seh_leave_statement] = STATE(109),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(109),
    [sym_co_return_statement] = STATE(109),
    [sym_co_yield_statement] = STATE(109),
    [sym_throw_statement] = STATE(109),
    [sym_try_statement] = STATE(109),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [108] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5866),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1628),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1634),
    [anon_sym_typedef] = ACTIONS(1637),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1646),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1679),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1682),
    [anon_sym_co_yield] = ACTIONS(1685),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [109] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5866),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [aux_sym_preproc_else_token1] = ACTIONS(1622),
    [aux_sym_preproc_elif_token1] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [110] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5861),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [111] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5857),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [112] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5861),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym___extension__] = ACTIONS(1704),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1713),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1722),
    [anon_sym_for] = ACTIONS(1725),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1731),
    [anon_sym_continue] = ACTIONS(1734),
    [anon_sym_goto] = ACTIONS(1737),
    [anon_sym___try] = ACTIONS(1740),
    [anon_sym___leave] = ACTIONS(1743),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1746),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1752),
    [anon_sym_co_yield] = ACTIONS(1755),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [113] = {
    [sym_declaration] = STATE(114),
    [sym_type_definition] = STATE(114),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5899),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(114),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(114),
    [sym_co_return_statement] = STATE(114),
    [sym_co_yield_statement] = STATE(114),
    [sym_throw_statement] = STATE(114),
    [sym_try_statement] = STATE(114),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [114] = {
    [sym_declaration] = STATE(115),
    [sym_type_definition] = STATE(115),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5899),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(115),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym_seh_try_statement] = STATE(115),
    [sym_seh_leave_statement] = STATE(115),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(115),
    [sym_co_return_statement] = STATE(115),
    [sym_co_yield_statement] = STATE(115),
    [sym_throw_statement] = STATE(115),
    [sym_try_statement] = STATE(115),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(115),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token2] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [115] = {
    [sym_declaration] = STATE(115),
    [sym_type_definition] = STATE(115),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5899),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(115),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym_seh_try_statement] = STATE(115),
    [sym_seh_leave_statement] = STATE(115),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(115),
    [sym_co_return_statement] = STATE(115),
    [sym_co_yield_statement] = STATE(115),
    [sym_throw_statement] = STATE(115),
    [sym_try_statement] = STATE(115),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(115),
    [sym_identifier] = ACTIONS(1760),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym___extension__] = ACTIONS(1766),
    [anon_sym_typedef] = ACTIONS(1769),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1778),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1796),
    [anon_sym_goto] = ACTIONS(1799),
    [anon_sym___try] = ACTIONS(1802),
    [anon_sym___leave] = ACTIONS(1805),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1814),
    [anon_sym_co_yield] = ACTIONS(1817),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [116] = {
    [sym_declaration] = STATE(115),
    [sym_type_definition] = STATE(115),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5899),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(115),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym_seh_try_statement] = STATE(115),
    [sym_seh_leave_statement] = STATE(115),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(115),
    [sym_co_return_statement] = STATE(115),
    [sym_co_yield_statement] = STATE(115),
    [sym_throw_statement] = STATE(115),
    [sym_try_statement] = STATE(115),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(115),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [117] = {
    [sym_declaration] = STATE(112),
    [sym_type_definition] = STATE(112),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5861),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(112),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(112),
    [sym_labeled_statement] = STATE(112),
    [sym_expression_statement] = STATE(112),
    [sym_if_statement] = STATE(112),
    [sym_switch_statement] = STATE(112),
    [sym_while_statement] = STATE(112),
    [sym_do_statement] = STATE(112),
    [sym_for_statement] = STATE(112),
    [sym_return_statement] = STATE(112),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(112),
    [sym_goto_statement] = STATE(112),
    [sym_seh_try_statement] = STATE(112),
    [sym_seh_leave_statement] = STATE(112),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(112),
    [sym_co_return_statement] = STATE(112),
    [sym_co_yield_statement] = STATE(112),
    [sym_throw_statement] = STATE(112),
    [sym_try_statement] = STATE(112),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(112),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1624),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [118] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5857),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [119] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5861),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [120] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5899),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(1758),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym___extension__] = ACTIONS(988),
    [anon_sym_typedef] = ACTIONS(990),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [121] = {
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5857),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(123),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(123),
    [sym_labeled_statement] = STATE(123),
    [sym_expression_statement] = STATE(123),
    [sym_if_statement] = STATE(123),
    [sym_switch_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_do_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_return_statement] = STATE(123),
    [sym_break_statement] = STATE(123),
    [sym_continue_statement] = STATE(123),
    [sym_goto_statement] = STATE(123),
    [sym_seh_try_statement] = STATE(123),
    [sym_seh_leave_statement] = STATE(123),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(123),
    [sym_co_return_statement] = STATE(123),
    [sym_co_yield_statement] = STATE(123),
    [sym_throw_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(123),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [122] = {
    [sym_declaration] = STATE(110),
    [sym_type_definition] = STATE(110),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5861),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(110),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(110),
    [sym_labeled_statement] = STATE(110),
    [sym_expression_statement] = STATE(110),
    [sym_if_statement] = STATE(110),
    [sym_switch_statement] = STATE(110),
    [sym_while_statement] = STATE(110),
    [sym_do_statement] = STATE(110),
    [sym_for_statement] = STATE(110),
    [sym_return_statement] = STATE(110),
    [sym_break_statement] = STATE(110),
    [sym_continue_statement] = STATE(110),
    [sym_goto_statement] = STATE(110),
    [sym_seh_try_statement] = STATE(110),
    [sym_seh_leave_statement] = STATE(110),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(110),
    [sym_co_return_statement] = STATE(110),
    [sym_co_yield_statement] = STATE(110),
    [sym_throw_statement] = STATE(110),
    [sym_try_statement] = STATE(110),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(110),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [123] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5857),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [ts_builtin_sym_end] = ACTIONS(1624),
    [sym_identifier] = ACTIONS(1690),
    [aux_sym_preproc_include_token1] = ACTIONS(1622),
    [aux_sym_preproc_def_token1] = ACTIONS(1622),
    [aux_sym_preproc_if_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1622),
    [sym_preproc_directive] = ACTIONS(1622),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1624),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1622),
    [anon_sym___cdecl] = ACTIONS(1622),
    [anon_sym___clrcall] = ACTIONS(1622),
    [anon_sym___stdcall] = ACTIONS(1622),
    [anon_sym___fastcall] = ACTIONS(1622),
    [anon_sym___thiscall] = ACTIONS(1622),
    [anon_sym___vectorcall] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1622),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1622),
    [anon_sym_using] = ACTIONS(1622),
    [anon_sym_static_assert] = ACTIONS(1622),
    [anon_sym_concept] = ACTIONS(1622),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [124] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5857),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1820),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym___extension__] = ACTIONS(1826),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___based] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym___try] = ACTIONS(1862),
    [anon_sym___leave] = ACTIONS(1865),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_explicit] = ACTIONS(1441),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_operator] = ACTIONS(1441),
    [anon_sym_try] = ACTIONS(1868),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1441),
    [anon_sym_using] = ACTIONS(1441),
    [anon_sym_static_assert] = ACTIONS(1441),
    [anon_sym_concept] = ACTIONS(1441),
    [anon_sym_co_return] = ACTIONS(1874),
    [anon_sym_co_yield] = ACTIONS(1877),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [125] = {
    [sym_declaration] = STATE(129),
    [sym_type_definition] = STATE(129),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5871),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(129),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym_seh_try_statement] = STATE(129),
    [sym_seh_leave_statement] = STATE(129),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(129),
    [sym_co_return_statement] = STATE(129),
    [sym_co_yield_statement] = STATE(129),
    [sym_throw_statement] = STATE(129),
    [sym_try_statement] = STATE(129),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5871),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1929),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_COLON_COLON] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1487),
    [anon_sym_unsigned] = ACTIONS(1487),
    [anon_sym_long] = ACTIONS(1487),
    [anon_sym_short] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [anon_sym_mutable] = ACTIONS(1493),
    [anon_sym_constinit] = ACTIONS(1493),
    [anon_sym_consteval] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1508),
    [anon_sym_if] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1962),
    [anon_sym___leave] = ACTIONS(1965),
    [anon_sym_not] = ACTIONS(1449),
    [anon_sym_compl] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_sizeof] = ACTIONS(1547),
    [anon_sym___alignof__] = ACTIONS(1550),
    [anon_sym___alignof] = ACTIONS(1550),
    [anon_sym__alignof] = ACTIONS(1550),
    [anon_sym_alignof] = ACTIONS(1550),
    [anon_sym__Alignof] = ACTIONS(1550),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1556),
    [anon_sym_asm] = ACTIONS(1559),
    [anon_sym___asm__] = ACTIONS(1559),
    [sym_number_literal] = ACTIONS(1562),
    [anon_sym_L_SQUOTE] = ACTIONS(1565),
    [anon_sym_u_SQUOTE] = ACTIONS(1565),
    [anon_sym_U_SQUOTE] = ACTIONS(1565),
    [anon_sym_u8_SQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_L_DQUOTE] = ACTIONS(1568),
    [anon_sym_u_DQUOTE] = ACTIONS(1568),
    [anon_sym_U_DQUOTE] = ACTIONS(1568),
    [anon_sym_u8_DQUOTE] = ACTIONS(1568),
    [anon_sym_DQUOTE] = ACTIONS(1568),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1574),
    [anon_sym_nullptr] = ACTIONS(1574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1577),
    [anon_sym_decltype] = ACTIONS(1580),
    [anon_sym_virtual] = ACTIONS(1583),
    [anon_sym_alignas] = ACTIONS(1586),
    [anon_sym_typename] = ACTIONS(1589),
    [anon_sym_template] = ACTIONS(1592),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1598),
    [anon_sym_throw] = ACTIONS(1971),
    [anon_sym_co_return] = ACTIONS(1974),
    [anon_sym_co_yield] = ACTIONS(1977),
    [anon_sym_R_DQUOTE] = ACTIONS(1610),
    [anon_sym_LR_DQUOTE] = ACTIONS(1610),
    [anon_sym_uR_DQUOTE] = ACTIONS(1610),
    [anon_sym_UR_DQUOTE] = ACTIONS(1610),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1610),
    [anon_sym_co_await] = ACTIONS(1613),
    [anon_sym_new] = ACTIONS(1616),
    [anon_sym_requires] = ACTIONS(1619),
    [sym_this] = ACTIONS(1571),
  },
  [127] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5871),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [128] = {
    [sym_declaration] = STATE(127),
    [sym_type_definition] = STATE(127),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5871),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(127),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(127),
    [sym_co_return_statement] = STATE(127),
    [sym_co_yield_statement] = STATE(127),
    [sym_throw_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(127),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [129] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5871),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(1191),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [130] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(8987),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(8988),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [131] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(8813),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(8814),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [132] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(9471),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(9465),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [133] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(8823),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(8806),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [134] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(8906),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(8907),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [135] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(9537),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(9550),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [136] = {
    [sym_declaration] = STATE(363),
    [sym_type_definition] = STATE(4948),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5823),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(4948),
    [sym__for_statement_body] = STATE(9383),
    [sym__expression] = STATE(5301),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8808),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(4948),
    [sym__for_range_loop_body] = STATE(9380),
    [sym_init_statement] = STATE(2328),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [137] = {
    [sym_declaration] = STATE(2003),
    [sym_type_definition] = STATE(2003),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5862),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_expression_statement] = STATE(2003),
    [sym__expression] = STATE(5023),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8775),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_alias_declaration] = STATE(2003),
    [sym_init_statement] = STATE(150),
    [sym_condition_declaration] = STATE(8841),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1992),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3818),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3935),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_compound_statement] = STATE(7952),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8350),
    [sym__expression] = STATE(5110),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7952),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8350),
    [sym_variadic_parameter_declaration] = STATE(8350),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6390),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(2054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(2058),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(2060),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3945),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9059),
    [sym__unary_right_fold] = STATE(9058),
    [sym__binary_fold] = STATE(9057),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3836),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8962),
    [sym__unary_right_fold] = STATE(8953),
    [sym__binary_fold] = STATE(8952),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3931),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9080),
    [sym__unary_right_fold] = STATE(9155),
    [sym__binary_fold] = STATE(9156),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3950),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8872),
    [sym__unary_right_fold] = STATE(8871),
    [sym__binary_fold] = STATE(8870),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3879),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8934),
    [sym__unary_right_fold] = STATE(8939),
    [sym__binary_fold] = STATE(8943),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym__expression] = STATE(3955),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8652),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9711),
    [sym__unary_right_fold] = STATE(9734),
    [sym__binary_fold] = STATE(9736),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6454),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(4011),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2010),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [147] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(5962),
    [sym__declarator] = STATE(7384),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9674),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9710),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9711),
    [sym__unary_right_fold] = STATE(9734),
    [sym__binary_fold] = STATE(9736),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6476),
    [sym_qualified_identifier] = STATE(3889),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9748),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(5962),
    [sym__declarator] = STATE(7384),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9647),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6476),
    [sym_qualified_identifier] = STATE(3889),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [149] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(5962),
    [sym__declarator] = STATE(7384),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9619),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6476),
    [sym_qualified_identifier] = STATE(3889),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [150] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5953),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__expression] = STATE(5311),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9714),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8453),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4119),
    [sym_template_function] = STATE(4482),
    [sym_condition_declaration] = STATE(9714),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6383),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(4113),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [151] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [152] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2206),
    [anon_sym_RPAREN] = ACTIONS(2206),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_PIPE_PIPE] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_EQ] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___except] = ACTIONS(2208),
    [anon_sym___finally] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_or] = ACTIONS(2208),
    [anon_sym_and] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_final] = ACTIONS(2208),
    [anon_sym_override] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_GT2] = ACTIONS(2206),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2210),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_PIPE_PIPE] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_EQ] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___except] = ACTIONS(2212),
    [anon_sym___finally] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_or] = ACTIONS(2212),
    [anon_sym_and] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_final] = ACTIONS(2212),
    [anon_sym_override] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_GT2] = ACTIONS(2210),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [155] = {
    [sym__expression] = STATE(3466),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_initializer_list] = STATE(3644),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [156] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(698),
    [sym_attributed_statement] = STATE(698),
    [sym_labeled_statement] = STATE(698),
    [sym_expression_statement] = STATE(698),
    [sym_if_statement] = STATE(698),
    [sym_switch_statement] = STATE(698),
    [sym_case_statement] = STATE(698),
    [sym_while_statement] = STATE(698),
    [sym_do_statement] = STATE(698),
    [sym_for_statement] = STATE(698),
    [sym_return_statement] = STATE(698),
    [sym_break_statement] = STATE(698),
    [sym_continue_statement] = STATE(698),
    [sym_goto_statement] = STATE(698),
    [sym_seh_try_statement] = STATE(698),
    [sym_seh_leave_statement] = STATE(698),
    [sym__expression] = STATE(5090),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8726),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(698),
    [sym_co_return_statement] = STATE(698),
    [sym_co_yield_statement] = STATE(698),
    [sym_throw_statement] = STATE(698),
    [sym_try_statement] = STATE(698),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [157] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [158] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_initializer_list] = STATE(4153),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2138),
    [sym_this] = ACTIONS(2114),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1228),
    [sym_attributed_statement] = STATE(1230),
    [sym_labeled_statement] = STATE(1238),
    [sym_expression_statement] = STATE(1239),
    [sym_if_statement] = STATE(1240),
    [sym_switch_statement] = STATE(1241),
    [sym_case_statement] = STATE(1248),
    [sym_while_statement] = STATE(1250),
    [sym_do_statement] = STATE(1252),
    [sym_for_statement] = STATE(1260),
    [sym_return_statement] = STATE(1259),
    [sym_break_statement] = STATE(1258),
    [sym_continue_statement] = STATE(1257),
    [sym_goto_statement] = STATE(1256),
    [sym_seh_try_statement] = STATE(1255),
    [sym_seh_leave_statement] = STATE(1253),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1251),
    [sym_co_return_statement] = STATE(1249),
    [sym_co_yield_statement] = STATE(1227),
    [sym_throw_statement] = STATE(1237),
    [sym_try_statement] = STATE(1235),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_seh_try_statement] = STATE(570),
    [sym_seh_leave_statement] = STATE(570),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(570),
    [sym_co_return_statement] = STATE(570),
    [sym_co_yield_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_try_statement] = STATE(570),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(817),
    [sym_attributed_statement] = STATE(816),
    [sym_labeled_statement] = STATE(815),
    [sym_expression_statement] = STATE(814),
    [sym_if_statement] = STATE(810),
    [sym_switch_statement] = STATE(809),
    [sym_case_statement] = STATE(808),
    [sym_while_statement] = STATE(807),
    [sym_do_statement] = STATE(805),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(801),
    [sym_break_statement] = STATE(793),
    [sym_continue_statement] = STATE(778),
    [sym_goto_statement] = STATE(770),
    [sym_seh_try_statement] = STATE(767),
    [sym_seh_leave_statement] = STATE(735),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(734),
    [sym_co_return_statement] = STATE(732),
    [sym_co_yield_statement] = STATE(731),
    [sym_throw_statement] = STATE(728),
    [sym_try_statement] = STATE(727),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(726),
    [sym_attributed_statement] = STATE(723),
    [sym_labeled_statement] = STATE(722),
    [sym_expression_statement] = STATE(715),
    [sym_if_statement] = STATE(713),
    [sym_switch_statement] = STATE(711),
    [sym_case_statement] = STATE(708),
    [sym_while_statement] = STATE(705),
    [sym_do_statement] = STATE(701),
    [sym_for_statement] = STATE(700),
    [sym_return_statement] = STATE(692),
    [sym_break_statement] = STATE(691),
    [sym_continue_statement] = STATE(689),
    [sym_goto_statement] = STATE(682),
    [sym_seh_try_statement] = STATE(677),
    [sym_seh_leave_statement] = STATE(676),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(675),
    [sym_co_return_statement] = STATE(673),
    [sym_co_yield_statement] = STATE(671),
    [sym_throw_statement] = STATE(668),
    [sym_try_statement] = STATE(665),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(854),
    [sym_attributed_statement] = STATE(856),
    [sym_labeled_statement] = STATE(857),
    [sym_expression_statement] = STATE(862),
    [sym_if_statement] = STATE(863),
    [sym_switch_statement] = STATE(864),
    [sym_case_statement] = STATE(865),
    [sym_while_statement] = STATE(866),
    [sym_do_statement] = STATE(868),
    [sym_for_statement] = STATE(870),
    [sym_return_statement] = STATE(749),
    [sym_break_statement] = STATE(858),
    [sym_continue_statement] = STATE(860),
    [sym_goto_statement] = STATE(869),
    [sym_seh_try_statement] = STATE(867),
    [sym_seh_leave_statement] = STATE(871),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(853),
    [sym_co_return_statement] = STATE(851),
    [sym_co_yield_statement] = STATE(850),
    [sym_throw_statement] = STATE(847),
    [sym_try_statement] = STATE(846),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(840),
    [sym_attributed_statement] = STATE(840),
    [sym_labeled_statement] = STATE(840),
    [sym_expression_statement] = STATE(840),
    [sym_if_statement] = STATE(840),
    [sym_switch_statement] = STATE(840),
    [sym_case_statement] = STATE(840),
    [sym_while_statement] = STATE(840),
    [sym_do_statement] = STATE(840),
    [sym_for_statement] = STATE(840),
    [sym_return_statement] = STATE(840),
    [sym_break_statement] = STATE(840),
    [sym_continue_statement] = STATE(840),
    [sym_goto_statement] = STATE(840),
    [sym_seh_try_statement] = STATE(840),
    [sym_seh_leave_statement] = STATE(840),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(840),
    [sym_co_return_statement] = STATE(840),
    [sym_co_yield_statement] = STATE(840),
    [sym_throw_statement] = STATE(840),
    [sym_try_statement] = STATE(840),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(450),
    [sym_attributed_statement] = STATE(450),
    [sym_labeled_statement] = STATE(450),
    [sym_expression_statement] = STATE(450),
    [sym_if_statement] = STATE(450),
    [sym_switch_statement] = STATE(450),
    [sym_case_statement] = STATE(450),
    [sym_while_statement] = STATE(450),
    [sym_do_statement] = STATE(450),
    [sym_for_statement] = STATE(450),
    [sym_return_statement] = STATE(450),
    [sym_break_statement] = STATE(450),
    [sym_continue_statement] = STATE(450),
    [sym_goto_statement] = STATE(450),
    [sym_seh_try_statement] = STATE(450),
    [sym_seh_leave_statement] = STATE(450),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(450),
    [sym_co_return_statement] = STATE(450),
    [sym_co_yield_statement] = STATE(450),
    [sym_throw_statement] = STATE(450),
    [sym_try_statement] = STATE(450),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(344),
    [sym_attributed_statement] = STATE(344),
    [sym_labeled_statement] = STATE(344),
    [sym_expression_statement] = STATE(344),
    [sym_if_statement] = STATE(344),
    [sym_switch_statement] = STATE(344),
    [sym_case_statement] = STATE(344),
    [sym_while_statement] = STATE(344),
    [sym_do_statement] = STATE(344),
    [sym_for_statement] = STATE(344),
    [sym_return_statement] = STATE(344),
    [sym_break_statement] = STATE(344),
    [sym_continue_statement] = STATE(344),
    [sym_goto_statement] = STATE(344),
    [sym_seh_try_statement] = STATE(344),
    [sym_seh_leave_statement] = STATE(344),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(344),
    [sym_co_return_statement] = STATE(344),
    [sym_co_yield_statement] = STATE(344),
    [sym_throw_statement] = STATE(344),
    [sym_try_statement] = STATE(344),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(838),
    [sym_attributed_statement] = STATE(836),
    [sym_labeled_statement] = STATE(831),
    [sym_expression_statement] = STATE(830),
    [sym_if_statement] = STATE(828),
    [sym_switch_statement] = STATE(827),
    [sym_case_statement] = STATE(822),
    [sym_while_statement] = STATE(821),
    [sym_do_statement] = STATE(806),
    [sym_for_statement] = STATE(802),
    [sym_return_statement] = STATE(741),
    [sym_break_statement] = STATE(740),
    [sym_continue_statement] = STATE(739),
    [sym_goto_statement] = STATE(733),
    [sym_seh_try_statement] = STATE(730),
    [sym_seh_leave_statement] = STATE(729),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(724),
    [sym_co_return_statement] = STATE(718),
    [sym_co_yield_statement] = STATE(706),
    [sym_throw_statement] = STATE(704),
    [sym_try_statement] = STATE(684),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(332),
    [sym_attributed_statement] = STATE(333),
    [sym_labeled_statement] = STATE(343),
    [sym_expression_statement] = STATE(350),
    [sym_if_statement] = STATE(339),
    [sym_switch_statement] = STATE(330),
    [sym_case_statement] = STATE(327),
    [sym_while_statement] = STATE(322),
    [sym_do_statement] = STATE(321),
    [sym_for_statement] = STATE(318),
    [sym_return_statement] = STATE(310),
    [sym_break_statement] = STATE(303),
    [sym_continue_statement] = STATE(301),
    [sym_goto_statement] = STATE(289),
    [sym_seh_try_statement] = STATE(285),
    [sym_seh_leave_statement] = STATE(284),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(283),
    [sym_co_return_statement] = STATE(282),
    [sym_co_yield_statement] = STATE(281),
    [sym_throw_statement] = STATE(278),
    [sym_try_statement] = STATE(276),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(519),
    [sym_attributed_statement] = STATE(517),
    [sym_labeled_statement] = STATE(515),
    [sym_expression_statement] = STATE(513),
    [sym_if_statement] = STATE(512),
    [sym_switch_statement] = STATE(511),
    [sym_case_statement] = STATE(510),
    [sym_while_statement] = STATE(509),
    [sym_do_statement] = STATE(508),
    [sym_for_statement] = STATE(507),
    [sym_return_statement] = STATE(534),
    [sym_break_statement] = STATE(499),
    [sym_continue_statement] = STATE(498),
    [sym_goto_statement] = STATE(497),
    [sym_seh_try_statement] = STATE(495),
    [sym_seh_leave_statement] = STATE(494),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(493),
    [sym_co_return_statement] = STATE(492),
    [sym_co_yield_statement] = STATE(490),
    [sym_throw_statement] = STATE(488),
    [sym_try_statement] = STATE(443),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [170] = {
    [sym__expression] = STATE(3844),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_COLON] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1180),
    [sym_attributed_statement] = STATE(1180),
    [sym_labeled_statement] = STATE(1180),
    [sym_expression_statement] = STATE(1180),
    [sym_if_statement] = STATE(1180),
    [sym_switch_statement] = STATE(1180),
    [sym_case_statement] = STATE(1180),
    [sym_while_statement] = STATE(1180),
    [sym_do_statement] = STATE(1180),
    [sym_for_statement] = STATE(1180),
    [sym_return_statement] = STATE(1180),
    [sym_break_statement] = STATE(1180),
    [sym_continue_statement] = STATE(1180),
    [sym_goto_statement] = STATE(1180),
    [sym_seh_try_statement] = STATE(1180),
    [sym_seh_leave_statement] = STATE(1180),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1180),
    [sym_co_return_statement] = STATE(1180),
    [sym_co_yield_statement] = STATE(1180),
    [sym_throw_statement] = STATE(1180),
    [sym_try_statement] = STATE(1180),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1215),
    [sym_attributed_statement] = STATE(1215),
    [sym_labeled_statement] = STATE(1215),
    [sym_expression_statement] = STATE(1215),
    [sym_if_statement] = STATE(1215),
    [sym_switch_statement] = STATE(1215),
    [sym_case_statement] = STATE(1215),
    [sym_while_statement] = STATE(1215),
    [sym_do_statement] = STATE(1215),
    [sym_for_statement] = STATE(1215),
    [sym_return_statement] = STATE(1215),
    [sym_break_statement] = STATE(1215),
    [sym_continue_statement] = STATE(1215),
    [sym_goto_statement] = STATE(1215),
    [sym_seh_try_statement] = STATE(1215),
    [sym_seh_leave_statement] = STATE(1215),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1215),
    [sym_co_return_statement] = STATE(1215),
    [sym_co_yield_statement] = STATE(1215),
    [sym_throw_statement] = STATE(1215),
    [sym_try_statement] = STATE(1215),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [173] = {
    [sym__expression] = STATE(3952),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_initializer_list] = STATE(4329),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2136),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_and_eq] = ACTIONS(2136),
    [anon_sym_or_eq] = ACTIONS(2136),
    [anon_sym_xor_eq] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9263),
    [sym_attributed_statement] = STATE(9263),
    [sym_labeled_statement] = STATE(9263),
    [sym_expression_statement] = STATE(9263),
    [sym_if_statement] = STATE(9263),
    [sym_switch_statement] = STATE(9263),
    [sym_case_statement] = STATE(9263),
    [sym_while_statement] = STATE(9263),
    [sym_do_statement] = STATE(9263),
    [sym_for_statement] = STATE(9263),
    [sym_return_statement] = STATE(9263),
    [sym_break_statement] = STATE(9263),
    [sym_continue_statement] = STATE(9263),
    [sym_goto_statement] = STATE(9263),
    [sym_seh_try_statement] = STATE(9263),
    [sym_seh_leave_statement] = STATE(9263),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9263),
    [sym_co_return_statement] = STATE(9263),
    [sym_co_yield_statement] = STATE(9263),
    [sym_throw_statement] = STATE(9263),
    [sym_try_statement] = STATE(9263),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(311),
    [sym_attributed_statement] = STATE(323),
    [sym_labeled_statement] = STATE(324),
    [sym_expression_statement] = STATE(338),
    [sym_if_statement] = STATE(347),
    [sym_switch_statement] = STATE(314),
    [sym_case_statement] = STATE(313),
    [sym_while_statement] = STATE(309),
    [sym_do_statement] = STATE(296),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(279),
    [sym_break_statement] = STATE(280),
    [sym_continue_statement] = STATE(286),
    [sym_goto_statement] = STATE(287),
    [sym_seh_try_statement] = STATE(304),
    [sym_seh_leave_statement] = STATE(312),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(315),
    [sym_co_return_statement] = STATE(325),
    [sym_co_yield_statement] = STATE(329),
    [sym_throw_statement] = STATE(331),
    [sym_try_statement] = STATE(316),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(826),
    [sym_attributed_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_expression_statement] = STATE(826),
    [sym_if_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_do_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_goto_statement] = STATE(826),
    [sym_seh_try_statement] = STATE(826),
    [sym_seh_leave_statement] = STATE(826),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(826),
    [sym_co_return_statement] = STATE(826),
    [sym_co_yield_statement] = STATE(826),
    [sym_throw_statement] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2362),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2377),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2395),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2401),
    [anon_sym_default] = ACTIONS(2404),
    [anon_sym_while] = ACTIONS(2407),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2419),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2425),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym___leave] = ACTIONS(2431),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2479),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2485),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(8314),
    [sym_attributed_statement] = STATE(8314),
    [sym_labeled_statement] = STATE(8314),
    [sym_expression_statement] = STATE(8314),
    [sym_if_statement] = STATE(8314),
    [sym_switch_statement] = STATE(8314),
    [sym_case_statement] = STATE(8314),
    [sym_while_statement] = STATE(8314),
    [sym_do_statement] = STATE(8314),
    [sym_for_statement] = STATE(8314),
    [sym_return_statement] = STATE(8314),
    [sym_break_statement] = STATE(8314),
    [sym_continue_statement] = STATE(8314),
    [sym_goto_statement] = STATE(8314),
    [sym_seh_try_statement] = STATE(8314),
    [sym_seh_leave_statement] = STATE(8314),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(8314),
    [sym_co_return_statement] = STATE(8314),
    [sym_co_yield_statement] = STATE(8314),
    [sym_throw_statement] = STATE(8314),
    [sym_try_statement] = STATE(8314),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(632),
    [sym_attributed_statement] = STATE(632),
    [sym_labeled_statement] = STATE(632),
    [sym_expression_statement] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_case_statement] = STATE(632),
    [sym_while_statement] = STATE(632),
    [sym_do_statement] = STATE(632),
    [sym_for_statement] = STATE(632),
    [sym_return_statement] = STATE(632),
    [sym_break_statement] = STATE(632),
    [sym_continue_statement] = STATE(632),
    [sym_goto_statement] = STATE(632),
    [sym_seh_try_statement] = STATE(632),
    [sym_seh_leave_statement] = STATE(632),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(632),
    [sym_co_return_statement] = STATE(632),
    [sym_co_yield_statement] = STATE(632),
    [sym_throw_statement] = STATE(632),
    [sym_try_statement] = STATE(632),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1233),
    [sym_attributed_statement] = STATE(1233),
    [sym_labeled_statement] = STATE(1233),
    [sym_expression_statement] = STATE(1233),
    [sym_if_statement] = STATE(1233),
    [sym_switch_statement] = STATE(1233),
    [sym_case_statement] = STATE(1233),
    [sym_while_statement] = STATE(1233),
    [sym_do_statement] = STATE(1233),
    [sym_for_statement] = STATE(1233),
    [sym_return_statement] = STATE(1233),
    [sym_break_statement] = STATE(1233),
    [sym_continue_statement] = STATE(1233),
    [sym_goto_statement] = STATE(1233),
    [sym_seh_try_statement] = STATE(1233),
    [sym_seh_leave_statement] = STATE(1233),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1233),
    [sym_co_return_statement] = STATE(1233),
    [sym_co_yield_statement] = STATE(1233),
    [sym_throw_statement] = STATE(1233),
    [sym_try_statement] = STATE(1233),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(536),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(540),
    [sym_expression_statement] = STATE(538),
    [sym_if_statement] = STATE(537),
    [sym_switch_statement] = STATE(531),
    [sym_case_statement] = STATE(487),
    [sym_while_statement] = STATE(442),
    [sym_do_statement] = STATE(533),
    [sym_for_statement] = STATE(532),
    [sym_return_statement] = STATE(530),
    [sym_break_statement] = STATE(529),
    [sym_continue_statement] = STATE(528),
    [sym_goto_statement] = STATE(527),
    [sym_seh_try_statement] = STATE(526),
    [sym_seh_leave_statement] = STATE(525),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(524),
    [sym_co_return_statement] = STATE(523),
    [sym_co_yield_statement] = STATE(522),
    [sym_throw_statement] = STATE(521),
    [sym_try_statement] = STATE(520),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(1183),
    [sym_attributed_statement] = STATE(1183),
    [sym_labeled_statement] = STATE(1183),
    [sym_expression_statement] = STATE(1183),
    [sym_if_statement] = STATE(1183),
    [sym_switch_statement] = STATE(1183),
    [sym_case_statement] = STATE(1183),
    [sym_while_statement] = STATE(1183),
    [sym_do_statement] = STATE(1183),
    [sym_for_statement] = STATE(1183),
    [sym_return_statement] = STATE(1183),
    [sym_break_statement] = STATE(1183),
    [sym_continue_statement] = STATE(1183),
    [sym_goto_statement] = STATE(1183),
    [sym_seh_try_statement] = STATE(1183),
    [sym_seh_leave_statement] = STATE(1183),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1183),
    [sym_co_return_statement] = STATE(1183),
    [sym_co_yield_statement] = STATE(1183),
    [sym_throw_statement] = STATE(1183),
    [sym_try_statement] = STATE(1183),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2527),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2533),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2539),
    [anon_sym___try] = ACTIONS(2542),
    [anon_sym___leave] = ACTIONS(2545),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2548),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2551),
    [anon_sym_co_return] = ACTIONS(2554),
    [anon_sym_co_yield] = ACTIONS(2557),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(514),
    [sym_attributed_statement] = STATE(514),
    [sym_labeled_statement] = STATE(514),
    [sym_expression_statement] = STATE(514),
    [sym_if_statement] = STATE(514),
    [sym_switch_statement] = STATE(514),
    [sym_case_statement] = STATE(514),
    [sym_while_statement] = STATE(514),
    [sym_do_statement] = STATE(514),
    [sym_for_statement] = STATE(514),
    [sym_return_statement] = STATE(514),
    [sym_break_statement] = STATE(514),
    [sym_continue_statement] = STATE(514),
    [sym_goto_statement] = STATE(514),
    [sym_seh_try_statement] = STATE(514),
    [sym_seh_leave_statement] = STATE(514),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(514),
    [sym_co_return_statement] = STATE(514),
    [sym_co_yield_statement] = STATE(514),
    [sym_throw_statement] = STATE(514),
    [sym_try_statement] = STATE(514),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(367),
    [sym_attributed_statement] = STATE(367),
    [sym_labeled_statement] = STATE(367),
    [sym_expression_statement] = STATE(367),
    [sym_if_statement] = STATE(367),
    [sym_switch_statement] = STATE(367),
    [sym_case_statement] = STATE(367),
    [sym_while_statement] = STATE(367),
    [sym_do_statement] = STATE(367),
    [sym_for_statement] = STATE(367),
    [sym_return_statement] = STATE(367),
    [sym_break_statement] = STATE(367),
    [sym_continue_statement] = STATE(367),
    [sym_goto_statement] = STATE(367),
    [sym_seh_try_statement] = STATE(367),
    [sym_seh_leave_statement] = STATE(367),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(367),
    [sym_co_return_statement] = STATE(367),
    [sym_co_yield_statement] = STATE(367),
    [sym_throw_statement] = STATE(367),
    [sym_try_statement] = STATE(367),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1179),
    [sym_attributed_statement] = STATE(1179),
    [sym_labeled_statement] = STATE(1179),
    [sym_expression_statement] = STATE(1179),
    [sym_if_statement] = STATE(1179),
    [sym_switch_statement] = STATE(1179),
    [sym_case_statement] = STATE(1179),
    [sym_while_statement] = STATE(1179),
    [sym_do_statement] = STATE(1179),
    [sym_for_statement] = STATE(1179),
    [sym_return_statement] = STATE(1179),
    [sym_break_statement] = STATE(1179),
    [sym_continue_statement] = STATE(1179),
    [sym_goto_statement] = STATE(1179),
    [sym_seh_try_statement] = STATE(1179),
    [sym_seh_leave_statement] = STATE(1179),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1179),
    [sym_co_return_statement] = STATE(1179),
    [sym_co_yield_statement] = STATE(1179),
    [sym_throw_statement] = STATE(1179),
    [sym_try_statement] = STATE(1179),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(185),
    [sym_compound_statement] = STATE(450),
    [sym_attributed_statement] = STATE(450),
    [sym_labeled_statement] = STATE(450),
    [sym_expression_statement] = STATE(450),
    [sym_if_statement] = STATE(450),
    [sym_switch_statement] = STATE(450),
    [sym_case_statement] = STATE(450),
    [sym_while_statement] = STATE(450),
    [sym_do_statement] = STATE(450),
    [sym_for_statement] = STATE(450),
    [sym_return_statement] = STATE(450),
    [sym_break_statement] = STATE(450),
    [sym_continue_statement] = STATE(450),
    [sym_goto_statement] = STATE(450),
    [sym_seh_try_statement] = STATE(450),
    [sym_seh_leave_statement] = STATE(450),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(450),
    [sym_co_return_statement] = STATE(450),
    [sym_co_yield_statement] = STATE(450),
    [sym_throw_statement] = STATE(450),
    [sym_try_statement] = STATE(450),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(185),
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2575),
    [anon_sym_default] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2587),
    [anon_sym_return] = ACTIONS(2590),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2599),
    [anon_sym___try] = ACTIONS(2602),
    [anon_sym___leave] = ACTIONS(2605),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2608),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2611),
    [anon_sym_co_return] = ACTIONS(2614),
    [anon_sym_co_yield] = ACTIONS(2617),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(635),
    [sym_attributed_statement] = STATE(635),
    [sym_labeled_statement] = STATE(635),
    [sym_expression_statement] = STATE(635),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(635),
    [sym_case_statement] = STATE(635),
    [sym_while_statement] = STATE(635),
    [sym_do_statement] = STATE(635),
    [sym_for_statement] = STATE(635),
    [sym_return_statement] = STATE(635),
    [sym_break_statement] = STATE(635),
    [sym_continue_statement] = STATE(635),
    [sym_goto_statement] = STATE(635),
    [sym_seh_try_statement] = STATE(635),
    [sym_seh_leave_statement] = STATE(635),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(635),
    [sym_co_return_statement] = STATE(635),
    [sym_co_yield_statement] = STATE(635),
    [sym_throw_statement] = STATE(635),
    [sym_try_statement] = STATE(635),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(292),
    [sym_attributed_statement] = STATE(292),
    [sym_labeled_statement] = STATE(292),
    [sym_expression_statement] = STATE(292),
    [sym_if_statement] = STATE(292),
    [sym_switch_statement] = STATE(292),
    [sym_case_statement] = STATE(292),
    [sym_while_statement] = STATE(292),
    [sym_do_statement] = STATE(292),
    [sym_for_statement] = STATE(292),
    [sym_return_statement] = STATE(292),
    [sym_break_statement] = STATE(292),
    [sym_continue_statement] = STATE(292),
    [sym_goto_statement] = STATE(292),
    [sym_seh_try_statement] = STATE(292),
    [sym_seh_leave_statement] = STATE(292),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(292),
    [sym_co_return_statement] = STATE(292),
    [sym_co_yield_statement] = STATE(292),
    [sym_throw_statement] = STATE(292),
    [sym_try_statement] = STATE(292),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2620),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2632),
    [anon_sym_case] = ACTIONS(2635),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2644),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2656),
    [anon_sym_goto] = ACTIONS(2659),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym___leave] = ACTIONS(2665),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2668),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2671),
    [anon_sym_co_return] = ACTIONS(2674),
    [anon_sym_co_yield] = ACTIONS(2677),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1208),
    [sym_attributed_statement] = STATE(1208),
    [sym_labeled_statement] = STATE(1208),
    [sym_expression_statement] = STATE(1208),
    [sym_if_statement] = STATE(1208),
    [sym_switch_statement] = STATE(1208),
    [sym_case_statement] = STATE(1208),
    [sym_while_statement] = STATE(1208),
    [sym_do_statement] = STATE(1208),
    [sym_for_statement] = STATE(1208),
    [sym_return_statement] = STATE(1208),
    [sym_break_statement] = STATE(1208),
    [sym_continue_statement] = STATE(1208),
    [sym_goto_statement] = STATE(1208),
    [sym_seh_try_statement] = STATE(1208),
    [sym_seh_leave_statement] = STATE(1208),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1208),
    [sym_co_return_statement] = STATE(1208),
    [sym_co_yield_statement] = STATE(1208),
    [sym_throw_statement] = STATE(1208),
    [sym_try_statement] = STATE(1208),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(210),
    [sym_compound_statement] = STATE(1234),
    [sym_attributed_statement] = STATE(1232),
    [sym_labeled_statement] = STATE(1231),
    [sym_expression_statement] = STATE(1229),
    [sym_if_statement] = STATE(1224),
    [sym_switch_statement] = STATE(1222),
    [sym_case_statement] = STATE(1220),
    [sym_while_statement] = STATE(1217),
    [sym_do_statement] = STATE(1216),
    [sym_for_statement] = STATE(1214),
    [sym_return_statement] = STATE(1213),
    [sym_break_statement] = STATE(1212),
    [sym_continue_statement] = STATE(1211),
    [sym_goto_statement] = STATE(1209),
    [sym_seh_try_statement] = STATE(1207),
    [sym_seh_leave_statement] = STATE(1206),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1205),
    [sym_co_return_statement] = STATE(1204),
    [sym_co_yield_statement] = STATE(1203),
    [sym_throw_statement] = STATE(1202),
    [sym_try_statement] = STATE(1201),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(210),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(826),
    [sym_attributed_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_expression_statement] = STATE(826),
    [sym_if_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_do_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_goto_statement] = STATE(826),
    [sym_seh_try_statement] = STATE(826),
    [sym_seh_leave_statement] = STATE(826),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(826),
    [sym_co_return_statement] = STATE(826),
    [sym_co_yield_statement] = STATE(826),
    [sym_throw_statement] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2680),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2386),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2398),
    [anon_sym_case] = ACTIONS(2515),
    [anon_sym_default] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_do] = ACTIONS(2410),
    [anon_sym_for] = ACTIONS(2692),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2419),
    [anon_sym_continue] = ACTIONS(2422),
    [anon_sym_goto] = ACTIONS(2425),
    [anon_sym___try] = ACTIONS(2695),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2479),
    [anon_sym_co_return] = ACTIONS(2482),
    [anon_sym_co_yield] = ACTIONS(2485),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(326),
    [sym_attributed_statement] = STATE(326),
    [sym_labeled_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym_if_statement] = STATE(326),
    [sym_switch_statement] = STATE(326),
    [sym_case_statement] = STATE(326),
    [sym_while_statement] = STATE(326),
    [sym_do_statement] = STATE(326),
    [sym_for_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_break_statement] = STATE(326),
    [sym_continue_statement] = STATE(326),
    [sym_goto_statement] = STATE(326),
    [sym_seh_try_statement] = STATE(326),
    [sym_seh_leave_statement] = STATE(326),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(326),
    [sym_co_return_statement] = STATE(326),
    [sym_co_yield_statement] = STATE(326),
    [sym_throw_statement] = STATE(326),
    [sym_try_statement] = STATE(326),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(548),
    [sym_attributed_statement] = STATE(548),
    [sym_labeled_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_switch_statement] = STATE(548),
    [sym_case_statement] = STATE(548),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_seh_try_statement] = STATE(548),
    [sym_seh_leave_statement] = STATE(548),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(548),
    [sym_co_return_statement] = STATE(548),
    [sym_co_yield_statement] = STATE(548),
    [sym_throw_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(8308),
    [sym_attributed_statement] = STATE(8308),
    [sym_labeled_statement] = STATE(8308),
    [sym_expression_statement] = STATE(8308),
    [sym_if_statement] = STATE(8308),
    [sym_switch_statement] = STATE(8308),
    [sym_case_statement] = STATE(8308),
    [sym_while_statement] = STATE(8308),
    [sym_do_statement] = STATE(8308),
    [sym_for_statement] = STATE(8308),
    [sym_return_statement] = STATE(8308),
    [sym_break_statement] = STATE(8308),
    [sym_continue_statement] = STATE(8308),
    [sym_goto_statement] = STATE(8308),
    [sym_seh_try_statement] = STATE(8308),
    [sym_seh_leave_statement] = STATE(8308),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(8308),
    [sym_co_return_statement] = STATE(8308),
    [sym_co_yield_statement] = STATE(8308),
    [sym_throw_statement] = STATE(8308),
    [sym_try_statement] = STATE(8308),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(176),
    [sym_compound_statement] = STATE(826),
    [sym_attributed_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_expression_statement] = STATE(826),
    [sym_if_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_do_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_goto_statement] = STATE(826),
    [sym_seh_try_statement] = STATE(826),
    [sym_seh_leave_statement] = STATE(826),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(826),
    [sym_co_return_statement] = STATE(826),
    [sym_co_yield_statement] = STATE(826),
    [sym_throw_statement] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(176),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(717),
    [sym_attributed_statement] = STATE(717),
    [sym_labeled_statement] = STATE(717),
    [sym_expression_statement] = STATE(717),
    [sym_if_statement] = STATE(717),
    [sym_switch_statement] = STATE(717),
    [sym_case_statement] = STATE(717),
    [sym_while_statement] = STATE(717),
    [sym_do_statement] = STATE(717),
    [sym_for_statement] = STATE(717),
    [sym_return_statement] = STATE(717),
    [sym_break_statement] = STATE(717),
    [sym_continue_statement] = STATE(717),
    [sym_goto_statement] = STATE(717),
    [sym_seh_try_statement] = STATE(717),
    [sym_seh_leave_statement] = STATE(717),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(717),
    [sym_co_return_statement] = STATE(717),
    [sym_co_yield_statement] = STATE(717),
    [sym_throw_statement] = STATE(717),
    [sym_try_statement] = STATE(717),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(568),
    [sym_attributed_statement] = STATE(568),
    [sym_labeled_statement] = STATE(568),
    [sym_expression_statement] = STATE(568),
    [sym_if_statement] = STATE(568),
    [sym_switch_statement] = STATE(568),
    [sym_case_statement] = STATE(568),
    [sym_while_statement] = STATE(568),
    [sym_do_statement] = STATE(568),
    [sym_for_statement] = STATE(568),
    [sym_return_statement] = STATE(568),
    [sym_break_statement] = STATE(568),
    [sym_continue_statement] = STATE(568),
    [sym_goto_statement] = STATE(568),
    [sym_seh_try_statement] = STATE(568),
    [sym_seh_leave_statement] = STATE(568),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(568),
    [sym_co_return_statement] = STATE(568),
    [sym_co_yield_statement] = STATE(568),
    [sym_throw_statement] = STATE(568),
    [sym_try_statement] = STATE(568),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(782),
    [sym_attributed_statement] = STATE(782),
    [sym_labeled_statement] = STATE(782),
    [sym_expression_statement] = STATE(782),
    [sym_if_statement] = STATE(782),
    [sym_switch_statement] = STATE(782),
    [sym_case_statement] = STATE(782),
    [sym_while_statement] = STATE(782),
    [sym_do_statement] = STATE(782),
    [sym_for_statement] = STATE(782),
    [sym_return_statement] = STATE(782),
    [sym_break_statement] = STATE(782),
    [sym_continue_statement] = STATE(782),
    [sym_goto_statement] = STATE(782),
    [sym_seh_try_statement] = STATE(782),
    [sym_seh_leave_statement] = STATE(782),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(782),
    [sym_co_return_statement] = STATE(782),
    [sym_co_yield_statement] = STATE(782),
    [sym_throw_statement] = STATE(782),
    [sym_try_statement] = STATE(782),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(341),
    [sym_attributed_statement] = STATE(341),
    [sym_labeled_statement] = STATE(341),
    [sym_expression_statement] = STATE(341),
    [sym_if_statement] = STATE(341),
    [sym_switch_statement] = STATE(341),
    [sym_case_statement] = STATE(341),
    [sym_while_statement] = STATE(341),
    [sym_do_statement] = STATE(341),
    [sym_for_statement] = STATE(341),
    [sym_return_statement] = STATE(341),
    [sym_break_statement] = STATE(341),
    [sym_continue_statement] = STATE(341),
    [sym_goto_statement] = STATE(341),
    [sym_seh_try_statement] = STATE(341),
    [sym_seh_leave_statement] = STATE(341),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(341),
    [sym_co_return_statement] = STATE(341),
    [sym_co_yield_statement] = STATE(341),
    [sym_throw_statement] = STATE(341),
    [sym_try_statement] = STATE(341),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(457),
    [sym_attributed_statement] = STATE(457),
    [sym_labeled_statement] = STATE(457),
    [sym_expression_statement] = STATE(457),
    [sym_if_statement] = STATE(457),
    [sym_switch_statement] = STATE(457),
    [sym_case_statement] = STATE(457),
    [sym_while_statement] = STATE(457),
    [sym_do_statement] = STATE(457),
    [sym_for_statement] = STATE(457),
    [sym_return_statement] = STATE(457),
    [sym_break_statement] = STATE(457),
    [sym_continue_statement] = STATE(457),
    [sym_goto_statement] = STATE(457),
    [sym_seh_try_statement] = STATE(457),
    [sym_seh_leave_statement] = STATE(457),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(457),
    [sym_co_return_statement] = STATE(457),
    [sym_co_yield_statement] = STATE(457),
    [sym_throw_statement] = STATE(457),
    [sym_try_statement] = STATE(457),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(269),
    [sym_attributed_statement] = STATE(269),
    [sym_labeled_statement] = STATE(269),
    [sym_expression_statement] = STATE(269),
    [sym_if_statement] = STATE(269),
    [sym_switch_statement] = STATE(269),
    [sym_case_statement] = STATE(269),
    [sym_while_statement] = STATE(269),
    [sym_do_statement] = STATE(269),
    [sym_for_statement] = STATE(269),
    [sym_return_statement] = STATE(269),
    [sym_break_statement] = STATE(269),
    [sym_continue_statement] = STATE(269),
    [sym_goto_statement] = STATE(269),
    [sym_seh_try_statement] = STATE(269),
    [sym_seh_leave_statement] = STATE(269),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(269),
    [sym_co_return_statement] = STATE(269),
    [sym_co_yield_statement] = STATE(269),
    [sym_throw_statement] = STATE(269),
    [sym_try_statement] = STATE(269),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9492),
    [sym_attributed_statement] = STATE(9492),
    [sym_labeled_statement] = STATE(9492),
    [sym_expression_statement] = STATE(9492),
    [sym_if_statement] = STATE(9492),
    [sym_switch_statement] = STATE(9492),
    [sym_case_statement] = STATE(9492),
    [sym_while_statement] = STATE(9492),
    [sym_do_statement] = STATE(9492),
    [sym_for_statement] = STATE(9492),
    [sym_return_statement] = STATE(9492),
    [sym_break_statement] = STATE(9492),
    [sym_continue_statement] = STATE(9492),
    [sym_goto_statement] = STATE(9492),
    [sym_seh_try_statement] = STATE(9492),
    [sym_seh_leave_statement] = STATE(9492),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9492),
    [sym_co_return_statement] = STATE(9492),
    [sym_co_yield_statement] = STATE(9492),
    [sym_throw_statement] = STATE(9492),
    [sym_try_statement] = STATE(9492),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9415),
    [sym_attributed_statement] = STATE(9415),
    [sym_labeled_statement] = STATE(9415),
    [sym_expression_statement] = STATE(9415),
    [sym_if_statement] = STATE(9415),
    [sym_switch_statement] = STATE(9415),
    [sym_case_statement] = STATE(9415),
    [sym_while_statement] = STATE(9415),
    [sym_do_statement] = STATE(9415),
    [sym_for_statement] = STATE(9415),
    [sym_return_statement] = STATE(9415),
    [sym_break_statement] = STATE(9415),
    [sym_continue_statement] = STATE(9415),
    [sym_goto_statement] = STATE(9415),
    [sym_seh_try_statement] = STATE(9415),
    [sym_seh_leave_statement] = STATE(9415),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9415),
    [sym_co_return_statement] = STATE(9415),
    [sym_co_yield_statement] = STATE(9415),
    [sym_throw_statement] = STATE(9415),
    [sym_try_statement] = STATE(9415),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(798),
    [sym_attributed_statement] = STATE(798),
    [sym_labeled_statement] = STATE(798),
    [sym_expression_statement] = STATE(798),
    [sym_if_statement] = STATE(798),
    [sym_switch_statement] = STATE(798),
    [sym_case_statement] = STATE(798),
    [sym_while_statement] = STATE(798),
    [sym_do_statement] = STATE(798),
    [sym_for_statement] = STATE(798),
    [sym_return_statement] = STATE(798),
    [sym_break_statement] = STATE(798),
    [sym_continue_statement] = STATE(798),
    [sym_goto_statement] = STATE(798),
    [sym_seh_try_statement] = STATE(798),
    [sym_seh_leave_statement] = STATE(798),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(798),
    [sym_co_return_statement] = STATE(798),
    [sym_co_yield_statement] = STATE(798),
    [sym_throw_statement] = STATE(798),
    [sym_try_statement] = STATE(798),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(795),
    [sym_attributed_statement] = STATE(794),
    [sym_labeled_statement] = STATE(792),
    [sym_expression_statement] = STATE(791),
    [sym_if_statement] = STATE(790),
    [sym_switch_statement] = STATE(787),
    [sym_case_statement] = STATE(786),
    [sym_while_statement] = STATE(785),
    [sym_do_statement] = STATE(784),
    [sym_for_statement] = STATE(781),
    [sym_return_statement] = STATE(780),
    [sym_break_statement] = STATE(779),
    [sym_continue_statement] = STATE(777),
    [sym_goto_statement] = STATE(776),
    [sym_seh_try_statement] = STATE(775),
    [sym_seh_leave_statement] = STATE(774),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(772),
    [sym_co_return_statement] = STATE(771),
    [sym_co_yield_statement] = STATE(769),
    [sym_throw_statement] = STATE(766),
    [sym_try_statement] = STATE(765),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9472),
    [sym_attributed_statement] = STATE(9472),
    [sym_labeled_statement] = STATE(9472),
    [sym_expression_statement] = STATE(9472),
    [sym_if_statement] = STATE(9472),
    [sym_switch_statement] = STATE(9472),
    [sym_case_statement] = STATE(9472),
    [sym_while_statement] = STATE(9472),
    [sym_do_statement] = STATE(9472),
    [sym_for_statement] = STATE(9472),
    [sym_return_statement] = STATE(9472),
    [sym_break_statement] = STATE(9472),
    [sym_continue_statement] = STATE(9472),
    [sym_goto_statement] = STATE(9472),
    [sym_seh_try_statement] = STATE(9472),
    [sym_seh_leave_statement] = STATE(9472),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9472),
    [sym_co_return_statement] = STATE(9472),
    [sym_co_yield_statement] = STATE(9472),
    [sym_throw_statement] = STATE(9472),
    [sym_try_statement] = STATE(9472),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(789),
    [sym_attributed_statement] = STATE(789),
    [sym_labeled_statement] = STATE(789),
    [sym_expression_statement] = STATE(789),
    [sym_if_statement] = STATE(789),
    [sym_switch_statement] = STATE(789),
    [sym_case_statement] = STATE(789),
    [sym_while_statement] = STATE(789),
    [sym_do_statement] = STATE(789),
    [sym_for_statement] = STATE(789),
    [sym_return_statement] = STATE(789),
    [sym_break_statement] = STATE(789),
    [sym_continue_statement] = STATE(789),
    [sym_goto_statement] = STATE(789),
    [sym_seh_try_statement] = STATE(789),
    [sym_seh_leave_statement] = STATE(789),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(789),
    [sym_co_return_statement] = STATE(789),
    [sym_co_yield_statement] = STATE(789),
    [sym_throw_statement] = STATE(789),
    [sym_try_statement] = STATE(789),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(764),
    [sym_attributed_statement] = STATE(763),
    [sym_labeled_statement] = STATE(762),
    [sym_expression_statement] = STATE(761),
    [sym_if_statement] = STATE(760),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(758),
    [sym_while_statement] = STATE(757),
    [sym_do_statement] = STATE(756),
    [sym_for_statement] = STATE(755),
    [sym_return_statement] = STATE(754),
    [sym_break_statement] = STATE(753),
    [sym_continue_statement] = STATE(752),
    [sym_goto_statement] = STATE(751),
    [sym_seh_try_statement] = STATE(750),
    [sym_seh_leave_statement] = STATE(629),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(748),
    [sym_co_return_statement] = STATE(747),
    [sym_co_yield_statement] = STATE(746),
    [sym_throw_statement] = STATE(745),
    [sym_try_statement] = STATE(744),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(208),
    [sym_compound_statement] = STATE(717),
    [sym_attributed_statement] = STATE(717),
    [sym_labeled_statement] = STATE(717),
    [sym_expression_statement] = STATE(717),
    [sym_if_statement] = STATE(717),
    [sym_switch_statement] = STATE(717),
    [sym_case_statement] = STATE(717),
    [sym_while_statement] = STATE(717),
    [sym_do_statement] = STATE(717),
    [sym_for_statement] = STATE(717),
    [sym_return_statement] = STATE(717),
    [sym_break_statement] = STATE(717),
    [sym_continue_statement] = STATE(717),
    [sym_goto_statement] = STATE(717),
    [sym_seh_try_statement] = STATE(717),
    [sym_seh_leave_statement] = STATE(717),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(717),
    [sym_co_return_statement] = STATE(717),
    [sym_co_yield_statement] = STATE(717),
    [sym_throw_statement] = STATE(717),
    [sym_try_statement] = STATE(717),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(208),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2712),
    [anon_sym_switch] = ACTIONS(2715),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2724),
    [anon_sym_do] = ACTIONS(2727),
    [anon_sym_for] = ACTIONS(2730),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2736),
    [anon_sym_continue] = ACTIONS(2739),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym___try] = ACTIONS(2745),
    [anon_sym___leave] = ACTIONS(2748),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2751),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2754),
    [anon_sym_co_return] = ACTIONS(2757),
    [anon_sym_co_yield] = ACTIONS(2760),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9450),
    [sym_attributed_statement] = STATE(9450),
    [sym_labeled_statement] = STATE(9450),
    [sym_expression_statement] = STATE(9450),
    [sym_if_statement] = STATE(9450),
    [sym_switch_statement] = STATE(9450),
    [sym_case_statement] = STATE(9450),
    [sym_while_statement] = STATE(9450),
    [sym_do_statement] = STATE(9450),
    [sym_for_statement] = STATE(9450),
    [sym_return_statement] = STATE(9450),
    [sym_break_statement] = STATE(9450),
    [sym_continue_statement] = STATE(9450),
    [sym_goto_statement] = STATE(9450),
    [sym_seh_try_statement] = STATE(9450),
    [sym_seh_leave_statement] = STATE(9450),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9450),
    [sym_co_return_statement] = STATE(9450),
    [sym_co_yield_statement] = STATE(9450),
    [sym_throw_statement] = STATE(9450),
    [sym_try_statement] = STATE(9450),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(1183),
    [sym_attributed_statement] = STATE(1183),
    [sym_labeled_statement] = STATE(1183),
    [sym_expression_statement] = STATE(1183),
    [sym_if_statement] = STATE(1183),
    [sym_switch_statement] = STATE(1183),
    [sym_case_statement] = STATE(1183),
    [sym_while_statement] = STATE(1183),
    [sym_do_statement] = STATE(1183),
    [sym_for_statement] = STATE(1183),
    [sym_return_statement] = STATE(1183),
    [sym_break_statement] = STATE(1183),
    [sym_continue_statement] = STATE(1183),
    [sym_goto_statement] = STATE(1183),
    [sym_seh_try_statement] = STATE(1183),
    [sym_seh_leave_statement] = STATE(1183),
    [sym__expression] = STATE(5309),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9636),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(1183),
    [sym_co_return_statement] = STATE(1183),
    [sym_co_yield_statement] = STATE(1183),
    [sym_throw_statement] = STATE(1183),
    [sym_try_statement] = STATE(1183),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(225),
    [sym_compound_statement] = STATE(9425),
    [sym_attributed_statement] = STATE(9425),
    [sym_labeled_statement] = STATE(9425),
    [sym_expression_statement] = STATE(9425),
    [sym_if_statement] = STATE(9425),
    [sym_switch_statement] = STATE(9425),
    [sym_case_statement] = STATE(9425),
    [sym_while_statement] = STATE(9425),
    [sym_do_statement] = STATE(9425),
    [sym_for_statement] = STATE(9425),
    [sym_return_statement] = STATE(9425),
    [sym_break_statement] = STATE(9425),
    [sym_continue_statement] = STATE(9425),
    [sym_goto_statement] = STATE(9425),
    [sym_seh_try_statement] = STATE(9425),
    [sym_seh_leave_statement] = STATE(9425),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(9425),
    [sym_co_return_statement] = STATE(9425),
    [sym_co_yield_statement] = STATE(9425),
    [sym_throw_statement] = STATE(9425),
    [sym_try_statement] = STATE(9425),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(225),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(798),
    [sym_attributed_statement] = STATE(798),
    [sym_labeled_statement] = STATE(798),
    [sym_expression_statement] = STATE(798),
    [sym_if_statement] = STATE(798),
    [sym_switch_statement] = STATE(798),
    [sym_case_statement] = STATE(798),
    [sym_while_statement] = STATE(798),
    [sym_do_statement] = STATE(798),
    [sym_for_statement] = STATE(798),
    [sym_return_statement] = STATE(798),
    [sym_break_statement] = STATE(798),
    [sym_continue_statement] = STATE(798),
    [sym_goto_statement] = STATE(798),
    [sym_seh_try_statement] = STATE(798),
    [sym_seh_leave_statement] = STATE(798),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(798),
    [sym_co_return_statement] = STATE(798),
    [sym_co_yield_statement] = STATE(798),
    [sym_throw_statement] = STATE(798),
    [sym_try_statement] = STATE(798),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(614),
    [sym_attributed_statement] = STATE(614),
    [sym_labeled_statement] = STATE(614),
    [sym_expression_statement] = STATE(614),
    [sym_if_statement] = STATE(614),
    [sym_switch_statement] = STATE(614),
    [sym_case_statement] = STATE(614),
    [sym_while_statement] = STATE(614),
    [sym_do_statement] = STATE(614),
    [sym_for_statement] = STATE(614),
    [sym_return_statement] = STATE(614),
    [sym_break_statement] = STATE(614),
    [sym_continue_statement] = STATE(614),
    [sym_goto_statement] = STATE(614),
    [sym_seh_try_statement] = STATE(614),
    [sym_seh_leave_statement] = STATE(614),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(614),
    [sym_co_return_statement] = STATE(614),
    [sym_co_yield_statement] = STATE(614),
    [sym_throw_statement] = STATE(614),
    [sym_try_statement] = STATE(614),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(635),
    [sym_attributed_statement] = STATE(635),
    [sym_labeled_statement] = STATE(635),
    [sym_expression_statement] = STATE(635),
    [sym_if_statement] = STATE(635),
    [sym_switch_statement] = STATE(635),
    [sym_case_statement] = STATE(635),
    [sym_while_statement] = STATE(635),
    [sym_do_statement] = STATE(635),
    [sym_for_statement] = STATE(635),
    [sym_return_statement] = STATE(635),
    [sym_break_statement] = STATE(635),
    [sym_continue_statement] = STATE(635),
    [sym_goto_statement] = STATE(635),
    [sym_seh_try_statement] = STATE(635),
    [sym_seh_leave_statement] = STATE(635),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(635),
    [sym_co_return_statement] = STATE(635),
    [sym_co_yield_statement] = STATE(635),
    [sym_throw_statement] = STATE(635),
    [sym_try_statement] = STATE(635),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(453),
    [sym_attributed_statement] = STATE(453),
    [sym_labeled_statement] = STATE(453),
    [sym_expression_statement] = STATE(453),
    [sym_if_statement] = STATE(453),
    [sym_switch_statement] = STATE(453),
    [sym_case_statement] = STATE(453),
    [sym_while_statement] = STATE(453),
    [sym_do_statement] = STATE(453),
    [sym_for_statement] = STATE(453),
    [sym_return_statement] = STATE(453),
    [sym_break_statement] = STATE(453),
    [sym_continue_statement] = STATE(453),
    [sym_goto_statement] = STATE(453),
    [sym_seh_try_statement] = STATE(453),
    [sym_seh_leave_statement] = STATE(453),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(453),
    [sym_co_return_statement] = STATE(453),
    [sym_co_yield_statement] = STATE(453),
    [sym_throw_statement] = STATE(453),
    [sym_try_statement] = STATE(453),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(165),
    [sym_compound_statement] = STATE(358),
    [sym_attributed_statement] = STATE(358),
    [sym_labeled_statement] = STATE(358),
    [sym_expression_statement] = STATE(358),
    [sym_if_statement] = STATE(358),
    [sym_switch_statement] = STATE(358),
    [sym_case_statement] = STATE(358),
    [sym_while_statement] = STATE(358),
    [sym_do_statement] = STATE(358),
    [sym_for_statement] = STATE(358),
    [sym_return_statement] = STATE(358),
    [sym_break_statement] = STATE(358),
    [sym_continue_statement] = STATE(358),
    [sym_goto_statement] = STATE(358),
    [sym_seh_try_statement] = STATE(358),
    [sym_seh_leave_statement] = STATE(358),
    [sym__expression] = STATE(5320),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9191),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(358),
    [sym_co_return_statement] = STATE(358),
    [sym_co_yield_statement] = STATE(358),
    [sym_throw_statement] = STATE(358),
    [sym_try_statement] = STATE(358),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(165),
    [sym_identifier] = ACTIONS(2294),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [217] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(795),
    [sym_attributed_statement] = STATE(794),
    [sym_labeled_statement] = STATE(792),
    [sym_expression_statement] = STATE(791),
    [sym_if_statement] = STATE(790),
    [sym_switch_statement] = STATE(787),
    [sym_case_statement] = STATE(786),
    [sym_while_statement] = STATE(785),
    [sym_do_statement] = STATE(784),
    [sym_for_statement] = STATE(781),
    [sym_return_statement] = STATE(780),
    [sym_break_statement] = STATE(779),
    [sym_continue_statement] = STATE(777),
    [sym_goto_statement] = STATE(776),
    [sym_seh_try_statement] = STATE(775),
    [sym_seh_leave_statement] = STATE(774),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(772),
    [sym_co_return_statement] = STATE(771),
    [sym_co_yield_statement] = STATE(769),
    [sym_throw_statement] = STATE(766),
    [sym_try_statement] = STATE(765),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [218] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(576),
    [sym_attributed_statement] = STATE(576),
    [sym_labeled_statement] = STATE(576),
    [sym_expression_statement] = STATE(576),
    [sym_if_statement] = STATE(576),
    [sym_switch_statement] = STATE(576),
    [sym_case_statement] = STATE(576),
    [sym_while_statement] = STATE(576),
    [sym_do_statement] = STATE(576),
    [sym_for_statement] = STATE(576),
    [sym_return_statement] = STATE(576),
    [sym_break_statement] = STATE(576),
    [sym_continue_statement] = STATE(576),
    [sym_goto_statement] = STATE(576),
    [sym_seh_try_statement] = STATE(576),
    [sym_seh_leave_statement] = STATE(576),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(576),
    [sym_co_return_statement] = STATE(576),
    [sym_co_yield_statement] = STATE(576),
    [sym_throw_statement] = STATE(576),
    [sym_try_statement] = STATE(576),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [219] = {
    [sym_attribute_declaration] = STATE(220),
    [sym_compound_statement] = STATE(674),
    [sym_attributed_statement] = STATE(674),
    [sym_labeled_statement] = STATE(674),
    [sym_expression_statement] = STATE(674),
    [sym_if_statement] = STATE(674),
    [sym_switch_statement] = STATE(674),
    [sym_case_statement] = STATE(674),
    [sym_while_statement] = STATE(674),
    [sym_do_statement] = STATE(674),
    [sym_for_statement] = STATE(674),
    [sym_return_statement] = STATE(674),
    [sym_break_statement] = STATE(674),
    [sym_continue_statement] = STATE(674),
    [sym_goto_statement] = STATE(674),
    [sym_seh_try_statement] = STATE(674),
    [sym_seh_leave_statement] = STATE(674),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(674),
    [sym_co_return_statement] = STATE(674),
    [sym_co_yield_statement] = STATE(674),
    [sym_throw_statement] = STATE(674),
    [sym_try_statement] = STATE(674),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(220),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [220] = {
    [sym_attribute_declaration] = STATE(220),
    [sym_compound_statement] = STATE(674),
    [sym_attributed_statement] = STATE(674),
    [sym_labeled_statement] = STATE(674),
    [sym_expression_statement] = STATE(674),
    [sym_if_statement] = STATE(674),
    [sym_switch_statement] = STATE(674),
    [sym_case_statement] = STATE(674),
    [sym_while_statement] = STATE(674),
    [sym_do_statement] = STATE(674),
    [sym_for_statement] = STATE(674),
    [sym_return_statement] = STATE(674),
    [sym_break_statement] = STATE(674),
    [sym_continue_statement] = STATE(674),
    [sym_goto_statement] = STATE(674),
    [sym_seh_try_statement] = STATE(674),
    [sym_seh_leave_statement] = STATE(674),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(674),
    [sym_co_return_statement] = STATE(674),
    [sym_co_yield_statement] = STATE(674),
    [sym_throw_statement] = STATE(674),
    [sym_try_statement] = STATE(674),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(220),
    [sym_identifier] = ACTIONS(2763),
    [anon_sym_LPAREN2] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2371),
    [anon_sym_PLUS] = ACTIONS(2371),
    [anon_sym_STAR] = ACTIONS(2374),
    [anon_sym_AMP] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2383),
    [anon_sym_LBRACE] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2389),
    [sym_primitive_type] = ACTIONS(2392),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2772),
    [anon_sym_case] = ACTIONS(2775),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2784),
    [anon_sym_for] = ACTIONS(2787),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2796),
    [anon_sym_goto] = ACTIONS(2799),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym___leave] = ACTIONS(2698),
    [anon_sym_not] = ACTIONS(2371),
    [anon_sym_compl] = ACTIONS(2371),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2437),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2443),
    [anon_sym__Generic] = ACTIONS(2446),
    [anon_sym_asm] = ACTIONS(2449),
    [anon_sym___asm__] = ACTIONS(2449),
    [sym_number_literal] = ACTIONS(2452),
    [anon_sym_L_SQUOTE] = ACTIONS(2455),
    [anon_sym_u_SQUOTE] = ACTIONS(2455),
    [anon_sym_U_SQUOTE] = ACTIONS(2455),
    [anon_sym_u8_SQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [anon_sym_NULL] = ACTIONS(2464),
    [anon_sym_nullptr] = ACTIONS(2464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2467),
    [anon_sym_template] = ACTIONS(2470),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2476),
    [anon_sym_throw] = ACTIONS(2808),
    [anon_sym_co_return] = ACTIONS(2811),
    [anon_sym_co_yield] = ACTIONS(2814),
    [anon_sym_R_DQUOTE] = ACTIONS(2488),
    [anon_sym_LR_DQUOTE] = ACTIONS(2488),
    [anon_sym_uR_DQUOTE] = ACTIONS(2488),
    [anon_sym_UR_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2488),
    [anon_sym_co_await] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2494),
    [anon_sym_requires] = ACTIONS(2497),
    [sym_this] = ACTIONS(2461),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(632),
    [sym_attributed_statement] = STATE(632),
    [sym_labeled_statement] = STATE(632),
    [sym_expression_statement] = STATE(632),
    [sym_if_statement] = STATE(632),
    [sym_switch_statement] = STATE(632),
    [sym_case_statement] = STATE(632),
    [sym_while_statement] = STATE(632),
    [sym_do_statement] = STATE(632),
    [sym_for_statement] = STATE(632),
    [sym_return_statement] = STATE(632),
    [sym_break_statement] = STATE(632),
    [sym_continue_statement] = STATE(632),
    [sym_goto_statement] = STATE(632),
    [sym_seh_try_statement] = STATE(632),
    [sym_seh_leave_statement] = STATE(632),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(632),
    [sym_co_return_statement] = STATE(632),
    [sym_co_yield_statement] = STATE(632),
    [sym_throw_statement] = STATE(632),
    [sym_try_statement] = STATE(632),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(603),
    [sym_attributed_statement] = STATE(603),
    [sym_labeled_statement] = STATE(603),
    [sym_expression_statement] = STATE(603),
    [sym_if_statement] = STATE(603),
    [sym_switch_statement] = STATE(603),
    [sym_case_statement] = STATE(603),
    [sym_while_statement] = STATE(603),
    [sym_do_statement] = STATE(603),
    [sym_for_statement] = STATE(603),
    [sym_return_statement] = STATE(603),
    [sym_break_statement] = STATE(603),
    [sym_continue_statement] = STATE(603),
    [sym_goto_statement] = STATE(603),
    [sym_seh_try_statement] = STATE(603),
    [sym_seh_leave_statement] = STATE(603),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(603),
    [sym_co_return_statement] = STATE(603),
    [sym_co_yield_statement] = STATE(603),
    [sym_throw_statement] = STATE(603),
    [sym_try_statement] = STATE(603),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [223] = {
    [sym_attribute_declaration] = STATE(195),
    [sym_compound_statement] = STATE(820),
    [sym_attributed_statement] = STATE(820),
    [sym_labeled_statement] = STATE(820),
    [sym_expression_statement] = STATE(820),
    [sym_if_statement] = STATE(820),
    [sym_switch_statement] = STATE(820),
    [sym_case_statement] = STATE(820),
    [sym_while_statement] = STATE(820),
    [sym_do_statement] = STATE(820),
    [sym_for_statement] = STATE(820),
    [sym_return_statement] = STATE(820),
    [sym_break_statement] = STATE(820),
    [sym_continue_statement] = STATE(820),
    [sym_goto_statement] = STATE(820),
    [sym_seh_try_statement] = STATE(820),
    [sym_seh_leave_statement] = STATE(820),
    [sym__expression] = STATE(5338),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8890),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(820),
    [sym_co_return_statement] = STATE(820),
    [sym_co_yield_statement] = STATE(820),
    [sym_throw_statement] = STATE(820),
    [sym_try_statement] = STATE(820),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(195),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(998),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_case] = ACTIONS(1002),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1006),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1010),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1014),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_goto] = ACTIONS(1018),
    [anon_sym___try] = ACTIONS(1020),
    [anon_sym___leave] = ACTIONS(1022),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1026),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_co_return] = ACTIONS(1038),
    [anon_sym_co_yield] = ACTIONS(1040),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [224] = {
    [sym_attribute_declaration] = STATE(228),
    [sym_compound_statement] = STATE(267),
    [sym_attributed_statement] = STATE(267),
    [sym_labeled_statement] = STATE(267),
    [sym_expression_statement] = STATE(267),
    [sym_if_statement] = STATE(267),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(267),
    [sym_while_statement] = STATE(267),
    [sym_do_statement] = STATE(267),
    [sym_for_statement] = STATE(267),
    [sym_return_statement] = STATE(267),
    [sym_break_statement] = STATE(267),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(267),
    [sym_seh_try_statement] = STATE(267),
    [sym_seh_leave_statement] = STATE(267),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(267),
    [sym_co_return_statement] = STATE(267),
    [sym_co_yield_statement] = STATE(267),
    [sym_throw_statement] = STATE(267),
    [sym_try_statement] = STATE(267),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(228),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [225] = {
    [sym_attribute_declaration] = STATE(190),
    [sym_compound_statement] = STATE(826),
    [sym_attributed_statement] = STATE(826),
    [sym_labeled_statement] = STATE(826),
    [sym_expression_statement] = STATE(826),
    [sym_if_statement] = STATE(826),
    [sym_switch_statement] = STATE(826),
    [sym_case_statement] = STATE(826),
    [sym_while_statement] = STATE(826),
    [sym_do_statement] = STATE(826),
    [sym_for_statement] = STATE(826),
    [sym_return_statement] = STATE(826),
    [sym_break_statement] = STATE(826),
    [sym_continue_statement] = STATE(826),
    [sym_goto_statement] = STATE(826),
    [sym_seh_try_statement] = STATE(826),
    [sym_seh_leave_statement] = STATE(826),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(826),
    [sym_co_return_statement] = STATE(826),
    [sym_co_yield_statement] = STATE(826),
    [sym_throw_statement] = STATE(826),
    [sym_try_statement] = STATE(826),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2352),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [226] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(693),
    [sym_attributed_statement] = STATE(693),
    [sym_labeled_statement] = STATE(693),
    [sym_expression_statement] = STATE(693),
    [sym_if_statement] = STATE(693),
    [sym_switch_statement] = STATE(693),
    [sym_case_statement] = STATE(693),
    [sym_while_statement] = STATE(693),
    [sym_do_statement] = STATE(693),
    [sym_for_statement] = STATE(693),
    [sym_return_statement] = STATE(693),
    [sym_break_statement] = STATE(693),
    [sym_continue_statement] = STATE(693),
    [sym_goto_statement] = STATE(693),
    [sym_seh_try_statement] = STATE(693),
    [sym_seh_leave_statement] = STATE(693),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(693),
    [sym_co_return_statement] = STATE(693),
    [sym_co_yield_statement] = STATE(693),
    [sym_throw_statement] = STATE(693),
    [sym_try_statement] = STATE(693),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [227] = {
    [sym_attribute_declaration] = STATE(194),
    [sym_compound_statement] = STATE(764),
    [sym_attributed_statement] = STATE(763),
    [sym_labeled_statement] = STATE(762),
    [sym_expression_statement] = STATE(761),
    [sym_if_statement] = STATE(760),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(758),
    [sym_while_statement] = STATE(757),
    [sym_do_statement] = STATE(756),
    [sym_for_statement] = STATE(755),
    [sym_return_statement] = STATE(754),
    [sym_break_statement] = STATE(753),
    [sym_continue_statement] = STATE(752),
    [sym_goto_statement] = STATE(751),
    [sym_seh_try_statement] = STATE(750),
    [sym_seh_leave_statement] = STATE(629),
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9624),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(748),
    [sym_co_return_statement] = STATE(747),
    [sym_co_yield_statement] = STATE(746),
    [sym_throw_statement] = STATE(745),
    [sym_try_statement] = STATE(744),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(194),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1692),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1694),
    [anon_sym___leave] = ACTIONS(1696),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [228] = {
    [sym_attribute_declaration] = STATE(187),
    [sym_compound_statement] = STATE(292),
    [sym_attributed_statement] = STATE(292),
    [sym_labeled_statement] = STATE(292),
    [sym_expression_statement] = STATE(292),
    [sym_if_statement] = STATE(292),
    [sym_switch_statement] = STATE(292),
    [sym_case_statement] = STATE(292),
    [sym_while_statement] = STATE(292),
    [sym_do_statement] = STATE(292),
    [sym_for_statement] = STATE(292),
    [sym_return_statement] = STATE(292),
    [sym_break_statement] = STATE(292),
    [sym_continue_statement] = STATE(292),
    [sym_goto_statement] = STATE(292),
    [sym_seh_try_statement] = STATE(292),
    [sym_seh_leave_statement] = STATE(292),
    [sym__expression] = STATE(5237),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9622),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(292),
    [sym_co_return_statement] = STATE(292),
    [sym_co_yield_statement] = STATE(292),
    [sym_throw_statement] = STATE(292),
    [sym_try_statement] = STATE(292),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(187),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [229] = {
    [sym_attribute_declaration] = STATE(219),
    [sym_compound_statement] = STATE(698),
    [sym_attributed_statement] = STATE(698),
    [sym_labeled_statement] = STATE(698),
    [sym_expression_statement] = STATE(698),
    [sym_if_statement] = STATE(698),
    [sym_switch_statement] = STATE(698),
    [sym_case_statement] = STATE(698),
    [sym_while_statement] = STATE(698),
    [sym_do_statement] = STATE(698),
    [sym_for_statement] = STATE(698),
    [sym_return_statement] = STATE(698),
    [sym_break_statement] = STATE(698),
    [sym_continue_statement] = STATE(698),
    [sym_goto_statement] = STATE(698),
    [sym_seh_try_statement] = STATE(698),
    [sym_seh_leave_statement] = STATE(698),
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9491),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_for_range_loop] = STATE(698),
    [sym_co_return_statement] = STATE(698),
    [sym_co_yield_statement] = STATE(698),
    [sym_throw_statement] = STATE(698),
    [sym_try_statement] = STATE(698),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_attributed_declarator_repeat1] = STATE(219),
    [sym_identifier] = ACTIONS(2254),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [230] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [231] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(2827),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [232] = {
    [sym__expression] = STATE(4209),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_initializer_list] = STATE(4382),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2136),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2136),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2136),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2136),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_STAR_EQ] = ACTIONS(2138),
    [anon_sym_SLASH_EQ] = ACTIONS(2138),
    [anon_sym_PERCENT_EQ] = ACTIONS(2138),
    [anon_sym_PLUS_EQ] = ACTIONS(2138),
    [anon_sym_DASH_EQ] = ACTIONS(2138),
    [anon_sym_LT_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2138),
    [anon_sym_CARET_EQ] = ACTIONS(2138),
    [anon_sym_PIPE_EQ] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2138),
    [sym_this] = ACTIONS(2038),
  },
  [233] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9630),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [234] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9674),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9710),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9711),
    [sym__unary_right_fold] = STATE(9734),
    [sym__binary_fold] = STATE(9736),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9748),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [235] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9422),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [236] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9042),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [237] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9252),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [238] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3457),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9062),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8809),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8872),
    [sym__unary_right_fold] = STATE(8871),
    [sym__binary_fold] = STATE(8870),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9055),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [239] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9648),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9173),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8962),
    [sym__unary_right_fold] = STATE(8953),
    [sym__binary_fold] = STATE(8952),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9641),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [240] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [241] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9674),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9146),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9080),
    [sym__unary_right_fold] = STATE(9155),
    [sym__binary_fold] = STATE(9156),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9748),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [242] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8802),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [243] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9378),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [244] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9286),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [245] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9674),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9459),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9080),
    [sym__unary_right_fold] = STATE(9155),
    [sym__binary_fold] = STATE(9156),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9748),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [246] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9117),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [247] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9528),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [248] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3457),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9062),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8876),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8872),
    [sym__unary_right_fold] = STATE(8871),
    [sym__binary_fold] = STATE(8870),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9055),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [249] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(2821),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [250] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9648),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8888),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9059),
    [sym__unary_right_fold] = STATE(9058),
    [sym__binary_fold] = STATE(9057),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9641),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [251] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9648),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8966),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8962),
    [sym__unary_right_fold] = STATE(8953),
    [sym__binary_fold] = STATE(8952),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9641),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [252] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(8923),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [253] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9000),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [254] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9647),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [255] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3457),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9062),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9316),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8934),
    [sym__unary_right_fold] = STATE(8939),
    [sym__binary_fold] = STATE(8943),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9055),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [256] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9648),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9061),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9059),
    [sym__unary_right_fold] = STATE(9058),
    [sym__binary_fold] = STATE(9057),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9641),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [257] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9394),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [258] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9435),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [259] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9359),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [260] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9619),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [261] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9282),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [262] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3434),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9535),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [263] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3457),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9062),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9259),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(8934),
    [sym__unary_right_fold] = STATE(8939),
    [sym__binary_fold] = STATE(8943),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9055),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [264] = {
    [sym_type_qualifier] = STATE(4700),
    [sym__type_specifier] = STATE(5651),
    [sym_sized_type_specifier] = STATE(2330),
    [sym_enum_specifier] = STATE(2330),
    [sym_struct_specifier] = STATE(2330),
    [sym_union_specifier] = STATE(2330),
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_comma_expression] = STATE(9674),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_type_descriptor] = STATE(9557),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_placeholder_type_specifier] = STATE(2330),
    [sym_decltype_auto] = STATE(2334),
    [sym_decltype] = STATE(2232),
    [sym_class_specifier] = STATE(2330),
    [sym__class_name] = STATE(8489),
    [sym_dependent_type] = STATE(2330),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym__unary_left_fold] = STATE(9711),
    [sym__unary_right_fold] = STATE(9734),
    [sym__binary_fold] = STATE(9736),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6428),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym__assignment_expression_lhs] = STATE(9748),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4700),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2324),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2082),
    [anon_sym_unsigned] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2094),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2118),
    [anon_sym_decltype] = ACTIONS(2120),
    [anon_sym_typename] = ACTIONS(2122),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [265] = {
    [sym_catch_clause] = STATE(266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [266] = {
    [sym_catch_clause] = STATE(266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(2852),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [267] = {
    [sym_else_clause] = STATE(342),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_include_token1] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token2] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2855),
    [aux_sym_preproc_else_token1] = ACTIONS(2855),
    [aux_sym_preproc_elif_token1] = ACTIONS(2855),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2855),
    [sym_preproc_directive] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym___based] = ACTIONS(2855),
    [anon_sym___cdecl] = ACTIONS(2855),
    [anon_sym___clrcall] = ACTIONS(2855),
    [anon_sym___stdcall] = ACTIONS(2855),
    [anon_sym___fastcall] = ACTIONS(2855),
    [anon_sym___thiscall] = ACTIONS(2855),
    [anon_sym___vectorcall] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(2859),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_case] = ACTIONS(2855),
    [anon_sym_default] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_explicit] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_operator] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_using] = ACTIONS(2855),
    [anon_sym_static_assert] = ACTIONS(2855),
    [anon_sym_concept] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [269] = {
    [sym_else_clause] = STATE(293),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(2859),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [320] = {
    [sym_catch_clause] = STATE(266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2971),
    [aux_sym_preproc_include_token1] = ACTIONS(2971),
    [aux_sym_preproc_def_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token2] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [aux_sym_preproc_else_token1] = ACTIONS(2971),
    [aux_sym_preproc_elif_token1] = ACTIONS(2971),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym___based] = ACTIONS(2971),
    [anon_sym___cdecl] = ACTIONS(2971),
    [anon_sym___clrcall] = ACTIONS(2971),
    [anon_sym___stdcall] = ACTIONS(2971),
    [anon_sym___fastcall] = ACTIONS(2971),
    [anon_sym___thiscall] = ACTIONS(2971),
    [anon_sym___vectorcall] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_default] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_explicit] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_operator] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_namespace] = ACTIONS(2971),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2971),
    [anon_sym_concept] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [337] = {
    [sym_catch_clause] = STATE(266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [aux_sym_preproc_else_token1] = ACTIONS(2975),
    [aux_sym_preproc_elif_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2979),
    [aux_sym_preproc_include_token1] = ACTIONS(2979),
    [aux_sym_preproc_def_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token2] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [aux_sym_preproc_else_token1] = ACTIONS(2979),
    [aux_sym_preproc_elif_token1] = ACTIONS(2979),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym___based] = ACTIONS(2979),
    [anon_sym___cdecl] = ACTIONS(2979),
    [anon_sym___clrcall] = ACTIONS(2979),
    [anon_sym___stdcall] = ACTIONS(2979),
    [anon_sym___fastcall] = ACTIONS(2979),
    [anon_sym___thiscall] = ACTIONS(2979),
    [anon_sym___vectorcall] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_default] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_explicit] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_operator] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_namespace] = ACTIONS(2979),
    [anon_sym_using] = ACTIONS(2979),
    [anon_sym_static_assert] = ACTIONS(2979),
    [anon_sym_concept] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token2] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [aux_sym_preproc_else_token1] = ACTIONS(2983),
    [aux_sym_preproc_elif_token1] = ACTIONS(2983),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [346] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [351] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [352] = {
    [sym_catch_clause] = STATE(379),
    [aux_sym_constructor_try_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [353] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [354] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_preproc_else_in_field_declaration_list] = STATE(8963),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8963),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8963),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3023),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [355] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [357] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(3081),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [358] = {
    [sym_else_clause] = STATE(479),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [aux_sym_preproc_else_token1] = ACTIONS(2865),
    [aux_sym_preproc_elif_token1] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [359] = {
    [sym_catch_clause] = STATE(425),
    [aux_sym_constructor_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3086),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [360] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [362] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [363] = {
    [sym__expression] = STATE(5314),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9715),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3099),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3111),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3114),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [364] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [365] = {
    [sym__expression] = STATE(5312),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9673),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3121),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(3129),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(3135),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [366] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [367] = {
    [sym_else_clause] = STATE(504),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_include_token1] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token2] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2855),
    [aux_sym_preproc_else_token1] = ACTIONS(2855),
    [aux_sym_preproc_elif_token1] = ACTIONS(2855),
    [sym_preproc_directive] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym___based] = ACTIONS(2855),
    [anon_sym___cdecl] = ACTIONS(2855),
    [anon_sym___clrcall] = ACTIONS(2855),
    [anon_sym___stdcall] = ACTIONS(2855),
    [anon_sym___fastcall] = ACTIONS(2855),
    [anon_sym___thiscall] = ACTIONS(2855),
    [anon_sym___vectorcall] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_case] = ACTIONS(2855),
    [anon_sym_default] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_explicit] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_operator] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_using] = ACTIONS(2855),
    [anon_sym_static_assert] = ACTIONS(2855),
    [anon_sym_concept] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [368] = {
    [sym_preproc_def] = STATE(370),
    [sym_preproc_function_def] = STATE(370),
    [sym_preproc_call] = STATE(370),
    [sym_preproc_if_in_field_declaration_list] = STATE(370),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(370),
    [sym_preproc_else_in_field_declaration_list] = STATE(9268),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9268),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9268),
    [sym_type_definition] = STATE(370),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(370),
    [sym_field_declaration] = STATE(370),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(370),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(370),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(370),
    [sym_operator_cast_declaration] = STATE(370),
    [sym_constructor_or_destructor_definition] = STATE(370),
    [sym_constructor_or_destructor_declaration] = STATE(370),
    [sym_friend_declaration] = STATE(370),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(370),
    [sym_alias_declaration] = STATE(370),
    [sym_static_assert_declaration] = STATE(370),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(370),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [aux_sym_preproc_else_token1] = ACTIONS(3140),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [370] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_preproc_else_in_field_declaration_list] = STATE(9201),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9201),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9201),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [aux_sym_preproc_else_token1] = ACTIONS(3174),
    [aux_sym_preproc_elif_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [379] = {
    [sym_catch_clause] = STATE(379),
    [aux_sym_constructor_try_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(3178),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token2] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [aux_sym_preproc_else_token1] = ACTIONS(3181),
    [aux_sym_preproc_elif_token1] = ACTIONS(3181),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [sym_primitive_type] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [sym_number_literal] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [aux_sym_preproc_else_token1] = ACTIONS(3185),
    [aux_sym_preproc_elif_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [382] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_preproc_else_in_field_declaration_list] = STATE(9639),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9639),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(9639),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [383] = {
    [sym_preproc_def] = STATE(418),
    [sym_preproc_function_def] = STATE(418),
    [sym_preproc_call] = STATE(418),
    [sym_preproc_if_in_field_declaration_list] = STATE(418),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(418),
    [sym_preproc_else_in_field_declaration_list] = STATE(8957),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8957),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8957),
    [sym_type_definition] = STATE(418),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(418),
    [sym_field_declaration] = STATE(418),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(418),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(418),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(418),
    [sym_operator_cast_declaration] = STATE(418),
    [sym_constructor_or_destructor_definition] = STATE(418),
    [sym_constructor_or_destructor_declaration] = STATE(418),
    [sym_friend_declaration] = STATE(418),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(418),
    [sym_alias_declaration] = STATE(418),
    [sym_static_assert_declaration] = STATE(418),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(418),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [385] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [386] = {
    [sym_preproc_def] = STATE(354),
    [sym_preproc_function_def] = STATE(354),
    [sym_preproc_call] = STATE(354),
    [sym_preproc_if_in_field_declaration_list] = STATE(354),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(354),
    [sym_preproc_else_in_field_declaration_list] = STATE(8885),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8885),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8885),
    [sym_type_definition] = STATE(354),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(354),
    [sym_field_declaration] = STATE(354),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(354),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(354),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(354),
    [sym_operator_cast_declaration] = STATE(354),
    [sym_constructor_or_destructor_definition] = STATE(354),
    [sym_constructor_or_destructor_declaration] = STATE(354),
    [sym_friend_declaration] = STATE(354),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(354),
    [sym_alias_declaration] = STATE(354),
    [sym_static_assert_declaration] = STATE(354),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(354),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [sym_number_literal] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [sym_number_literal] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [389] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [sym_number_literal] = ACTIONS(3209),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [390] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [391] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_include_token1] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym___cdecl] = ACTIONS(2817),
    [anon_sym___clrcall] = ACTIONS(2817),
    [anon_sym___stdcall] = ACTIONS(2817),
    [anon_sym___fastcall] = ACTIONS(2817),
    [anon_sym___thiscall] = ACTIONS(2817),
    [anon_sym___vectorcall] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_concept] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [392] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [393] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [394] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [395] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [396] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [397] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_include_token1] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token2] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [aux_sym_preproc_else_token1] = ACTIONS(3225),
    [aux_sym_preproc_elif_token1] = ACTIONS(3225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym___cdecl] = ACTIONS(3225),
    [anon_sym___clrcall] = ACTIONS(3225),
    [anon_sym___stdcall] = ACTIONS(3225),
    [anon_sym___fastcall] = ACTIONS(3225),
    [anon_sym___thiscall] = ACTIONS(3225),
    [anon_sym___vectorcall] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym___try] = ACTIONS(3225),
    [anon_sym___leave] = ACTIONS(3225),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_compl] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym___alignof__] = ACTIONS(3225),
    [anon_sym___alignof] = ACTIONS(3225),
    [anon_sym__alignof] = ACTIONS(3225),
    [anon_sym_alignof] = ACTIONS(3225),
    [anon_sym__Alignof] = ACTIONS(3225),
    [anon_sym_offsetof] = ACTIONS(3225),
    [anon_sym__Generic] = ACTIONS(3225),
    [anon_sym_asm] = ACTIONS(3225),
    [anon_sym___asm__] = ACTIONS(3225),
    [sym_number_literal] = ACTIONS(3227),
    [anon_sym_L_SQUOTE] = ACTIONS(3227),
    [anon_sym_u_SQUOTE] = ACTIONS(3227),
    [anon_sym_U_SQUOTE] = ACTIONS(3227),
    [anon_sym_u8_SQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_L_DQUOTE] = ACTIONS(3227),
    [anon_sym_u_DQUOTE] = ACTIONS(3227),
    [anon_sym_U_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8_DQUOTE] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [anon_sym_NULL] = ACTIONS(3225),
    [anon_sym_nullptr] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
    [anon_sym_concept] = ACTIONS(3225),
    [anon_sym_co_return] = ACTIONS(3225),
    [anon_sym_co_yield] = ACTIONS(3225),
    [anon_sym_R_DQUOTE] = ACTIONS(3227),
    [anon_sym_LR_DQUOTE] = ACTIONS(3227),
    [anon_sym_uR_DQUOTE] = ACTIONS(3227),
    [anon_sym_UR_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3227),
    [anon_sym_co_await] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_requires] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
  },
  [398] = {
    [sym_identifier] = ACTIONS(3229),
    [aux_sym_preproc_include_token1] = ACTIONS(3229),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token2] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3229),
    [aux_sym_preproc_else_token1] = ACTIONS(3229),
    [aux_sym_preproc_elif_token1] = ACTIONS(3229),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3229),
    [sym_preproc_directive] = ACTIONS(3229),
    [anon_sym_LPAREN2] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3229),
    [anon_sym_typedef] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym___attribute__] = ACTIONS(3229),
    [anon_sym_COLON_COLON] = ACTIONS(3231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3229),
    [anon_sym___based] = ACTIONS(3229),
    [anon_sym___cdecl] = ACTIONS(3229),
    [anon_sym___clrcall] = ACTIONS(3229),
    [anon_sym___stdcall] = ACTIONS(3229),
    [anon_sym___fastcall] = ACTIONS(3229),
    [anon_sym___thiscall] = ACTIONS(3229),
    [anon_sym___vectorcall] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3229),
    [anon_sym_unsigned] = ACTIONS(3229),
    [anon_sym_long] = ACTIONS(3229),
    [anon_sym_short] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_register] = ACTIONS(3229),
    [anon_sym_inline] = ACTIONS(3229),
    [anon_sym___inline] = ACTIONS(3229),
    [anon_sym___inline__] = ACTIONS(3229),
    [anon_sym___forceinline] = ACTIONS(3229),
    [anon_sym_thread_local] = ACTIONS(3229),
    [anon_sym___thread] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_constexpr] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_restrict] = ACTIONS(3229),
    [anon_sym___restrict__] = ACTIONS(3229),
    [anon_sym__Atomic] = ACTIONS(3229),
    [anon_sym__Noreturn] = ACTIONS(3229),
    [anon_sym_noreturn] = ACTIONS(3229),
    [anon_sym_mutable] = ACTIONS(3229),
    [anon_sym_constinit] = ACTIONS(3229),
    [anon_sym_consteval] = ACTIONS(3229),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_union] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym___try] = ACTIONS(3229),
    [anon_sym___leave] = ACTIONS(3229),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_compl] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym___alignof__] = ACTIONS(3229),
    [anon_sym___alignof] = ACTIONS(3229),
    [anon_sym__alignof] = ACTIONS(3229),
    [anon_sym_alignof] = ACTIONS(3229),
    [anon_sym__Alignof] = ACTIONS(3229),
    [anon_sym_offsetof] = ACTIONS(3229),
    [anon_sym__Generic] = ACTIONS(3229),
    [anon_sym_asm] = ACTIONS(3229),
    [anon_sym___asm__] = ACTIONS(3229),
    [sym_number_literal] = ACTIONS(3231),
    [anon_sym_L_SQUOTE] = ACTIONS(3231),
    [anon_sym_u_SQUOTE] = ACTIONS(3231),
    [anon_sym_U_SQUOTE] = ACTIONS(3231),
    [anon_sym_u8_SQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_L_DQUOTE] = ACTIONS(3231),
    [anon_sym_u_DQUOTE] = ACTIONS(3231),
    [anon_sym_U_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8_DQUOTE] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [anon_sym_NULL] = ACTIONS(3229),
    [anon_sym_nullptr] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3229),
    [anon_sym_decltype] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_alignas] = ACTIONS(3229),
    [anon_sym_explicit] = ACTIONS(3229),
    [anon_sym_typename] = ACTIONS(3229),
    [anon_sym_template] = ACTIONS(3229),
    [anon_sym_operator] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_static_assert] = ACTIONS(3229),
    [anon_sym_concept] = ACTIONS(3229),
    [anon_sym_co_return] = ACTIONS(3229),
    [anon_sym_co_yield] = ACTIONS(3229),
    [anon_sym_R_DQUOTE] = ACTIONS(3231),
    [anon_sym_LR_DQUOTE] = ACTIONS(3231),
    [anon_sym_uR_DQUOTE] = ACTIONS(3231),
    [anon_sym_UR_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3231),
    [anon_sym_co_await] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_requires] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
  },
  [399] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_include_token1] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [aux_sym_preproc_else_token1] = ACTIONS(3233),
    [aux_sym_preproc_elif_token1] = ACTIONS(3233),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym___cdecl] = ACTIONS(3233),
    [anon_sym___clrcall] = ACTIONS(3233),
    [anon_sym___stdcall] = ACTIONS(3233),
    [anon_sym___fastcall] = ACTIONS(3233),
    [anon_sym___thiscall] = ACTIONS(3233),
    [anon_sym___vectorcall] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym___try] = ACTIONS(3233),
    [anon_sym___leave] = ACTIONS(3233),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym___alignof__] = ACTIONS(3233),
    [anon_sym___alignof] = ACTIONS(3233),
    [anon_sym__alignof] = ACTIONS(3233),
    [anon_sym_alignof] = ACTIONS(3233),
    [anon_sym__Alignof] = ACTIONS(3233),
    [anon_sym_offsetof] = ACTIONS(3233),
    [anon_sym__Generic] = ACTIONS(3233),
    [anon_sym_asm] = ACTIONS(3233),
    [anon_sym___asm__] = ACTIONS(3233),
    [sym_number_literal] = ACTIONS(3235),
    [anon_sym_L_SQUOTE] = ACTIONS(3235),
    [anon_sym_u_SQUOTE] = ACTIONS(3235),
    [anon_sym_U_SQUOTE] = ACTIONS(3235),
    [anon_sym_u8_SQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_L_DQUOTE] = ACTIONS(3235),
    [anon_sym_u_DQUOTE] = ACTIONS(3235),
    [anon_sym_U_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8_DQUOTE] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [anon_sym_NULL] = ACTIONS(3233),
    [anon_sym_nullptr] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
    [anon_sym_concept] = ACTIONS(3233),
    [anon_sym_co_return] = ACTIONS(3233),
    [anon_sym_co_yield] = ACTIONS(3233),
    [anon_sym_R_DQUOTE] = ACTIONS(3235),
    [anon_sym_LR_DQUOTE] = ACTIONS(3235),
    [anon_sym_uR_DQUOTE] = ACTIONS(3235),
    [anon_sym_UR_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3235),
    [anon_sym_co_await] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_requires] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
  },
  [400] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [401] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [402] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [aux_sym_preproc_else_token1] = ACTIONS(3245),
    [aux_sym_preproc_elif_token1] = ACTIONS(3245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [403] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [aux_sym_preproc_else_token1] = ACTIONS(3249),
    [aux_sym_preproc_elif_token1] = ACTIONS(3249),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [404] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [405] = {
    [sym_preproc_def] = STATE(382),
    [sym_preproc_function_def] = STATE(382),
    [sym_preproc_call] = STATE(382),
    [sym_preproc_if_in_field_declaration_list] = STATE(382),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(382),
    [sym_preproc_else_in_field_declaration_list] = STATE(8938),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8938),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8938),
    [sym_type_definition] = STATE(382),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(382),
    [sym_field_declaration] = STATE(382),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(382),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(382),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(382),
    [sym_operator_cast_declaration] = STATE(382),
    [sym_constructor_or_destructor_definition] = STATE(382),
    [sym_constructor_or_destructor_declaration] = STATE(382),
    [sym_friend_declaration] = STATE(382),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(382),
    [sym_alias_declaration] = STATE(382),
    [sym_static_assert_declaration] = STATE(382),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(382),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [406] = {
    [sym_identifier] = ACTIONS(3259),
    [aux_sym_preproc_include_token1] = ACTIONS(3259),
    [aux_sym_preproc_def_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token2] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3259),
    [aux_sym_preproc_else_token1] = ACTIONS(3259),
    [aux_sym_preproc_elif_token1] = ACTIONS(3259),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3259),
    [sym_preproc_directive] = ACTIONS(3259),
    [anon_sym_LPAREN2] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3261),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3259),
    [anon_sym_typedef] = ACTIONS(3259),
    [anon_sym_extern] = ACTIONS(3259),
    [anon_sym___attribute__] = ACTIONS(3259),
    [anon_sym_COLON_COLON] = ACTIONS(3261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3261),
    [anon_sym___declspec] = ACTIONS(3259),
    [anon_sym___based] = ACTIONS(3259),
    [anon_sym___cdecl] = ACTIONS(3259),
    [anon_sym___clrcall] = ACTIONS(3259),
    [anon_sym___stdcall] = ACTIONS(3259),
    [anon_sym___fastcall] = ACTIONS(3259),
    [anon_sym___thiscall] = ACTIONS(3259),
    [anon_sym___vectorcall] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3259),
    [anon_sym_unsigned] = ACTIONS(3259),
    [anon_sym_long] = ACTIONS(3259),
    [anon_sym_short] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_register] = ACTIONS(3259),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym___inline] = ACTIONS(3259),
    [anon_sym___inline__] = ACTIONS(3259),
    [anon_sym___forceinline] = ACTIONS(3259),
    [anon_sym_thread_local] = ACTIONS(3259),
    [anon_sym___thread] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_constexpr] = ACTIONS(3259),
    [anon_sym_volatile] = ACTIONS(3259),
    [anon_sym_restrict] = ACTIONS(3259),
    [anon_sym___restrict__] = ACTIONS(3259),
    [anon_sym__Atomic] = ACTIONS(3259),
    [anon_sym__Noreturn] = ACTIONS(3259),
    [anon_sym_noreturn] = ACTIONS(3259),
    [anon_sym_mutable] = ACTIONS(3259),
    [anon_sym_constinit] = ACTIONS(3259),
    [anon_sym_consteval] = ACTIONS(3259),
    [sym_primitive_type] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_struct] = ACTIONS(3259),
    [anon_sym_union] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_goto] = ACTIONS(3259),
    [anon_sym___try] = ACTIONS(3259),
    [anon_sym___leave] = ACTIONS(3259),
    [anon_sym_not] = ACTIONS(3259),
    [anon_sym_compl] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3259),
    [anon_sym___alignof__] = ACTIONS(3259),
    [anon_sym___alignof] = ACTIONS(3259),
    [anon_sym__alignof] = ACTIONS(3259),
    [anon_sym_alignof] = ACTIONS(3259),
    [anon_sym__Alignof] = ACTIONS(3259),
    [anon_sym_offsetof] = ACTIONS(3259),
    [anon_sym__Generic] = ACTIONS(3259),
    [anon_sym_asm] = ACTIONS(3259),
    [anon_sym___asm__] = ACTIONS(3259),
    [sym_number_literal] = ACTIONS(3261),
    [anon_sym_L_SQUOTE] = ACTIONS(3261),
    [anon_sym_u_SQUOTE] = ACTIONS(3261),
    [anon_sym_U_SQUOTE] = ACTIONS(3261),
    [anon_sym_u8_SQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_L_DQUOTE] = ACTIONS(3261),
    [anon_sym_u_DQUOTE] = ACTIONS(3261),
    [anon_sym_U_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8_DQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [anon_sym_NULL] = ACTIONS(3259),
    [anon_sym_nullptr] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3259),
    [anon_sym_decltype] = ACTIONS(3259),
    [anon_sym_virtual] = ACTIONS(3259),
    [anon_sym_alignas] = ACTIONS(3259),
    [anon_sym_explicit] = ACTIONS(3259),
    [anon_sym_typename] = ACTIONS(3259),
    [anon_sym_template] = ACTIONS(3259),
    [anon_sym_operator] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_static_assert] = ACTIONS(3259),
    [anon_sym_concept] = ACTIONS(3259),
    [anon_sym_co_return] = ACTIONS(3259),
    [anon_sym_co_yield] = ACTIONS(3259),
    [anon_sym_R_DQUOTE] = ACTIONS(3261),
    [anon_sym_LR_DQUOTE] = ACTIONS(3261),
    [anon_sym_uR_DQUOTE] = ACTIONS(3261),
    [anon_sym_UR_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3261),
    [anon_sym_co_await] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_requires] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
  },
  [407] = {
    [sym_identifier] = ACTIONS(3263),
    [aux_sym_preproc_include_token1] = ACTIONS(3263),
    [aux_sym_preproc_def_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token2] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3263),
    [aux_sym_preproc_else_token1] = ACTIONS(3263),
    [aux_sym_preproc_elif_token1] = ACTIONS(3263),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3263),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3265),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3263),
    [anon_sym_typedef] = ACTIONS(3263),
    [anon_sym_extern] = ACTIONS(3263),
    [anon_sym___attribute__] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(3265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3265),
    [anon_sym___declspec] = ACTIONS(3263),
    [anon_sym___based] = ACTIONS(3263),
    [anon_sym___cdecl] = ACTIONS(3263),
    [anon_sym___clrcall] = ACTIONS(3263),
    [anon_sym___stdcall] = ACTIONS(3263),
    [anon_sym___fastcall] = ACTIONS(3263),
    [anon_sym___thiscall] = ACTIONS(3263),
    [anon_sym___vectorcall] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3263),
    [anon_sym_unsigned] = ACTIONS(3263),
    [anon_sym_long] = ACTIONS(3263),
    [anon_sym_short] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_register] = ACTIONS(3263),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym___inline] = ACTIONS(3263),
    [anon_sym___inline__] = ACTIONS(3263),
    [anon_sym___forceinline] = ACTIONS(3263),
    [anon_sym_thread_local] = ACTIONS(3263),
    [anon_sym___thread] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(3263),
    [anon_sym_restrict] = ACTIONS(3263),
    [anon_sym___restrict__] = ACTIONS(3263),
    [anon_sym__Atomic] = ACTIONS(3263),
    [anon_sym__Noreturn] = ACTIONS(3263),
    [anon_sym_noreturn] = ACTIONS(3263),
    [anon_sym_mutable] = ACTIONS(3263),
    [anon_sym_constinit] = ACTIONS(3263),
    [anon_sym_consteval] = ACTIONS(3263),
    [sym_primitive_type] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_struct] = ACTIONS(3263),
    [anon_sym_union] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_goto] = ACTIONS(3263),
    [anon_sym___try] = ACTIONS(3263),
    [anon_sym___leave] = ACTIONS(3263),
    [anon_sym_not] = ACTIONS(3263),
    [anon_sym_compl] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3263),
    [anon_sym___alignof__] = ACTIONS(3263),
    [anon_sym___alignof] = ACTIONS(3263),
    [anon_sym__alignof] = ACTIONS(3263),
    [anon_sym_alignof] = ACTIONS(3263),
    [anon_sym__Alignof] = ACTIONS(3263),
    [anon_sym_offsetof] = ACTIONS(3263),
    [anon_sym__Generic] = ACTIONS(3263),
    [anon_sym_asm] = ACTIONS(3263),
    [anon_sym___asm__] = ACTIONS(3263),
    [sym_number_literal] = ACTIONS(3265),
    [anon_sym_L_SQUOTE] = ACTIONS(3265),
    [anon_sym_u_SQUOTE] = ACTIONS(3265),
    [anon_sym_U_SQUOTE] = ACTIONS(3265),
    [anon_sym_u8_SQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_L_DQUOTE] = ACTIONS(3265),
    [anon_sym_u_DQUOTE] = ACTIONS(3265),
    [anon_sym_U_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8_DQUOTE] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [anon_sym_NULL] = ACTIONS(3263),
    [anon_sym_nullptr] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3263),
    [anon_sym_decltype] = ACTIONS(3263),
    [anon_sym_virtual] = ACTIONS(3263),
    [anon_sym_alignas] = ACTIONS(3263),
    [anon_sym_explicit] = ACTIONS(3263),
    [anon_sym_typename] = ACTIONS(3263),
    [anon_sym_template] = ACTIONS(3263),
    [anon_sym_operator] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_static_assert] = ACTIONS(3263),
    [anon_sym_concept] = ACTIONS(3263),
    [anon_sym_co_return] = ACTIONS(3263),
    [anon_sym_co_yield] = ACTIONS(3263),
    [anon_sym_R_DQUOTE] = ACTIONS(3265),
    [anon_sym_LR_DQUOTE] = ACTIONS(3265),
    [anon_sym_uR_DQUOTE] = ACTIONS(3265),
    [anon_sym_UR_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3265),
    [anon_sym_co_await] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_requires] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
  },
  [408] = {
    [sym_identifier] = ACTIONS(3267),
    [aux_sym_preproc_include_token1] = ACTIONS(3267),
    [aux_sym_preproc_def_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token2] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3267),
    [aux_sym_preproc_else_token1] = ACTIONS(3267),
    [aux_sym_preproc_elif_token1] = ACTIONS(3267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3267),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3267),
    [anon_sym_typedef] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym___attribute__] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3269),
    [anon_sym___declspec] = ACTIONS(3267),
    [anon_sym___based] = ACTIONS(3267),
    [anon_sym___cdecl] = ACTIONS(3267),
    [anon_sym___clrcall] = ACTIONS(3267),
    [anon_sym___stdcall] = ACTIONS(3267),
    [anon_sym___fastcall] = ACTIONS(3267),
    [anon_sym___thiscall] = ACTIONS(3267),
    [anon_sym___vectorcall] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3267),
    [anon_sym_unsigned] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_register] = ACTIONS(3267),
    [anon_sym_inline] = ACTIONS(3267),
    [anon_sym___inline] = ACTIONS(3267),
    [anon_sym___inline__] = ACTIONS(3267),
    [anon_sym___forceinline] = ACTIONS(3267),
    [anon_sym_thread_local] = ACTIONS(3267),
    [anon_sym___thread] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_constexpr] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_restrict] = ACTIONS(3267),
    [anon_sym___restrict__] = ACTIONS(3267),
    [anon_sym__Atomic] = ACTIONS(3267),
    [anon_sym__Noreturn] = ACTIONS(3267),
    [anon_sym_noreturn] = ACTIONS(3267),
    [anon_sym_mutable] = ACTIONS(3267),
    [anon_sym_constinit] = ACTIONS(3267),
    [anon_sym_consteval] = ACTIONS(3267),
    [sym_primitive_type] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_union] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_goto] = ACTIONS(3267),
    [anon_sym___try] = ACTIONS(3267),
    [anon_sym___leave] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3267),
    [anon_sym_compl] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3267),
    [anon_sym___alignof__] = ACTIONS(3267),
    [anon_sym___alignof] = ACTIONS(3267),
    [anon_sym__alignof] = ACTIONS(3267),
    [anon_sym_alignof] = ACTIONS(3267),
    [anon_sym__Alignof] = ACTIONS(3267),
    [anon_sym_offsetof] = ACTIONS(3267),
    [anon_sym__Generic] = ACTIONS(3267),
    [anon_sym_asm] = ACTIONS(3267),
    [anon_sym___asm__] = ACTIONS(3267),
    [sym_number_literal] = ACTIONS(3269),
    [anon_sym_L_SQUOTE] = ACTIONS(3269),
    [anon_sym_u_SQUOTE] = ACTIONS(3269),
    [anon_sym_U_SQUOTE] = ACTIONS(3269),
    [anon_sym_u8_SQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_L_DQUOTE] = ACTIONS(3269),
    [anon_sym_u_DQUOTE] = ACTIONS(3269),
    [anon_sym_U_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8_DQUOTE] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [anon_sym_NULL] = ACTIONS(3267),
    [anon_sym_nullptr] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3267),
    [anon_sym_decltype] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_typename] = ACTIONS(3267),
    [anon_sym_template] = ACTIONS(3267),
    [anon_sym_operator] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static_assert] = ACTIONS(3267),
    [anon_sym_concept] = ACTIONS(3267),
    [anon_sym_co_return] = ACTIONS(3267),
    [anon_sym_co_yield] = ACTIONS(3267),
    [anon_sym_R_DQUOTE] = ACTIONS(3269),
    [anon_sym_LR_DQUOTE] = ACTIONS(3269),
    [anon_sym_uR_DQUOTE] = ACTIONS(3269),
    [anon_sym_UR_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3269),
    [anon_sym_co_await] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_requires] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
  },
  [409] = {
    [sym_identifier] = ACTIONS(3271),
    [aux_sym_preproc_include_token1] = ACTIONS(3271),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token2] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3271),
    [aux_sym_preproc_else_token1] = ACTIONS(3271),
    [aux_sym_preproc_elif_token1] = ACTIONS(3271),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3271),
    [sym_preproc_directive] = ACTIONS(3271),
    [anon_sym_LPAREN2] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym___extension__] = ACTIONS(3271),
    [anon_sym_typedef] = ACTIONS(3271),
    [anon_sym_extern] = ACTIONS(3271),
    [anon_sym___attribute__] = ACTIONS(3271),
    [anon_sym_COLON_COLON] = ACTIONS(3273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3273),
    [anon_sym___declspec] = ACTIONS(3271),
    [anon_sym___based] = ACTIONS(3271),
    [anon_sym___cdecl] = ACTIONS(3271),
    [anon_sym___clrcall] = ACTIONS(3271),
    [anon_sym___stdcall] = ACTIONS(3271),
    [anon_sym___fastcall] = ACTIONS(3271),
    [anon_sym___thiscall] = ACTIONS(3271),
    [anon_sym___vectorcall] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_signed] = ACTIONS(3271),
    [anon_sym_unsigned] = ACTIONS(3271),
    [anon_sym_long] = ACTIONS(3271),
    [anon_sym_short] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_register] = ACTIONS(3271),
    [anon_sym_inline] = ACTIONS(3271),
    [anon_sym___inline] = ACTIONS(3271),
    [anon_sym___inline__] = ACTIONS(3271),
    [anon_sym___forceinline] = ACTIONS(3271),
    [anon_sym_thread_local] = ACTIONS(3271),
    [anon_sym___thread] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_constexpr] = ACTIONS(3271),
    [anon_sym_volatile] = ACTIONS(3271),
    [anon_sym_restrict] = ACTIONS(3271),
    [anon_sym___restrict__] = ACTIONS(3271),
    [anon_sym__Atomic] = ACTIONS(3271),
    [anon_sym__Noreturn] = ACTIONS(3271),
    [anon_sym_noreturn] = ACTIONS(3271),
    [anon_sym_mutable] = ACTIONS(3271),
    [anon_sym_constinit] = ACTIONS(3271),
    [anon_sym_consteval] = ACTIONS(3271),
    [sym_primitive_type] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_struct] = ACTIONS(3271),
    [anon_sym_union] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_goto] = ACTIONS(3271),
    [anon_sym___try] = ACTIONS(3271),
    [anon_sym___leave] = ACTIONS(3271),
    [anon_sym_not] = ACTIONS(3271),
    [anon_sym_compl] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3271),
    [anon_sym___alignof__] = ACTIONS(3271),
    [anon_sym___alignof] = ACTIONS(3271),
    [anon_sym__alignof] = ACTIONS(3271),
    [anon_sym_alignof] = ACTIONS(3271),
    [anon_sym__Alignof] = ACTIONS(3271),
    [anon_sym_offsetof] = ACTIONS(3271),
    [anon_sym__Generic] = ACTIONS(3271),
    [anon_sym_asm] = ACTIONS(3271),
    [anon_sym___asm__] = ACTIONS(3271),
    [sym_number_literal] = ACTIONS(3273),
    [anon_sym_L_SQUOTE] = ACTIONS(3273),
    [anon_sym_u_SQUOTE] = ACTIONS(3273),
    [anon_sym_U_SQUOTE] = ACTIONS(3273),
    [anon_sym_u8_SQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_L_DQUOTE] = ACTIONS(3273),
    [anon_sym_u_DQUOTE] = ACTIONS(3273),
    [anon_sym_U_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8_DQUOTE] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [anon_sym_NULL] = ACTIONS(3271),
    [anon_sym_nullptr] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3271),
    [anon_sym_decltype] = ACTIONS(3271),
    [anon_sym_virtual] = ACTIONS(3271),
    [anon_sym_alignas] = ACTIONS(3271),
    [anon_sym_explicit] = ACTIONS(3271),
    [anon_sym_typename] = ACTIONS(3271),
    [anon_sym_template] = ACTIONS(3271),
    [anon_sym_operator] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_static_assert] = ACTIONS(3271),
    [anon_sym_concept] = ACTIONS(3271),
    [anon_sym_co_return] = ACTIONS(3271),
    [anon_sym_co_yield] = ACTIONS(3271),
    [anon_sym_R_DQUOTE] = ACTIONS(3273),
    [anon_sym_LR_DQUOTE] = ACTIONS(3273),
    [anon_sym_uR_DQUOTE] = ACTIONS(3273),
    [anon_sym_UR_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3273),
    [anon_sym_co_await] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_requires] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
  },
  [410] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_include_token1] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [aux_sym_preproc_else_token1] = ACTIONS(3275),
    [aux_sym_preproc_elif_token1] = ACTIONS(3275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym___cdecl] = ACTIONS(3275),
    [anon_sym___clrcall] = ACTIONS(3275),
    [anon_sym___stdcall] = ACTIONS(3275),
    [anon_sym___fastcall] = ACTIONS(3275),
    [anon_sym___thiscall] = ACTIONS(3275),
    [anon_sym___vectorcall] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_goto] = ACTIONS(3275),
    [anon_sym___try] = ACTIONS(3275),
    [anon_sym___leave] = ACTIONS(3275),
    [anon_sym_not] = ACTIONS(3275),
    [anon_sym_compl] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3275),
    [anon_sym___alignof__] = ACTIONS(3275),
    [anon_sym___alignof] = ACTIONS(3275),
    [anon_sym__alignof] = ACTIONS(3275),
    [anon_sym_alignof] = ACTIONS(3275),
    [anon_sym__Alignof] = ACTIONS(3275),
    [anon_sym_offsetof] = ACTIONS(3275),
    [anon_sym__Generic] = ACTIONS(3275),
    [anon_sym_asm] = ACTIONS(3275),
    [anon_sym___asm__] = ACTIONS(3275),
    [sym_number_literal] = ACTIONS(3277),
    [anon_sym_L_SQUOTE] = ACTIONS(3277),
    [anon_sym_u_SQUOTE] = ACTIONS(3277),
    [anon_sym_U_SQUOTE] = ACTIONS(3277),
    [anon_sym_u8_SQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_L_DQUOTE] = ACTIONS(3277),
    [anon_sym_u_DQUOTE] = ACTIONS(3277),
    [anon_sym_U_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8_DQUOTE] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [anon_sym_NULL] = ACTIONS(3275),
    [anon_sym_nullptr] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
    [anon_sym_concept] = ACTIONS(3275),
    [anon_sym_co_return] = ACTIONS(3275),
    [anon_sym_co_yield] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(3277),
    [anon_sym_LR_DQUOTE] = ACTIONS(3277),
    [anon_sym_uR_DQUOTE] = ACTIONS(3277),
    [anon_sym_UR_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3277),
    [anon_sym_co_await] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_requires] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
  },
  [411] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_include_token1] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(3279),
    [aux_sym_preproc_elif_token1] = ACTIONS(3279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym___cdecl] = ACTIONS(3279),
    [anon_sym___clrcall] = ACTIONS(3279),
    [anon_sym___stdcall] = ACTIONS(3279),
    [anon_sym___fastcall] = ACTIONS(3279),
    [anon_sym___thiscall] = ACTIONS(3279),
    [anon_sym___vectorcall] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_goto] = ACTIONS(3279),
    [anon_sym___try] = ACTIONS(3279),
    [anon_sym___leave] = ACTIONS(3279),
    [anon_sym_not] = ACTIONS(3279),
    [anon_sym_compl] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3279),
    [anon_sym___alignof__] = ACTIONS(3279),
    [anon_sym___alignof] = ACTIONS(3279),
    [anon_sym__alignof] = ACTIONS(3279),
    [anon_sym_alignof] = ACTIONS(3279),
    [anon_sym__Alignof] = ACTIONS(3279),
    [anon_sym_offsetof] = ACTIONS(3279),
    [anon_sym__Generic] = ACTIONS(3279),
    [anon_sym_asm] = ACTIONS(3279),
    [anon_sym___asm__] = ACTIONS(3279),
    [sym_number_literal] = ACTIONS(3281),
    [anon_sym_L_SQUOTE] = ACTIONS(3281),
    [anon_sym_u_SQUOTE] = ACTIONS(3281),
    [anon_sym_U_SQUOTE] = ACTIONS(3281),
    [anon_sym_u8_SQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_L_DQUOTE] = ACTIONS(3281),
    [anon_sym_u_DQUOTE] = ACTIONS(3281),
    [anon_sym_U_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8_DQUOTE] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [anon_sym_NULL] = ACTIONS(3279),
    [anon_sym_nullptr] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
    [anon_sym_concept] = ACTIONS(3279),
    [anon_sym_co_return] = ACTIONS(3279),
    [anon_sym_co_yield] = ACTIONS(3279),
    [anon_sym_R_DQUOTE] = ACTIONS(3281),
    [anon_sym_LR_DQUOTE] = ACTIONS(3281),
    [anon_sym_uR_DQUOTE] = ACTIONS(3281),
    [anon_sym_UR_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3281),
    [anon_sym_co_await] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_requires] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
  },
  [412] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_include_token1] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [aux_sym_preproc_else_token1] = ACTIONS(3283),
    [aux_sym_preproc_elif_token1] = ACTIONS(3283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym___cdecl] = ACTIONS(3283),
    [anon_sym___clrcall] = ACTIONS(3283),
    [anon_sym___stdcall] = ACTIONS(3283),
    [anon_sym___fastcall] = ACTIONS(3283),
    [anon_sym___thiscall] = ACTIONS(3283),
    [anon_sym___vectorcall] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_goto] = ACTIONS(3283),
    [anon_sym___try] = ACTIONS(3283),
    [anon_sym___leave] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(3283),
    [anon_sym_compl] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3283),
    [anon_sym___alignof__] = ACTIONS(3283),
    [anon_sym___alignof] = ACTIONS(3283),
    [anon_sym__alignof] = ACTIONS(3283),
    [anon_sym_alignof] = ACTIONS(3283),
    [anon_sym__Alignof] = ACTIONS(3283),
    [anon_sym_offsetof] = ACTIONS(3283),
    [anon_sym__Generic] = ACTIONS(3283),
    [anon_sym_asm] = ACTIONS(3283),
    [anon_sym___asm__] = ACTIONS(3283),
    [sym_number_literal] = ACTIONS(3285),
    [anon_sym_L_SQUOTE] = ACTIONS(3285),
    [anon_sym_u_SQUOTE] = ACTIONS(3285),
    [anon_sym_U_SQUOTE] = ACTIONS(3285),
    [anon_sym_u8_SQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_L_DQUOTE] = ACTIONS(3285),
    [anon_sym_u_DQUOTE] = ACTIONS(3285),
    [anon_sym_U_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8_DQUOTE] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [anon_sym_NULL] = ACTIONS(3283),
    [anon_sym_nullptr] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
    [anon_sym_concept] = ACTIONS(3283),
    [anon_sym_co_return] = ACTIONS(3283),
    [anon_sym_co_yield] = ACTIONS(3283),
    [anon_sym_R_DQUOTE] = ACTIONS(3285),
    [anon_sym_LR_DQUOTE] = ACTIONS(3285),
    [anon_sym_uR_DQUOTE] = ACTIONS(3285),
    [anon_sym_UR_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3285),
    [anon_sym_co_await] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_requires] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
  },
  [413] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_include_token1] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym___cdecl] = ACTIONS(3287),
    [anon_sym___clrcall] = ACTIONS(3287),
    [anon_sym___stdcall] = ACTIONS(3287),
    [anon_sym___fastcall] = ACTIONS(3287),
    [anon_sym___thiscall] = ACTIONS(3287),
    [anon_sym___vectorcall] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3287),
    [anon_sym___leave] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3287),
    [anon_sym_compl] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3287),
    [anon_sym___alignof__] = ACTIONS(3287),
    [anon_sym___alignof] = ACTIONS(3287),
    [anon_sym__alignof] = ACTIONS(3287),
    [anon_sym_alignof] = ACTIONS(3287),
    [anon_sym__Alignof] = ACTIONS(3287),
    [anon_sym_offsetof] = ACTIONS(3287),
    [anon_sym__Generic] = ACTIONS(3287),
    [anon_sym_asm] = ACTIONS(3287),
    [anon_sym___asm__] = ACTIONS(3287),
    [sym_number_literal] = ACTIONS(3289),
    [anon_sym_L_SQUOTE] = ACTIONS(3289),
    [anon_sym_u_SQUOTE] = ACTIONS(3289),
    [anon_sym_U_SQUOTE] = ACTIONS(3289),
    [anon_sym_u8_SQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_L_DQUOTE] = ACTIONS(3289),
    [anon_sym_u_DQUOTE] = ACTIONS(3289),
    [anon_sym_U_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8_DQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [anon_sym_NULL] = ACTIONS(3287),
    [anon_sym_nullptr] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
    [anon_sym_concept] = ACTIONS(3287),
    [anon_sym_co_return] = ACTIONS(3287),
    [anon_sym_co_yield] = ACTIONS(3287),
    [anon_sym_R_DQUOTE] = ACTIONS(3289),
    [anon_sym_LR_DQUOTE] = ACTIONS(3289),
    [anon_sym_uR_DQUOTE] = ACTIONS(3289),
    [anon_sym_UR_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3289),
    [anon_sym_co_await] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_requires] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
  },
  [414] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [aux_sym_preproc_else_token1] = ACTIONS(3291),
    [aux_sym_preproc_elif_token1] = ACTIONS(3291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym___cdecl] = ACTIONS(3291),
    [anon_sym___clrcall] = ACTIONS(3291),
    [anon_sym___stdcall] = ACTIONS(3291),
    [anon_sym___fastcall] = ACTIONS(3291),
    [anon_sym___thiscall] = ACTIONS(3291),
    [anon_sym___vectorcall] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_goto] = ACTIONS(3291),
    [anon_sym___try] = ACTIONS(3291),
    [anon_sym___leave] = ACTIONS(3291),
    [anon_sym_not] = ACTIONS(3291),
    [anon_sym_compl] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3291),
    [anon_sym___alignof__] = ACTIONS(3291),
    [anon_sym___alignof] = ACTIONS(3291),
    [anon_sym__alignof] = ACTIONS(3291),
    [anon_sym_alignof] = ACTIONS(3291),
    [anon_sym__Alignof] = ACTIONS(3291),
    [anon_sym_offsetof] = ACTIONS(3291),
    [anon_sym__Generic] = ACTIONS(3291),
    [anon_sym_asm] = ACTIONS(3291),
    [anon_sym___asm__] = ACTIONS(3291),
    [sym_number_literal] = ACTIONS(3293),
    [anon_sym_L_SQUOTE] = ACTIONS(3293),
    [anon_sym_u_SQUOTE] = ACTIONS(3293),
    [anon_sym_U_SQUOTE] = ACTIONS(3293),
    [anon_sym_u8_SQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_L_DQUOTE] = ACTIONS(3293),
    [anon_sym_u_DQUOTE] = ACTIONS(3293),
    [anon_sym_U_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8_DQUOTE] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [anon_sym_NULL] = ACTIONS(3291),
    [anon_sym_nullptr] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
    [anon_sym_concept] = ACTIONS(3291),
    [anon_sym_co_return] = ACTIONS(3291),
    [anon_sym_co_yield] = ACTIONS(3291),
    [anon_sym_R_DQUOTE] = ACTIONS(3293),
    [anon_sym_LR_DQUOTE] = ACTIONS(3293),
    [anon_sym_uR_DQUOTE] = ACTIONS(3293),
    [anon_sym_UR_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3293),
    [anon_sym_co_await] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_requires] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
  },
  [415] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_include_token1] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [aux_sym_preproc_else_token1] = ACTIONS(3295),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym___cdecl] = ACTIONS(3295),
    [anon_sym___clrcall] = ACTIONS(3295),
    [anon_sym___stdcall] = ACTIONS(3295),
    [anon_sym___fastcall] = ACTIONS(3295),
    [anon_sym___thiscall] = ACTIONS(3295),
    [anon_sym___vectorcall] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_goto] = ACTIONS(3295),
    [anon_sym___try] = ACTIONS(3295),
    [anon_sym___leave] = ACTIONS(3295),
    [anon_sym_not] = ACTIONS(3295),
    [anon_sym_compl] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3295),
    [anon_sym___alignof__] = ACTIONS(3295),
    [anon_sym___alignof] = ACTIONS(3295),
    [anon_sym__alignof] = ACTIONS(3295),
    [anon_sym_alignof] = ACTIONS(3295),
    [anon_sym__Alignof] = ACTIONS(3295),
    [anon_sym_offsetof] = ACTIONS(3295),
    [anon_sym__Generic] = ACTIONS(3295),
    [anon_sym_asm] = ACTIONS(3295),
    [anon_sym___asm__] = ACTIONS(3295),
    [sym_number_literal] = ACTIONS(3297),
    [anon_sym_L_SQUOTE] = ACTIONS(3297),
    [anon_sym_u_SQUOTE] = ACTIONS(3297),
    [anon_sym_U_SQUOTE] = ACTIONS(3297),
    [anon_sym_u8_SQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_L_DQUOTE] = ACTIONS(3297),
    [anon_sym_u_DQUOTE] = ACTIONS(3297),
    [anon_sym_U_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8_DQUOTE] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [anon_sym_NULL] = ACTIONS(3295),
    [anon_sym_nullptr] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
    [anon_sym_concept] = ACTIONS(3295),
    [anon_sym_co_return] = ACTIONS(3295),
    [anon_sym_co_yield] = ACTIONS(3295),
    [anon_sym_R_DQUOTE] = ACTIONS(3297),
    [anon_sym_LR_DQUOTE] = ACTIONS(3297),
    [anon_sym_uR_DQUOTE] = ACTIONS(3297),
    [anon_sym_UR_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3297),
    [anon_sym_co_await] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_requires] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
  },
  [416] = {
    [sym_identifier] = ACTIONS(3299),
    [aux_sym_preproc_include_token1] = ACTIONS(3299),
    [aux_sym_preproc_def_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3299),
    [aux_sym_preproc_else_token1] = ACTIONS(3299),
    [aux_sym_preproc_elif_token1] = ACTIONS(3299),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3299),
    [sym_preproc_directive] = ACTIONS(3299),
    [anon_sym_LPAREN2] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_STAR] = ACTIONS(3301),
    [anon_sym_AMP_AMP] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3299),
    [anon_sym_typedef] = ACTIONS(3299),
    [anon_sym_extern] = ACTIONS(3299),
    [anon_sym___attribute__] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3301),
    [anon_sym___declspec] = ACTIONS(3299),
    [anon_sym___based] = ACTIONS(3299),
    [anon_sym___cdecl] = ACTIONS(3299),
    [anon_sym___clrcall] = ACTIONS(3299),
    [anon_sym___stdcall] = ACTIONS(3299),
    [anon_sym___fastcall] = ACTIONS(3299),
    [anon_sym___thiscall] = ACTIONS(3299),
    [anon_sym___vectorcall] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_signed] = ACTIONS(3299),
    [anon_sym_unsigned] = ACTIONS(3299),
    [anon_sym_long] = ACTIONS(3299),
    [anon_sym_short] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_register] = ACTIONS(3299),
    [anon_sym_inline] = ACTIONS(3299),
    [anon_sym___inline] = ACTIONS(3299),
    [anon_sym___inline__] = ACTIONS(3299),
    [anon_sym___forceinline] = ACTIONS(3299),
    [anon_sym_thread_local] = ACTIONS(3299),
    [anon_sym___thread] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_constexpr] = ACTIONS(3299),
    [anon_sym_volatile] = ACTIONS(3299),
    [anon_sym_restrict] = ACTIONS(3299),
    [anon_sym___restrict__] = ACTIONS(3299),
    [anon_sym__Atomic] = ACTIONS(3299),
    [anon_sym__Noreturn] = ACTIONS(3299),
    [anon_sym_noreturn] = ACTIONS(3299),
    [anon_sym_mutable] = ACTIONS(3299),
    [anon_sym_constinit] = ACTIONS(3299),
    [anon_sym_consteval] = ACTIONS(3299),
    [sym_primitive_type] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_struct] = ACTIONS(3299),
    [anon_sym_union] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_goto] = ACTIONS(3299),
    [anon_sym___try] = ACTIONS(3299),
    [anon_sym___leave] = ACTIONS(3299),
    [anon_sym_not] = ACTIONS(3299),
    [anon_sym_compl] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3299),
    [anon_sym___alignof] = ACTIONS(3299),
    [anon_sym__alignof] = ACTIONS(3299),
    [anon_sym_alignof] = ACTIONS(3299),
    [anon_sym__Alignof] = ACTIONS(3299),
    [anon_sym_offsetof] = ACTIONS(3299),
    [anon_sym__Generic] = ACTIONS(3299),
    [anon_sym_asm] = ACTIONS(3299),
    [anon_sym___asm__] = ACTIONS(3299),
    [sym_number_literal] = ACTIONS(3301),
    [anon_sym_L_SQUOTE] = ACTIONS(3301),
    [anon_sym_u_SQUOTE] = ACTIONS(3301),
    [anon_sym_U_SQUOTE] = ACTIONS(3301),
    [anon_sym_u8_SQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_L_DQUOTE] = ACTIONS(3301),
    [anon_sym_u_DQUOTE] = ACTIONS(3301),
    [anon_sym_U_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8_DQUOTE] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [anon_sym_NULL] = ACTIONS(3299),
    [anon_sym_nullptr] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3299),
    [anon_sym_decltype] = ACTIONS(3299),
    [anon_sym_virtual] = ACTIONS(3299),
    [anon_sym_alignas] = ACTIONS(3299),
    [anon_sym_explicit] = ACTIONS(3299),
    [anon_sym_typename] = ACTIONS(3299),
    [anon_sym_template] = ACTIONS(3299),
    [anon_sym_operator] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_static_assert] = ACTIONS(3299),
    [anon_sym_concept] = ACTIONS(3299),
    [anon_sym_co_return] = ACTIONS(3299),
    [anon_sym_co_yield] = ACTIONS(3299),
    [anon_sym_R_DQUOTE] = ACTIONS(3301),
    [anon_sym_LR_DQUOTE] = ACTIONS(3301),
    [anon_sym_uR_DQUOTE] = ACTIONS(3301),
    [anon_sym_UR_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3301),
    [anon_sym_co_await] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_requires] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
  },
  [417] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_include_token1] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym___cdecl] = ACTIONS(3303),
    [anon_sym___clrcall] = ACTIONS(3303),
    [anon_sym___stdcall] = ACTIONS(3303),
    [anon_sym___fastcall] = ACTIONS(3303),
    [anon_sym___thiscall] = ACTIONS(3303),
    [anon_sym___vectorcall] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_goto] = ACTIONS(3303),
    [anon_sym___try] = ACTIONS(3303),
    [anon_sym___leave] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3303),
    [anon_sym_compl] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3303),
    [anon_sym___alignof__] = ACTIONS(3303),
    [anon_sym___alignof] = ACTIONS(3303),
    [anon_sym__alignof] = ACTIONS(3303),
    [anon_sym_alignof] = ACTIONS(3303),
    [anon_sym__Alignof] = ACTIONS(3303),
    [anon_sym_offsetof] = ACTIONS(3303),
    [anon_sym__Generic] = ACTIONS(3303),
    [anon_sym_asm] = ACTIONS(3303),
    [anon_sym___asm__] = ACTIONS(3303),
    [sym_number_literal] = ACTIONS(3305),
    [anon_sym_L_SQUOTE] = ACTIONS(3305),
    [anon_sym_u_SQUOTE] = ACTIONS(3305),
    [anon_sym_U_SQUOTE] = ACTIONS(3305),
    [anon_sym_u8_SQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_L_DQUOTE] = ACTIONS(3305),
    [anon_sym_u_DQUOTE] = ACTIONS(3305),
    [anon_sym_U_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8_DQUOTE] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_NULL] = ACTIONS(3303),
    [anon_sym_nullptr] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
    [anon_sym_concept] = ACTIONS(3303),
    [anon_sym_co_return] = ACTIONS(3303),
    [anon_sym_co_yield] = ACTIONS(3303),
    [anon_sym_R_DQUOTE] = ACTIONS(3305),
    [anon_sym_LR_DQUOTE] = ACTIONS(3305),
    [anon_sym_uR_DQUOTE] = ACTIONS(3305),
    [anon_sym_UR_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3305),
    [anon_sym_co_await] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_requires] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
  },
  [418] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_preproc_else_in_field_declaration_list] = STATE(8986),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8986),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(8986),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3019),
    [aux_sym_preproc_if_token1] = ACTIONS(3021),
    [aux_sym_preproc_if_token2] = ACTIONS(3307),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3025),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3031),
    [sym_preproc_directive] = ACTIONS(3033),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3043),
    [anon_sym_typedef] = ACTIONS(3045),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3069),
    [anon_sym_static_assert] = ACTIONS(3071),
  },
  [419] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [420] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [421] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [422] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [423] = {
    [sym_identifier] = ACTIONS(3321),
    [aux_sym_preproc_include_token1] = ACTIONS(3321),
    [aux_sym_preproc_def_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token2] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3321),
    [aux_sym_preproc_else_token1] = ACTIONS(3321),
    [aux_sym_preproc_elif_token1] = ACTIONS(3321),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3321),
    [sym_preproc_directive] = ACTIONS(3321),
    [anon_sym_LPAREN2] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3321),
    [anon_sym_typedef] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym___attribute__] = ACTIONS(3321),
    [anon_sym_COLON_COLON] = ACTIONS(3323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3323),
    [anon_sym___declspec] = ACTIONS(3321),
    [anon_sym___based] = ACTIONS(3321),
    [anon_sym___cdecl] = ACTIONS(3321),
    [anon_sym___clrcall] = ACTIONS(3321),
    [anon_sym___stdcall] = ACTIONS(3321),
    [anon_sym___fastcall] = ACTIONS(3321),
    [anon_sym___thiscall] = ACTIONS(3321),
    [anon_sym___vectorcall] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3321),
    [anon_sym_unsigned] = ACTIONS(3321),
    [anon_sym_long] = ACTIONS(3321),
    [anon_sym_short] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_register] = ACTIONS(3321),
    [anon_sym_inline] = ACTIONS(3321),
    [anon_sym___inline] = ACTIONS(3321),
    [anon_sym___inline__] = ACTIONS(3321),
    [anon_sym___forceinline] = ACTIONS(3321),
    [anon_sym_thread_local] = ACTIONS(3321),
    [anon_sym___thread] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_constexpr] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_restrict] = ACTIONS(3321),
    [anon_sym___restrict__] = ACTIONS(3321),
    [anon_sym__Atomic] = ACTIONS(3321),
    [anon_sym__Noreturn] = ACTIONS(3321),
    [anon_sym_noreturn] = ACTIONS(3321),
    [anon_sym_mutable] = ACTIONS(3321),
    [anon_sym_constinit] = ACTIONS(3321),
    [anon_sym_consteval] = ACTIONS(3321),
    [sym_primitive_type] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_union] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym___try] = ACTIONS(3321),
    [anon_sym___leave] = ACTIONS(3321),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_compl] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym___alignof__] = ACTIONS(3321),
    [anon_sym___alignof] = ACTIONS(3321),
    [anon_sym__alignof] = ACTIONS(3321),
    [anon_sym_alignof] = ACTIONS(3321),
    [anon_sym__Alignof] = ACTIONS(3321),
    [anon_sym_offsetof] = ACTIONS(3321),
    [anon_sym__Generic] = ACTIONS(3321),
    [anon_sym_asm] = ACTIONS(3321),
    [anon_sym___asm__] = ACTIONS(3321),
    [sym_number_literal] = ACTIONS(3323),
    [anon_sym_L_SQUOTE] = ACTIONS(3323),
    [anon_sym_u_SQUOTE] = ACTIONS(3323),
    [anon_sym_U_SQUOTE] = ACTIONS(3323),
    [anon_sym_u8_SQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [anon_sym_NULL] = ACTIONS(3321),
    [anon_sym_nullptr] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3321),
    [anon_sym_decltype] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_alignas] = ACTIONS(3321),
    [anon_sym_explicit] = ACTIONS(3321),
    [anon_sym_typename] = ACTIONS(3321),
    [anon_sym_template] = ACTIONS(3321),
    [anon_sym_operator] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_static_assert] = ACTIONS(3321),
    [anon_sym_concept] = ACTIONS(3321),
    [anon_sym_co_return] = ACTIONS(3321),
    [anon_sym_co_yield] = ACTIONS(3321),
    [anon_sym_R_DQUOTE] = ACTIONS(3323),
    [anon_sym_LR_DQUOTE] = ACTIONS(3323),
    [anon_sym_uR_DQUOTE] = ACTIONS(3323),
    [anon_sym_UR_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3323),
    [anon_sym_co_await] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_requires] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
  },
  [424] = {
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_include_token1] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token2] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3325),
    [aux_sym_preproc_else_token1] = ACTIONS(3325),
    [aux_sym_preproc_elif_token1] = ACTIONS(3325),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3325),
    [sym_preproc_directive] = ACTIONS(3325),
    [anon_sym_LPAREN2] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3325),
    [anon_sym_typedef] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym___attribute__] = ACTIONS(3325),
    [anon_sym_COLON_COLON] = ACTIONS(3327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3327),
    [anon_sym___declspec] = ACTIONS(3325),
    [anon_sym___based] = ACTIONS(3325),
    [anon_sym___cdecl] = ACTIONS(3325),
    [anon_sym___clrcall] = ACTIONS(3325),
    [anon_sym___stdcall] = ACTIONS(3325),
    [anon_sym___fastcall] = ACTIONS(3325),
    [anon_sym___thiscall] = ACTIONS(3325),
    [anon_sym___vectorcall] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3325),
    [anon_sym_unsigned] = ACTIONS(3325),
    [anon_sym_long] = ACTIONS(3325),
    [anon_sym_short] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_register] = ACTIONS(3325),
    [anon_sym_inline] = ACTIONS(3325),
    [anon_sym___inline] = ACTIONS(3325),
    [anon_sym___inline__] = ACTIONS(3325),
    [anon_sym___forceinline] = ACTIONS(3325),
    [anon_sym_thread_local] = ACTIONS(3325),
    [anon_sym___thread] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_constexpr] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_restrict] = ACTIONS(3325),
    [anon_sym___restrict__] = ACTIONS(3325),
    [anon_sym__Atomic] = ACTIONS(3325),
    [anon_sym__Noreturn] = ACTIONS(3325),
    [anon_sym_noreturn] = ACTIONS(3325),
    [anon_sym_mutable] = ACTIONS(3325),
    [anon_sym_constinit] = ACTIONS(3325),
    [anon_sym_consteval] = ACTIONS(3325),
    [sym_primitive_type] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_union] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym___try] = ACTIONS(3325),
    [anon_sym___leave] = ACTIONS(3325),
    [anon_sym_not] = ACTIONS(3325),
    [anon_sym_compl] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym___alignof__] = ACTIONS(3325),
    [anon_sym___alignof] = ACTIONS(3325),
    [anon_sym__alignof] = ACTIONS(3325),
    [anon_sym_alignof] = ACTIONS(3325),
    [anon_sym__Alignof] = ACTIONS(3325),
    [anon_sym_offsetof] = ACTIONS(3325),
    [anon_sym__Generic] = ACTIONS(3325),
    [anon_sym_asm] = ACTIONS(3325),
    [anon_sym___asm__] = ACTIONS(3325),
    [sym_number_literal] = ACTIONS(3327),
    [anon_sym_L_SQUOTE] = ACTIONS(3327),
    [anon_sym_u_SQUOTE] = ACTIONS(3327),
    [anon_sym_U_SQUOTE] = ACTIONS(3327),
    [anon_sym_u8_SQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_L_DQUOTE] = ACTIONS(3327),
    [anon_sym_u_DQUOTE] = ACTIONS(3327),
    [anon_sym_U_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8_DQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [anon_sym_NULL] = ACTIONS(3325),
    [anon_sym_nullptr] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3325),
    [anon_sym_decltype] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_alignas] = ACTIONS(3325),
    [anon_sym_explicit] = ACTIONS(3325),
    [anon_sym_typename] = ACTIONS(3325),
    [anon_sym_template] = ACTIONS(3325),
    [anon_sym_operator] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_static_assert] = ACTIONS(3325),
    [anon_sym_concept] = ACTIONS(3325),
    [anon_sym_co_return] = ACTIONS(3325),
    [anon_sym_co_yield] = ACTIONS(3325),
    [anon_sym_R_DQUOTE] = ACTIONS(3327),
    [anon_sym_LR_DQUOTE] = ACTIONS(3327),
    [anon_sym_uR_DQUOTE] = ACTIONS(3327),
    [anon_sym_UR_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3327),
    [anon_sym_co_await] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_requires] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
  },
  [425] = {
    [sym_catch_clause] = STATE(425),
    [aux_sym_constructor_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2825),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_include_token1] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym___cdecl] = ACTIONS(2823),
    [anon_sym___clrcall] = ACTIONS(2823),
    [anon_sym___stdcall] = ACTIONS(2823),
    [anon_sym___fastcall] = ACTIONS(2823),
    [anon_sym___thiscall] = ACTIONS(2823),
    [anon_sym___vectorcall] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_case] = ACTIONS(2823),
    [anon_sym_default] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_namespace] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_concept] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(3329),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [426] = {
    [sym_identifier] = ACTIONS(3332),
    [aux_sym_preproc_include_token1] = ACTIONS(3332),
    [aux_sym_preproc_def_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token2] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3332),
    [aux_sym_preproc_else_token1] = ACTIONS(3332),
    [aux_sym_preproc_elif_token1] = ACTIONS(3332),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3332),
    [sym_preproc_directive] = ACTIONS(3332),
    [anon_sym_LPAREN2] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP_AMP] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(3332),
    [anon_sym_typedef] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym___attribute__] = ACTIONS(3332),
    [anon_sym_COLON_COLON] = ACTIONS(3334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3334),
    [anon_sym___declspec] = ACTIONS(3332),
    [anon_sym___based] = ACTIONS(3332),
    [anon_sym___cdecl] = ACTIONS(3332),
    [anon_sym___clrcall] = ACTIONS(3332),
    [anon_sym___stdcall] = ACTIONS(3332),
    [anon_sym___fastcall] = ACTIONS(3332),
    [anon_sym___thiscall] = ACTIONS(3332),
    [anon_sym___vectorcall] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(3332),
    [anon_sym_unsigned] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_register] = ACTIONS(3332),
    [anon_sym_inline] = ACTIONS(3332),
    [anon_sym___inline] = ACTIONS(3332),
    [anon_sym___inline__] = ACTIONS(3332),
    [anon_sym___forceinline] = ACTIONS(3332),
    [anon_sym_thread_local] = ACTIONS(3332),
    [anon_sym___thread] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_constexpr] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_restrict] = ACTIONS(3332),
    [anon_sym___restrict__] = ACTIONS(3332),
    [anon_sym__Atomic] = ACTIONS(3332),
    [anon_sym__Noreturn] = ACTIONS(3332),
    [anon_sym_noreturn] = ACTIONS(3332),
    [anon_sym_mutable] = ACTIONS(3332),
    [anon_sym_constinit] = ACTIONS(3332),
    [anon_sym_consteval] = ACTIONS(3332),
    [sym_primitive_type] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_union] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_goto] = ACTIONS(3332),
    [anon_sym___try] = ACTIONS(3332),
    [anon_sym___leave] = ACTIONS(3332),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(3332),
    [anon_sym___alignof] = ACTIONS(3332),
    [anon_sym__alignof] = ACTIONS(3332),
    [anon_sym_alignof] = ACTIONS(3332),
    [anon_sym__Alignof] = ACTIONS(3332),
    [anon_sym_offsetof] = ACTIONS(3332),
    [anon_sym__Generic] = ACTIONS(3332),
    [anon_sym_asm] = ACTIONS(3332),
    [anon_sym___asm__] = ACTIONS(3332),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3334),
    [anon_sym_u_SQUOTE] = ACTIONS(3334),
    [anon_sym_U_SQUOTE] = ACTIONS(3334),
    [anon_sym_u8_SQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_L_DQUOTE] = ACTIONS(3334),
    [anon_sym_u_DQUOTE] = ACTIONS(3334),
    [anon_sym_U_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8_DQUOTE] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [anon_sym_NULL] = ACTIONS(3332),
    [anon_sym_nullptr] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3332),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_alignas] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_typename] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_operator] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static_assert] = ACTIONS(3332),
    [anon_sym_concept] = ACTIONS(3332),
    [anon_sym_co_return] = ACTIONS(3332),
    [anon_sym_co_yield] = ACTIONS(3332),
    [anon_sym_R_DQUOTE] = ACTIONS(3334),
    [anon_sym_LR_DQUOTE] = ACTIONS(3334),
    [anon_sym_uR_DQUOTE] = ACTIONS(3334),
    [anon_sym_UR_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3334),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_requires] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
  },
  [427] = {
    [sym_identifier] = ACTIONS(3336),
    [aux_sym_preproc_include_token1] = ACTIONS(3336),
    [aux_sym_preproc_def_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token2] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [aux_sym_preproc_else_token1] = ACTIONS(3336),
    [aux_sym_preproc_elif_token1] = ACTIONS(3336),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3336),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_typedef] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym___attribute__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3336),
    [anon_sym___based] = ACTIONS(3336),
    [anon_sym___cdecl] = ACTIONS(3336),
    [anon_sym___clrcall] = ACTIONS(3336),
    [anon_sym___stdcall] = ACTIONS(3336),
    [anon_sym___fastcall] = ACTIONS(3336),
    [anon_sym___thiscall] = ACTIONS(3336),
    [anon_sym___vectorcall] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3336),
    [anon_sym_unsigned] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_register] = ACTIONS(3336),
    [anon_sym_inline] = ACTIONS(3336),
    [anon_sym___inline] = ACTIONS(3336),
    [anon_sym___inline__] = ACTIONS(3336),
    [anon_sym___forceinline] = ACTIONS(3336),
    [anon_sym_thread_local] = ACTIONS(3336),
    [anon_sym___thread] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_constexpr] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_restrict] = ACTIONS(3336),
    [anon_sym___restrict__] = ACTIONS(3336),
    [anon_sym__Atomic] = ACTIONS(3336),
    [anon_sym__Noreturn] = ACTIONS(3336),
    [anon_sym_noreturn] = ACTIONS(3336),
    [anon_sym_mutable] = ACTIONS(3336),
    [anon_sym_constinit] = ACTIONS(3336),
    [anon_sym_consteval] = ACTIONS(3336),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_union] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_goto] = ACTIONS(3336),
    [anon_sym___try] = ACTIONS(3336),
    [anon_sym___leave] = ACTIONS(3336),
    [anon_sym_not] = ACTIONS(3336),
    [anon_sym_compl] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3336),
    [anon_sym___alignof__] = ACTIONS(3336),
    [anon_sym___alignof] = ACTIONS(3336),
    [anon_sym__alignof] = ACTIONS(3336),
    [anon_sym_alignof] = ACTIONS(3336),
    [anon_sym__Alignof] = ACTIONS(3336),
    [anon_sym_offsetof] = ACTIONS(3336),
    [anon_sym__Generic] = ACTIONS(3336),
    [anon_sym_asm] = ACTIONS(3336),
    [anon_sym___asm__] = ACTIONS(3336),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [anon_sym_NULL] = ACTIONS(3336),
    [anon_sym_nullptr] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3336),
    [anon_sym_decltype] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_alignas] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_typename] = ACTIONS(3336),
    [anon_sym_template] = ACTIONS(3336),
    [anon_sym_operator] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static_assert] = ACTIONS(3336),
    [anon_sym_concept] = ACTIONS(3336),
    [anon_sym_co_return] = ACTIONS(3336),
    [anon_sym_co_yield] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
  },
  [428] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token2] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [aux_sym_preproc_else_token1] = ACTIONS(3340),
    [aux_sym_preproc_elif_token1] = ACTIONS(3340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym___try] = ACTIONS(3340),
    [anon_sym___leave] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [429] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_include_token1] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token2] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [aux_sym_preproc_else_token1] = ACTIONS(3344),
    [aux_sym_preproc_elif_token1] = ACTIONS(3344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym___cdecl] = ACTIONS(3344),
    [anon_sym___clrcall] = ACTIONS(3344),
    [anon_sym___stdcall] = ACTIONS(3344),
    [anon_sym___fastcall] = ACTIONS(3344),
    [anon_sym___thiscall] = ACTIONS(3344),
    [anon_sym___vectorcall] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_goto] = ACTIONS(3344),
    [anon_sym___try] = ACTIONS(3344),
    [anon_sym___leave] = ACTIONS(3344),
    [anon_sym_not] = ACTIONS(3344),
    [anon_sym_compl] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_sizeof] = ACTIONS(3344),
    [anon_sym___alignof__] = ACTIONS(3344),
    [anon_sym___alignof] = ACTIONS(3344),
    [anon_sym__alignof] = ACTIONS(3344),
    [anon_sym_alignof] = ACTIONS(3344),
    [anon_sym__Alignof] = ACTIONS(3344),
    [anon_sym_offsetof] = ACTIONS(3344),
    [anon_sym__Generic] = ACTIONS(3344),
    [anon_sym_asm] = ACTIONS(3344),
    [anon_sym___asm__] = ACTIONS(3344),
    [sym_number_literal] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3346),
    [anon_sym_u_SQUOTE] = ACTIONS(3346),
    [anon_sym_U_SQUOTE] = ACTIONS(3346),
    [anon_sym_u8_SQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_L_DQUOTE] = ACTIONS(3346),
    [anon_sym_u_DQUOTE] = ACTIONS(3346),
    [anon_sym_U_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8_DQUOTE] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [anon_sym_NULL] = ACTIONS(3344),
    [anon_sym_nullptr] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
    [anon_sym_concept] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3344),
    [anon_sym_R_DQUOTE] = ACTIONS(3346),
    [anon_sym_LR_DQUOTE] = ACTIONS(3346),
    [anon_sym_uR_DQUOTE] = ACTIONS(3346),
    [anon_sym_UR_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3346),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_requires] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
  },
  [430] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_include_token1] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token2] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3348),
    [aux_sym_preproc_elif_token1] = ACTIONS(3348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3350),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym___cdecl] = ACTIONS(3348),
    [anon_sym___clrcall] = ACTIONS(3348),
    [anon_sym___stdcall] = ACTIONS(3348),
    [anon_sym___fastcall] = ACTIONS(3348),
    [anon_sym___thiscall] = ACTIONS(3348),
    [anon_sym___vectorcall] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3350),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_goto] = ACTIONS(3348),
    [anon_sym___try] = ACTIONS(3348),
    [anon_sym___leave] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3348),
    [anon_sym_compl] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3348),
    [anon_sym___alignof__] = ACTIONS(3348),
    [anon_sym___alignof] = ACTIONS(3348),
    [anon_sym__alignof] = ACTIONS(3348),
    [anon_sym_alignof] = ACTIONS(3348),
    [anon_sym__Alignof] = ACTIONS(3348),
    [anon_sym_offsetof] = ACTIONS(3348),
    [anon_sym__Generic] = ACTIONS(3348),
    [anon_sym_asm] = ACTIONS(3348),
    [anon_sym___asm__] = ACTIONS(3348),
    [sym_number_literal] = ACTIONS(3350),
    [anon_sym_L_SQUOTE] = ACTIONS(3350),
    [anon_sym_u_SQUOTE] = ACTIONS(3350),
    [anon_sym_U_SQUOTE] = ACTIONS(3350),
    [anon_sym_u8_SQUOTE] = ACTIONS(3350),
    [anon_sym_SQUOTE] = ACTIONS(3350),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [anon_sym_NULL] = ACTIONS(3348),
    [anon_sym_nullptr] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
    [anon_sym_concept] = ACTIONS(3348),
    [anon_sym_co_return] = ACTIONS(3348),
    [anon_sym_co_yield] = ACTIONS(3348),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_requires] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
  },
  [431] = {
    [sym_identifier] = ACTIONS(3352),
    [aux_sym_preproc_include_token1] = ACTIONS(3352),
    [aux_sym_preproc_def_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token2] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [aux_sym_preproc_else_token1] = ACTIONS(3352),
    [aux_sym_preproc_elif_token1] = ACTIONS(3352),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_AMP_AMP] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym___attribute__] = ACTIONS(3352),
    [anon_sym_COLON_COLON] = ACTIONS(3354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3354),
    [anon_sym___declspec] = ACTIONS(3352),
    [anon_sym___based] = ACTIONS(3352),
    [anon_sym___cdecl] = ACTIONS(3352),
    [anon_sym___clrcall] = ACTIONS(3352),
    [anon_sym___stdcall] = ACTIONS(3352),
    [anon_sym___fastcall] = ACTIONS(3352),
    [anon_sym___thiscall] = ACTIONS(3352),
    [anon_sym___vectorcall] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_signed] = ACTIONS(3352),
    [anon_sym_unsigned] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_register] = ACTIONS(3352),
    [anon_sym_inline] = ACTIONS(3352),
    [anon_sym___inline] = ACTIONS(3352),
    [anon_sym___inline__] = ACTIONS(3352),
    [anon_sym___forceinline] = ACTIONS(3352),
    [anon_sym_thread_local] = ACTIONS(3352),
    [anon_sym___thread] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_constexpr] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_restrict] = ACTIONS(3352),
    [anon_sym___restrict__] = ACTIONS(3352),
    [anon_sym__Atomic] = ACTIONS(3352),
    [anon_sym__Noreturn] = ACTIONS(3352),
    [anon_sym_noreturn] = ACTIONS(3352),
    [anon_sym_mutable] = ACTIONS(3352),
    [anon_sym_constinit] = ACTIONS(3352),
    [anon_sym_consteval] = ACTIONS(3352),
    [sym_primitive_type] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_union] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_goto] = ACTIONS(3352),
    [anon_sym___try] = ACTIONS(3352),
    [anon_sym___leave] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_compl] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3352),
    [anon_sym___alignof] = ACTIONS(3352),
    [anon_sym__alignof] = ACTIONS(3352),
    [anon_sym_alignof] = ACTIONS(3352),
    [anon_sym__Alignof] = ACTIONS(3352),
    [anon_sym_offsetof] = ACTIONS(3352),
    [anon_sym__Generic] = ACTIONS(3352),
    [anon_sym_asm] = ACTIONS(3352),
    [anon_sym___asm__] = ACTIONS(3352),
    [sym_number_literal] = ACTIONS(3354),
    [anon_sym_L_SQUOTE] = ACTIONS(3354),
    [anon_sym_u_SQUOTE] = ACTIONS(3354),
    [anon_sym_U_SQUOTE] = ACTIONS(3354),
    [anon_sym_u8_SQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_L_DQUOTE] = ACTIONS(3354),
    [anon_sym_u_DQUOTE] = ACTIONS(3354),
    [anon_sym_U_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8_DQUOTE] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_NULL] = ACTIONS(3352),
    [anon_sym_nullptr] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3352),
    [anon_sym_decltype] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_alignas] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_typename] = ACTIONS(3352),
    [anon_sym_template] = ACTIONS(3352),
    [anon_sym_operator] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static_assert] = ACTIONS(3352),
    [anon_sym_concept] = ACTIONS(3352),
    [anon_sym_co_return] = ACTIONS(3352),
    [anon_sym_co_yield] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_requires] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
  },
  [432] = {
    [sym__expression] = STATE(5325),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9090),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3356),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3359),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3361),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(3364),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(3367),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(3370),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [433] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [sym_number_literal] = ACTIONS(3375),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [434] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [sym_number_literal] = ACTIONS(3379),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [435] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [sym_number_literal] = ACTIONS(3383),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [436] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [sym_primitive_type] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [sym_number_literal] = ACTIONS(3387),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [437] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [sym_number_literal] = ACTIONS(3391),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [438] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [sym_primitive_type] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [sym_number_literal] = ACTIONS(3395),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [439] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [sym_number_literal] = ACTIONS(3399),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [440] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [sym_primitive_type] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [sym_number_literal] = ACTIONS(3403),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [441] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [sym_number_literal] = ACTIONS(3407),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [444] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5020),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7841),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8365),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3461),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [446] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5019),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7829),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8345),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3473),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [447] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5107),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7793),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8099),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3475),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [448] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5092),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7780),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8325),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3477),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [aux_sym_preproc_else_token1] = ACTIONS(2991),
    [aux_sym_preproc_elif_token1] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2979),
    [aux_sym_preproc_include_token1] = ACTIONS(2979),
    [aux_sym_preproc_def_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token2] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [aux_sym_preproc_else_token1] = ACTIONS(2979),
    [aux_sym_preproc_elif_token1] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym___based] = ACTIONS(2979),
    [anon_sym___cdecl] = ACTIONS(2979),
    [anon_sym___clrcall] = ACTIONS(2979),
    [anon_sym___stdcall] = ACTIONS(2979),
    [anon_sym___fastcall] = ACTIONS(2979),
    [anon_sym___thiscall] = ACTIONS(2979),
    [anon_sym___vectorcall] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_default] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_explicit] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_operator] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_namespace] = ACTIONS(2979),
    [anon_sym_using] = ACTIONS(2979),
    [anon_sym_static_assert] = ACTIONS(2979),
    [anon_sym_concept] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [aux_sym_preproc_else_token1] = ACTIONS(2975),
    [aux_sym_preproc_elif_token1] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [aux_sym_preproc_else_token1] = ACTIONS(2959),
    [aux_sym_preproc_elif_token1] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [456] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5099),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7735),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8304),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3479),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [aux_sym_preproc_else_token1] = ACTIONS(2955),
    [aux_sym_preproc_elif_token1] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [aux_sym_preproc_else_token1] = ACTIONS(2999),
    [aux_sym_preproc_elif_token1] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [462] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5030),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7863),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8390),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3481),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [463] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5052),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7825),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8056),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3483),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [464] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5127),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7669),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8283),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3485),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [465] = {
    [sym_catch_clause] = STATE(379),
    [aux_sym_constructor_try_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [aux_sym_preproc_else_token1] = ACTIONS(2951),
    [aux_sym_preproc_elif_token1] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [471] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5102),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7747),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8320),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3487),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [472] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5015),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7915),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(7986),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3489),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [473] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [aux_sym_preproc_else_token1] = ACTIONS(2995),
    [aux_sym_preproc_elif_token1] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [477] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5024),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7751),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8315),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3491),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [478] = {
    [sym_catch_clause] = STATE(357),
    [aux_sym_constructor_try_statement_repeat1] = STATE(357),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2844),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2842),
    [anon_sym___leave] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3215),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [480] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5021),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7643),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8259),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3493),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [aux_sym_preproc_else_token1] = ACTIONS(2869),
    [aux_sym_preproc_elif_token1] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [482] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5013),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7680),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8218),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3495),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [484] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5114),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7671),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8224),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3497),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [486] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5118),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7769),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8119),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3499),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [496] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5083),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7736),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8150),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3501),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2971),
    [aux_sym_preproc_include_token1] = ACTIONS(2971),
    [aux_sym_preproc_def_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token2] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [aux_sym_preproc_else_token1] = ACTIONS(2971),
    [aux_sym_preproc_elif_token1] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym___based] = ACTIONS(2971),
    [anon_sym___cdecl] = ACTIONS(2971),
    [anon_sym___clrcall] = ACTIONS(2971),
    [anon_sym___stdcall] = ACTIONS(2971),
    [anon_sym___fastcall] = ACTIONS(2971),
    [anon_sym___thiscall] = ACTIONS(2971),
    [anon_sym___vectorcall] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_default] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_explicit] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_operator] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_namespace] = ACTIONS(2971),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2971),
    [anon_sym_concept] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token2] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [aux_sym_preproc_else_token1] = ACTIONS(2983),
    [aux_sym_preproc_elif_token1] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [505] = {
    [sym_catch_clause] = STATE(379),
    [aux_sym_constructor_try_statement_repeat1] = STATE(379),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2848),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2846),
    [anon_sym___leave] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3011),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [506] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5113),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7873),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8385),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3503),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [aux_sym_preproc_else_token1] = ACTIONS(2987),
    [aux_sym_preproc_elif_token1] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [516] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [518] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5158),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7869),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8018),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3505),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [528] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [530] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [539] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5059),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(7816),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8063),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3507),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [542] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_include_token1] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(3279),
    [aux_sym_preproc_elif_token1] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym___cdecl] = ACTIONS(3279),
    [anon_sym___clrcall] = ACTIONS(3279),
    [anon_sym___stdcall] = ACTIONS(3279),
    [anon_sym___fastcall] = ACTIONS(3279),
    [anon_sym___thiscall] = ACTIONS(3279),
    [anon_sym___vectorcall] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_goto] = ACTIONS(3279),
    [anon_sym___try] = ACTIONS(3279),
    [anon_sym___leave] = ACTIONS(3279),
    [anon_sym_not] = ACTIONS(3279),
    [anon_sym_compl] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3279),
    [anon_sym___alignof__] = ACTIONS(3279),
    [anon_sym___alignof] = ACTIONS(3279),
    [anon_sym__alignof] = ACTIONS(3279),
    [anon_sym_alignof] = ACTIONS(3279),
    [anon_sym__Alignof] = ACTIONS(3279),
    [anon_sym_offsetof] = ACTIONS(3279),
    [anon_sym__Generic] = ACTIONS(3279),
    [anon_sym_asm] = ACTIONS(3279),
    [anon_sym___asm__] = ACTIONS(3279),
    [sym_number_literal] = ACTIONS(3281),
    [anon_sym_L_SQUOTE] = ACTIONS(3281),
    [anon_sym_u_SQUOTE] = ACTIONS(3281),
    [anon_sym_U_SQUOTE] = ACTIONS(3281),
    [anon_sym_u8_SQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_L_DQUOTE] = ACTIONS(3281),
    [anon_sym_u_DQUOTE] = ACTIONS(3281),
    [anon_sym_U_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8_DQUOTE] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [anon_sym_NULL] = ACTIONS(3279),
    [anon_sym_nullptr] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
    [anon_sym_concept] = ACTIONS(3279),
    [anon_sym_co_return] = ACTIONS(3279),
    [anon_sym_co_yield] = ACTIONS(3279),
    [anon_sym_R_DQUOTE] = ACTIONS(3281),
    [anon_sym_LR_DQUOTE] = ACTIONS(3281),
    [anon_sym_uR_DQUOTE] = ACTIONS(3281),
    [anon_sym_UR_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3281),
    [anon_sym_co_await] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_requires] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
  },
  [543] = {
    [sym_identifier] = ACTIONS(3352),
    [aux_sym_preproc_include_token1] = ACTIONS(3352),
    [aux_sym_preproc_def_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token2] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [aux_sym_preproc_else_token1] = ACTIONS(3352),
    [aux_sym_preproc_elif_token1] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_AMP_AMP] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym___attribute__] = ACTIONS(3352),
    [anon_sym_COLON_COLON] = ACTIONS(3354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3354),
    [anon_sym___declspec] = ACTIONS(3352),
    [anon_sym___based] = ACTIONS(3352),
    [anon_sym___cdecl] = ACTIONS(3352),
    [anon_sym___clrcall] = ACTIONS(3352),
    [anon_sym___stdcall] = ACTIONS(3352),
    [anon_sym___fastcall] = ACTIONS(3352),
    [anon_sym___thiscall] = ACTIONS(3352),
    [anon_sym___vectorcall] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_signed] = ACTIONS(3352),
    [anon_sym_unsigned] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_register] = ACTIONS(3352),
    [anon_sym_inline] = ACTIONS(3352),
    [anon_sym___inline] = ACTIONS(3352),
    [anon_sym___inline__] = ACTIONS(3352),
    [anon_sym___forceinline] = ACTIONS(3352),
    [anon_sym_thread_local] = ACTIONS(3352),
    [anon_sym___thread] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_constexpr] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_restrict] = ACTIONS(3352),
    [anon_sym___restrict__] = ACTIONS(3352),
    [anon_sym__Atomic] = ACTIONS(3352),
    [anon_sym__Noreturn] = ACTIONS(3352),
    [anon_sym_noreturn] = ACTIONS(3352),
    [anon_sym_mutable] = ACTIONS(3352),
    [anon_sym_constinit] = ACTIONS(3352),
    [anon_sym_consteval] = ACTIONS(3352),
    [sym_primitive_type] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_union] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_goto] = ACTIONS(3352),
    [anon_sym___try] = ACTIONS(3352),
    [anon_sym___leave] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_compl] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3352),
    [anon_sym___alignof] = ACTIONS(3352),
    [anon_sym__alignof] = ACTIONS(3352),
    [anon_sym_alignof] = ACTIONS(3352),
    [anon_sym__Alignof] = ACTIONS(3352),
    [anon_sym_offsetof] = ACTIONS(3352),
    [anon_sym__Generic] = ACTIONS(3352),
    [anon_sym_asm] = ACTIONS(3352),
    [anon_sym___asm__] = ACTIONS(3352),
    [sym_number_literal] = ACTIONS(3354),
    [anon_sym_L_SQUOTE] = ACTIONS(3354),
    [anon_sym_u_SQUOTE] = ACTIONS(3354),
    [anon_sym_U_SQUOTE] = ACTIONS(3354),
    [anon_sym_u8_SQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_L_DQUOTE] = ACTIONS(3354),
    [anon_sym_u_DQUOTE] = ACTIONS(3354),
    [anon_sym_U_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8_DQUOTE] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_NULL] = ACTIONS(3352),
    [anon_sym_nullptr] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3352),
    [anon_sym_decltype] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_alignas] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_typename] = ACTIONS(3352),
    [anon_sym_template] = ACTIONS(3352),
    [anon_sym_operator] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static_assert] = ACTIONS(3352),
    [anon_sym_concept] = ACTIONS(3352),
    [anon_sym_co_return] = ACTIONS(3352),
    [anon_sym_co_yield] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_requires] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [sym_number_literal] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [sym_number_literal] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [aux_sym_preproc_else_token1] = ACTIONS(3174),
    [aux_sym_preproc_elif_token1] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [548] = {
    [sym_else_clause] = STATE(839),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_include_token1] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2855),
    [sym_preproc_directive] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym___based] = ACTIONS(2855),
    [anon_sym___cdecl] = ACTIONS(2855),
    [anon_sym___clrcall] = ACTIONS(2855),
    [anon_sym___stdcall] = ACTIONS(2855),
    [anon_sym___fastcall] = ACTIONS(2855),
    [anon_sym___thiscall] = ACTIONS(2855),
    [anon_sym___vectorcall] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(3509),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_case] = ACTIONS(2855),
    [anon_sym_default] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_explicit] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_operator] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_using] = ACTIONS(2855),
    [anon_sym_static_assert] = ACTIONS(2855),
    [anon_sym_concept] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [aux_sym_preproc_else_token1] = ACTIONS(3077),
    [aux_sym_preproc_elif_token1] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [aux_sym_preproc_else_token1] = ACTIONS(3073),
    [aux_sym_preproc_elif_token1] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [aux_sym_preproc_else_token1] = ACTIONS(3013),
    [aux_sym_preproc_elif_token1] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [aux_sym_preproc_else_token1] = ACTIONS(3140),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [aux_sym_preproc_else_token1] = ACTIONS(3154),
    [aux_sym_preproc_elif_token1] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [559] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_include_token1] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym___cdecl] = ACTIONS(3303),
    [anon_sym___clrcall] = ACTIONS(3303),
    [anon_sym___stdcall] = ACTIONS(3303),
    [anon_sym___fastcall] = ACTIONS(3303),
    [anon_sym___thiscall] = ACTIONS(3303),
    [anon_sym___vectorcall] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_goto] = ACTIONS(3303),
    [anon_sym___try] = ACTIONS(3303),
    [anon_sym___leave] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3303),
    [anon_sym_compl] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3303),
    [anon_sym___alignof__] = ACTIONS(3303),
    [anon_sym___alignof] = ACTIONS(3303),
    [anon_sym__alignof] = ACTIONS(3303),
    [anon_sym_alignof] = ACTIONS(3303),
    [anon_sym__Alignof] = ACTIONS(3303),
    [anon_sym_offsetof] = ACTIONS(3303),
    [anon_sym__Generic] = ACTIONS(3303),
    [anon_sym_asm] = ACTIONS(3303),
    [anon_sym___asm__] = ACTIONS(3303),
    [sym_number_literal] = ACTIONS(3305),
    [anon_sym_L_SQUOTE] = ACTIONS(3305),
    [anon_sym_u_SQUOTE] = ACTIONS(3305),
    [anon_sym_U_SQUOTE] = ACTIONS(3305),
    [anon_sym_u8_SQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_L_DQUOTE] = ACTIONS(3305),
    [anon_sym_u_DQUOTE] = ACTIONS(3305),
    [anon_sym_U_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8_DQUOTE] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_NULL] = ACTIONS(3303),
    [anon_sym_nullptr] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
    [anon_sym_concept] = ACTIONS(3303),
    [anon_sym_co_return] = ACTIONS(3303),
    [anon_sym_co_yield] = ACTIONS(3303),
    [anon_sym_R_DQUOTE] = ACTIONS(3305),
    [anon_sym_LR_DQUOTE] = ACTIONS(3305),
    [anon_sym_uR_DQUOTE] = ACTIONS(3305),
    [anon_sym_UR_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3305),
    [anon_sym_co_await] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_requires] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_include_token1] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [aux_sym_preproc_else_token1] = ACTIONS(3295),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym___cdecl] = ACTIONS(3295),
    [anon_sym___clrcall] = ACTIONS(3295),
    [anon_sym___stdcall] = ACTIONS(3295),
    [anon_sym___fastcall] = ACTIONS(3295),
    [anon_sym___thiscall] = ACTIONS(3295),
    [anon_sym___vectorcall] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_goto] = ACTIONS(3295),
    [anon_sym___try] = ACTIONS(3295),
    [anon_sym___leave] = ACTIONS(3295),
    [anon_sym_not] = ACTIONS(3295),
    [anon_sym_compl] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3295),
    [anon_sym___alignof__] = ACTIONS(3295),
    [anon_sym___alignof] = ACTIONS(3295),
    [anon_sym__alignof] = ACTIONS(3295),
    [anon_sym_alignof] = ACTIONS(3295),
    [anon_sym__Alignof] = ACTIONS(3295),
    [anon_sym_offsetof] = ACTIONS(3295),
    [anon_sym__Generic] = ACTIONS(3295),
    [anon_sym_asm] = ACTIONS(3295),
    [anon_sym___asm__] = ACTIONS(3295),
    [sym_number_literal] = ACTIONS(3297),
    [anon_sym_L_SQUOTE] = ACTIONS(3297),
    [anon_sym_u_SQUOTE] = ACTIONS(3297),
    [anon_sym_U_SQUOTE] = ACTIONS(3297),
    [anon_sym_u8_SQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_L_DQUOTE] = ACTIONS(3297),
    [anon_sym_u_DQUOTE] = ACTIONS(3297),
    [anon_sym_U_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8_DQUOTE] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [anon_sym_NULL] = ACTIONS(3295),
    [anon_sym_nullptr] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
    [anon_sym_concept] = ACTIONS(3295),
    [anon_sym_co_return] = ACTIONS(3295),
    [anon_sym_co_yield] = ACTIONS(3295),
    [anon_sym_R_DQUOTE] = ACTIONS(3297),
    [anon_sym_LR_DQUOTE] = ACTIONS(3297),
    [anon_sym_uR_DQUOTE] = ACTIONS(3297),
    [anon_sym_UR_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3297),
    [anon_sym_co_await] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_requires] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [562] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3229),
    [aux_sym_preproc_include_token1] = ACTIONS(3229),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token2] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3229),
    [aux_sym_preproc_else_token1] = ACTIONS(3229),
    [aux_sym_preproc_elif_token1] = ACTIONS(3229),
    [sym_preproc_directive] = ACTIONS(3229),
    [anon_sym_LPAREN2] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3229),
    [anon_sym_typedef] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym___attribute__] = ACTIONS(3229),
    [anon_sym_COLON_COLON] = ACTIONS(3231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3229),
    [anon_sym___based] = ACTIONS(3229),
    [anon_sym___cdecl] = ACTIONS(3229),
    [anon_sym___clrcall] = ACTIONS(3229),
    [anon_sym___stdcall] = ACTIONS(3229),
    [anon_sym___fastcall] = ACTIONS(3229),
    [anon_sym___thiscall] = ACTIONS(3229),
    [anon_sym___vectorcall] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3229),
    [anon_sym_unsigned] = ACTIONS(3229),
    [anon_sym_long] = ACTIONS(3229),
    [anon_sym_short] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_register] = ACTIONS(3229),
    [anon_sym_inline] = ACTIONS(3229),
    [anon_sym___inline] = ACTIONS(3229),
    [anon_sym___inline__] = ACTIONS(3229),
    [anon_sym___forceinline] = ACTIONS(3229),
    [anon_sym_thread_local] = ACTIONS(3229),
    [anon_sym___thread] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_constexpr] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_restrict] = ACTIONS(3229),
    [anon_sym___restrict__] = ACTIONS(3229),
    [anon_sym__Atomic] = ACTIONS(3229),
    [anon_sym__Noreturn] = ACTIONS(3229),
    [anon_sym_noreturn] = ACTIONS(3229),
    [anon_sym_mutable] = ACTIONS(3229),
    [anon_sym_constinit] = ACTIONS(3229),
    [anon_sym_consteval] = ACTIONS(3229),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_union] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym___try] = ACTIONS(3229),
    [anon_sym___leave] = ACTIONS(3229),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_compl] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym___alignof__] = ACTIONS(3229),
    [anon_sym___alignof] = ACTIONS(3229),
    [anon_sym__alignof] = ACTIONS(3229),
    [anon_sym_alignof] = ACTIONS(3229),
    [anon_sym__Alignof] = ACTIONS(3229),
    [anon_sym_offsetof] = ACTIONS(3229),
    [anon_sym__Generic] = ACTIONS(3229),
    [anon_sym_asm] = ACTIONS(3229),
    [anon_sym___asm__] = ACTIONS(3229),
    [sym_number_literal] = ACTIONS(3231),
    [anon_sym_L_SQUOTE] = ACTIONS(3231),
    [anon_sym_u_SQUOTE] = ACTIONS(3231),
    [anon_sym_U_SQUOTE] = ACTIONS(3231),
    [anon_sym_u8_SQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_L_DQUOTE] = ACTIONS(3231),
    [anon_sym_u_DQUOTE] = ACTIONS(3231),
    [anon_sym_U_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8_DQUOTE] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [anon_sym_NULL] = ACTIONS(3229),
    [anon_sym_nullptr] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3229),
    [anon_sym_decltype] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_alignas] = ACTIONS(3229),
    [anon_sym_explicit] = ACTIONS(3229),
    [anon_sym_typename] = ACTIONS(3229),
    [anon_sym_template] = ACTIONS(3229),
    [anon_sym_operator] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_static_assert] = ACTIONS(3229),
    [anon_sym_concept] = ACTIONS(3229),
    [anon_sym_co_return] = ACTIONS(3229),
    [anon_sym_co_yield] = ACTIONS(3229),
    [anon_sym_R_DQUOTE] = ACTIONS(3231),
    [anon_sym_LR_DQUOTE] = ACTIONS(3231),
    [anon_sym_uR_DQUOTE] = ACTIONS(3231),
    [anon_sym_UR_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3231),
    [anon_sym_co_await] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_requires] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [aux_sym_preproc_else_token1] = ACTIONS(3245),
    [aux_sym_preproc_elif_token1] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [565] = {
    [sym_identifier] = ACTIONS(3299),
    [aux_sym_preproc_include_token1] = ACTIONS(3299),
    [aux_sym_preproc_def_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3299),
    [aux_sym_preproc_else_token1] = ACTIONS(3299),
    [aux_sym_preproc_elif_token1] = ACTIONS(3299),
    [sym_preproc_directive] = ACTIONS(3299),
    [anon_sym_LPAREN2] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_STAR] = ACTIONS(3301),
    [anon_sym_AMP_AMP] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3299),
    [anon_sym_typedef] = ACTIONS(3299),
    [anon_sym_extern] = ACTIONS(3299),
    [anon_sym___attribute__] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3301),
    [anon_sym___declspec] = ACTIONS(3299),
    [anon_sym___based] = ACTIONS(3299),
    [anon_sym___cdecl] = ACTIONS(3299),
    [anon_sym___clrcall] = ACTIONS(3299),
    [anon_sym___stdcall] = ACTIONS(3299),
    [anon_sym___fastcall] = ACTIONS(3299),
    [anon_sym___thiscall] = ACTIONS(3299),
    [anon_sym___vectorcall] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_signed] = ACTIONS(3299),
    [anon_sym_unsigned] = ACTIONS(3299),
    [anon_sym_long] = ACTIONS(3299),
    [anon_sym_short] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_register] = ACTIONS(3299),
    [anon_sym_inline] = ACTIONS(3299),
    [anon_sym___inline] = ACTIONS(3299),
    [anon_sym___inline__] = ACTIONS(3299),
    [anon_sym___forceinline] = ACTIONS(3299),
    [anon_sym_thread_local] = ACTIONS(3299),
    [anon_sym___thread] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_constexpr] = ACTIONS(3299),
    [anon_sym_volatile] = ACTIONS(3299),
    [anon_sym_restrict] = ACTIONS(3299),
    [anon_sym___restrict__] = ACTIONS(3299),
    [anon_sym__Atomic] = ACTIONS(3299),
    [anon_sym__Noreturn] = ACTIONS(3299),
    [anon_sym_noreturn] = ACTIONS(3299),
    [anon_sym_mutable] = ACTIONS(3299),
    [anon_sym_constinit] = ACTIONS(3299),
    [anon_sym_consteval] = ACTIONS(3299),
    [sym_primitive_type] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_struct] = ACTIONS(3299),
    [anon_sym_union] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_goto] = ACTIONS(3299),
    [anon_sym___try] = ACTIONS(3299),
    [anon_sym___leave] = ACTIONS(3299),
    [anon_sym_not] = ACTIONS(3299),
    [anon_sym_compl] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3299),
    [anon_sym___alignof] = ACTIONS(3299),
    [anon_sym__alignof] = ACTIONS(3299),
    [anon_sym_alignof] = ACTIONS(3299),
    [anon_sym__Alignof] = ACTIONS(3299),
    [anon_sym_offsetof] = ACTIONS(3299),
    [anon_sym__Generic] = ACTIONS(3299),
    [anon_sym_asm] = ACTIONS(3299),
    [anon_sym___asm__] = ACTIONS(3299),
    [sym_number_literal] = ACTIONS(3301),
    [anon_sym_L_SQUOTE] = ACTIONS(3301),
    [anon_sym_u_SQUOTE] = ACTIONS(3301),
    [anon_sym_U_SQUOTE] = ACTIONS(3301),
    [anon_sym_u8_SQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_L_DQUOTE] = ACTIONS(3301),
    [anon_sym_u_DQUOTE] = ACTIONS(3301),
    [anon_sym_U_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8_DQUOTE] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [anon_sym_NULL] = ACTIONS(3299),
    [anon_sym_nullptr] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3299),
    [anon_sym_decltype] = ACTIONS(3299),
    [anon_sym_virtual] = ACTIONS(3299),
    [anon_sym_alignas] = ACTIONS(3299),
    [anon_sym_explicit] = ACTIONS(3299),
    [anon_sym_typename] = ACTIONS(3299),
    [anon_sym_template] = ACTIONS(3299),
    [anon_sym_operator] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_static_assert] = ACTIONS(3299),
    [anon_sym_concept] = ACTIONS(3299),
    [anon_sym_co_return] = ACTIONS(3299),
    [anon_sym_co_yield] = ACTIONS(3299),
    [anon_sym_R_DQUOTE] = ACTIONS(3301),
    [anon_sym_LR_DQUOTE] = ACTIONS(3301),
    [anon_sym_uR_DQUOTE] = ACTIONS(3301),
    [anon_sym_UR_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3301),
    [anon_sym_co_await] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_requires] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
  },
  [566] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3263),
    [aux_sym_preproc_include_token1] = ACTIONS(3263),
    [aux_sym_preproc_def_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token2] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3263),
    [aux_sym_preproc_else_token1] = ACTIONS(3263),
    [aux_sym_preproc_elif_token1] = ACTIONS(3263),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3265),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3263),
    [anon_sym_typedef] = ACTIONS(3263),
    [anon_sym_extern] = ACTIONS(3263),
    [anon_sym___attribute__] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(3265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3265),
    [anon_sym___declspec] = ACTIONS(3263),
    [anon_sym___based] = ACTIONS(3263),
    [anon_sym___cdecl] = ACTIONS(3263),
    [anon_sym___clrcall] = ACTIONS(3263),
    [anon_sym___stdcall] = ACTIONS(3263),
    [anon_sym___fastcall] = ACTIONS(3263),
    [anon_sym___thiscall] = ACTIONS(3263),
    [anon_sym___vectorcall] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3263),
    [anon_sym_unsigned] = ACTIONS(3263),
    [anon_sym_long] = ACTIONS(3263),
    [anon_sym_short] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_register] = ACTIONS(3263),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym___inline] = ACTIONS(3263),
    [anon_sym___inline__] = ACTIONS(3263),
    [anon_sym___forceinline] = ACTIONS(3263),
    [anon_sym_thread_local] = ACTIONS(3263),
    [anon_sym___thread] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(3263),
    [anon_sym_restrict] = ACTIONS(3263),
    [anon_sym___restrict__] = ACTIONS(3263),
    [anon_sym__Atomic] = ACTIONS(3263),
    [anon_sym__Noreturn] = ACTIONS(3263),
    [anon_sym_noreturn] = ACTIONS(3263),
    [anon_sym_mutable] = ACTIONS(3263),
    [anon_sym_constinit] = ACTIONS(3263),
    [anon_sym_consteval] = ACTIONS(3263),
    [sym_primitive_type] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_struct] = ACTIONS(3263),
    [anon_sym_union] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_goto] = ACTIONS(3263),
    [anon_sym___try] = ACTIONS(3263),
    [anon_sym___leave] = ACTIONS(3263),
    [anon_sym_not] = ACTIONS(3263),
    [anon_sym_compl] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3263),
    [anon_sym___alignof__] = ACTIONS(3263),
    [anon_sym___alignof] = ACTIONS(3263),
    [anon_sym__alignof] = ACTIONS(3263),
    [anon_sym_alignof] = ACTIONS(3263),
    [anon_sym__Alignof] = ACTIONS(3263),
    [anon_sym_offsetof] = ACTIONS(3263),
    [anon_sym__Generic] = ACTIONS(3263),
    [anon_sym_asm] = ACTIONS(3263),
    [anon_sym___asm__] = ACTIONS(3263),
    [sym_number_literal] = ACTIONS(3265),
    [anon_sym_L_SQUOTE] = ACTIONS(3265),
    [anon_sym_u_SQUOTE] = ACTIONS(3265),
    [anon_sym_U_SQUOTE] = ACTIONS(3265),
    [anon_sym_u8_SQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_L_DQUOTE] = ACTIONS(3265),
    [anon_sym_u_DQUOTE] = ACTIONS(3265),
    [anon_sym_U_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8_DQUOTE] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [anon_sym_NULL] = ACTIONS(3263),
    [anon_sym_nullptr] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3263),
    [anon_sym_decltype] = ACTIONS(3263),
    [anon_sym_virtual] = ACTIONS(3263),
    [anon_sym_alignas] = ACTIONS(3263),
    [anon_sym_explicit] = ACTIONS(3263),
    [anon_sym_typename] = ACTIONS(3263),
    [anon_sym_template] = ACTIONS(3263),
    [anon_sym_operator] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_static_assert] = ACTIONS(3263),
    [anon_sym_concept] = ACTIONS(3263),
    [anon_sym_co_return] = ACTIONS(3263),
    [anon_sym_co_yield] = ACTIONS(3263),
    [anon_sym_R_DQUOTE] = ACTIONS(3265),
    [anon_sym_LR_DQUOTE] = ACTIONS(3265),
    [anon_sym_uR_DQUOTE] = ACTIONS(3265),
    [anon_sym_UR_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3265),
    [anon_sym_co_await] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_requires] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
  },
  [568] = {
    [sym_else_clause] = STATE(797),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(3509),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [570] = {
    [sym_else_clause] = STATE(848),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token2] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [sym_number_literal] = ACTIONS(3209),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token2] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [aux_sym_preproc_else_token1] = ACTIONS(3181),
    [aux_sym_preproc_elif_token1] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [sym_primitive_type] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [sym_number_literal] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [576] = {
    [sym_else_clause] = STATE(681),
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2865),
    [aux_sym_preproc_include_token1] = ACTIONS(2865),
    [aux_sym_preproc_def_token1] = ACTIONS(2865),
    [aux_sym_preproc_if_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2865),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2865),
    [sym_preproc_directive] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym___based] = ACTIONS(2865),
    [anon_sym___cdecl] = ACTIONS(2865),
    [anon_sym___clrcall] = ACTIONS(2865),
    [anon_sym___stdcall] = ACTIONS(2865),
    [anon_sym___fastcall] = ACTIONS(2865),
    [anon_sym___thiscall] = ACTIONS(2865),
    [anon_sym___vectorcall] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(3513),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_explicit] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_operator] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_static_assert] = ACTIONS(2865),
    [anon_sym_concept] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [577] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [aux_sym_preproc_else_token1] = ACTIONS(3291),
    [aux_sym_preproc_elif_token1] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym___cdecl] = ACTIONS(3291),
    [anon_sym___clrcall] = ACTIONS(3291),
    [anon_sym___stdcall] = ACTIONS(3291),
    [anon_sym___fastcall] = ACTIONS(3291),
    [anon_sym___thiscall] = ACTIONS(3291),
    [anon_sym___vectorcall] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_goto] = ACTIONS(3291),
    [anon_sym___try] = ACTIONS(3291),
    [anon_sym___leave] = ACTIONS(3291),
    [anon_sym_not] = ACTIONS(3291),
    [anon_sym_compl] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3291),
    [anon_sym___alignof__] = ACTIONS(3291),
    [anon_sym___alignof] = ACTIONS(3291),
    [anon_sym__alignof] = ACTIONS(3291),
    [anon_sym_alignof] = ACTIONS(3291),
    [anon_sym__Alignof] = ACTIONS(3291),
    [anon_sym_offsetof] = ACTIONS(3291),
    [anon_sym__Generic] = ACTIONS(3291),
    [anon_sym_asm] = ACTIONS(3291),
    [anon_sym___asm__] = ACTIONS(3291),
    [sym_number_literal] = ACTIONS(3293),
    [anon_sym_L_SQUOTE] = ACTIONS(3293),
    [anon_sym_u_SQUOTE] = ACTIONS(3293),
    [anon_sym_U_SQUOTE] = ACTIONS(3293),
    [anon_sym_u8_SQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_L_DQUOTE] = ACTIONS(3293),
    [anon_sym_u_DQUOTE] = ACTIONS(3293),
    [anon_sym_U_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8_DQUOTE] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [anon_sym_NULL] = ACTIONS(3291),
    [anon_sym_nullptr] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
    [anon_sym_concept] = ACTIONS(3291),
    [anon_sym_co_return] = ACTIONS(3291),
    [anon_sym_co_yield] = ACTIONS(3291),
    [anon_sym_R_DQUOTE] = ACTIONS(3293),
    [anon_sym_LR_DQUOTE] = ACTIONS(3293),
    [anon_sym_uR_DQUOTE] = ACTIONS(3293),
    [anon_sym_UR_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3293),
    [anon_sym_co_await] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_requires] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_include_token1] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym___cdecl] = ACTIONS(3287),
    [anon_sym___clrcall] = ACTIONS(3287),
    [anon_sym___stdcall] = ACTIONS(3287),
    [anon_sym___fastcall] = ACTIONS(3287),
    [anon_sym___thiscall] = ACTIONS(3287),
    [anon_sym___vectorcall] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3287),
    [anon_sym___leave] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3287),
    [anon_sym_compl] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3287),
    [anon_sym___alignof__] = ACTIONS(3287),
    [anon_sym___alignof] = ACTIONS(3287),
    [anon_sym__alignof] = ACTIONS(3287),
    [anon_sym_alignof] = ACTIONS(3287),
    [anon_sym__Alignof] = ACTIONS(3287),
    [anon_sym_offsetof] = ACTIONS(3287),
    [anon_sym__Generic] = ACTIONS(3287),
    [anon_sym_asm] = ACTIONS(3287),
    [anon_sym___asm__] = ACTIONS(3287),
    [sym_number_literal] = ACTIONS(3289),
    [anon_sym_L_SQUOTE] = ACTIONS(3289),
    [anon_sym_u_SQUOTE] = ACTIONS(3289),
    [anon_sym_U_SQUOTE] = ACTIONS(3289),
    [anon_sym_u8_SQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_L_DQUOTE] = ACTIONS(3289),
    [anon_sym_u_DQUOTE] = ACTIONS(3289),
    [anon_sym_U_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8_DQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [anon_sym_NULL] = ACTIONS(3287),
    [anon_sym_nullptr] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
    [anon_sym_concept] = ACTIONS(3287),
    [anon_sym_co_return] = ACTIONS(3287),
    [anon_sym_co_yield] = ACTIONS(3287),
    [anon_sym_R_DQUOTE] = ACTIONS(3289),
    [anon_sym_LR_DQUOTE] = ACTIONS(3289),
    [anon_sym_uR_DQUOTE] = ACTIONS(3289),
    [anon_sym_UR_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3289),
    [anon_sym_co_await] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_requires] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
  },
  [580] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_include_token1] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [aux_sym_preproc_else_token1] = ACTIONS(3283),
    [aux_sym_preproc_elif_token1] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym___cdecl] = ACTIONS(3283),
    [anon_sym___clrcall] = ACTIONS(3283),
    [anon_sym___stdcall] = ACTIONS(3283),
    [anon_sym___fastcall] = ACTIONS(3283),
    [anon_sym___thiscall] = ACTIONS(3283),
    [anon_sym___vectorcall] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_goto] = ACTIONS(3283),
    [anon_sym___try] = ACTIONS(3283),
    [anon_sym___leave] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(3283),
    [anon_sym_compl] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3283),
    [anon_sym___alignof__] = ACTIONS(3283),
    [anon_sym___alignof] = ACTIONS(3283),
    [anon_sym__alignof] = ACTIONS(3283),
    [anon_sym_alignof] = ACTIONS(3283),
    [anon_sym__Alignof] = ACTIONS(3283),
    [anon_sym_offsetof] = ACTIONS(3283),
    [anon_sym__Generic] = ACTIONS(3283),
    [anon_sym_asm] = ACTIONS(3283),
    [anon_sym___asm__] = ACTIONS(3283),
    [sym_number_literal] = ACTIONS(3285),
    [anon_sym_L_SQUOTE] = ACTIONS(3285),
    [anon_sym_u_SQUOTE] = ACTIONS(3285),
    [anon_sym_U_SQUOTE] = ACTIONS(3285),
    [anon_sym_u8_SQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_L_DQUOTE] = ACTIONS(3285),
    [anon_sym_u_DQUOTE] = ACTIONS(3285),
    [anon_sym_U_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8_DQUOTE] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [anon_sym_NULL] = ACTIONS(3283),
    [anon_sym_nullptr] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
    [anon_sym_concept] = ACTIONS(3283),
    [anon_sym_co_return] = ACTIONS(3283),
    [anon_sym_co_yield] = ACTIONS(3283),
    [anon_sym_R_DQUOTE] = ACTIONS(3285),
    [anon_sym_LR_DQUOTE] = ACTIONS(3285),
    [anon_sym_uR_DQUOTE] = ACTIONS(3285),
    [anon_sym_UR_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3285),
    [anon_sym_co_await] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_requires] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [aux_sym_preproc_else_token1] = ACTIONS(3249),
    [aux_sym_preproc_elif_token1] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_include_token1] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [aux_sym_preproc_else_token1] = ACTIONS(3275),
    [aux_sym_preproc_elif_token1] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym___cdecl] = ACTIONS(3275),
    [anon_sym___clrcall] = ACTIONS(3275),
    [anon_sym___stdcall] = ACTIONS(3275),
    [anon_sym___fastcall] = ACTIONS(3275),
    [anon_sym___thiscall] = ACTIONS(3275),
    [anon_sym___vectorcall] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_goto] = ACTIONS(3275),
    [anon_sym___try] = ACTIONS(3275),
    [anon_sym___leave] = ACTIONS(3275),
    [anon_sym_not] = ACTIONS(3275),
    [anon_sym_compl] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3275),
    [anon_sym___alignof__] = ACTIONS(3275),
    [anon_sym___alignof] = ACTIONS(3275),
    [anon_sym__alignof] = ACTIONS(3275),
    [anon_sym_alignof] = ACTIONS(3275),
    [anon_sym__Alignof] = ACTIONS(3275),
    [anon_sym_offsetof] = ACTIONS(3275),
    [anon_sym__Generic] = ACTIONS(3275),
    [anon_sym_asm] = ACTIONS(3275),
    [anon_sym___asm__] = ACTIONS(3275),
    [sym_number_literal] = ACTIONS(3277),
    [anon_sym_L_SQUOTE] = ACTIONS(3277),
    [anon_sym_u_SQUOTE] = ACTIONS(3277),
    [anon_sym_U_SQUOTE] = ACTIONS(3277),
    [anon_sym_u8_SQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_L_DQUOTE] = ACTIONS(3277),
    [anon_sym_u_DQUOTE] = ACTIONS(3277),
    [anon_sym_U_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8_DQUOTE] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [anon_sym_NULL] = ACTIONS(3275),
    [anon_sym_nullptr] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
    [anon_sym_concept] = ACTIONS(3275),
    [anon_sym_co_return] = ACTIONS(3275),
    [anon_sym_co_yield] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(3277),
    [anon_sym_LR_DQUOTE] = ACTIONS(3277),
    [anon_sym_uR_DQUOTE] = ACTIONS(3277),
    [anon_sym_UR_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3277),
    [anon_sym_co_await] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_requires] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token2] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [aux_sym_preproc_else_token1] = ACTIONS(3340),
    [aux_sym_preproc_elif_token1] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym___try] = ACTIONS(3340),
    [anon_sym___leave] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [587] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_unaligned_ptr_modifier] = STATE(4985),
    [sym_ms_pointer_modifier] = STATE(4044),
    [sym__declarator] = STATE(7217),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_type_qualifier] = STATE(4818),
    [sym__expression] = STATE(3701),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6490),
    [sym_qualified_identifier] = STATE(3889),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(4164),
    [aux_sym__type_definition_type_repeat1] = STATE(4818),
    [aux_sym_pointer_declarator_repeat1] = STATE(4044),
    [sym_identifier] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(3517),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3519),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3519),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3519),
    [anon_sym__unaligned] = ACTIONS(3521),
    [anon_sym___unaligned] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(3517),
    [anon_sym_constexpr] = ACTIONS(3517),
    [anon_sym_volatile] = ACTIONS(3517),
    [anon_sym_restrict] = ACTIONS(3517),
    [anon_sym___restrict__] = ACTIONS(3517),
    [anon_sym__Atomic] = ACTIONS(3517),
    [anon_sym__Noreturn] = ACTIONS(3517),
    [anon_sym_noreturn] = ACTIONS(3517),
    [anon_sym_mutable] = ACTIONS(3517),
    [anon_sym_constinit] = ACTIONS(3517),
    [anon_sym_consteval] = ACTIONS(3517),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3259),
    [aux_sym_preproc_include_token1] = ACTIONS(3259),
    [aux_sym_preproc_def_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token2] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3259),
    [aux_sym_preproc_else_token1] = ACTIONS(3259),
    [aux_sym_preproc_elif_token1] = ACTIONS(3259),
    [sym_preproc_directive] = ACTIONS(3259),
    [anon_sym_LPAREN2] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3261),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3259),
    [anon_sym_typedef] = ACTIONS(3259),
    [anon_sym_extern] = ACTIONS(3259),
    [anon_sym___attribute__] = ACTIONS(3259),
    [anon_sym_COLON_COLON] = ACTIONS(3261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3261),
    [anon_sym___declspec] = ACTIONS(3259),
    [anon_sym___based] = ACTIONS(3259),
    [anon_sym___cdecl] = ACTIONS(3259),
    [anon_sym___clrcall] = ACTIONS(3259),
    [anon_sym___stdcall] = ACTIONS(3259),
    [anon_sym___fastcall] = ACTIONS(3259),
    [anon_sym___thiscall] = ACTIONS(3259),
    [anon_sym___vectorcall] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3259),
    [anon_sym_unsigned] = ACTIONS(3259),
    [anon_sym_long] = ACTIONS(3259),
    [anon_sym_short] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_register] = ACTIONS(3259),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym___inline] = ACTIONS(3259),
    [anon_sym___inline__] = ACTIONS(3259),
    [anon_sym___forceinline] = ACTIONS(3259),
    [anon_sym_thread_local] = ACTIONS(3259),
    [anon_sym___thread] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_constexpr] = ACTIONS(3259),
    [anon_sym_volatile] = ACTIONS(3259),
    [anon_sym_restrict] = ACTIONS(3259),
    [anon_sym___restrict__] = ACTIONS(3259),
    [anon_sym__Atomic] = ACTIONS(3259),
    [anon_sym__Noreturn] = ACTIONS(3259),
    [anon_sym_noreturn] = ACTIONS(3259),
    [anon_sym_mutable] = ACTIONS(3259),
    [anon_sym_constinit] = ACTIONS(3259),
    [anon_sym_consteval] = ACTIONS(3259),
    [sym_primitive_type] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_struct] = ACTIONS(3259),
    [anon_sym_union] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_goto] = ACTIONS(3259),
    [anon_sym___try] = ACTIONS(3259),
    [anon_sym___leave] = ACTIONS(3259),
    [anon_sym_not] = ACTIONS(3259),
    [anon_sym_compl] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3259),
    [anon_sym___alignof__] = ACTIONS(3259),
    [anon_sym___alignof] = ACTIONS(3259),
    [anon_sym__alignof] = ACTIONS(3259),
    [anon_sym_alignof] = ACTIONS(3259),
    [anon_sym__Alignof] = ACTIONS(3259),
    [anon_sym_offsetof] = ACTIONS(3259),
    [anon_sym__Generic] = ACTIONS(3259),
    [anon_sym_asm] = ACTIONS(3259),
    [anon_sym___asm__] = ACTIONS(3259),
    [sym_number_literal] = ACTIONS(3261),
    [anon_sym_L_SQUOTE] = ACTIONS(3261),
    [anon_sym_u_SQUOTE] = ACTIONS(3261),
    [anon_sym_U_SQUOTE] = ACTIONS(3261),
    [anon_sym_u8_SQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_L_DQUOTE] = ACTIONS(3261),
    [anon_sym_u_DQUOTE] = ACTIONS(3261),
    [anon_sym_U_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8_DQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [anon_sym_NULL] = ACTIONS(3259),
    [anon_sym_nullptr] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3259),
    [anon_sym_decltype] = ACTIONS(3259),
    [anon_sym_virtual] = ACTIONS(3259),
    [anon_sym_alignas] = ACTIONS(3259),
    [anon_sym_explicit] = ACTIONS(3259),
    [anon_sym_typename] = ACTIONS(3259),
    [anon_sym_template] = ACTIONS(3259),
    [anon_sym_operator] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_static_assert] = ACTIONS(3259),
    [anon_sym_concept] = ACTIONS(3259),
    [anon_sym_co_return] = ACTIONS(3259),
    [anon_sym_co_yield] = ACTIONS(3259),
    [anon_sym_R_DQUOTE] = ACTIONS(3261),
    [anon_sym_LR_DQUOTE] = ACTIONS(3261),
    [anon_sym_uR_DQUOTE] = ACTIONS(3261),
    [anon_sym_UR_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3261),
    [anon_sym_co_await] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_requires] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3267),
    [aux_sym_preproc_include_token1] = ACTIONS(3267),
    [aux_sym_preproc_def_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token2] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3267),
    [aux_sym_preproc_else_token1] = ACTIONS(3267),
    [aux_sym_preproc_elif_token1] = ACTIONS(3267),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3267),
    [anon_sym_typedef] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym___attribute__] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3269),
    [anon_sym___declspec] = ACTIONS(3267),
    [anon_sym___based] = ACTIONS(3267),
    [anon_sym___cdecl] = ACTIONS(3267),
    [anon_sym___clrcall] = ACTIONS(3267),
    [anon_sym___stdcall] = ACTIONS(3267),
    [anon_sym___fastcall] = ACTIONS(3267),
    [anon_sym___thiscall] = ACTIONS(3267),
    [anon_sym___vectorcall] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3267),
    [anon_sym_unsigned] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_register] = ACTIONS(3267),
    [anon_sym_inline] = ACTIONS(3267),
    [anon_sym___inline] = ACTIONS(3267),
    [anon_sym___inline__] = ACTIONS(3267),
    [anon_sym___forceinline] = ACTIONS(3267),
    [anon_sym_thread_local] = ACTIONS(3267),
    [anon_sym___thread] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_constexpr] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_restrict] = ACTIONS(3267),
    [anon_sym___restrict__] = ACTIONS(3267),
    [anon_sym__Atomic] = ACTIONS(3267),
    [anon_sym__Noreturn] = ACTIONS(3267),
    [anon_sym_noreturn] = ACTIONS(3267),
    [anon_sym_mutable] = ACTIONS(3267),
    [anon_sym_constinit] = ACTIONS(3267),
    [anon_sym_consteval] = ACTIONS(3267),
    [sym_primitive_type] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_union] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_goto] = ACTIONS(3267),
    [anon_sym___try] = ACTIONS(3267),
    [anon_sym___leave] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3267),
    [anon_sym_compl] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3267),
    [anon_sym___alignof__] = ACTIONS(3267),
    [anon_sym___alignof] = ACTIONS(3267),
    [anon_sym__alignof] = ACTIONS(3267),
    [anon_sym_alignof] = ACTIONS(3267),
    [anon_sym__Alignof] = ACTIONS(3267),
    [anon_sym_offsetof] = ACTIONS(3267),
    [anon_sym__Generic] = ACTIONS(3267),
    [anon_sym_asm] = ACTIONS(3267),
    [anon_sym___asm__] = ACTIONS(3267),
    [sym_number_literal] = ACTIONS(3269),
    [anon_sym_L_SQUOTE] = ACTIONS(3269),
    [anon_sym_u_SQUOTE] = ACTIONS(3269),
    [anon_sym_U_SQUOTE] = ACTIONS(3269),
    [anon_sym_u8_SQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_L_DQUOTE] = ACTIONS(3269),
    [anon_sym_u_DQUOTE] = ACTIONS(3269),
    [anon_sym_U_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8_DQUOTE] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [anon_sym_NULL] = ACTIONS(3267),
    [anon_sym_nullptr] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3267),
    [anon_sym_decltype] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_typename] = ACTIONS(3267),
    [anon_sym_template] = ACTIONS(3267),
    [anon_sym_operator] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static_assert] = ACTIONS(3267),
    [anon_sym_concept] = ACTIONS(3267),
    [anon_sym_co_return] = ACTIONS(3267),
    [anon_sym_co_yield] = ACTIONS(3267),
    [anon_sym_R_DQUOTE] = ACTIONS(3269),
    [anon_sym_LR_DQUOTE] = ACTIONS(3269),
    [anon_sym_uR_DQUOTE] = ACTIONS(3269),
    [anon_sym_UR_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3269),
    [anon_sym_co_await] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_requires] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [591] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [592] = {
    [sym_identifier] = ACTIONS(3271),
    [aux_sym_preproc_include_token1] = ACTIONS(3271),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token2] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3271),
    [aux_sym_preproc_else_token1] = ACTIONS(3271),
    [aux_sym_preproc_elif_token1] = ACTIONS(3271),
    [sym_preproc_directive] = ACTIONS(3271),
    [anon_sym_LPAREN2] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym___extension__] = ACTIONS(3271),
    [anon_sym_typedef] = ACTIONS(3271),
    [anon_sym_extern] = ACTIONS(3271),
    [anon_sym___attribute__] = ACTIONS(3271),
    [anon_sym_COLON_COLON] = ACTIONS(3273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3273),
    [anon_sym___declspec] = ACTIONS(3271),
    [anon_sym___based] = ACTIONS(3271),
    [anon_sym___cdecl] = ACTIONS(3271),
    [anon_sym___clrcall] = ACTIONS(3271),
    [anon_sym___stdcall] = ACTIONS(3271),
    [anon_sym___fastcall] = ACTIONS(3271),
    [anon_sym___thiscall] = ACTIONS(3271),
    [anon_sym___vectorcall] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_signed] = ACTIONS(3271),
    [anon_sym_unsigned] = ACTIONS(3271),
    [anon_sym_long] = ACTIONS(3271),
    [anon_sym_short] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_register] = ACTIONS(3271),
    [anon_sym_inline] = ACTIONS(3271),
    [anon_sym___inline] = ACTIONS(3271),
    [anon_sym___inline__] = ACTIONS(3271),
    [anon_sym___forceinline] = ACTIONS(3271),
    [anon_sym_thread_local] = ACTIONS(3271),
    [anon_sym___thread] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_constexpr] = ACTIONS(3271),
    [anon_sym_volatile] = ACTIONS(3271),
    [anon_sym_restrict] = ACTIONS(3271),
    [anon_sym___restrict__] = ACTIONS(3271),
    [anon_sym__Atomic] = ACTIONS(3271),
    [anon_sym__Noreturn] = ACTIONS(3271),
    [anon_sym_noreturn] = ACTIONS(3271),
    [anon_sym_mutable] = ACTIONS(3271),
    [anon_sym_constinit] = ACTIONS(3271),
    [anon_sym_consteval] = ACTIONS(3271),
    [sym_primitive_type] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_struct] = ACTIONS(3271),
    [anon_sym_union] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_goto] = ACTIONS(3271),
    [anon_sym___try] = ACTIONS(3271),
    [anon_sym___leave] = ACTIONS(3271),
    [anon_sym_not] = ACTIONS(3271),
    [anon_sym_compl] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3271),
    [anon_sym___alignof__] = ACTIONS(3271),
    [anon_sym___alignof] = ACTIONS(3271),
    [anon_sym__alignof] = ACTIONS(3271),
    [anon_sym_alignof] = ACTIONS(3271),
    [anon_sym__Alignof] = ACTIONS(3271),
    [anon_sym_offsetof] = ACTIONS(3271),
    [anon_sym__Generic] = ACTIONS(3271),
    [anon_sym_asm] = ACTIONS(3271),
    [anon_sym___asm__] = ACTIONS(3271),
    [sym_number_literal] = ACTIONS(3273),
    [anon_sym_L_SQUOTE] = ACTIONS(3273),
    [anon_sym_u_SQUOTE] = ACTIONS(3273),
    [anon_sym_U_SQUOTE] = ACTIONS(3273),
    [anon_sym_u8_SQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_L_DQUOTE] = ACTIONS(3273),
    [anon_sym_u_DQUOTE] = ACTIONS(3273),
    [anon_sym_U_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8_DQUOTE] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [anon_sym_NULL] = ACTIONS(3271),
    [anon_sym_nullptr] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3271),
    [anon_sym_decltype] = ACTIONS(3271),
    [anon_sym_virtual] = ACTIONS(3271),
    [anon_sym_alignas] = ACTIONS(3271),
    [anon_sym_explicit] = ACTIONS(3271),
    [anon_sym_typename] = ACTIONS(3271),
    [anon_sym_template] = ACTIONS(3271),
    [anon_sym_operator] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_static_assert] = ACTIONS(3271),
    [anon_sym_concept] = ACTIONS(3271),
    [anon_sym_co_return] = ACTIONS(3271),
    [anon_sym_co_yield] = ACTIONS(3271),
    [anon_sym_R_DQUOTE] = ACTIONS(3273),
    [anon_sym_LR_DQUOTE] = ACTIONS(3273),
    [anon_sym_uR_DQUOTE] = ACTIONS(3273),
    [anon_sym_UR_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3273),
    [anon_sym_co_await] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_requires] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
  },
  [593] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3321),
    [aux_sym_preproc_include_token1] = ACTIONS(3321),
    [aux_sym_preproc_def_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token2] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3321),
    [aux_sym_preproc_else_token1] = ACTIONS(3321),
    [aux_sym_preproc_elif_token1] = ACTIONS(3321),
    [sym_preproc_directive] = ACTIONS(3321),
    [anon_sym_LPAREN2] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3321),
    [anon_sym_typedef] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym___attribute__] = ACTIONS(3321),
    [anon_sym_COLON_COLON] = ACTIONS(3323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3323),
    [anon_sym___declspec] = ACTIONS(3321),
    [anon_sym___based] = ACTIONS(3321),
    [anon_sym___cdecl] = ACTIONS(3321),
    [anon_sym___clrcall] = ACTIONS(3321),
    [anon_sym___stdcall] = ACTIONS(3321),
    [anon_sym___fastcall] = ACTIONS(3321),
    [anon_sym___thiscall] = ACTIONS(3321),
    [anon_sym___vectorcall] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3321),
    [anon_sym_unsigned] = ACTIONS(3321),
    [anon_sym_long] = ACTIONS(3321),
    [anon_sym_short] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_register] = ACTIONS(3321),
    [anon_sym_inline] = ACTIONS(3321),
    [anon_sym___inline] = ACTIONS(3321),
    [anon_sym___inline__] = ACTIONS(3321),
    [anon_sym___forceinline] = ACTIONS(3321),
    [anon_sym_thread_local] = ACTIONS(3321),
    [anon_sym___thread] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_constexpr] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_restrict] = ACTIONS(3321),
    [anon_sym___restrict__] = ACTIONS(3321),
    [anon_sym__Atomic] = ACTIONS(3321),
    [anon_sym__Noreturn] = ACTIONS(3321),
    [anon_sym_noreturn] = ACTIONS(3321),
    [anon_sym_mutable] = ACTIONS(3321),
    [anon_sym_constinit] = ACTIONS(3321),
    [anon_sym_consteval] = ACTIONS(3321),
    [sym_primitive_type] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_union] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym___try] = ACTIONS(3321),
    [anon_sym___leave] = ACTIONS(3321),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_compl] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym___alignof__] = ACTIONS(3321),
    [anon_sym___alignof] = ACTIONS(3321),
    [anon_sym__alignof] = ACTIONS(3321),
    [anon_sym_alignof] = ACTIONS(3321),
    [anon_sym__Alignof] = ACTIONS(3321),
    [anon_sym_offsetof] = ACTIONS(3321),
    [anon_sym__Generic] = ACTIONS(3321),
    [anon_sym_asm] = ACTIONS(3321),
    [anon_sym___asm__] = ACTIONS(3321),
    [sym_number_literal] = ACTIONS(3323),
    [anon_sym_L_SQUOTE] = ACTIONS(3323),
    [anon_sym_u_SQUOTE] = ACTIONS(3323),
    [anon_sym_U_SQUOTE] = ACTIONS(3323),
    [anon_sym_u8_SQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [anon_sym_NULL] = ACTIONS(3321),
    [anon_sym_nullptr] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3321),
    [anon_sym_decltype] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_alignas] = ACTIONS(3321),
    [anon_sym_explicit] = ACTIONS(3321),
    [anon_sym_typename] = ACTIONS(3321),
    [anon_sym_template] = ACTIONS(3321),
    [anon_sym_operator] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_static_assert] = ACTIONS(3321),
    [anon_sym_concept] = ACTIONS(3321),
    [anon_sym_co_return] = ACTIONS(3321),
    [anon_sym_co_yield] = ACTIONS(3321),
    [anon_sym_R_DQUOTE] = ACTIONS(3323),
    [anon_sym_LR_DQUOTE] = ACTIONS(3323),
    [anon_sym_uR_DQUOTE] = ACTIONS(3323),
    [anon_sym_UR_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3323),
    [anon_sym_co_await] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_requires] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
  },
  [598] = {
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_include_token1] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token2] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3325),
    [aux_sym_preproc_else_token1] = ACTIONS(3325),
    [aux_sym_preproc_elif_token1] = ACTIONS(3325),
    [sym_preproc_directive] = ACTIONS(3325),
    [anon_sym_LPAREN2] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3325),
    [anon_sym_typedef] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym___attribute__] = ACTIONS(3325),
    [anon_sym_COLON_COLON] = ACTIONS(3327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3327),
    [anon_sym___declspec] = ACTIONS(3325),
    [anon_sym___based] = ACTIONS(3325),
    [anon_sym___cdecl] = ACTIONS(3325),
    [anon_sym___clrcall] = ACTIONS(3325),
    [anon_sym___stdcall] = ACTIONS(3325),
    [anon_sym___fastcall] = ACTIONS(3325),
    [anon_sym___thiscall] = ACTIONS(3325),
    [anon_sym___vectorcall] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3325),
    [anon_sym_unsigned] = ACTIONS(3325),
    [anon_sym_long] = ACTIONS(3325),
    [anon_sym_short] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_register] = ACTIONS(3325),
    [anon_sym_inline] = ACTIONS(3325),
    [anon_sym___inline] = ACTIONS(3325),
    [anon_sym___inline__] = ACTIONS(3325),
    [anon_sym___forceinline] = ACTIONS(3325),
    [anon_sym_thread_local] = ACTIONS(3325),
    [anon_sym___thread] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_constexpr] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_restrict] = ACTIONS(3325),
    [anon_sym___restrict__] = ACTIONS(3325),
    [anon_sym__Atomic] = ACTIONS(3325),
    [anon_sym__Noreturn] = ACTIONS(3325),
    [anon_sym_noreturn] = ACTIONS(3325),
    [anon_sym_mutable] = ACTIONS(3325),
    [anon_sym_constinit] = ACTIONS(3325),
    [anon_sym_consteval] = ACTIONS(3325),
    [sym_primitive_type] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_union] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym___try] = ACTIONS(3325),
    [anon_sym___leave] = ACTIONS(3325),
    [anon_sym_not] = ACTIONS(3325),
    [anon_sym_compl] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym___alignof__] = ACTIONS(3325),
    [anon_sym___alignof] = ACTIONS(3325),
    [anon_sym__alignof] = ACTIONS(3325),
    [anon_sym_alignof] = ACTIONS(3325),
    [anon_sym__Alignof] = ACTIONS(3325),
    [anon_sym_offsetof] = ACTIONS(3325),
    [anon_sym__Generic] = ACTIONS(3325),
    [anon_sym_asm] = ACTIONS(3325),
    [anon_sym___asm__] = ACTIONS(3325),
    [sym_number_literal] = ACTIONS(3327),
    [anon_sym_L_SQUOTE] = ACTIONS(3327),
    [anon_sym_u_SQUOTE] = ACTIONS(3327),
    [anon_sym_U_SQUOTE] = ACTIONS(3327),
    [anon_sym_u8_SQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_L_DQUOTE] = ACTIONS(3327),
    [anon_sym_u_DQUOTE] = ACTIONS(3327),
    [anon_sym_U_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8_DQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [anon_sym_NULL] = ACTIONS(3325),
    [anon_sym_nullptr] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3325),
    [anon_sym_decltype] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_alignas] = ACTIONS(3325),
    [anon_sym_explicit] = ACTIONS(3325),
    [anon_sym_typename] = ACTIONS(3325),
    [anon_sym_template] = ACTIONS(3325),
    [anon_sym_operator] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_static_assert] = ACTIONS(3325),
    [anon_sym_concept] = ACTIONS(3325),
    [anon_sym_co_return] = ACTIONS(3325),
    [anon_sym_co_yield] = ACTIONS(3325),
    [anon_sym_R_DQUOTE] = ACTIONS(3327),
    [anon_sym_LR_DQUOTE] = ACTIONS(3327),
    [anon_sym_uR_DQUOTE] = ACTIONS(3327),
    [anon_sym_UR_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3327),
    [anon_sym_co_await] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_requires] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
  },
  [599] = {
    [sym_identifier] = ACTIONS(3336),
    [aux_sym_preproc_include_token1] = ACTIONS(3336),
    [aux_sym_preproc_def_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token2] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [aux_sym_preproc_else_token1] = ACTIONS(3336),
    [aux_sym_preproc_elif_token1] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3336),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_typedef] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym___attribute__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3336),
    [anon_sym___based] = ACTIONS(3336),
    [anon_sym___cdecl] = ACTIONS(3336),
    [anon_sym___clrcall] = ACTIONS(3336),
    [anon_sym___stdcall] = ACTIONS(3336),
    [anon_sym___fastcall] = ACTIONS(3336),
    [anon_sym___thiscall] = ACTIONS(3336),
    [anon_sym___vectorcall] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3336),
    [anon_sym_unsigned] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_register] = ACTIONS(3336),
    [anon_sym_inline] = ACTIONS(3336),
    [anon_sym___inline] = ACTIONS(3336),
    [anon_sym___inline__] = ACTIONS(3336),
    [anon_sym___forceinline] = ACTIONS(3336),
    [anon_sym_thread_local] = ACTIONS(3336),
    [anon_sym___thread] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_constexpr] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_restrict] = ACTIONS(3336),
    [anon_sym___restrict__] = ACTIONS(3336),
    [anon_sym__Atomic] = ACTIONS(3336),
    [anon_sym__Noreturn] = ACTIONS(3336),
    [anon_sym_noreturn] = ACTIONS(3336),
    [anon_sym_mutable] = ACTIONS(3336),
    [anon_sym_constinit] = ACTIONS(3336),
    [anon_sym_consteval] = ACTIONS(3336),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_union] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_goto] = ACTIONS(3336),
    [anon_sym___try] = ACTIONS(3336),
    [anon_sym___leave] = ACTIONS(3336),
    [anon_sym_not] = ACTIONS(3336),
    [anon_sym_compl] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3336),
    [anon_sym___alignof__] = ACTIONS(3336),
    [anon_sym___alignof] = ACTIONS(3336),
    [anon_sym__alignof] = ACTIONS(3336),
    [anon_sym_alignof] = ACTIONS(3336),
    [anon_sym__Alignof] = ACTIONS(3336),
    [anon_sym_offsetof] = ACTIONS(3336),
    [anon_sym__Generic] = ACTIONS(3336),
    [anon_sym_asm] = ACTIONS(3336),
    [anon_sym___asm__] = ACTIONS(3336),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [anon_sym_NULL] = ACTIONS(3336),
    [anon_sym_nullptr] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3336),
    [anon_sym_decltype] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_alignas] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_typename] = ACTIONS(3336),
    [anon_sym_template] = ACTIONS(3336),
    [anon_sym_operator] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static_assert] = ACTIONS(3336),
    [anon_sym_concept] = ACTIONS(3336),
    [anon_sym_co_return] = ACTIONS(3336),
    [anon_sym_co_yield] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
  },
  [600] = {
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(3525),
    [anon_sym_extern] = ACTIONS(3525),
    [anon_sym___attribute__] = ACTIONS(3525),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3527),
    [anon_sym___declspec] = ACTIONS(3525),
    [anon_sym_signed] = ACTIONS(3525),
    [anon_sym_unsigned] = ACTIONS(3525),
    [anon_sym_long] = ACTIONS(3525),
    [anon_sym_short] = ACTIONS(3525),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3525),
    [anon_sym_register] = ACTIONS(3525),
    [anon_sym_inline] = ACTIONS(3525),
    [anon_sym___inline] = ACTIONS(3525),
    [anon_sym___inline__] = ACTIONS(3525),
    [anon_sym___forceinline] = ACTIONS(3525),
    [anon_sym_thread_local] = ACTIONS(3525),
    [anon_sym___thread] = ACTIONS(3525),
    [anon_sym_const] = ACTIONS(3525),
    [anon_sym_constexpr] = ACTIONS(3525),
    [anon_sym_volatile] = ACTIONS(3525),
    [anon_sym_restrict] = ACTIONS(3525),
    [anon_sym___restrict__] = ACTIONS(3525),
    [anon_sym__Atomic] = ACTIONS(3525),
    [anon_sym__Noreturn] = ACTIONS(3525),
    [anon_sym_noreturn] = ACTIONS(3525),
    [anon_sym_mutable] = ACTIONS(3525),
    [anon_sym_constinit] = ACTIONS(3525),
    [anon_sym_consteval] = ACTIONS(3525),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(3525),
    [anon_sym_class] = ACTIONS(3525),
    [anon_sym_struct] = ACTIONS(3525),
    [anon_sym_union] = ACTIONS(3525),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3525),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(3525),
    [anon_sym_alignas] = ACTIONS(3525),
    [anon_sym_typename] = ACTIONS(3525),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [601] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_include_token1] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token2] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [aux_sym_preproc_else_token1] = ACTIONS(3344),
    [aux_sym_preproc_elif_token1] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym___cdecl] = ACTIONS(3344),
    [anon_sym___clrcall] = ACTIONS(3344),
    [anon_sym___stdcall] = ACTIONS(3344),
    [anon_sym___fastcall] = ACTIONS(3344),
    [anon_sym___thiscall] = ACTIONS(3344),
    [anon_sym___vectorcall] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_goto] = ACTIONS(3344),
    [anon_sym___try] = ACTIONS(3344),
    [anon_sym___leave] = ACTIONS(3344),
    [anon_sym_not] = ACTIONS(3344),
    [anon_sym_compl] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_sizeof] = ACTIONS(3344),
    [anon_sym___alignof__] = ACTIONS(3344),
    [anon_sym___alignof] = ACTIONS(3344),
    [anon_sym__alignof] = ACTIONS(3344),
    [anon_sym_alignof] = ACTIONS(3344),
    [anon_sym__Alignof] = ACTIONS(3344),
    [anon_sym_offsetof] = ACTIONS(3344),
    [anon_sym__Generic] = ACTIONS(3344),
    [anon_sym_asm] = ACTIONS(3344),
    [anon_sym___asm__] = ACTIONS(3344),
    [sym_number_literal] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3346),
    [anon_sym_u_SQUOTE] = ACTIONS(3346),
    [anon_sym_U_SQUOTE] = ACTIONS(3346),
    [anon_sym_u8_SQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_L_DQUOTE] = ACTIONS(3346),
    [anon_sym_u_DQUOTE] = ACTIONS(3346),
    [anon_sym_U_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8_DQUOTE] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [anon_sym_NULL] = ACTIONS(3344),
    [anon_sym_nullptr] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
    [anon_sym_concept] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3344),
    [anon_sym_R_DQUOTE] = ACTIONS(3346),
    [anon_sym_LR_DQUOTE] = ACTIONS(3346),
    [anon_sym_uR_DQUOTE] = ACTIONS(3346),
    [anon_sym_UR_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3346),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_requires] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
  },
  [602] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_include_token1] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token2] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3348),
    [aux_sym_preproc_elif_token1] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3350),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym___cdecl] = ACTIONS(3348),
    [anon_sym___clrcall] = ACTIONS(3348),
    [anon_sym___stdcall] = ACTIONS(3348),
    [anon_sym___fastcall] = ACTIONS(3348),
    [anon_sym___thiscall] = ACTIONS(3348),
    [anon_sym___vectorcall] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3350),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_goto] = ACTIONS(3348),
    [anon_sym___try] = ACTIONS(3348),
    [anon_sym___leave] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3348),
    [anon_sym_compl] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3348),
    [anon_sym___alignof__] = ACTIONS(3348),
    [anon_sym___alignof] = ACTIONS(3348),
    [anon_sym__alignof] = ACTIONS(3348),
    [anon_sym_alignof] = ACTIONS(3348),
    [anon_sym__Alignof] = ACTIONS(3348),
    [anon_sym_offsetof] = ACTIONS(3348),
    [anon_sym__Generic] = ACTIONS(3348),
    [anon_sym_asm] = ACTIONS(3348),
    [anon_sym___asm__] = ACTIONS(3348),
    [sym_number_literal] = ACTIONS(3350),
    [anon_sym_L_SQUOTE] = ACTIONS(3350),
    [anon_sym_u_SQUOTE] = ACTIONS(3350),
    [anon_sym_U_SQUOTE] = ACTIONS(3350),
    [anon_sym_u8_SQUOTE] = ACTIONS(3350),
    [anon_sym_SQUOTE] = ACTIONS(3350),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [anon_sym_NULL] = ACTIONS(3348),
    [anon_sym_nullptr] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
    [anon_sym_concept] = ACTIONS(3348),
    [anon_sym_co_return] = ACTIONS(3348),
    [anon_sym_co_yield] = ACTIONS(3348),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_requires] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
  },
  [603] = {
    [sym_else_clause] = STATE(800),
    [ts_builtin_sym_end] = ACTIONS(2857),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_include_token1] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2855),
    [sym_preproc_directive] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym___based] = ACTIONS(2855),
    [anon_sym___cdecl] = ACTIONS(2855),
    [anon_sym___clrcall] = ACTIONS(2855),
    [anon_sym___stdcall] = ACTIONS(2855),
    [anon_sym___fastcall] = ACTIONS(2855),
    [anon_sym___thiscall] = ACTIONS(2855),
    [anon_sym___vectorcall] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(3513),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_case] = ACTIONS(2855),
    [anon_sym_default] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_explicit] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_operator] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_using] = ACTIONS(2855),
    [anon_sym_static_assert] = ACTIONS(2855),
    [anon_sym_concept] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [604] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [605] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [sym_number_literal] = ACTIONS(3379),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [607] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [sym_number_literal] = ACTIONS(3383),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_include_token1] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym___cdecl] = ACTIONS(2861),
    [anon_sym___clrcall] = ACTIONS(2861),
    [anon_sym___stdcall] = ACTIONS(2861),
    [anon_sym___fastcall] = ACTIONS(2861),
    [anon_sym___thiscall] = ACTIONS(2861),
    [anon_sym___vectorcall] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_concept] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [609] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [sym_number_literal] = ACTIONS(3391),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [610] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [sym_number_literal] = ACTIONS(3399),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [611] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [613] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [614] = {
    [sym_else_clause] = STATE(824),
    [sym_identifier] = ACTIONS(2855),
    [aux_sym_preproc_include_token1] = ACTIONS(2855),
    [aux_sym_preproc_def_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token1] = ACTIONS(2855),
    [aux_sym_preproc_if_token2] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2855),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2855),
    [sym_preproc_directive] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym___based] = ACTIONS(2855),
    [anon_sym___cdecl] = ACTIONS(2855),
    [anon_sym___clrcall] = ACTIONS(2855),
    [anon_sym___stdcall] = ACTIONS(2855),
    [anon_sym___fastcall] = ACTIONS(2855),
    [anon_sym___thiscall] = ACTIONS(2855),
    [anon_sym___vectorcall] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(3511),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_case] = ACTIONS(2855),
    [anon_sym_default] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_explicit] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_operator] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_namespace] = ACTIONS(2855),
    [anon_sym_using] = ACTIONS(2855),
    [anon_sym_static_assert] = ACTIONS(2855),
    [anon_sym_concept] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [615] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_include_token1] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [aux_sym_preproc_else_token1] = ACTIONS(3233),
    [aux_sym_preproc_elif_token1] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym___cdecl] = ACTIONS(3233),
    [anon_sym___clrcall] = ACTIONS(3233),
    [anon_sym___stdcall] = ACTIONS(3233),
    [anon_sym___fastcall] = ACTIONS(3233),
    [anon_sym___thiscall] = ACTIONS(3233),
    [anon_sym___vectorcall] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym___try] = ACTIONS(3233),
    [anon_sym___leave] = ACTIONS(3233),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym___alignof__] = ACTIONS(3233),
    [anon_sym___alignof] = ACTIONS(3233),
    [anon_sym__alignof] = ACTIONS(3233),
    [anon_sym_alignof] = ACTIONS(3233),
    [anon_sym__Alignof] = ACTIONS(3233),
    [anon_sym_offsetof] = ACTIONS(3233),
    [anon_sym__Generic] = ACTIONS(3233),
    [anon_sym_asm] = ACTIONS(3233),
    [anon_sym___asm__] = ACTIONS(3233),
    [sym_number_literal] = ACTIONS(3235),
    [anon_sym_L_SQUOTE] = ACTIONS(3235),
    [anon_sym_u_SQUOTE] = ACTIONS(3235),
    [anon_sym_U_SQUOTE] = ACTIONS(3235),
    [anon_sym_u8_SQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_L_DQUOTE] = ACTIONS(3235),
    [anon_sym_u_DQUOTE] = ACTIONS(3235),
    [anon_sym_U_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8_DQUOTE] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [anon_sym_NULL] = ACTIONS(3233),
    [anon_sym_nullptr] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
    [anon_sym_concept] = ACTIONS(3233),
    [anon_sym_co_return] = ACTIONS(3233),
    [anon_sym_co_yield] = ACTIONS(3233),
    [anon_sym_R_DQUOTE] = ACTIONS(3235),
    [anon_sym_LR_DQUOTE] = ACTIONS(3235),
    [anon_sym_uR_DQUOTE] = ACTIONS(3235),
    [anon_sym_UR_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3235),
    [anon_sym_co_await] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_requires] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
  },
  [616] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [aux_sym_preproc_else_token1] = ACTIONS(3401),
    [aux_sym_preproc_elif_token1] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [sym_primitive_type] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [sym_number_literal] = ACTIONS(3403),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_include_token1] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym___cdecl] = ACTIONS(2212),
    [anon_sym___clrcall] = ACTIONS(2212),
    [anon_sym___stdcall] = ACTIONS(2212),
    [anon_sym___fastcall] = ACTIONS(2212),
    [anon_sym___thiscall] = ACTIONS(2212),
    [anon_sym___vectorcall] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_namespace] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_concept] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [618] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_include_token1] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token2] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [aux_sym_preproc_else_token1] = ACTIONS(3225),
    [aux_sym_preproc_elif_token1] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym___cdecl] = ACTIONS(3225),
    [anon_sym___clrcall] = ACTIONS(3225),
    [anon_sym___stdcall] = ACTIONS(3225),
    [anon_sym___fastcall] = ACTIONS(3225),
    [anon_sym___thiscall] = ACTIONS(3225),
    [anon_sym___vectorcall] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym___try] = ACTIONS(3225),
    [anon_sym___leave] = ACTIONS(3225),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_compl] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym___alignof__] = ACTIONS(3225),
    [anon_sym___alignof] = ACTIONS(3225),
    [anon_sym__alignof] = ACTIONS(3225),
    [anon_sym_alignof] = ACTIONS(3225),
    [anon_sym__Alignof] = ACTIONS(3225),
    [anon_sym_offsetof] = ACTIONS(3225),
    [anon_sym__Generic] = ACTIONS(3225),
    [anon_sym_asm] = ACTIONS(3225),
    [anon_sym___asm__] = ACTIONS(3225),
    [sym_number_literal] = ACTIONS(3227),
    [anon_sym_L_SQUOTE] = ACTIONS(3227),
    [anon_sym_u_SQUOTE] = ACTIONS(3227),
    [anon_sym_U_SQUOTE] = ACTIONS(3227),
    [anon_sym_u8_SQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_L_DQUOTE] = ACTIONS(3227),
    [anon_sym_u_DQUOTE] = ACTIONS(3227),
    [anon_sym_U_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8_DQUOTE] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [anon_sym_NULL] = ACTIONS(3225),
    [anon_sym_nullptr] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
    [anon_sym_concept] = ACTIONS(3225),
    [anon_sym_co_return] = ACTIONS(3225),
    [anon_sym_co_yield] = ACTIONS(3225),
    [anon_sym_R_DQUOTE] = ACTIONS(3227),
    [anon_sym_LR_DQUOTE] = ACTIONS(3227),
    [anon_sym_uR_DQUOTE] = ACTIONS(3227),
    [anon_sym_UR_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3227),
    [anon_sym_co_await] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_requires] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
  },
  [619] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_unaligned_ptr_modifier] = STATE(4985),
    [sym_ms_pointer_modifier] = STATE(4044),
    [sym__declarator] = STATE(7217),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_type_qualifier] = STATE(4818),
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3915),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6385),
    [sym_qualified_identifier] = STATE(3842),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(2894),
    [aux_sym__type_definition_type_repeat1] = STATE(4818),
    [aux_sym_pointer_declarator_repeat1] = STATE(4044),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3531),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3517),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3519),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3519),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3519),
    [anon_sym__unaligned] = ACTIONS(3521),
    [anon_sym___unaligned] = ACTIONS(3521),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(3517),
    [anon_sym_constexpr] = ACTIONS(3517),
    [anon_sym_volatile] = ACTIONS(3517),
    [anon_sym_restrict] = ACTIONS(3517),
    [anon_sym___restrict__] = ACTIONS(3517),
    [anon_sym__Atomic] = ACTIONS(3517),
    [anon_sym__Noreturn] = ACTIONS(3517),
    [anon_sym_noreturn] = ACTIONS(3517),
    [anon_sym_mutable] = ACTIONS(3517),
    [anon_sym_constinit] = ACTIONS(3517),
    [anon_sym_consteval] = ACTIONS(3517),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [620] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [aux_sym_preproc_else_token1] = ACTIONS(3185),
    [aux_sym_preproc_elif_token1] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [621] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [aux_sym_preproc_else_token1] = ACTIONS(3405),
    [aux_sym_preproc_elif_token1] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [sym_number_literal] = ACTIONS(3407),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [622] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [aux_sym_preproc_else_token1] = ACTIONS(3393),
    [aux_sym_preproc_elif_token1] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [sym_primitive_type] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [sym_number_literal] = ACTIONS(3395),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [623] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [aux_sym_preproc_else_token1] = ACTIONS(3385),
    [aux_sym_preproc_elif_token1] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [sym_primitive_type] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [sym_number_literal] = ACTIONS(3387),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [624] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [625] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [sym_number_literal] = ACTIONS(3375),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [626] = {
    [sym_type_qualifier] = STATE(4695),
    [sym__type_specifier] = STATE(5685),
    [sym_sized_type_specifier] = STATE(3589),
    [sym_enum_specifier] = STATE(3589),
    [sym_struct_specifier] = STATE(3589),
    [sym_union_specifier] = STATE(3589),
    [sym__expression] = STATE(5333),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_type_descriptor] = STATE(8180),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_placeholder_type_specifier] = STATE(3589),
    [sym_decltype_auto] = STATE(3536),
    [sym_decltype] = STATE(3443),
    [sym_class_specifier] = STATE(3589),
    [sym__class_name] = STATE(8662),
    [sym_dependent_type] = STATE(3589),
    [sym_template_type] = STATE(6175),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_type_parameter_pack_expansion] = STATE(8647),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6471),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(6194),
    [sym_user_defined_literal] = STATE(4226),
    [aux_sym__type_definition_type_repeat1] = STATE(4695),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2886),
    [sym_identifier] = ACTIONS(3409),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_signed] = ACTIONS(3421),
    [anon_sym_unsigned] = ACTIONS(3421),
    [anon_sym_long] = ACTIONS(3421),
    [anon_sym_short] = ACTIONS(3421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3423),
    [anon_sym_enum] = ACTIONS(3425),
    [anon_sym_class] = ACTIONS(3427),
    [anon_sym_struct] = ACTIONS(3429),
    [anon_sym_union] = ACTIONS(3431),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3455),
    [anon_sym_decltype] = ACTIONS(3457),
    [anon_sym_typename] = ACTIONS(3459),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [627] = {
    [sym_identifier] = ACTIONS(3332),
    [aux_sym_preproc_include_token1] = ACTIONS(3332),
    [aux_sym_preproc_def_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token2] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3332),
    [aux_sym_preproc_else_token1] = ACTIONS(3332),
    [aux_sym_preproc_elif_token1] = ACTIONS(3332),
    [sym_preproc_directive] = ACTIONS(3332),
    [anon_sym_LPAREN2] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP_AMP] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(3332),
    [anon_sym_typedef] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym___attribute__] = ACTIONS(3332),
    [anon_sym_COLON_COLON] = ACTIONS(3334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3334),
    [anon_sym___declspec] = ACTIONS(3332),
    [anon_sym___based] = ACTIONS(3332),
    [anon_sym___cdecl] = ACTIONS(3332),
    [anon_sym___clrcall] = ACTIONS(3332),
    [anon_sym___stdcall] = ACTIONS(3332),
    [anon_sym___fastcall] = ACTIONS(3332),
    [anon_sym___thiscall] = ACTIONS(3332),
    [anon_sym___vectorcall] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(3332),
    [anon_sym_unsigned] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_register] = ACTIONS(3332),
    [anon_sym_inline] = ACTIONS(3332),
    [anon_sym___inline] = ACTIONS(3332),
    [anon_sym___inline__] = ACTIONS(3332),
    [anon_sym___forceinline] = ACTIONS(3332),
    [anon_sym_thread_local] = ACTIONS(3332),
    [anon_sym___thread] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_constexpr] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_restrict] = ACTIONS(3332),
    [anon_sym___restrict__] = ACTIONS(3332),
    [anon_sym__Atomic] = ACTIONS(3332),
    [anon_sym__Noreturn] = ACTIONS(3332),
    [anon_sym_noreturn] = ACTIONS(3332),
    [anon_sym_mutable] = ACTIONS(3332),
    [anon_sym_constinit] = ACTIONS(3332),
    [anon_sym_consteval] = ACTIONS(3332),
    [sym_primitive_type] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_union] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_goto] = ACTIONS(3332),
    [anon_sym___try] = ACTIONS(3332),
    [anon_sym___leave] = ACTIONS(3332),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(3332),
    [anon_sym___alignof] = ACTIONS(3332),
    [anon_sym__alignof] = ACTIONS(3332),
    [anon_sym_alignof] = ACTIONS(3332),
    [anon_sym__Alignof] = ACTIONS(3332),
    [anon_sym_offsetof] = ACTIONS(3332),
    [anon_sym__Generic] = ACTIONS(3332),
    [anon_sym_asm] = ACTIONS(3332),
    [anon_sym___asm__] = ACTIONS(3332),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3334),
    [anon_sym_u_SQUOTE] = ACTIONS(3334),
    [anon_sym_U_SQUOTE] = ACTIONS(3334),
    [anon_sym_u8_SQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_L_DQUOTE] = ACTIONS(3334),
    [anon_sym_u_DQUOTE] = ACTIONS(3334),
    [anon_sym_U_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8_DQUOTE] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [anon_sym_NULL] = ACTIONS(3332),
    [anon_sym_nullptr] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3332),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_alignas] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_typename] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_operator] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static_assert] = ACTIONS(3332),
    [anon_sym_concept] = ACTIONS(3332),
    [anon_sym_co_return] = ACTIONS(3332),
    [anon_sym_co_yield] = ACTIONS(3332),
    [anon_sym_R_DQUOTE] = ACTIONS(3334),
    [anon_sym_LR_DQUOTE] = ACTIONS(3334),
    [anon_sym_uR_DQUOTE] = ACTIONS(3334),
    [anon_sym_UR_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3334),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_requires] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2971),
    [aux_sym_preproc_include_token1] = ACTIONS(2971),
    [aux_sym_preproc_def_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym___based] = ACTIONS(2971),
    [anon_sym___cdecl] = ACTIONS(2971),
    [anon_sym___clrcall] = ACTIONS(2971),
    [anon_sym___stdcall] = ACTIONS(2971),
    [anon_sym___fastcall] = ACTIONS(2971),
    [anon_sym___thiscall] = ACTIONS(2971),
    [anon_sym___vectorcall] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_RBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_default] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_explicit] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_operator] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_namespace] = ACTIONS(2971),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2971),
    [anon_sym_concept] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2997),
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2981),
    [sym_identifier] = ACTIONS(2979),
    [aux_sym_preproc_include_token1] = ACTIONS(2979),
    [aux_sym_preproc_def_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym___based] = ACTIONS(2979),
    [anon_sym___cdecl] = ACTIONS(2979),
    [anon_sym___clrcall] = ACTIONS(2979),
    [anon_sym___stdcall] = ACTIONS(2979),
    [anon_sym___fastcall] = ACTIONS(2979),
    [anon_sym___thiscall] = ACTIONS(2979),
    [anon_sym___vectorcall] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_default] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_explicit] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_operator] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_namespace] = ACTIONS(2979),
    [anon_sym_using] = ACTIONS(2979),
    [anon_sym_static_assert] = ACTIONS(2979),
    [anon_sym_concept] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [633] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9662),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9662),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2957),
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [636] = {
    [sym_preproc_def] = STATE(651),
    [sym_preproc_function_def] = STATE(651),
    [sym_preproc_call] = STATE(651),
    [sym_preproc_if_in_field_declaration_list] = STATE(651),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(651),
    [sym_preproc_else_in_field_declaration_list] = STATE(9718),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9718),
    [sym_type_definition] = STATE(651),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(651),
    [sym_field_declaration] = STATE(651),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(651),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(651),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(651),
    [sym_operator_cast_declaration] = STATE(651),
    [sym_constructor_or_destructor_definition] = STATE(651),
    [sym_constructor_or_destructor_declaration] = STATE(651),
    [sym_friend_declaration] = STATE(651),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(651),
    [sym_alias_declaration] = STATE(651),
    [sym_static_assert_declaration] = STATE(651),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(651),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2953),
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2977),
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [642] = {
    [sym_preproc_def] = STATE(643),
    [sym_preproc_function_def] = STATE(643),
    [sym_preproc_call] = STATE(643),
    [sym_preproc_if_in_field_declaration_list] = STATE(643),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(643),
    [sym_preproc_else_in_field_declaration_list] = STATE(8959),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8959),
    [sym_type_definition] = STATE(643),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(643),
    [sym_field_declaration] = STATE(643),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(643),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(643),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(643),
    [sym_operator_cast_declaration] = STATE(643),
    [sym_constructor_or_destructor_definition] = STATE(643),
    [sym_constructor_or_destructor_declaration] = STATE(643),
    [sym_friend_declaration] = STATE(643),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(643),
    [sym_alias_declaration] = STATE(643),
    [sym_static_assert_declaration] = STATE(643),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(643),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [643] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9085),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9085),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_RBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token2] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2961),
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [651] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9387),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9387),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [653] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(9295),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9295),
    [sym_type_definition] = STATE(633),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(633),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(633),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(633),
    [sym_operator_cast_declaration] = STATE(633),
    [sym_constructor_or_destructor_definition] = STATE(633),
    [sym_constructor_or_destructor_declaration] = STATE(633),
    [sym_friend_declaration] = STATE(633),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(633),
    [sym_alias_declaration] = STATE(633),
    [sym_static_assert_declaration] = STATE(633),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [654] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9500),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9500),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2939),
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2993),
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [669] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [670] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2995),
    [aux_sym_preproc_include_token1] = ACTIONS(2995),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2995),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2995),
    [sym_preproc_directive] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP_AMP] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2995),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym___based] = ACTIONS(2995),
    [anon_sym___cdecl] = ACTIONS(2995),
    [anon_sym___clrcall] = ACTIONS(2995),
    [anon_sym___stdcall] = ACTIONS(2995),
    [anon_sym___fastcall] = ACTIONS(2995),
    [anon_sym___thiscall] = ACTIONS(2995),
    [anon_sym___vectorcall] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_RBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_case] = ACTIONS(2995),
    [anon_sym_default] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_explicit] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_operator] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_namespace] = ACTIONS(2995),
    [anon_sym_using] = ACTIONS(2995),
    [anon_sym_static_assert] = ACTIONS(2995),
    [anon_sym_concept] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [681] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [686] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_include_token1] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym___cdecl] = ACTIONS(2873),
    [anon_sym___clrcall] = ACTIONS(2873),
    [anon_sym___stdcall] = ACTIONS(2873),
    [anon_sym___fastcall] = ACTIONS(2873),
    [anon_sym___thiscall] = ACTIONS(2873),
    [anon_sym___vectorcall] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
    [anon_sym_concept] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(3001),
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_RBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2979),
    [aux_sym_preproc_include_token1] = ACTIONS(2979),
    [aux_sym_preproc_def_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym___based] = ACTIONS(2979),
    [anon_sym___cdecl] = ACTIONS(2979),
    [anon_sym___clrcall] = ACTIONS(2979),
    [anon_sym___stdcall] = ACTIONS(2979),
    [anon_sym___fastcall] = ACTIONS(2979),
    [anon_sym___thiscall] = ACTIONS(2979),
    [anon_sym___vectorcall] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_RBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_default] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_explicit] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_operator] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_namespace] = ACTIONS(2979),
    [anon_sym_using] = ACTIONS(2979),
    [anon_sym_static_assert] = ACTIONS(2979),
    [anon_sym_concept] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2999),
    [aux_sym_preproc_include_token1] = ACTIONS(2999),
    [aux_sym_preproc_def_token1] = ACTIONS(2999),
    [aux_sym_preproc_if_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2999),
    [sym_preproc_directive] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(2999),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym___based] = ACTIONS(2999),
    [anon_sym___cdecl] = ACTIONS(2999),
    [anon_sym___clrcall] = ACTIONS(2999),
    [anon_sym___stdcall] = ACTIONS(2999),
    [anon_sym___fastcall] = ACTIONS(2999),
    [anon_sym___thiscall] = ACTIONS(2999),
    [anon_sym___vectorcall] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_RBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_case] = ACTIONS(2999),
    [anon_sym_default] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_explicit] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_operator] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_namespace] = ACTIONS(2999),
    [anon_sym_using] = ACTIONS(2999),
    [anon_sym_static_assert] = ACTIONS(2999),
    [anon_sym_concept] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_RBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [698] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_RBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2949),
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_include_token1] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym___cdecl] = ACTIONS(2947),
    [anon_sym___clrcall] = ACTIONS(2947),
    [anon_sym___stdcall] = ACTIONS(2947),
    [anon_sym___fastcall] = ACTIONS(2947),
    [anon_sym___thiscall] = ACTIONS(2947),
    [anon_sym___vectorcall] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_case] = ACTIONS(2947),
    [anon_sym_default] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_namespace] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
    [anon_sym_concept] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [702] = {
    [sym_preproc_def] = STATE(719),
    [sym_preproc_function_def] = STATE(719),
    [sym_preproc_call] = STATE(719),
    [sym_preproc_if_in_field_declaration_list] = STATE(719),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(719),
    [sym_preproc_else_in_field_declaration_list] = STATE(9208),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9208),
    [sym_type_definition] = STATE(719),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(719),
    [sym_field_declaration] = STATE(719),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(719),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(719),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(719),
    [sym_operator_cast_declaration] = STATE(719),
    [sym_constructor_or_destructor_definition] = STATE(719),
    [sym_constructor_or_destructor_declaration] = STATE(719),
    [sym_friend_declaration] = STATE(719),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(719),
    [sym_alias_declaration] = STATE(719),
    [sym_static_assert_declaration] = STATE(719),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_RBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [706] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [707] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [708] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [709] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [710] = {
    [sym_identifier] = ACTIONS(2869),
    [aux_sym_preproc_include_token1] = ACTIONS(2869),
    [aux_sym_preproc_def_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token1] = ACTIONS(2869),
    [aux_sym_preproc_if_token2] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2869),
    [sym_preproc_directive] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym___based] = ACTIONS(2869),
    [anon_sym___cdecl] = ACTIONS(2869),
    [anon_sym___clrcall] = ACTIONS(2869),
    [anon_sym___stdcall] = ACTIONS(2869),
    [anon_sym___fastcall] = ACTIONS(2869),
    [anon_sym___thiscall] = ACTIONS(2869),
    [anon_sym___vectorcall] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_explicit] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_operator] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_static_assert] = ACTIONS(2869),
    [anon_sym_concept] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [711] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [713] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [714] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [717] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [718] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [719] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9176),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9176),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_include_token1] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym___cdecl] = ACTIONS(2877),
    [anon_sym___clrcall] = ACTIONS(2877),
    [anon_sym___stdcall] = ACTIONS(2877),
    [anon_sym___fastcall] = ACTIONS(2877),
    [anon_sym___thiscall] = ACTIONS(2877),
    [anon_sym___vectorcall] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
    [anon_sym_concept] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [726] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [736] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2945),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [740] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [741] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [743] = {
    [sym_preproc_def] = STATE(743),
    [sym_preproc_function_def] = STATE(743),
    [sym_preproc_call] = STATE(743),
    [sym_preproc_if_in_field_declaration_list] = STATE(743),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(743),
    [sym_type_definition] = STATE(743),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6430),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(743),
    [sym_field_declaration] = STATE(743),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(743),
    [sym_operator_cast] = STATE(7512),
    [sym_inline_method_definition] = STATE(743),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(743),
    [sym_operator_cast_declaration] = STATE(743),
    [sym_constructor_or_destructor_definition] = STATE(743),
    [sym_constructor_or_destructor_declaration] = STATE(743),
    [sym_friend_declaration] = STATE(743),
    [sym_access_specifier] = STATE(9391),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(743),
    [sym_alias_declaration] = STATE(743),
    [sym_static_assert_declaration] = STATE(743),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(743),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(3575),
    [aux_sym_preproc_def_token1] = ACTIONS(3578),
    [aux_sym_preproc_if_token1] = ACTIONS(3581),
    [aux_sym_preproc_if_token2] = ACTIONS(3584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3586),
    [aux_sym_preproc_else_token1] = ACTIONS(3584),
    [aux_sym_preproc_elif_token1] = ACTIONS(3584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3584),
    [sym_preproc_directive] = ACTIONS(3589),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3598),
    [anon_sym_AMP_AMP] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3604),
    [anon_sym___extension__] = ACTIONS(3607),
    [anon_sym_typedef] = ACTIONS(3610),
    [anon_sym_extern] = ACTIONS(3613),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3622),
    [anon_sym___declspec] = ACTIONS(3625),
    [anon_sym___based] = ACTIONS(3628),
    [anon_sym_signed] = ACTIONS(3631),
    [anon_sym_unsigned] = ACTIONS(3631),
    [anon_sym_long] = ACTIONS(3631),
    [anon_sym_short] = ACTIONS(3631),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3613),
    [anon_sym_register] = ACTIONS(3613),
    [anon_sym_inline] = ACTIONS(3613),
    [anon_sym___inline] = ACTIONS(3613),
    [anon_sym___inline__] = ACTIONS(3613),
    [anon_sym___forceinline] = ACTIONS(3613),
    [anon_sym_thread_local] = ACTIONS(3613),
    [anon_sym___thread] = ACTIONS(3613),
    [anon_sym_const] = ACTIONS(3637),
    [anon_sym_constexpr] = ACTIONS(3637),
    [anon_sym_volatile] = ACTIONS(3637),
    [anon_sym_restrict] = ACTIONS(3637),
    [anon_sym___restrict__] = ACTIONS(3637),
    [anon_sym__Atomic] = ACTIONS(3637),
    [anon_sym__Noreturn] = ACTIONS(3637),
    [anon_sym_noreturn] = ACTIONS(3637),
    [anon_sym_mutable] = ACTIONS(3637),
    [anon_sym_constinit] = ACTIONS(3637),
    [anon_sym_consteval] = ACTIONS(3637),
    [sym_primitive_type] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3643),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_struct] = ACTIONS(3649),
    [anon_sym_union] = ACTIONS(3652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3655),
    [anon_sym_decltype] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(3661),
    [anon_sym_alignas] = ACTIONS(3664),
    [anon_sym_explicit] = ACTIONS(3667),
    [anon_sym_typename] = ACTIONS(3670),
    [anon_sym_template] = ACTIONS(3673),
    [anon_sym_operator] = ACTIONS(3676),
    [anon_sym_friend] = ACTIONS(3679),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3685),
    [anon_sym_static_assert] = ACTIONS(3688),
  },
  [744] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [747] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [766] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2991),
    [aux_sym_preproc_include_token1] = ACTIONS(2991),
    [aux_sym_preproc_def_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token1] = ACTIONS(2991),
    [aux_sym_preproc_if_token2] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2991),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2991),
    [sym_preproc_directive] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP_AMP] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym___based] = ACTIONS(2991),
    [anon_sym___cdecl] = ACTIONS(2991),
    [anon_sym___clrcall] = ACTIONS(2991),
    [anon_sym___stdcall] = ACTIONS(2991),
    [anon_sym___fastcall] = ACTIONS(2991),
    [anon_sym___thiscall] = ACTIONS(2991),
    [anon_sym___vectorcall] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_case] = ACTIONS(2991),
    [anon_sym_default] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_explicit] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_operator] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_namespace] = ACTIONS(2991),
    [anon_sym_using] = ACTIONS(2991),
    [anon_sym_static_assert] = ACTIONS(2991),
    [anon_sym_concept] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2979),
    [aux_sym_preproc_include_token1] = ACTIONS(2979),
    [aux_sym_preproc_def_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token1] = ACTIONS(2979),
    [aux_sym_preproc_if_token2] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2979),
    [sym_preproc_directive] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP_AMP] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym___based] = ACTIONS(2979),
    [anon_sym___cdecl] = ACTIONS(2979),
    [anon_sym___clrcall] = ACTIONS(2979),
    [anon_sym___stdcall] = ACTIONS(2979),
    [anon_sym___fastcall] = ACTIONS(2979),
    [anon_sym___thiscall] = ACTIONS(2979),
    [anon_sym___vectorcall] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_case] = ACTIONS(2979),
    [anon_sym_default] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_explicit] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_operator] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_namespace] = ACTIONS(2979),
    [anon_sym_using] = ACTIONS(2979),
    [anon_sym_static_assert] = ACTIONS(2979),
    [anon_sym_concept] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2975),
    [aux_sym_preproc_include_token1] = ACTIONS(2975),
    [aux_sym_preproc_def_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token1] = ACTIONS(2975),
    [aux_sym_preproc_if_token2] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2975),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2975),
    [sym_preproc_directive] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP_AMP] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym___based] = ACTIONS(2975),
    [anon_sym___cdecl] = ACTIONS(2975),
    [anon_sym___clrcall] = ACTIONS(2975),
    [anon_sym___stdcall] = ACTIONS(2975),
    [anon_sym___fastcall] = ACTIONS(2975),
    [anon_sym___thiscall] = ACTIONS(2975),
    [anon_sym___vectorcall] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_case] = ACTIONS(2975),
    [anon_sym_default] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_explicit] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_operator] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_namespace] = ACTIONS(2975),
    [anon_sym_using] = ACTIONS(2975),
    [anon_sym_static_assert] = ACTIONS(2975),
    [anon_sym_concept] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [786] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2959),
    [aux_sym_preproc_include_token1] = ACTIONS(2959),
    [aux_sym_preproc_def_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token1] = ACTIONS(2959),
    [aux_sym_preproc_if_token2] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2959),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2959),
    [sym_preproc_directive] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym___based] = ACTIONS(2959),
    [anon_sym___cdecl] = ACTIONS(2959),
    [anon_sym___clrcall] = ACTIONS(2959),
    [anon_sym___stdcall] = ACTIONS(2959),
    [anon_sym___fastcall] = ACTIONS(2959),
    [anon_sym___thiscall] = ACTIONS(2959),
    [anon_sym___vectorcall] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_case] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_explicit] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_operator] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_static_assert] = ACTIONS(2959),
    [anon_sym_concept] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token2] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP_AMP] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___based] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_explicit] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_operator] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_static_assert] = ACTIONS(2955),
    [anon_sym_concept] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [792] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(3005),
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2989),
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2951),
    [aux_sym_preproc_include_token1] = ACTIONS(2951),
    [aux_sym_preproc_def_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token1] = ACTIONS(2951),
    [aux_sym_preproc_if_token2] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2951),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2951),
    [sym_preproc_directive] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym___based] = ACTIONS(2951),
    [anon_sym___cdecl] = ACTIONS(2951),
    [anon_sym___clrcall] = ACTIONS(2951),
    [anon_sym___stdcall] = ACTIONS(2951),
    [anon_sym___fastcall] = ACTIONS(2951),
    [anon_sym___thiscall] = ACTIONS(2951),
    [anon_sym___vectorcall] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_case] = ACTIONS(2951),
    [anon_sym_default] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_explicit] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_operator] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_static_assert] = ACTIONS(2951),
    [anon_sym_concept] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2985),
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [814] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [819] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token2] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token2] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [824] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token2] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2971),
    [aux_sym_preproc_include_token1] = ACTIONS(2971),
    [aux_sym_preproc_def_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token2] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym___based] = ACTIONS(2971),
    [anon_sym___cdecl] = ACTIONS(2971),
    [anon_sym___clrcall] = ACTIONS(2971),
    [anon_sym___stdcall] = ACTIONS(2971),
    [anon_sym___fastcall] = ACTIONS(2971),
    [anon_sym___thiscall] = ACTIONS(2971),
    [anon_sym___vectorcall] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_default] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_explicit] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_operator] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_namespace] = ACTIONS(2971),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2971),
    [anon_sym_concept] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [828] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [829] = {
    [sym_preproc_def] = STATE(654),
    [sym_preproc_function_def] = STATE(654),
    [sym_preproc_call] = STATE(654),
    [sym_preproc_if_in_field_declaration_list] = STATE(654),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(654),
    [sym_preproc_else_in_field_declaration_list] = STATE(9688),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9688),
    [sym_type_definition] = STATE(654),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(654),
    [sym_field_declaration] = STATE(654),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(654),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(654),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(654),
    [sym_operator_cast_declaration] = STATE(654),
    [sym_constructor_or_destructor_definition] = STATE(654),
    [sym_constructor_or_destructor_declaration] = STATE(654),
    [sym_friend_declaration] = STATE(654),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(654),
    [sym_alias_declaration] = STATE(654),
    [sym_static_assert_declaration] = STATE(654),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(654),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2973),
    [sym_identifier] = ACTIONS(2971),
    [aux_sym_preproc_include_token1] = ACTIONS(2971),
    [aux_sym_preproc_def_token1] = ACTIONS(2971),
    [aux_sym_preproc_if_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2971),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2971),
    [sym_preproc_directive] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP_AMP] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym___based] = ACTIONS(2971),
    [anon_sym___cdecl] = ACTIONS(2971),
    [anon_sym___clrcall] = ACTIONS(2971),
    [anon_sym___stdcall] = ACTIONS(2971),
    [anon_sym___fastcall] = ACTIONS(2971),
    [anon_sym___thiscall] = ACTIONS(2971),
    [anon_sym___vectorcall] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_case] = ACTIONS(2971),
    [anon_sym_default] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_explicit] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_operator] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_namespace] = ACTIONS(2971),
    [anon_sym_using] = ACTIONS(2971),
    [anon_sym_static_assert] = ACTIONS(2971),
    [anon_sym_concept] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [838] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2983),
    [aux_sym_preproc_include_token1] = ACTIONS(2983),
    [aux_sym_preproc_def_token1] = ACTIONS(2983),
    [aux_sym_preproc_if_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2983),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2983),
    [sym_preproc_directive] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP_AMP] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym___based] = ACTIONS(2983),
    [anon_sym___cdecl] = ACTIONS(2983),
    [anon_sym___clrcall] = ACTIONS(2983),
    [anon_sym___stdcall] = ACTIONS(2983),
    [anon_sym___fastcall] = ACTIONS(2983),
    [anon_sym___thiscall] = ACTIONS(2983),
    [anon_sym___vectorcall] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_RBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_case] = ACTIONS(2983),
    [anon_sym_default] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_explicit] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_operator] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_namespace] = ACTIONS(2983),
    [anon_sym_using] = ACTIONS(2983),
    [anon_sym_static_assert] = ACTIONS(2983),
    [anon_sym_concept] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2987),
    [aux_sym_preproc_include_token1] = ACTIONS(2987),
    [aux_sym_preproc_def_token1] = ACTIONS(2987),
    [aux_sym_preproc_if_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2987),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2987),
    [sym_preproc_directive] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP_AMP] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym___based] = ACTIONS(2987),
    [anon_sym___cdecl] = ACTIONS(2987),
    [anon_sym___clrcall] = ACTIONS(2987),
    [anon_sym___stdcall] = ACTIONS(2987),
    [anon_sym___fastcall] = ACTIONS(2987),
    [anon_sym___thiscall] = ACTIONS(2987),
    [anon_sym___vectorcall] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_case] = ACTIONS(2987),
    [anon_sym_default] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_explicit] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_operator] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_namespace] = ACTIONS(2987),
    [anon_sym_using] = ACTIONS(2987),
    [anon_sym_static_assert] = ACTIONS(2987),
    [anon_sym_concept] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [842] = {
    [sym_identifier] = ACTIONS(3003),
    [aux_sym_preproc_include_token1] = ACTIONS(3003),
    [aux_sym_preproc_def_token1] = ACTIONS(3003),
    [aux_sym_preproc_if_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3003),
    [sym_preproc_directive] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP_AMP] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3003),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym___based] = ACTIONS(3003),
    [anon_sym___cdecl] = ACTIONS(3003),
    [anon_sym___clrcall] = ACTIONS(3003),
    [anon_sym___stdcall] = ACTIONS(3003),
    [anon_sym___fastcall] = ACTIONS(3003),
    [anon_sym___thiscall] = ACTIONS(3003),
    [anon_sym___vectorcall] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_RBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_case] = ACTIONS(3003),
    [anon_sym_default] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_explicit] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_operator] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_namespace] = ACTIONS(3003),
    [anon_sym_using] = ACTIONS(3003),
    [anon_sym_static_assert] = ACTIONS(3003),
    [anon_sym_concept] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [844] = {
    [sym_preproc_def] = STATE(855),
    [sym_preproc_function_def] = STATE(855),
    [sym_preproc_call] = STATE(855),
    [sym_preproc_if_in_field_declaration_list] = STATE(855),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(855),
    [sym_preproc_else_in_field_declaration_list] = STATE(8977),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8977),
    [sym_type_definition] = STATE(855),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(855),
    [sym_field_declaration] = STATE(855),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(855),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(855),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(855),
    [sym_operator_cast_declaration] = STATE(855),
    [sym_constructor_or_destructor_definition] = STATE(855),
    [sym_constructor_or_destructor_declaration] = STATE(855),
    [sym_friend_declaration] = STATE(855),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(855),
    [sym_alias_declaration] = STATE(855),
    [sym_static_assert_declaration] = STATE(855),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3693),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2965),
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_include_token1] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym___cdecl] = ACTIONS(2963),
    [anon_sym___clrcall] = ACTIONS(2963),
    [anon_sym___stdcall] = ACTIONS(2963),
    [anon_sym___fastcall] = ACTIONS(2963),
    [anon_sym___thiscall] = ACTIONS(2963),
    [anon_sym___vectorcall] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_case] = ACTIONS(2963),
    [anon_sym_default] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
    [anon_sym_concept] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [855] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_preproc_else_in_field_declaration_list] = STATE(9021),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9021),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3537),
    [aux_sym_preproc_if_token1] = ACTIONS(3539),
    [aux_sym_preproc_if_token2] = ACTIONS(3695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3543),
    [aux_sym_preproc_else_token1] = ACTIONS(3027),
    [aux_sym_preproc_elif_token1] = ACTIONS(3029),
    [sym_preproc_directive] = ACTIONS(3545),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3547),
    [anon_sym_typedef] = ACTIONS(3549),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3555),
    [anon_sym_static_assert] = ACTIONS(3557),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2969),
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_include_token1] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym___cdecl] = ACTIONS(2967),
    [anon_sym___clrcall] = ACTIONS(2967),
    [anon_sym___stdcall] = ACTIONS(2967),
    [anon_sym___fastcall] = ACTIONS(2967),
    [anon_sym___thiscall] = ACTIONS(2967),
    [anon_sym___vectorcall] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_case] = ACTIONS(2967),
    [anon_sym_default] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
    [anon_sym_concept] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_RBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [873] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_include_token1] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym___cdecl] = ACTIONS(3287),
    [anon_sym___clrcall] = ACTIONS(3287),
    [anon_sym___stdcall] = ACTIONS(3287),
    [anon_sym___fastcall] = ACTIONS(3287),
    [anon_sym___thiscall] = ACTIONS(3287),
    [anon_sym___vectorcall] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_RBRACE] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3287),
    [anon_sym___leave] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3287),
    [anon_sym_compl] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3287),
    [anon_sym___alignof__] = ACTIONS(3287),
    [anon_sym___alignof] = ACTIONS(3287),
    [anon_sym__alignof] = ACTIONS(3287),
    [anon_sym_alignof] = ACTIONS(3287),
    [anon_sym__Alignof] = ACTIONS(3287),
    [anon_sym_offsetof] = ACTIONS(3287),
    [anon_sym__Generic] = ACTIONS(3287),
    [anon_sym_asm] = ACTIONS(3287),
    [anon_sym___asm__] = ACTIONS(3287),
    [sym_number_literal] = ACTIONS(3289),
    [anon_sym_L_SQUOTE] = ACTIONS(3289),
    [anon_sym_u_SQUOTE] = ACTIONS(3289),
    [anon_sym_U_SQUOTE] = ACTIONS(3289),
    [anon_sym_u8_SQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_L_DQUOTE] = ACTIONS(3289),
    [anon_sym_u_DQUOTE] = ACTIONS(3289),
    [anon_sym_U_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8_DQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [anon_sym_NULL] = ACTIONS(3287),
    [anon_sym_nullptr] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
    [anon_sym_concept] = ACTIONS(3287),
    [anon_sym_co_return] = ACTIONS(3287),
    [anon_sym_co_yield] = ACTIONS(3287),
    [anon_sym_R_DQUOTE] = ACTIONS(3289),
    [anon_sym_LR_DQUOTE] = ACTIONS(3289),
    [anon_sym_uR_DQUOTE] = ACTIONS(3289),
    [anon_sym_UR_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3289),
    [anon_sym_co_await] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_requires] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token2] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [880] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token2] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_include_token1] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym___cdecl] = ACTIONS(2208),
    [anon_sym___clrcall] = ACTIONS(2208),
    [anon_sym___stdcall] = ACTIONS(2208),
    [anon_sym___fastcall] = ACTIONS(2208),
    [anon_sym___thiscall] = ACTIONS(2208),
    [anon_sym___vectorcall] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_namespace] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_concept] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token2] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [sym_number_literal] = ACTIONS(3407),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3229),
    [aux_sym_preproc_include_token1] = ACTIONS(3229),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token2] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3229),
    [sym_preproc_directive] = ACTIONS(3229),
    [anon_sym_LPAREN2] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3229),
    [anon_sym_typedef] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym___attribute__] = ACTIONS(3229),
    [anon_sym_COLON_COLON] = ACTIONS(3231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3229),
    [anon_sym___based] = ACTIONS(3229),
    [anon_sym___cdecl] = ACTIONS(3229),
    [anon_sym___clrcall] = ACTIONS(3229),
    [anon_sym___stdcall] = ACTIONS(3229),
    [anon_sym___fastcall] = ACTIONS(3229),
    [anon_sym___thiscall] = ACTIONS(3229),
    [anon_sym___vectorcall] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3229),
    [anon_sym_unsigned] = ACTIONS(3229),
    [anon_sym_long] = ACTIONS(3229),
    [anon_sym_short] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_register] = ACTIONS(3229),
    [anon_sym_inline] = ACTIONS(3229),
    [anon_sym___inline] = ACTIONS(3229),
    [anon_sym___inline__] = ACTIONS(3229),
    [anon_sym___forceinline] = ACTIONS(3229),
    [anon_sym_thread_local] = ACTIONS(3229),
    [anon_sym___thread] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_constexpr] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_restrict] = ACTIONS(3229),
    [anon_sym___restrict__] = ACTIONS(3229),
    [anon_sym__Atomic] = ACTIONS(3229),
    [anon_sym__Noreturn] = ACTIONS(3229),
    [anon_sym_noreturn] = ACTIONS(3229),
    [anon_sym_mutable] = ACTIONS(3229),
    [anon_sym_constinit] = ACTIONS(3229),
    [anon_sym_consteval] = ACTIONS(3229),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_union] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym___try] = ACTIONS(3229),
    [anon_sym___leave] = ACTIONS(3229),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_compl] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym___alignof__] = ACTIONS(3229),
    [anon_sym___alignof] = ACTIONS(3229),
    [anon_sym__alignof] = ACTIONS(3229),
    [anon_sym_alignof] = ACTIONS(3229),
    [anon_sym__Alignof] = ACTIONS(3229),
    [anon_sym_offsetof] = ACTIONS(3229),
    [anon_sym__Generic] = ACTIONS(3229),
    [anon_sym_asm] = ACTIONS(3229),
    [anon_sym___asm__] = ACTIONS(3229),
    [sym_number_literal] = ACTIONS(3231),
    [anon_sym_L_SQUOTE] = ACTIONS(3231),
    [anon_sym_u_SQUOTE] = ACTIONS(3231),
    [anon_sym_U_SQUOTE] = ACTIONS(3231),
    [anon_sym_u8_SQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_L_DQUOTE] = ACTIONS(3231),
    [anon_sym_u_DQUOTE] = ACTIONS(3231),
    [anon_sym_U_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8_DQUOTE] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [anon_sym_NULL] = ACTIONS(3229),
    [anon_sym_nullptr] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3229),
    [anon_sym_decltype] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_alignas] = ACTIONS(3229),
    [anon_sym_explicit] = ACTIONS(3229),
    [anon_sym_typename] = ACTIONS(3229),
    [anon_sym_template] = ACTIONS(3229),
    [anon_sym_operator] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_static_assert] = ACTIONS(3229),
    [anon_sym_concept] = ACTIONS(3229),
    [anon_sym_co_return] = ACTIONS(3229),
    [anon_sym_co_yield] = ACTIONS(3229),
    [anon_sym_R_DQUOTE] = ACTIONS(3231),
    [anon_sym_LR_DQUOTE] = ACTIONS(3231),
    [anon_sym_uR_DQUOTE] = ACTIONS(3231),
    [anon_sym_UR_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3231),
    [anon_sym_co_await] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_requires] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [885] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_RBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [sym_number_literal] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_RBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [sym_number_literal] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [891] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym___try] = ACTIONS(3162),
    [anon_sym___leave] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3259),
    [aux_sym_preproc_include_token1] = ACTIONS(3259),
    [aux_sym_preproc_def_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token2] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3259),
    [sym_preproc_directive] = ACTIONS(3259),
    [anon_sym_LPAREN2] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3261),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3259),
    [anon_sym_typedef] = ACTIONS(3259),
    [anon_sym_extern] = ACTIONS(3259),
    [anon_sym___attribute__] = ACTIONS(3259),
    [anon_sym_COLON_COLON] = ACTIONS(3261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3261),
    [anon_sym___declspec] = ACTIONS(3259),
    [anon_sym___based] = ACTIONS(3259),
    [anon_sym___cdecl] = ACTIONS(3259),
    [anon_sym___clrcall] = ACTIONS(3259),
    [anon_sym___stdcall] = ACTIONS(3259),
    [anon_sym___fastcall] = ACTIONS(3259),
    [anon_sym___thiscall] = ACTIONS(3259),
    [anon_sym___vectorcall] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3259),
    [anon_sym_unsigned] = ACTIONS(3259),
    [anon_sym_long] = ACTIONS(3259),
    [anon_sym_short] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_register] = ACTIONS(3259),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym___inline] = ACTIONS(3259),
    [anon_sym___inline__] = ACTIONS(3259),
    [anon_sym___forceinline] = ACTIONS(3259),
    [anon_sym_thread_local] = ACTIONS(3259),
    [anon_sym___thread] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_constexpr] = ACTIONS(3259),
    [anon_sym_volatile] = ACTIONS(3259),
    [anon_sym_restrict] = ACTIONS(3259),
    [anon_sym___restrict__] = ACTIONS(3259),
    [anon_sym__Atomic] = ACTIONS(3259),
    [anon_sym__Noreturn] = ACTIONS(3259),
    [anon_sym_noreturn] = ACTIONS(3259),
    [anon_sym_mutable] = ACTIONS(3259),
    [anon_sym_constinit] = ACTIONS(3259),
    [anon_sym_consteval] = ACTIONS(3259),
    [sym_primitive_type] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_struct] = ACTIONS(3259),
    [anon_sym_union] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_goto] = ACTIONS(3259),
    [anon_sym___try] = ACTIONS(3259),
    [anon_sym___leave] = ACTIONS(3259),
    [anon_sym_not] = ACTIONS(3259),
    [anon_sym_compl] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3259),
    [anon_sym___alignof__] = ACTIONS(3259),
    [anon_sym___alignof] = ACTIONS(3259),
    [anon_sym__alignof] = ACTIONS(3259),
    [anon_sym_alignof] = ACTIONS(3259),
    [anon_sym__Alignof] = ACTIONS(3259),
    [anon_sym_offsetof] = ACTIONS(3259),
    [anon_sym__Generic] = ACTIONS(3259),
    [anon_sym_asm] = ACTIONS(3259),
    [anon_sym___asm__] = ACTIONS(3259),
    [sym_number_literal] = ACTIONS(3261),
    [anon_sym_L_SQUOTE] = ACTIONS(3261),
    [anon_sym_u_SQUOTE] = ACTIONS(3261),
    [anon_sym_U_SQUOTE] = ACTIONS(3261),
    [anon_sym_u8_SQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_L_DQUOTE] = ACTIONS(3261),
    [anon_sym_u_DQUOTE] = ACTIONS(3261),
    [anon_sym_U_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8_DQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [anon_sym_NULL] = ACTIONS(3259),
    [anon_sym_nullptr] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3259),
    [anon_sym_decltype] = ACTIONS(3259),
    [anon_sym_virtual] = ACTIONS(3259),
    [anon_sym_alignas] = ACTIONS(3259),
    [anon_sym_explicit] = ACTIONS(3259),
    [anon_sym_typename] = ACTIONS(3259),
    [anon_sym_template] = ACTIONS(3259),
    [anon_sym_operator] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_static_assert] = ACTIONS(3259),
    [anon_sym_concept] = ACTIONS(3259),
    [anon_sym_co_return] = ACTIONS(3259),
    [anon_sym_co_yield] = ACTIONS(3259),
    [anon_sym_R_DQUOTE] = ACTIONS(3261),
    [anon_sym_LR_DQUOTE] = ACTIONS(3261),
    [anon_sym_uR_DQUOTE] = ACTIONS(3261),
    [anon_sym_UR_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3261),
    [anon_sym_co_await] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_requires] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_RBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [897] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_RBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3271),
    [aux_sym_preproc_include_token1] = ACTIONS(3271),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token2] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3271),
    [sym_preproc_directive] = ACTIONS(3271),
    [anon_sym_LPAREN2] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym___extension__] = ACTIONS(3271),
    [anon_sym_typedef] = ACTIONS(3271),
    [anon_sym_extern] = ACTIONS(3271),
    [anon_sym___attribute__] = ACTIONS(3271),
    [anon_sym_COLON_COLON] = ACTIONS(3273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3273),
    [anon_sym___declspec] = ACTIONS(3271),
    [anon_sym___based] = ACTIONS(3271),
    [anon_sym___cdecl] = ACTIONS(3271),
    [anon_sym___clrcall] = ACTIONS(3271),
    [anon_sym___stdcall] = ACTIONS(3271),
    [anon_sym___fastcall] = ACTIONS(3271),
    [anon_sym___thiscall] = ACTIONS(3271),
    [anon_sym___vectorcall] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_signed] = ACTIONS(3271),
    [anon_sym_unsigned] = ACTIONS(3271),
    [anon_sym_long] = ACTIONS(3271),
    [anon_sym_short] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_register] = ACTIONS(3271),
    [anon_sym_inline] = ACTIONS(3271),
    [anon_sym___inline] = ACTIONS(3271),
    [anon_sym___inline__] = ACTIONS(3271),
    [anon_sym___forceinline] = ACTIONS(3271),
    [anon_sym_thread_local] = ACTIONS(3271),
    [anon_sym___thread] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_constexpr] = ACTIONS(3271),
    [anon_sym_volatile] = ACTIONS(3271),
    [anon_sym_restrict] = ACTIONS(3271),
    [anon_sym___restrict__] = ACTIONS(3271),
    [anon_sym__Atomic] = ACTIONS(3271),
    [anon_sym__Noreturn] = ACTIONS(3271),
    [anon_sym_noreturn] = ACTIONS(3271),
    [anon_sym_mutable] = ACTIONS(3271),
    [anon_sym_constinit] = ACTIONS(3271),
    [anon_sym_consteval] = ACTIONS(3271),
    [sym_primitive_type] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_struct] = ACTIONS(3271),
    [anon_sym_union] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_goto] = ACTIONS(3271),
    [anon_sym___try] = ACTIONS(3271),
    [anon_sym___leave] = ACTIONS(3271),
    [anon_sym_not] = ACTIONS(3271),
    [anon_sym_compl] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3271),
    [anon_sym___alignof__] = ACTIONS(3271),
    [anon_sym___alignof] = ACTIONS(3271),
    [anon_sym__alignof] = ACTIONS(3271),
    [anon_sym_alignof] = ACTIONS(3271),
    [anon_sym__Alignof] = ACTIONS(3271),
    [anon_sym_offsetof] = ACTIONS(3271),
    [anon_sym__Generic] = ACTIONS(3271),
    [anon_sym_asm] = ACTIONS(3271),
    [anon_sym___asm__] = ACTIONS(3271),
    [sym_number_literal] = ACTIONS(3273),
    [anon_sym_L_SQUOTE] = ACTIONS(3273),
    [anon_sym_u_SQUOTE] = ACTIONS(3273),
    [anon_sym_U_SQUOTE] = ACTIONS(3273),
    [anon_sym_u8_SQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_L_DQUOTE] = ACTIONS(3273),
    [anon_sym_u_DQUOTE] = ACTIONS(3273),
    [anon_sym_U_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8_DQUOTE] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [anon_sym_NULL] = ACTIONS(3271),
    [anon_sym_nullptr] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3271),
    [anon_sym_decltype] = ACTIONS(3271),
    [anon_sym_virtual] = ACTIONS(3271),
    [anon_sym_alignas] = ACTIONS(3271),
    [anon_sym_explicit] = ACTIONS(3271),
    [anon_sym_typename] = ACTIONS(3271),
    [anon_sym_template] = ACTIONS(3271),
    [anon_sym_operator] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_static_assert] = ACTIONS(3271),
    [anon_sym_concept] = ACTIONS(3271),
    [anon_sym_co_return] = ACTIONS(3271),
    [anon_sym_co_yield] = ACTIONS(3271),
    [anon_sym_R_DQUOTE] = ACTIONS(3273),
    [anon_sym_LR_DQUOTE] = ACTIONS(3273),
    [anon_sym_uR_DQUOTE] = ACTIONS(3273),
    [anon_sym_UR_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3273),
    [anon_sym_co_await] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_requires] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym_SEMI] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_RBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym___try] = ACTIONS(3013),
    [anon_sym___leave] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_RBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym___try] = ACTIONS(3154),
    [anon_sym___leave] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token2] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym_SEMI] = ACTIONS(3075),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym___try] = ACTIONS(3073),
    [anon_sym___leave] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_include_token1] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token2] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym___cdecl] = ACTIONS(3225),
    [anon_sym___clrcall] = ACTIONS(3225),
    [anon_sym___stdcall] = ACTIONS(3225),
    [anon_sym___fastcall] = ACTIONS(3225),
    [anon_sym___thiscall] = ACTIONS(3225),
    [anon_sym___vectorcall] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym___try] = ACTIONS(3225),
    [anon_sym___leave] = ACTIONS(3225),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_compl] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym___alignof__] = ACTIONS(3225),
    [anon_sym___alignof] = ACTIONS(3225),
    [anon_sym__alignof] = ACTIONS(3225),
    [anon_sym_alignof] = ACTIONS(3225),
    [anon_sym__Alignof] = ACTIONS(3225),
    [anon_sym_offsetof] = ACTIONS(3225),
    [anon_sym__Generic] = ACTIONS(3225),
    [anon_sym_asm] = ACTIONS(3225),
    [anon_sym___asm__] = ACTIONS(3225),
    [sym_number_literal] = ACTIONS(3227),
    [anon_sym_L_SQUOTE] = ACTIONS(3227),
    [anon_sym_u_SQUOTE] = ACTIONS(3227),
    [anon_sym_U_SQUOTE] = ACTIONS(3227),
    [anon_sym_u8_SQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_L_DQUOTE] = ACTIONS(3227),
    [anon_sym_u_DQUOTE] = ACTIONS(3227),
    [anon_sym_U_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8_DQUOTE] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [anon_sym_NULL] = ACTIONS(3225),
    [anon_sym_nullptr] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
    [anon_sym_concept] = ACTIONS(3225),
    [anon_sym_co_return] = ACTIONS(3225),
    [anon_sym_co_yield] = ACTIONS(3225),
    [anon_sym_R_DQUOTE] = ACTIONS(3227),
    [anon_sym_LR_DQUOTE] = ACTIONS(3227),
    [anon_sym_uR_DQUOTE] = ACTIONS(3227),
    [anon_sym_UR_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3227),
    [anon_sym_co_await] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_requires] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_include_token1] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym___cdecl] = ACTIONS(3233),
    [anon_sym___clrcall] = ACTIONS(3233),
    [anon_sym___stdcall] = ACTIONS(3233),
    [anon_sym___fastcall] = ACTIONS(3233),
    [anon_sym___thiscall] = ACTIONS(3233),
    [anon_sym___vectorcall] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym___try] = ACTIONS(3233),
    [anon_sym___leave] = ACTIONS(3233),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym___alignof__] = ACTIONS(3233),
    [anon_sym___alignof] = ACTIONS(3233),
    [anon_sym__alignof] = ACTIONS(3233),
    [anon_sym_alignof] = ACTIONS(3233),
    [anon_sym__Alignof] = ACTIONS(3233),
    [anon_sym_offsetof] = ACTIONS(3233),
    [anon_sym__Generic] = ACTIONS(3233),
    [anon_sym_asm] = ACTIONS(3233),
    [anon_sym___asm__] = ACTIONS(3233),
    [sym_number_literal] = ACTIONS(3235),
    [anon_sym_L_SQUOTE] = ACTIONS(3235),
    [anon_sym_u_SQUOTE] = ACTIONS(3235),
    [anon_sym_U_SQUOTE] = ACTIONS(3235),
    [anon_sym_u8_SQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_L_DQUOTE] = ACTIONS(3235),
    [anon_sym_u_DQUOTE] = ACTIONS(3235),
    [anon_sym_U_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8_DQUOTE] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [anon_sym_NULL] = ACTIONS(3233),
    [anon_sym_nullptr] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
    [anon_sym_concept] = ACTIONS(3233),
    [anon_sym_co_return] = ACTIONS(3233),
    [anon_sym_co_yield] = ACTIONS(3233),
    [anon_sym_R_DQUOTE] = ACTIONS(3235),
    [anon_sym_LR_DQUOTE] = ACTIONS(3235),
    [anon_sym_uR_DQUOTE] = ACTIONS(3235),
    [anon_sym_UR_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3235),
    [anon_sym_co_await] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_requires] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token2] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym_SEMI] = ACTIONS(3079),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym___try] = ACTIONS(3077),
    [anon_sym___leave] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [908] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [sym_number_literal] = ACTIONS(3399),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_RBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym___try] = ACTIONS(3166),
    [anon_sym___leave] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_RBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym___try] = ACTIONS(3174),
    [anon_sym___leave] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym_SEMI] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_RBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym___try] = ACTIONS(3199),
    [anon_sym___leave] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [sym_number_literal] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym_SEMI] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_RBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym___try] = ACTIONS(3203),
    [anon_sym___leave] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [sym_number_literal] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym_SEMI] = ACTIONS(3009),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_RBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym___try] = ACTIONS(3007),
    [anon_sym___leave] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym___try] = ACTIONS(3211),
    [anon_sym___leave] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3321),
    [aux_sym_preproc_include_token1] = ACTIONS(3321),
    [aux_sym_preproc_def_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token2] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3321),
    [sym_preproc_directive] = ACTIONS(3321),
    [anon_sym_LPAREN2] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3321),
    [anon_sym_typedef] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym___attribute__] = ACTIONS(3321),
    [anon_sym_COLON_COLON] = ACTIONS(3323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3323),
    [anon_sym___declspec] = ACTIONS(3321),
    [anon_sym___based] = ACTIONS(3321),
    [anon_sym___cdecl] = ACTIONS(3321),
    [anon_sym___clrcall] = ACTIONS(3321),
    [anon_sym___stdcall] = ACTIONS(3321),
    [anon_sym___fastcall] = ACTIONS(3321),
    [anon_sym___thiscall] = ACTIONS(3321),
    [anon_sym___vectorcall] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3321),
    [anon_sym_unsigned] = ACTIONS(3321),
    [anon_sym_long] = ACTIONS(3321),
    [anon_sym_short] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_register] = ACTIONS(3321),
    [anon_sym_inline] = ACTIONS(3321),
    [anon_sym___inline] = ACTIONS(3321),
    [anon_sym___inline__] = ACTIONS(3321),
    [anon_sym___forceinline] = ACTIONS(3321),
    [anon_sym_thread_local] = ACTIONS(3321),
    [anon_sym___thread] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_constexpr] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_restrict] = ACTIONS(3321),
    [anon_sym___restrict__] = ACTIONS(3321),
    [anon_sym__Atomic] = ACTIONS(3321),
    [anon_sym__Noreturn] = ACTIONS(3321),
    [anon_sym_noreturn] = ACTIONS(3321),
    [anon_sym_mutable] = ACTIONS(3321),
    [anon_sym_constinit] = ACTIONS(3321),
    [anon_sym_consteval] = ACTIONS(3321),
    [sym_primitive_type] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_union] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym___try] = ACTIONS(3321),
    [anon_sym___leave] = ACTIONS(3321),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_compl] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym___alignof__] = ACTIONS(3321),
    [anon_sym___alignof] = ACTIONS(3321),
    [anon_sym__alignof] = ACTIONS(3321),
    [anon_sym_alignof] = ACTIONS(3321),
    [anon_sym__Alignof] = ACTIONS(3321),
    [anon_sym_offsetof] = ACTIONS(3321),
    [anon_sym__Generic] = ACTIONS(3321),
    [anon_sym_asm] = ACTIONS(3321),
    [anon_sym___asm__] = ACTIONS(3321),
    [sym_number_literal] = ACTIONS(3323),
    [anon_sym_L_SQUOTE] = ACTIONS(3323),
    [anon_sym_u_SQUOTE] = ACTIONS(3323),
    [anon_sym_U_SQUOTE] = ACTIONS(3323),
    [anon_sym_u8_SQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [anon_sym_NULL] = ACTIONS(3321),
    [anon_sym_nullptr] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3321),
    [anon_sym_decltype] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_alignas] = ACTIONS(3321),
    [anon_sym_explicit] = ACTIONS(3321),
    [anon_sym_typename] = ACTIONS(3321),
    [anon_sym_template] = ACTIONS(3321),
    [anon_sym_operator] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_static_assert] = ACTIONS(3321),
    [anon_sym_concept] = ACTIONS(3321),
    [anon_sym_co_return] = ACTIONS(3321),
    [anon_sym_co_yield] = ACTIONS(3321),
    [anon_sym_R_DQUOTE] = ACTIONS(3323),
    [anon_sym_LR_DQUOTE] = ACTIONS(3323),
    [anon_sym_uR_DQUOTE] = ACTIONS(3323),
    [anon_sym_UR_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3323),
    [anon_sym_co_await] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_requires] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_include_token1] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token2] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3325),
    [sym_preproc_directive] = ACTIONS(3325),
    [anon_sym_LPAREN2] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3325),
    [anon_sym_typedef] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym___attribute__] = ACTIONS(3325),
    [anon_sym_COLON_COLON] = ACTIONS(3327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3327),
    [anon_sym___declspec] = ACTIONS(3325),
    [anon_sym___based] = ACTIONS(3325),
    [anon_sym___cdecl] = ACTIONS(3325),
    [anon_sym___clrcall] = ACTIONS(3325),
    [anon_sym___stdcall] = ACTIONS(3325),
    [anon_sym___fastcall] = ACTIONS(3325),
    [anon_sym___thiscall] = ACTIONS(3325),
    [anon_sym___vectorcall] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3325),
    [anon_sym_unsigned] = ACTIONS(3325),
    [anon_sym_long] = ACTIONS(3325),
    [anon_sym_short] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_register] = ACTIONS(3325),
    [anon_sym_inline] = ACTIONS(3325),
    [anon_sym___inline] = ACTIONS(3325),
    [anon_sym___inline__] = ACTIONS(3325),
    [anon_sym___forceinline] = ACTIONS(3325),
    [anon_sym_thread_local] = ACTIONS(3325),
    [anon_sym___thread] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_constexpr] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_restrict] = ACTIONS(3325),
    [anon_sym___restrict__] = ACTIONS(3325),
    [anon_sym__Atomic] = ACTIONS(3325),
    [anon_sym__Noreturn] = ACTIONS(3325),
    [anon_sym_noreturn] = ACTIONS(3325),
    [anon_sym_mutable] = ACTIONS(3325),
    [anon_sym_constinit] = ACTIONS(3325),
    [anon_sym_consteval] = ACTIONS(3325),
    [sym_primitive_type] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_union] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym___try] = ACTIONS(3325),
    [anon_sym___leave] = ACTIONS(3325),
    [anon_sym_not] = ACTIONS(3325),
    [anon_sym_compl] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym___alignof__] = ACTIONS(3325),
    [anon_sym___alignof] = ACTIONS(3325),
    [anon_sym__alignof] = ACTIONS(3325),
    [anon_sym_alignof] = ACTIONS(3325),
    [anon_sym__Alignof] = ACTIONS(3325),
    [anon_sym_offsetof] = ACTIONS(3325),
    [anon_sym__Generic] = ACTIONS(3325),
    [anon_sym_asm] = ACTIONS(3325),
    [anon_sym___asm__] = ACTIONS(3325),
    [sym_number_literal] = ACTIONS(3327),
    [anon_sym_L_SQUOTE] = ACTIONS(3327),
    [anon_sym_u_SQUOTE] = ACTIONS(3327),
    [anon_sym_U_SQUOTE] = ACTIONS(3327),
    [anon_sym_u8_SQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_L_DQUOTE] = ACTIONS(3327),
    [anon_sym_u_DQUOTE] = ACTIONS(3327),
    [anon_sym_U_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8_DQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [anon_sym_NULL] = ACTIONS(3325),
    [anon_sym_nullptr] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3325),
    [anon_sym_decltype] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_alignas] = ACTIONS(3325),
    [anon_sym_explicit] = ACTIONS(3325),
    [anon_sym_typename] = ACTIONS(3325),
    [anon_sym_template] = ACTIONS(3325),
    [anon_sym_operator] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_static_assert] = ACTIONS(3325),
    [anon_sym_concept] = ACTIONS(3325),
    [anon_sym_co_return] = ACTIONS(3325),
    [anon_sym_co_yield] = ACTIONS(3325),
    [anon_sym_R_DQUOTE] = ACTIONS(3327),
    [anon_sym_LR_DQUOTE] = ACTIONS(3327),
    [anon_sym_uR_DQUOTE] = ACTIONS(3327),
    [anon_sym_UR_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3327),
    [anon_sym_co_await] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_requires] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_RBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_include_token1] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym_SEMI] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym___cdecl] = ACTIONS(3225),
    [anon_sym___clrcall] = ACTIONS(3225),
    [anon_sym___stdcall] = ACTIONS(3225),
    [anon_sym___fastcall] = ACTIONS(3225),
    [anon_sym___thiscall] = ACTIONS(3225),
    [anon_sym___vectorcall] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_RBRACE] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym___try] = ACTIONS(3225),
    [anon_sym___leave] = ACTIONS(3225),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_compl] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym___alignof__] = ACTIONS(3225),
    [anon_sym___alignof] = ACTIONS(3225),
    [anon_sym__alignof] = ACTIONS(3225),
    [anon_sym_alignof] = ACTIONS(3225),
    [anon_sym__Alignof] = ACTIONS(3225),
    [anon_sym_offsetof] = ACTIONS(3225),
    [anon_sym__Generic] = ACTIONS(3225),
    [anon_sym_asm] = ACTIONS(3225),
    [anon_sym___asm__] = ACTIONS(3225),
    [sym_number_literal] = ACTIONS(3227),
    [anon_sym_L_SQUOTE] = ACTIONS(3227),
    [anon_sym_u_SQUOTE] = ACTIONS(3227),
    [anon_sym_U_SQUOTE] = ACTIONS(3227),
    [anon_sym_u8_SQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_L_DQUOTE] = ACTIONS(3227),
    [anon_sym_u_DQUOTE] = ACTIONS(3227),
    [anon_sym_U_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8_DQUOTE] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [anon_sym_NULL] = ACTIONS(3225),
    [anon_sym_nullptr] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
    [anon_sym_concept] = ACTIONS(3225),
    [anon_sym_co_return] = ACTIONS(3225),
    [anon_sym_co_yield] = ACTIONS(3225),
    [anon_sym_R_DQUOTE] = ACTIONS(3227),
    [anon_sym_LR_DQUOTE] = ACTIONS(3227),
    [anon_sym_uR_DQUOTE] = ACTIONS(3227),
    [anon_sym_UR_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3227),
    [anon_sym_co_await] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_requires] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [sym_number_literal] = ACTIONS(3391),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [sym_number_literal] = ACTIONS(3383),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3267),
    [aux_sym_preproc_include_token1] = ACTIONS(3267),
    [aux_sym_preproc_def_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token2] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3267),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3267),
    [anon_sym_typedef] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym___attribute__] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3269),
    [anon_sym___declspec] = ACTIONS(3267),
    [anon_sym___based] = ACTIONS(3267),
    [anon_sym___cdecl] = ACTIONS(3267),
    [anon_sym___clrcall] = ACTIONS(3267),
    [anon_sym___stdcall] = ACTIONS(3267),
    [anon_sym___fastcall] = ACTIONS(3267),
    [anon_sym___thiscall] = ACTIONS(3267),
    [anon_sym___vectorcall] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3267),
    [anon_sym_unsigned] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_register] = ACTIONS(3267),
    [anon_sym_inline] = ACTIONS(3267),
    [anon_sym___inline] = ACTIONS(3267),
    [anon_sym___inline__] = ACTIONS(3267),
    [anon_sym___forceinline] = ACTIONS(3267),
    [anon_sym_thread_local] = ACTIONS(3267),
    [anon_sym___thread] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_constexpr] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_restrict] = ACTIONS(3267),
    [anon_sym___restrict__] = ACTIONS(3267),
    [anon_sym__Atomic] = ACTIONS(3267),
    [anon_sym__Noreturn] = ACTIONS(3267),
    [anon_sym_noreturn] = ACTIONS(3267),
    [anon_sym_mutable] = ACTIONS(3267),
    [anon_sym_constinit] = ACTIONS(3267),
    [anon_sym_consteval] = ACTIONS(3267),
    [sym_primitive_type] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_union] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_goto] = ACTIONS(3267),
    [anon_sym___try] = ACTIONS(3267),
    [anon_sym___leave] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3267),
    [anon_sym_compl] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3267),
    [anon_sym___alignof__] = ACTIONS(3267),
    [anon_sym___alignof] = ACTIONS(3267),
    [anon_sym__alignof] = ACTIONS(3267),
    [anon_sym_alignof] = ACTIONS(3267),
    [anon_sym__Alignof] = ACTIONS(3267),
    [anon_sym_offsetof] = ACTIONS(3267),
    [anon_sym__Generic] = ACTIONS(3267),
    [anon_sym_asm] = ACTIONS(3267),
    [anon_sym___asm__] = ACTIONS(3267),
    [sym_number_literal] = ACTIONS(3269),
    [anon_sym_L_SQUOTE] = ACTIONS(3269),
    [anon_sym_u_SQUOTE] = ACTIONS(3269),
    [anon_sym_U_SQUOTE] = ACTIONS(3269),
    [anon_sym_u8_SQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_L_DQUOTE] = ACTIONS(3269),
    [anon_sym_u_DQUOTE] = ACTIONS(3269),
    [anon_sym_U_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8_DQUOTE] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [anon_sym_NULL] = ACTIONS(3267),
    [anon_sym_nullptr] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3267),
    [anon_sym_decltype] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_typename] = ACTIONS(3267),
    [anon_sym_template] = ACTIONS(3267),
    [anon_sym_operator] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static_assert] = ACTIONS(3267),
    [anon_sym_concept] = ACTIONS(3267),
    [anon_sym_co_return] = ACTIONS(3267),
    [anon_sym_co_yield] = ACTIONS(3267),
    [anon_sym_R_DQUOTE] = ACTIONS(3269),
    [anon_sym_LR_DQUOTE] = ACTIONS(3269),
    [anon_sym_uR_DQUOTE] = ACTIONS(3269),
    [anon_sym_UR_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3269),
    [anon_sym_co_await] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_requires] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3229),
    [aux_sym_preproc_include_token1] = ACTIONS(3229),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3229),
    [sym_preproc_directive] = ACTIONS(3229),
    [anon_sym_LPAREN2] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3229),
    [anon_sym_SEMI] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3229),
    [anon_sym_typedef] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym___attribute__] = ACTIONS(3229),
    [anon_sym_COLON_COLON] = ACTIONS(3231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3229),
    [anon_sym___based] = ACTIONS(3229),
    [anon_sym___cdecl] = ACTIONS(3229),
    [anon_sym___clrcall] = ACTIONS(3229),
    [anon_sym___stdcall] = ACTIONS(3229),
    [anon_sym___fastcall] = ACTIONS(3229),
    [anon_sym___thiscall] = ACTIONS(3229),
    [anon_sym___vectorcall] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_RBRACE] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3229),
    [anon_sym_unsigned] = ACTIONS(3229),
    [anon_sym_long] = ACTIONS(3229),
    [anon_sym_short] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_register] = ACTIONS(3229),
    [anon_sym_inline] = ACTIONS(3229),
    [anon_sym___inline] = ACTIONS(3229),
    [anon_sym___inline__] = ACTIONS(3229),
    [anon_sym___forceinline] = ACTIONS(3229),
    [anon_sym_thread_local] = ACTIONS(3229),
    [anon_sym___thread] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_constexpr] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_restrict] = ACTIONS(3229),
    [anon_sym___restrict__] = ACTIONS(3229),
    [anon_sym__Atomic] = ACTIONS(3229),
    [anon_sym__Noreturn] = ACTIONS(3229),
    [anon_sym_noreturn] = ACTIONS(3229),
    [anon_sym_mutable] = ACTIONS(3229),
    [anon_sym_constinit] = ACTIONS(3229),
    [anon_sym_consteval] = ACTIONS(3229),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_union] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym___try] = ACTIONS(3229),
    [anon_sym___leave] = ACTIONS(3229),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_compl] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym___alignof__] = ACTIONS(3229),
    [anon_sym___alignof] = ACTIONS(3229),
    [anon_sym__alignof] = ACTIONS(3229),
    [anon_sym_alignof] = ACTIONS(3229),
    [anon_sym__Alignof] = ACTIONS(3229),
    [anon_sym_offsetof] = ACTIONS(3229),
    [anon_sym__Generic] = ACTIONS(3229),
    [anon_sym_asm] = ACTIONS(3229),
    [anon_sym___asm__] = ACTIONS(3229),
    [sym_number_literal] = ACTIONS(3231),
    [anon_sym_L_SQUOTE] = ACTIONS(3231),
    [anon_sym_u_SQUOTE] = ACTIONS(3231),
    [anon_sym_U_SQUOTE] = ACTIONS(3231),
    [anon_sym_u8_SQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_L_DQUOTE] = ACTIONS(3231),
    [anon_sym_u_DQUOTE] = ACTIONS(3231),
    [anon_sym_U_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8_DQUOTE] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [anon_sym_NULL] = ACTIONS(3229),
    [anon_sym_nullptr] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3229),
    [anon_sym_decltype] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_alignas] = ACTIONS(3229),
    [anon_sym_explicit] = ACTIONS(3229),
    [anon_sym_typename] = ACTIONS(3229),
    [anon_sym_template] = ACTIONS(3229),
    [anon_sym_operator] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_static_assert] = ACTIONS(3229),
    [anon_sym_concept] = ACTIONS(3229),
    [anon_sym_co_return] = ACTIONS(3229),
    [anon_sym_co_yield] = ACTIONS(3229),
    [anon_sym_R_DQUOTE] = ACTIONS(3231),
    [anon_sym_LR_DQUOTE] = ACTIONS(3231),
    [anon_sym_uR_DQUOTE] = ACTIONS(3231),
    [anon_sym_UR_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3231),
    [anon_sym_co_await] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_requires] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
  },
  [927] = {
    [sym_catch_clause] = STATE(425),
    [aux_sym_constructor_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2848),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_include_token1] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_BANG] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_DASH] = ACTIONS(2846),
    [anon_sym_PLUS] = ACTIONS(2846),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym___cdecl] = ACTIONS(2846),
    [anon_sym___clrcall] = ACTIONS(2846),
    [anon_sym___stdcall] = ACTIONS(2846),
    [anon_sym___fastcall] = ACTIONS(2846),
    [anon_sym___thiscall] = ACTIONS(2846),
    [anon_sym___vectorcall] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [anon_sym_if] = ACTIONS(2846),
    [anon_sym_switch] = ACTIONS(2846),
    [anon_sym_case] = ACTIONS(2846),
    [anon_sym_default] = ACTIONS(2846),
    [anon_sym_while] = ACTIONS(2846),
    [anon_sym_do] = ACTIONS(2846),
    [anon_sym_for] = ACTIONS(2846),
    [anon_sym_return] = ACTIONS(2846),
    [anon_sym_break] = ACTIONS(2846),
    [anon_sym_continue] = ACTIONS(2846),
    [anon_sym_goto] = ACTIONS(2846),
    [anon_sym_not] = ACTIONS(2846),
    [anon_sym_compl] = ACTIONS(2846),
    [anon_sym_DASH_DASH] = ACTIONS(2848),
    [anon_sym_PLUS_PLUS] = ACTIONS(2848),
    [anon_sym_sizeof] = ACTIONS(2846),
    [anon_sym___alignof__] = ACTIONS(2846),
    [anon_sym___alignof] = ACTIONS(2846),
    [anon_sym__alignof] = ACTIONS(2846),
    [anon_sym_alignof] = ACTIONS(2846),
    [anon_sym__Alignof] = ACTIONS(2846),
    [anon_sym_offsetof] = ACTIONS(2846),
    [anon_sym__Generic] = ACTIONS(2846),
    [anon_sym_asm] = ACTIONS(2846),
    [anon_sym___asm__] = ACTIONS(2846),
    [sym_number_literal] = ACTIONS(2848),
    [anon_sym_L_SQUOTE] = ACTIONS(2848),
    [anon_sym_u_SQUOTE] = ACTIONS(2848),
    [anon_sym_U_SQUOTE] = ACTIONS(2848),
    [anon_sym_u8_SQUOTE] = ACTIONS(2848),
    [anon_sym_SQUOTE] = ACTIONS(2848),
    [anon_sym_L_DQUOTE] = ACTIONS(2848),
    [anon_sym_u_DQUOTE] = ACTIONS(2848),
    [anon_sym_U_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8_DQUOTE] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2848),
    [sym_true] = ACTIONS(2846),
    [sym_false] = ACTIONS(2846),
    [anon_sym_NULL] = ACTIONS(2846),
    [anon_sym_nullptr] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_try] = ACTIONS(2846),
    [anon_sym_delete] = ACTIONS(2846),
    [anon_sym_throw] = ACTIONS(2846),
    [anon_sym_namespace] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_concept] = ACTIONS(2846),
    [anon_sym_co_return] = ACTIONS(2846),
    [anon_sym_co_yield] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(3086),
    [anon_sym_R_DQUOTE] = ACTIONS(2848),
    [anon_sym_LR_DQUOTE] = ACTIONS(2848),
    [anon_sym_uR_DQUOTE] = ACTIONS(2848),
    [anon_sym_UR_DQUOTE] = ACTIONS(2848),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2848),
    [anon_sym_co_await] = ACTIONS(2846),
    [anon_sym_new] = ACTIONS(2846),
    [anon_sym_requires] = ACTIONS(2846),
    [sym_this] = ACTIONS(2846),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_include_token1] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym_SEMI] = ACTIONS(3235),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym___cdecl] = ACTIONS(3233),
    [anon_sym___clrcall] = ACTIONS(3233),
    [anon_sym___stdcall] = ACTIONS(3233),
    [anon_sym___fastcall] = ACTIONS(3233),
    [anon_sym___thiscall] = ACTIONS(3233),
    [anon_sym___vectorcall] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_RBRACE] = ACTIONS(3235),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym___try] = ACTIONS(3233),
    [anon_sym___leave] = ACTIONS(3233),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym___alignof__] = ACTIONS(3233),
    [anon_sym___alignof] = ACTIONS(3233),
    [anon_sym__alignof] = ACTIONS(3233),
    [anon_sym_alignof] = ACTIONS(3233),
    [anon_sym__Alignof] = ACTIONS(3233),
    [anon_sym_offsetof] = ACTIONS(3233),
    [anon_sym__Generic] = ACTIONS(3233),
    [anon_sym_asm] = ACTIONS(3233),
    [anon_sym___asm__] = ACTIONS(3233),
    [sym_number_literal] = ACTIONS(3235),
    [anon_sym_L_SQUOTE] = ACTIONS(3235),
    [anon_sym_u_SQUOTE] = ACTIONS(3235),
    [anon_sym_U_SQUOTE] = ACTIONS(3235),
    [anon_sym_u8_SQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_L_DQUOTE] = ACTIONS(3235),
    [anon_sym_u_DQUOTE] = ACTIONS(3235),
    [anon_sym_U_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8_DQUOTE] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [anon_sym_NULL] = ACTIONS(3233),
    [anon_sym_nullptr] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
    [anon_sym_concept] = ACTIONS(3233),
    [anon_sym_co_return] = ACTIONS(3233),
    [anon_sym_co_yield] = ACTIONS(3233),
    [anon_sym_R_DQUOTE] = ACTIONS(3235),
    [anon_sym_LR_DQUOTE] = ACTIONS(3235),
    [anon_sym_uR_DQUOTE] = ACTIONS(3235),
    [anon_sym_UR_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3235),
    [anon_sym_co_await] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_requires] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3352),
    [aux_sym_preproc_include_token1] = ACTIONS(3352),
    [aux_sym_preproc_def_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token2] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_AMP_AMP] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym___attribute__] = ACTIONS(3352),
    [anon_sym_COLON_COLON] = ACTIONS(3354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3354),
    [anon_sym___declspec] = ACTIONS(3352),
    [anon_sym___based] = ACTIONS(3352),
    [anon_sym___cdecl] = ACTIONS(3352),
    [anon_sym___clrcall] = ACTIONS(3352),
    [anon_sym___stdcall] = ACTIONS(3352),
    [anon_sym___fastcall] = ACTIONS(3352),
    [anon_sym___thiscall] = ACTIONS(3352),
    [anon_sym___vectorcall] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_signed] = ACTIONS(3352),
    [anon_sym_unsigned] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_register] = ACTIONS(3352),
    [anon_sym_inline] = ACTIONS(3352),
    [anon_sym___inline] = ACTIONS(3352),
    [anon_sym___inline__] = ACTIONS(3352),
    [anon_sym___forceinline] = ACTIONS(3352),
    [anon_sym_thread_local] = ACTIONS(3352),
    [anon_sym___thread] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_constexpr] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_restrict] = ACTIONS(3352),
    [anon_sym___restrict__] = ACTIONS(3352),
    [anon_sym__Atomic] = ACTIONS(3352),
    [anon_sym__Noreturn] = ACTIONS(3352),
    [anon_sym_noreturn] = ACTIONS(3352),
    [anon_sym_mutable] = ACTIONS(3352),
    [anon_sym_constinit] = ACTIONS(3352),
    [anon_sym_consteval] = ACTIONS(3352),
    [sym_primitive_type] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_union] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_goto] = ACTIONS(3352),
    [anon_sym___try] = ACTIONS(3352),
    [anon_sym___leave] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_compl] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3352),
    [anon_sym___alignof] = ACTIONS(3352),
    [anon_sym__alignof] = ACTIONS(3352),
    [anon_sym_alignof] = ACTIONS(3352),
    [anon_sym__Alignof] = ACTIONS(3352),
    [anon_sym_offsetof] = ACTIONS(3352),
    [anon_sym__Generic] = ACTIONS(3352),
    [anon_sym_asm] = ACTIONS(3352),
    [anon_sym___asm__] = ACTIONS(3352),
    [sym_number_literal] = ACTIONS(3354),
    [anon_sym_L_SQUOTE] = ACTIONS(3354),
    [anon_sym_u_SQUOTE] = ACTIONS(3354),
    [anon_sym_U_SQUOTE] = ACTIONS(3354),
    [anon_sym_u8_SQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_L_DQUOTE] = ACTIONS(3354),
    [anon_sym_u_DQUOTE] = ACTIONS(3354),
    [anon_sym_U_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8_DQUOTE] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_NULL] = ACTIONS(3352),
    [anon_sym_nullptr] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3352),
    [anon_sym_decltype] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_alignas] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_typename] = ACTIONS(3352),
    [anon_sym_template] = ACTIONS(3352),
    [anon_sym_operator] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static_assert] = ACTIONS(3352),
    [anon_sym_concept] = ACTIONS(3352),
    [anon_sym_co_return] = ACTIONS(3352),
    [anon_sym_co_yield] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_requires] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [sym_number_literal] = ACTIONS(3379),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token2] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [sym_primitive_type] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [sym_number_literal] = ACTIONS(3403),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [933] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3697),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3259),
    [aux_sym_preproc_include_token1] = ACTIONS(3259),
    [aux_sym_preproc_def_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3259),
    [sym_preproc_directive] = ACTIONS(3259),
    [anon_sym_LPAREN2] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3261),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3259),
    [anon_sym_typedef] = ACTIONS(3259),
    [anon_sym_extern] = ACTIONS(3259),
    [anon_sym___attribute__] = ACTIONS(3259),
    [anon_sym_COLON_COLON] = ACTIONS(3261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3261),
    [anon_sym___declspec] = ACTIONS(3259),
    [anon_sym___based] = ACTIONS(3259),
    [anon_sym___cdecl] = ACTIONS(3259),
    [anon_sym___clrcall] = ACTIONS(3259),
    [anon_sym___stdcall] = ACTIONS(3259),
    [anon_sym___fastcall] = ACTIONS(3259),
    [anon_sym___thiscall] = ACTIONS(3259),
    [anon_sym___vectorcall] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_RBRACE] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3259),
    [anon_sym_unsigned] = ACTIONS(3259),
    [anon_sym_long] = ACTIONS(3259),
    [anon_sym_short] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_register] = ACTIONS(3259),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym___inline] = ACTIONS(3259),
    [anon_sym___inline__] = ACTIONS(3259),
    [anon_sym___forceinline] = ACTIONS(3259),
    [anon_sym_thread_local] = ACTIONS(3259),
    [anon_sym___thread] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_constexpr] = ACTIONS(3259),
    [anon_sym_volatile] = ACTIONS(3259),
    [anon_sym_restrict] = ACTIONS(3259),
    [anon_sym___restrict__] = ACTIONS(3259),
    [anon_sym__Atomic] = ACTIONS(3259),
    [anon_sym__Noreturn] = ACTIONS(3259),
    [anon_sym_noreturn] = ACTIONS(3259),
    [anon_sym_mutable] = ACTIONS(3259),
    [anon_sym_constinit] = ACTIONS(3259),
    [anon_sym_consteval] = ACTIONS(3259),
    [sym_primitive_type] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_struct] = ACTIONS(3259),
    [anon_sym_union] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_goto] = ACTIONS(3259),
    [anon_sym___try] = ACTIONS(3259),
    [anon_sym___leave] = ACTIONS(3259),
    [anon_sym_not] = ACTIONS(3259),
    [anon_sym_compl] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3259),
    [anon_sym___alignof__] = ACTIONS(3259),
    [anon_sym___alignof] = ACTIONS(3259),
    [anon_sym__alignof] = ACTIONS(3259),
    [anon_sym_alignof] = ACTIONS(3259),
    [anon_sym__Alignof] = ACTIONS(3259),
    [anon_sym_offsetof] = ACTIONS(3259),
    [anon_sym__Generic] = ACTIONS(3259),
    [anon_sym_asm] = ACTIONS(3259),
    [anon_sym___asm__] = ACTIONS(3259),
    [sym_number_literal] = ACTIONS(3261),
    [anon_sym_L_SQUOTE] = ACTIONS(3261),
    [anon_sym_u_SQUOTE] = ACTIONS(3261),
    [anon_sym_U_SQUOTE] = ACTIONS(3261),
    [anon_sym_u8_SQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_L_DQUOTE] = ACTIONS(3261),
    [anon_sym_u_DQUOTE] = ACTIONS(3261),
    [anon_sym_U_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8_DQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [anon_sym_NULL] = ACTIONS(3259),
    [anon_sym_nullptr] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3259),
    [anon_sym_decltype] = ACTIONS(3259),
    [anon_sym_virtual] = ACTIONS(3259),
    [anon_sym_alignas] = ACTIONS(3259),
    [anon_sym_explicit] = ACTIONS(3259),
    [anon_sym_typename] = ACTIONS(3259),
    [anon_sym_template] = ACTIONS(3259),
    [anon_sym_operator] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_static_assert] = ACTIONS(3259),
    [anon_sym_concept] = ACTIONS(3259),
    [anon_sym_co_return] = ACTIONS(3259),
    [anon_sym_co_yield] = ACTIONS(3259),
    [anon_sym_R_DQUOTE] = ACTIONS(3261),
    [anon_sym_LR_DQUOTE] = ACTIONS(3261),
    [anon_sym_uR_DQUOTE] = ACTIONS(3261),
    [anon_sym_UR_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3261),
    [anon_sym_co_await] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_requires] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3267),
    [aux_sym_preproc_include_token1] = ACTIONS(3267),
    [aux_sym_preproc_def_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3267),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3267),
    [anon_sym_typedef] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym___attribute__] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3269),
    [anon_sym___declspec] = ACTIONS(3267),
    [anon_sym___based] = ACTIONS(3267),
    [anon_sym___cdecl] = ACTIONS(3267),
    [anon_sym___clrcall] = ACTIONS(3267),
    [anon_sym___stdcall] = ACTIONS(3267),
    [anon_sym___fastcall] = ACTIONS(3267),
    [anon_sym___thiscall] = ACTIONS(3267),
    [anon_sym___vectorcall] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3267),
    [anon_sym_unsigned] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_register] = ACTIONS(3267),
    [anon_sym_inline] = ACTIONS(3267),
    [anon_sym___inline] = ACTIONS(3267),
    [anon_sym___inline__] = ACTIONS(3267),
    [anon_sym___forceinline] = ACTIONS(3267),
    [anon_sym_thread_local] = ACTIONS(3267),
    [anon_sym___thread] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_constexpr] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_restrict] = ACTIONS(3267),
    [anon_sym___restrict__] = ACTIONS(3267),
    [anon_sym__Atomic] = ACTIONS(3267),
    [anon_sym__Noreturn] = ACTIONS(3267),
    [anon_sym_noreturn] = ACTIONS(3267),
    [anon_sym_mutable] = ACTIONS(3267),
    [anon_sym_constinit] = ACTIONS(3267),
    [anon_sym_consteval] = ACTIONS(3267),
    [sym_primitive_type] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_union] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_goto] = ACTIONS(3267),
    [anon_sym___try] = ACTIONS(3267),
    [anon_sym___leave] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3267),
    [anon_sym_compl] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3267),
    [anon_sym___alignof__] = ACTIONS(3267),
    [anon_sym___alignof] = ACTIONS(3267),
    [anon_sym__alignof] = ACTIONS(3267),
    [anon_sym_alignof] = ACTIONS(3267),
    [anon_sym__Alignof] = ACTIONS(3267),
    [anon_sym_offsetof] = ACTIONS(3267),
    [anon_sym__Generic] = ACTIONS(3267),
    [anon_sym_asm] = ACTIONS(3267),
    [anon_sym___asm__] = ACTIONS(3267),
    [sym_number_literal] = ACTIONS(3269),
    [anon_sym_L_SQUOTE] = ACTIONS(3269),
    [anon_sym_u_SQUOTE] = ACTIONS(3269),
    [anon_sym_U_SQUOTE] = ACTIONS(3269),
    [anon_sym_u8_SQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_L_DQUOTE] = ACTIONS(3269),
    [anon_sym_u_DQUOTE] = ACTIONS(3269),
    [anon_sym_U_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8_DQUOTE] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [anon_sym_NULL] = ACTIONS(3267),
    [anon_sym_nullptr] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3267),
    [anon_sym_decltype] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_typename] = ACTIONS(3267),
    [anon_sym_template] = ACTIONS(3267),
    [anon_sym_operator] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static_assert] = ACTIONS(3267),
    [anon_sym_concept] = ACTIONS(3267),
    [anon_sym_co_return] = ACTIONS(3267),
    [anon_sym_co_yield] = ACTIONS(3267),
    [anon_sym_R_DQUOTE] = ACTIONS(3269),
    [anon_sym_LR_DQUOTE] = ACTIONS(3269),
    [anon_sym_uR_DQUOTE] = ACTIONS(3269),
    [anon_sym_UR_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3269),
    [anon_sym_co_await] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_requires] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_include_token1] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym___cdecl] = ACTIONS(3275),
    [anon_sym___clrcall] = ACTIONS(3275),
    [anon_sym___stdcall] = ACTIONS(3275),
    [anon_sym___fastcall] = ACTIONS(3275),
    [anon_sym___thiscall] = ACTIONS(3275),
    [anon_sym___vectorcall] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_goto] = ACTIONS(3275),
    [anon_sym___try] = ACTIONS(3275),
    [anon_sym___leave] = ACTIONS(3275),
    [anon_sym_not] = ACTIONS(3275),
    [anon_sym_compl] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3275),
    [anon_sym___alignof__] = ACTIONS(3275),
    [anon_sym___alignof] = ACTIONS(3275),
    [anon_sym__alignof] = ACTIONS(3275),
    [anon_sym_alignof] = ACTIONS(3275),
    [anon_sym__Alignof] = ACTIONS(3275),
    [anon_sym_offsetof] = ACTIONS(3275),
    [anon_sym__Generic] = ACTIONS(3275),
    [anon_sym_asm] = ACTIONS(3275),
    [anon_sym___asm__] = ACTIONS(3275),
    [sym_number_literal] = ACTIONS(3277),
    [anon_sym_L_SQUOTE] = ACTIONS(3277),
    [anon_sym_u_SQUOTE] = ACTIONS(3277),
    [anon_sym_U_SQUOTE] = ACTIONS(3277),
    [anon_sym_u8_SQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_L_DQUOTE] = ACTIONS(3277),
    [anon_sym_u_DQUOTE] = ACTIONS(3277),
    [anon_sym_U_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8_DQUOTE] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [anon_sym_NULL] = ACTIONS(3275),
    [anon_sym_nullptr] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
    [anon_sym_concept] = ACTIONS(3275),
    [anon_sym_co_return] = ACTIONS(3275),
    [anon_sym_co_yield] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(3277),
    [anon_sym_LR_DQUOTE] = ACTIONS(3277),
    [anon_sym_uR_DQUOTE] = ACTIONS(3277),
    [anon_sym_UR_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3277),
    [anon_sym_co_await] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_requires] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3271),
    [aux_sym_preproc_include_token1] = ACTIONS(3271),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3271),
    [sym_preproc_directive] = ACTIONS(3271),
    [anon_sym_LPAREN2] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym_SEMI] = ACTIONS(3273),
    [anon_sym___extension__] = ACTIONS(3271),
    [anon_sym_typedef] = ACTIONS(3271),
    [anon_sym_extern] = ACTIONS(3271),
    [anon_sym___attribute__] = ACTIONS(3271),
    [anon_sym_COLON_COLON] = ACTIONS(3273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3273),
    [anon_sym___declspec] = ACTIONS(3271),
    [anon_sym___based] = ACTIONS(3271),
    [anon_sym___cdecl] = ACTIONS(3271),
    [anon_sym___clrcall] = ACTIONS(3271),
    [anon_sym___stdcall] = ACTIONS(3271),
    [anon_sym___fastcall] = ACTIONS(3271),
    [anon_sym___thiscall] = ACTIONS(3271),
    [anon_sym___vectorcall] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_RBRACE] = ACTIONS(3273),
    [anon_sym_signed] = ACTIONS(3271),
    [anon_sym_unsigned] = ACTIONS(3271),
    [anon_sym_long] = ACTIONS(3271),
    [anon_sym_short] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_register] = ACTIONS(3271),
    [anon_sym_inline] = ACTIONS(3271),
    [anon_sym___inline] = ACTIONS(3271),
    [anon_sym___inline__] = ACTIONS(3271),
    [anon_sym___forceinline] = ACTIONS(3271),
    [anon_sym_thread_local] = ACTIONS(3271),
    [anon_sym___thread] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_constexpr] = ACTIONS(3271),
    [anon_sym_volatile] = ACTIONS(3271),
    [anon_sym_restrict] = ACTIONS(3271),
    [anon_sym___restrict__] = ACTIONS(3271),
    [anon_sym__Atomic] = ACTIONS(3271),
    [anon_sym__Noreturn] = ACTIONS(3271),
    [anon_sym_noreturn] = ACTIONS(3271),
    [anon_sym_mutable] = ACTIONS(3271),
    [anon_sym_constinit] = ACTIONS(3271),
    [anon_sym_consteval] = ACTIONS(3271),
    [sym_primitive_type] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_struct] = ACTIONS(3271),
    [anon_sym_union] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_goto] = ACTIONS(3271),
    [anon_sym___try] = ACTIONS(3271),
    [anon_sym___leave] = ACTIONS(3271),
    [anon_sym_not] = ACTIONS(3271),
    [anon_sym_compl] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3271),
    [anon_sym___alignof__] = ACTIONS(3271),
    [anon_sym___alignof] = ACTIONS(3271),
    [anon_sym__alignof] = ACTIONS(3271),
    [anon_sym_alignof] = ACTIONS(3271),
    [anon_sym__Alignof] = ACTIONS(3271),
    [anon_sym_offsetof] = ACTIONS(3271),
    [anon_sym__Generic] = ACTIONS(3271),
    [anon_sym_asm] = ACTIONS(3271),
    [anon_sym___asm__] = ACTIONS(3271),
    [sym_number_literal] = ACTIONS(3273),
    [anon_sym_L_SQUOTE] = ACTIONS(3273),
    [anon_sym_u_SQUOTE] = ACTIONS(3273),
    [anon_sym_U_SQUOTE] = ACTIONS(3273),
    [anon_sym_u8_SQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_L_DQUOTE] = ACTIONS(3273),
    [anon_sym_u_DQUOTE] = ACTIONS(3273),
    [anon_sym_U_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8_DQUOTE] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [anon_sym_NULL] = ACTIONS(3271),
    [anon_sym_nullptr] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3271),
    [anon_sym_decltype] = ACTIONS(3271),
    [anon_sym_virtual] = ACTIONS(3271),
    [anon_sym_alignas] = ACTIONS(3271),
    [anon_sym_explicit] = ACTIONS(3271),
    [anon_sym_typename] = ACTIONS(3271),
    [anon_sym_template] = ACTIONS(3271),
    [anon_sym_operator] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_static_assert] = ACTIONS(3271),
    [anon_sym_concept] = ACTIONS(3271),
    [anon_sym_co_return] = ACTIONS(3271),
    [anon_sym_co_yield] = ACTIONS(3271),
    [anon_sym_R_DQUOTE] = ACTIONS(3273),
    [anon_sym_LR_DQUOTE] = ACTIONS(3273),
    [anon_sym_uR_DQUOTE] = ACTIONS(3273),
    [anon_sym_UR_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3273),
    [anon_sym_co_await] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_requires] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_include_token1] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym_SEMI] = ACTIONS(3277),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym___cdecl] = ACTIONS(3275),
    [anon_sym___clrcall] = ACTIONS(3275),
    [anon_sym___stdcall] = ACTIONS(3275),
    [anon_sym___fastcall] = ACTIONS(3275),
    [anon_sym___thiscall] = ACTIONS(3275),
    [anon_sym___vectorcall] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_RBRACE] = ACTIONS(3277),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_goto] = ACTIONS(3275),
    [anon_sym___try] = ACTIONS(3275),
    [anon_sym___leave] = ACTIONS(3275),
    [anon_sym_not] = ACTIONS(3275),
    [anon_sym_compl] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3275),
    [anon_sym___alignof__] = ACTIONS(3275),
    [anon_sym___alignof] = ACTIONS(3275),
    [anon_sym__alignof] = ACTIONS(3275),
    [anon_sym_alignof] = ACTIONS(3275),
    [anon_sym__Alignof] = ACTIONS(3275),
    [anon_sym_offsetof] = ACTIONS(3275),
    [anon_sym__Generic] = ACTIONS(3275),
    [anon_sym_asm] = ACTIONS(3275),
    [anon_sym___asm__] = ACTIONS(3275),
    [sym_number_literal] = ACTIONS(3277),
    [anon_sym_L_SQUOTE] = ACTIONS(3277),
    [anon_sym_u_SQUOTE] = ACTIONS(3277),
    [anon_sym_U_SQUOTE] = ACTIONS(3277),
    [anon_sym_u8_SQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_L_DQUOTE] = ACTIONS(3277),
    [anon_sym_u_DQUOTE] = ACTIONS(3277),
    [anon_sym_U_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8_DQUOTE] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [anon_sym_NULL] = ACTIONS(3275),
    [anon_sym_nullptr] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
    [anon_sym_concept] = ACTIONS(3275),
    [anon_sym_co_return] = ACTIONS(3275),
    [anon_sym_co_yield] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(3277),
    [anon_sym_LR_DQUOTE] = ACTIONS(3277),
    [anon_sym_uR_DQUOTE] = ACTIONS(3277),
    [anon_sym_UR_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3277),
    [anon_sym_co_await] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_requires] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_include_token1] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym___cdecl] = ACTIONS(3279),
    [anon_sym___clrcall] = ACTIONS(3279),
    [anon_sym___stdcall] = ACTIONS(3279),
    [anon_sym___fastcall] = ACTIONS(3279),
    [anon_sym___thiscall] = ACTIONS(3279),
    [anon_sym___vectorcall] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_goto] = ACTIONS(3279),
    [anon_sym___try] = ACTIONS(3279),
    [anon_sym___leave] = ACTIONS(3279),
    [anon_sym_not] = ACTIONS(3279),
    [anon_sym_compl] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3279),
    [anon_sym___alignof__] = ACTIONS(3279),
    [anon_sym___alignof] = ACTIONS(3279),
    [anon_sym__alignof] = ACTIONS(3279),
    [anon_sym_alignof] = ACTIONS(3279),
    [anon_sym__Alignof] = ACTIONS(3279),
    [anon_sym_offsetof] = ACTIONS(3279),
    [anon_sym__Generic] = ACTIONS(3279),
    [anon_sym_asm] = ACTIONS(3279),
    [anon_sym___asm__] = ACTIONS(3279),
    [sym_number_literal] = ACTIONS(3281),
    [anon_sym_L_SQUOTE] = ACTIONS(3281),
    [anon_sym_u_SQUOTE] = ACTIONS(3281),
    [anon_sym_U_SQUOTE] = ACTIONS(3281),
    [anon_sym_u8_SQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_L_DQUOTE] = ACTIONS(3281),
    [anon_sym_u_DQUOTE] = ACTIONS(3281),
    [anon_sym_U_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8_DQUOTE] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [anon_sym_NULL] = ACTIONS(3279),
    [anon_sym_nullptr] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
    [anon_sym_concept] = ACTIONS(3279),
    [anon_sym_co_return] = ACTIONS(3279),
    [anon_sym_co_yield] = ACTIONS(3279),
    [anon_sym_R_DQUOTE] = ACTIONS(3281),
    [anon_sym_LR_DQUOTE] = ACTIONS(3281),
    [anon_sym_uR_DQUOTE] = ACTIONS(3281),
    [anon_sym_UR_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3281),
    [anon_sym_co_await] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_requires] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_include_token1] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym___cdecl] = ACTIONS(3283),
    [anon_sym___clrcall] = ACTIONS(3283),
    [anon_sym___stdcall] = ACTIONS(3283),
    [anon_sym___fastcall] = ACTIONS(3283),
    [anon_sym___thiscall] = ACTIONS(3283),
    [anon_sym___vectorcall] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_RBRACE] = ACTIONS(3285),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_goto] = ACTIONS(3283),
    [anon_sym___try] = ACTIONS(3283),
    [anon_sym___leave] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(3283),
    [anon_sym_compl] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3283),
    [anon_sym___alignof__] = ACTIONS(3283),
    [anon_sym___alignof] = ACTIONS(3283),
    [anon_sym__alignof] = ACTIONS(3283),
    [anon_sym_alignof] = ACTIONS(3283),
    [anon_sym__Alignof] = ACTIONS(3283),
    [anon_sym_offsetof] = ACTIONS(3283),
    [anon_sym__Generic] = ACTIONS(3283),
    [anon_sym_asm] = ACTIONS(3283),
    [anon_sym___asm__] = ACTIONS(3283),
    [sym_number_literal] = ACTIONS(3285),
    [anon_sym_L_SQUOTE] = ACTIONS(3285),
    [anon_sym_u_SQUOTE] = ACTIONS(3285),
    [anon_sym_U_SQUOTE] = ACTIONS(3285),
    [anon_sym_u8_SQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_L_DQUOTE] = ACTIONS(3285),
    [anon_sym_u_DQUOTE] = ACTIONS(3285),
    [anon_sym_U_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8_DQUOTE] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [anon_sym_NULL] = ACTIONS(3283),
    [anon_sym_nullptr] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
    [anon_sym_concept] = ACTIONS(3283),
    [anon_sym_co_return] = ACTIONS(3283),
    [anon_sym_co_yield] = ACTIONS(3283),
    [anon_sym_R_DQUOTE] = ACTIONS(3285),
    [anon_sym_LR_DQUOTE] = ACTIONS(3285),
    [anon_sym_uR_DQUOTE] = ACTIONS(3285),
    [anon_sym_UR_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3285),
    [anon_sym_co_await] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_requires] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym_SEMI] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym___try] = ACTIONS(3221),
    [anon_sym___leave] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym___cdecl] = ACTIONS(3291),
    [anon_sym___clrcall] = ACTIONS(3291),
    [anon_sym___stdcall] = ACTIONS(3291),
    [anon_sym___fastcall] = ACTIONS(3291),
    [anon_sym___thiscall] = ACTIONS(3291),
    [anon_sym___vectorcall] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_RBRACE] = ACTIONS(3293),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_goto] = ACTIONS(3291),
    [anon_sym___try] = ACTIONS(3291),
    [anon_sym___leave] = ACTIONS(3291),
    [anon_sym_not] = ACTIONS(3291),
    [anon_sym_compl] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3291),
    [anon_sym___alignof__] = ACTIONS(3291),
    [anon_sym___alignof] = ACTIONS(3291),
    [anon_sym__alignof] = ACTIONS(3291),
    [anon_sym_alignof] = ACTIONS(3291),
    [anon_sym__Alignof] = ACTIONS(3291),
    [anon_sym_offsetof] = ACTIONS(3291),
    [anon_sym__Generic] = ACTIONS(3291),
    [anon_sym_asm] = ACTIONS(3291),
    [anon_sym___asm__] = ACTIONS(3291),
    [sym_number_literal] = ACTIONS(3293),
    [anon_sym_L_SQUOTE] = ACTIONS(3293),
    [anon_sym_u_SQUOTE] = ACTIONS(3293),
    [anon_sym_U_SQUOTE] = ACTIONS(3293),
    [anon_sym_u8_SQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_L_DQUOTE] = ACTIONS(3293),
    [anon_sym_u_DQUOTE] = ACTIONS(3293),
    [anon_sym_U_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8_DQUOTE] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [anon_sym_NULL] = ACTIONS(3291),
    [anon_sym_nullptr] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
    [anon_sym_concept] = ACTIONS(3291),
    [anon_sym_co_return] = ACTIONS(3291),
    [anon_sym_co_yield] = ACTIONS(3291),
    [anon_sym_R_DQUOTE] = ACTIONS(3293),
    [anon_sym_LR_DQUOTE] = ACTIONS(3293),
    [anon_sym_uR_DQUOTE] = ACTIONS(3293),
    [anon_sym_UR_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3293),
    [anon_sym_co_await] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_requires] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_include_token1] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym___cdecl] = ACTIONS(3295),
    [anon_sym___clrcall] = ACTIONS(3295),
    [anon_sym___stdcall] = ACTIONS(3295),
    [anon_sym___fastcall] = ACTIONS(3295),
    [anon_sym___thiscall] = ACTIONS(3295),
    [anon_sym___vectorcall] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_goto] = ACTIONS(3295),
    [anon_sym___try] = ACTIONS(3295),
    [anon_sym___leave] = ACTIONS(3295),
    [anon_sym_not] = ACTIONS(3295),
    [anon_sym_compl] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3295),
    [anon_sym___alignof__] = ACTIONS(3295),
    [anon_sym___alignof] = ACTIONS(3295),
    [anon_sym__alignof] = ACTIONS(3295),
    [anon_sym_alignof] = ACTIONS(3295),
    [anon_sym__Alignof] = ACTIONS(3295),
    [anon_sym_offsetof] = ACTIONS(3295),
    [anon_sym__Generic] = ACTIONS(3295),
    [anon_sym_asm] = ACTIONS(3295),
    [anon_sym___asm__] = ACTIONS(3295),
    [sym_number_literal] = ACTIONS(3297),
    [anon_sym_L_SQUOTE] = ACTIONS(3297),
    [anon_sym_u_SQUOTE] = ACTIONS(3297),
    [anon_sym_U_SQUOTE] = ACTIONS(3297),
    [anon_sym_u8_SQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_L_DQUOTE] = ACTIONS(3297),
    [anon_sym_u_DQUOTE] = ACTIONS(3297),
    [anon_sym_U_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8_DQUOTE] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [anon_sym_NULL] = ACTIONS(3295),
    [anon_sym_nullptr] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
    [anon_sym_concept] = ACTIONS(3295),
    [anon_sym_co_return] = ACTIONS(3295),
    [anon_sym_co_yield] = ACTIONS(3295),
    [anon_sym_R_DQUOTE] = ACTIONS(3297),
    [anon_sym_LR_DQUOTE] = ACTIONS(3297),
    [anon_sym_uR_DQUOTE] = ACTIONS(3297),
    [anon_sym_UR_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3297),
    [anon_sym_co_await] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_requires] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_include_token1] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym___cdecl] = ACTIONS(3303),
    [anon_sym___clrcall] = ACTIONS(3303),
    [anon_sym___stdcall] = ACTIONS(3303),
    [anon_sym___fastcall] = ACTIONS(3303),
    [anon_sym___thiscall] = ACTIONS(3303),
    [anon_sym___vectorcall] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_goto] = ACTIONS(3303),
    [anon_sym___try] = ACTIONS(3303),
    [anon_sym___leave] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3303),
    [anon_sym_compl] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3303),
    [anon_sym___alignof__] = ACTIONS(3303),
    [anon_sym___alignof] = ACTIONS(3303),
    [anon_sym__alignof] = ACTIONS(3303),
    [anon_sym_alignof] = ACTIONS(3303),
    [anon_sym__Alignof] = ACTIONS(3303),
    [anon_sym_offsetof] = ACTIONS(3303),
    [anon_sym__Generic] = ACTIONS(3303),
    [anon_sym_asm] = ACTIONS(3303),
    [anon_sym___asm__] = ACTIONS(3303),
    [sym_number_literal] = ACTIONS(3305),
    [anon_sym_L_SQUOTE] = ACTIONS(3305),
    [anon_sym_u_SQUOTE] = ACTIONS(3305),
    [anon_sym_U_SQUOTE] = ACTIONS(3305),
    [anon_sym_u8_SQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_L_DQUOTE] = ACTIONS(3305),
    [anon_sym_u_DQUOTE] = ACTIONS(3305),
    [anon_sym_U_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8_DQUOTE] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_NULL] = ACTIONS(3303),
    [anon_sym_nullptr] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
    [anon_sym_concept] = ACTIONS(3303),
    [anon_sym_co_return] = ACTIONS(3303),
    [anon_sym_co_yield] = ACTIONS(3303),
    [anon_sym_R_DQUOTE] = ACTIONS(3305),
    [anon_sym_LR_DQUOTE] = ACTIONS(3305),
    [anon_sym_uR_DQUOTE] = ACTIONS(3305),
    [anon_sym_UR_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3305),
    [anon_sym_co_await] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_requires] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_include_token1] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym___cdecl] = ACTIONS(3279),
    [anon_sym___clrcall] = ACTIONS(3279),
    [anon_sym___stdcall] = ACTIONS(3279),
    [anon_sym___fastcall] = ACTIONS(3279),
    [anon_sym___thiscall] = ACTIONS(3279),
    [anon_sym___vectorcall] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_goto] = ACTIONS(3279),
    [anon_sym___try] = ACTIONS(3279),
    [anon_sym___leave] = ACTIONS(3279),
    [anon_sym_not] = ACTIONS(3279),
    [anon_sym_compl] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3279),
    [anon_sym___alignof__] = ACTIONS(3279),
    [anon_sym___alignof] = ACTIONS(3279),
    [anon_sym__alignof] = ACTIONS(3279),
    [anon_sym_alignof] = ACTIONS(3279),
    [anon_sym__Alignof] = ACTIONS(3279),
    [anon_sym_offsetof] = ACTIONS(3279),
    [anon_sym__Generic] = ACTIONS(3279),
    [anon_sym_asm] = ACTIONS(3279),
    [anon_sym___asm__] = ACTIONS(3279),
    [sym_number_literal] = ACTIONS(3281),
    [anon_sym_L_SQUOTE] = ACTIONS(3281),
    [anon_sym_u_SQUOTE] = ACTIONS(3281),
    [anon_sym_U_SQUOTE] = ACTIONS(3281),
    [anon_sym_u8_SQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_L_DQUOTE] = ACTIONS(3281),
    [anon_sym_u_DQUOTE] = ACTIONS(3281),
    [anon_sym_U_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8_DQUOTE] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [anon_sym_NULL] = ACTIONS(3279),
    [anon_sym_nullptr] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
    [anon_sym_concept] = ACTIONS(3279),
    [anon_sym_co_return] = ACTIONS(3279),
    [anon_sym_co_yield] = ACTIONS(3279),
    [anon_sym_R_DQUOTE] = ACTIONS(3281),
    [anon_sym_LR_DQUOTE] = ACTIONS(3281),
    [anon_sym_uR_DQUOTE] = ACTIONS(3281),
    [anon_sym_UR_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3281),
    [anon_sym_co_await] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_requires] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_include_token1] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_SEMI] = ACTIONS(3285),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym___cdecl] = ACTIONS(3283),
    [anon_sym___clrcall] = ACTIONS(3283),
    [anon_sym___stdcall] = ACTIONS(3283),
    [anon_sym___fastcall] = ACTIONS(3283),
    [anon_sym___thiscall] = ACTIONS(3283),
    [anon_sym___vectorcall] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_goto] = ACTIONS(3283),
    [anon_sym___try] = ACTIONS(3283),
    [anon_sym___leave] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(3283),
    [anon_sym_compl] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3283),
    [anon_sym___alignof__] = ACTIONS(3283),
    [anon_sym___alignof] = ACTIONS(3283),
    [anon_sym__alignof] = ACTIONS(3283),
    [anon_sym_alignof] = ACTIONS(3283),
    [anon_sym__Alignof] = ACTIONS(3283),
    [anon_sym_offsetof] = ACTIONS(3283),
    [anon_sym__Generic] = ACTIONS(3283),
    [anon_sym_asm] = ACTIONS(3283),
    [anon_sym___asm__] = ACTIONS(3283),
    [sym_number_literal] = ACTIONS(3285),
    [anon_sym_L_SQUOTE] = ACTIONS(3285),
    [anon_sym_u_SQUOTE] = ACTIONS(3285),
    [anon_sym_U_SQUOTE] = ACTIONS(3285),
    [anon_sym_u8_SQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_L_DQUOTE] = ACTIONS(3285),
    [anon_sym_u_DQUOTE] = ACTIONS(3285),
    [anon_sym_U_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8_DQUOTE] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [anon_sym_NULL] = ACTIONS(3283),
    [anon_sym_nullptr] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
    [anon_sym_concept] = ACTIONS(3283),
    [anon_sym_co_return] = ACTIONS(3283),
    [anon_sym_co_yield] = ACTIONS(3283),
    [anon_sym_R_DQUOTE] = ACTIONS(3285),
    [anon_sym_LR_DQUOTE] = ACTIONS(3285),
    [anon_sym_uR_DQUOTE] = ACTIONS(3285),
    [anon_sym_UR_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3285),
    [anon_sym_co_await] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_requires] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_include_token1] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym_SEMI] = ACTIONS(3289),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym___cdecl] = ACTIONS(3287),
    [anon_sym___clrcall] = ACTIONS(3287),
    [anon_sym___stdcall] = ACTIONS(3287),
    [anon_sym___fastcall] = ACTIONS(3287),
    [anon_sym___thiscall] = ACTIONS(3287),
    [anon_sym___vectorcall] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym___try] = ACTIONS(3287),
    [anon_sym___leave] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3287),
    [anon_sym_compl] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3287),
    [anon_sym___alignof__] = ACTIONS(3287),
    [anon_sym___alignof] = ACTIONS(3287),
    [anon_sym__alignof] = ACTIONS(3287),
    [anon_sym_alignof] = ACTIONS(3287),
    [anon_sym__Alignof] = ACTIONS(3287),
    [anon_sym_offsetof] = ACTIONS(3287),
    [anon_sym__Generic] = ACTIONS(3287),
    [anon_sym_asm] = ACTIONS(3287),
    [anon_sym___asm__] = ACTIONS(3287),
    [sym_number_literal] = ACTIONS(3289),
    [anon_sym_L_SQUOTE] = ACTIONS(3289),
    [anon_sym_u_SQUOTE] = ACTIONS(3289),
    [anon_sym_U_SQUOTE] = ACTIONS(3289),
    [anon_sym_u8_SQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_L_DQUOTE] = ACTIONS(3289),
    [anon_sym_u_DQUOTE] = ACTIONS(3289),
    [anon_sym_U_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8_DQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [anon_sym_NULL] = ACTIONS(3287),
    [anon_sym_nullptr] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
    [anon_sym_concept] = ACTIONS(3287),
    [anon_sym_co_return] = ACTIONS(3287),
    [anon_sym_co_yield] = ACTIONS(3287),
    [anon_sym_R_DQUOTE] = ACTIONS(3289),
    [anon_sym_LR_DQUOTE] = ACTIONS(3289),
    [anon_sym_uR_DQUOTE] = ACTIONS(3289),
    [anon_sym_UR_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3289),
    [anon_sym_co_await] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_requires] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3293),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym___cdecl] = ACTIONS(3291),
    [anon_sym___clrcall] = ACTIONS(3291),
    [anon_sym___stdcall] = ACTIONS(3291),
    [anon_sym___fastcall] = ACTIONS(3291),
    [anon_sym___thiscall] = ACTIONS(3291),
    [anon_sym___vectorcall] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_goto] = ACTIONS(3291),
    [anon_sym___try] = ACTIONS(3291),
    [anon_sym___leave] = ACTIONS(3291),
    [anon_sym_not] = ACTIONS(3291),
    [anon_sym_compl] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3291),
    [anon_sym___alignof__] = ACTIONS(3291),
    [anon_sym___alignof] = ACTIONS(3291),
    [anon_sym__alignof] = ACTIONS(3291),
    [anon_sym_alignof] = ACTIONS(3291),
    [anon_sym__Alignof] = ACTIONS(3291),
    [anon_sym_offsetof] = ACTIONS(3291),
    [anon_sym__Generic] = ACTIONS(3291),
    [anon_sym_asm] = ACTIONS(3291),
    [anon_sym___asm__] = ACTIONS(3291),
    [sym_number_literal] = ACTIONS(3293),
    [anon_sym_L_SQUOTE] = ACTIONS(3293),
    [anon_sym_u_SQUOTE] = ACTIONS(3293),
    [anon_sym_U_SQUOTE] = ACTIONS(3293),
    [anon_sym_u8_SQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_L_DQUOTE] = ACTIONS(3293),
    [anon_sym_u_DQUOTE] = ACTIONS(3293),
    [anon_sym_U_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8_DQUOTE] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [anon_sym_NULL] = ACTIONS(3291),
    [anon_sym_nullptr] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
    [anon_sym_concept] = ACTIONS(3291),
    [anon_sym_co_return] = ACTIONS(3291),
    [anon_sym_co_yield] = ACTIONS(3291),
    [anon_sym_R_DQUOTE] = ACTIONS(3293),
    [anon_sym_LR_DQUOTE] = ACTIONS(3293),
    [anon_sym_uR_DQUOTE] = ACTIONS(3293),
    [anon_sym_UR_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3293),
    [anon_sym_co_await] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_requires] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
  },
  [953] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_RBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [954] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym_SEMI] = ACTIONS(3119),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_RBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym___try] = ACTIONS(3117),
    [anon_sym___leave] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [955] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token2] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [sym_primitive_type] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [sym_number_literal] = ACTIONS(3395),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [956] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_include_token1] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym_SEMI] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym___cdecl] = ACTIONS(3295),
    [anon_sym___clrcall] = ACTIONS(3295),
    [anon_sym___stdcall] = ACTIONS(3295),
    [anon_sym___fastcall] = ACTIONS(3295),
    [anon_sym___thiscall] = ACTIONS(3295),
    [anon_sym___vectorcall] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_goto] = ACTIONS(3295),
    [anon_sym___try] = ACTIONS(3295),
    [anon_sym___leave] = ACTIONS(3295),
    [anon_sym_not] = ACTIONS(3295),
    [anon_sym_compl] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3295),
    [anon_sym___alignof__] = ACTIONS(3295),
    [anon_sym___alignof] = ACTIONS(3295),
    [anon_sym__alignof] = ACTIONS(3295),
    [anon_sym_alignof] = ACTIONS(3295),
    [anon_sym__Alignof] = ACTIONS(3295),
    [anon_sym_offsetof] = ACTIONS(3295),
    [anon_sym__Generic] = ACTIONS(3295),
    [anon_sym_asm] = ACTIONS(3295),
    [anon_sym___asm__] = ACTIONS(3295),
    [sym_number_literal] = ACTIONS(3297),
    [anon_sym_L_SQUOTE] = ACTIONS(3297),
    [anon_sym_u_SQUOTE] = ACTIONS(3297),
    [anon_sym_U_SQUOTE] = ACTIONS(3297),
    [anon_sym_u8_SQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_L_DQUOTE] = ACTIONS(3297),
    [anon_sym_u_DQUOTE] = ACTIONS(3297),
    [anon_sym_U_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8_DQUOTE] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [anon_sym_NULL] = ACTIONS(3295),
    [anon_sym_nullptr] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
    [anon_sym_concept] = ACTIONS(3295),
    [anon_sym_co_return] = ACTIONS(3295),
    [anon_sym_co_yield] = ACTIONS(3295),
    [anon_sym_R_DQUOTE] = ACTIONS(3297),
    [anon_sym_LR_DQUOTE] = ACTIONS(3297),
    [anon_sym_uR_DQUOTE] = ACTIONS(3297),
    [anon_sym_UR_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3297),
    [anon_sym_co_await] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_requires] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
  },
  [957] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token2] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [sym_primitive_type] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [sym_number_literal] = ACTIONS(3387),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [958] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [sym_number_literal] = ACTIONS(3375),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [959] = {
    [sym_identifier] = ACTIONS(3332),
    [aux_sym_preproc_include_token1] = ACTIONS(3332),
    [aux_sym_preproc_def_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token2] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3332),
    [sym_preproc_directive] = ACTIONS(3332),
    [anon_sym_LPAREN2] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP_AMP] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(3332),
    [anon_sym_typedef] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym___attribute__] = ACTIONS(3332),
    [anon_sym_COLON_COLON] = ACTIONS(3334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3334),
    [anon_sym___declspec] = ACTIONS(3332),
    [anon_sym___based] = ACTIONS(3332),
    [anon_sym___cdecl] = ACTIONS(3332),
    [anon_sym___clrcall] = ACTIONS(3332),
    [anon_sym___stdcall] = ACTIONS(3332),
    [anon_sym___fastcall] = ACTIONS(3332),
    [anon_sym___thiscall] = ACTIONS(3332),
    [anon_sym___vectorcall] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(3332),
    [anon_sym_unsigned] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_register] = ACTIONS(3332),
    [anon_sym_inline] = ACTIONS(3332),
    [anon_sym___inline] = ACTIONS(3332),
    [anon_sym___inline__] = ACTIONS(3332),
    [anon_sym___forceinline] = ACTIONS(3332),
    [anon_sym_thread_local] = ACTIONS(3332),
    [anon_sym___thread] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_constexpr] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_restrict] = ACTIONS(3332),
    [anon_sym___restrict__] = ACTIONS(3332),
    [anon_sym__Atomic] = ACTIONS(3332),
    [anon_sym__Noreturn] = ACTIONS(3332),
    [anon_sym_noreturn] = ACTIONS(3332),
    [anon_sym_mutable] = ACTIONS(3332),
    [anon_sym_constinit] = ACTIONS(3332),
    [anon_sym_consteval] = ACTIONS(3332),
    [sym_primitive_type] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_union] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_goto] = ACTIONS(3332),
    [anon_sym___try] = ACTIONS(3332),
    [anon_sym___leave] = ACTIONS(3332),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(3332),
    [anon_sym___alignof] = ACTIONS(3332),
    [anon_sym__alignof] = ACTIONS(3332),
    [anon_sym_alignof] = ACTIONS(3332),
    [anon_sym__Alignof] = ACTIONS(3332),
    [anon_sym_offsetof] = ACTIONS(3332),
    [anon_sym__Generic] = ACTIONS(3332),
    [anon_sym_asm] = ACTIONS(3332),
    [anon_sym___asm__] = ACTIONS(3332),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3334),
    [anon_sym_u_SQUOTE] = ACTIONS(3334),
    [anon_sym_U_SQUOTE] = ACTIONS(3334),
    [anon_sym_u8_SQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_L_DQUOTE] = ACTIONS(3334),
    [anon_sym_u_DQUOTE] = ACTIONS(3334),
    [anon_sym_U_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8_DQUOTE] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [anon_sym_NULL] = ACTIONS(3332),
    [anon_sym_nullptr] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3332),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_alignas] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_typename] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_operator] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static_assert] = ACTIONS(3332),
    [anon_sym_concept] = ACTIONS(3332),
    [anon_sym_co_return] = ACTIONS(3332),
    [anon_sym_co_yield] = ACTIONS(3332),
    [anon_sym_R_DQUOTE] = ACTIONS(3334),
    [anon_sym_LR_DQUOTE] = ACTIONS(3334),
    [anon_sym_uR_DQUOTE] = ACTIONS(3334),
    [anon_sym_UR_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3334),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_requires] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
  },
  [960] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_include_token1] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_SEMI] = ACTIONS(3305),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym___cdecl] = ACTIONS(3303),
    [anon_sym___clrcall] = ACTIONS(3303),
    [anon_sym___stdcall] = ACTIONS(3303),
    [anon_sym___fastcall] = ACTIONS(3303),
    [anon_sym___thiscall] = ACTIONS(3303),
    [anon_sym___vectorcall] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_goto] = ACTIONS(3303),
    [anon_sym___try] = ACTIONS(3303),
    [anon_sym___leave] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3303),
    [anon_sym_compl] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3303),
    [anon_sym___alignof__] = ACTIONS(3303),
    [anon_sym___alignof] = ACTIONS(3303),
    [anon_sym__alignof] = ACTIONS(3303),
    [anon_sym_alignof] = ACTIONS(3303),
    [anon_sym__Alignof] = ACTIONS(3303),
    [anon_sym_offsetof] = ACTIONS(3303),
    [anon_sym__Generic] = ACTIONS(3303),
    [anon_sym_asm] = ACTIONS(3303),
    [anon_sym___asm__] = ACTIONS(3303),
    [sym_number_literal] = ACTIONS(3305),
    [anon_sym_L_SQUOTE] = ACTIONS(3305),
    [anon_sym_u_SQUOTE] = ACTIONS(3305),
    [anon_sym_U_SQUOTE] = ACTIONS(3305),
    [anon_sym_u8_SQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_L_DQUOTE] = ACTIONS(3305),
    [anon_sym_u_DQUOTE] = ACTIONS(3305),
    [anon_sym_U_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8_DQUOTE] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_NULL] = ACTIONS(3303),
    [anon_sym_nullptr] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
    [anon_sym_concept] = ACTIONS(3303),
    [anon_sym_co_return] = ACTIONS(3303),
    [anon_sym_co_yield] = ACTIONS(3303),
    [anon_sym_R_DQUOTE] = ACTIONS(3305),
    [anon_sym_LR_DQUOTE] = ACTIONS(3305),
    [anon_sym_uR_DQUOTE] = ACTIONS(3305),
    [anon_sym_UR_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3305),
    [anon_sym_co_await] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_requires] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
  },
  [961] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_RBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [962] = {
    [sym_identifier] = ACTIONS(3321),
    [aux_sym_preproc_include_token1] = ACTIONS(3321),
    [aux_sym_preproc_def_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3321),
    [sym_preproc_directive] = ACTIONS(3321),
    [anon_sym_LPAREN2] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3321),
    [anon_sym_SEMI] = ACTIONS(3323),
    [anon_sym___extension__] = ACTIONS(3321),
    [anon_sym_typedef] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym___attribute__] = ACTIONS(3321),
    [anon_sym_COLON_COLON] = ACTIONS(3323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3323),
    [anon_sym___declspec] = ACTIONS(3321),
    [anon_sym___based] = ACTIONS(3321),
    [anon_sym___cdecl] = ACTIONS(3321),
    [anon_sym___clrcall] = ACTIONS(3321),
    [anon_sym___stdcall] = ACTIONS(3321),
    [anon_sym___fastcall] = ACTIONS(3321),
    [anon_sym___thiscall] = ACTIONS(3321),
    [anon_sym___vectorcall] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_RBRACE] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3321),
    [anon_sym_unsigned] = ACTIONS(3321),
    [anon_sym_long] = ACTIONS(3321),
    [anon_sym_short] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_register] = ACTIONS(3321),
    [anon_sym_inline] = ACTIONS(3321),
    [anon_sym___inline] = ACTIONS(3321),
    [anon_sym___inline__] = ACTIONS(3321),
    [anon_sym___forceinline] = ACTIONS(3321),
    [anon_sym_thread_local] = ACTIONS(3321),
    [anon_sym___thread] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_constexpr] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_restrict] = ACTIONS(3321),
    [anon_sym___restrict__] = ACTIONS(3321),
    [anon_sym__Atomic] = ACTIONS(3321),
    [anon_sym__Noreturn] = ACTIONS(3321),
    [anon_sym_noreturn] = ACTIONS(3321),
    [anon_sym_mutable] = ACTIONS(3321),
    [anon_sym_constinit] = ACTIONS(3321),
    [anon_sym_consteval] = ACTIONS(3321),
    [sym_primitive_type] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_union] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym___try] = ACTIONS(3321),
    [anon_sym___leave] = ACTIONS(3321),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_compl] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym___alignof__] = ACTIONS(3321),
    [anon_sym___alignof] = ACTIONS(3321),
    [anon_sym__alignof] = ACTIONS(3321),
    [anon_sym_alignof] = ACTIONS(3321),
    [anon_sym__Alignof] = ACTIONS(3321),
    [anon_sym_offsetof] = ACTIONS(3321),
    [anon_sym__Generic] = ACTIONS(3321),
    [anon_sym_asm] = ACTIONS(3321),
    [anon_sym___asm__] = ACTIONS(3321),
    [sym_number_literal] = ACTIONS(3323),
    [anon_sym_L_SQUOTE] = ACTIONS(3323),
    [anon_sym_u_SQUOTE] = ACTIONS(3323),
    [anon_sym_U_SQUOTE] = ACTIONS(3323),
    [anon_sym_u8_SQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [anon_sym_NULL] = ACTIONS(3321),
    [anon_sym_nullptr] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3321),
    [anon_sym_decltype] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_alignas] = ACTIONS(3321),
    [anon_sym_explicit] = ACTIONS(3321),
    [anon_sym_typename] = ACTIONS(3321),
    [anon_sym_template] = ACTIONS(3321),
    [anon_sym_operator] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_static_assert] = ACTIONS(3321),
    [anon_sym_concept] = ACTIONS(3321),
    [anon_sym_co_return] = ACTIONS(3321),
    [anon_sym_co_yield] = ACTIONS(3321),
    [anon_sym_R_DQUOTE] = ACTIONS(3323),
    [anon_sym_LR_DQUOTE] = ACTIONS(3323),
    [anon_sym_uR_DQUOTE] = ACTIONS(3323),
    [anon_sym_UR_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3323),
    [anon_sym_co_await] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_requires] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
  },
  [963] = {
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_include_token1] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3325),
    [sym_preproc_directive] = ACTIONS(3325),
    [anon_sym_LPAREN2] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3325),
    [anon_sym_SEMI] = ACTIONS(3327),
    [anon_sym___extension__] = ACTIONS(3325),
    [anon_sym_typedef] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym___attribute__] = ACTIONS(3325),
    [anon_sym_COLON_COLON] = ACTIONS(3327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3327),
    [anon_sym___declspec] = ACTIONS(3325),
    [anon_sym___based] = ACTIONS(3325),
    [anon_sym___cdecl] = ACTIONS(3325),
    [anon_sym___clrcall] = ACTIONS(3325),
    [anon_sym___stdcall] = ACTIONS(3325),
    [anon_sym___fastcall] = ACTIONS(3325),
    [anon_sym___thiscall] = ACTIONS(3325),
    [anon_sym___vectorcall] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_RBRACE] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3325),
    [anon_sym_unsigned] = ACTIONS(3325),
    [anon_sym_long] = ACTIONS(3325),
    [anon_sym_short] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_register] = ACTIONS(3325),
    [anon_sym_inline] = ACTIONS(3325),
    [anon_sym___inline] = ACTIONS(3325),
    [anon_sym___inline__] = ACTIONS(3325),
    [anon_sym___forceinline] = ACTIONS(3325),
    [anon_sym_thread_local] = ACTIONS(3325),
    [anon_sym___thread] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_constexpr] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_restrict] = ACTIONS(3325),
    [anon_sym___restrict__] = ACTIONS(3325),
    [anon_sym__Atomic] = ACTIONS(3325),
    [anon_sym__Noreturn] = ACTIONS(3325),
    [anon_sym_noreturn] = ACTIONS(3325),
    [anon_sym_mutable] = ACTIONS(3325),
    [anon_sym_constinit] = ACTIONS(3325),
    [anon_sym_consteval] = ACTIONS(3325),
    [sym_primitive_type] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_union] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym___try] = ACTIONS(3325),
    [anon_sym___leave] = ACTIONS(3325),
    [anon_sym_not] = ACTIONS(3325),
    [anon_sym_compl] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym___alignof__] = ACTIONS(3325),
    [anon_sym___alignof] = ACTIONS(3325),
    [anon_sym__alignof] = ACTIONS(3325),
    [anon_sym_alignof] = ACTIONS(3325),
    [anon_sym__Alignof] = ACTIONS(3325),
    [anon_sym_offsetof] = ACTIONS(3325),
    [anon_sym__Generic] = ACTIONS(3325),
    [anon_sym_asm] = ACTIONS(3325),
    [anon_sym___asm__] = ACTIONS(3325),
    [sym_number_literal] = ACTIONS(3327),
    [anon_sym_L_SQUOTE] = ACTIONS(3327),
    [anon_sym_u_SQUOTE] = ACTIONS(3327),
    [anon_sym_U_SQUOTE] = ACTIONS(3327),
    [anon_sym_u8_SQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_L_DQUOTE] = ACTIONS(3327),
    [anon_sym_u_DQUOTE] = ACTIONS(3327),
    [anon_sym_U_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8_DQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [anon_sym_NULL] = ACTIONS(3325),
    [anon_sym_nullptr] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3325),
    [anon_sym_decltype] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_alignas] = ACTIONS(3325),
    [anon_sym_explicit] = ACTIONS(3325),
    [anon_sym_typename] = ACTIONS(3325),
    [anon_sym_template] = ACTIONS(3325),
    [anon_sym_operator] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_static_assert] = ACTIONS(3325),
    [anon_sym_concept] = ACTIONS(3325),
    [anon_sym_co_return] = ACTIONS(3325),
    [anon_sym_co_yield] = ACTIONS(3325),
    [anon_sym_R_DQUOTE] = ACTIONS(3327),
    [anon_sym_LR_DQUOTE] = ACTIONS(3327),
    [anon_sym_uR_DQUOTE] = ACTIONS(3327),
    [anon_sym_UR_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3327),
    [anon_sym_co_await] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_requires] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
  },
  [964] = {
    [sym_identifier] = ACTIONS(3336),
    [aux_sym_preproc_include_token1] = ACTIONS(3336),
    [aux_sym_preproc_def_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3336),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_typedef] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym___attribute__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3336),
    [anon_sym___based] = ACTIONS(3336),
    [anon_sym___cdecl] = ACTIONS(3336),
    [anon_sym___clrcall] = ACTIONS(3336),
    [anon_sym___stdcall] = ACTIONS(3336),
    [anon_sym___fastcall] = ACTIONS(3336),
    [anon_sym___thiscall] = ACTIONS(3336),
    [anon_sym___vectorcall] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_RBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3336),
    [anon_sym_unsigned] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_register] = ACTIONS(3336),
    [anon_sym_inline] = ACTIONS(3336),
    [anon_sym___inline] = ACTIONS(3336),
    [anon_sym___inline__] = ACTIONS(3336),
    [anon_sym___forceinline] = ACTIONS(3336),
    [anon_sym_thread_local] = ACTIONS(3336),
    [anon_sym___thread] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_constexpr] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_restrict] = ACTIONS(3336),
    [anon_sym___restrict__] = ACTIONS(3336),
    [anon_sym__Atomic] = ACTIONS(3336),
    [anon_sym__Noreturn] = ACTIONS(3336),
    [anon_sym_noreturn] = ACTIONS(3336),
    [anon_sym_mutable] = ACTIONS(3336),
    [anon_sym_constinit] = ACTIONS(3336),
    [anon_sym_consteval] = ACTIONS(3336),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_union] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_goto] = ACTIONS(3336),
    [anon_sym___try] = ACTIONS(3336),
    [anon_sym___leave] = ACTIONS(3336),
    [anon_sym_not] = ACTIONS(3336),
    [anon_sym_compl] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3336),
    [anon_sym___alignof__] = ACTIONS(3336),
    [anon_sym___alignof] = ACTIONS(3336),
    [anon_sym__alignof] = ACTIONS(3336),
    [anon_sym_alignof] = ACTIONS(3336),
    [anon_sym__Alignof] = ACTIONS(3336),
    [anon_sym_offsetof] = ACTIONS(3336),
    [anon_sym__Generic] = ACTIONS(3336),
    [anon_sym_asm] = ACTIONS(3336),
    [anon_sym___asm__] = ACTIONS(3336),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [anon_sym_NULL] = ACTIONS(3336),
    [anon_sym_nullptr] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3336),
    [anon_sym_decltype] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_alignas] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_typename] = ACTIONS(3336),
    [anon_sym_template] = ACTIONS(3336),
    [anon_sym_operator] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static_assert] = ACTIONS(3336),
    [anon_sym_concept] = ACTIONS(3336),
    [anon_sym_co_return] = ACTIONS(3336),
    [anon_sym_co_yield] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
  },
  [965] = {
    [sym_identifier] = ACTIONS(3336),
    [aux_sym_preproc_include_token1] = ACTIONS(3336),
    [aux_sym_preproc_def_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token2] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3336),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3336),
    [anon_sym_SEMI] = ACTIONS(3338),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_typedef] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym___attribute__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3336),
    [anon_sym___based] = ACTIONS(3336),
    [anon_sym___cdecl] = ACTIONS(3336),
    [anon_sym___clrcall] = ACTIONS(3336),
    [anon_sym___stdcall] = ACTIONS(3336),
    [anon_sym___fastcall] = ACTIONS(3336),
    [anon_sym___thiscall] = ACTIONS(3336),
    [anon_sym___vectorcall] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3336),
    [anon_sym_unsigned] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_register] = ACTIONS(3336),
    [anon_sym_inline] = ACTIONS(3336),
    [anon_sym___inline] = ACTIONS(3336),
    [anon_sym___inline__] = ACTIONS(3336),
    [anon_sym___forceinline] = ACTIONS(3336),
    [anon_sym_thread_local] = ACTIONS(3336),
    [anon_sym___thread] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_constexpr] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_restrict] = ACTIONS(3336),
    [anon_sym___restrict__] = ACTIONS(3336),
    [anon_sym__Atomic] = ACTIONS(3336),
    [anon_sym__Noreturn] = ACTIONS(3336),
    [anon_sym_noreturn] = ACTIONS(3336),
    [anon_sym_mutable] = ACTIONS(3336),
    [anon_sym_constinit] = ACTIONS(3336),
    [anon_sym_consteval] = ACTIONS(3336),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_union] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_goto] = ACTIONS(3336),
    [anon_sym___try] = ACTIONS(3336),
    [anon_sym___leave] = ACTIONS(3336),
    [anon_sym_not] = ACTIONS(3336),
    [anon_sym_compl] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3336),
    [anon_sym___alignof__] = ACTIONS(3336),
    [anon_sym___alignof] = ACTIONS(3336),
    [anon_sym__alignof] = ACTIONS(3336),
    [anon_sym_alignof] = ACTIONS(3336),
    [anon_sym__Alignof] = ACTIONS(3336),
    [anon_sym_offsetof] = ACTIONS(3336),
    [anon_sym__Generic] = ACTIONS(3336),
    [anon_sym_asm] = ACTIONS(3336),
    [anon_sym___asm__] = ACTIONS(3336),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [anon_sym_NULL] = ACTIONS(3336),
    [anon_sym_nullptr] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3336),
    [anon_sym_decltype] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_alignas] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_typename] = ACTIONS(3336),
    [anon_sym_template] = ACTIONS(3336),
    [anon_sym_operator] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static_assert] = ACTIONS(3336),
    [anon_sym_concept] = ACTIONS(3336),
    [anon_sym_co_return] = ACTIONS(3336),
    [anon_sym_co_yield] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
  },
  [966] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_RBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym___try] = ACTIONS(3340),
    [anon_sym___leave] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [967] = {
    [sym_identifier] = ACTIONS(3352),
    [aux_sym_preproc_include_token1] = ACTIONS(3352),
    [aux_sym_preproc_def_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_AMP_AMP] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym_SEMI] = ACTIONS(3354),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym___attribute__] = ACTIONS(3352),
    [anon_sym_COLON_COLON] = ACTIONS(3354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3354),
    [anon_sym___declspec] = ACTIONS(3352),
    [anon_sym___based] = ACTIONS(3352),
    [anon_sym___cdecl] = ACTIONS(3352),
    [anon_sym___clrcall] = ACTIONS(3352),
    [anon_sym___stdcall] = ACTIONS(3352),
    [anon_sym___fastcall] = ACTIONS(3352),
    [anon_sym___thiscall] = ACTIONS(3352),
    [anon_sym___vectorcall] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_RBRACE] = ACTIONS(3354),
    [anon_sym_signed] = ACTIONS(3352),
    [anon_sym_unsigned] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_register] = ACTIONS(3352),
    [anon_sym_inline] = ACTIONS(3352),
    [anon_sym___inline] = ACTIONS(3352),
    [anon_sym___inline__] = ACTIONS(3352),
    [anon_sym___forceinline] = ACTIONS(3352),
    [anon_sym_thread_local] = ACTIONS(3352),
    [anon_sym___thread] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_constexpr] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_restrict] = ACTIONS(3352),
    [anon_sym___restrict__] = ACTIONS(3352),
    [anon_sym__Atomic] = ACTIONS(3352),
    [anon_sym__Noreturn] = ACTIONS(3352),
    [anon_sym_noreturn] = ACTIONS(3352),
    [anon_sym_mutable] = ACTIONS(3352),
    [anon_sym_constinit] = ACTIONS(3352),
    [anon_sym_consteval] = ACTIONS(3352),
    [sym_primitive_type] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_union] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_goto] = ACTIONS(3352),
    [anon_sym___try] = ACTIONS(3352),
    [anon_sym___leave] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_compl] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3352),
    [anon_sym___alignof] = ACTIONS(3352),
    [anon_sym__alignof] = ACTIONS(3352),
    [anon_sym_alignof] = ACTIONS(3352),
    [anon_sym__Alignof] = ACTIONS(3352),
    [anon_sym_offsetof] = ACTIONS(3352),
    [anon_sym__Generic] = ACTIONS(3352),
    [anon_sym_asm] = ACTIONS(3352),
    [anon_sym___asm__] = ACTIONS(3352),
    [sym_number_literal] = ACTIONS(3354),
    [anon_sym_L_SQUOTE] = ACTIONS(3354),
    [anon_sym_u_SQUOTE] = ACTIONS(3354),
    [anon_sym_U_SQUOTE] = ACTIONS(3354),
    [anon_sym_u8_SQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_L_DQUOTE] = ACTIONS(3354),
    [anon_sym_u_DQUOTE] = ACTIONS(3354),
    [anon_sym_U_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8_DQUOTE] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_NULL] = ACTIONS(3352),
    [anon_sym_nullptr] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3352),
    [anon_sym_decltype] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_alignas] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_typename] = ACTIONS(3352),
    [anon_sym_template] = ACTIONS(3352),
    [anon_sym_operator] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static_assert] = ACTIONS(3352),
    [anon_sym_concept] = ACTIONS(3352),
    [anon_sym_co_return] = ACTIONS(3352),
    [anon_sym_co_yield] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_requires] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
  },
  [968] = {
    [sym_catch_clause] = STATE(425),
    [aux_sym_constructor_try_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(2844),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_include_token1] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_DASH] = ACTIONS(2842),
    [anon_sym_PLUS] = ACTIONS(2842),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym___cdecl] = ACTIONS(2842),
    [anon_sym___clrcall] = ACTIONS(2842),
    [anon_sym___stdcall] = ACTIONS(2842),
    [anon_sym___fastcall] = ACTIONS(2842),
    [anon_sym___thiscall] = ACTIONS(2842),
    [anon_sym___vectorcall] = ACTIONS(2842),
    [anon_sym_LBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [anon_sym_if] = ACTIONS(2842),
    [anon_sym_switch] = ACTIONS(2842),
    [anon_sym_case] = ACTIONS(2842),
    [anon_sym_default] = ACTIONS(2842),
    [anon_sym_while] = ACTIONS(2842),
    [anon_sym_do] = ACTIONS(2842),
    [anon_sym_for] = ACTIONS(2842),
    [anon_sym_return] = ACTIONS(2842),
    [anon_sym_break] = ACTIONS(2842),
    [anon_sym_continue] = ACTIONS(2842),
    [anon_sym_goto] = ACTIONS(2842),
    [anon_sym_not] = ACTIONS(2842),
    [anon_sym_compl] = ACTIONS(2842),
    [anon_sym_DASH_DASH] = ACTIONS(2844),
    [anon_sym_PLUS_PLUS] = ACTIONS(2844),
    [anon_sym_sizeof] = ACTIONS(2842),
    [anon_sym___alignof__] = ACTIONS(2842),
    [anon_sym___alignof] = ACTIONS(2842),
    [anon_sym__alignof] = ACTIONS(2842),
    [anon_sym_alignof] = ACTIONS(2842),
    [anon_sym__Alignof] = ACTIONS(2842),
    [anon_sym_offsetof] = ACTIONS(2842),
    [anon_sym__Generic] = ACTIONS(2842),
    [anon_sym_asm] = ACTIONS(2842),
    [anon_sym___asm__] = ACTIONS(2842),
    [sym_number_literal] = ACTIONS(2844),
    [anon_sym_L_SQUOTE] = ACTIONS(2844),
    [anon_sym_u_SQUOTE] = ACTIONS(2844),
    [anon_sym_U_SQUOTE] = ACTIONS(2844),
    [anon_sym_u8_SQUOTE] = ACTIONS(2844),
    [anon_sym_SQUOTE] = ACTIONS(2844),
    [anon_sym_L_DQUOTE] = ACTIONS(2844),
    [anon_sym_u_DQUOTE] = ACTIONS(2844),
    [anon_sym_U_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8_DQUOTE] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2844),
    [sym_true] = ACTIONS(2842),
    [sym_false] = ACTIONS(2842),
    [anon_sym_NULL] = ACTIONS(2842),
    [anon_sym_nullptr] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_try] = ACTIONS(2842),
    [anon_sym_delete] = ACTIONS(2842),
    [anon_sym_throw] = ACTIONS(2842),
    [anon_sym_namespace] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_concept] = ACTIONS(2842),
    [anon_sym_co_return] = ACTIONS(2842),
    [anon_sym_co_yield] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(3086),
    [anon_sym_R_DQUOTE] = ACTIONS(2844),
    [anon_sym_LR_DQUOTE] = ACTIONS(2844),
    [anon_sym_uR_DQUOTE] = ACTIONS(2844),
    [anon_sym_UR_DQUOTE] = ACTIONS(2844),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2844),
    [anon_sym_co_await] = ACTIONS(2842),
    [anon_sym_new] = ACTIONS(2842),
    [anon_sym_requires] = ACTIONS(2842),
    [sym_this] = ACTIONS(2842),
  },
  [969] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_include_token1] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token2] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3350),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym___cdecl] = ACTIONS(3348),
    [anon_sym___clrcall] = ACTIONS(3348),
    [anon_sym___stdcall] = ACTIONS(3348),
    [anon_sym___fastcall] = ACTIONS(3348),
    [anon_sym___thiscall] = ACTIONS(3348),
    [anon_sym___vectorcall] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3350),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_goto] = ACTIONS(3348),
    [anon_sym___try] = ACTIONS(3348),
    [anon_sym___leave] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3348),
    [anon_sym_compl] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3348),
    [anon_sym___alignof__] = ACTIONS(3348),
    [anon_sym___alignof] = ACTIONS(3348),
    [anon_sym__alignof] = ACTIONS(3348),
    [anon_sym_alignof] = ACTIONS(3348),
    [anon_sym__Alignof] = ACTIONS(3348),
    [anon_sym_offsetof] = ACTIONS(3348),
    [anon_sym__Generic] = ACTIONS(3348),
    [anon_sym_asm] = ACTIONS(3348),
    [anon_sym___asm__] = ACTIONS(3348),
    [sym_number_literal] = ACTIONS(3350),
    [anon_sym_L_SQUOTE] = ACTIONS(3350),
    [anon_sym_u_SQUOTE] = ACTIONS(3350),
    [anon_sym_U_SQUOTE] = ACTIONS(3350),
    [anon_sym_u8_SQUOTE] = ACTIONS(3350),
    [anon_sym_SQUOTE] = ACTIONS(3350),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [anon_sym_NULL] = ACTIONS(3348),
    [anon_sym_nullptr] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
    [anon_sym_concept] = ACTIONS(3348),
    [anon_sym_co_return] = ACTIONS(3348),
    [anon_sym_co_yield] = ACTIONS(3348),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_requires] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
  },
  [970] = {
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym_SEMI] = ACTIONS(3403),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_RBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [sym_primitive_type] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym___try] = ACTIONS(3401),
    [anon_sym___leave] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [sym_number_literal] = ACTIONS(3403),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [971] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_RBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [972] = {
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym_SEMI] = ACTIONS(3407),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_RBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym___try] = ACTIONS(3405),
    [anon_sym___leave] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [sym_number_literal] = ACTIONS(3407),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [973] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [974] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym_SEMI] = ACTIONS(3399),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym___try] = ACTIONS(3397),
    [anon_sym___leave] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [sym_number_literal] = ACTIONS(3399),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [975] = {
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym_SEMI] = ACTIONS(3395),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_RBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [sym_primitive_type] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym___try] = ACTIONS(3393),
    [anon_sym___leave] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [sym_number_literal] = ACTIONS(3395),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [976] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym_SEMI] = ACTIONS(3391),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_RBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym___try] = ACTIONS(3389),
    [anon_sym___leave] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [sym_number_literal] = ACTIONS(3391),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [977] = {
    [sym_identifier] = ACTIONS(3299),
    [aux_sym_preproc_include_token1] = ACTIONS(3299),
    [aux_sym_preproc_def_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3299),
    [sym_preproc_directive] = ACTIONS(3299),
    [anon_sym_LPAREN2] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_STAR] = ACTIONS(3301),
    [anon_sym_AMP_AMP] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3299),
    [anon_sym_typedef] = ACTIONS(3299),
    [anon_sym_extern] = ACTIONS(3299),
    [anon_sym___attribute__] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3301),
    [anon_sym___declspec] = ACTIONS(3299),
    [anon_sym___based] = ACTIONS(3299),
    [anon_sym___cdecl] = ACTIONS(3299),
    [anon_sym___clrcall] = ACTIONS(3299),
    [anon_sym___stdcall] = ACTIONS(3299),
    [anon_sym___fastcall] = ACTIONS(3299),
    [anon_sym___thiscall] = ACTIONS(3299),
    [anon_sym___vectorcall] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_RBRACE] = ACTIONS(3301),
    [anon_sym_signed] = ACTIONS(3299),
    [anon_sym_unsigned] = ACTIONS(3299),
    [anon_sym_long] = ACTIONS(3299),
    [anon_sym_short] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_register] = ACTIONS(3299),
    [anon_sym_inline] = ACTIONS(3299),
    [anon_sym___inline] = ACTIONS(3299),
    [anon_sym___inline__] = ACTIONS(3299),
    [anon_sym___forceinline] = ACTIONS(3299),
    [anon_sym_thread_local] = ACTIONS(3299),
    [anon_sym___thread] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_constexpr] = ACTIONS(3299),
    [anon_sym_volatile] = ACTIONS(3299),
    [anon_sym_restrict] = ACTIONS(3299),
    [anon_sym___restrict__] = ACTIONS(3299),
    [anon_sym__Atomic] = ACTIONS(3299),
    [anon_sym__Noreturn] = ACTIONS(3299),
    [anon_sym_noreturn] = ACTIONS(3299),
    [anon_sym_mutable] = ACTIONS(3299),
    [anon_sym_constinit] = ACTIONS(3299),
    [anon_sym_consteval] = ACTIONS(3299),
    [sym_primitive_type] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_struct] = ACTIONS(3299),
    [anon_sym_union] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_goto] = ACTIONS(3299),
    [anon_sym___try] = ACTIONS(3299),
    [anon_sym___leave] = ACTIONS(3299),
    [anon_sym_not] = ACTIONS(3299),
    [anon_sym_compl] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3299),
    [anon_sym___alignof] = ACTIONS(3299),
    [anon_sym__alignof] = ACTIONS(3299),
    [anon_sym_alignof] = ACTIONS(3299),
    [anon_sym__Alignof] = ACTIONS(3299),
    [anon_sym_offsetof] = ACTIONS(3299),
    [anon_sym__Generic] = ACTIONS(3299),
    [anon_sym_asm] = ACTIONS(3299),
    [anon_sym___asm__] = ACTIONS(3299),
    [sym_number_literal] = ACTIONS(3301),
    [anon_sym_L_SQUOTE] = ACTIONS(3301),
    [anon_sym_u_SQUOTE] = ACTIONS(3301),
    [anon_sym_U_SQUOTE] = ACTIONS(3301),
    [anon_sym_u8_SQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_L_DQUOTE] = ACTIONS(3301),
    [anon_sym_u_DQUOTE] = ACTIONS(3301),
    [anon_sym_U_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8_DQUOTE] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [anon_sym_NULL] = ACTIONS(3299),
    [anon_sym_nullptr] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3299),
    [anon_sym_decltype] = ACTIONS(3299),
    [anon_sym_virtual] = ACTIONS(3299),
    [anon_sym_alignas] = ACTIONS(3299),
    [anon_sym_explicit] = ACTIONS(3299),
    [anon_sym_typename] = ACTIONS(3299),
    [anon_sym_template] = ACTIONS(3299),
    [anon_sym_operator] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_static_assert] = ACTIONS(3299),
    [anon_sym_concept] = ACTIONS(3299),
    [anon_sym_co_return] = ACTIONS(3299),
    [anon_sym_co_yield] = ACTIONS(3299),
    [anon_sym_R_DQUOTE] = ACTIONS(3301),
    [anon_sym_LR_DQUOTE] = ACTIONS(3301),
    [anon_sym_uR_DQUOTE] = ACTIONS(3301),
    [anon_sym_UR_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3301),
    [anon_sym_co_await] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_requires] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
  },
  [978] = {
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym_SEMI] = ACTIONS(3387),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_RBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [sym_primitive_type] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym___try] = ACTIONS(3385),
    [anon_sym___leave] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [sym_number_literal] = ACTIONS(3387),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [979] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [980] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym_SEMI] = ACTIONS(3383),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_RBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym___try] = ACTIONS(3381),
    [anon_sym___leave] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [sym_number_literal] = ACTIONS(3383),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [981] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym_SEMI] = ACTIONS(3379),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_RBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym___try] = ACTIONS(3377),
    [anon_sym___leave] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [sym_number_literal] = ACTIONS(3379),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [982] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym_SEMI] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_RBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym___try] = ACTIONS(3373),
    [anon_sym___leave] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [sym_number_literal] = ACTIONS(3375),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [983] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_include_token1] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym_SEMI] = ACTIONS(3350),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym___cdecl] = ACTIONS(3348),
    [anon_sym___clrcall] = ACTIONS(3348),
    [anon_sym___stdcall] = ACTIONS(3348),
    [anon_sym___fastcall] = ACTIONS(3348),
    [anon_sym___thiscall] = ACTIONS(3348),
    [anon_sym___vectorcall] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3350),
    [anon_sym_RBRACE] = ACTIONS(3350),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_goto] = ACTIONS(3348),
    [anon_sym___try] = ACTIONS(3348),
    [anon_sym___leave] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3348),
    [anon_sym_compl] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3348),
    [anon_sym___alignof__] = ACTIONS(3348),
    [anon_sym___alignof] = ACTIONS(3348),
    [anon_sym__alignof] = ACTIONS(3348),
    [anon_sym_alignof] = ACTIONS(3348),
    [anon_sym__Alignof] = ACTIONS(3348),
    [anon_sym_offsetof] = ACTIONS(3348),
    [anon_sym__Generic] = ACTIONS(3348),
    [anon_sym_asm] = ACTIONS(3348),
    [anon_sym___asm__] = ACTIONS(3348),
    [sym_number_literal] = ACTIONS(3350),
    [anon_sym_L_SQUOTE] = ACTIONS(3350),
    [anon_sym_u_SQUOTE] = ACTIONS(3350),
    [anon_sym_U_SQUOTE] = ACTIONS(3350),
    [anon_sym_u8_SQUOTE] = ACTIONS(3350),
    [anon_sym_SQUOTE] = ACTIONS(3350),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [anon_sym_NULL] = ACTIONS(3348),
    [anon_sym_nullptr] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
    [anon_sym_concept] = ACTIONS(3348),
    [anon_sym_co_return] = ACTIONS(3348),
    [anon_sym_co_yield] = ACTIONS(3348),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_requires] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
  },
  [984] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_include_token1] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym___cdecl] = ACTIONS(3344),
    [anon_sym___clrcall] = ACTIONS(3344),
    [anon_sym___stdcall] = ACTIONS(3344),
    [anon_sym___fastcall] = ACTIONS(3344),
    [anon_sym___thiscall] = ACTIONS(3344),
    [anon_sym___vectorcall] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_RBRACE] = ACTIONS(3346),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_goto] = ACTIONS(3344),
    [anon_sym___try] = ACTIONS(3344),
    [anon_sym___leave] = ACTIONS(3344),
    [anon_sym_not] = ACTIONS(3344),
    [anon_sym_compl] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_sizeof] = ACTIONS(3344),
    [anon_sym___alignof__] = ACTIONS(3344),
    [anon_sym___alignof] = ACTIONS(3344),
    [anon_sym__alignof] = ACTIONS(3344),
    [anon_sym_alignof] = ACTIONS(3344),
    [anon_sym__Alignof] = ACTIONS(3344),
    [anon_sym_offsetof] = ACTIONS(3344),
    [anon_sym__Generic] = ACTIONS(3344),
    [anon_sym_asm] = ACTIONS(3344),
    [anon_sym___asm__] = ACTIONS(3344),
    [sym_number_literal] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3346),
    [anon_sym_u_SQUOTE] = ACTIONS(3346),
    [anon_sym_U_SQUOTE] = ACTIONS(3346),
    [anon_sym_u8_SQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_L_DQUOTE] = ACTIONS(3346),
    [anon_sym_u_DQUOTE] = ACTIONS(3346),
    [anon_sym_U_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8_DQUOTE] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [anon_sym_NULL] = ACTIONS(3344),
    [anon_sym_nullptr] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
    [anon_sym_concept] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3344),
    [anon_sym_R_DQUOTE] = ACTIONS(3346),
    [anon_sym_LR_DQUOTE] = ACTIONS(3346),
    [anon_sym_uR_DQUOTE] = ACTIONS(3346),
    [anon_sym_UR_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3346),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_requires] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
  },
  [985] = {
    [sym_identifier] = ACTIONS(3332),
    [aux_sym_preproc_include_token1] = ACTIONS(3332),
    [aux_sym_preproc_def_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3332),
    [sym_preproc_directive] = ACTIONS(3332),
    [anon_sym_LPAREN2] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP_AMP] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(3332),
    [anon_sym_typedef] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym___attribute__] = ACTIONS(3332),
    [anon_sym_COLON_COLON] = ACTIONS(3334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3334),
    [anon_sym___declspec] = ACTIONS(3332),
    [anon_sym___based] = ACTIONS(3332),
    [anon_sym___cdecl] = ACTIONS(3332),
    [anon_sym___clrcall] = ACTIONS(3332),
    [anon_sym___stdcall] = ACTIONS(3332),
    [anon_sym___fastcall] = ACTIONS(3332),
    [anon_sym___thiscall] = ACTIONS(3332),
    [anon_sym___vectorcall] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_RBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(3332),
    [anon_sym_unsigned] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_register] = ACTIONS(3332),
    [anon_sym_inline] = ACTIONS(3332),
    [anon_sym___inline] = ACTIONS(3332),
    [anon_sym___inline__] = ACTIONS(3332),
    [anon_sym___forceinline] = ACTIONS(3332),
    [anon_sym_thread_local] = ACTIONS(3332),
    [anon_sym___thread] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_constexpr] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_restrict] = ACTIONS(3332),
    [anon_sym___restrict__] = ACTIONS(3332),
    [anon_sym__Atomic] = ACTIONS(3332),
    [anon_sym__Noreturn] = ACTIONS(3332),
    [anon_sym_noreturn] = ACTIONS(3332),
    [anon_sym_mutable] = ACTIONS(3332),
    [anon_sym_constinit] = ACTIONS(3332),
    [anon_sym_consteval] = ACTIONS(3332),
    [sym_primitive_type] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_union] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_goto] = ACTIONS(3332),
    [anon_sym___try] = ACTIONS(3332),
    [anon_sym___leave] = ACTIONS(3332),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(3332),
    [anon_sym___alignof] = ACTIONS(3332),
    [anon_sym__alignof] = ACTIONS(3332),
    [anon_sym_alignof] = ACTIONS(3332),
    [anon_sym__Alignof] = ACTIONS(3332),
    [anon_sym_offsetof] = ACTIONS(3332),
    [anon_sym__Generic] = ACTIONS(3332),
    [anon_sym_asm] = ACTIONS(3332),
    [anon_sym___asm__] = ACTIONS(3332),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3334),
    [anon_sym_u_SQUOTE] = ACTIONS(3334),
    [anon_sym_U_SQUOTE] = ACTIONS(3334),
    [anon_sym_u8_SQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_L_DQUOTE] = ACTIONS(3334),
    [anon_sym_u_DQUOTE] = ACTIONS(3334),
    [anon_sym_U_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8_DQUOTE] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [anon_sym_NULL] = ACTIONS(3332),
    [anon_sym_nullptr] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3332),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_alignas] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_typename] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_operator] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static_assert] = ACTIONS(3332),
    [anon_sym_concept] = ACTIONS(3332),
    [anon_sym_co_return] = ACTIONS(3332),
    [anon_sym_co_yield] = ACTIONS(3332),
    [anon_sym_R_DQUOTE] = ACTIONS(3334),
    [anon_sym_LR_DQUOTE] = ACTIONS(3334),
    [anon_sym_uR_DQUOTE] = ACTIONS(3334),
    [anon_sym_UR_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3334),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_requires] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
  },
  [986] = {
    [sym_identifier] = ACTIONS(3299),
    [aux_sym_preproc_include_token1] = ACTIONS(3299),
    [aux_sym_preproc_def_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token2] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3299),
    [sym_preproc_directive] = ACTIONS(3299),
    [anon_sym_LPAREN2] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_STAR] = ACTIONS(3301),
    [anon_sym_AMP_AMP] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3301),
    [anon_sym___extension__] = ACTIONS(3299),
    [anon_sym_typedef] = ACTIONS(3299),
    [anon_sym_extern] = ACTIONS(3299),
    [anon_sym___attribute__] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3301),
    [anon_sym___declspec] = ACTIONS(3299),
    [anon_sym___based] = ACTIONS(3299),
    [anon_sym___cdecl] = ACTIONS(3299),
    [anon_sym___clrcall] = ACTIONS(3299),
    [anon_sym___stdcall] = ACTIONS(3299),
    [anon_sym___fastcall] = ACTIONS(3299),
    [anon_sym___thiscall] = ACTIONS(3299),
    [anon_sym___vectorcall] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_signed] = ACTIONS(3299),
    [anon_sym_unsigned] = ACTIONS(3299),
    [anon_sym_long] = ACTIONS(3299),
    [anon_sym_short] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_register] = ACTIONS(3299),
    [anon_sym_inline] = ACTIONS(3299),
    [anon_sym___inline] = ACTIONS(3299),
    [anon_sym___inline__] = ACTIONS(3299),
    [anon_sym___forceinline] = ACTIONS(3299),
    [anon_sym_thread_local] = ACTIONS(3299),
    [anon_sym___thread] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_constexpr] = ACTIONS(3299),
    [anon_sym_volatile] = ACTIONS(3299),
    [anon_sym_restrict] = ACTIONS(3299),
    [anon_sym___restrict__] = ACTIONS(3299),
    [anon_sym__Atomic] = ACTIONS(3299),
    [anon_sym__Noreturn] = ACTIONS(3299),
    [anon_sym_noreturn] = ACTIONS(3299),
    [anon_sym_mutable] = ACTIONS(3299),
    [anon_sym_constinit] = ACTIONS(3299),
    [anon_sym_consteval] = ACTIONS(3299),
    [sym_primitive_type] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_struct] = ACTIONS(3299),
    [anon_sym_union] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_goto] = ACTIONS(3299),
    [anon_sym___try] = ACTIONS(3299),
    [anon_sym___leave] = ACTIONS(3299),
    [anon_sym_not] = ACTIONS(3299),
    [anon_sym_compl] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3299),
    [anon_sym___alignof] = ACTIONS(3299),
    [anon_sym__alignof] = ACTIONS(3299),
    [anon_sym_alignof] = ACTIONS(3299),
    [anon_sym__Alignof] = ACTIONS(3299),
    [anon_sym_offsetof] = ACTIONS(3299),
    [anon_sym__Generic] = ACTIONS(3299),
    [anon_sym_asm] = ACTIONS(3299),
    [anon_sym___asm__] = ACTIONS(3299),
    [sym_number_literal] = ACTIONS(3301),
    [anon_sym_L_SQUOTE] = ACTIONS(3301),
    [anon_sym_u_SQUOTE] = ACTIONS(3301),
    [anon_sym_U_SQUOTE] = ACTIONS(3301),
    [anon_sym_u8_SQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_L_DQUOTE] = ACTIONS(3301),
    [anon_sym_u_DQUOTE] = ACTIONS(3301),
    [anon_sym_U_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8_DQUOTE] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [anon_sym_NULL] = ACTIONS(3299),
    [anon_sym_nullptr] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3299),
    [anon_sym_decltype] = ACTIONS(3299),
    [anon_sym_virtual] = ACTIONS(3299),
    [anon_sym_alignas] = ACTIONS(3299),
    [anon_sym_explicit] = ACTIONS(3299),
    [anon_sym_typename] = ACTIONS(3299),
    [anon_sym_template] = ACTIONS(3299),
    [anon_sym_operator] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_static_assert] = ACTIONS(3299),
    [anon_sym_concept] = ACTIONS(3299),
    [anon_sym_co_return] = ACTIONS(3299),
    [anon_sym_co_yield] = ACTIONS(3299),
    [anon_sym_R_DQUOTE] = ACTIONS(3301),
    [anon_sym_LR_DQUOTE] = ACTIONS(3301),
    [anon_sym_uR_DQUOTE] = ACTIONS(3301),
    [anon_sym_UR_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3301),
    [anon_sym_co_await] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_requires] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
  },
  [987] = {
    [sym_identifier] = ACTIONS(3263),
    [aux_sym_preproc_include_token1] = ACTIONS(3263),
    [aux_sym_preproc_def_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token2] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3263),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3265),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3263),
    [anon_sym_typedef] = ACTIONS(3263),
    [anon_sym_extern] = ACTIONS(3263),
    [anon_sym___attribute__] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(3265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3265),
    [anon_sym___declspec] = ACTIONS(3263),
    [anon_sym___based] = ACTIONS(3263),
    [anon_sym___cdecl] = ACTIONS(3263),
    [anon_sym___clrcall] = ACTIONS(3263),
    [anon_sym___stdcall] = ACTIONS(3263),
    [anon_sym___fastcall] = ACTIONS(3263),
    [anon_sym___thiscall] = ACTIONS(3263),
    [anon_sym___vectorcall] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3263),
    [anon_sym_unsigned] = ACTIONS(3263),
    [anon_sym_long] = ACTIONS(3263),
    [anon_sym_short] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_register] = ACTIONS(3263),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym___inline] = ACTIONS(3263),
    [anon_sym___inline__] = ACTIONS(3263),
    [anon_sym___forceinline] = ACTIONS(3263),
    [anon_sym_thread_local] = ACTIONS(3263),
    [anon_sym___thread] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(3263),
    [anon_sym_restrict] = ACTIONS(3263),
    [anon_sym___restrict__] = ACTIONS(3263),
    [anon_sym__Atomic] = ACTIONS(3263),
    [anon_sym__Noreturn] = ACTIONS(3263),
    [anon_sym_noreturn] = ACTIONS(3263),
    [anon_sym_mutable] = ACTIONS(3263),
    [anon_sym_constinit] = ACTIONS(3263),
    [anon_sym_consteval] = ACTIONS(3263),
    [sym_primitive_type] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_struct] = ACTIONS(3263),
    [anon_sym_union] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_goto] = ACTIONS(3263),
    [anon_sym___try] = ACTIONS(3263),
    [anon_sym___leave] = ACTIONS(3263),
    [anon_sym_not] = ACTIONS(3263),
    [anon_sym_compl] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3263),
    [anon_sym___alignof__] = ACTIONS(3263),
    [anon_sym___alignof] = ACTIONS(3263),
    [anon_sym__alignof] = ACTIONS(3263),
    [anon_sym_alignof] = ACTIONS(3263),
    [anon_sym__Alignof] = ACTIONS(3263),
    [anon_sym_offsetof] = ACTIONS(3263),
    [anon_sym__Generic] = ACTIONS(3263),
    [anon_sym_asm] = ACTIONS(3263),
    [anon_sym___asm__] = ACTIONS(3263),
    [sym_number_literal] = ACTIONS(3265),
    [anon_sym_L_SQUOTE] = ACTIONS(3265),
    [anon_sym_u_SQUOTE] = ACTIONS(3265),
    [anon_sym_U_SQUOTE] = ACTIONS(3265),
    [anon_sym_u8_SQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_L_DQUOTE] = ACTIONS(3265),
    [anon_sym_u_DQUOTE] = ACTIONS(3265),
    [anon_sym_U_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8_DQUOTE] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [anon_sym_NULL] = ACTIONS(3263),
    [anon_sym_nullptr] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3263),
    [anon_sym_decltype] = ACTIONS(3263),
    [anon_sym_virtual] = ACTIONS(3263),
    [anon_sym_alignas] = ACTIONS(3263),
    [anon_sym_explicit] = ACTIONS(3263),
    [anon_sym_typename] = ACTIONS(3263),
    [anon_sym_template] = ACTIONS(3263),
    [anon_sym_operator] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_static_assert] = ACTIONS(3263),
    [anon_sym_concept] = ACTIONS(3263),
    [anon_sym_co_return] = ACTIONS(3263),
    [anon_sym_co_yield] = ACTIONS(3263),
    [anon_sym_R_DQUOTE] = ACTIONS(3265),
    [anon_sym_LR_DQUOTE] = ACTIONS(3265),
    [anon_sym_uR_DQUOTE] = ACTIONS(3265),
    [anon_sym_UR_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3265),
    [anon_sym_co_await] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_requires] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
  },
  [988] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [989] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [sym_number_literal] = ACTIONS(3209),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [990] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [991] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_include_token1] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token2] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym_SEMI] = ACTIONS(3346),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym___cdecl] = ACTIONS(3344),
    [anon_sym___clrcall] = ACTIONS(3344),
    [anon_sym___stdcall] = ACTIONS(3344),
    [anon_sym___fastcall] = ACTIONS(3344),
    [anon_sym___thiscall] = ACTIONS(3344),
    [anon_sym___vectorcall] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_goto] = ACTIONS(3344),
    [anon_sym___try] = ACTIONS(3344),
    [anon_sym___leave] = ACTIONS(3344),
    [anon_sym_not] = ACTIONS(3344),
    [anon_sym_compl] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_sizeof] = ACTIONS(3344),
    [anon_sym___alignof__] = ACTIONS(3344),
    [anon_sym___alignof] = ACTIONS(3344),
    [anon_sym__alignof] = ACTIONS(3344),
    [anon_sym_alignof] = ACTIONS(3344),
    [anon_sym__Alignof] = ACTIONS(3344),
    [anon_sym_offsetof] = ACTIONS(3344),
    [anon_sym__Generic] = ACTIONS(3344),
    [anon_sym_asm] = ACTIONS(3344),
    [anon_sym___asm__] = ACTIONS(3344),
    [sym_number_literal] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3346),
    [anon_sym_u_SQUOTE] = ACTIONS(3346),
    [anon_sym_U_SQUOTE] = ACTIONS(3346),
    [anon_sym_u8_SQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_L_DQUOTE] = ACTIONS(3346),
    [anon_sym_u_DQUOTE] = ACTIONS(3346),
    [anon_sym_U_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8_DQUOTE] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [anon_sym_NULL] = ACTIONS(3344),
    [anon_sym_nullptr] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
    [anon_sym_concept] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3344),
    [anon_sym_R_DQUOTE] = ACTIONS(3346),
    [anon_sym_LR_DQUOTE] = ACTIONS(3346),
    [anon_sym_uR_DQUOTE] = ACTIONS(3346),
    [anon_sym_UR_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3346),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_requires] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
  },
  [992] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [993] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token2] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [sym_primitive_type] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [sym_number_literal] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [994] = {
    [sym_identifier] = ACTIONS(3263),
    [aux_sym_preproc_include_token1] = ACTIONS(3263),
    [aux_sym_preproc_def_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3263),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3265),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym_SEMI] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3263),
    [anon_sym_typedef] = ACTIONS(3263),
    [anon_sym_extern] = ACTIONS(3263),
    [anon_sym___attribute__] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(3265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3265),
    [anon_sym___declspec] = ACTIONS(3263),
    [anon_sym___based] = ACTIONS(3263),
    [anon_sym___cdecl] = ACTIONS(3263),
    [anon_sym___clrcall] = ACTIONS(3263),
    [anon_sym___stdcall] = ACTIONS(3263),
    [anon_sym___fastcall] = ACTIONS(3263),
    [anon_sym___thiscall] = ACTIONS(3263),
    [anon_sym___vectorcall] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_RBRACE] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3263),
    [anon_sym_unsigned] = ACTIONS(3263),
    [anon_sym_long] = ACTIONS(3263),
    [anon_sym_short] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_register] = ACTIONS(3263),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym___inline] = ACTIONS(3263),
    [anon_sym___inline__] = ACTIONS(3263),
    [anon_sym___forceinline] = ACTIONS(3263),
    [anon_sym_thread_local] = ACTIONS(3263),
    [anon_sym___thread] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(3263),
    [anon_sym_restrict] = ACTIONS(3263),
    [anon_sym___restrict__] = ACTIONS(3263),
    [anon_sym__Atomic] = ACTIONS(3263),
    [anon_sym__Noreturn] = ACTIONS(3263),
    [anon_sym_noreturn] = ACTIONS(3263),
    [anon_sym_mutable] = ACTIONS(3263),
    [anon_sym_constinit] = ACTIONS(3263),
    [anon_sym_consteval] = ACTIONS(3263),
    [sym_primitive_type] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_struct] = ACTIONS(3263),
    [anon_sym_union] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_goto] = ACTIONS(3263),
    [anon_sym___try] = ACTIONS(3263),
    [anon_sym___leave] = ACTIONS(3263),
    [anon_sym_not] = ACTIONS(3263),
    [anon_sym_compl] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3263),
    [anon_sym___alignof__] = ACTIONS(3263),
    [anon_sym___alignof] = ACTIONS(3263),
    [anon_sym__alignof] = ACTIONS(3263),
    [anon_sym_alignof] = ACTIONS(3263),
    [anon_sym__Alignof] = ACTIONS(3263),
    [anon_sym_offsetof] = ACTIONS(3263),
    [anon_sym__Generic] = ACTIONS(3263),
    [anon_sym_asm] = ACTIONS(3263),
    [anon_sym___asm__] = ACTIONS(3263),
    [sym_number_literal] = ACTIONS(3265),
    [anon_sym_L_SQUOTE] = ACTIONS(3265),
    [anon_sym_u_SQUOTE] = ACTIONS(3265),
    [anon_sym_U_SQUOTE] = ACTIONS(3265),
    [anon_sym_u8_SQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_L_DQUOTE] = ACTIONS(3265),
    [anon_sym_u_DQUOTE] = ACTIONS(3265),
    [anon_sym_U_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8_DQUOTE] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [anon_sym_NULL] = ACTIONS(3263),
    [anon_sym_nullptr] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3263),
    [anon_sym_decltype] = ACTIONS(3263),
    [anon_sym_virtual] = ACTIONS(3263),
    [anon_sym_alignas] = ACTIONS(3263),
    [anon_sym_explicit] = ACTIONS(3263),
    [anon_sym_typename] = ACTIONS(3263),
    [anon_sym_template] = ACTIONS(3263),
    [anon_sym_operator] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_static_assert] = ACTIONS(3263),
    [anon_sym_concept] = ACTIONS(3263),
    [anon_sym_co_return] = ACTIONS(3263),
    [anon_sym_co_yield] = ACTIONS(3263),
    [anon_sym_R_DQUOTE] = ACTIONS(3265),
    [anon_sym_LR_DQUOTE] = ACTIONS(3265),
    [anon_sym_uR_DQUOTE] = ACTIONS(3265),
    [anon_sym_UR_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3265),
    [anon_sym_co_await] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_requires] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
  },
  [995] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [996] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [997] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym_SEMI] = ACTIONS(3319),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym___try] = ACTIONS(3317),
    [anon_sym___leave] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [998] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [999] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [1000] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym___try] = ACTIONS(3150),
    [anon_sym___leave] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [1001] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym_SEMI] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_RBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym___try] = ACTIONS(3207),
    [anon_sym___leave] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [sym_number_literal] = ACTIONS(3209),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [1002] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym___try] = ACTIONS(3158),
    [anon_sym___leave] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [1003] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym_SEMI] = ACTIONS(3311),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym___try] = ACTIONS(3309),
    [anon_sym___leave] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [1004] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [1005] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [1006] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym_SEMI] = ACTIONS(3187),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_RBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym___try] = ACTIONS(3185),
    [anon_sym___leave] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [1007] = {
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [sym_primitive_type] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym___try] = ACTIONS(3181),
    [anon_sym___leave] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [sym_number_literal] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [1008] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [1009] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [1010] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_RBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym___try] = ACTIONS(3170),
    [anon_sym___leave] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [1011] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3315),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym___try] = ACTIONS(3313),
    [anon_sym___leave] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_RBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym___try] = ACTIONS(3146),
    [anon_sym___leave] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [1013] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token2] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym_SEMI] = ACTIONS(3342),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym___try] = ACTIONS(3340),
    [anon_sym___leave] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(3399),
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_include_token1] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [anon_sym_COMMA] = ACTIONS(3399),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_BANG] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_DASH] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(3397),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym___cdecl] = ACTIONS(3397),
    [anon_sym___clrcall] = ACTIONS(3397),
    [anon_sym___stdcall] = ACTIONS(3397),
    [anon_sym___fastcall] = ACTIONS(3397),
    [anon_sym___thiscall] = ACTIONS(3397),
    [anon_sym___vectorcall] = ACTIONS(3397),
    [anon_sym_LBRACE] = ACTIONS(3399),
    [anon_sym_RBRACE] = ACTIONS(3399),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(3397),
    [anon_sym_switch] = ACTIONS(3397),
    [anon_sym_case] = ACTIONS(3397),
    [anon_sym_default] = ACTIONS(3397),
    [anon_sym_while] = ACTIONS(3397),
    [anon_sym_do] = ACTIONS(3397),
    [anon_sym_for] = ACTIONS(3397),
    [anon_sym_return] = ACTIONS(3397),
    [anon_sym_break] = ACTIONS(3397),
    [anon_sym_continue] = ACTIONS(3397),
    [anon_sym_goto] = ACTIONS(3397),
    [anon_sym_not] = ACTIONS(3397),
    [anon_sym_compl] = ACTIONS(3397),
    [anon_sym_DASH_DASH] = ACTIONS(3399),
    [anon_sym_PLUS_PLUS] = ACTIONS(3399),
    [anon_sym_sizeof] = ACTIONS(3397),
    [anon_sym___alignof__] = ACTIONS(3397),
    [anon_sym___alignof] = ACTIONS(3397),
    [anon_sym__alignof] = ACTIONS(3397),
    [anon_sym_alignof] = ACTIONS(3397),
    [anon_sym__Alignof] = ACTIONS(3397),
    [anon_sym_offsetof] = ACTIONS(3397),
    [anon_sym__Generic] = ACTIONS(3397),
    [anon_sym_asm] = ACTIONS(3397),
    [anon_sym___asm__] = ACTIONS(3397),
    [sym_number_literal] = ACTIONS(3399),
    [anon_sym_L_SQUOTE] = ACTIONS(3399),
    [anon_sym_u_SQUOTE] = ACTIONS(3399),
    [anon_sym_U_SQUOTE] = ACTIONS(3399),
    [anon_sym_u8_SQUOTE] = ACTIONS(3399),
    [anon_sym_SQUOTE] = ACTIONS(3399),
    [anon_sym_L_DQUOTE] = ACTIONS(3399),
    [anon_sym_u_DQUOTE] = ACTIONS(3399),
    [anon_sym_U_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8_DQUOTE] = ACTIONS(3399),
    [anon_sym_DQUOTE] = ACTIONS(3399),
    [sym_true] = ACTIONS(3397),
    [sym_false] = ACTIONS(3397),
    [anon_sym_NULL] = ACTIONS(3397),
    [anon_sym_nullptr] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_try] = ACTIONS(3397),
    [anon_sym_delete] = ACTIONS(3397),
    [anon_sym_throw] = ACTIONS(3397),
    [anon_sym_namespace] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
    [anon_sym_concept] = ACTIONS(3397),
    [anon_sym_co_return] = ACTIONS(3397),
    [anon_sym_co_yield] = ACTIONS(3397),
    [anon_sym_R_DQUOTE] = ACTIONS(3399),
    [anon_sym_LR_DQUOTE] = ACTIONS(3399),
    [anon_sym_uR_DQUOTE] = ACTIONS(3399),
    [anon_sym_UR_DQUOTE] = ACTIONS(3399),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3399),
    [anon_sym_co_await] = ACTIONS(3397),
    [anon_sym_new] = ACTIONS(3397),
    [anon_sym_requires] = ACTIONS(3397),
    [sym_this] = ACTIONS(3397),
  },
  [1015] = {
    [ts_builtin_sym_end] = ACTIONS(3319),
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_include_token1] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [anon_sym_COMMA] = ACTIONS(3319),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_BANG] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_DASH] = ACTIONS(3317),
    [anon_sym_PLUS] = ACTIONS(3317),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym___cdecl] = ACTIONS(3317),
    [anon_sym___clrcall] = ACTIONS(3317),
    [anon_sym___stdcall] = ACTIONS(3317),
    [anon_sym___fastcall] = ACTIONS(3317),
    [anon_sym___thiscall] = ACTIONS(3317),
    [anon_sym___vectorcall] = ACTIONS(3317),
    [anon_sym_LBRACE] = ACTIONS(3319),
    [anon_sym_RBRACE] = ACTIONS(3319),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [anon_sym_if] = ACTIONS(3317),
    [anon_sym_switch] = ACTIONS(3317),
    [anon_sym_case] = ACTIONS(3317),
    [anon_sym_default] = ACTIONS(3317),
    [anon_sym_while] = ACTIONS(3317),
    [anon_sym_do] = ACTIONS(3317),
    [anon_sym_for] = ACTIONS(3317),
    [anon_sym_return] = ACTIONS(3317),
    [anon_sym_break] = ACTIONS(3317),
    [anon_sym_continue] = ACTIONS(3317),
    [anon_sym_goto] = ACTIONS(3317),
    [anon_sym_not] = ACTIONS(3317),
    [anon_sym_compl] = ACTIONS(3317),
    [anon_sym_DASH_DASH] = ACTIONS(3319),
    [anon_sym_PLUS_PLUS] = ACTIONS(3319),
    [anon_sym_sizeof] = ACTIONS(3317),
    [anon_sym___alignof__] = ACTIONS(3317),
    [anon_sym___alignof] = ACTIONS(3317),
    [anon_sym__alignof] = ACTIONS(3317),
    [anon_sym_alignof] = ACTIONS(3317),
    [anon_sym__Alignof] = ACTIONS(3317),
    [anon_sym_offsetof] = ACTIONS(3317),
    [anon_sym__Generic] = ACTIONS(3317),
    [anon_sym_asm] = ACTIONS(3317),
    [anon_sym___asm__] = ACTIONS(3317),
    [sym_number_literal] = ACTIONS(3319),
    [anon_sym_L_SQUOTE] = ACTIONS(3319),
    [anon_sym_u_SQUOTE] = ACTIONS(3319),
    [anon_sym_U_SQUOTE] = ACTIONS(3319),
    [anon_sym_u8_SQUOTE] = ACTIONS(3319),
    [anon_sym_SQUOTE] = ACTIONS(3319),
    [anon_sym_L_DQUOTE] = ACTIONS(3319),
    [anon_sym_u_DQUOTE] = ACTIONS(3319),
    [anon_sym_U_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8_DQUOTE] = ACTIONS(3319),
    [anon_sym_DQUOTE] = ACTIONS(3319),
    [sym_true] = ACTIONS(3317),
    [sym_false] = ACTIONS(3317),
    [anon_sym_NULL] = ACTIONS(3317),
    [anon_sym_nullptr] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_try] = ACTIONS(3317),
    [anon_sym_delete] = ACTIONS(3317),
    [anon_sym_throw] = ACTIONS(3317),
    [anon_sym_namespace] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
    [anon_sym_concept] = ACTIONS(3317),
    [anon_sym_co_return] = ACTIONS(3317),
    [anon_sym_co_yield] = ACTIONS(3317),
    [anon_sym_R_DQUOTE] = ACTIONS(3319),
    [anon_sym_LR_DQUOTE] = ACTIONS(3319),
    [anon_sym_uR_DQUOTE] = ACTIONS(3319),
    [anon_sym_UR_DQUOTE] = ACTIONS(3319),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3319),
    [anon_sym_co_await] = ACTIONS(3317),
    [anon_sym_new] = ACTIONS(3317),
    [anon_sym_requires] = ACTIONS(3317),
    [sym_this] = ACTIONS(3317),
  },
  [1016] = {
    [sym_preproc_def] = STATE(1016),
    [sym_preproc_function_def] = STATE(1016),
    [sym_preproc_call] = STATE(1016),
    [sym_preproc_if_in_field_declaration_list] = STATE(1016),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1016),
    [sym_type_definition] = STATE(1016),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6394),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1016),
    [sym_field_declaration] = STATE(1016),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1016),
    [sym_operator_cast] = STATE(7536),
    [sym_inline_method_definition] = STATE(1016),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(1016),
    [sym_operator_cast_declaration] = STATE(1016),
    [sym_constructor_or_destructor_definition] = STATE(1016),
    [sym_constructor_or_destructor_declaration] = STATE(1016),
    [sym_friend_declaration] = STATE(1016),
    [sym_access_specifier] = STATE(9403),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1016),
    [sym_alias_declaration] = STATE(1016),
    [sym_static_assert_declaration] = STATE(1016),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1016),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(3575),
    [aux_sym_preproc_def_token1] = ACTIONS(3723),
    [aux_sym_preproc_if_token1] = ACTIONS(3726),
    [aux_sym_preproc_if_token2] = ACTIONS(3584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3729),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3729),
    [aux_sym_preproc_else_token1] = ACTIONS(3584),
    [aux_sym_preproc_elif_token1] = ACTIONS(3584),
    [sym_preproc_directive] = ACTIONS(3732),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3598),
    [anon_sym_AMP_AMP] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3604),
    [anon_sym___extension__] = ACTIONS(3735),
    [anon_sym_typedef] = ACTIONS(3738),
    [anon_sym_extern] = ACTIONS(3613),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3622),
    [anon_sym___declspec] = ACTIONS(3625),
    [anon_sym___based] = ACTIONS(3628),
    [anon_sym_signed] = ACTIONS(3631),
    [anon_sym_unsigned] = ACTIONS(3631),
    [anon_sym_long] = ACTIONS(3631),
    [anon_sym_short] = ACTIONS(3631),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3613),
    [anon_sym_register] = ACTIONS(3613),
    [anon_sym_inline] = ACTIONS(3613),
    [anon_sym___inline] = ACTIONS(3613),
    [anon_sym___inline__] = ACTIONS(3613),
    [anon_sym___forceinline] = ACTIONS(3613),
    [anon_sym_thread_local] = ACTIONS(3613),
    [anon_sym___thread] = ACTIONS(3613),
    [anon_sym_const] = ACTIONS(3637),
    [anon_sym_constexpr] = ACTIONS(3637),
    [anon_sym_volatile] = ACTIONS(3637),
    [anon_sym_restrict] = ACTIONS(3637),
    [anon_sym___restrict__] = ACTIONS(3637),
    [anon_sym__Atomic] = ACTIONS(3637),
    [anon_sym__Noreturn] = ACTIONS(3637),
    [anon_sym_noreturn] = ACTIONS(3637),
    [anon_sym_mutable] = ACTIONS(3637),
    [anon_sym_constinit] = ACTIONS(3637),
    [anon_sym_consteval] = ACTIONS(3637),
    [sym_primitive_type] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3643),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_struct] = ACTIONS(3649),
    [anon_sym_union] = ACTIONS(3652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3655),
    [anon_sym_decltype] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(3661),
    [anon_sym_alignas] = ACTIONS(3664),
    [anon_sym_explicit] = ACTIONS(3667),
    [anon_sym_typename] = ACTIONS(3670),
    [anon_sym_template] = ACTIONS(3741),
    [anon_sym_operator] = ACTIONS(3676),
    [anon_sym_friend] = ACTIONS(3744),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3747),
    [anon_sym_static_assert] = ACTIONS(3750),
  },
  [1017] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1018] = {
    [sym__expression] = STATE(4897),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(5135),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [aux_sym_preproc_if_token2] = ACTIONS(2138),
    [aux_sym_preproc_else_token1] = ACTIONS(2138),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3753),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1019] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3805),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(3281),
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_include_token1] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_BANG] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_DASH] = ACTIONS(3279),
    [anon_sym_PLUS] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym___cdecl] = ACTIONS(3279),
    [anon_sym___clrcall] = ACTIONS(3279),
    [anon_sym___stdcall] = ACTIONS(3279),
    [anon_sym___fastcall] = ACTIONS(3279),
    [anon_sym___thiscall] = ACTIONS(3279),
    [anon_sym___vectorcall] = ACTIONS(3279),
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(3279),
    [anon_sym_switch] = ACTIONS(3279),
    [anon_sym_case] = ACTIONS(3279),
    [anon_sym_default] = ACTIONS(3279),
    [anon_sym_while] = ACTIONS(3279),
    [anon_sym_do] = ACTIONS(3279),
    [anon_sym_for] = ACTIONS(3279),
    [anon_sym_return] = ACTIONS(3279),
    [anon_sym_break] = ACTIONS(3279),
    [anon_sym_continue] = ACTIONS(3279),
    [anon_sym_goto] = ACTIONS(3279),
    [anon_sym_not] = ACTIONS(3279),
    [anon_sym_compl] = ACTIONS(3279),
    [anon_sym_DASH_DASH] = ACTIONS(3281),
    [anon_sym_PLUS_PLUS] = ACTIONS(3281),
    [anon_sym_sizeof] = ACTIONS(3279),
    [anon_sym___alignof__] = ACTIONS(3279),
    [anon_sym___alignof] = ACTIONS(3279),
    [anon_sym__alignof] = ACTIONS(3279),
    [anon_sym_alignof] = ACTIONS(3279),
    [anon_sym__Alignof] = ACTIONS(3279),
    [anon_sym_offsetof] = ACTIONS(3279),
    [anon_sym__Generic] = ACTIONS(3279),
    [anon_sym_asm] = ACTIONS(3279),
    [anon_sym___asm__] = ACTIONS(3279),
    [sym_number_literal] = ACTIONS(3281),
    [anon_sym_L_SQUOTE] = ACTIONS(3281),
    [anon_sym_u_SQUOTE] = ACTIONS(3281),
    [anon_sym_U_SQUOTE] = ACTIONS(3281),
    [anon_sym_u8_SQUOTE] = ACTIONS(3281),
    [anon_sym_SQUOTE] = ACTIONS(3281),
    [anon_sym_L_DQUOTE] = ACTIONS(3281),
    [anon_sym_u_DQUOTE] = ACTIONS(3281),
    [anon_sym_U_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8_DQUOTE] = ACTIONS(3281),
    [anon_sym_DQUOTE] = ACTIONS(3281),
    [sym_true] = ACTIONS(3279),
    [sym_false] = ACTIONS(3279),
    [anon_sym_NULL] = ACTIONS(3279),
    [anon_sym_nullptr] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_try] = ACTIONS(3279),
    [anon_sym_delete] = ACTIONS(3279),
    [anon_sym_throw] = ACTIONS(3279),
    [anon_sym_namespace] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
    [anon_sym_concept] = ACTIONS(3279),
    [anon_sym_co_return] = ACTIONS(3279),
    [anon_sym_co_yield] = ACTIONS(3279),
    [anon_sym_R_DQUOTE] = ACTIONS(3281),
    [anon_sym_LR_DQUOTE] = ACTIONS(3281),
    [anon_sym_uR_DQUOTE] = ACTIONS(3281),
    [anon_sym_UR_DQUOTE] = ACTIONS(3281),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3281),
    [anon_sym_co_await] = ACTIONS(3279),
    [anon_sym_new] = ACTIONS(3279),
    [anon_sym_requires] = ACTIONS(3279),
    [sym_this] = ACTIONS(3279),
  },
  [1021] = {
    [sym_preproc_def] = STATE(1021),
    [sym_preproc_function_def] = STATE(1021),
    [sym_preproc_call] = STATE(1021),
    [sym_preproc_if_in_field_declaration_list] = STATE(1021),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1021),
    [sym_type_definition] = STATE(1021),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6450),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6997),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1021),
    [sym_field_declaration] = STATE(1021),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2129),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1021),
    [sym_operator_cast] = STATE(7530),
    [sym_inline_method_definition] = STATE(1021),
    [sym__constructor_specifiers] = STATE(2129),
    [sym_operator_cast_definition] = STATE(1021),
    [sym_operator_cast_declaration] = STATE(1021),
    [sym_constructor_or_destructor_definition] = STATE(1021),
    [sym_constructor_or_destructor_declaration] = STATE(1021),
    [sym_friend_declaration] = STATE(1021),
    [sym_access_specifier] = STATE(8812),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1021),
    [sym_alias_declaration] = STATE(1021),
    [sym_static_assert_declaration] = STATE(1021),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7530),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1021),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(3575),
    [aux_sym_preproc_def_token1] = ACTIONS(3815),
    [aux_sym_preproc_if_token1] = ACTIONS(3818),
    [aux_sym_preproc_if_token2] = ACTIONS(3584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3821),
    [sym_preproc_directive] = ACTIONS(3824),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3598),
    [anon_sym_AMP_AMP] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3604),
    [anon_sym___extension__] = ACTIONS(3827),
    [anon_sym_typedef] = ACTIONS(3830),
    [anon_sym_extern] = ACTIONS(3613),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3622),
    [anon_sym___declspec] = ACTIONS(3625),
    [anon_sym___based] = ACTIONS(3628),
    [anon_sym_signed] = ACTIONS(3631),
    [anon_sym_unsigned] = ACTIONS(3631),
    [anon_sym_long] = ACTIONS(3631),
    [anon_sym_short] = ACTIONS(3631),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3613),
    [anon_sym_register] = ACTIONS(3613),
    [anon_sym_inline] = ACTIONS(3613),
    [anon_sym___inline] = ACTIONS(3613),
    [anon_sym___inline__] = ACTIONS(3613),
    [anon_sym___forceinline] = ACTIONS(3613),
    [anon_sym_thread_local] = ACTIONS(3613),
    [anon_sym___thread] = ACTIONS(3613),
    [anon_sym_const] = ACTIONS(3637),
    [anon_sym_constexpr] = ACTIONS(3637),
    [anon_sym_volatile] = ACTIONS(3637),
    [anon_sym_restrict] = ACTIONS(3637),
    [anon_sym___restrict__] = ACTIONS(3637),
    [anon_sym__Atomic] = ACTIONS(3637),
    [anon_sym__Noreturn] = ACTIONS(3637),
    [anon_sym_noreturn] = ACTIONS(3637),
    [anon_sym_mutable] = ACTIONS(3637),
    [anon_sym_constinit] = ACTIONS(3637),
    [anon_sym_consteval] = ACTIONS(3637),
    [sym_primitive_type] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3643),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_struct] = ACTIONS(3649),
    [anon_sym_union] = ACTIONS(3652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3655),
    [anon_sym_decltype] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(3661),
    [anon_sym_alignas] = ACTIONS(3664),
    [anon_sym_explicit] = ACTIONS(3667),
    [anon_sym_typename] = ACTIONS(3670),
    [anon_sym_template] = ACTIONS(3833),
    [anon_sym_operator] = ACTIONS(3676),
    [anon_sym_friend] = ACTIONS(3836),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3839),
    [anon_sym_static_assert] = ACTIONS(3842),
  },
  [1022] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3845),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(3338),
    [sym_identifier] = ACTIONS(3336),
    [aux_sym_preproc_include_token1] = ACTIONS(3336),
    [aux_sym_preproc_def_token1] = ACTIONS(3336),
    [aux_sym_preproc_if_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3336),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3336),
    [sym_preproc_directive] = ACTIONS(3336),
    [anon_sym_LPAREN2] = ACTIONS(3338),
    [anon_sym_BANG] = ACTIONS(3338),
    [anon_sym_TILDE] = ACTIONS(3338),
    [anon_sym_DASH] = ACTIONS(3336),
    [anon_sym_PLUS] = ACTIONS(3336),
    [anon_sym_STAR] = ACTIONS(3338),
    [anon_sym_AMP_AMP] = ACTIONS(3338),
    [anon_sym_AMP] = ACTIONS(3336),
    [anon_sym___extension__] = ACTIONS(3336),
    [anon_sym_typedef] = ACTIONS(3336),
    [anon_sym_extern] = ACTIONS(3336),
    [anon_sym___attribute__] = ACTIONS(3336),
    [anon_sym_COLON_COLON] = ACTIONS(3338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3338),
    [anon_sym___declspec] = ACTIONS(3336),
    [anon_sym___based] = ACTIONS(3336),
    [anon_sym___cdecl] = ACTIONS(3336),
    [anon_sym___clrcall] = ACTIONS(3336),
    [anon_sym___stdcall] = ACTIONS(3336),
    [anon_sym___fastcall] = ACTIONS(3336),
    [anon_sym___thiscall] = ACTIONS(3336),
    [anon_sym___vectorcall] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3338),
    [anon_sym_signed] = ACTIONS(3336),
    [anon_sym_unsigned] = ACTIONS(3336),
    [anon_sym_long] = ACTIONS(3336),
    [anon_sym_short] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(3336),
    [anon_sym_static] = ACTIONS(3336),
    [anon_sym_register] = ACTIONS(3336),
    [anon_sym_inline] = ACTIONS(3336),
    [anon_sym___inline] = ACTIONS(3336),
    [anon_sym___inline__] = ACTIONS(3336),
    [anon_sym___forceinline] = ACTIONS(3336),
    [anon_sym_thread_local] = ACTIONS(3336),
    [anon_sym___thread] = ACTIONS(3336),
    [anon_sym_const] = ACTIONS(3336),
    [anon_sym_constexpr] = ACTIONS(3336),
    [anon_sym_volatile] = ACTIONS(3336),
    [anon_sym_restrict] = ACTIONS(3336),
    [anon_sym___restrict__] = ACTIONS(3336),
    [anon_sym__Atomic] = ACTIONS(3336),
    [anon_sym__Noreturn] = ACTIONS(3336),
    [anon_sym_noreturn] = ACTIONS(3336),
    [anon_sym_mutable] = ACTIONS(3336),
    [anon_sym_constinit] = ACTIONS(3336),
    [anon_sym_consteval] = ACTIONS(3336),
    [sym_primitive_type] = ACTIONS(3336),
    [anon_sym_enum] = ACTIONS(3336),
    [anon_sym_class] = ACTIONS(3336),
    [anon_sym_struct] = ACTIONS(3336),
    [anon_sym_union] = ACTIONS(3336),
    [anon_sym_if] = ACTIONS(3336),
    [anon_sym_switch] = ACTIONS(3336),
    [anon_sym_case] = ACTIONS(3336),
    [anon_sym_default] = ACTIONS(3336),
    [anon_sym_while] = ACTIONS(3336),
    [anon_sym_do] = ACTIONS(3336),
    [anon_sym_for] = ACTIONS(3336),
    [anon_sym_return] = ACTIONS(3336),
    [anon_sym_break] = ACTIONS(3336),
    [anon_sym_continue] = ACTIONS(3336),
    [anon_sym_goto] = ACTIONS(3336),
    [anon_sym_not] = ACTIONS(3336),
    [anon_sym_compl] = ACTIONS(3336),
    [anon_sym_DASH_DASH] = ACTIONS(3338),
    [anon_sym_PLUS_PLUS] = ACTIONS(3338),
    [anon_sym_sizeof] = ACTIONS(3336),
    [anon_sym___alignof__] = ACTIONS(3336),
    [anon_sym___alignof] = ACTIONS(3336),
    [anon_sym__alignof] = ACTIONS(3336),
    [anon_sym_alignof] = ACTIONS(3336),
    [anon_sym__Alignof] = ACTIONS(3336),
    [anon_sym_offsetof] = ACTIONS(3336),
    [anon_sym__Generic] = ACTIONS(3336),
    [anon_sym_asm] = ACTIONS(3336),
    [anon_sym___asm__] = ACTIONS(3336),
    [sym_number_literal] = ACTIONS(3338),
    [anon_sym_L_SQUOTE] = ACTIONS(3338),
    [anon_sym_u_SQUOTE] = ACTIONS(3338),
    [anon_sym_U_SQUOTE] = ACTIONS(3338),
    [anon_sym_u8_SQUOTE] = ACTIONS(3338),
    [anon_sym_SQUOTE] = ACTIONS(3338),
    [anon_sym_L_DQUOTE] = ACTIONS(3338),
    [anon_sym_u_DQUOTE] = ACTIONS(3338),
    [anon_sym_U_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8_DQUOTE] = ACTIONS(3338),
    [anon_sym_DQUOTE] = ACTIONS(3338),
    [sym_true] = ACTIONS(3336),
    [sym_false] = ACTIONS(3336),
    [anon_sym_NULL] = ACTIONS(3336),
    [anon_sym_nullptr] = ACTIONS(3336),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3336),
    [anon_sym_decltype] = ACTIONS(3336),
    [anon_sym_virtual] = ACTIONS(3336),
    [anon_sym_alignas] = ACTIONS(3336),
    [anon_sym_explicit] = ACTIONS(3336),
    [anon_sym_typename] = ACTIONS(3336),
    [anon_sym_template] = ACTIONS(3336),
    [anon_sym_operator] = ACTIONS(3336),
    [anon_sym_try] = ACTIONS(3336),
    [anon_sym_delete] = ACTIONS(3336),
    [anon_sym_throw] = ACTIONS(3336),
    [anon_sym_namespace] = ACTIONS(3336),
    [anon_sym_using] = ACTIONS(3336),
    [anon_sym_static_assert] = ACTIONS(3336),
    [anon_sym_concept] = ACTIONS(3336),
    [anon_sym_co_return] = ACTIONS(3336),
    [anon_sym_co_yield] = ACTIONS(3336),
    [anon_sym_R_DQUOTE] = ACTIONS(3338),
    [anon_sym_LR_DQUOTE] = ACTIONS(3338),
    [anon_sym_uR_DQUOTE] = ACTIONS(3338),
    [anon_sym_UR_DQUOTE] = ACTIONS(3338),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3338),
    [anon_sym_co_await] = ACTIONS(3336),
    [anon_sym_new] = ACTIONS(3336),
    [anon_sym_requires] = ACTIONS(3336),
    [sym_this] = ACTIONS(3336),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(3172),
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_include_token1] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym___cdecl] = ACTIONS(3170),
    [anon_sym___clrcall] = ACTIONS(3170),
    [anon_sym___stdcall] = ACTIONS(3170),
    [anon_sym___fastcall] = ACTIONS(3170),
    [anon_sym___thiscall] = ACTIONS(3170),
    [anon_sym___vectorcall] = ACTIONS(3170),
    [anon_sym_LBRACE] = ACTIONS(3172),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_switch] = ACTIONS(3170),
    [anon_sym_case] = ACTIONS(3170),
    [anon_sym_default] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_do] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3170),
    [anon_sym_return] = ACTIONS(3170),
    [anon_sym_break] = ACTIONS(3170),
    [anon_sym_continue] = ACTIONS(3170),
    [anon_sym_goto] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_try] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_throw] = ACTIONS(3170),
    [anon_sym_namespace] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
    [anon_sym_concept] = ACTIONS(3170),
    [anon_sym_co_return] = ACTIONS(3170),
    [anon_sym_co_yield] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(3327),
    [sym_identifier] = ACTIONS(3325),
    [aux_sym_preproc_include_token1] = ACTIONS(3325),
    [aux_sym_preproc_def_token1] = ACTIONS(3325),
    [aux_sym_preproc_if_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3325),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3325),
    [sym_preproc_directive] = ACTIONS(3325),
    [anon_sym_LPAREN2] = ACTIONS(3327),
    [anon_sym_BANG] = ACTIONS(3327),
    [anon_sym_TILDE] = ACTIONS(3327),
    [anon_sym_DASH] = ACTIONS(3325),
    [anon_sym_PLUS] = ACTIONS(3325),
    [anon_sym_STAR] = ACTIONS(3327),
    [anon_sym_AMP_AMP] = ACTIONS(3327),
    [anon_sym_AMP] = ACTIONS(3325),
    [anon_sym___extension__] = ACTIONS(3325),
    [anon_sym_typedef] = ACTIONS(3325),
    [anon_sym_extern] = ACTIONS(3325),
    [anon_sym___attribute__] = ACTIONS(3325),
    [anon_sym_COLON_COLON] = ACTIONS(3327),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3327),
    [anon_sym___declspec] = ACTIONS(3325),
    [anon_sym___based] = ACTIONS(3325),
    [anon_sym___cdecl] = ACTIONS(3325),
    [anon_sym___clrcall] = ACTIONS(3325),
    [anon_sym___stdcall] = ACTIONS(3325),
    [anon_sym___fastcall] = ACTIONS(3325),
    [anon_sym___thiscall] = ACTIONS(3325),
    [anon_sym___vectorcall] = ACTIONS(3325),
    [anon_sym_LBRACE] = ACTIONS(3327),
    [anon_sym_signed] = ACTIONS(3325),
    [anon_sym_unsigned] = ACTIONS(3325),
    [anon_sym_long] = ACTIONS(3325),
    [anon_sym_short] = ACTIONS(3325),
    [anon_sym_LBRACK] = ACTIONS(3325),
    [anon_sym_static] = ACTIONS(3325),
    [anon_sym_register] = ACTIONS(3325),
    [anon_sym_inline] = ACTIONS(3325),
    [anon_sym___inline] = ACTIONS(3325),
    [anon_sym___inline__] = ACTIONS(3325),
    [anon_sym___forceinline] = ACTIONS(3325),
    [anon_sym_thread_local] = ACTIONS(3325),
    [anon_sym___thread] = ACTIONS(3325),
    [anon_sym_const] = ACTIONS(3325),
    [anon_sym_constexpr] = ACTIONS(3325),
    [anon_sym_volatile] = ACTIONS(3325),
    [anon_sym_restrict] = ACTIONS(3325),
    [anon_sym___restrict__] = ACTIONS(3325),
    [anon_sym__Atomic] = ACTIONS(3325),
    [anon_sym__Noreturn] = ACTIONS(3325),
    [anon_sym_noreturn] = ACTIONS(3325),
    [anon_sym_mutable] = ACTIONS(3325),
    [anon_sym_constinit] = ACTIONS(3325),
    [anon_sym_consteval] = ACTIONS(3325),
    [sym_primitive_type] = ACTIONS(3325),
    [anon_sym_enum] = ACTIONS(3325),
    [anon_sym_class] = ACTIONS(3325),
    [anon_sym_struct] = ACTIONS(3325),
    [anon_sym_union] = ACTIONS(3325),
    [anon_sym_if] = ACTIONS(3325),
    [anon_sym_switch] = ACTIONS(3325),
    [anon_sym_case] = ACTIONS(3325),
    [anon_sym_default] = ACTIONS(3325),
    [anon_sym_while] = ACTIONS(3325),
    [anon_sym_do] = ACTIONS(3325),
    [anon_sym_for] = ACTIONS(3325),
    [anon_sym_return] = ACTIONS(3325),
    [anon_sym_break] = ACTIONS(3325),
    [anon_sym_continue] = ACTIONS(3325),
    [anon_sym_goto] = ACTIONS(3325),
    [anon_sym_not] = ACTIONS(3325),
    [anon_sym_compl] = ACTIONS(3325),
    [anon_sym_DASH_DASH] = ACTIONS(3327),
    [anon_sym_PLUS_PLUS] = ACTIONS(3327),
    [anon_sym_sizeof] = ACTIONS(3325),
    [anon_sym___alignof__] = ACTIONS(3325),
    [anon_sym___alignof] = ACTIONS(3325),
    [anon_sym__alignof] = ACTIONS(3325),
    [anon_sym_alignof] = ACTIONS(3325),
    [anon_sym__Alignof] = ACTIONS(3325),
    [anon_sym_offsetof] = ACTIONS(3325),
    [anon_sym__Generic] = ACTIONS(3325),
    [anon_sym_asm] = ACTIONS(3325),
    [anon_sym___asm__] = ACTIONS(3325),
    [sym_number_literal] = ACTIONS(3327),
    [anon_sym_L_SQUOTE] = ACTIONS(3327),
    [anon_sym_u_SQUOTE] = ACTIONS(3327),
    [anon_sym_U_SQUOTE] = ACTIONS(3327),
    [anon_sym_u8_SQUOTE] = ACTIONS(3327),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_L_DQUOTE] = ACTIONS(3327),
    [anon_sym_u_DQUOTE] = ACTIONS(3327),
    [anon_sym_U_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8_DQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3327),
    [sym_true] = ACTIONS(3325),
    [sym_false] = ACTIONS(3325),
    [anon_sym_NULL] = ACTIONS(3325),
    [anon_sym_nullptr] = ACTIONS(3325),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3325),
    [anon_sym_decltype] = ACTIONS(3325),
    [anon_sym_virtual] = ACTIONS(3325),
    [anon_sym_alignas] = ACTIONS(3325),
    [anon_sym_explicit] = ACTIONS(3325),
    [anon_sym_typename] = ACTIONS(3325),
    [anon_sym_template] = ACTIONS(3325),
    [anon_sym_operator] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3325),
    [anon_sym_delete] = ACTIONS(3325),
    [anon_sym_throw] = ACTIONS(3325),
    [anon_sym_namespace] = ACTIONS(3325),
    [anon_sym_using] = ACTIONS(3325),
    [anon_sym_static_assert] = ACTIONS(3325),
    [anon_sym_concept] = ACTIONS(3325),
    [anon_sym_co_return] = ACTIONS(3325),
    [anon_sym_co_yield] = ACTIONS(3325),
    [anon_sym_R_DQUOTE] = ACTIONS(3327),
    [anon_sym_LR_DQUOTE] = ACTIONS(3327),
    [anon_sym_uR_DQUOTE] = ACTIONS(3327),
    [anon_sym_UR_DQUOTE] = ACTIONS(3327),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3327),
    [anon_sym_co_await] = ACTIONS(3325),
    [anon_sym_new] = ACTIONS(3325),
    [anon_sym_requires] = ACTIONS(3325),
    [sym_this] = ACTIONS(3325),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(3323),
    [sym_identifier] = ACTIONS(3321),
    [aux_sym_preproc_include_token1] = ACTIONS(3321),
    [aux_sym_preproc_def_token1] = ACTIONS(3321),
    [aux_sym_preproc_if_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3321),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3321),
    [sym_preproc_directive] = ACTIONS(3321),
    [anon_sym_LPAREN2] = ACTIONS(3323),
    [anon_sym_BANG] = ACTIONS(3323),
    [anon_sym_TILDE] = ACTIONS(3323),
    [anon_sym_DASH] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(3321),
    [anon_sym_STAR] = ACTIONS(3323),
    [anon_sym_AMP_AMP] = ACTIONS(3323),
    [anon_sym_AMP] = ACTIONS(3321),
    [anon_sym___extension__] = ACTIONS(3321),
    [anon_sym_typedef] = ACTIONS(3321),
    [anon_sym_extern] = ACTIONS(3321),
    [anon_sym___attribute__] = ACTIONS(3321),
    [anon_sym_COLON_COLON] = ACTIONS(3323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3323),
    [anon_sym___declspec] = ACTIONS(3321),
    [anon_sym___based] = ACTIONS(3321),
    [anon_sym___cdecl] = ACTIONS(3321),
    [anon_sym___clrcall] = ACTIONS(3321),
    [anon_sym___stdcall] = ACTIONS(3321),
    [anon_sym___fastcall] = ACTIONS(3321),
    [anon_sym___thiscall] = ACTIONS(3321),
    [anon_sym___vectorcall] = ACTIONS(3321),
    [anon_sym_LBRACE] = ACTIONS(3323),
    [anon_sym_signed] = ACTIONS(3321),
    [anon_sym_unsigned] = ACTIONS(3321),
    [anon_sym_long] = ACTIONS(3321),
    [anon_sym_short] = ACTIONS(3321),
    [anon_sym_LBRACK] = ACTIONS(3321),
    [anon_sym_static] = ACTIONS(3321),
    [anon_sym_register] = ACTIONS(3321),
    [anon_sym_inline] = ACTIONS(3321),
    [anon_sym___inline] = ACTIONS(3321),
    [anon_sym___inline__] = ACTIONS(3321),
    [anon_sym___forceinline] = ACTIONS(3321),
    [anon_sym_thread_local] = ACTIONS(3321),
    [anon_sym___thread] = ACTIONS(3321),
    [anon_sym_const] = ACTIONS(3321),
    [anon_sym_constexpr] = ACTIONS(3321),
    [anon_sym_volatile] = ACTIONS(3321),
    [anon_sym_restrict] = ACTIONS(3321),
    [anon_sym___restrict__] = ACTIONS(3321),
    [anon_sym__Atomic] = ACTIONS(3321),
    [anon_sym__Noreturn] = ACTIONS(3321),
    [anon_sym_noreturn] = ACTIONS(3321),
    [anon_sym_mutable] = ACTIONS(3321),
    [anon_sym_constinit] = ACTIONS(3321),
    [anon_sym_consteval] = ACTIONS(3321),
    [sym_primitive_type] = ACTIONS(3321),
    [anon_sym_enum] = ACTIONS(3321),
    [anon_sym_class] = ACTIONS(3321),
    [anon_sym_struct] = ACTIONS(3321),
    [anon_sym_union] = ACTIONS(3321),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_switch] = ACTIONS(3321),
    [anon_sym_case] = ACTIONS(3321),
    [anon_sym_default] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(3321),
    [anon_sym_do] = ACTIONS(3321),
    [anon_sym_for] = ACTIONS(3321),
    [anon_sym_return] = ACTIONS(3321),
    [anon_sym_break] = ACTIONS(3321),
    [anon_sym_continue] = ACTIONS(3321),
    [anon_sym_goto] = ACTIONS(3321),
    [anon_sym_not] = ACTIONS(3321),
    [anon_sym_compl] = ACTIONS(3321),
    [anon_sym_DASH_DASH] = ACTIONS(3323),
    [anon_sym_PLUS_PLUS] = ACTIONS(3323),
    [anon_sym_sizeof] = ACTIONS(3321),
    [anon_sym___alignof__] = ACTIONS(3321),
    [anon_sym___alignof] = ACTIONS(3321),
    [anon_sym__alignof] = ACTIONS(3321),
    [anon_sym_alignof] = ACTIONS(3321),
    [anon_sym__Alignof] = ACTIONS(3321),
    [anon_sym_offsetof] = ACTIONS(3321),
    [anon_sym__Generic] = ACTIONS(3321),
    [anon_sym_asm] = ACTIONS(3321),
    [anon_sym___asm__] = ACTIONS(3321),
    [sym_number_literal] = ACTIONS(3323),
    [anon_sym_L_SQUOTE] = ACTIONS(3323),
    [anon_sym_u_SQUOTE] = ACTIONS(3323),
    [anon_sym_U_SQUOTE] = ACTIONS(3323),
    [anon_sym_u8_SQUOTE] = ACTIONS(3323),
    [anon_sym_SQUOTE] = ACTIONS(3323),
    [anon_sym_L_DQUOTE] = ACTIONS(3323),
    [anon_sym_u_DQUOTE] = ACTIONS(3323),
    [anon_sym_U_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8_DQUOTE] = ACTIONS(3323),
    [anon_sym_DQUOTE] = ACTIONS(3323),
    [sym_true] = ACTIONS(3321),
    [sym_false] = ACTIONS(3321),
    [anon_sym_NULL] = ACTIONS(3321),
    [anon_sym_nullptr] = ACTIONS(3321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3321),
    [anon_sym_decltype] = ACTIONS(3321),
    [anon_sym_virtual] = ACTIONS(3321),
    [anon_sym_alignas] = ACTIONS(3321),
    [anon_sym_explicit] = ACTIONS(3321),
    [anon_sym_typename] = ACTIONS(3321),
    [anon_sym_template] = ACTIONS(3321),
    [anon_sym_operator] = ACTIONS(3321),
    [anon_sym_try] = ACTIONS(3321),
    [anon_sym_delete] = ACTIONS(3321),
    [anon_sym_throw] = ACTIONS(3321),
    [anon_sym_namespace] = ACTIONS(3321),
    [anon_sym_using] = ACTIONS(3321),
    [anon_sym_static_assert] = ACTIONS(3321),
    [anon_sym_concept] = ACTIONS(3321),
    [anon_sym_co_return] = ACTIONS(3321),
    [anon_sym_co_yield] = ACTIONS(3321),
    [anon_sym_R_DQUOTE] = ACTIONS(3323),
    [anon_sym_LR_DQUOTE] = ACTIONS(3323),
    [anon_sym_uR_DQUOTE] = ACTIONS(3323),
    [anon_sym_UR_DQUOTE] = ACTIONS(3323),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3323),
    [anon_sym_co_await] = ACTIONS(3321),
    [anon_sym_new] = ACTIONS(3321),
    [anon_sym_requires] = ACTIONS(3321),
    [sym_this] = ACTIONS(3321),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(3148),
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_include_token1] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_BANG] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3146),
    [anon_sym_PLUS] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym___cdecl] = ACTIONS(3146),
    [anon_sym___clrcall] = ACTIONS(3146),
    [anon_sym___stdcall] = ACTIONS(3146),
    [anon_sym___fastcall] = ACTIONS(3146),
    [anon_sym___thiscall] = ACTIONS(3146),
    [anon_sym___vectorcall] = ACTIONS(3146),
    [anon_sym_LBRACE] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_switch] = ACTIONS(3146),
    [anon_sym_case] = ACTIONS(3146),
    [anon_sym_default] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_do] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3146),
    [anon_sym_return] = ACTIONS(3146),
    [anon_sym_break] = ACTIONS(3146),
    [anon_sym_continue] = ACTIONS(3146),
    [anon_sym_goto] = ACTIONS(3146),
    [anon_sym_not] = ACTIONS(3146),
    [anon_sym_compl] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3148),
    [anon_sym_PLUS_PLUS] = ACTIONS(3148),
    [anon_sym_sizeof] = ACTIONS(3146),
    [anon_sym___alignof__] = ACTIONS(3146),
    [anon_sym___alignof] = ACTIONS(3146),
    [anon_sym__alignof] = ACTIONS(3146),
    [anon_sym_alignof] = ACTIONS(3146),
    [anon_sym__Alignof] = ACTIONS(3146),
    [anon_sym_offsetof] = ACTIONS(3146),
    [anon_sym__Generic] = ACTIONS(3146),
    [anon_sym_asm] = ACTIONS(3146),
    [anon_sym___asm__] = ACTIONS(3146),
    [sym_number_literal] = ACTIONS(3148),
    [anon_sym_L_SQUOTE] = ACTIONS(3148),
    [anon_sym_u_SQUOTE] = ACTIONS(3148),
    [anon_sym_U_SQUOTE] = ACTIONS(3148),
    [anon_sym_u8_SQUOTE] = ACTIONS(3148),
    [anon_sym_SQUOTE] = ACTIONS(3148),
    [anon_sym_L_DQUOTE] = ACTIONS(3148),
    [anon_sym_u_DQUOTE] = ACTIONS(3148),
    [anon_sym_U_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8_DQUOTE] = ACTIONS(3148),
    [anon_sym_DQUOTE] = ACTIONS(3148),
    [sym_true] = ACTIONS(3146),
    [sym_false] = ACTIONS(3146),
    [anon_sym_NULL] = ACTIONS(3146),
    [anon_sym_nullptr] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_try] = ACTIONS(3146),
    [anon_sym_delete] = ACTIONS(3146),
    [anon_sym_throw] = ACTIONS(3146),
    [anon_sym_namespace] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
    [anon_sym_concept] = ACTIONS(3146),
    [anon_sym_co_return] = ACTIONS(3146),
    [anon_sym_co_yield] = ACTIONS(3146),
    [anon_sym_R_DQUOTE] = ACTIONS(3148),
    [anon_sym_LR_DQUOTE] = ACTIONS(3148),
    [anon_sym_uR_DQUOTE] = ACTIONS(3148),
    [anon_sym_UR_DQUOTE] = ACTIONS(3148),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3148),
    [anon_sym_co_await] = ACTIONS(3146),
    [anon_sym_new] = ACTIONS(3146),
    [anon_sym_requires] = ACTIONS(3146),
    [sym_this] = ACTIONS(3146),
  },
  [1028] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3849),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(3315),
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_include_token1] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_BANG] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_DASH] = ACTIONS(3313),
    [anon_sym_PLUS] = ACTIONS(3313),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym___cdecl] = ACTIONS(3313),
    [anon_sym___clrcall] = ACTIONS(3313),
    [anon_sym___stdcall] = ACTIONS(3313),
    [anon_sym___fastcall] = ACTIONS(3313),
    [anon_sym___thiscall] = ACTIONS(3313),
    [anon_sym___vectorcall] = ACTIONS(3313),
    [anon_sym_LBRACE] = ACTIONS(3315),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [anon_sym_if] = ACTIONS(3313),
    [anon_sym_switch] = ACTIONS(3313),
    [anon_sym_case] = ACTIONS(3313),
    [anon_sym_default] = ACTIONS(3313),
    [anon_sym_while] = ACTIONS(3313),
    [anon_sym_do] = ACTIONS(3313),
    [anon_sym_for] = ACTIONS(3313),
    [anon_sym_return] = ACTIONS(3313),
    [anon_sym_break] = ACTIONS(3313),
    [anon_sym_continue] = ACTIONS(3313),
    [anon_sym_goto] = ACTIONS(3313),
    [anon_sym_not] = ACTIONS(3313),
    [anon_sym_compl] = ACTIONS(3313),
    [anon_sym_DASH_DASH] = ACTIONS(3315),
    [anon_sym_PLUS_PLUS] = ACTIONS(3315),
    [anon_sym_sizeof] = ACTIONS(3313),
    [anon_sym___alignof__] = ACTIONS(3313),
    [anon_sym___alignof] = ACTIONS(3313),
    [anon_sym__alignof] = ACTIONS(3313),
    [anon_sym_alignof] = ACTIONS(3313),
    [anon_sym__Alignof] = ACTIONS(3313),
    [anon_sym_offsetof] = ACTIONS(3313),
    [anon_sym__Generic] = ACTIONS(3313),
    [anon_sym_asm] = ACTIONS(3313),
    [anon_sym___asm__] = ACTIONS(3313),
    [sym_number_literal] = ACTIONS(3315),
    [anon_sym_L_SQUOTE] = ACTIONS(3315),
    [anon_sym_u_SQUOTE] = ACTIONS(3315),
    [anon_sym_U_SQUOTE] = ACTIONS(3315),
    [anon_sym_u8_SQUOTE] = ACTIONS(3315),
    [anon_sym_SQUOTE] = ACTIONS(3315),
    [anon_sym_L_DQUOTE] = ACTIONS(3315),
    [anon_sym_u_DQUOTE] = ACTIONS(3315),
    [anon_sym_U_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8_DQUOTE] = ACTIONS(3315),
    [anon_sym_DQUOTE] = ACTIONS(3315),
    [sym_true] = ACTIONS(3313),
    [sym_false] = ACTIONS(3313),
    [anon_sym_NULL] = ACTIONS(3313),
    [anon_sym_nullptr] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_try] = ACTIONS(3313),
    [anon_sym_delete] = ACTIONS(3313),
    [anon_sym_throw] = ACTIONS(3313),
    [anon_sym_namespace] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
    [anon_sym_concept] = ACTIONS(3313),
    [anon_sym_co_return] = ACTIONS(3313),
    [anon_sym_co_yield] = ACTIONS(3313),
    [anon_sym_R_DQUOTE] = ACTIONS(3315),
    [anon_sym_LR_DQUOTE] = ACTIONS(3315),
    [anon_sym_uR_DQUOTE] = ACTIONS(3315),
    [anon_sym_UR_DQUOTE] = ACTIONS(3315),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3315),
    [anon_sym_co_await] = ACTIONS(3313),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_requires] = ACTIONS(3313),
    [sym_this] = ACTIONS(3313),
  },
  [1030] = {
    [sym_preproc_def] = STATE(1043),
    [sym_preproc_function_def] = STATE(1043),
    [sym_preproc_call] = STATE(1043),
    [sym_preproc_if_in_field_declaration_list] = STATE(1043),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1043),
    [sym_type_definition] = STATE(1043),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1043),
    [sym_field_declaration] = STATE(1043),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1043),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1043),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1043),
    [sym_operator_cast_declaration] = STATE(1043),
    [sym_constructor_or_destructor_definition] = STATE(1043),
    [sym_constructor_or_destructor_declaration] = STATE(1043),
    [sym_friend_declaration] = STATE(1043),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1043),
    [sym_alias_declaration] = STATE(1043),
    [sym_static_assert_declaration] = STATE(1043),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1043),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3869),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [1032] = {
    [sym_preproc_def] = STATE(1090),
    [sym_preproc_function_def] = STATE(1090),
    [sym_preproc_call] = STATE(1090),
    [sym_preproc_if_in_field_declaration_list] = STATE(1090),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1090),
    [sym_type_definition] = STATE(1090),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1090),
    [sym_field_declaration] = STATE(1090),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1090),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1090),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1090),
    [sym_operator_cast_declaration] = STATE(1090),
    [sym_constructor_or_destructor_definition] = STATE(1090),
    [sym_constructor_or_destructor_declaration] = STATE(1090),
    [sym_friend_declaration] = STATE(1090),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1090),
    [sym_alias_declaration] = STATE(1090),
    [sym_static_assert_declaration] = STATE(1090),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1090),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3871),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(3235),
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_include_token1] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_BANG] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_DASH] = ACTIONS(3233),
    [anon_sym_PLUS] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym___cdecl] = ACTIONS(3233),
    [anon_sym___clrcall] = ACTIONS(3233),
    [anon_sym___stdcall] = ACTIONS(3233),
    [anon_sym___fastcall] = ACTIONS(3233),
    [anon_sym___thiscall] = ACTIONS(3233),
    [anon_sym___vectorcall] = ACTIONS(3233),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(3233),
    [anon_sym_switch] = ACTIONS(3233),
    [anon_sym_case] = ACTIONS(3233),
    [anon_sym_default] = ACTIONS(3233),
    [anon_sym_while] = ACTIONS(3233),
    [anon_sym_do] = ACTIONS(3233),
    [anon_sym_for] = ACTIONS(3233),
    [anon_sym_return] = ACTIONS(3233),
    [anon_sym_break] = ACTIONS(3233),
    [anon_sym_continue] = ACTIONS(3233),
    [anon_sym_goto] = ACTIONS(3233),
    [anon_sym_not] = ACTIONS(3233),
    [anon_sym_compl] = ACTIONS(3233),
    [anon_sym_DASH_DASH] = ACTIONS(3235),
    [anon_sym_PLUS_PLUS] = ACTIONS(3235),
    [anon_sym_sizeof] = ACTIONS(3233),
    [anon_sym___alignof__] = ACTIONS(3233),
    [anon_sym___alignof] = ACTIONS(3233),
    [anon_sym__alignof] = ACTIONS(3233),
    [anon_sym_alignof] = ACTIONS(3233),
    [anon_sym__Alignof] = ACTIONS(3233),
    [anon_sym_offsetof] = ACTIONS(3233),
    [anon_sym__Generic] = ACTIONS(3233),
    [anon_sym_asm] = ACTIONS(3233),
    [anon_sym___asm__] = ACTIONS(3233),
    [sym_number_literal] = ACTIONS(3235),
    [anon_sym_L_SQUOTE] = ACTIONS(3235),
    [anon_sym_u_SQUOTE] = ACTIONS(3235),
    [anon_sym_U_SQUOTE] = ACTIONS(3235),
    [anon_sym_u8_SQUOTE] = ACTIONS(3235),
    [anon_sym_SQUOTE] = ACTIONS(3235),
    [anon_sym_L_DQUOTE] = ACTIONS(3235),
    [anon_sym_u_DQUOTE] = ACTIONS(3235),
    [anon_sym_U_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8_DQUOTE] = ACTIONS(3235),
    [anon_sym_DQUOTE] = ACTIONS(3235),
    [sym_true] = ACTIONS(3233),
    [sym_false] = ACTIONS(3233),
    [anon_sym_NULL] = ACTIONS(3233),
    [anon_sym_nullptr] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_try] = ACTIONS(3233),
    [anon_sym_delete] = ACTIONS(3233),
    [anon_sym_throw] = ACTIONS(3233),
    [anon_sym_namespace] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
    [anon_sym_concept] = ACTIONS(3233),
    [anon_sym_co_return] = ACTIONS(3233),
    [anon_sym_co_yield] = ACTIONS(3233),
    [anon_sym_R_DQUOTE] = ACTIONS(3235),
    [anon_sym_LR_DQUOTE] = ACTIONS(3235),
    [anon_sym_uR_DQUOTE] = ACTIONS(3235),
    [anon_sym_UR_DQUOTE] = ACTIONS(3235),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3235),
    [anon_sym_co_await] = ACTIONS(3233),
    [anon_sym_new] = ACTIONS(3233),
    [anon_sym_requires] = ACTIONS(3233),
    [sym_this] = ACTIONS(3233),
  },
  [1034] = {
    [sym_preproc_def] = STATE(1021),
    [sym_preproc_function_def] = STATE(1021),
    [sym_preproc_call] = STATE(1021),
    [sym_preproc_if_in_field_declaration_list] = STATE(1021),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1021),
    [sym_type_definition] = STATE(1021),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6450),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6997),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1021),
    [sym_field_declaration] = STATE(1021),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2129),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1021),
    [sym_operator_cast] = STATE(7530),
    [sym_inline_method_definition] = STATE(1021),
    [sym__constructor_specifiers] = STATE(2129),
    [sym_operator_cast_definition] = STATE(1021),
    [sym_operator_cast_declaration] = STATE(1021),
    [sym_constructor_or_destructor_definition] = STATE(1021),
    [sym_constructor_or_destructor_declaration] = STATE(1021),
    [sym_friend_declaration] = STATE(1021),
    [sym_access_specifier] = STATE(8812),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1021),
    [sym_alias_declaration] = STATE(1021),
    [sym_static_assert_declaration] = STATE(1021),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7530),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1021),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3873),
    [aux_sym_preproc_if_token1] = ACTIONS(3875),
    [aux_sym_preproc_if_token2] = ACTIONS(3877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3879),
    [sym_preproc_directive] = ACTIONS(3881),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3883),
    [anon_sym_typedef] = ACTIONS(3885),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3887),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3889),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3891),
    [anon_sym_static_assert] = ACTIONS(3893),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(3354),
    [sym_identifier] = ACTIONS(3352),
    [aux_sym_preproc_include_token1] = ACTIONS(3352),
    [aux_sym_preproc_def_token1] = ACTIONS(3352),
    [aux_sym_preproc_if_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3352),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3352),
    [sym_preproc_directive] = ACTIONS(3352),
    [anon_sym_LPAREN2] = ACTIONS(3354),
    [anon_sym_BANG] = ACTIONS(3354),
    [anon_sym_TILDE] = ACTIONS(3354),
    [anon_sym_DASH] = ACTIONS(3352),
    [anon_sym_PLUS] = ACTIONS(3352),
    [anon_sym_STAR] = ACTIONS(3354),
    [anon_sym_AMP_AMP] = ACTIONS(3354),
    [anon_sym_AMP] = ACTIONS(3352),
    [anon_sym___extension__] = ACTIONS(3352),
    [anon_sym_typedef] = ACTIONS(3352),
    [anon_sym_extern] = ACTIONS(3352),
    [anon_sym___attribute__] = ACTIONS(3352),
    [anon_sym_COLON_COLON] = ACTIONS(3354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3354),
    [anon_sym___declspec] = ACTIONS(3352),
    [anon_sym___based] = ACTIONS(3352),
    [anon_sym___cdecl] = ACTIONS(3352),
    [anon_sym___clrcall] = ACTIONS(3352),
    [anon_sym___stdcall] = ACTIONS(3352),
    [anon_sym___fastcall] = ACTIONS(3352),
    [anon_sym___thiscall] = ACTIONS(3352),
    [anon_sym___vectorcall] = ACTIONS(3352),
    [anon_sym_LBRACE] = ACTIONS(3354),
    [anon_sym_signed] = ACTIONS(3352),
    [anon_sym_unsigned] = ACTIONS(3352),
    [anon_sym_long] = ACTIONS(3352),
    [anon_sym_short] = ACTIONS(3352),
    [anon_sym_LBRACK] = ACTIONS(3352),
    [anon_sym_static] = ACTIONS(3352),
    [anon_sym_register] = ACTIONS(3352),
    [anon_sym_inline] = ACTIONS(3352),
    [anon_sym___inline] = ACTIONS(3352),
    [anon_sym___inline__] = ACTIONS(3352),
    [anon_sym___forceinline] = ACTIONS(3352),
    [anon_sym_thread_local] = ACTIONS(3352),
    [anon_sym___thread] = ACTIONS(3352),
    [anon_sym_const] = ACTIONS(3352),
    [anon_sym_constexpr] = ACTIONS(3352),
    [anon_sym_volatile] = ACTIONS(3352),
    [anon_sym_restrict] = ACTIONS(3352),
    [anon_sym___restrict__] = ACTIONS(3352),
    [anon_sym__Atomic] = ACTIONS(3352),
    [anon_sym__Noreturn] = ACTIONS(3352),
    [anon_sym_noreturn] = ACTIONS(3352),
    [anon_sym_mutable] = ACTIONS(3352),
    [anon_sym_constinit] = ACTIONS(3352),
    [anon_sym_consteval] = ACTIONS(3352),
    [sym_primitive_type] = ACTIONS(3352),
    [anon_sym_enum] = ACTIONS(3352),
    [anon_sym_class] = ACTIONS(3352),
    [anon_sym_struct] = ACTIONS(3352),
    [anon_sym_union] = ACTIONS(3352),
    [anon_sym_if] = ACTIONS(3352),
    [anon_sym_switch] = ACTIONS(3352),
    [anon_sym_case] = ACTIONS(3352),
    [anon_sym_default] = ACTIONS(3352),
    [anon_sym_while] = ACTIONS(3352),
    [anon_sym_do] = ACTIONS(3352),
    [anon_sym_for] = ACTIONS(3352),
    [anon_sym_return] = ACTIONS(3352),
    [anon_sym_break] = ACTIONS(3352),
    [anon_sym_continue] = ACTIONS(3352),
    [anon_sym_goto] = ACTIONS(3352),
    [anon_sym_not] = ACTIONS(3352),
    [anon_sym_compl] = ACTIONS(3352),
    [anon_sym_DASH_DASH] = ACTIONS(3354),
    [anon_sym_PLUS_PLUS] = ACTIONS(3354),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3352),
    [anon_sym___alignof] = ACTIONS(3352),
    [anon_sym__alignof] = ACTIONS(3352),
    [anon_sym_alignof] = ACTIONS(3352),
    [anon_sym__Alignof] = ACTIONS(3352),
    [anon_sym_offsetof] = ACTIONS(3352),
    [anon_sym__Generic] = ACTIONS(3352),
    [anon_sym_asm] = ACTIONS(3352),
    [anon_sym___asm__] = ACTIONS(3352),
    [sym_number_literal] = ACTIONS(3354),
    [anon_sym_L_SQUOTE] = ACTIONS(3354),
    [anon_sym_u_SQUOTE] = ACTIONS(3354),
    [anon_sym_U_SQUOTE] = ACTIONS(3354),
    [anon_sym_u8_SQUOTE] = ACTIONS(3354),
    [anon_sym_SQUOTE] = ACTIONS(3354),
    [anon_sym_L_DQUOTE] = ACTIONS(3354),
    [anon_sym_u_DQUOTE] = ACTIONS(3354),
    [anon_sym_U_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8_DQUOTE] = ACTIONS(3354),
    [anon_sym_DQUOTE] = ACTIONS(3354),
    [sym_true] = ACTIONS(3352),
    [sym_false] = ACTIONS(3352),
    [anon_sym_NULL] = ACTIONS(3352),
    [anon_sym_nullptr] = ACTIONS(3352),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3352),
    [anon_sym_decltype] = ACTIONS(3352),
    [anon_sym_virtual] = ACTIONS(3352),
    [anon_sym_alignas] = ACTIONS(3352),
    [anon_sym_explicit] = ACTIONS(3352),
    [anon_sym_typename] = ACTIONS(3352),
    [anon_sym_template] = ACTIONS(3352),
    [anon_sym_operator] = ACTIONS(3352),
    [anon_sym_try] = ACTIONS(3352),
    [anon_sym_delete] = ACTIONS(3352),
    [anon_sym_throw] = ACTIONS(3352),
    [anon_sym_namespace] = ACTIONS(3352),
    [anon_sym_using] = ACTIONS(3352),
    [anon_sym_static_assert] = ACTIONS(3352),
    [anon_sym_concept] = ACTIONS(3352),
    [anon_sym_co_return] = ACTIONS(3352),
    [anon_sym_co_yield] = ACTIONS(3352),
    [anon_sym_R_DQUOTE] = ACTIONS(3354),
    [anon_sym_LR_DQUOTE] = ACTIONS(3354),
    [anon_sym_uR_DQUOTE] = ACTIONS(3354),
    [anon_sym_UR_DQUOTE] = ACTIONS(3354),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3354),
    [anon_sym_co_await] = ACTIONS(3352),
    [anon_sym_new] = ACTIONS(3352),
    [anon_sym_requires] = ACTIONS(3352),
    [sym_this] = ACTIONS(3352),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(3403),
    [sym_identifier] = ACTIONS(3401),
    [aux_sym_preproc_include_token1] = ACTIONS(3401),
    [aux_sym_preproc_def_token1] = ACTIONS(3401),
    [aux_sym_preproc_if_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3401),
    [sym_preproc_directive] = ACTIONS(3401),
    [anon_sym_LPAREN2] = ACTIONS(3403),
    [anon_sym_BANG] = ACTIONS(3403),
    [anon_sym_TILDE] = ACTIONS(3403),
    [anon_sym_DASH] = ACTIONS(3401),
    [anon_sym_PLUS] = ACTIONS(3401),
    [anon_sym_STAR] = ACTIONS(3403),
    [anon_sym_AMP_AMP] = ACTIONS(3403),
    [anon_sym_AMP] = ACTIONS(3401),
    [anon_sym___extension__] = ACTIONS(3401),
    [anon_sym_typedef] = ACTIONS(3401),
    [anon_sym_extern] = ACTIONS(3401),
    [anon_sym___attribute__] = ACTIONS(3401),
    [anon_sym_COLON_COLON] = ACTIONS(3403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3403),
    [anon_sym___declspec] = ACTIONS(3401),
    [anon_sym___based] = ACTIONS(3401),
    [anon_sym___cdecl] = ACTIONS(3401),
    [anon_sym___clrcall] = ACTIONS(3401),
    [anon_sym___stdcall] = ACTIONS(3401),
    [anon_sym___fastcall] = ACTIONS(3401),
    [anon_sym___thiscall] = ACTIONS(3401),
    [anon_sym___vectorcall] = ACTIONS(3401),
    [anon_sym_LBRACE] = ACTIONS(3403),
    [anon_sym_signed] = ACTIONS(3401),
    [anon_sym_unsigned] = ACTIONS(3401),
    [anon_sym_long] = ACTIONS(3401),
    [anon_sym_short] = ACTIONS(3401),
    [anon_sym_LBRACK] = ACTIONS(3401),
    [anon_sym_static] = ACTIONS(3401),
    [anon_sym_register] = ACTIONS(3401),
    [anon_sym_inline] = ACTIONS(3401),
    [anon_sym___inline] = ACTIONS(3401),
    [anon_sym___inline__] = ACTIONS(3401),
    [anon_sym___forceinline] = ACTIONS(3401),
    [anon_sym_thread_local] = ACTIONS(3401),
    [anon_sym___thread] = ACTIONS(3401),
    [anon_sym_const] = ACTIONS(3401),
    [anon_sym_constexpr] = ACTIONS(3401),
    [anon_sym_volatile] = ACTIONS(3401),
    [anon_sym_restrict] = ACTIONS(3401),
    [anon_sym___restrict__] = ACTIONS(3401),
    [anon_sym__Atomic] = ACTIONS(3401),
    [anon_sym__Noreturn] = ACTIONS(3401),
    [anon_sym_noreturn] = ACTIONS(3401),
    [anon_sym_mutable] = ACTIONS(3401),
    [anon_sym_constinit] = ACTIONS(3401),
    [anon_sym_consteval] = ACTIONS(3401),
    [sym_primitive_type] = ACTIONS(3401),
    [anon_sym_enum] = ACTIONS(3401),
    [anon_sym_class] = ACTIONS(3401),
    [anon_sym_struct] = ACTIONS(3401),
    [anon_sym_union] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_switch] = ACTIONS(3401),
    [anon_sym_case] = ACTIONS(3401),
    [anon_sym_default] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(3401),
    [anon_sym_do] = ACTIONS(3401),
    [anon_sym_for] = ACTIONS(3401),
    [anon_sym_return] = ACTIONS(3401),
    [anon_sym_break] = ACTIONS(3401),
    [anon_sym_continue] = ACTIONS(3401),
    [anon_sym_goto] = ACTIONS(3401),
    [anon_sym_not] = ACTIONS(3401),
    [anon_sym_compl] = ACTIONS(3401),
    [anon_sym_DASH_DASH] = ACTIONS(3403),
    [anon_sym_PLUS_PLUS] = ACTIONS(3403),
    [anon_sym_sizeof] = ACTIONS(3401),
    [anon_sym___alignof__] = ACTIONS(3401),
    [anon_sym___alignof] = ACTIONS(3401),
    [anon_sym__alignof] = ACTIONS(3401),
    [anon_sym_alignof] = ACTIONS(3401),
    [anon_sym__Alignof] = ACTIONS(3401),
    [anon_sym_offsetof] = ACTIONS(3401),
    [anon_sym__Generic] = ACTIONS(3401),
    [anon_sym_asm] = ACTIONS(3401),
    [anon_sym___asm__] = ACTIONS(3401),
    [sym_number_literal] = ACTIONS(3403),
    [anon_sym_L_SQUOTE] = ACTIONS(3403),
    [anon_sym_u_SQUOTE] = ACTIONS(3403),
    [anon_sym_U_SQUOTE] = ACTIONS(3403),
    [anon_sym_u8_SQUOTE] = ACTIONS(3403),
    [anon_sym_SQUOTE] = ACTIONS(3403),
    [anon_sym_L_DQUOTE] = ACTIONS(3403),
    [anon_sym_u_DQUOTE] = ACTIONS(3403),
    [anon_sym_U_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8_DQUOTE] = ACTIONS(3403),
    [anon_sym_DQUOTE] = ACTIONS(3403),
    [sym_true] = ACTIONS(3401),
    [sym_false] = ACTIONS(3401),
    [anon_sym_NULL] = ACTIONS(3401),
    [anon_sym_nullptr] = ACTIONS(3401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3401),
    [anon_sym_decltype] = ACTIONS(3401),
    [anon_sym_virtual] = ACTIONS(3401),
    [anon_sym_alignas] = ACTIONS(3401),
    [anon_sym_explicit] = ACTIONS(3401),
    [anon_sym_typename] = ACTIONS(3401),
    [anon_sym_template] = ACTIONS(3401),
    [anon_sym_operator] = ACTIONS(3401),
    [anon_sym_try] = ACTIONS(3401),
    [anon_sym_delete] = ACTIONS(3401),
    [anon_sym_throw] = ACTIONS(3401),
    [anon_sym_namespace] = ACTIONS(3401),
    [anon_sym_using] = ACTIONS(3401),
    [anon_sym_static_assert] = ACTIONS(3401),
    [anon_sym_concept] = ACTIONS(3401),
    [anon_sym_co_return] = ACTIONS(3401),
    [anon_sym_co_yield] = ACTIONS(3401),
    [anon_sym_R_DQUOTE] = ACTIONS(3403),
    [anon_sym_LR_DQUOTE] = ACTIONS(3403),
    [anon_sym_uR_DQUOTE] = ACTIONS(3403),
    [anon_sym_UR_DQUOTE] = ACTIONS(3403),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3403),
    [anon_sym_co_await] = ACTIONS(3401),
    [anon_sym_new] = ACTIONS(3401),
    [anon_sym_requires] = ACTIONS(3401),
    [sym_this] = ACTIONS(3401),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(3231),
    [sym_identifier] = ACTIONS(3229),
    [aux_sym_preproc_include_token1] = ACTIONS(3229),
    [aux_sym_preproc_def_token1] = ACTIONS(3229),
    [aux_sym_preproc_if_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3229),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3229),
    [sym_preproc_directive] = ACTIONS(3229),
    [anon_sym_LPAREN2] = ACTIONS(3231),
    [anon_sym_BANG] = ACTIONS(3231),
    [anon_sym_TILDE] = ACTIONS(3231),
    [anon_sym_DASH] = ACTIONS(3229),
    [anon_sym_PLUS] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3231),
    [anon_sym_AMP_AMP] = ACTIONS(3231),
    [anon_sym_AMP] = ACTIONS(3229),
    [anon_sym___extension__] = ACTIONS(3229),
    [anon_sym_typedef] = ACTIONS(3229),
    [anon_sym_extern] = ACTIONS(3229),
    [anon_sym___attribute__] = ACTIONS(3229),
    [anon_sym_COLON_COLON] = ACTIONS(3231),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3229),
    [anon_sym___based] = ACTIONS(3229),
    [anon_sym___cdecl] = ACTIONS(3229),
    [anon_sym___clrcall] = ACTIONS(3229),
    [anon_sym___stdcall] = ACTIONS(3229),
    [anon_sym___fastcall] = ACTIONS(3229),
    [anon_sym___thiscall] = ACTIONS(3229),
    [anon_sym___vectorcall] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3229),
    [anon_sym_unsigned] = ACTIONS(3229),
    [anon_sym_long] = ACTIONS(3229),
    [anon_sym_short] = ACTIONS(3229),
    [anon_sym_LBRACK] = ACTIONS(3229),
    [anon_sym_static] = ACTIONS(3229),
    [anon_sym_register] = ACTIONS(3229),
    [anon_sym_inline] = ACTIONS(3229),
    [anon_sym___inline] = ACTIONS(3229),
    [anon_sym___inline__] = ACTIONS(3229),
    [anon_sym___forceinline] = ACTIONS(3229),
    [anon_sym_thread_local] = ACTIONS(3229),
    [anon_sym___thread] = ACTIONS(3229),
    [anon_sym_const] = ACTIONS(3229),
    [anon_sym_constexpr] = ACTIONS(3229),
    [anon_sym_volatile] = ACTIONS(3229),
    [anon_sym_restrict] = ACTIONS(3229),
    [anon_sym___restrict__] = ACTIONS(3229),
    [anon_sym__Atomic] = ACTIONS(3229),
    [anon_sym__Noreturn] = ACTIONS(3229),
    [anon_sym_noreturn] = ACTIONS(3229),
    [anon_sym_mutable] = ACTIONS(3229),
    [anon_sym_constinit] = ACTIONS(3229),
    [anon_sym_consteval] = ACTIONS(3229),
    [sym_primitive_type] = ACTIONS(3229),
    [anon_sym_enum] = ACTIONS(3229),
    [anon_sym_class] = ACTIONS(3229),
    [anon_sym_struct] = ACTIONS(3229),
    [anon_sym_union] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(3229),
    [anon_sym_switch] = ACTIONS(3229),
    [anon_sym_case] = ACTIONS(3229),
    [anon_sym_default] = ACTIONS(3229),
    [anon_sym_while] = ACTIONS(3229),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_for] = ACTIONS(3229),
    [anon_sym_return] = ACTIONS(3229),
    [anon_sym_break] = ACTIONS(3229),
    [anon_sym_continue] = ACTIONS(3229),
    [anon_sym_goto] = ACTIONS(3229),
    [anon_sym_not] = ACTIONS(3229),
    [anon_sym_compl] = ACTIONS(3229),
    [anon_sym_DASH_DASH] = ACTIONS(3231),
    [anon_sym_PLUS_PLUS] = ACTIONS(3231),
    [anon_sym_sizeof] = ACTIONS(3229),
    [anon_sym___alignof__] = ACTIONS(3229),
    [anon_sym___alignof] = ACTIONS(3229),
    [anon_sym__alignof] = ACTIONS(3229),
    [anon_sym_alignof] = ACTIONS(3229),
    [anon_sym__Alignof] = ACTIONS(3229),
    [anon_sym_offsetof] = ACTIONS(3229),
    [anon_sym__Generic] = ACTIONS(3229),
    [anon_sym_asm] = ACTIONS(3229),
    [anon_sym___asm__] = ACTIONS(3229),
    [sym_number_literal] = ACTIONS(3231),
    [anon_sym_L_SQUOTE] = ACTIONS(3231),
    [anon_sym_u_SQUOTE] = ACTIONS(3231),
    [anon_sym_U_SQUOTE] = ACTIONS(3231),
    [anon_sym_u8_SQUOTE] = ACTIONS(3231),
    [anon_sym_SQUOTE] = ACTIONS(3231),
    [anon_sym_L_DQUOTE] = ACTIONS(3231),
    [anon_sym_u_DQUOTE] = ACTIONS(3231),
    [anon_sym_U_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8_DQUOTE] = ACTIONS(3231),
    [anon_sym_DQUOTE] = ACTIONS(3231),
    [sym_true] = ACTIONS(3229),
    [sym_false] = ACTIONS(3229),
    [anon_sym_NULL] = ACTIONS(3229),
    [anon_sym_nullptr] = ACTIONS(3229),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3229),
    [anon_sym_decltype] = ACTIONS(3229),
    [anon_sym_virtual] = ACTIONS(3229),
    [anon_sym_alignas] = ACTIONS(3229),
    [anon_sym_explicit] = ACTIONS(3229),
    [anon_sym_typename] = ACTIONS(3229),
    [anon_sym_template] = ACTIONS(3229),
    [anon_sym_operator] = ACTIONS(3229),
    [anon_sym_try] = ACTIONS(3229),
    [anon_sym_delete] = ACTIONS(3229),
    [anon_sym_throw] = ACTIONS(3229),
    [anon_sym_namespace] = ACTIONS(3229),
    [anon_sym_using] = ACTIONS(3229),
    [anon_sym_static_assert] = ACTIONS(3229),
    [anon_sym_concept] = ACTIONS(3229),
    [anon_sym_co_return] = ACTIONS(3229),
    [anon_sym_co_yield] = ACTIONS(3229),
    [anon_sym_R_DQUOTE] = ACTIONS(3231),
    [anon_sym_LR_DQUOTE] = ACTIONS(3231),
    [anon_sym_uR_DQUOTE] = ACTIONS(3231),
    [anon_sym_UR_DQUOTE] = ACTIONS(3231),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3231),
    [anon_sym_co_await] = ACTIONS(3229),
    [anon_sym_new] = ACTIONS(3229),
    [anon_sym_requires] = ACTIONS(3229),
    [sym_this] = ACTIONS(3229),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(3342),
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_include_token1] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_BANG] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_DASH] = ACTIONS(3340),
    [anon_sym_PLUS] = ACTIONS(3340),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym___cdecl] = ACTIONS(3340),
    [anon_sym___clrcall] = ACTIONS(3340),
    [anon_sym___stdcall] = ACTIONS(3340),
    [anon_sym___fastcall] = ACTIONS(3340),
    [anon_sym___thiscall] = ACTIONS(3340),
    [anon_sym___vectorcall] = ACTIONS(3340),
    [anon_sym_LBRACE] = ACTIONS(3342),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [anon_sym_if] = ACTIONS(3340),
    [anon_sym_switch] = ACTIONS(3340),
    [anon_sym_case] = ACTIONS(3340),
    [anon_sym_default] = ACTIONS(3340),
    [anon_sym_while] = ACTIONS(3340),
    [anon_sym_do] = ACTIONS(3340),
    [anon_sym_for] = ACTIONS(3340),
    [anon_sym_return] = ACTIONS(3340),
    [anon_sym_break] = ACTIONS(3340),
    [anon_sym_continue] = ACTIONS(3340),
    [anon_sym_goto] = ACTIONS(3340),
    [anon_sym_not] = ACTIONS(3340),
    [anon_sym_compl] = ACTIONS(3340),
    [anon_sym_DASH_DASH] = ACTIONS(3342),
    [anon_sym_PLUS_PLUS] = ACTIONS(3342),
    [anon_sym_sizeof] = ACTIONS(3340),
    [anon_sym___alignof__] = ACTIONS(3340),
    [anon_sym___alignof] = ACTIONS(3340),
    [anon_sym__alignof] = ACTIONS(3340),
    [anon_sym_alignof] = ACTIONS(3340),
    [anon_sym__Alignof] = ACTIONS(3340),
    [anon_sym_offsetof] = ACTIONS(3340),
    [anon_sym__Generic] = ACTIONS(3340),
    [anon_sym_asm] = ACTIONS(3340),
    [anon_sym___asm__] = ACTIONS(3340),
    [sym_number_literal] = ACTIONS(3342),
    [anon_sym_L_SQUOTE] = ACTIONS(3342),
    [anon_sym_u_SQUOTE] = ACTIONS(3342),
    [anon_sym_U_SQUOTE] = ACTIONS(3342),
    [anon_sym_u8_SQUOTE] = ACTIONS(3342),
    [anon_sym_SQUOTE] = ACTIONS(3342),
    [anon_sym_L_DQUOTE] = ACTIONS(3342),
    [anon_sym_u_DQUOTE] = ACTIONS(3342),
    [anon_sym_U_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8_DQUOTE] = ACTIONS(3342),
    [anon_sym_DQUOTE] = ACTIONS(3342),
    [sym_true] = ACTIONS(3340),
    [sym_false] = ACTIONS(3340),
    [anon_sym_NULL] = ACTIONS(3340),
    [anon_sym_nullptr] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_try] = ACTIONS(3340),
    [anon_sym_delete] = ACTIONS(3340),
    [anon_sym_throw] = ACTIONS(3340),
    [anon_sym_namespace] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
    [anon_sym_concept] = ACTIONS(3340),
    [anon_sym_co_return] = ACTIONS(3340),
    [anon_sym_co_yield] = ACTIONS(3340),
    [anon_sym_R_DQUOTE] = ACTIONS(3342),
    [anon_sym_LR_DQUOTE] = ACTIONS(3342),
    [anon_sym_uR_DQUOTE] = ACTIONS(3342),
    [anon_sym_UR_DQUOTE] = ACTIONS(3342),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3342),
    [anon_sym_co_await] = ACTIONS(3340),
    [anon_sym_new] = ACTIONS(3340),
    [anon_sym_requires] = ACTIONS(3340),
    [sym_this] = ACTIONS(3340),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(3119),
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [1040] = {
    [sym_preproc_def] = STATE(1047),
    [sym_preproc_function_def] = STATE(1047),
    [sym_preproc_call] = STATE(1047),
    [sym_preproc_if_in_field_declaration_list] = STATE(1047),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1047),
    [sym_type_definition] = STATE(1047),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1047),
    [sym_field_declaration] = STATE(1047),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1047),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1047),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1047),
    [sym_operator_cast_declaration] = STATE(1047),
    [sym_constructor_or_destructor_definition] = STATE(1047),
    [sym_constructor_or_destructor_declaration] = STATE(1047),
    [sym_friend_declaration] = STATE(1047),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1047),
    [sym_alias_declaration] = STATE(1047),
    [sym_static_assert_declaration] = STATE(1047),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1047),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3895),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1041] = {
    [sym_preproc_def] = STATE(1022),
    [sym_preproc_function_def] = STATE(1022),
    [sym_preproc_call] = STATE(1022),
    [sym_preproc_if_in_field_declaration_list] = STATE(1022),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1022),
    [sym_type_definition] = STATE(1022),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1022),
    [sym_field_declaration] = STATE(1022),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1022),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1022),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1022),
    [sym_operator_cast_declaration] = STATE(1022),
    [sym_constructor_or_destructor_definition] = STATE(1022),
    [sym_constructor_or_destructor_declaration] = STATE(1022),
    [sym_friend_declaration] = STATE(1022),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1022),
    [sym_alias_declaration] = STATE(1022),
    [sym_static_assert_declaration] = STATE(1022),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1022),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3897),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(3227),
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_include_token1] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_BANG] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_DASH] = ACTIONS(3225),
    [anon_sym_PLUS] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym___cdecl] = ACTIONS(3225),
    [anon_sym___clrcall] = ACTIONS(3225),
    [anon_sym___stdcall] = ACTIONS(3225),
    [anon_sym___fastcall] = ACTIONS(3225),
    [anon_sym___thiscall] = ACTIONS(3225),
    [anon_sym___vectorcall] = ACTIONS(3225),
    [anon_sym_LBRACE] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(3225),
    [anon_sym_switch] = ACTIONS(3225),
    [anon_sym_case] = ACTIONS(3225),
    [anon_sym_default] = ACTIONS(3225),
    [anon_sym_while] = ACTIONS(3225),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_for] = ACTIONS(3225),
    [anon_sym_return] = ACTIONS(3225),
    [anon_sym_break] = ACTIONS(3225),
    [anon_sym_continue] = ACTIONS(3225),
    [anon_sym_goto] = ACTIONS(3225),
    [anon_sym_not] = ACTIONS(3225),
    [anon_sym_compl] = ACTIONS(3225),
    [anon_sym_DASH_DASH] = ACTIONS(3227),
    [anon_sym_PLUS_PLUS] = ACTIONS(3227),
    [anon_sym_sizeof] = ACTIONS(3225),
    [anon_sym___alignof__] = ACTIONS(3225),
    [anon_sym___alignof] = ACTIONS(3225),
    [anon_sym__alignof] = ACTIONS(3225),
    [anon_sym_alignof] = ACTIONS(3225),
    [anon_sym__Alignof] = ACTIONS(3225),
    [anon_sym_offsetof] = ACTIONS(3225),
    [anon_sym__Generic] = ACTIONS(3225),
    [anon_sym_asm] = ACTIONS(3225),
    [anon_sym___asm__] = ACTIONS(3225),
    [sym_number_literal] = ACTIONS(3227),
    [anon_sym_L_SQUOTE] = ACTIONS(3227),
    [anon_sym_u_SQUOTE] = ACTIONS(3227),
    [anon_sym_U_SQUOTE] = ACTIONS(3227),
    [anon_sym_u8_SQUOTE] = ACTIONS(3227),
    [anon_sym_SQUOTE] = ACTIONS(3227),
    [anon_sym_L_DQUOTE] = ACTIONS(3227),
    [anon_sym_u_DQUOTE] = ACTIONS(3227),
    [anon_sym_U_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8_DQUOTE] = ACTIONS(3227),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_true] = ACTIONS(3225),
    [sym_false] = ACTIONS(3225),
    [anon_sym_NULL] = ACTIONS(3225),
    [anon_sym_nullptr] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_try] = ACTIONS(3225),
    [anon_sym_delete] = ACTIONS(3225),
    [anon_sym_throw] = ACTIONS(3225),
    [anon_sym_namespace] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
    [anon_sym_concept] = ACTIONS(3225),
    [anon_sym_co_return] = ACTIONS(3225),
    [anon_sym_co_yield] = ACTIONS(3225),
    [anon_sym_R_DQUOTE] = ACTIONS(3227),
    [anon_sym_LR_DQUOTE] = ACTIONS(3227),
    [anon_sym_uR_DQUOTE] = ACTIONS(3227),
    [anon_sym_UR_DQUOTE] = ACTIONS(3227),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3227),
    [anon_sym_co_await] = ACTIONS(3225),
    [anon_sym_new] = ACTIONS(3225),
    [anon_sym_requires] = ACTIONS(3225),
    [sym_this] = ACTIONS(3225),
  },
  [1043] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3899),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(3119),
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_include_token1] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_BANG] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_DASH] = ACTIONS(3117),
    [anon_sym_PLUS] = ACTIONS(3117),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym___cdecl] = ACTIONS(3117),
    [anon_sym___clrcall] = ACTIONS(3117),
    [anon_sym___stdcall] = ACTIONS(3117),
    [anon_sym___fastcall] = ACTIONS(3117),
    [anon_sym___thiscall] = ACTIONS(3117),
    [anon_sym___vectorcall] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [anon_sym_if] = ACTIONS(3117),
    [anon_sym_switch] = ACTIONS(3117),
    [anon_sym_case] = ACTIONS(3117),
    [anon_sym_default] = ACTIONS(3117),
    [anon_sym_while] = ACTIONS(3117),
    [anon_sym_do] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(3117),
    [anon_sym_return] = ACTIONS(3117),
    [anon_sym_break] = ACTIONS(3117),
    [anon_sym_continue] = ACTIONS(3117),
    [anon_sym_goto] = ACTIONS(3117),
    [anon_sym_not] = ACTIONS(3117),
    [anon_sym_compl] = ACTIONS(3117),
    [anon_sym_DASH_DASH] = ACTIONS(3119),
    [anon_sym_PLUS_PLUS] = ACTIONS(3119),
    [anon_sym_sizeof] = ACTIONS(3117),
    [anon_sym___alignof__] = ACTIONS(3117),
    [anon_sym___alignof] = ACTIONS(3117),
    [anon_sym__alignof] = ACTIONS(3117),
    [anon_sym_alignof] = ACTIONS(3117),
    [anon_sym__Alignof] = ACTIONS(3117),
    [anon_sym_offsetof] = ACTIONS(3117),
    [anon_sym__Generic] = ACTIONS(3117),
    [anon_sym_asm] = ACTIONS(3117),
    [anon_sym___asm__] = ACTIONS(3117),
    [sym_number_literal] = ACTIONS(3119),
    [anon_sym_L_SQUOTE] = ACTIONS(3119),
    [anon_sym_u_SQUOTE] = ACTIONS(3119),
    [anon_sym_U_SQUOTE] = ACTIONS(3119),
    [anon_sym_u8_SQUOTE] = ACTIONS(3119),
    [anon_sym_SQUOTE] = ACTIONS(3119),
    [anon_sym_L_DQUOTE] = ACTIONS(3119),
    [anon_sym_u_DQUOTE] = ACTIONS(3119),
    [anon_sym_U_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8_DQUOTE] = ACTIONS(3119),
    [anon_sym_DQUOTE] = ACTIONS(3119),
    [sym_true] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
    [anon_sym_NULL] = ACTIONS(3117),
    [anon_sym_nullptr] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_try] = ACTIONS(3117),
    [anon_sym_delete] = ACTIONS(3117),
    [anon_sym_throw] = ACTIONS(3117),
    [anon_sym_namespace] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
    [anon_sym_concept] = ACTIONS(3117),
    [anon_sym_co_return] = ACTIONS(3117),
    [anon_sym_co_yield] = ACTIONS(3117),
    [anon_sym_R_DQUOTE] = ACTIONS(3119),
    [anon_sym_LR_DQUOTE] = ACTIONS(3119),
    [anon_sym_uR_DQUOTE] = ACTIONS(3119),
    [anon_sym_UR_DQUOTE] = ACTIONS(3119),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3119),
    [anon_sym_co_await] = ACTIONS(3117),
    [anon_sym_new] = ACTIONS(3117),
    [anon_sym_requires] = ACTIONS(3117),
    [sym_this] = ACTIONS(3117),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(3183),
    [sym_identifier] = ACTIONS(3181),
    [aux_sym_preproc_include_token1] = ACTIONS(3181),
    [aux_sym_preproc_def_token1] = ACTIONS(3181),
    [aux_sym_preproc_if_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3181),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3181),
    [sym_preproc_directive] = ACTIONS(3181),
    [anon_sym_LPAREN2] = ACTIONS(3183),
    [anon_sym_BANG] = ACTIONS(3183),
    [anon_sym_TILDE] = ACTIONS(3183),
    [anon_sym_DASH] = ACTIONS(3181),
    [anon_sym_PLUS] = ACTIONS(3181),
    [anon_sym_STAR] = ACTIONS(3183),
    [anon_sym_AMP_AMP] = ACTIONS(3183),
    [anon_sym_AMP] = ACTIONS(3181),
    [anon_sym___extension__] = ACTIONS(3181),
    [anon_sym_typedef] = ACTIONS(3181),
    [anon_sym_extern] = ACTIONS(3181),
    [anon_sym___attribute__] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3183),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3183),
    [anon_sym___declspec] = ACTIONS(3181),
    [anon_sym___based] = ACTIONS(3181),
    [anon_sym___cdecl] = ACTIONS(3181),
    [anon_sym___clrcall] = ACTIONS(3181),
    [anon_sym___stdcall] = ACTIONS(3181),
    [anon_sym___fastcall] = ACTIONS(3181),
    [anon_sym___thiscall] = ACTIONS(3181),
    [anon_sym___vectorcall] = ACTIONS(3181),
    [anon_sym_LBRACE] = ACTIONS(3183),
    [anon_sym_signed] = ACTIONS(3181),
    [anon_sym_unsigned] = ACTIONS(3181),
    [anon_sym_long] = ACTIONS(3181),
    [anon_sym_short] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(3181),
    [anon_sym_static] = ACTIONS(3181),
    [anon_sym_register] = ACTIONS(3181),
    [anon_sym_inline] = ACTIONS(3181),
    [anon_sym___inline] = ACTIONS(3181),
    [anon_sym___inline__] = ACTIONS(3181),
    [anon_sym___forceinline] = ACTIONS(3181),
    [anon_sym_thread_local] = ACTIONS(3181),
    [anon_sym___thread] = ACTIONS(3181),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_constexpr] = ACTIONS(3181),
    [anon_sym_volatile] = ACTIONS(3181),
    [anon_sym_restrict] = ACTIONS(3181),
    [anon_sym___restrict__] = ACTIONS(3181),
    [anon_sym__Atomic] = ACTIONS(3181),
    [anon_sym__Noreturn] = ACTIONS(3181),
    [anon_sym_noreturn] = ACTIONS(3181),
    [anon_sym_mutable] = ACTIONS(3181),
    [anon_sym_constinit] = ACTIONS(3181),
    [anon_sym_consteval] = ACTIONS(3181),
    [sym_primitive_type] = ACTIONS(3181),
    [anon_sym_enum] = ACTIONS(3181),
    [anon_sym_class] = ACTIONS(3181),
    [anon_sym_struct] = ACTIONS(3181),
    [anon_sym_union] = ACTIONS(3181),
    [anon_sym_if] = ACTIONS(3181),
    [anon_sym_switch] = ACTIONS(3181),
    [anon_sym_case] = ACTIONS(3181),
    [anon_sym_default] = ACTIONS(3181),
    [anon_sym_while] = ACTIONS(3181),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_for] = ACTIONS(3181),
    [anon_sym_return] = ACTIONS(3181),
    [anon_sym_break] = ACTIONS(3181),
    [anon_sym_continue] = ACTIONS(3181),
    [anon_sym_goto] = ACTIONS(3181),
    [anon_sym_not] = ACTIONS(3181),
    [anon_sym_compl] = ACTIONS(3181),
    [anon_sym_DASH_DASH] = ACTIONS(3183),
    [anon_sym_PLUS_PLUS] = ACTIONS(3183),
    [anon_sym_sizeof] = ACTIONS(3181),
    [anon_sym___alignof__] = ACTIONS(3181),
    [anon_sym___alignof] = ACTIONS(3181),
    [anon_sym__alignof] = ACTIONS(3181),
    [anon_sym_alignof] = ACTIONS(3181),
    [anon_sym__Alignof] = ACTIONS(3181),
    [anon_sym_offsetof] = ACTIONS(3181),
    [anon_sym__Generic] = ACTIONS(3181),
    [anon_sym_asm] = ACTIONS(3181),
    [anon_sym___asm__] = ACTIONS(3181),
    [sym_number_literal] = ACTIONS(3183),
    [anon_sym_L_SQUOTE] = ACTIONS(3183),
    [anon_sym_u_SQUOTE] = ACTIONS(3183),
    [anon_sym_U_SQUOTE] = ACTIONS(3183),
    [anon_sym_u8_SQUOTE] = ACTIONS(3183),
    [anon_sym_SQUOTE] = ACTIONS(3183),
    [anon_sym_L_DQUOTE] = ACTIONS(3183),
    [anon_sym_u_DQUOTE] = ACTIONS(3183),
    [anon_sym_U_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8_DQUOTE] = ACTIONS(3183),
    [anon_sym_DQUOTE] = ACTIONS(3183),
    [sym_true] = ACTIONS(3181),
    [sym_false] = ACTIONS(3181),
    [anon_sym_NULL] = ACTIONS(3181),
    [anon_sym_nullptr] = ACTIONS(3181),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3181),
    [anon_sym_decltype] = ACTIONS(3181),
    [anon_sym_virtual] = ACTIONS(3181),
    [anon_sym_alignas] = ACTIONS(3181),
    [anon_sym_explicit] = ACTIONS(3181),
    [anon_sym_typename] = ACTIONS(3181),
    [anon_sym_template] = ACTIONS(3181),
    [anon_sym_operator] = ACTIONS(3181),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_delete] = ACTIONS(3181),
    [anon_sym_throw] = ACTIONS(3181),
    [anon_sym_namespace] = ACTIONS(3181),
    [anon_sym_using] = ACTIONS(3181),
    [anon_sym_static_assert] = ACTIONS(3181),
    [anon_sym_concept] = ACTIONS(3181),
    [anon_sym_co_return] = ACTIONS(3181),
    [anon_sym_co_yield] = ACTIONS(3181),
    [anon_sym_R_DQUOTE] = ACTIONS(3183),
    [anon_sym_LR_DQUOTE] = ACTIONS(3183),
    [anon_sym_uR_DQUOTE] = ACTIONS(3183),
    [anon_sym_UR_DQUOTE] = ACTIONS(3183),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3183),
    [anon_sym_co_await] = ACTIONS(3181),
    [anon_sym_new] = ACTIONS(3181),
    [anon_sym_requires] = ACTIONS(3181),
    [sym_this] = ACTIONS(3181),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(3187),
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_include_token1] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_DASH] = ACTIONS(3185),
    [anon_sym_PLUS] = ACTIONS(3185),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym___cdecl] = ACTIONS(3185),
    [anon_sym___clrcall] = ACTIONS(3185),
    [anon_sym___stdcall] = ACTIONS(3185),
    [anon_sym___fastcall] = ACTIONS(3185),
    [anon_sym___thiscall] = ACTIONS(3185),
    [anon_sym___vectorcall] = ACTIONS(3185),
    [anon_sym_LBRACE] = ACTIONS(3187),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3185),
    [anon_sym_switch] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_default] = ACTIONS(3185),
    [anon_sym_while] = ACTIONS(3185),
    [anon_sym_do] = ACTIONS(3185),
    [anon_sym_for] = ACTIONS(3185),
    [anon_sym_return] = ACTIONS(3185),
    [anon_sym_break] = ACTIONS(3185),
    [anon_sym_continue] = ACTIONS(3185),
    [anon_sym_goto] = ACTIONS(3185),
    [anon_sym_not] = ACTIONS(3185),
    [anon_sym_compl] = ACTIONS(3185),
    [anon_sym_DASH_DASH] = ACTIONS(3187),
    [anon_sym_PLUS_PLUS] = ACTIONS(3187),
    [anon_sym_sizeof] = ACTIONS(3185),
    [anon_sym___alignof__] = ACTIONS(3185),
    [anon_sym___alignof] = ACTIONS(3185),
    [anon_sym__alignof] = ACTIONS(3185),
    [anon_sym_alignof] = ACTIONS(3185),
    [anon_sym__Alignof] = ACTIONS(3185),
    [anon_sym_offsetof] = ACTIONS(3185),
    [anon_sym__Generic] = ACTIONS(3185),
    [anon_sym_asm] = ACTIONS(3185),
    [anon_sym___asm__] = ACTIONS(3185),
    [sym_number_literal] = ACTIONS(3187),
    [anon_sym_L_SQUOTE] = ACTIONS(3187),
    [anon_sym_u_SQUOTE] = ACTIONS(3187),
    [anon_sym_U_SQUOTE] = ACTIONS(3187),
    [anon_sym_u8_SQUOTE] = ACTIONS(3187),
    [anon_sym_SQUOTE] = ACTIONS(3187),
    [anon_sym_L_DQUOTE] = ACTIONS(3187),
    [anon_sym_u_DQUOTE] = ACTIONS(3187),
    [anon_sym_U_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8_DQUOTE] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(3187),
    [sym_true] = ACTIONS(3185),
    [sym_false] = ACTIONS(3185),
    [anon_sym_NULL] = ACTIONS(3185),
    [anon_sym_nullptr] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_try] = ACTIONS(3185),
    [anon_sym_delete] = ACTIONS(3185),
    [anon_sym_throw] = ACTIONS(3185),
    [anon_sym_namespace] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
    [anon_sym_concept] = ACTIONS(3185),
    [anon_sym_co_return] = ACTIONS(3185),
    [anon_sym_co_yield] = ACTIONS(3185),
    [anon_sym_R_DQUOTE] = ACTIONS(3187),
    [anon_sym_LR_DQUOTE] = ACTIONS(3187),
    [anon_sym_uR_DQUOTE] = ACTIONS(3187),
    [anon_sym_UR_DQUOTE] = ACTIONS(3187),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3187),
    [anon_sym_co_await] = ACTIONS(3185),
    [anon_sym_new] = ACTIONS(3185),
    [anon_sym_requires] = ACTIONS(3185),
    [sym_this] = ACTIONS(3185),
  },
  [1047] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3901),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [1050] = {
    [ts_builtin_sym_end] = ACTIONS(3407),
    [sym_identifier] = ACTIONS(3405),
    [aux_sym_preproc_include_token1] = ACTIONS(3405),
    [aux_sym_preproc_def_token1] = ACTIONS(3405),
    [aux_sym_preproc_if_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3405),
    [sym_preproc_directive] = ACTIONS(3405),
    [anon_sym_LPAREN2] = ACTIONS(3407),
    [anon_sym_BANG] = ACTIONS(3407),
    [anon_sym_TILDE] = ACTIONS(3407),
    [anon_sym_DASH] = ACTIONS(3405),
    [anon_sym_PLUS] = ACTIONS(3405),
    [anon_sym_STAR] = ACTIONS(3407),
    [anon_sym_AMP_AMP] = ACTIONS(3407),
    [anon_sym_AMP] = ACTIONS(3405),
    [anon_sym___extension__] = ACTIONS(3405),
    [anon_sym_typedef] = ACTIONS(3405),
    [anon_sym_extern] = ACTIONS(3405),
    [anon_sym___attribute__] = ACTIONS(3405),
    [anon_sym_COLON_COLON] = ACTIONS(3407),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3407),
    [anon_sym___declspec] = ACTIONS(3405),
    [anon_sym___based] = ACTIONS(3405),
    [anon_sym___cdecl] = ACTIONS(3405),
    [anon_sym___clrcall] = ACTIONS(3405),
    [anon_sym___stdcall] = ACTIONS(3405),
    [anon_sym___fastcall] = ACTIONS(3405),
    [anon_sym___thiscall] = ACTIONS(3405),
    [anon_sym___vectorcall] = ACTIONS(3405),
    [anon_sym_LBRACE] = ACTIONS(3407),
    [anon_sym_signed] = ACTIONS(3405),
    [anon_sym_unsigned] = ACTIONS(3405),
    [anon_sym_long] = ACTIONS(3405),
    [anon_sym_short] = ACTIONS(3405),
    [anon_sym_LBRACK] = ACTIONS(3405),
    [anon_sym_static] = ACTIONS(3405),
    [anon_sym_register] = ACTIONS(3405),
    [anon_sym_inline] = ACTIONS(3405),
    [anon_sym___inline] = ACTIONS(3405),
    [anon_sym___inline__] = ACTIONS(3405),
    [anon_sym___forceinline] = ACTIONS(3405),
    [anon_sym_thread_local] = ACTIONS(3405),
    [anon_sym___thread] = ACTIONS(3405),
    [anon_sym_const] = ACTIONS(3405),
    [anon_sym_constexpr] = ACTIONS(3405),
    [anon_sym_volatile] = ACTIONS(3405),
    [anon_sym_restrict] = ACTIONS(3405),
    [anon_sym___restrict__] = ACTIONS(3405),
    [anon_sym__Atomic] = ACTIONS(3405),
    [anon_sym__Noreturn] = ACTIONS(3405),
    [anon_sym_noreturn] = ACTIONS(3405),
    [anon_sym_mutable] = ACTIONS(3405),
    [anon_sym_constinit] = ACTIONS(3405),
    [anon_sym_consteval] = ACTIONS(3405),
    [sym_primitive_type] = ACTIONS(3405),
    [anon_sym_enum] = ACTIONS(3405),
    [anon_sym_class] = ACTIONS(3405),
    [anon_sym_struct] = ACTIONS(3405),
    [anon_sym_union] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(3405),
    [anon_sym_switch] = ACTIONS(3405),
    [anon_sym_case] = ACTIONS(3405),
    [anon_sym_default] = ACTIONS(3405),
    [anon_sym_while] = ACTIONS(3405),
    [anon_sym_do] = ACTIONS(3405),
    [anon_sym_for] = ACTIONS(3405),
    [anon_sym_return] = ACTIONS(3405),
    [anon_sym_break] = ACTIONS(3405),
    [anon_sym_continue] = ACTIONS(3405),
    [anon_sym_goto] = ACTIONS(3405),
    [anon_sym_not] = ACTIONS(3405),
    [anon_sym_compl] = ACTIONS(3405),
    [anon_sym_DASH_DASH] = ACTIONS(3407),
    [anon_sym_PLUS_PLUS] = ACTIONS(3407),
    [anon_sym_sizeof] = ACTIONS(3405),
    [anon_sym___alignof__] = ACTIONS(3405),
    [anon_sym___alignof] = ACTIONS(3405),
    [anon_sym__alignof] = ACTIONS(3405),
    [anon_sym_alignof] = ACTIONS(3405),
    [anon_sym__Alignof] = ACTIONS(3405),
    [anon_sym_offsetof] = ACTIONS(3405),
    [anon_sym__Generic] = ACTIONS(3405),
    [anon_sym_asm] = ACTIONS(3405),
    [anon_sym___asm__] = ACTIONS(3405),
    [sym_number_literal] = ACTIONS(3407),
    [anon_sym_L_SQUOTE] = ACTIONS(3407),
    [anon_sym_u_SQUOTE] = ACTIONS(3407),
    [anon_sym_U_SQUOTE] = ACTIONS(3407),
    [anon_sym_u8_SQUOTE] = ACTIONS(3407),
    [anon_sym_SQUOTE] = ACTIONS(3407),
    [anon_sym_L_DQUOTE] = ACTIONS(3407),
    [anon_sym_u_DQUOTE] = ACTIONS(3407),
    [anon_sym_U_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8_DQUOTE] = ACTIONS(3407),
    [anon_sym_DQUOTE] = ACTIONS(3407),
    [sym_true] = ACTIONS(3405),
    [sym_false] = ACTIONS(3405),
    [anon_sym_NULL] = ACTIONS(3405),
    [anon_sym_nullptr] = ACTIONS(3405),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3405),
    [anon_sym_decltype] = ACTIONS(3405),
    [anon_sym_virtual] = ACTIONS(3405),
    [anon_sym_alignas] = ACTIONS(3405),
    [anon_sym_explicit] = ACTIONS(3405),
    [anon_sym_typename] = ACTIONS(3405),
    [anon_sym_template] = ACTIONS(3405),
    [anon_sym_operator] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_delete] = ACTIONS(3405),
    [anon_sym_throw] = ACTIONS(3405),
    [anon_sym_namespace] = ACTIONS(3405),
    [anon_sym_using] = ACTIONS(3405),
    [anon_sym_static_assert] = ACTIONS(3405),
    [anon_sym_concept] = ACTIONS(3405),
    [anon_sym_co_return] = ACTIONS(3405),
    [anon_sym_co_yield] = ACTIONS(3405),
    [anon_sym_R_DQUOTE] = ACTIONS(3407),
    [anon_sym_LR_DQUOTE] = ACTIONS(3407),
    [anon_sym_uR_DQUOTE] = ACTIONS(3407),
    [anon_sym_UR_DQUOTE] = ACTIONS(3407),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3407),
    [anon_sym_co_await] = ACTIONS(3405),
    [anon_sym_new] = ACTIONS(3405),
    [anon_sym_requires] = ACTIONS(3405),
    [sym_this] = ACTIONS(3405),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(3209),
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_include_token1] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_BANG] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_DASH] = ACTIONS(3207),
    [anon_sym_PLUS] = ACTIONS(3207),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym___cdecl] = ACTIONS(3207),
    [anon_sym___clrcall] = ACTIONS(3207),
    [anon_sym___stdcall] = ACTIONS(3207),
    [anon_sym___fastcall] = ACTIONS(3207),
    [anon_sym___thiscall] = ACTIONS(3207),
    [anon_sym___vectorcall] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [anon_sym_if] = ACTIONS(3207),
    [anon_sym_switch] = ACTIONS(3207),
    [anon_sym_case] = ACTIONS(3207),
    [anon_sym_default] = ACTIONS(3207),
    [anon_sym_while] = ACTIONS(3207),
    [anon_sym_do] = ACTIONS(3207),
    [anon_sym_for] = ACTIONS(3207),
    [anon_sym_return] = ACTIONS(3207),
    [anon_sym_break] = ACTIONS(3207),
    [anon_sym_continue] = ACTIONS(3207),
    [anon_sym_goto] = ACTIONS(3207),
    [anon_sym_not] = ACTIONS(3207),
    [anon_sym_compl] = ACTIONS(3207),
    [anon_sym_DASH_DASH] = ACTIONS(3209),
    [anon_sym_PLUS_PLUS] = ACTIONS(3209),
    [anon_sym_sizeof] = ACTIONS(3207),
    [anon_sym___alignof__] = ACTIONS(3207),
    [anon_sym___alignof] = ACTIONS(3207),
    [anon_sym__alignof] = ACTIONS(3207),
    [anon_sym_alignof] = ACTIONS(3207),
    [anon_sym__Alignof] = ACTIONS(3207),
    [anon_sym_offsetof] = ACTIONS(3207),
    [anon_sym__Generic] = ACTIONS(3207),
    [anon_sym_asm] = ACTIONS(3207),
    [anon_sym___asm__] = ACTIONS(3207),
    [sym_number_literal] = ACTIONS(3209),
    [anon_sym_L_SQUOTE] = ACTIONS(3209),
    [anon_sym_u_SQUOTE] = ACTIONS(3209),
    [anon_sym_U_SQUOTE] = ACTIONS(3209),
    [anon_sym_u8_SQUOTE] = ACTIONS(3209),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_L_DQUOTE] = ACTIONS(3209),
    [anon_sym_u_DQUOTE] = ACTIONS(3209),
    [anon_sym_U_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8_DQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3209),
    [sym_true] = ACTIONS(3207),
    [sym_false] = ACTIONS(3207),
    [anon_sym_NULL] = ACTIONS(3207),
    [anon_sym_nullptr] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3207),
    [anon_sym_delete] = ACTIONS(3207),
    [anon_sym_throw] = ACTIONS(3207),
    [anon_sym_namespace] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
    [anon_sym_concept] = ACTIONS(3207),
    [anon_sym_co_return] = ACTIONS(3207),
    [anon_sym_co_yield] = ACTIONS(3207),
    [anon_sym_R_DQUOTE] = ACTIONS(3209),
    [anon_sym_LR_DQUOTE] = ACTIONS(3209),
    [anon_sym_uR_DQUOTE] = ACTIONS(3209),
    [anon_sym_UR_DQUOTE] = ACTIONS(3209),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3209),
    [anon_sym_co_await] = ACTIONS(3207),
    [anon_sym_new] = ACTIONS(3207),
    [anon_sym_requires] = ACTIONS(3207),
    [sym_this] = ACTIONS(3207),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(3219),
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(3243),
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [1054] = {
    [ts_builtin_sym_end] = ACTIONS(3265),
    [sym_identifier] = ACTIONS(3263),
    [aux_sym_preproc_include_token1] = ACTIONS(3263),
    [aux_sym_preproc_def_token1] = ACTIONS(3263),
    [aux_sym_preproc_if_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3263),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3263),
    [sym_preproc_directive] = ACTIONS(3263),
    [anon_sym_LPAREN2] = ACTIONS(3265),
    [anon_sym_BANG] = ACTIONS(3265),
    [anon_sym_TILDE] = ACTIONS(3265),
    [anon_sym_DASH] = ACTIONS(3263),
    [anon_sym_PLUS] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3265),
    [anon_sym_AMP_AMP] = ACTIONS(3265),
    [anon_sym_AMP] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3263),
    [anon_sym_typedef] = ACTIONS(3263),
    [anon_sym_extern] = ACTIONS(3263),
    [anon_sym___attribute__] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(3265),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3265),
    [anon_sym___declspec] = ACTIONS(3263),
    [anon_sym___based] = ACTIONS(3263),
    [anon_sym___cdecl] = ACTIONS(3263),
    [anon_sym___clrcall] = ACTIONS(3263),
    [anon_sym___stdcall] = ACTIONS(3263),
    [anon_sym___fastcall] = ACTIONS(3263),
    [anon_sym___thiscall] = ACTIONS(3263),
    [anon_sym___vectorcall] = ACTIONS(3263),
    [anon_sym_LBRACE] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3263),
    [anon_sym_unsigned] = ACTIONS(3263),
    [anon_sym_long] = ACTIONS(3263),
    [anon_sym_short] = ACTIONS(3263),
    [anon_sym_LBRACK] = ACTIONS(3263),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_register] = ACTIONS(3263),
    [anon_sym_inline] = ACTIONS(3263),
    [anon_sym___inline] = ACTIONS(3263),
    [anon_sym___inline__] = ACTIONS(3263),
    [anon_sym___forceinline] = ACTIONS(3263),
    [anon_sym_thread_local] = ACTIONS(3263),
    [anon_sym___thread] = ACTIONS(3263),
    [anon_sym_const] = ACTIONS(3263),
    [anon_sym_constexpr] = ACTIONS(3263),
    [anon_sym_volatile] = ACTIONS(3263),
    [anon_sym_restrict] = ACTIONS(3263),
    [anon_sym___restrict__] = ACTIONS(3263),
    [anon_sym__Atomic] = ACTIONS(3263),
    [anon_sym__Noreturn] = ACTIONS(3263),
    [anon_sym_noreturn] = ACTIONS(3263),
    [anon_sym_mutable] = ACTIONS(3263),
    [anon_sym_constinit] = ACTIONS(3263),
    [anon_sym_consteval] = ACTIONS(3263),
    [sym_primitive_type] = ACTIONS(3263),
    [anon_sym_enum] = ACTIONS(3263),
    [anon_sym_class] = ACTIONS(3263),
    [anon_sym_struct] = ACTIONS(3263),
    [anon_sym_union] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(3263),
    [anon_sym_switch] = ACTIONS(3263),
    [anon_sym_case] = ACTIONS(3263),
    [anon_sym_default] = ACTIONS(3263),
    [anon_sym_while] = ACTIONS(3263),
    [anon_sym_do] = ACTIONS(3263),
    [anon_sym_for] = ACTIONS(3263),
    [anon_sym_return] = ACTIONS(3263),
    [anon_sym_break] = ACTIONS(3263),
    [anon_sym_continue] = ACTIONS(3263),
    [anon_sym_goto] = ACTIONS(3263),
    [anon_sym_not] = ACTIONS(3263),
    [anon_sym_compl] = ACTIONS(3263),
    [anon_sym_DASH_DASH] = ACTIONS(3265),
    [anon_sym_PLUS_PLUS] = ACTIONS(3265),
    [anon_sym_sizeof] = ACTIONS(3263),
    [anon_sym___alignof__] = ACTIONS(3263),
    [anon_sym___alignof] = ACTIONS(3263),
    [anon_sym__alignof] = ACTIONS(3263),
    [anon_sym_alignof] = ACTIONS(3263),
    [anon_sym__Alignof] = ACTIONS(3263),
    [anon_sym_offsetof] = ACTIONS(3263),
    [anon_sym__Generic] = ACTIONS(3263),
    [anon_sym_asm] = ACTIONS(3263),
    [anon_sym___asm__] = ACTIONS(3263),
    [sym_number_literal] = ACTIONS(3265),
    [anon_sym_L_SQUOTE] = ACTIONS(3265),
    [anon_sym_u_SQUOTE] = ACTIONS(3265),
    [anon_sym_U_SQUOTE] = ACTIONS(3265),
    [anon_sym_u8_SQUOTE] = ACTIONS(3265),
    [anon_sym_SQUOTE] = ACTIONS(3265),
    [anon_sym_L_DQUOTE] = ACTIONS(3265),
    [anon_sym_u_DQUOTE] = ACTIONS(3265),
    [anon_sym_U_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8_DQUOTE] = ACTIONS(3265),
    [anon_sym_DQUOTE] = ACTIONS(3265),
    [sym_true] = ACTIONS(3263),
    [sym_false] = ACTIONS(3263),
    [anon_sym_NULL] = ACTIONS(3263),
    [anon_sym_nullptr] = ACTIONS(3263),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3263),
    [anon_sym_decltype] = ACTIONS(3263),
    [anon_sym_virtual] = ACTIONS(3263),
    [anon_sym_alignas] = ACTIONS(3263),
    [anon_sym_explicit] = ACTIONS(3263),
    [anon_sym_typename] = ACTIONS(3263),
    [anon_sym_template] = ACTIONS(3263),
    [anon_sym_operator] = ACTIONS(3263),
    [anon_sym_try] = ACTIONS(3263),
    [anon_sym_delete] = ACTIONS(3263),
    [anon_sym_throw] = ACTIONS(3263),
    [anon_sym_namespace] = ACTIONS(3263),
    [anon_sym_using] = ACTIONS(3263),
    [anon_sym_static_assert] = ACTIONS(3263),
    [anon_sym_concept] = ACTIONS(3263),
    [anon_sym_co_return] = ACTIONS(3263),
    [anon_sym_co_yield] = ACTIONS(3263),
    [anon_sym_R_DQUOTE] = ACTIONS(3265),
    [anon_sym_LR_DQUOTE] = ACTIONS(3265),
    [anon_sym_uR_DQUOTE] = ACTIONS(3265),
    [anon_sym_UR_DQUOTE] = ACTIONS(3265),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3265),
    [anon_sym_co_await] = ACTIONS(3263),
    [anon_sym_new] = ACTIONS(3263),
    [anon_sym_requires] = ACTIONS(3263),
    [sym_this] = ACTIONS(3263),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(3301),
    [sym_identifier] = ACTIONS(3299),
    [aux_sym_preproc_include_token1] = ACTIONS(3299),
    [aux_sym_preproc_def_token1] = ACTIONS(3299),
    [aux_sym_preproc_if_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3299),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3299),
    [sym_preproc_directive] = ACTIONS(3299),
    [anon_sym_LPAREN2] = ACTIONS(3301),
    [anon_sym_BANG] = ACTIONS(3301),
    [anon_sym_TILDE] = ACTIONS(3301),
    [anon_sym_DASH] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3299),
    [anon_sym_STAR] = ACTIONS(3301),
    [anon_sym_AMP_AMP] = ACTIONS(3301),
    [anon_sym_AMP] = ACTIONS(3299),
    [anon_sym___extension__] = ACTIONS(3299),
    [anon_sym_typedef] = ACTIONS(3299),
    [anon_sym_extern] = ACTIONS(3299),
    [anon_sym___attribute__] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3301),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3301),
    [anon_sym___declspec] = ACTIONS(3299),
    [anon_sym___based] = ACTIONS(3299),
    [anon_sym___cdecl] = ACTIONS(3299),
    [anon_sym___clrcall] = ACTIONS(3299),
    [anon_sym___stdcall] = ACTIONS(3299),
    [anon_sym___fastcall] = ACTIONS(3299),
    [anon_sym___thiscall] = ACTIONS(3299),
    [anon_sym___vectorcall] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3301),
    [anon_sym_signed] = ACTIONS(3299),
    [anon_sym_unsigned] = ACTIONS(3299),
    [anon_sym_long] = ACTIONS(3299),
    [anon_sym_short] = ACTIONS(3299),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_static] = ACTIONS(3299),
    [anon_sym_register] = ACTIONS(3299),
    [anon_sym_inline] = ACTIONS(3299),
    [anon_sym___inline] = ACTIONS(3299),
    [anon_sym___inline__] = ACTIONS(3299),
    [anon_sym___forceinline] = ACTIONS(3299),
    [anon_sym_thread_local] = ACTIONS(3299),
    [anon_sym___thread] = ACTIONS(3299),
    [anon_sym_const] = ACTIONS(3299),
    [anon_sym_constexpr] = ACTIONS(3299),
    [anon_sym_volatile] = ACTIONS(3299),
    [anon_sym_restrict] = ACTIONS(3299),
    [anon_sym___restrict__] = ACTIONS(3299),
    [anon_sym__Atomic] = ACTIONS(3299),
    [anon_sym__Noreturn] = ACTIONS(3299),
    [anon_sym_noreturn] = ACTIONS(3299),
    [anon_sym_mutable] = ACTIONS(3299),
    [anon_sym_constinit] = ACTIONS(3299),
    [anon_sym_consteval] = ACTIONS(3299),
    [sym_primitive_type] = ACTIONS(3299),
    [anon_sym_enum] = ACTIONS(3299),
    [anon_sym_class] = ACTIONS(3299),
    [anon_sym_struct] = ACTIONS(3299),
    [anon_sym_union] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_switch] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_default] = ACTIONS(3299),
    [anon_sym_while] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_for] = ACTIONS(3299),
    [anon_sym_return] = ACTIONS(3299),
    [anon_sym_break] = ACTIONS(3299),
    [anon_sym_continue] = ACTIONS(3299),
    [anon_sym_goto] = ACTIONS(3299),
    [anon_sym_not] = ACTIONS(3299),
    [anon_sym_compl] = ACTIONS(3299),
    [anon_sym_DASH_DASH] = ACTIONS(3301),
    [anon_sym_PLUS_PLUS] = ACTIONS(3301),
    [anon_sym_sizeof] = ACTIONS(3299),
    [anon_sym___alignof__] = ACTIONS(3299),
    [anon_sym___alignof] = ACTIONS(3299),
    [anon_sym__alignof] = ACTIONS(3299),
    [anon_sym_alignof] = ACTIONS(3299),
    [anon_sym__Alignof] = ACTIONS(3299),
    [anon_sym_offsetof] = ACTIONS(3299),
    [anon_sym__Generic] = ACTIONS(3299),
    [anon_sym_asm] = ACTIONS(3299),
    [anon_sym___asm__] = ACTIONS(3299),
    [sym_number_literal] = ACTIONS(3301),
    [anon_sym_L_SQUOTE] = ACTIONS(3301),
    [anon_sym_u_SQUOTE] = ACTIONS(3301),
    [anon_sym_U_SQUOTE] = ACTIONS(3301),
    [anon_sym_u8_SQUOTE] = ACTIONS(3301),
    [anon_sym_SQUOTE] = ACTIONS(3301),
    [anon_sym_L_DQUOTE] = ACTIONS(3301),
    [anon_sym_u_DQUOTE] = ACTIONS(3301),
    [anon_sym_U_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8_DQUOTE] = ACTIONS(3301),
    [anon_sym_DQUOTE] = ACTIONS(3301),
    [sym_true] = ACTIONS(3299),
    [sym_false] = ACTIONS(3299),
    [anon_sym_NULL] = ACTIONS(3299),
    [anon_sym_nullptr] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3299),
    [anon_sym_decltype] = ACTIONS(3299),
    [anon_sym_virtual] = ACTIONS(3299),
    [anon_sym_alignas] = ACTIONS(3299),
    [anon_sym_explicit] = ACTIONS(3299),
    [anon_sym_typename] = ACTIONS(3299),
    [anon_sym_template] = ACTIONS(3299),
    [anon_sym_operator] = ACTIONS(3299),
    [anon_sym_try] = ACTIONS(3299),
    [anon_sym_delete] = ACTIONS(3299),
    [anon_sym_throw] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_using] = ACTIONS(3299),
    [anon_sym_static_assert] = ACTIONS(3299),
    [anon_sym_concept] = ACTIONS(3299),
    [anon_sym_co_return] = ACTIONS(3299),
    [anon_sym_co_yield] = ACTIONS(3299),
    [anon_sym_R_DQUOTE] = ACTIONS(3301),
    [anon_sym_LR_DQUOTE] = ACTIONS(3301),
    [anon_sym_uR_DQUOTE] = ACTIONS(3301),
    [anon_sym_UR_DQUOTE] = ACTIONS(3301),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3301),
    [anon_sym_co_await] = ACTIONS(3299),
    [anon_sym_new] = ACTIONS(3299),
    [anon_sym_requires] = ACTIONS(3299),
    [sym_this] = ACTIONS(3299),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(3305),
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_include_token1] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_BANG] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym___cdecl] = ACTIONS(3303),
    [anon_sym___clrcall] = ACTIONS(3303),
    [anon_sym___stdcall] = ACTIONS(3303),
    [anon_sym___fastcall] = ACTIONS(3303),
    [anon_sym___thiscall] = ACTIONS(3303),
    [anon_sym___vectorcall] = ACTIONS(3303),
    [anon_sym_LBRACE] = ACTIONS(3305),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3303),
    [anon_sym_switch] = ACTIONS(3303),
    [anon_sym_case] = ACTIONS(3303),
    [anon_sym_default] = ACTIONS(3303),
    [anon_sym_while] = ACTIONS(3303),
    [anon_sym_do] = ACTIONS(3303),
    [anon_sym_for] = ACTIONS(3303),
    [anon_sym_return] = ACTIONS(3303),
    [anon_sym_break] = ACTIONS(3303),
    [anon_sym_continue] = ACTIONS(3303),
    [anon_sym_goto] = ACTIONS(3303),
    [anon_sym_not] = ACTIONS(3303),
    [anon_sym_compl] = ACTIONS(3303),
    [anon_sym_DASH_DASH] = ACTIONS(3305),
    [anon_sym_PLUS_PLUS] = ACTIONS(3305),
    [anon_sym_sizeof] = ACTIONS(3303),
    [anon_sym___alignof__] = ACTIONS(3303),
    [anon_sym___alignof] = ACTIONS(3303),
    [anon_sym__alignof] = ACTIONS(3303),
    [anon_sym_alignof] = ACTIONS(3303),
    [anon_sym__Alignof] = ACTIONS(3303),
    [anon_sym_offsetof] = ACTIONS(3303),
    [anon_sym__Generic] = ACTIONS(3303),
    [anon_sym_asm] = ACTIONS(3303),
    [anon_sym___asm__] = ACTIONS(3303),
    [sym_number_literal] = ACTIONS(3305),
    [anon_sym_L_SQUOTE] = ACTIONS(3305),
    [anon_sym_u_SQUOTE] = ACTIONS(3305),
    [anon_sym_U_SQUOTE] = ACTIONS(3305),
    [anon_sym_u8_SQUOTE] = ACTIONS(3305),
    [anon_sym_SQUOTE] = ACTIONS(3305),
    [anon_sym_L_DQUOTE] = ACTIONS(3305),
    [anon_sym_u_DQUOTE] = ACTIONS(3305),
    [anon_sym_U_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8_DQUOTE] = ACTIONS(3305),
    [anon_sym_DQUOTE] = ACTIONS(3305),
    [sym_true] = ACTIONS(3303),
    [sym_false] = ACTIONS(3303),
    [anon_sym_NULL] = ACTIONS(3303),
    [anon_sym_nullptr] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_try] = ACTIONS(3303),
    [anon_sym_delete] = ACTIONS(3303),
    [anon_sym_throw] = ACTIONS(3303),
    [anon_sym_namespace] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
    [anon_sym_concept] = ACTIONS(3303),
    [anon_sym_co_return] = ACTIONS(3303),
    [anon_sym_co_yield] = ACTIONS(3303),
    [anon_sym_R_DQUOTE] = ACTIONS(3305),
    [anon_sym_LR_DQUOTE] = ACTIONS(3305),
    [anon_sym_uR_DQUOTE] = ACTIONS(3305),
    [anon_sym_UR_DQUOTE] = ACTIONS(3305),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3305),
    [anon_sym_co_await] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3303),
    [anon_sym_requires] = ACTIONS(3303),
    [sym_this] = ACTIONS(3303),
  },
  [1057] = {
    [ts_builtin_sym_end] = ACTIONS(3090),
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [1059] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3903),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(3297),
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_include_token1] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_BANG] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_DASH] = ACTIONS(3295),
    [anon_sym_PLUS] = ACTIONS(3295),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym___cdecl] = ACTIONS(3295),
    [anon_sym___clrcall] = ACTIONS(3295),
    [anon_sym___stdcall] = ACTIONS(3295),
    [anon_sym___fastcall] = ACTIONS(3295),
    [anon_sym___thiscall] = ACTIONS(3295),
    [anon_sym___vectorcall] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(3295),
    [anon_sym_switch] = ACTIONS(3295),
    [anon_sym_case] = ACTIONS(3295),
    [anon_sym_default] = ACTIONS(3295),
    [anon_sym_while] = ACTIONS(3295),
    [anon_sym_do] = ACTIONS(3295),
    [anon_sym_for] = ACTIONS(3295),
    [anon_sym_return] = ACTIONS(3295),
    [anon_sym_break] = ACTIONS(3295),
    [anon_sym_continue] = ACTIONS(3295),
    [anon_sym_goto] = ACTIONS(3295),
    [anon_sym_not] = ACTIONS(3295),
    [anon_sym_compl] = ACTIONS(3295),
    [anon_sym_DASH_DASH] = ACTIONS(3297),
    [anon_sym_PLUS_PLUS] = ACTIONS(3297),
    [anon_sym_sizeof] = ACTIONS(3295),
    [anon_sym___alignof__] = ACTIONS(3295),
    [anon_sym___alignof] = ACTIONS(3295),
    [anon_sym__alignof] = ACTIONS(3295),
    [anon_sym_alignof] = ACTIONS(3295),
    [anon_sym__Alignof] = ACTIONS(3295),
    [anon_sym_offsetof] = ACTIONS(3295),
    [anon_sym__Generic] = ACTIONS(3295),
    [anon_sym_asm] = ACTIONS(3295),
    [anon_sym___asm__] = ACTIONS(3295),
    [sym_number_literal] = ACTIONS(3297),
    [anon_sym_L_SQUOTE] = ACTIONS(3297),
    [anon_sym_u_SQUOTE] = ACTIONS(3297),
    [anon_sym_U_SQUOTE] = ACTIONS(3297),
    [anon_sym_u8_SQUOTE] = ACTIONS(3297),
    [anon_sym_SQUOTE] = ACTIONS(3297),
    [anon_sym_L_DQUOTE] = ACTIONS(3297),
    [anon_sym_u_DQUOTE] = ACTIONS(3297),
    [anon_sym_U_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8_DQUOTE] = ACTIONS(3297),
    [anon_sym_DQUOTE] = ACTIONS(3297),
    [sym_true] = ACTIONS(3295),
    [sym_false] = ACTIONS(3295),
    [anon_sym_NULL] = ACTIONS(3295),
    [anon_sym_nullptr] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_try] = ACTIONS(3295),
    [anon_sym_delete] = ACTIONS(3295),
    [anon_sym_throw] = ACTIONS(3295),
    [anon_sym_namespace] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
    [anon_sym_concept] = ACTIONS(3295),
    [anon_sym_co_return] = ACTIONS(3295),
    [anon_sym_co_yield] = ACTIONS(3295),
    [anon_sym_R_DQUOTE] = ACTIONS(3297),
    [anon_sym_LR_DQUOTE] = ACTIONS(3297),
    [anon_sym_uR_DQUOTE] = ACTIONS(3297),
    [anon_sym_UR_DQUOTE] = ACTIONS(3297),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3297),
    [anon_sym_co_await] = ACTIONS(3295),
    [anon_sym_new] = ACTIONS(3295),
    [anon_sym_requires] = ACTIONS(3295),
    [sym_this] = ACTIONS(3295),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(3293),
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_include_token1] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_BANG] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3291),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym___cdecl] = ACTIONS(3291),
    [anon_sym___clrcall] = ACTIONS(3291),
    [anon_sym___stdcall] = ACTIONS(3291),
    [anon_sym___fastcall] = ACTIONS(3291),
    [anon_sym___thiscall] = ACTIONS(3291),
    [anon_sym___vectorcall] = ACTIONS(3291),
    [anon_sym_LBRACE] = ACTIONS(3293),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_switch] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_default] = ACTIONS(3291),
    [anon_sym_while] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_for] = ACTIONS(3291),
    [anon_sym_return] = ACTIONS(3291),
    [anon_sym_break] = ACTIONS(3291),
    [anon_sym_continue] = ACTIONS(3291),
    [anon_sym_goto] = ACTIONS(3291),
    [anon_sym_not] = ACTIONS(3291),
    [anon_sym_compl] = ACTIONS(3291),
    [anon_sym_DASH_DASH] = ACTIONS(3293),
    [anon_sym_PLUS_PLUS] = ACTIONS(3293),
    [anon_sym_sizeof] = ACTIONS(3291),
    [anon_sym___alignof__] = ACTIONS(3291),
    [anon_sym___alignof] = ACTIONS(3291),
    [anon_sym__alignof] = ACTIONS(3291),
    [anon_sym_alignof] = ACTIONS(3291),
    [anon_sym__Alignof] = ACTIONS(3291),
    [anon_sym_offsetof] = ACTIONS(3291),
    [anon_sym__Generic] = ACTIONS(3291),
    [anon_sym_asm] = ACTIONS(3291),
    [anon_sym___asm__] = ACTIONS(3291),
    [sym_number_literal] = ACTIONS(3293),
    [anon_sym_L_SQUOTE] = ACTIONS(3293),
    [anon_sym_u_SQUOTE] = ACTIONS(3293),
    [anon_sym_U_SQUOTE] = ACTIONS(3293),
    [anon_sym_u8_SQUOTE] = ACTIONS(3293),
    [anon_sym_SQUOTE] = ACTIONS(3293),
    [anon_sym_L_DQUOTE] = ACTIONS(3293),
    [anon_sym_u_DQUOTE] = ACTIONS(3293),
    [anon_sym_U_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8_DQUOTE] = ACTIONS(3293),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_true] = ACTIONS(3291),
    [sym_false] = ACTIONS(3291),
    [anon_sym_NULL] = ACTIONS(3291),
    [anon_sym_nullptr] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_try] = ACTIONS(3291),
    [anon_sym_delete] = ACTIONS(3291),
    [anon_sym_throw] = ACTIONS(3291),
    [anon_sym_namespace] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
    [anon_sym_concept] = ACTIONS(3291),
    [anon_sym_co_return] = ACTIONS(3291),
    [anon_sym_co_yield] = ACTIONS(3291),
    [anon_sym_R_DQUOTE] = ACTIONS(3293),
    [anon_sym_LR_DQUOTE] = ACTIONS(3293),
    [anon_sym_uR_DQUOTE] = ACTIONS(3293),
    [anon_sym_UR_DQUOTE] = ACTIONS(3293),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3293),
    [anon_sym_co_await] = ACTIONS(3291),
    [anon_sym_new] = ACTIONS(3291),
    [anon_sym_requires] = ACTIONS(3291),
    [sym_this] = ACTIONS(3291),
  },
  [1062] = {
    [ts_builtin_sym_end] = ACTIONS(3289),
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_include_token1] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_BANG] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_DASH] = ACTIONS(3287),
    [anon_sym_PLUS] = ACTIONS(3287),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym___cdecl] = ACTIONS(3287),
    [anon_sym___clrcall] = ACTIONS(3287),
    [anon_sym___stdcall] = ACTIONS(3287),
    [anon_sym___fastcall] = ACTIONS(3287),
    [anon_sym___thiscall] = ACTIONS(3287),
    [anon_sym___vectorcall] = ACTIONS(3287),
    [anon_sym_LBRACE] = ACTIONS(3289),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(3287),
    [anon_sym_switch] = ACTIONS(3287),
    [anon_sym_case] = ACTIONS(3287),
    [anon_sym_default] = ACTIONS(3287),
    [anon_sym_while] = ACTIONS(3287),
    [anon_sym_do] = ACTIONS(3287),
    [anon_sym_for] = ACTIONS(3287),
    [anon_sym_return] = ACTIONS(3287),
    [anon_sym_break] = ACTIONS(3287),
    [anon_sym_continue] = ACTIONS(3287),
    [anon_sym_goto] = ACTIONS(3287),
    [anon_sym_not] = ACTIONS(3287),
    [anon_sym_compl] = ACTIONS(3287),
    [anon_sym_DASH_DASH] = ACTIONS(3289),
    [anon_sym_PLUS_PLUS] = ACTIONS(3289),
    [anon_sym_sizeof] = ACTIONS(3287),
    [anon_sym___alignof__] = ACTIONS(3287),
    [anon_sym___alignof] = ACTIONS(3287),
    [anon_sym__alignof] = ACTIONS(3287),
    [anon_sym_alignof] = ACTIONS(3287),
    [anon_sym__Alignof] = ACTIONS(3287),
    [anon_sym_offsetof] = ACTIONS(3287),
    [anon_sym__Generic] = ACTIONS(3287),
    [anon_sym_asm] = ACTIONS(3287),
    [anon_sym___asm__] = ACTIONS(3287),
    [sym_number_literal] = ACTIONS(3289),
    [anon_sym_L_SQUOTE] = ACTIONS(3289),
    [anon_sym_u_SQUOTE] = ACTIONS(3289),
    [anon_sym_U_SQUOTE] = ACTIONS(3289),
    [anon_sym_u8_SQUOTE] = ACTIONS(3289),
    [anon_sym_SQUOTE] = ACTIONS(3289),
    [anon_sym_L_DQUOTE] = ACTIONS(3289),
    [anon_sym_u_DQUOTE] = ACTIONS(3289),
    [anon_sym_U_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8_DQUOTE] = ACTIONS(3289),
    [anon_sym_DQUOTE] = ACTIONS(3289),
    [sym_true] = ACTIONS(3287),
    [sym_false] = ACTIONS(3287),
    [anon_sym_NULL] = ACTIONS(3287),
    [anon_sym_nullptr] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_try] = ACTIONS(3287),
    [anon_sym_delete] = ACTIONS(3287),
    [anon_sym_throw] = ACTIONS(3287),
    [anon_sym_namespace] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
    [anon_sym_concept] = ACTIONS(3287),
    [anon_sym_co_return] = ACTIONS(3287),
    [anon_sym_co_yield] = ACTIONS(3287),
    [anon_sym_R_DQUOTE] = ACTIONS(3289),
    [anon_sym_LR_DQUOTE] = ACTIONS(3289),
    [anon_sym_uR_DQUOTE] = ACTIONS(3289),
    [anon_sym_UR_DQUOTE] = ACTIONS(3289),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3289),
    [anon_sym_co_await] = ACTIONS(3287),
    [anon_sym_new] = ACTIONS(3287),
    [anon_sym_requires] = ACTIONS(3287),
    [sym_this] = ACTIONS(3287),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(3285),
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_include_token1] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_BANG] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym___cdecl] = ACTIONS(3283),
    [anon_sym___clrcall] = ACTIONS(3283),
    [anon_sym___stdcall] = ACTIONS(3283),
    [anon_sym___fastcall] = ACTIONS(3283),
    [anon_sym___thiscall] = ACTIONS(3283),
    [anon_sym___vectorcall] = ACTIONS(3283),
    [anon_sym_LBRACE] = ACTIONS(3285),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(3283),
    [anon_sym_switch] = ACTIONS(3283),
    [anon_sym_case] = ACTIONS(3283),
    [anon_sym_default] = ACTIONS(3283),
    [anon_sym_while] = ACTIONS(3283),
    [anon_sym_do] = ACTIONS(3283),
    [anon_sym_for] = ACTIONS(3283),
    [anon_sym_return] = ACTIONS(3283),
    [anon_sym_break] = ACTIONS(3283),
    [anon_sym_continue] = ACTIONS(3283),
    [anon_sym_goto] = ACTIONS(3283),
    [anon_sym_not] = ACTIONS(3283),
    [anon_sym_compl] = ACTIONS(3283),
    [anon_sym_DASH_DASH] = ACTIONS(3285),
    [anon_sym_PLUS_PLUS] = ACTIONS(3285),
    [anon_sym_sizeof] = ACTIONS(3283),
    [anon_sym___alignof__] = ACTIONS(3283),
    [anon_sym___alignof] = ACTIONS(3283),
    [anon_sym__alignof] = ACTIONS(3283),
    [anon_sym_alignof] = ACTIONS(3283),
    [anon_sym__Alignof] = ACTIONS(3283),
    [anon_sym_offsetof] = ACTIONS(3283),
    [anon_sym__Generic] = ACTIONS(3283),
    [anon_sym_asm] = ACTIONS(3283),
    [anon_sym___asm__] = ACTIONS(3283),
    [sym_number_literal] = ACTIONS(3285),
    [anon_sym_L_SQUOTE] = ACTIONS(3285),
    [anon_sym_u_SQUOTE] = ACTIONS(3285),
    [anon_sym_U_SQUOTE] = ACTIONS(3285),
    [anon_sym_u8_SQUOTE] = ACTIONS(3285),
    [anon_sym_SQUOTE] = ACTIONS(3285),
    [anon_sym_L_DQUOTE] = ACTIONS(3285),
    [anon_sym_u_DQUOTE] = ACTIONS(3285),
    [anon_sym_U_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8_DQUOTE] = ACTIONS(3285),
    [anon_sym_DQUOTE] = ACTIONS(3285),
    [sym_true] = ACTIONS(3283),
    [sym_false] = ACTIONS(3283),
    [anon_sym_NULL] = ACTIONS(3283),
    [anon_sym_nullptr] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_delete] = ACTIONS(3283),
    [anon_sym_throw] = ACTIONS(3283),
    [anon_sym_namespace] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
    [anon_sym_concept] = ACTIONS(3283),
    [anon_sym_co_return] = ACTIONS(3283),
    [anon_sym_co_yield] = ACTIONS(3283),
    [anon_sym_R_DQUOTE] = ACTIONS(3285),
    [anon_sym_LR_DQUOTE] = ACTIONS(3285),
    [anon_sym_uR_DQUOTE] = ACTIONS(3285),
    [anon_sym_UR_DQUOTE] = ACTIONS(3285),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3285),
    [anon_sym_co_await] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3283),
    [anon_sym_requires] = ACTIONS(3283),
    [sym_this] = ACTIONS(3283),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(3311),
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_include_token1] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_BANG] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_DASH] = ACTIONS(3309),
    [anon_sym_PLUS] = ACTIONS(3309),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym___cdecl] = ACTIONS(3309),
    [anon_sym___clrcall] = ACTIONS(3309),
    [anon_sym___stdcall] = ACTIONS(3309),
    [anon_sym___fastcall] = ACTIONS(3309),
    [anon_sym___thiscall] = ACTIONS(3309),
    [anon_sym___vectorcall] = ACTIONS(3309),
    [anon_sym_LBRACE] = ACTIONS(3311),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [anon_sym_if] = ACTIONS(3309),
    [anon_sym_switch] = ACTIONS(3309),
    [anon_sym_case] = ACTIONS(3309),
    [anon_sym_default] = ACTIONS(3309),
    [anon_sym_while] = ACTIONS(3309),
    [anon_sym_do] = ACTIONS(3309),
    [anon_sym_for] = ACTIONS(3309),
    [anon_sym_return] = ACTIONS(3309),
    [anon_sym_break] = ACTIONS(3309),
    [anon_sym_continue] = ACTIONS(3309),
    [anon_sym_goto] = ACTIONS(3309),
    [anon_sym_not] = ACTIONS(3309),
    [anon_sym_compl] = ACTIONS(3309),
    [anon_sym_DASH_DASH] = ACTIONS(3311),
    [anon_sym_PLUS_PLUS] = ACTIONS(3311),
    [anon_sym_sizeof] = ACTIONS(3309),
    [anon_sym___alignof__] = ACTIONS(3309),
    [anon_sym___alignof] = ACTIONS(3309),
    [anon_sym__alignof] = ACTIONS(3309),
    [anon_sym_alignof] = ACTIONS(3309),
    [anon_sym__Alignof] = ACTIONS(3309),
    [anon_sym_offsetof] = ACTIONS(3309),
    [anon_sym__Generic] = ACTIONS(3309),
    [anon_sym_asm] = ACTIONS(3309),
    [anon_sym___asm__] = ACTIONS(3309),
    [sym_number_literal] = ACTIONS(3311),
    [anon_sym_L_SQUOTE] = ACTIONS(3311),
    [anon_sym_u_SQUOTE] = ACTIONS(3311),
    [anon_sym_U_SQUOTE] = ACTIONS(3311),
    [anon_sym_u8_SQUOTE] = ACTIONS(3311),
    [anon_sym_SQUOTE] = ACTIONS(3311),
    [anon_sym_L_DQUOTE] = ACTIONS(3311),
    [anon_sym_u_DQUOTE] = ACTIONS(3311),
    [anon_sym_U_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8_DQUOTE] = ACTIONS(3311),
    [anon_sym_DQUOTE] = ACTIONS(3311),
    [sym_true] = ACTIONS(3309),
    [sym_false] = ACTIONS(3309),
    [anon_sym_NULL] = ACTIONS(3309),
    [anon_sym_nullptr] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3309),
    [anon_sym_delete] = ACTIONS(3309),
    [anon_sym_throw] = ACTIONS(3309),
    [anon_sym_namespace] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
    [anon_sym_concept] = ACTIONS(3309),
    [anon_sym_co_return] = ACTIONS(3309),
    [anon_sym_co_yield] = ACTIONS(3309),
    [anon_sym_R_DQUOTE] = ACTIONS(3311),
    [anon_sym_LR_DQUOTE] = ACTIONS(3311),
    [anon_sym_uR_DQUOTE] = ACTIONS(3311),
    [anon_sym_UR_DQUOTE] = ACTIONS(3311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3311),
    [anon_sym_co_await] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3309),
    [anon_sym_requires] = ACTIONS(3309),
    [sym_this] = ACTIONS(3309),
  },
  [1065] = {
    [ts_builtin_sym_end] = ACTIONS(3277),
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_include_token1] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_BANG] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_DASH] = ACTIONS(3275),
    [anon_sym_PLUS] = ACTIONS(3275),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym___cdecl] = ACTIONS(3275),
    [anon_sym___clrcall] = ACTIONS(3275),
    [anon_sym___stdcall] = ACTIONS(3275),
    [anon_sym___fastcall] = ACTIONS(3275),
    [anon_sym___thiscall] = ACTIONS(3275),
    [anon_sym___vectorcall] = ACTIONS(3275),
    [anon_sym_LBRACE] = ACTIONS(3277),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(3275),
    [anon_sym_switch] = ACTIONS(3275),
    [anon_sym_case] = ACTIONS(3275),
    [anon_sym_default] = ACTIONS(3275),
    [anon_sym_while] = ACTIONS(3275),
    [anon_sym_do] = ACTIONS(3275),
    [anon_sym_for] = ACTIONS(3275),
    [anon_sym_return] = ACTIONS(3275),
    [anon_sym_break] = ACTIONS(3275),
    [anon_sym_continue] = ACTIONS(3275),
    [anon_sym_goto] = ACTIONS(3275),
    [anon_sym_not] = ACTIONS(3275),
    [anon_sym_compl] = ACTIONS(3275),
    [anon_sym_DASH_DASH] = ACTIONS(3277),
    [anon_sym_PLUS_PLUS] = ACTIONS(3277),
    [anon_sym_sizeof] = ACTIONS(3275),
    [anon_sym___alignof__] = ACTIONS(3275),
    [anon_sym___alignof] = ACTIONS(3275),
    [anon_sym__alignof] = ACTIONS(3275),
    [anon_sym_alignof] = ACTIONS(3275),
    [anon_sym__Alignof] = ACTIONS(3275),
    [anon_sym_offsetof] = ACTIONS(3275),
    [anon_sym__Generic] = ACTIONS(3275),
    [anon_sym_asm] = ACTIONS(3275),
    [anon_sym___asm__] = ACTIONS(3275),
    [sym_number_literal] = ACTIONS(3277),
    [anon_sym_L_SQUOTE] = ACTIONS(3277),
    [anon_sym_u_SQUOTE] = ACTIONS(3277),
    [anon_sym_U_SQUOTE] = ACTIONS(3277),
    [anon_sym_u8_SQUOTE] = ACTIONS(3277),
    [anon_sym_SQUOTE] = ACTIONS(3277),
    [anon_sym_L_DQUOTE] = ACTIONS(3277),
    [anon_sym_u_DQUOTE] = ACTIONS(3277),
    [anon_sym_U_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8_DQUOTE] = ACTIONS(3277),
    [anon_sym_DQUOTE] = ACTIONS(3277),
    [sym_true] = ACTIONS(3275),
    [sym_false] = ACTIONS(3275),
    [anon_sym_NULL] = ACTIONS(3275),
    [anon_sym_nullptr] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_delete] = ACTIONS(3275),
    [anon_sym_throw] = ACTIONS(3275),
    [anon_sym_namespace] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
    [anon_sym_concept] = ACTIONS(3275),
    [anon_sym_co_return] = ACTIONS(3275),
    [anon_sym_co_yield] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(3277),
    [anon_sym_LR_DQUOTE] = ACTIONS(3277),
    [anon_sym_uR_DQUOTE] = ACTIONS(3277),
    [anon_sym_UR_DQUOTE] = ACTIONS(3277),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3277),
    [anon_sym_co_await] = ACTIONS(3275),
    [anon_sym_new] = ACTIONS(3275),
    [anon_sym_requires] = ACTIONS(3275),
    [sym_this] = ACTIONS(3275),
  },
  [1066] = {
    [sym_preproc_def] = STATE(1059),
    [sym_preproc_function_def] = STATE(1059),
    [sym_preproc_call] = STATE(1059),
    [sym_preproc_if_in_field_declaration_list] = STATE(1059),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1059),
    [sym_type_definition] = STATE(1059),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1059),
    [sym_field_declaration] = STATE(1059),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1059),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1059),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1059),
    [sym_operator_cast_declaration] = STATE(1059),
    [sym_constructor_or_destructor_definition] = STATE(1059),
    [sym_constructor_or_destructor_declaration] = STATE(1059),
    [sym_friend_declaration] = STATE(1059),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1059),
    [sym_alias_declaration] = STATE(1059),
    [sym_static_assert_declaration] = STATE(1059),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1059),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3905),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(3273),
    [sym_identifier] = ACTIONS(3271),
    [aux_sym_preproc_include_token1] = ACTIONS(3271),
    [aux_sym_preproc_def_token1] = ACTIONS(3271),
    [aux_sym_preproc_if_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3271),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3271),
    [sym_preproc_directive] = ACTIONS(3271),
    [anon_sym_LPAREN2] = ACTIONS(3273),
    [anon_sym_BANG] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3271),
    [anon_sym_PLUS] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3271),
    [anon_sym_typedef] = ACTIONS(3271),
    [anon_sym_extern] = ACTIONS(3271),
    [anon_sym___attribute__] = ACTIONS(3271),
    [anon_sym_COLON_COLON] = ACTIONS(3273),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3273),
    [anon_sym___declspec] = ACTIONS(3271),
    [anon_sym___based] = ACTIONS(3271),
    [anon_sym___cdecl] = ACTIONS(3271),
    [anon_sym___clrcall] = ACTIONS(3271),
    [anon_sym___stdcall] = ACTIONS(3271),
    [anon_sym___fastcall] = ACTIONS(3271),
    [anon_sym___thiscall] = ACTIONS(3271),
    [anon_sym___vectorcall] = ACTIONS(3271),
    [anon_sym_LBRACE] = ACTIONS(3273),
    [anon_sym_signed] = ACTIONS(3271),
    [anon_sym_unsigned] = ACTIONS(3271),
    [anon_sym_long] = ACTIONS(3271),
    [anon_sym_short] = ACTIONS(3271),
    [anon_sym_LBRACK] = ACTIONS(3271),
    [anon_sym_static] = ACTIONS(3271),
    [anon_sym_register] = ACTIONS(3271),
    [anon_sym_inline] = ACTIONS(3271),
    [anon_sym___inline] = ACTIONS(3271),
    [anon_sym___inline__] = ACTIONS(3271),
    [anon_sym___forceinline] = ACTIONS(3271),
    [anon_sym_thread_local] = ACTIONS(3271),
    [anon_sym___thread] = ACTIONS(3271),
    [anon_sym_const] = ACTIONS(3271),
    [anon_sym_constexpr] = ACTIONS(3271),
    [anon_sym_volatile] = ACTIONS(3271),
    [anon_sym_restrict] = ACTIONS(3271),
    [anon_sym___restrict__] = ACTIONS(3271),
    [anon_sym__Atomic] = ACTIONS(3271),
    [anon_sym__Noreturn] = ACTIONS(3271),
    [anon_sym_noreturn] = ACTIONS(3271),
    [anon_sym_mutable] = ACTIONS(3271),
    [anon_sym_constinit] = ACTIONS(3271),
    [anon_sym_consteval] = ACTIONS(3271),
    [sym_primitive_type] = ACTIONS(3271),
    [anon_sym_enum] = ACTIONS(3271),
    [anon_sym_class] = ACTIONS(3271),
    [anon_sym_struct] = ACTIONS(3271),
    [anon_sym_union] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(3271),
    [anon_sym_switch] = ACTIONS(3271),
    [anon_sym_case] = ACTIONS(3271),
    [anon_sym_default] = ACTIONS(3271),
    [anon_sym_while] = ACTIONS(3271),
    [anon_sym_do] = ACTIONS(3271),
    [anon_sym_for] = ACTIONS(3271),
    [anon_sym_return] = ACTIONS(3271),
    [anon_sym_break] = ACTIONS(3271),
    [anon_sym_continue] = ACTIONS(3271),
    [anon_sym_goto] = ACTIONS(3271),
    [anon_sym_not] = ACTIONS(3271),
    [anon_sym_compl] = ACTIONS(3271),
    [anon_sym_DASH_DASH] = ACTIONS(3273),
    [anon_sym_PLUS_PLUS] = ACTIONS(3273),
    [anon_sym_sizeof] = ACTIONS(3271),
    [anon_sym___alignof__] = ACTIONS(3271),
    [anon_sym___alignof] = ACTIONS(3271),
    [anon_sym__alignof] = ACTIONS(3271),
    [anon_sym_alignof] = ACTIONS(3271),
    [anon_sym__Alignof] = ACTIONS(3271),
    [anon_sym_offsetof] = ACTIONS(3271),
    [anon_sym__Generic] = ACTIONS(3271),
    [anon_sym_asm] = ACTIONS(3271),
    [anon_sym___asm__] = ACTIONS(3271),
    [sym_number_literal] = ACTIONS(3273),
    [anon_sym_L_SQUOTE] = ACTIONS(3273),
    [anon_sym_u_SQUOTE] = ACTIONS(3273),
    [anon_sym_U_SQUOTE] = ACTIONS(3273),
    [anon_sym_u8_SQUOTE] = ACTIONS(3273),
    [anon_sym_SQUOTE] = ACTIONS(3273),
    [anon_sym_L_DQUOTE] = ACTIONS(3273),
    [anon_sym_u_DQUOTE] = ACTIONS(3273),
    [anon_sym_U_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8_DQUOTE] = ACTIONS(3273),
    [anon_sym_DQUOTE] = ACTIONS(3273),
    [sym_true] = ACTIONS(3271),
    [sym_false] = ACTIONS(3271),
    [anon_sym_NULL] = ACTIONS(3271),
    [anon_sym_nullptr] = ACTIONS(3271),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3271),
    [anon_sym_decltype] = ACTIONS(3271),
    [anon_sym_virtual] = ACTIONS(3271),
    [anon_sym_alignas] = ACTIONS(3271),
    [anon_sym_explicit] = ACTIONS(3271),
    [anon_sym_typename] = ACTIONS(3271),
    [anon_sym_template] = ACTIONS(3271),
    [anon_sym_operator] = ACTIONS(3271),
    [anon_sym_try] = ACTIONS(3271),
    [anon_sym_delete] = ACTIONS(3271),
    [anon_sym_throw] = ACTIONS(3271),
    [anon_sym_namespace] = ACTIONS(3271),
    [anon_sym_using] = ACTIONS(3271),
    [anon_sym_static_assert] = ACTIONS(3271),
    [anon_sym_concept] = ACTIONS(3271),
    [anon_sym_co_return] = ACTIONS(3271),
    [anon_sym_co_yield] = ACTIONS(3271),
    [anon_sym_R_DQUOTE] = ACTIONS(3273),
    [anon_sym_LR_DQUOTE] = ACTIONS(3273),
    [anon_sym_uR_DQUOTE] = ACTIONS(3273),
    [anon_sym_UR_DQUOTE] = ACTIONS(3273),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3273),
    [anon_sym_co_await] = ACTIONS(3271),
    [anon_sym_new] = ACTIONS(3271),
    [anon_sym_requires] = ACTIONS(3271),
    [sym_this] = ACTIONS(3271),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(3395),
    [sym_identifier] = ACTIONS(3393),
    [aux_sym_preproc_include_token1] = ACTIONS(3393),
    [aux_sym_preproc_def_token1] = ACTIONS(3393),
    [aux_sym_preproc_if_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3393),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3393),
    [sym_preproc_directive] = ACTIONS(3393),
    [anon_sym_LPAREN2] = ACTIONS(3395),
    [anon_sym_BANG] = ACTIONS(3395),
    [anon_sym_TILDE] = ACTIONS(3395),
    [anon_sym_DASH] = ACTIONS(3393),
    [anon_sym_PLUS] = ACTIONS(3393),
    [anon_sym_STAR] = ACTIONS(3395),
    [anon_sym_AMP_AMP] = ACTIONS(3395),
    [anon_sym_AMP] = ACTIONS(3393),
    [anon_sym___extension__] = ACTIONS(3393),
    [anon_sym_typedef] = ACTIONS(3393),
    [anon_sym_extern] = ACTIONS(3393),
    [anon_sym___attribute__] = ACTIONS(3393),
    [anon_sym_COLON_COLON] = ACTIONS(3395),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3395),
    [anon_sym___declspec] = ACTIONS(3393),
    [anon_sym___based] = ACTIONS(3393),
    [anon_sym___cdecl] = ACTIONS(3393),
    [anon_sym___clrcall] = ACTIONS(3393),
    [anon_sym___stdcall] = ACTIONS(3393),
    [anon_sym___fastcall] = ACTIONS(3393),
    [anon_sym___thiscall] = ACTIONS(3393),
    [anon_sym___vectorcall] = ACTIONS(3393),
    [anon_sym_LBRACE] = ACTIONS(3395),
    [anon_sym_signed] = ACTIONS(3393),
    [anon_sym_unsigned] = ACTIONS(3393),
    [anon_sym_long] = ACTIONS(3393),
    [anon_sym_short] = ACTIONS(3393),
    [anon_sym_LBRACK] = ACTIONS(3393),
    [anon_sym_static] = ACTIONS(3393),
    [anon_sym_register] = ACTIONS(3393),
    [anon_sym_inline] = ACTIONS(3393),
    [anon_sym___inline] = ACTIONS(3393),
    [anon_sym___inline__] = ACTIONS(3393),
    [anon_sym___forceinline] = ACTIONS(3393),
    [anon_sym_thread_local] = ACTIONS(3393),
    [anon_sym___thread] = ACTIONS(3393),
    [anon_sym_const] = ACTIONS(3393),
    [anon_sym_constexpr] = ACTIONS(3393),
    [anon_sym_volatile] = ACTIONS(3393),
    [anon_sym_restrict] = ACTIONS(3393),
    [anon_sym___restrict__] = ACTIONS(3393),
    [anon_sym__Atomic] = ACTIONS(3393),
    [anon_sym__Noreturn] = ACTIONS(3393),
    [anon_sym_noreturn] = ACTIONS(3393),
    [anon_sym_mutable] = ACTIONS(3393),
    [anon_sym_constinit] = ACTIONS(3393),
    [anon_sym_consteval] = ACTIONS(3393),
    [sym_primitive_type] = ACTIONS(3393),
    [anon_sym_enum] = ACTIONS(3393),
    [anon_sym_class] = ACTIONS(3393),
    [anon_sym_struct] = ACTIONS(3393),
    [anon_sym_union] = ACTIONS(3393),
    [anon_sym_if] = ACTIONS(3393),
    [anon_sym_switch] = ACTIONS(3393),
    [anon_sym_case] = ACTIONS(3393),
    [anon_sym_default] = ACTIONS(3393),
    [anon_sym_while] = ACTIONS(3393),
    [anon_sym_do] = ACTIONS(3393),
    [anon_sym_for] = ACTIONS(3393),
    [anon_sym_return] = ACTIONS(3393),
    [anon_sym_break] = ACTIONS(3393),
    [anon_sym_continue] = ACTIONS(3393),
    [anon_sym_goto] = ACTIONS(3393),
    [anon_sym_not] = ACTIONS(3393),
    [anon_sym_compl] = ACTIONS(3393),
    [anon_sym_DASH_DASH] = ACTIONS(3395),
    [anon_sym_PLUS_PLUS] = ACTIONS(3395),
    [anon_sym_sizeof] = ACTIONS(3393),
    [anon_sym___alignof__] = ACTIONS(3393),
    [anon_sym___alignof] = ACTIONS(3393),
    [anon_sym__alignof] = ACTIONS(3393),
    [anon_sym_alignof] = ACTIONS(3393),
    [anon_sym__Alignof] = ACTIONS(3393),
    [anon_sym_offsetof] = ACTIONS(3393),
    [anon_sym__Generic] = ACTIONS(3393),
    [anon_sym_asm] = ACTIONS(3393),
    [anon_sym___asm__] = ACTIONS(3393),
    [sym_number_literal] = ACTIONS(3395),
    [anon_sym_L_SQUOTE] = ACTIONS(3395),
    [anon_sym_u_SQUOTE] = ACTIONS(3395),
    [anon_sym_U_SQUOTE] = ACTIONS(3395),
    [anon_sym_u8_SQUOTE] = ACTIONS(3395),
    [anon_sym_SQUOTE] = ACTIONS(3395),
    [anon_sym_L_DQUOTE] = ACTIONS(3395),
    [anon_sym_u_DQUOTE] = ACTIONS(3395),
    [anon_sym_U_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8_DQUOTE] = ACTIONS(3395),
    [anon_sym_DQUOTE] = ACTIONS(3395),
    [sym_true] = ACTIONS(3393),
    [sym_false] = ACTIONS(3393),
    [anon_sym_NULL] = ACTIONS(3393),
    [anon_sym_nullptr] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3393),
    [anon_sym_decltype] = ACTIONS(3393),
    [anon_sym_virtual] = ACTIONS(3393),
    [anon_sym_alignas] = ACTIONS(3393),
    [anon_sym_explicit] = ACTIONS(3393),
    [anon_sym_typename] = ACTIONS(3393),
    [anon_sym_template] = ACTIONS(3393),
    [anon_sym_operator] = ACTIONS(3393),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_delete] = ACTIONS(3393),
    [anon_sym_throw] = ACTIONS(3393),
    [anon_sym_namespace] = ACTIONS(3393),
    [anon_sym_using] = ACTIONS(3393),
    [anon_sym_static_assert] = ACTIONS(3393),
    [anon_sym_concept] = ACTIONS(3393),
    [anon_sym_co_return] = ACTIONS(3393),
    [anon_sym_co_yield] = ACTIONS(3393),
    [anon_sym_R_DQUOTE] = ACTIONS(3395),
    [anon_sym_LR_DQUOTE] = ACTIONS(3395),
    [anon_sym_uR_DQUOTE] = ACTIONS(3395),
    [anon_sym_UR_DQUOTE] = ACTIONS(3395),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3395),
    [anon_sym_co_await] = ACTIONS(3393),
    [anon_sym_new] = ACTIONS(3393),
    [anon_sym_requires] = ACTIONS(3393),
    [sym_this] = ACTIONS(3393),
  },
  [1069] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3907),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1070] = {
    [ts_builtin_sym_end] = ACTIONS(3269),
    [sym_identifier] = ACTIONS(3267),
    [aux_sym_preproc_include_token1] = ACTIONS(3267),
    [aux_sym_preproc_def_token1] = ACTIONS(3267),
    [aux_sym_preproc_if_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3267),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3267),
    [sym_preproc_directive] = ACTIONS(3267),
    [anon_sym_LPAREN2] = ACTIONS(3269),
    [anon_sym_BANG] = ACTIONS(3269),
    [anon_sym_TILDE] = ACTIONS(3269),
    [anon_sym_DASH] = ACTIONS(3267),
    [anon_sym_PLUS] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3269),
    [anon_sym_AMP] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3267),
    [anon_sym_typedef] = ACTIONS(3267),
    [anon_sym_extern] = ACTIONS(3267),
    [anon_sym___attribute__] = ACTIONS(3267),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3269),
    [anon_sym___declspec] = ACTIONS(3267),
    [anon_sym___based] = ACTIONS(3267),
    [anon_sym___cdecl] = ACTIONS(3267),
    [anon_sym___clrcall] = ACTIONS(3267),
    [anon_sym___stdcall] = ACTIONS(3267),
    [anon_sym___fastcall] = ACTIONS(3267),
    [anon_sym___thiscall] = ACTIONS(3267),
    [anon_sym___vectorcall] = ACTIONS(3267),
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3267),
    [anon_sym_unsigned] = ACTIONS(3267),
    [anon_sym_long] = ACTIONS(3267),
    [anon_sym_short] = ACTIONS(3267),
    [anon_sym_LBRACK] = ACTIONS(3267),
    [anon_sym_static] = ACTIONS(3267),
    [anon_sym_register] = ACTIONS(3267),
    [anon_sym_inline] = ACTIONS(3267),
    [anon_sym___inline] = ACTIONS(3267),
    [anon_sym___inline__] = ACTIONS(3267),
    [anon_sym___forceinline] = ACTIONS(3267),
    [anon_sym_thread_local] = ACTIONS(3267),
    [anon_sym___thread] = ACTIONS(3267),
    [anon_sym_const] = ACTIONS(3267),
    [anon_sym_constexpr] = ACTIONS(3267),
    [anon_sym_volatile] = ACTIONS(3267),
    [anon_sym_restrict] = ACTIONS(3267),
    [anon_sym___restrict__] = ACTIONS(3267),
    [anon_sym__Atomic] = ACTIONS(3267),
    [anon_sym__Noreturn] = ACTIONS(3267),
    [anon_sym_noreturn] = ACTIONS(3267),
    [anon_sym_mutable] = ACTIONS(3267),
    [anon_sym_constinit] = ACTIONS(3267),
    [anon_sym_consteval] = ACTIONS(3267),
    [sym_primitive_type] = ACTIONS(3267),
    [anon_sym_enum] = ACTIONS(3267),
    [anon_sym_class] = ACTIONS(3267),
    [anon_sym_struct] = ACTIONS(3267),
    [anon_sym_union] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3267),
    [anon_sym_switch] = ACTIONS(3267),
    [anon_sym_case] = ACTIONS(3267),
    [anon_sym_default] = ACTIONS(3267),
    [anon_sym_while] = ACTIONS(3267),
    [anon_sym_do] = ACTIONS(3267),
    [anon_sym_for] = ACTIONS(3267),
    [anon_sym_return] = ACTIONS(3267),
    [anon_sym_break] = ACTIONS(3267),
    [anon_sym_continue] = ACTIONS(3267),
    [anon_sym_goto] = ACTIONS(3267),
    [anon_sym_not] = ACTIONS(3267),
    [anon_sym_compl] = ACTIONS(3267),
    [anon_sym_DASH_DASH] = ACTIONS(3269),
    [anon_sym_PLUS_PLUS] = ACTIONS(3269),
    [anon_sym_sizeof] = ACTIONS(3267),
    [anon_sym___alignof__] = ACTIONS(3267),
    [anon_sym___alignof] = ACTIONS(3267),
    [anon_sym__alignof] = ACTIONS(3267),
    [anon_sym_alignof] = ACTIONS(3267),
    [anon_sym__Alignof] = ACTIONS(3267),
    [anon_sym_offsetof] = ACTIONS(3267),
    [anon_sym__Generic] = ACTIONS(3267),
    [anon_sym_asm] = ACTIONS(3267),
    [anon_sym___asm__] = ACTIONS(3267),
    [sym_number_literal] = ACTIONS(3269),
    [anon_sym_L_SQUOTE] = ACTIONS(3269),
    [anon_sym_u_SQUOTE] = ACTIONS(3269),
    [anon_sym_U_SQUOTE] = ACTIONS(3269),
    [anon_sym_u8_SQUOTE] = ACTIONS(3269),
    [anon_sym_SQUOTE] = ACTIONS(3269),
    [anon_sym_L_DQUOTE] = ACTIONS(3269),
    [anon_sym_u_DQUOTE] = ACTIONS(3269),
    [anon_sym_U_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8_DQUOTE] = ACTIONS(3269),
    [anon_sym_DQUOTE] = ACTIONS(3269),
    [sym_true] = ACTIONS(3267),
    [sym_false] = ACTIONS(3267),
    [anon_sym_NULL] = ACTIONS(3267),
    [anon_sym_nullptr] = ACTIONS(3267),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3267),
    [anon_sym_decltype] = ACTIONS(3267),
    [anon_sym_virtual] = ACTIONS(3267),
    [anon_sym_alignas] = ACTIONS(3267),
    [anon_sym_explicit] = ACTIONS(3267),
    [anon_sym_typename] = ACTIONS(3267),
    [anon_sym_template] = ACTIONS(3267),
    [anon_sym_operator] = ACTIONS(3267),
    [anon_sym_try] = ACTIONS(3267),
    [anon_sym_delete] = ACTIONS(3267),
    [anon_sym_throw] = ACTIONS(3267),
    [anon_sym_namespace] = ACTIONS(3267),
    [anon_sym_using] = ACTIONS(3267),
    [anon_sym_static_assert] = ACTIONS(3267),
    [anon_sym_concept] = ACTIONS(3267),
    [anon_sym_co_return] = ACTIONS(3267),
    [anon_sym_co_yield] = ACTIONS(3267),
    [anon_sym_R_DQUOTE] = ACTIONS(3269),
    [anon_sym_LR_DQUOTE] = ACTIONS(3269),
    [anon_sym_uR_DQUOTE] = ACTIONS(3269),
    [anon_sym_UR_DQUOTE] = ACTIONS(3269),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3269),
    [anon_sym_co_await] = ACTIONS(3267),
    [anon_sym_new] = ACTIONS(3267),
    [anon_sym_requires] = ACTIONS(3267),
    [sym_this] = ACTIONS(3267),
  },
  [1071] = {
    [ts_builtin_sym_end] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(3259),
    [aux_sym_preproc_include_token1] = ACTIONS(3259),
    [aux_sym_preproc_def_token1] = ACTIONS(3259),
    [aux_sym_preproc_if_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3259),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3259),
    [sym_preproc_directive] = ACTIONS(3259),
    [anon_sym_LPAREN2] = ACTIONS(3261),
    [anon_sym_BANG] = ACTIONS(3261),
    [anon_sym_TILDE] = ACTIONS(3261),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3261),
    [anon_sym_AMP_AMP] = ACTIONS(3261),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3259),
    [anon_sym_typedef] = ACTIONS(3259),
    [anon_sym_extern] = ACTIONS(3259),
    [anon_sym___attribute__] = ACTIONS(3259),
    [anon_sym_COLON_COLON] = ACTIONS(3261),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3261),
    [anon_sym___declspec] = ACTIONS(3259),
    [anon_sym___based] = ACTIONS(3259),
    [anon_sym___cdecl] = ACTIONS(3259),
    [anon_sym___clrcall] = ACTIONS(3259),
    [anon_sym___stdcall] = ACTIONS(3259),
    [anon_sym___fastcall] = ACTIONS(3259),
    [anon_sym___thiscall] = ACTIONS(3259),
    [anon_sym___vectorcall] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3259),
    [anon_sym_unsigned] = ACTIONS(3259),
    [anon_sym_long] = ACTIONS(3259),
    [anon_sym_short] = ACTIONS(3259),
    [anon_sym_LBRACK] = ACTIONS(3259),
    [anon_sym_static] = ACTIONS(3259),
    [anon_sym_register] = ACTIONS(3259),
    [anon_sym_inline] = ACTIONS(3259),
    [anon_sym___inline] = ACTIONS(3259),
    [anon_sym___inline__] = ACTIONS(3259),
    [anon_sym___forceinline] = ACTIONS(3259),
    [anon_sym_thread_local] = ACTIONS(3259),
    [anon_sym___thread] = ACTIONS(3259),
    [anon_sym_const] = ACTIONS(3259),
    [anon_sym_constexpr] = ACTIONS(3259),
    [anon_sym_volatile] = ACTIONS(3259),
    [anon_sym_restrict] = ACTIONS(3259),
    [anon_sym___restrict__] = ACTIONS(3259),
    [anon_sym__Atomic] = ACTIONS(3259),
    [anon_sym__Noreturn] = ACTIONS(3259),
    [anon_sym_noreturn] = ACTIONS(3259),
    [anon_sym_mutable] = ACTIONS(3259),
    [anon_sym_constinit] = ACTIONS(3259),
    [anon_sym_consteval] = ACTIONS(3259),
    [sym_primitive_type] = ACTIONS(3259),
    [anon_sym_enum] = ACTIONS(3259),
    [anon_sym_class] = ACTIONS(3259),
    [anon_sym_struct] = ACTIONS(3259),
    [anon_sym_union] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(3259),
    [anon_sym_switch] = ACTIONS(3259),
    [anon_sym_case] = ACTIONS(3259),
    [anon_sym_default] = ACTIONS(3259),
    [anon_sym_while] = ACTIONS(3259),
    [anon_sym_do] = ACTIONS(3259),
    [anon_sym_for] = ACTIONS(3259),
    [anon_sym_return] = ACTIONS(3259),
    [anon_sym_break] = ACTIONS(3259),
    [anon_sym_continue] = ACTIONS(3259),
    [anon_sym_goto] = ACTIONS(3259),
    [anon_sym_not] = ACTIONS(3259),
    [anon_sym_compl] = ACTIONS(3259),
    [anon_sym_DASH_DASH] = ACTIONS(3261),
    [anon_sym_PLUS_PLUS] = ACTIONS(3261),
    [anon_sym_sizeof] = ACTIONS(3259),
    [anon_sym___alignof__] = ACTIONS(3259),
    [anon_sym___alignof] = ACTIONS(3259),
    [anon_sym__alignof] = ACTIONS(3259),
    [anon_sym_alignof] = ACTIONS(3259),
    [anon_sym__Alignof] = ACTIONS(3259),
    [anon_sym_offsetof] = ACTIONS(3259),
    [anon_sym__Generic] = ACTIONS(3259),
    [anon_sym_asm] = ACTIONS(3259),
    [anon_sym___asm__] = ACTIONS(3259),
    [sym_number_literal] = ACTIONS(3261),
    [anon_sym_L_SQUOTE] = ACTIONS(3261),
    [anon_sym_u_SQUOTE] = ACTIONS(3261),
    [anon_sym_U_SQUOTE] = ACTIONS(3261),
    [anon_sym_u8_SQUOTE] = ACTIONS(3261),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_L_DQUOTE] = ACTIONS(3261),
    [anon_sym_u_DQUOTE] = ACTIONS(3261),
    [anon_sym_U_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8_DQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3261),
    [sym_true] = ACTIONS(3259),
    [sym_false] = ACTIONS(3259),
    [anon_sym_NULL] = ACTIONS(3259),
    [anon_sym_nullptr] = ACTIONS(3259),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3259),
    [anon_sym_decltype] = ACTIONS(3259),
    [anon_sym_virtual] = ACTIONS(3259),
    [anon_sym_alignas] = ACTIONS(3259),
    [anon_sym_explicit] = ACTIONS(3259),
    [anon_sym_typename] = ACTIONS(3259),
    [anon_sym_template] = ACTIONS(3259),
    [anon_sym_operator] = ACTIONS(3259),
    [anon_sym_try] = ACTIONS(3259),
    [anon_sym_delete] = ACTIONS(3259),
    [anon_sym_throw] = ACTIONS(3259),
    [anon_sym_namespace] = ACTIONS(3259),
    [anon_sym_using] = ACTIONS(3259),
    [anon_sym_static_assert] = ACTIONS(3259),
    [anon_sym_concept] = ACTIONS(3259),
    [anon_sym_co_return] = ACTIONS(3259),
    [anon_sym_co_yield] = ACTIONS(3259),
    [anon_sym_R_DQUOTE] = ACTIONS(3261),
    [anon_sym_LR_DQUOTE] = ACTIONS(3261),
    [anon_sym_uR_DQUOTE] = ACTIONS(3261),
    [anon_sym_UR_DQUOTE] = ACTIONS(3261),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3261),
    [anon_sym_co_await] = ACTIONS(3259),
    [anon_sym_new] = ACTIONS(3259),
    [anon_sym_requires] = ACTIONS(3259),
    [sym_this] = ACTIONS(3259),
  },
  [1072] = {
    [sym_preproc_def] = STATE(1069),
    [sym_preproc_function_def] = STATE(1069),
    [sym_preproc_call] = STATE(1069),
    [sym_preproc_if_in_field_declaration_list] = STATE(1069),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1069),
    [sym_type_definition] = STATE(1069),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1069),
    [sym_field_declaration] = STATE(1069),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1069),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1069),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1069),
    [sym_operator_cast_declaration] = STATE(1069),
    [sym_constructor_or_destructor_definition] = STATE(1069),
    [sym_constructor_or_destructor_declaration] = STATE(1069),
    [sym_friend_declaration] = STATE(1069),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1069),
    [sym_alias_declaration] = STATE(1069),
    [sym_static_assert_declaration] = STATE(1069),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1069),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1073] = {
    [sym_preproc_def] = STATE(1083),
    [sym_preproc_function_def] = STATE(1083),
    [sym_preproc_call] = STATE(1083),
    [sym_preproc_if_in_field_declaration_list] = STATE(1083),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1083),
    [sym_type_definition] = STATE(1083),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1083),
    [sym_field_declaration] = STATE(1083),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1083),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1083),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1083),
    [sym_operator_cast_declaration] = STATE(1083),
    [sym_constructor_or_destructor_definition] = STATE(1083),
    [sym_constructor_or_destructor_declaration] = STATE(1083),
    [sym_friend_declaration] = STATE(1083),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1083),
    [sym_alias_declaration] = STATE(1083),
    [sym_static_assert_declaration] = STATE(1083),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1083),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3911),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1074] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3913),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(3391),
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_include_token1] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_BANG] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_DASH] = ACTIONS(3389),
    [anon_sym_PLUS] = ACTIONS(3389),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym___cdecl] = ACTIONS(3389),
    [anon_sym___clrcall] = ACTIONS(3389),
    [anon_sym___stdcall] = ACTIONS(3389),
    [anon_sym___fastcall] = ACTIONS(3389),
    [anon_sym___thiscall] = ACTIONS(3389),
    [anon_sym___vectorcall] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3391),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [anon_sym_if] = ACTIONS(3389),
    [anon_sym_switch] = ACTIONS(3389),
    [anon_sym_case] = ACTIONS(3389),
    [anon_sym_default] = ACTIONS(3389),
    [anon_sym_while] = ACTIONS(3389),
    [anon_sym_do] = ACTIONS(3389),
    [anon_sym_for] = ACTIONS(3389),
    [anon_sym_return] = ACTIONS(3389),
    [anon_sym_break] = ACTIONS(3389),
    [anon_sym_continue] = ACTIONS(3389),
    [anon_sym_goto] = ACTIONS(3389),
    [anon_sym_not] = ACTIONS(3389),
    [anon_sym_compl] = ACTIONS(3389),
    [anon_sym_DASH_DASH] = ACTIONS(3391),
    [anon_sym_PLUS_PLUS] = ACTIONS(3391),
    [anon_sym_sizeof] = ACTIONS(3389),
    [anon_sym___alignof__] = ACTIONS(3389),
    [anon_sym___alignof] = ACTIONS(3389),
    [anon_sym__alignof] = ACTIONS(3389),
    [anon_sym_alignof] = ACTIONS(3389),
    [anon_sym__Alignof] = ACTIONS(3389),
    [anon_sym_offsetof] = ACTIONS(3389),
    [anon_sym__Generic] = ACTIONS(3389),
    [anon_sym_asm] = ACTIONS(3389),
    [anon_sym___asm__] = ACTIONS(3389),
    [sym_number_literal] = ACTIONS(3391),
    [anon_sym_L_SQUOTE] = ACTIONS(3391),
    [anon_sym_u_SQUOTE] = ACTIONS(3391),
    [anon_sym_U_SQUOTE] = ACTIONS(3391),
    [anon_sym_u8_SQUOTE] = ACTIONS(3391),
    [anon_sym_SQUOTE] = ACTIONS(3391),
    [anon_sym_L_DQUOTE] = ACTIONS(3391),
    [anon_sym_u_DQUOTE] = ACTIONS(3391),
    [anon_sym_U_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8_DQUOTE] = ACTIONS(3391),
    [anon_sym_DQUOTE] = ACTIONS(3391),
    [sym_true] = ACTIONS(3389),
    [sym_false] = ACTIONS(3389),
    [anon_sym_NULL] = ACTIONS(3389),
    [anon_sym_nullptr] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3389),
    [anon_sym_delete] = ACTIONS(3389),
    [anon_sym_throw] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
    [anon_sym_concept] = ACTIONS(3389),
    [anon_sym_co_return] = ACTIONS(3389),
    [anon_sym_co_yield] = ACTIONS(3389),
    [anon_sym_R_DQUOTE] = ACTIONS(3391),
    [anon_sym_LR_DQUOTE] = ACTIONS(3391),
    [anon_sym_uR_DQUOTE] = ACTIONS(3391),
    [anon_sym_UR_DQUOTE] = ACTIONS(3391),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3391),
    [anon_sym_co_await] = ACTIONS(3389),
    [anon_sym_new] = ACTIONS(3389),
    [anon_sym_requires] = ACTIONS(3389),
    [sym_this] = ACTIONS(3389),
  },
  [1076] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [1077] = {
    [ts_builtin_sym_end] = ACTIONS(3223),
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_include_token1] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_BANG] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_DASH] = ACTIONS(3221),
    [anon_sym_PLUS] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym___cdecl] = ACTIONS(3221),
    [anon_sym___clrcall] = ACTIONS(3221),
    [anon_sym___stdcall] = ACTIONS(3221),
    [anon_sym___fastcall] = ACTIONS(3221),
    [anon_sym___thiscall] = ACTIONS(3221),
    [anon_sym___vectorcall] = ACTIONS(3221),
    [anon_sym_LBRACE] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(3221),
    [anon_sym_switch] = ACTIONS(3221),
    [anon_sym_case] = ACTIONS(3221),
    [anon_sym_default] = ACTIONS(3221),
    [anon_sym_while] = ACTIONS(3221),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_for] = ACTIONS(3221),
    [anon_sym_return] = ACTIONS(3221),
    [anon_sym_break] = ACTIONS(3221),
    [anon_sym_continue] = ACTIONS(3221),
    [anon_sym_goto] = ACTIONS(3221),
    [anon_sym_not] = ACTIONS(3221),
    [anon_sym_compl] = ACTIONS(3221),
    [anon_sym_DASH_DASH] = ACTIONS(3223),
    [anon_sym_PLUS_PLUS] = ACTIONS(3223),
    [anon_sym_sizeof] = ACTIONS(3221),
    [anon_sym___alignof__] = ACTIONS(3221),
    [anon_sym___alignof] = ACTIONS(3221),
    [anon_sym__alignof] = ACTIONS(3221),
    [anon_sym_alignof] = ACTIONS(3221),
    [anon_sym__Alignof] = ACTIONS(3221),
    [anon_sym_offsetof] = ACTIONS(3221),
    [anon_sym__Generic] = ACTIONS(3221),
    [anon_sym_asm] = ACTIONS(3221),
    [anon_sym___asm__] = ACTIONS(3221),
    [sym_number_literal] = ACTIONS(3223),
    [anon_sym_L_SQUOTE] = ACTIONS(3223),
    [anon_sym_u_SQUOTE] = ACTIONS(3223),
    [anon_sym_U_SQUOTE] = ACTIONS(3223),
    [anon_sym_u8_SQUOTE] = ACTIONS(3223),
    [anon_sym_SQUOTE] = ACTIONS(3223),
    [anon_sym_L_DQUOTE] = ACTIONS(3223),
    [anon_sym_u_DQUOTE] = ACTIONS(3223),
    [anon_sym_U_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8_DQUOTE] = ACTIONS(3223),
    [anon_sym_DQUOTE] = ACTIONS(3223),
    [sym_true] = ACTIONS(3221),
    [sym_false] = ACTIONS(3221),
    [anon_sym_NULL] = ACTIONS(3221),
    [anon_sym_nullptr] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_try] = ACTIONS(3221),
    [anon_sym_delete] = ACTIONS(3221),
    [anon_sym_throw] = ACTIONS(3221),
    [anon_sym_namespace] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
    [anon_sym_concept] = ACTIONS(3221),
    [anon_sym_co_return] = ACTIONS(3221),
    [anon_sym_co_yield] = ACTIONS(3221),
    [anon_sym_R_DQUOTE] = ACTIONS(3223),
    [anon_sym_LR_DQUOTE] = ACTIONS(3223),
    [anon_sym_uR_DQUOTE] = ACTIONS(3223),
    [anon_sym_UR_DQUOTE] = ACTIONS(3223),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3223),
    [anon_sym_co_await] = ACTIONS(3221),
    [anon_sym_new] = ACTIONS(3221),
    [anon_sym_requires] = ACTIONS(3221),
    [sym_this] = ACTIONS(3221),
  },
  [1078] = {
    [sym_preproc_def] = STATE(1074),
    [sym_preproc_function_def] = STATE(1074),
    [sym_preproc_call] = STATE(1074),
    [sym_preproc_if_in_field_declaration_list] = STATE(1074),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1074),
    [sym_type_definition] = STATE(1074),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1074),
    [sym_field_declaration] = STATE(1074),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1074),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1074),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1074),
    [sym_operator_cast_declaration] = STATE(1074),
    [sym_constructor_or_destructor_definition] = STATE(1074),
    [sym_constructor_or_destructor_declaration] = STATE(1074),
    [sym_friend_declaration] = STATE(1074),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1074),
    [sym_alias_declaration] = STATE(1074),
    [sym_static_assert_declaration] = STATE(1074),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1074),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3915),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1079] = {
    [ts_builtin_sym_end] = ACTIONS(3387),
    [sym_identifier] = ACTIONS(3385),
    [aux_sym_preproc_include_token1] = ACTIONS(3385),
    [aux_sym_preproc_def_token1] = ACTIONS(3385),
    [aux_sym_preproc_if_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3385),
    [sym_preproc_directive] = ACTIONS(3385),
    [anon_sym_LPAREN2] = ACTIONS(3387),
    [anon_sym_BANG] = ACTIONS(3387),
    [anon_sym_TILDE] = ACTIONS(3387),
    [anon_sym_DASH] = ACTIONS(3385),
    [anon_sym_PLUS] = ACTIONS(3385),
    [anon_sym_STAR] = ACTIONS(3387),
    [anon_sym_AMP_AMP] = ACTIONS(3387),
    [anon_sym_AMP] = ACTIONS(3385),
    [anon_sym___extension__] = ACTIONS(3385),
    [anon_sym_typedef] = ACTIONS(3385),
    [anon_sym_extern] = ACTIONS(3385),
    [anon_sym___attribute__] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(3387),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3387),
    [anon_sym___declspec] = ACTIONS(3385),
    [anon_sym___based] = ACTIONS(3385),
    [anon_sym___cdecl] = ACTIONS(3385),
    [anon_sym___clrcall] = ACTIONS(3385),
    [anon_sym___stdcall] = ACTIONS(3385),
    [anon_sym___fastcall] = ACTIONS(3385),
    [anon_sym___thiscall] = ACTIONS(3385),
    [anon_sym___vectorcall] = ACTIONS(3385),
    [anon_sym_LBRACE] = ACTIONS(3387),
    [anon_sym_signed] = ACTIONS(3385),
    [anon_sym_unsigned] = ACTIONS(3385),
    [anon_sym_long] = ACTIONS(3385),
    [anon_sym_short] = ACTIONS(3385),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_static] = ACTIONS(3385),
    [anon_sym_register] = ACTIONS(3385),
    [anon_sym_inline] = ACTIONS(3385),
    [anon_sym___inline] = ACTIONS(3385),
    [anon_sym___inline__] = ACTIONS(3385),
    [anon_sym___forceinline] = ACTIONS(3385),
    [anon_sym_thread_local] = ACTIONS(3385),
    [anon_sym___thread] = ACTIONS(3385),
    [anon_sym_const] = ACTIONS(3385),
    [anon_sym_constexpr] = ACTIONS(3385),
    [anon_sym_volatile] = ACTIONS(3385),
    [anon_sym_restrict] = ACTIONS(3385),
    [anon_sym___restrict__] = ACTIONS(3385),
    [anon_sym__Atomic] = ACTIONS(3385),
    [anon_sym__Noreturn] = ACTIONS(3385),
    [anon_sym_noreturn] = ACTIONS(3385),
    [anon_sym_mutable] = ACTIONS(3385),
    [anon_sym_constinit] = ACTIONS(3385),
    [anon_sym_consteval] = ACTIONS(3385),
    [sym_primitive_type] = ACTIONS(3385),
    [anon_sym_enum] = ACTIONS(3385),
    [anon_sym_class] = ACTIONS(3385),
    [anon_sym_struct] = ACTIONS(3385),
    [anon_sym_union] = ACTIONS(3385),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_switch] = ACTIONS(3385),
    [anon_sym_case] = ACTIONS(3385),
    [anon_sym_default] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(3385),
    [anon_sym_do] = ACTIONS(3385),
    [anon_sym_for] = ACTIONS(3385),
    [anon_sym_return] = ACTIONS(3385),
    [anon_sym_break] = ACTIONS(3385),
    [anon_sym_continue] = ACTIONS(3385),
    [anon_sym_goto] = ACTIONS(3385),
    [anon_sym_not] = ACTIONS(3385),
    [anon_sym_compl] = ACTIONS(3385),
    [anon_sym_DASH_DASH] = ACTIONS(3387),
    [anon_sym_PLUS_PLUS] = ACTIONS(3387),
    [anon_sym_sizeof] = ACTIONS(3385),
    [anon_sym___alignof__] = ACTIONS(3385),
    [anon_sym___alignof] = ACTIONS(3385),
    [anon_sym__alignof] = ACTIONS(3385),
    [anon_sym_alignof] = ACTIONS(3385),
    [anon_sym__Alignof] = ACTIONS(3385),
    [anon_sym_offsetof] = ACTIONS(3385),
    [anon_sym__Generic] = ACTIONS(3385),
    [anon_sym_asm] = ACTIONS(3385),
    [anon_sym___asm__] = ACTIONS(3385),
    [sym_number_literal] = ACTIONS(3387),
    [anon_sym_L_SQUOTE] = ACTIONS(3387),
    [anon_sym_u_SQUOTE] = ACTIONS(3387),
    [anon_sym_U_SQUOTE] = ACTIONS(3387),
    [anon_sym_u8_SQUOTE] = ACTIONS(3387),
    [anon_sym_SQUOTE] = ACTIONS(3387),
    [anon_sym_L_DQUOTE] = ACTIONS(3387),
    [anon_sym_u_DQUOTE] = ACTIONS(3387),
    [anon_sym_U_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8_DQUOTE] = ACTIONS(3387),
    [anon_sym_DQUOTE] = ACTIONS(3387),
    [sym_true] = ACTIONS(3385),
    [sym_false] = ACTIONS(3385),
    [anon_sym_NULL] = ACTIONS(3385),
    [anon_sym_nullptr] = ACTIONS(3385),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3385),
    [anon_sym_decltype] = ACTIONS(3385),
    [anon_sym_virtual] = ACTIONS(3385),
    [anon_sym_alignas] = ACTIONS(3385),
    [anon_sym_explicit] = ACTIONS(3385),
    [anon_sym_typename] = ACTIONS(3385),
    [anon_sym_template] = ACTIONS(3385),
    [anon_sym_operator] = ACTIONS(3385),
    [anon_sym_try] = ACTIONS(3385),
    [anon_sym_delete] = ACTIONS(3385),
    [anon_sym_throw] = ACTIONS(3385),
    [anon_sym_namespace] = ACTIONS(3385),
    [anon_sym_using] = ACTIONS(3385),
    [anon_sym_static_assert] = ACTIONS(3385),
    [anon_sym_concept] = ACTIONS(3385),
    [anon_sym_co_return] = ACTIONS(3385),
    [anon_sym_co_yield] = ACTIONS(3385),
    [anon_sym_R_DQUOTE] = ACTIONS(3387),
    [anon_sym_LR_DQUOTE] = ACTIONS(3387),
    [anon_sym_uR_DQUOTE] = ACTIONS(3387),
    [anon_sym_UR_DQUOTE] = ACTIONS(3387),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3387),
    [anon_sym_co_await] = ACTIONS(3385),
    [anon_sym_new] = ACTIONS(3385),
    [anon_sym_requires] = ACTIONS(3385),
    [sym_this] = ACTIONS(3385),
  },
  [1080] = {
    [sym_preproc_def] = STATE(1034),
    [sym_preproc_function_def] = STATE(1034),
    [sym_preproc_call] = STATE(1034),
    [sym_preproc_if_in_field_declaration_list] = STATE(1034),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1034),
    [sym_type_definition] = STATE(1034),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6450),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6997),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1034),
    [sym_field_declaration] = STATE(1034),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2129),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1034),
    [sym_operator_cast] = STATE(7530),
    [sym_inline_method_definition] = STATE(1034),
    [sym__constructor_specifiers] = STATE(2129),
    [sym_operator_cast_definition] = STATE(1034),
    [sym_operator_cast_declaration] = STATE(1034),
    [sym_constructor_or_destructor_definition] = STATE(1034),
    [sym_constructor_or_destructor_declaration] = STATE(1034),
    [sym_friend_declaration] = STATE(1034),
    [sym_access_specifier] = STATE(8812),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1034),
    [sym_alias_declaration] = STATE(1034),
    [sym_static_assert_declaration] = STATE(1034),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7530),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1034),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3873),
    [aux_sym_preproc_if_token1] = ACTIONS(3875),
    [aux_sym_preproc_if_token2] = ACTIONS(3917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3879),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3879),
    [sym_preproc_directive] = ACTIONS(3881),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3883),
    [anon_sym_typedef] = ACTIONS(3885),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3887),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3889),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3891),
    [anon_sym_static_assert] = ACTIONS(3893),
  },
  [1081] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3919),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1082] = {
    [sym_preproc_def] = STATE(1081),
    [sym_preproc_function_def] = STATE(1081),
    [sym_preproc_call] = STATE(1081),
    [sym_preproc_if_in_field_declaration_list] = STATE(1081),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1081),
    [sym_type_definition] = STATE(1081),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1081),
    [sym_field_declaration] = STATE(1081),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1081),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1081),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1081),
    [sym_operator_cast_declaration] = STATE(1081),
    [sym_constructor_or_destructor_definition] = STATE(1081),
    [sym_constructor_or_destructor_declaration] = STATE(1081),
    [sym_friend_declaration] = STATE(1081),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1081),
    [sym_alias_declaration] = STATE(1081),
    [sym_static_assert_declaration] = STATE(1081),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3921),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1083] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3923),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1084] = {
    [ts_builtin_sym_end] = ACTIONS(3152),
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_include_token1] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_BANG] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3150),
    [anon_sym_PLUS] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym___cdecl] = ACTIONS(3150),
    [anon_sym___clrcall] = ACTIONS(3150),
    [anon_sym___stdcall] = ACTIONS(3150),
    [anon_sym___fastcall] = ACTIONS(3150),
    [anon_sym___thiscall] = ACTIONS(3150),
    [anon_sym___vectorcall] = ACTIONS(3150),
    [anon_sym_LBRACE] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_switch] = ACTIONS(3150),
    [anon_sym_case] = ACTIONS(3150),
    [anon_sym_default] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_do] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3150),
    [anon_sym_return] = ACTIONS(3150),
    [anon_sym_break] = ACTIONS(3150),
    [anon_sym_continue] = ACTIONS(3150),
    [anon_sym_goto] = ACTIONS(3150),
    [anon_sym_not] = ACTIONS(3150),
    [anon_sym_compl] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3152),
    [anon_sym_PLUS_PLUS] = ACTIONS(3152),
    [anon_sym_sizeof] = ACTIONS(3150),
    [anon_sym___alignof__] = ACTIONS(3150),
    [anon_sym___alignof] = ACTIONS(3150),
    [anon_sym__alignof] = ACTIONS(3150),
    [anon_sym_alignof] = ACTIONS(3150),
    [anon_sym__Alignof] = ACTIONS(3150),
    [anon_sym_offsetof] = ACTIONS(3150),
    [anon_sym__Generic] = ACTIONS(3150),
    [anon_sym_asm] = ACTIONS(3150),
    [anon_sym___asm__] = ACTIONS(3150),
    [sym_number_literal] = ACTIONS(3152),
    [anon_sym_L_SQUOTE] = ACTIONS(3152),
    [anon_sym_u_SQUOTE] = ACTIONS(3152),
    [anon_sym_U_SQUOTE] = ACTIONS(3152),
    [anon_sym_u8_SQUOTE] = ACTIONS(3152),
    [anon_sym_SQUOTE] = ACTIONS(3152),
    [anon_sym_L_DQUOTE] = ACTIONS(3152),
    [anon_sym_u_DQUOTE] = ACTIONS(3152),
    [anon_sym_U_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8_DQUOTE] = ACTIONS(3152),
    [anon_sym_DQUOTE] = ACTIONS(3152),
    [sym_true] = ACTIONS(3150),
    [sym_false] = ACTIONS(3150),
    [anon_sym_NULL] = ACTIONS(3150),
    [anon_sym_nullptr] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_try] = ACTIONS(3150),
    [anon_sym_delete] = ACTIONS(3150),
    [anon_sym_throw] = ACTIONS(3150),
    [anon_sym_namespace] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
    [anon_sym_concept] = ACTIONS(3150),
    [anon_sym_co_return] = ACTIONS(3150),
    [anon_sym_co_yield] = ACTIONS(3150),
    [anon_sym_R_DQUOTE] = ACTIONS(3152),
    [anon_sym_LR_DQUOTE] = ACTIONS(3152),
    [anon_sym_uR_DQUOTE] = ACTIONS(3152),
    [anon_sym_UR_DQUOTE] = ACTIONS(3152),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3152),
    [anon_sym_co_await] = ACTIONS(3150),
    [anon_sym_new] = ACTIONS(3150),
    [anon_sym_requires] = ACTIONS(3150),
    [sym_this] = ACTIONS(3150),
  },
  [1085] = {
    [ts_builtin_sym_end] = ACTIONS(3160),
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_include_token1] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_BANG] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_DASH] = ACTIONS(3158),
    [anon_sym_PLUS] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym___cdecl] = ACTIONS(3158),
    [anon_sym___clrcall] = ACTIONS(3158),
    [anon_sym___stdcall] = ACTIONS(3158),
    [anon_sym___fastcall] = ACTIONS(3158),
    [anon_sym___thiscall] = ACTIONS(3158),
    [anon_sym___vectorcall] = ACTIONS(3158),
    [anon_sym_LBRACE] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_switch] = ACTIONS(3158),
    [anon_sym_case] = ACTIONS(3158),
    [anon_sym_default] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_do] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3158),
    [anon_sym_return] = ACTIONS(3158),
    [anon_sym_break] = ACTIONS(3158),
    [anon_sym_continue] = ACTIONS(3158),
    [anon_sym_goto] = ACTIONS(3158),
    [anon_sym_not] = ACTIONS(3158),
    [anon_sym_compl] = ACTIONS(3158),
    [anon_sym_DASH_DASH] = ACTIONS(3160),
    [anon_sym_PLUS_PLUS] = ACTIONS(3160),
    [anon_sym_sizeof] = ACTIONS(3158),
    [anon_sym___alignof__] = ACTIONS(3158),
    [anon_sym___alignof] = ACTIONS(3158),
    [anon_sym__alignof] = ACTIONS(3158),
    [anon_sym_alignof] = ACTIONS(3158),
    [anon_sym__Alignof] = ACTIONS(3158),
    [anon_sym_offsetof] = ACTIONS(3158),
    [anon_sym__Generic] = ACTIONS(3158),
    [anon_sym_asm] = ACTIONS(3158),
    [anon_sym___asm__] = ACTIONS(3158),
    [sym_number_literal] = ACTIONS(3160),
    [anon_sym_L_SQUOTE] = ACTIONS(3160),
    [anon_sym_u_SQUOTE] = ACTIONS(3160),
    [anon_sym_U_SQUOTE] = ACTIONS(3160),
    [anon_sym_u8_SQUOTE] = ACTIONS(3160),
    [anon_sym_SQUOTE] = ACTIONS(3160),
    [anon_sym_L_DQUOTE] = ACTIONS(3160),
    [anon_sym_u_DQUOTE] = ACTIONS(3160),
    [anon_sym_U_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8_DQUOTE] = ACTIONS(3160),
    [anon_sym_DQUOTE] = ACTIONS(3160),
    [sym_true] = ACTIONS(3158),
    [sym_false] = ACTIONS(3158),
    [anon_sym_NULL] = ACTIONS(3158),
    [anon_sym_nullptr] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_try] = ACTIONS(3158),
    [anon_sym_delete] = ACTIONS(3158),
    [anon_sym_throw] = ACTIONS(3158),
    [anon_sym_namespace] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
    [anon_sym_concept] = ACTIONS(3158),
    [anon_sym_co_return] = ACTIONS(3158),
    [anon_sym_co_yield] = ACTIONS(3158),
    [anon_sym_R_DQUOTE] = ACTIONS(3160),
    [anon_sym_LR_DQUOTE] = ACTIONS(3160),
    [anon_sym_uR_DQUOTE] = ACTIONS(3160),
    [anon_sym_UR_DQUOTE] = ACTIONS(3160),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3160),
    [anon_sym_co_await] = ACTIONS(3158),
    [anon_sym_new] = ACTIONS(3158),
    [anon_sym_requires] = ACTIONS(3158),
    [sym_this] = ACTIONS(3158),
  },
  [1086] = {
    [ts_builtin_sym_end] = ACTIONS(3079),
    [sym_identifier] = ACTIONS(3077),
    [aux_sym_preproc_include_token1] = ACTIONS(3077),
    [aux_sym_preproc_def_token1] = ACTIONS(3077),
    [aux_sym_preproc_if_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3077),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3077),
    [sym_preproc_directive] = ACTIONS(3077),
    [anon_sym_LPAREN2] = ACTIONS(3079),
    [anon_sym_BANG] = ACTIONS(3079),
    [anon_sym_TILDE] = ACTIONS(3079),
    [anon_sym_DASH] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(3077),
    [anon_sym_STAR] = ACTIONS(3079),
    [anon_sym_AMP_AMP] = ACTIONS(3079),
    [anon_sym_AMP] = ACTIONS(3077),
    [anon_sym___extension__] = ACTIONS(3077),
    [anon_sym_typedef] = ACTIONS(3077),
    [anon_sym_extern] = ACTIONS(3077),
    [anon_sym___attribute__] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(3079),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3079),
    [anon_sym___declspec] = ACTIONS(3077),
    [anon_sym___based] = ACTIONS(3077),
    [anon_sym___cdecl] = ACTIONS(3077),
    [anon_sym___clrcall] = ACTIONS(3077),
    [anon_sym___stdcall] = ACTIONS(3077),
    [anon_sym___fastcall] = ACTIONS(3077),
    [anon_sym___thiscall] = ACTIONS(3077),
    [anon_sym___vectorcall] = ACTIONS(3077),
    [anon_sym_LBRACE] = ACTIONS(3079),
    [anon_sym_signed] = ACTIONS(3077),
    [anon_sym_unsigned] = ACTIONS(3077),
    [anon_sym_long] = ACTIONS(3077),
    [anon_sym_short] = ACTIONS(3077),
    [anon_sym_LBRACK] = ACTIONS(3077),
    [anon_sym_static] = ACTIONS(3077),
    [anon_sym_register] = ACTIONS(3077),
    [anon_sym_inline] = ACTIONS(3077),
    [anon_sym___inline] = ACTIONS(3077),
    [anon_sym___inline__] = ACTIONS(3077),
    [anon_sym___forceinline] = ACTIONS(3077),
    [anon_sym_thread_local] = ACTIONS(3077),
    [anon_sym___thread] = ACTIONS(3077),
    [anon_sym_const] = ACTIONS(3077),
    [anon_sym_constexpr] = ACTIONS(3077),
    [anon_sym_volatile] = ACTIONS(3077),
    [anon_sym_restrict] = ACTIONS(3077),
    [anon_sym___restrict__] = ACTIONS(3077),
    [anon_sym__Atomic] = ACTIONS(3077),
    [anon_sym__Noreturn] = ACTIONS(3077),
    [anon_sym_noreturn] = ACTIONS(3077),
    [anon_sym_mutable] = ACTIONS(3077),
    [anon_sym_constinit] = ACTIONS(3077),
    [anon_sym_consteval] = ACTIONS(3077),
    [sym_primitive_type] = ACTIONS(3077),
    [anon_sym_enum] = ACTIONS(3077),
    [anon_sym_class] = ACTIONS(3077),
    [anon_sym_struct] = ACTIONS(3077),
    [anon_sym_union] = ACTIONS(3077),
    [anon_sym_if] = ACTIONS(3077),
    [anon_sym_switch] = ACTIONS(3077),
    [anon_sym_case] = ACTIONS(3077),
    [anon_sym_default] = ACTIONS(3077),
    [anon_sym_while] = ACTIONS(3077),
    [anon_sym_do] = ACTIONS(3077),
    [anon_sym_for] = ACTIONS(3077),
    [anon_sym_return] = ACTIONS(3077),
    [anon_sym_break] = ACTIONS(3077),
    [anon_sym_continue] = ACTIONS(3077),
    [anon_sym_goto] = ACTIONS(3077),
    [anon_sym_not] = ACTIONS(3077),
    [anon_sym_compl] = ACTIONS(3077),
    [anon_sym_DASH_DASH] = ACTIONS(3079),
    [anon_sym_PLUS_PLUS] = ACTIONS(3079),
    [anon_sym_sizeof] = ACTIONS(3077),
    [anon_sym___alignof__] = ACTIONS(3077),
    [anon_sym___alignof] = ACTIONS(3077),
    [anon_sym__alignof] = ACTIONS(3077),
    [anon_sym_alignof] = ACTIONS(3077),
    [anon_sym__Alignof] = ACTIONS(3077),
    [anon_sym_offsetof] = ACTIONS(3077),
    [anon_sym__Generic] = ACTIONS(3077),
    [anon_sym_asm] = ACTIONS(3077),
    [anon_sym___asm__] = ACTIONS(3077),
    [sym_number_literal] = ACTIONS(3079),
    [anon_sym_L_SQUOTE] = ACTIONS(3079),
    [anon_sym_u_SQUOTE] = ACTIONS(3079),
    [anon_sym_U_SQUOTE] = ACTIONS(3079),
    [anon_sym_u8_SQUOTE] = ACTIONS(3079),
    [anon_sym_SQUOTE] = ACTIONS(3079),
    [anon_sym_L_DQUOTE] = ACTIONS(3079),
    [anon_sym_u_DQUOTE] = ACTIONS(3079),
    [anon_sym_U_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8_DQUOTE] = ACTIONS(3079),
    [anon_sym_DQUOTE] = ACTIONS(3079),
    [sym_true] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
    [anon_sym_NULL] = ACTIONS(3077),
    [anon_sym_nullptr] = ACTIONS(3077),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3077),
    [anon_sym_decltype] = ACTIONS(3077),
    [anon_sym_virtual] = ACTIONS(3077),
    [anon_sym_alignas] = ACTIONS(3077),
    [anon_sym_explicit] = ACTIONS(3077),
    [anon_sym_typename] = ACTIONS(3077),
    [anon_sym_template] = ACTIONS(3077),
    [anon_sym_operator] = ACTIONS(3077),
    [anon_sym_try] = ACTIONS(3077),
    [anon_sym_delete] = ACTIONS(3077),
    [anon_sym_throw] = ACTIONS(3077),
    [anon_sym_namespace] = ACTIONS(3077),
    [anon_sym_using] = ACTIONS(3077),
    [anon_sym_static_assert] = ACTIONS(3077),
    [anon_sym_concept] = ACTIONS(3077),
    [anon_sym_co_return] = ACTIONS(3077),
    [anon_sym_co_yield] = ACTIONS(3077),
    [anon_sym_R_DQUOTE] = ACTIONS(3079),
    [anon_sym_LR_DQUOTE] = ACTIONS(3079),
    [anon_sym_uR_DQUOTE] = ACTIONS(3079),
    [anon_sym_UR_DQUOTE] = ACTIONS(3079),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3079),
    [anon_sym_co_await] = ACTIONS(3077),
    [anon_sym_new] = ACTIONS(3077),
    [anon_sym_requires] = ACTIONS(3077),
    [sym_this] = ACTIONS(3077),
  },
  [1087] = {
    [ts_builtin_sym_end] = ACTIONS(3075),
    [sym_identifier] = ACTIONS(3073),
    [aux_sym_preproc_include_token1] = ACTIONS(3073),
    [aux_sym_preproc_def_token1] = ACTIONS(3073),
    [aux_sym_preproc_if_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3073),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3073),
    [sym_preproc_directive] = ACTIONS(3073),
    [anon_sym_LPAREN2] = ACTIONS(3075),
    [anon_sym_BANG] = ACTIONS(3075),
    [anon_sym_TILDE] = ACTIONS(3075),
    [anon_sym_DASH] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(3075),
    [anon_sym_AMP_AMP] = ACTIONS(3075),
    [anon_sym_AMP] = ACTIONS(3073),
    [anon_sym___extension__] = ACTIONS(3073),
    [anon_sym_typedef] = ACTIONS(3073),
    [anon_sym_extern] = ACTIONS(3073),
    [anon_sym___attribute__] = ACTIONS(3073),
    [anon_sym_COLON_COLON] = ACTIONS(3075),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3075),
    [anon_sym___declspec] = ACTIONS(3073),
    [anon_sym___based] = ACTIONS(3073),
    [anon_sym___cdecl] = ACTIONS(3073),
    [anon_sym___clrcall] = ACTIONS(3073),
    [anon_sym___stdcall] = ACTIONS(3073),
    [anon_sym___fastcall] = ACTIONS(3073),
    [anon_sym___thiscall] = ACTIONS(3073),
    [anon_sym___vectorcall] = ACTIONS(3073),
    [anon_sym_LBRACE] = ACTIONS(3075),
    [anon_sym_signed] = ACTIONS(3073),
    [anon_sym_unsigned] = ACTIONS(3073),
    [anon_sym_long] = ACTIONS(3073),
    [anon_sym_short] = ACTIONS(3073),
    [anon_sym_LBRACK] = ACTIONS(3073),
    [anon_sym_static] = ACTIONS(3073),
    [anon_sym_register] = ACTIONS(3073),
    [anon_sym_inline] = ACTIONS(3073),
    [anon_sym___inline] = ACTIONS(3073),
    [anon_sym___inline__] = ACTIONS(3073),
    [anon_sym___forceinline] = ACTIONS(3073),
    [anon_sym_thread_local] = ACTIONS(3073),
    [anon_sym___thread] = ACTIONS(3073),
    [anon_sym_const] = ACTIONS(3073),
    [anon_sym_constexpr] = ACTIONS(3073),
    [anon_sym_volatile] = ACTIONS(3073),
    [anon_sym_restrict] = ACTIONS(3073),
    [anon_sym___restrict__] = ACTIONS(3073),
    [anon_sym__Atomic] = ACTIONS(3073),
    [anon_sym__Noreturn] = ACTIONS(3073),
    [anon_sym_noreturn] = ACTIONS(3073),
    [anon_sym_mutable] = ACTIONS(3073),
    [anon_sym_constinit] = ACTIONS(3073),
    [anon_sym_consteval] = ACTIONS(3073),
    [sym_primitive_type] = ACTIONS(3073),
    [anon_sym_enum] = ACTIONS(3073),
    [anon_sym_class] = ACTIONS(3073),
    [anon_sym_struct] = ACTIONS(3073),
    [anon_sym_union] = ACTIONS(3073),
    [anon_sym_if] = ACTIONS(3073),
    [anon_sym_switch] = ACTIONS(3073),
    [anon_sym_case] = ACTIONS(3073),
    [anon_sym_default] = ACTIONS(3073),
    [anon_sym_while] = ACTIONS(3073),
    [anon_sym_do] = ACTIONS(3073),
    [anon_sym_for] = ACTIONS(3073),
    [anon_sym_return] = ACTIONS(3073),
    [anon_sym_break] = ACTIONS(3073),
    [anon_sym_continue] = ACTIONS(3073),
    [anon_sym_goto] = ACTIONS(3073),
    [anon_sym_not] = ACTIONS(3073),
    [anon_sym_compl] = ACTIONS(3073),
    [anon_sym_DASH_DASH] = ACTIONS(3075),
    [anon_sym_PLUS_PLUS] = ACTIONS(3075),
    [anon_sym_sizeof] = ACTIONS(3073),
    [anon_sym___alignof__] = ACTIONS(3073),
    [anon_sym___alignof] = ACTIONS(3073),
    [anon_sym__alignof] = ACTIONS(3073),
    [anon_sym_alignof] = ACTIONS(3073),
    [anon_sym__Alignof] = ACTIONS(3073),
    [anon_sym_offsetof] = ACTIONS(3073),
    [anon_sym__Generic] = ACTIONS(3073),
    [anon_sym_asm] = ACTIONS(3073),
    [anon_sym___asm__] = ACTIONS(3073),
    [sym_number_literal] = ACTIONS(3075),
    [anon_sym_L_SQUOTE] = ACTIONS(3075),
    [anon_sym_u_SQUOTE] = ACTIONS(3075),
    [anon_sym_U_SQUOTE] = ACTIONS(3075),
    [anon_sym_u8_SQUOTE] = ACTIONS(3075),
    [anon_sym_SQUOTE] = ACTIONS(3075),
    [anon_sym_L_DQUOTE] = ACTIONS(3075),
    [anon_sym_u_DQUOTE] = ACTIONS(3075),
    [anon_sym_U_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8_DQUOTE] = ACTIONS(3075),
    [anon_sym_DQUOTE] = ACTIONS(3075),
    [sym_true] = ACTIONS(3073),
    [sym_false] = ACTIONS(3073),
    [anon_sym_NULL] = ACTIONS(3073),
    [anon_sym_nullptr] = ACTIONS(3073),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3073),
    [anon_sym_decltype] = ACTIONS(3073),
    [anon_sym_virtual] = ACTIONS(3073),
    [anon_sym_alignas] = ACTIONS(3073),
    [anon_sym_explicit] = ACTIONS(3073),
    [anon_sym_typename] = ACTIONS(3073),
    [anon_sym_template] = ACTIONS(3073),
    [anon_sym_operator] = ACTIONS(3073),
    [anon_sym_try] = ACTIONS(3073),
    [anon_sym_delete] = ACTIONS(3073),
    [anon_sym_throw] = ACTIONS(3073),
    [anon_sym_namespace] = ACTIONS(3073),
    [anon_sym_using] = ACTIONS(3073),
    [anon_sym_static_assert] = ACTIONS(3073),
    [anon_sym_concept] = ACTIONS(3073),
    [anon_sym_co_return] = ACTIONS(3073),
    [anon_sym_co_yield] = ACTIONS(3073),
    [anon_sym_R_DQUOTE] = ACTIONS(3075),
    [anon_sym_LR_DQUOTE] = ACTIONS(3075),
    [anon_sym_uR_DQUOTE] = ACTIONS(3075),
    [anon_sym_UR_DQUOTE] = ACTIONS(3075),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3075),
    [anon_sym_co_await] = ACTIONS(3073),
    [anon_sym_new] = ACTIONS(3073),
    [anon_sym_requires] = ACTIONS(3073),
    [sym_this] = ACTIONS(3073),
  },
  [1088] = {
    [ts_builtin_sym_end] = ACTIONS(3383),
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_include_token1] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_BANG] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_DASH] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym___cdecl] = ACTIONS(3381),
    [anon_sym___clrcall] = ACTIONS(3381),
    [anon_sym___stdcall] = ACTIONS(3381),
    [anon_sym___fastcall] = ACTIONS(3381),
    [anon_sym___thiscall] = ACTIONS(3381),
    [anon_sym___vectorcall] = ACTIONS(3381),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [anon_sym_if] = ACTIONS(3381),
    [anon_sym_switch] = ACTIONS(3381),
    [anon_sym_case] = ACTIONS(3381),
    [anon_sym_default] = ACTIONS(3381),
    [anon_sym_while] = ACTIONS(3381),
    [anon_sym_do] = ACTIONS(3381),
    [anon_sym_for] = ACTIONS(3381),
    [anon_sym_return] = ACTIONS(3381),
    [anon_sym_break] = ACTIONS(3381),
    [anon_sym_continue] = ACTIONS(3381),
    [anon_sym_goto] = ACTIONS(3381),
    [anon_sym_not] = ACTIONS(3381),
    [anon_sym_compl] = ACTIONS(3381),
    [anon_sym_DASH_DASH] = ACTIONS(3383),
    [anon_sym_PLUS_PLUS] = ACTIONS(3383),
    [anon_sym_sizeof] = ACTIONS(3381),
    [anon_sym___alignof__] = ACTIONS(3381),
    [anon_sym___alignof] = ACTIONS(3381),
    [anon_sym__alignof] = ACTIONS(3381),
    [anon_sym_alignof] = ACTIONS(3381),
    [anon_sym__Alignof] = ACTIONS(3381),
    [anon_sym_offsetof] = ACTIONS(3381),
    [anon_sym__Generic] = ACTIONS(3381),
    [anon_sym_asm] = ACTIONS(3381),
    [anon_sym___asm__] = ACTIONS(3381),
    [sym_number_literal] = ACTIONS(3383),
    [anon_sym_L_SQUOTE] = ACTIONS(3383),
    [anon_sym_u_SQUOTE] = ACTIONS(3383),
    [anon_sym_U_SQUOTE] = ACTIONS(3383),
    [anon_sym_u8_SQUOTE] = ACTIONS(3383),
    [anon_sym_SQUOTE] = ACTIONS(3383),
    [anon_sym_L_DQUOTE] = ACTIONS(3383),
    [anon_sym_u_DQUOTE] = ACTIONS(3383),
    [anon_sym_U_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8_DQUOTE] = ACTIONS(3383),
    [anon_sym_DQUOTE] = ACTIONS(3383),
    [sym_true] = ACTIONS(3381),
    [sym_false] = ACTIONS(3381),
    [anon_sym_NULL] = ACTIONS(3381),
    [anon_sym_nullptr] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_try] = ACTIONS(3381),
    [anon_sym_delete] = ACTIONS(3381),
    [anon_sym_throw] = ACTIONS(3381),
    [anon_sym_namespace] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
    [anon_sym_concept] = ACTIONS(3381),
    [anon_sym_co_return] = ACTIONS(3381),
    [anon_sym_co_yield] = ACTIONS(3381),
    [anon_sym_R_DQUOTE] = ACTIONS(3383),
    [anon_sym_LR_DQUOTE] = ACTIONS(3383),
    [anon_sym_uR_DQUOTE] = ACTIONS(3383),
    [anon_sym_UR_DQUOTE] = ACTIONS(3383),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3383),
    [anon_sym_co_await] = ACTIONS(3381),
    [anon_sym_new] = ACTIONS(3381),
    [anon_sym_requires] = ACTIONS(3381),
    [sym_this] = ACTIONS(3381),
  },
  [1089] = {
    [ts_builtin_sym_end] = ACTIONS(3379),
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_include_token1] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_BANG] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_DASH] = ACTIONS(3377),
    [anon_sym_PLUS] = ACTIONS(3377),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym___cdecl] = ACTIONS(3377),
    [anon_sym___clrcall] = ACTIONS(3377),
    [anon_sym___stdcall] = ACTIONS(3377),
    [anon_sym___fastcall] = ACTIONS(3377),
    [anon_sym___thiscall] = ACTIONS(3377),
    [anon_sym___vectorcall] = ACTIONS(3377),
    [anon_sym_LBRACE] = ACTIONS(3379),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [anon_sym_if] = ACTIONS(3377),
    [anon_sym_switch] = ACTIONS(3377),
    [anon_sym_case] = ACTIONS(3377),
    [anon_sym_default] = ACTIONS(3377),
    [anon_sym_while] = ACTIONS(3377),
    [anon_sym_do] = ACTIONS(3377),
    [anon_sym_for] = ACTIONS(3377),
    [anon_sym_return] = ACTIONS(3377),
    [anon_sym_break] = ACTIONS(3377),
    [anon_sym_continue] = ACTIONS(3377),
    [anon_sym_goto] = ACTIONS(3377),
    [anon_sym_not] = ACTIONS(3377),
    [anon_sym_compl] = ACTIONS(3377),
    [anon_sym_DASH_DASH] = ACTIONS(3379),
    [anon_sym_PLUS_PLUS] = ACTIONS(3379),
    [anon_sym_sizeof] = ACTIONS(3377),
    [anon_sym___alignof__] = ACTIONS(3377),
    [anon_sym___alignof] = ACTIONS(3377),
    [anon_sym__alignof] = ACTIONS(3377),
    [anon_sym_alignof] = ACTIONS(3377),
    [anon_sym__Alignof] = ACTIONS(3377),
    [anon_sym_offsetof] = ACTIONS(3377),
    [anon_sym__Generic] = ACTIONS(3377),
    [anon_sym_asm] = ACTIONS(3377),
    [anon_sym___asm__] = ACTIONS(3377),
    [sym_number_literal] = ACTIONS(3379),
    [anon_sym_L_SQUOTE] = ACTIONS(3379),
    [anon_sym_u_SQUOTE] = ACTIONS(3379),
    [anon_sym_U_SQUOTE] = ACTIONS(3379),
    [anon_sym_u8_SQUOTE] = ACTIONS(3379),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_L_DQUOTE] = ACTIONS(3379),
    [anon_sym_u_DQUOTE] = ACTIONS(3379),
    [anon_sym_U_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8_DQUOTE] = ACTIONS(3379),
    [anon_sym_DQUOTE] = ACTIONS(3379),
    [sym_true] = ACTIONS(3377),
    [sym_false] = ACTIONS(3377),
    [anon_sym_NULL] = ACTIONS(3377),
    [anon_sym_nullptr] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_delete] = ACTIONS(3377),
    [anon_sym_throw] = ACTIONS(3377),
    [anon_sym_namespace] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
    [anon_sym_concept] = ACTIONS(3377),
    [anon_sym_co_return] = ACTIONS(3377),
    [anon_sym_co_yield] = ACTIONS(3377),
    [anon_sym_R_DQUOTE] = ACTIONS(3379),
    [anon_sym_LR_DQUOTE] = ACTIONS(3379),
    [anon_sym_uR_DQUOTE] = ACTIONS(3379),
    [anon_sym_UR_DQUOTE] = ACTIONS(3379),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3379),
    [anon_sym_co_await] = ACTIONS(3377),
    [anon_sym_new] = ACTIONS(3377),
    [anon_sym_requires] = ACTIONS(3377),
    [sym_this] = ACTIONS(3377),
  },
  [1090] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3925),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1091] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [1092] = {
    [ts_builtin_sym_end] = ACTIONS(3213),
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_include_token1] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_BANG] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_DASH] = ACTIONS(3211),
    [anon_sym_PLUS] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym___cdecl] = ACTIONS(3211),
    [anon_sym___clrcall] = ACTIONS(3211),
    [anon_sym___stdcall] = ACTIONS(3211),
    [anon_sym___fastcall] = ACTIONS(3211),
    [anon_sym___thiscall] = ACTIONS(3211),
    [anon_sym___vectorcall] = ACTIONS(3211),
    [anon_sym_LBRACE] = ACTIONS(3213),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [anon_sym_if] = ACTIONS(3211),
    [anon_sym_switch] = ACTIONS(3211),
    [anon_sym_case] = ACTIONS(3211),
    [anon_sym_default] = ACTIONS(3211),
    [anon_sym_while] = ACTIONS(3211),
    [anon_sym_do] = ACTIONS(3211),
    [anon_sym_for] = ACTIONS(3211),
    [anon_sym_return] = ACTIONS(3211),
    [anon_sym_break] = ACTIONS(3211),
    [anon_sym_continue] = ACTIONS(3211),
    [anon_sym_goto] = ACTIONS(3211),
    [anon_sym_not] = ACTIONS(3211),
    [anon_sym_compl] = ACTIONS(3211),
    [anon_sym_DASH_DASH] = ACTIONS(3213),
    [anon_sym_PLUS_PLUS] = ACTIONS(3213),
    [anon_sym_sizeof] = ACTIONS(3211),
    [anon_sym___alignof__] = ACTIONS(3211),
    [anon_sym___alignof] = ACTIONS(3211),
    [anon_sym__alignof] = ACTIONS(3211),
    [anon_sym_alignof] = ACTIONS(3211),
    [anon_sym__Alignof] = ACTIONS(3211),
    [anon_sym_offsetof] = ACTIONS(3211),
    [anon_sym__Generic] = ACTIONS(3211),
    [anon_sym_asm] = ACTIONS(3211),
    [anon_sym___asm__] = ACTIONS(3211),
    [sym_number_literal] = ACTIONS(3213),
    [anon_sym_L_SQUOTE] = ACTIONS(3213),
    [anon_sym_u_SQUOTE] = ACTIONS(3213),
    [anon_sym_U_SQUOTE] = ACTIONS(3213),
    [anon_sym_u8_SQUOTE] = ACTIONS(3213),
    [anon_sym_SQUOTE] = ACTIONS(3213),
    [anon_sym_L_DQUOTE] = ACTIONS(3213),
    [anon_sym_u_DQUOTE] = ACTIONS(3213),
    [anon_sym_U_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8_DQUOTE] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(3213),
    [sym_true] = ACTIONS(3211),
    [sym_false] = ACTIONS(3211),
    [anon_sym_NULL] = ACTIONS(3211),
    [anon_sym_nullptr] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_try] = ACTIONS(3211),
    [anon_sym_delete] = ACTIONS(3211),
    [anon_sym_throw] = ACTIONS(3211),
    [anon_sym_namespace] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
    [anon_sym_concept] = ACTIONS(3211),
    [anon_sym_co_return] = ACTIONS(3211),
    [anon_sym_co_yield] = ACTIONS(3211),
    [anon_sym_R_DQUOTE] = ACTIONS(3213),
    [anon_sym_LR_DQUOTE] = ACTIONS(3213),
    [anon_sym_uR_DQUOTE] = ACTIONS(3213),
    [anon_sym_UR_DQUOTE] = ACTIONS(3213),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3213),
    [anon_sym_co_await] = ACTIONS(3211),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_requires] = ACTIONS(3211),
    [sym_this] = ACTIONS(3211),
  },
  [1093] = {
    [ts_builtin_sym_end] = ACTIONS(3927),
    [sym_identifier] = ACTIONS(3929),
    [aux_sym_preproc_include_token1] = ACTIONS(3929),
    [aux_sym_preproc_def_token1] = ACTIONS(3929),
    [aux_sym_preproc_if_token1] = ACTIONS(3929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3929),
    [sym_preproc_directive] = ACTIONS(3929),
    [anon_sym_LPAREN2] = ACTIONS(3927),
    [anon_sym_BANG] = ACTIONS(3927),
    [anon_sym_TILDE] = ACTIONS(3927),
    [anon_sym_DASH] = ACTIONS(3929),
    [anon_sym_PLUS] = ACTIONS(3929),
    [anon_sym_STAR] = ACTIONS(3927),
    [anon_sym_AMP_AMP] = ACTIONS(3927),
    [anon_sym_AMP] = ACTIONS(3929),
    [anon_sym___extension__] = ACTIONS(3929),
    [anon_sym_typedef] = ACTIONS(3929),
    [anon_sym_extern] = ACTIONS(3929),
    [anon_sym___attribute__] = ACTIONS(3929),
    [anon_sym_COLON_COLON] = ACTIONS(3927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3927),
    [anon_sym___declspec] = ACTIONS(3929),
    [anon_sym___based] = ACTIONS(3929),
    [anon_sym___cdecl] = ACTIONS(3929),
    [anon_sym___clrcall] = ACTIONS(3929),
    [anon_sym___stdcall] = ACTIONS(3929),
    [anon_sym___fastcall] = ACTIONS(3929),
    [anon_sym___thiscall] = ACTIONS(3929),
    [anon_sym___vectorcall] = ACTIONS(3929),
    [anon_sym_LBRACE] = ACTIONS(3927),
    [anon_sym_signed] = ACTIONS(3929),
    [anon_sym_unsigned] = ACTIONS(3929),
    [anon_sym_long] = ACTIONS(3929),
    [anon_sym_short] = ACTIONS(3929),
    [anon_sym_LBRACK] = ACTIONS(3929),
    [anon_sym_static] = ACTIONS(3929),
    [anon_sym_register] = ACTIONS(3929),
    [anon_sym_inline] = ACTIONS(3929),
    [anon_sym___inline] = ACTIONS(3929),
    [anon_sym___inline__] = ACTIONS(3929),
    [anon_sym___forceinline] = ACTIONS(3929),
    [anon_sym_thread_local] = ACTIONS(3929),
    [anon_sym___thread] = ACTIONS(3929),
    [anon_sym_const] = ACTIONS(3929),
    [anon_sym_constexpr] = ACTIONS(3929),
    [anon_sym_volatile] = ACTIONS(3929),
    [anon_sym_restrict] = ACTIONS(3929),
    [anon_sym___restrict__] = ACTIONS(3929),
    [anon_sym__Atomic] = ACTIONS(3929),
    [anon_sym__Noreturn] = ACTIONS(3929),
    [anon_sym_noreturn] = ACTIONS(3929),
    [anon_sym_mutable] = ACTIONS(3929),
    [anon_sym_constinit] = ACTIONS(3929),
    [anon_sym_consteval] = ACTIONS(3929),
    [sym_primitive_type] = ACTIONS(3929),
    [anon_sym_enum] = ACTIONS(3929),
    [anon_sym_class] = ACTIONS(3929),
    [anon_sym_struct] = ACTIONS(3929),
    [anon_sym_union] = ACTIONS(3929),
    [anon_sym_if] = ACTIONS(3929),
    [anon_sym_switch] = ACTIONS(3929),
    [anon_sym_case] = ACTIONS(3929),
    [anon_sym_default] = ACTIONS(3929),
    [anon_sym_while] = ACTIONS(3929),
    [anon_sym_do] = ACTIONS(3929),
    [anon_sym_for] = ACTIONS(3929),
    [anon_sym_return] = ACTIONS(3929),
    [anon_sym_break] = ACTIONS(3929),
    [anon_sym_continue] = ACTIONS(3929),
    [anon_sym_goto] = ACTIONS(3929),
    [anon_sym_not] = ACTIONS(3929),
    [anon_sym_compl] = ACTIONS(3929),
    [anon_sym_DASH_DASH] = ACTIONS(3927),
    [anon_sym_PLUS_PLUS] = ACTIONS(3927),
    [anon_sym_sizeof] = ACTIONS(3929),
    [anon_sym___alignof__] = ACTIONS(3929),
    [anon_sym___alignof] = ACTIONS(3929),
    [anon_sym__alignof] = ACTIONS(3929),
    [anon_sym_alignof] = ACTIONS(3929),
    [anon_sym__Alignof] = ACTIONS(3929),
    [anon_sym_offsetof] = ACTIONS(3929),
    [anon_sym__Generic] = ACTIONS(3929),
    [anon_sym_asm] = ACTIONS(3929),
    [anon_sym___asm__] = ACTIONS(3929),
    [sym_number_literal] = ACTIONS(3927),
    [anon_sym_L_SQUOTE] = ACTIONS(3927),
    [anon_sym_u_SQUOTE] = ACTIONS(3927),
    [anon_sym_U_SQUOTE] = ACTIONS(3927),
    [anon_sym_u8_SQUOTE] = ACTIONS(3927),
    [anon_sym_SQUOTE] = ACTIONS(3927),
    [anon_sym_L_DQUOTE] = ACTIONS(3927),
    [anon_sym_u_DQUOTE] = ACTIONS(3927),
    [anon_sym_U_DQUOTE] = ACTIONS(3927),
    [anon_sym_u8_DQUOTE] = ACTIONS(3927),
    [anon_sym_DQUOTE] = ACTIONS(3927),
    [sym_true] = ACTIONS(3929),
    [sym_false] = ACTIONS(3929),
    [anon_sym_NULL] = ACTIONS(3929),
    [anon_sym_nullptr] = ACTIONS(3929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3929),
    [anon_sym_decltype] = ACTIONS(3929),
    [anon_sym_virtual] = ACTIONS(3929),
    [anon_sym_alignas] = ACTIONS(3929),
    [anon_sym_explicit] = ACTIONS(3929),
    [anon_sym_typename] = ACTIONS(3929),
    [anon_sym_template] = ACTIONS(3929),
    [anon_sym_operator] = ACTIONS(3929),
    [anon_sym_try] = ACTIONS(3929),
    [anon_sym_delete] = ACTIONS(3929),
    [anon_sym_throw] = ACTIONS(3929),
    [anon_sym_namespace] = ACTIONS(3929),
    [anon_sym_using] = ACTIONS(3929),
    [anon_sym_static_assert] = ACTIONS(3929),
    [anon_sym_concept] = ACTIONS(3929),
    [anon_sym_co_return] = ACTIONS(3929),
    [anon_sym_co_yield] = ACTIONS(3929),
    [anon_sym_R_DQUOTE] = ACTIONS(3927),
    [anon_sym_LR_DQUOTE] = ACTIONS(3927),
    [anon_sym_uR_DQUOTE] = ACTIONS(3927),
    [anon_sym_UR_DQUOTE] = ACTIONS(3927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3927),
    [anon_sym_co_await] = ACTIONS(3929),
    [anon_sym_new] = ACTIONS(3929),
    [anon_sym_requires] = ACTIONS(3929),
    [sym_this] = ACTIONS(3929),
  },
  [1094] = {
    [ts_builtin_sym_end] = ACTIONS(3375),
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_include_token1] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_BANG] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_DASH] = ACTIONS(3373),
    [anon_sym_PLUS] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym___cdecl] = ACTIONS(3373),
    [anon_sym___clrcall] = ACTIONS(3373),
    [anon_sym___stdcall] = ACTIONS(3373),
    [anon_sym___fastcall] = ACTIONS(3373),
    [anon_sym___thiscall] = ACTIONS(3373),
    [anon_sym___vectorcall] = ACTIONS(3373),
    [anon_sym_LBRACE] = ACTIONS(3375),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_switch] = ACTIONS(3373),
    [anon_sym_case] = ACTIONS(3373),
    [anon_sym_default] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(3373),
    [anon_sym_do] = ACTIONS(3373),
    [anon_sym_for] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3373),
    [anon_sym_break] = ACTIONS(3373),
    [anon_sym_continue] = ACTIONS(3373),
    [anon_sym_goto] = ACTIONS(3373),
    [anon_sym_not] = ACTIONS(3373),
    [anon_sym_compl] = ACTIONS(3373),
    [anon_sym_DASH_DASH] = ACTIONS(3375),
    [anon_sym_PLUS_PLUS] = ACTIONS(3375),
    [anon_sym_sizeof] = ACTIONS(3373),
    [anon_sym___alignof__] = ACTIONS(3373),
    [anon_sym___alignof] = ACTIONS(3373),
    [anon_sym__alignof] = ACTIONS(3373),
    [anon_sym_alignof] = ACTIONS(3373),
    [anon_sym__Alignof] = ACTIONS(3373),
    [anon_sym_offsetof] = ACTIONS(3373),
    [anon_sym__Generic] = ACTIONS(3373),
    [anon_sym_asm] = ACTIONS(3373),
    [anon_sym___asm__] = ACTIONS(3373),
    [sym_number_literal] = ACTIONS(3375),
    [anon_sym_L_SQUOTE] = ACTIONS(3375),
    [anon_sym_u_SQUOTE] = ACTIONS(3375),
    [anon_sym_U_SQUOTE] = ACTIONS(3375),
    [anon_sym_u8_SQUOTE] = ACTIONS(3375),
    [anon_sym_SQUOTE] = ACTIONS(3375),
    [anon_sym_L_DQUOTE] = ACTIONS(3375),
    [anon_sym_u_DQUOTE] = ACTIONS(3375),
    [anon_sym_U_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8_DQUOTE] = ACTIONS(3375),
    [anon_sym_DQUOTE] = ACTIONS(3375),
    [sym_true] = ACTIONS(3373),
    [sym_false] = ACTIONS(3373),
    [anon_sym_NULL] = ACTIONS(3373),
    [anon_sym_nullptr] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_try] = ACTIONS(3373),
    [anon_sym_delete] = ACTIONS(3373),
    [anon_sym_throw] = ACTIONS(3373),
    [anon_sym_namespace] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
    [anon_sym_concept] = ACTIONS(3373),
    [anon_sym_co_return] = ACTIONS(3373),
    [anon_sym_co_yield] = ACTIONS(3373),
    [anon_sym_R_DQUOTE] = ACTIONS(3375),
    [anon_sym_LR_DQUOTE] = ACTIONS(3375),
    [anon_sym_uR_DQUOTE] = ACTIONS(3375),
    [anon_sym_UR_DQUOTE] = ACTIONS(3375),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3375),
    [anon_sym_co_await] = ACTIONS(3373),
    [anon_sym_new] = ACTIONS(3373),
    [anon_sym_requires] = ACTIONS(3373),
    [sym_this] = ACTIONS(3373),
  },
  [1095] = {
    [ts_builtin_sym_end] = ACTIONS(3015),
    [sym_identifier] = ACTIONS(3013),
    [aux_sym_preproc_include_token1] = ACTIONS(3013),
    [aux_sym_preproc_def_token1] = ACTIONS(3013),
    [aux_sym_preproc_if_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3013),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3013),
    [sym_preproc_directive] = ACTIONS(3013),
    [anon_sym_LPAREN2] = ACTIONS(3015),
    [anon_sym_BANG] = ACTIONS(3015),
    [anon_sym_TILDE] = ACTIONS(3015),
    [anon_sym_DASH] = ACTIONS(3013),
    [anon_sym_PLUS] = ACTIONS(3013),
    [anon_sym_STAR] = ACTIONS(3015),
    [anon_sym_AMP_AMP] = ACTIONS(3015),
    [anon_sym_AMP] = ACTIONS(3013),
    [anon_sym___extension__] = ACTIONS(3013),
    [anon_sym_typedef] = ACTIONS(3013),
    [anon_sym_extern] = ACTIONS(3013),
    [anon_sym___attribute__] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(3015),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3015),
    [anon_sym___declspec] = ACTIONS(3013),
    [anon_sym___based] = ACTIONS(3013),
    [anon_sym___cdecl] = ACTIONS(3013),
    [anon_sym___clrcall] = ACTIONS(3013),
    [anon_sym___stdcall] = ACTIONS(3013),
    [anon_sym___fastcall] = ACTIONS(3013),
    [anon_sym___thiscall] = ACTIONS(3013),
    [anon_sym___vectorcall] = ACTIONS(3013),
    [anon_sym_LBRACE] = ACTIONS(3015),
    [anon_sym_signed] = ACTIONS(3013),
    [anon_sym_unsigned] = ACTIONS(3013),
    [anon_sym_long] = ACTIONS(3013),
    [anon_sym_short] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(3013),
    [anon_sym_static] = ACTIONS(3013),
    [anon_sym_register] = ACTIONS(3013),
    [anon_sym_inline] = ACTIONS(3013),
    [anon_sym___inline] = ACTIONS(3013),
    [anon_sym___inline__] = ACTIONS(3013),
    [anon_sym___forceinline] = ACTIONS(3013),
    [anon_sym_thread_local] = ACTIONS(3013),
    [anon_sym___thread] = ACTIONS(3013),
    [anon_sym_const] = ACTIONS(3013),
    [anon_sym_constexpr] = ACTIONS(3013),
    [anon_sym_volatile] = ACTIONS(3013),
    [anon_sym_restrict] = ACTIONS(3013),
    [anon_sym___restrict__] = ACTIONS(3013),
    [anon_sym__Atomic] = ACTIONS(3013),
    [anon_sym__Noreturn] = ACTIONS(3013),
    [anon_sym_noreturn] = ACTIONS(3013),
    [anon_sym_mutable] = ACTIONS(3013),
    [anon_sym_constinit] = ACTIONS(3013),
    [anon_sym_consteval] = ACTIONS(3013),
    [sym_primitive_type] = ACTIONS(3013),
    [anon_sym_enum] = ACTIONS(3013),
    [anon_sym_class] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(3013),
    [anon_sym_union] = ACTIONS(3013),
    [anon_sym_if] = ACTIONS(3013),
    [anon_sym_switch] = ACTIONS(3013),
    [anon_sym_case] = ACTIONS(3013),
    [anon_sym_default] = ACTIONS(3013),
    [anon_sym_while] = ACTIONS(3013),
    [anon_sym_do] = ACTIONS(3013),
    [anon_sym_for] = ACTIONS(3013),
    [anon_sym_return] = ACTIONS(3013),
    [anon_sym_break] = ACTIONS(3013),
    [anon_sym_continue] = ACTIONS(3013),
    [anon_sym_goto] = ACTIONS(3013),
    [anon_sym_not] = ACTIONS(3013),
    [anon_sym_compl] = ACTIONS(3013),
    [anon_sym_DASH_DASH] = ACTIONS(3015),
    [anon_sym_PLUS_PLUS] = ACTIONS(3015),
    [anon_sym_sizeof] = ACTIONS(3013),
    [anon_sym___alignof__] = ACTIONS(3013),
    [anon_sym___alignof] = ACTIONS(3013),
    [anon_sym__alignof] = ACTIONS(3013),
    [anon_sym_alignof] = ACTIONS(3013),
    [anon_sym__Alignof] = ACTIONS(3013),
    [anon_sym_offsetof] = ACTIONS(3013),
    [anon_sym__Generic] = ACTIONS(3013),
    [anon_sym_asm] = ACTIONS(3013),
    [anon_sym___asm__] = ACTIONS(3013),
    [sym_number_literal] = ACTIONS(3015),
    [anon_sym_L_SQUOTE] = ACTIONS(3015),
    [anon_sym_u_SQUOTE] = ACTIONS(3015),
    [anon_sym_U_SQUOTE] = ACTIONS(3015),
    [anon_sym_u8_SQUOTE] = ACTIONS(3015),
    [anon_sym_SQUOTE] = ACTIONS(3015),
    [anon_sym_L_DQUOTE] = ACTIONS(3015),
    [anon_sym_u_DQUOTE] = ACTIONS(3015),
    [anon_sym_U_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8_DQUOTE] = ACTIONS(3015),
    [anon_sym_DQUOTE] = ACTIONS(3015),
    [sym_true] = ACTIONS(3013),
    [sym_false] = ACTIONS(3013),
    [anon_sym_NULL] = ACTIONS(3013),
    [anon_sym_nullptr] = ACTIONS(3013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3013),
    [anon_sym_decltype] = ACTIONS(3013),
    [anon_sym_virtual] = ACTIONS(3013),
    [anon_sym_alignas] = ACTIONS(3013),
    [anon_sym_explicit] = ACTIONS(3013),
    [anon_sym_typename] = ACTIONS(3013),
    [anon_sym_template] = ACTIONS(3013),
    [anon_sym_operator] = ACTIONS(3013),
    [anon_sym_try] = ACTIONS(3013),
    [anon_sym_delete] = ACTIONS(3013),
    [anon_sym_throw] = ACTIONS(3013),
    [anon_sym_namespace] = ACTIONS(3013),
    [anon_sym_using] = ACTIONS(3013),
    [anon_sym_static_assert] = ACTIONS(3013),
    [anon_sym_concept] = ACTIONS(3013),
    [anon_sym_co_return] = ACTIONS(3013),
    [anon_sym_co_yield] = ACTIONS(3013),
    [anon_sym_R_DQUOTE] = ACTIONS(3015),
    [anon_sym_LR_DQUOTE] = ACTIONS(3015),
    [anon_sym_uR_DQUOTE] = ACTIONS(3015),
    [anon_sym_UR_DQUOTE] = ACTIONS(3015),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3015),
    [anon_sym_co_await] = ACTIONS(3013),
    [anon_sym_new] = ACTIONS(3013),
    [anon_sym_requires] = ACTIONS(3013),
    [sym_this] = ACTIONS(3013),
  },
  [1096] = {
    [ts_builtin_sym_end] = ACTIONS(3350),
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_include_token1] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_BANG] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_DASH] = ACTIONS(3348),
    [anon_sym_PLUS] = ACTIONS(3348),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym___cdecl] = ACTIONS(3348),
    [anon_sym___clrcall] = ACTIONS(3348),
    [anon_sym___stdcall] = ACTIONS(3348),
    [anon_sym___fastcall] = ACTIONS(3348),
    [anon_sym___thiscall] = ACTIONS(3348),
    [anon_sym___vectorcall] = ACTIONS(3348),
    [anon_sym_LBRACE] = ACTIONS(3350),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_if] = ACTIONS(3348),
    [anon_sym_switch] = ACTIONS(3348),
    [anon_sym_case] = ACTIONS(3348),
    [anon_sym_default] = ACTIONS(3348),
    [anon_sym_while] = ACTIONS(3348),
    [anon_sym_do] = ACTIONS(3348),
    [anon_sym_for] = ACTIONS(3348),
    [anon_sym_return] = ACTIONS(3348),
    [anon_sym_break] = ACTIONS(3348),
    [anon_sym_continue] = ACTIONS(3348),
    [anon_sym_goto] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3348),
    [anon_sym_compl] = ACTIONS(3348),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3348),
    [anon_sym___alignof__] = ACTIONS(3348),
    [anon_sym___alignof] = ACTIONS(3348),
    [anon_sym__alignof] = ACTIONS(3348),
    [anon_sym_alignof] = ACTIONS(3348),
    [anon_sym__Alignof] = ACTIONS(3348),
    [anon_sym_offsetof] = ACTIONS(3348),
    [anon_sym__Generic] = ACTIONS(3348),
    [anon_sym_asm] = ACTIONS(3348),
    [anon_sym___asm__] = ACTIONS(3348),
    [sym_number_literal] = ACTIONS(3350),
    [anon_sym_L_SQUOTE] = ACTIONS(3350),
    [anon_sym_u_SQUOTE] = ACTIONS(3350),
    [anon_sym_U_SQUOTE] = ACTIONS(3350),
    [anon_sym_u8_SQUOTE] = ACTIONS(3350),
    [anon_sym_SQUOTE] = ACTIONS(3350),
    [anon_sym_L_DQUOTE] = ACTIONS(3350),
    [anon_sym_u_DQUOTE] = ACTIONS(3350),
    [anon_sym_U_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8_DQUOTE] = ACTIONS(3350),
    [anon_sym_DQUOTE] = ACTIONS(3350),
    [sym_true] = ACTIONS(3348),
    [sym_false] = ACTIONS(3348),
    [anon_sym_NULL] = ACTIONS(3348),
    [anon_sym_nullptr] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_try] = ACTIONS(3348),
    [anon_sym_delete] = ACTIONS(3348),
    [anon_sym_throw] = ACTIONS(3348),
    [anon_sym_namespace] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
    [anon_sym_concept] = ACTIONS(3348),
    [anon_sym_co_return] = ACTIONS(3348),
    [anon_sym_co_yield] = ACTIONS(3348),
    [anon_sym_R_DQUOTE] = ACTIONS(3350),
    [anon_sym_LR_DQUOTE] = ACTIONS(3350),
    [anon_sym_uR_DQUOTE] = ACTIONS(3350),
    [anon_sym_UR_DQUOTE] = ACTIONS(3350),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3350),
    [anon_sym_co_await] = ACTIONS(3348),
    [anon_sym_new] = ACTIONS(3348),
    [anon_sym_requires] = ACTIONS(3348),
    [sym_this] = ACTIONS(3348),
  },
  [1097] = {
    [sym_preproc_def] = STATE(1019),
    [sym_preproc_function_def] = STATE(1019),
    [sym_preproc_call] = STATE(1019),
    [sym_preproc_if_in_field_declaration_list] = STATE(1019),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1019),
    [sym_type_definition] = STATE(1019),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1019),
    [sym_field_declaration] = STATE(1019),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1019),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1019),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1019),
    [sym_operator_cast_declaration] = STATE(1019),
    [sym_constructor_or_destructor_definition] = STATE(1019),
    [sym_constructor_or_destructor_declaration] = STATE(1019),
    [sym_friend_declaration] = STATE(1019),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1019),
    [sym_alias_declaration] = STATE(1019),
    [sym_static_assert_declaration] = STATE(1019),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1019),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1098] = {
    [ts_builtin_sym_end] = ACTIONS(3142),
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [1099] = {
    [ts_builtin_sym_end] = ACTIONS(3156),
    [sym_identifier] = ACTIONS(3154),
    [aux_sym_preproc_include_token1] = ACTIONS(3154),
    [aux_sym_preproc_def_token1] = ACTIONS(3154),
    [aux_sym_preproc_if_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3154),
    [sym_preproc_directive] = ACTIONS(3154),
    [anon_sym_LPAREN2] = ACTIONS(3156),
    [anon_sym_BANG] = ACTIONS(3156),
    [anon_sym_TILDE] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3154),
    [anon_sym_PLUS] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3154),
    [anon_sym_typedef] = ACTIONS(3154),
    [anon_sym_extern] = ACTIONS(3154),
    [anon_sym___attribute__] = ACTIONS(3154),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3156),
    [anon_sym___declspec] = ACTIONS(3154),
    [anon_sym___based] = ACTIONS(3154),
    [anon_sym___cdecl] = ACTIONS(3154),
    [anon_sym___clrcall] = ACTIONS(3154),
    [anon_sym___stdcall] = ACTIONS(3154),
    [anon_sym___fastcall] = ACTIONS(3154),
    [anon_sym___thiscall] = ACTIONS(3154),
    [anon_sym___vectorcall] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3154),
    [anon_sym_unsigned] = ACTIONS(3154),
    [anon_sym_long] = ACTIONS(3154),
    [anon_sym_short] = ACTIONS(3154),
    [anon_sym_LBRACK] = ACTIONS(3154),
    [anon_sym_static] = ACTIONS(3154),
    [anon_sym_register] = ACTIONS(3154),
    [anon_sym_inline] = ACTIONS(3154),
    [anon_sym___inline] = ACTIONS(3154),
    [anon_sym___inline__] = ACTIONS(3154),
    [anon_sym___forceinline] = ACTIONS(3154),
    [anon_sym_thread_local] = ACTIONS(3154),
    [anon_sym___thread] = ACTIONS(3154),
    [anon_sym_const] = ACTIONS(3154),
    [anon_sym_constexpr] = ACTIONS(3154),
    [anon_sym_volatile] = ACTIONS(3154),
    [anon_sym_restrict] = ACTIONS(3154),
    [anon_sym___restrict__] = ACTIONS(3154),
    [anon_sym__Atomic] = ACTIONS(3154),
    [anon_sym__Noreturn] = ACTIONS(3154),
    [anon_sym_noreturn] = ACTIONS(3154),
    [anon_sym_mutable] = ACTIONS(3154),
    [anon_sym_constinit] = ACTIONS(3154),
    [anon_sym_consteval] = ACTIONS(3154),
    [sym_primitive_type] = ACTIONS(3154),
    [anon_sym_enum] = ACTIONS(3154),
    [anon_sym_class] = ACTIONS(3154),
    [anon_sym_struct] = ACTIONS(3154),
    [anon_sym_union] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_switch] = ACTIONS(3154),
    [anon_sym_case] = ACTIONS(3154),
    [anon_sym_default] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_do] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3154),
    [anon_sym_return] = ACTIONS(3154),
    [anon_sym_break] = ACTIONS(3154),
    [anon_sym_continue] = ACTIONS(3154),
    [anon_sym_goto] = ACTIONS(3154),
    [anon_sym_not] = ACTIONS(3154),
    [anon_sym_compl] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3156),
    [anon_sym_PLUS_PLUS] = ACTIONS(3156),
    [anon_sym_sizeof] = ACTIONS(3154),
    [anon_sym___alignof__] = ACTIONS(3154),
    [anon_sym___alignof] = ACTIONS(3154),
    [anon_sym__alignof] = ACTIONS(3154),
    [anon_sym_alignof] = ACTIONS(3154),
    [anon_sym__Alignof] = ACTIONS(3154),
    [anon_sym_offsetof] = ACTIONS(3154),
    [anon_sym__Generic] = ACTIONS(3154),
    [anon_sym_asm] = ACTIONS(3154),
    [anon_sym___asm__] = ACTIONS(3154),
    [sym_number_literal] = ACTIONS(3156),
    [anon_sym_L_SQUOTE] = ACTIONS(3156),
    [anon_sym_u_SQUOTE] = ACTIONS(3156),
    [anon_sym_U_SQUOTE] = ACTIONS(3156),
    [anon_sym_u8_SQUOTE] = ACTIONS(3156),
    [anon_sym_SQUOTE] = ACTIONS(3156),
    [anon_sym_L_DQUOTE] = ACTIONS(3156),
    [anon_sym_u_DQUOTE] = ACTIONS(3156),
    [anon_sym_U_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8_DQUOTE] = ACTIONS(3156),
    [anon_sym_DQUOTE] = ACTIONS(3156),
    [sym_true] = ACTIONS(3154),
    [sym_false] = ACTIONS(3154),
    [anon_sym_NULL] = ACTIONS(3154),
    [anon_sym_nullptr] = ACTIONS(3154),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3154),
    [anon_sym_decltype] = ACTIONS(3154),
    [anon_sym_virtual] = ACTIONS(3154),
    [anon_sym_alignas] = ACTIONS(3154),
    [anon_sym_explicit] = ACTIONS(3154),
    [anon_sym_typename] = ACTIONS(3154),
    [anon_sym_template] = ACTIONS(3154),
    [anon_sym_operator] = ACTIONS(3154),
    [anon_sym_try] = ACTIONS(3154),
    [anon_sym_delete] = ACTIONS(3154),
    [anon_sym_throw] = ACTIONS(3154),
    [anon_sym_namespace] = ACTIONS(3154),
    [anon_sym_using] = ACTIONS(3154),
    [anon_sym_static_assert] = ACTIONS(3154),
    [anon_sym_concept] = ACTIONS(3154),
    [anon_sym_co_return] = ACTIONS(3154),
    [anon_sym_co_yield] = ACTIONS(3154),
    [anon_sym_R_DQUOTE] = ACTIONS(3156),
    [anon_sym_LR_DQUOTE] = ACTIONS(3156),
    [anon_sym_uR_DQUOTE] = ACTIONS(3156),
    [anon_sym_UR_DQUOTE] = ACTIONS(3156),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3156),
    [anon_sym_co_await] = ACTIONS(3154),
    [anon_sym_new] = ACTIONS(3154),
    [anon_sym_requires] = ACTIONS(3154),
    [sym_this] = ACTIONS(3154),
  },
  [1100] = {
    [ts_builtin_sym_end] = ACTIONS(3164),
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_include_token1] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_BANG] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3162),
    [anon_sym_PLUS] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym___cdecl] = ACTIONS(3162),
    [anon_sym___clrcall] = ACTIONS(3162),
    [anon_sym___stdcall] = ACTIONS(3162),
    [anon_sym___fastcall] = ACTIONS(3162),
    [anon_sym___thiscall] = ACTIONS(3162),
    [anon_sym___vectorcall] = ACTIONS(3162),
    [anon_sym_LBRACE] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_switch] = ACTIONS(3162),
    [anon_sym_case] = ACTIONS(3162),
    [anon_sym_default] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_do] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3162),
    [anon_sym_return] = ACTIONS(3162),
    [anon_sym_break] = ACTIONS(3162),
    [anon_sym_continue] = ACTIONS(3162),
    [anon_sym_goto] = ACTIONS(3162),
    [anon_sym_not] = ACTIONS(3162),
    [anon_sym_compl] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3164),
    [anon_sym_PLUS_PLUS] = ACTIONS(3164),
    [anon_sym_sizeof] = ACTIONS(3162),
    [anon_sym___alignof__] = ACTIONS(3162),
    [anon_sym___alignof] = ACTIONS(3162),
    [anon_sym__alignof] = ACTIONS(3162),
    [anon_sym_alignof] = ACTIONS(3162),
    [anon_sym__Alignof] = ACTIONS(3162),
    [anon_sym_offsetof] = ACTIONS(3162),
    [anon_sym__Generic] = ACTIONS(3162),
    [anon_sym_asm] = ACTIONS(3162),
    [anon_sym___asm__] = ACTIONS(3162),
    [sym_number_literal] = ACTIONS(3164),
    [anon_sym_L_SQUOTE] = ACTIONS(3164),
    [anon_sym_u_SQUOTE] = ACTIONS(3164),
    [anon_sym_U_SQUOTE] = ACTIONS(3164),
    [anon_sym_u8_SQUOTE] = ACTIONS(3164),
    [anon_sym_SQUOTE] = ACTIONS(3164),
    [anon_sym_L_DQUOTE] = ACTIONS(3164),
    [anon_sym_u_DQUOTE] = ACTIONS(3164),
    [anon_sym_U_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8_DQUOTE] = ACTIONS(3164),
    [anon_sym_DQUOTE] = ACTIONS(3164),
    [sym_true] = ACTIONS(3162),
    [sym_false] = ACTIONS(3162),
    [anon_sym_NULL] = ACTIONS(3162),
    [anon_sym_nullptr] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_try] = ACTIONS(3162),
    [anon_sym_delete] = ACTIONS(3162),
    [anon_sym_throw] = ACTIONS(3162),
    [anon_sym_namespace] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
    [anon_sym_concept] = ACTIONS(3162),
    [anon_sym_co_return] = ACTIONS(3162),
    [anon_sym_co_yield] = ACTIONS(3162),
    [anon_sym_R_DQUOTE] = ACTIONS(3164),
    [anon_sym_LR_DQUOTE] = ACTIONS(3164),
    [anon_sym_uR_DQUOTE] = ACTIONS(3164),
    [anon_sym_UR_DQUOTE] = ACTIONS(3164),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3164),
    [anon_sym_co_await] = ACTIONS(3162),
    [anon_sym_new] = ACTIONS(3162),
    [anon_sym_requires] = ACTIONS(3162),
    [sym_this] = ACTIONS(3162),
  },
  [1101] = {
    [ts_builtin_sym_end] = ACTIONS(3346),
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_include_token1] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_BANG] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_DASH] = ACTIONS(3344),
    [anon_sym_PLUS] = ACTIONS(3344),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym___cdecl] = ACTIONS(3344),
    [anon_sym___clrcall] = ACTIONS(3344),
    [anon_sym___stdcall] = ACTIONS(3344),
    [anon_sym___fastcall] = ACTIONS(3344),
    [anon_sym___thiscall] = ACTIONS(3344),
    [anon_sym___vectorcall] = ACTIONS(3344),
    [anon_sym_LBRACE] = ACTIONS(3346),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [anon_sym_if] = ACTIONS(3344),
    [anon_sym_switch] = ACTIONS(3344),
    [anon_sym_case] = ACTIONS(3344),
    [anon_sym_default] = ACTIONS(3344),
    [anon_sym_while] = ACTIONS(3344),
    [anon_sym_do] = ACTIONS(3344),
    [anon_sym_for] = ACTIONS(3344),
    [anon_sym_return] = ACTIONS(3344),
    [anon_sym_break] = ACTIONS(3344),
    [anon_sym_continue] = ACTIONS(3344),
    [anon_sym_goto] = ACTIONS(3344),
    [anon_sym_not] = ACTIONS(3344),
    [anon_sym_compl] = ACTIONS(3344),
    [anon_sym_DASH_DASH] = ACTIONS(3346),
    [anon_sym_PLUS_PLUS] = ACTIONS(3346),
    [anon_sym_sizeof] = ACTIONS(3344),
    [anon_sym___alignof__] = ACTIONS(3344),
    [anon_sym___alignof] = ACTIONS(3344),
    [anon_sym__alignof] = ACTIONS(3344),
    [anon_sym_alignof] = ACTIONS(3344),
    [anon_sym__Alignof] = ACTIONS(3344),
    [anon_sym_offsetof] = ACTIONS(3344),
    [anon_sym__Generic] = ACTIONS(3344),
    [anon_sym_asm] = ACTIONS(3344),
    [anon_sym___asm__] = ACTIONS(3344),
    [sym_number_literal] = ACTIONS(3346),
    [anon_sym_L_SQUOTE] = ACTIONS(3346),
    [anon_sym_u_SQUOTE] = ACTIONS(3346),
    [anon_sym_U_SQUOTE] = ACTIONS(3346),
    [anon_sym_u8_SQUOTE] = ACTIONS(3346),
    [anon_sym_SQUOTE] = ACTIONS(3346),
    [anon_sym_L_DQUOTE] = ACTIONS(3346),
    [anon_sym_u_DQUOTE] = ACTIONS(3346),
    [anon_sym_U_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8_DQUOTE] = ACTIONS(3346),
    [anon_sym_DQUOTE] = ACTIONS(3346),
    [sym_true] = ACTIONS(3344),
    [sym_false] = ACTIONS(3344),
    [anon_sym_NULL] = ACTIONS(3344),
    [anon_sym_nullptr] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_try] = ACTIONS(3344),
    [anon_sym_delete] = ACTIONS(3344),
    [anon_sym_throw] = ACTIONS(3344),
    [anon_sym_namespace] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
    [anon_sym_concept] = ACTIONS(3344),
    [anon_sym_co_return] = ACTIONS(3344),
    [anon_sym_co_yield] = ACTIONS(3344),
    [anon_sym_R_DQUOTE] = ACTIONS(3346),
    [anon_sym_LR_DQUOTE] = ACTIONS(3346),
    [anon_sym_uR_DQUOTE] = ACTIONS(3346),
    [anon_sym_UR_DQUOTE] = ACTIONS(3346),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3346),
    [anon_sym_co_await] = ACTIONS(3344),
    [anon_sym_new] = ACTIONS(3344),
    [anon_sym_requires] = ACTIONS(3344),
    [sym_this] = ACTIONS(3344),
  },
  [1102] = {
    [ts_builtin_sym_end] = ACTIONS(3255),
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [1103] = {
    [ts_builtin_sym_end] = ACTIONS(3168),
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_include_token1] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_BANG] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3166),
    [anon_sym_PLUS] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym___cdecl] = ACTIONS(3166),
    [anon_sym___clrcall] = ACTIONS(3166),
    [anon_sym___stdcall] = ACTIONS(3166),
    [anon_sym___fastcall] = ACTIONS(3166),
    [anon_sym___thiscall] = ACTIONS(3166),
    [anon_sym___vectorcall] = ACTIONS(3166),
    [anon_sym_LBRACE] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_switch] = ACTIONS(3166),
    [anon_sym_case] = ACTIONS(3166),
    [anon_sym_default] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_do] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3166),
    [anon_sym_return] = ACTIONS(3166),
    [anon_sym_break] = ACTIONS(3166),
    [anon_sym_continue] = ACTIONS(3166),
    [anon_sym_goto] = ACTIONS(3166),
    [anon_sym_not] = ACTIONS(3166),
    [anon_sym_compl] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3168),
    [anon_sym_PLUS_PLUS] = ACTIONS(3168),
    [anon_sym_sizeof] = ACTIONS(3166),
    [anon_sym___alignof__] = ACTIONS(3166),
    [anon_sym___alignof] = ACTIONS(3166),
    [anon_sym__alignof] = ACTIONS(3166),
    [anon_sym_alignof] = ACTIONS(3166),
    [anon_sym__Alignof] = ACTIONS(3166),
    [anon_sym_offsetof] = ACTIONS(3166),
    [anon_sym__Generic] = ACTIONS(3166),
    [anon_sym_asm] = ACTIONS(3166),
    [anon_sym___asm__] = ACTIONS(3166),
    [sym_number_literal] = ACTIONS(3168),
    [anon_sym_L_SQUOTE] = ACTIONS(3168),
    [anon_sym_u_SQUOTE] = ACTIONS(3168),
    [anon_sym_U_SQUOTE] = ACTIONS(3168),
    [anon_sym_u8_SQUOTE] = ACTIONS(3168),
    [anon_sym_SQUOTE] = ACTIONS(3168),
    [anon_sym_L_DQUOTE] = ACTIONS(3168),
    [anon_sym_u_DQUOTE] = ACTIONS(3168),
    [anon_sym_U_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8_DQUOTE] = ACTIONS(3168),
    [anon_sym_DQUOTE] = ACTIONS(3168),
    [sym_true] = ACTIONS(3166),
    [sym_false] = ACTIONS(3166),
    [anon_sym_NULL] = ACTIONS(3166),
    [anon_sym_nullptr] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_try] = ACTIONS(3166),
    [anon_sym_delete] = ACTIONS(3166),
    [anon_sym_throw] = ACTIONS(3166),
    [anon_sym_namespace] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
    [anon_sym_concept] = ACTIONS(3166),
    [anon_sym_co_return] = ACTIONS(3166),
    [anon_sym_co_yield] = ACTIONS(3166),
    [anon_sym_R_DQUOTE] = ACTIONS(3168),
    [anon_sym_LR_DQUOTE] = ACTIONS(3168),
    [anon_sym_uR_DQUOTE] = ACTIONS(3168),
    [anon_sym_UR_DQUOTE] = ACTIONS(3168),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3168),
    [anon_sym_co_await] = ACTIONS(3166),
    [anon_sym_new] = ACTIONS(3166),
    [anon_sym_requires] = ACTIONS(3166),
    [sym_this] = ACTIONS(3166),
  },
  [1104] = {
    [ts_builtin_sym_end] = ACTIONS(3251),
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [1105] = {
    [ts_builtin_sym_end] = ACTIONS(3247),
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [1106] = {
    [sym_preproc_def] = STATE(1107),
    [sym_preproc_function_def] = STATE(1107),
    [sym_preproc_call] = STATE(1107),
    [sym_preproc_if_in_field_declaration_list] = STATE(1107),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1107),
    [sym_type_definition] = STATE(1107),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1107),
    [sym_field_declaration] = STATE(1107),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1107),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1107),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1107),
    [sym_operator_cast_declaration] = STATE(1107),
    [sym_constructor_or_destructor_definition] = STATE(1107),
    [sym_constructor_or_destructor_declaration] = STATE(1107),
    [sym_friend_declaration] = STATE(1107),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1107),
    [sym_alias_declaration] = STATE(1107),
    [sym_static_assert_declaration] = STATE(1107),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1107),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3933),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1107] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3935),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1108] = {
    [ts_builtin_sym_end] = ACTIONS(3176),
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_include_token1] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_BANG] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_DASH] = ACTIONS(3174),
    [anon_sym_PLUS] = ACTIONS(3174),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym___cdecl] = ACTIONS(3174),
    [anon_sym___clrcall] = ACTIONS(3174),
    [anon_sym___stdcall] = ACTIONS(3174),
    [anon_sym___fastcall] = ACTIONS(3174),
    [anon_sym___thiscall] = ACTIONS(3174),
    [anon_sym___vectorcall] = ACTIONS(3174),
    [anon_sym_LBRACE] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_switch] = ACTIONS(3174),
    [anon_sym_case] = ACTIONS(3174),
    [anon_sym_default] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_do] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3174),
    [anon_sym_return] = ACTIONS(3174),
    [anon_sym_break] = ACTIONS(3174),
    [anon_sym_continue] = ACTIONS(3174),
    [anon_sym_goto] = ACTIONS(3174),
    [anon_sym_not] = ACTIONS(3174),
    [anon_sym_compl] = ACTIONS(3174),
    [anon_sym_DASH_DASH] = ACTIONS(3176),
    [anon_sym_PLUS_PLUS] = ACTIONS(3176),
    [anon_sym_sizeof] = ACTIONS(3174),
    [anon_sym___alignof__] = ACTIONS(3174),
    [anon_sym___alignof] = ACTIONS(3174),
    [anon_sym__alignof] = ACTIONS(3174),
    [anon_sym_alignof] = ACTIONS(3174),
    [anon_sym__Alignof] = ACTIONS(3174),
    [anon_sym_offsetof] = ACTIONS(3174),
    [anon_sym__Generic] = ACTIONS(3174),
    [anon_sym_asm] = ACTIONS(3174),
    [anon_sym___asm__] = ACTIONS(3174),
    [sym_number_literal] = ACTIONS(3176),
    [anon_sym_L_SQUOTE] = ACTIONS(3176),
    [anon_sym_u_SQUOTE] = ACTIONS(3176),
    [anon_sym_U_SQUOTE] = ACTIONS(3176),
    [anon_sym_u8_SQUOTE] = ACTIONS(3176),
    [anon_sym_SQUOTE] = ACTIONS(3176),
    [anon_sym_L_DQUOTE] = ACTIONS(3176),
    [anon_sym_u_DQUOTE] = ACTIONS(3176),
    [anon_sym_U_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8_DQUOTE] = ACTIONS(3176),
    [anon_sym_DQUOTE] = ACTIONS(3176),
    [sym_true] = ACTIONS(3174),
    [sym_false] = ACTIONS(3174),
    [anon_sym_NULL] = ACTIONS(3174),
    [anon_sym_nullptr] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_try] = ACTIONS(3174),
    [anon_sym_delete] = ACTIONS(3174),
    [anon_sym_throw] = ACTIONS(3174),
    [anon_sym_namespace] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
    [anon_sym_concept] = ACTIONS(3174),
    [anon_sym_co_return] = ACTIONS(3174),
    [anon_sym_co_yield] = ACTIONS(3174),
    [anon_sym_R_DQUOTE] = ACTIONS(3176),
    [anon_sym_LR_DQUOTE] = ACTIONS(3176),
    [anon_sym_uR_DQUOTE] = ACTIONS(3176),
    [anon_sym_UR_DQUOTE] = ACTIONS(3176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3176),
    [anon_sym_co_await] = ACTIONS(3174),
    [anon_sym_new] = ACTIONS(3174),
    [anon_sym_requires] = ACTIONS(3174),
    [sym_this] = ACTIONS(3174),
  },
  [1109] = {
    [sym_preproc_def] = STATE(1110),
    [sym_preproc_function_def] = STATE(1110),
    [sym_preproc_call] = STATE(1110),
    [sym_preproc_if_in_field_declaration_list] = STATE(1110),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1110),
    [sym_type_definition] = STATE(1110),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1110),
    [sym_field_declaration] = STATE(1110),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1110),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1110),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1110),
    [sym_operator_cast_declaration] = STATE(1110),
    [sym_constructor_or_destructor_definition] = STATE(1110),
    [sym_constructor_or_destructor_declaration] = STATE(1110),
    [sym_friend_declaration] = STATE(1110),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1110),
    [sym_alias_declaration] = STATE(1110),
    [sym_static_assert_declaration] = STATE(1110),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1110),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3937),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1110] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3017),
    [aux_sym_preproc_def_token1] = ACTIONS(3793),
    [aux_sym_preproc_if_token1] = ACTIONS(3795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3797),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3797),
    [sym_preproc_directive] = ACTIONS(3799),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(3801),
    [anon_sym_typedef] = ACTIONS(3803),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3047),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3939),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_public] = ACTIONS(3067),
    [anon_sym_private] = ACTIONS(3067),
    [anon_sym_protected] = ACTIONS(3067),
    [anon_sym_using] = ACTIONS(3811),
    [anon_sym_static_assert] = ACTIONS(3813),
  },
  [1111] = {
    [sym_preproc_def] = STATE(1111),
    [sym_preproc_function_def] = STATE(1111),
    [sym_preproc_call] = STATE(1111),
    [sym_preproc_if_in_field_declaration_list] = STATE(1111),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1111),
    [sym_type_definition] = STATE(1111),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(6433),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__field_declaration_list_item] = STATE(1111),
    [sym_field_declaration] = STATE(1111),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1111),
    [sym_operator_cast] = STATE(7522),
    [sym_inline_method_definition] = STATE(1111),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(1111),
    [sym_operator_cast_declaration] = STATE(1111),
    [sym_constructor_or_destructor_definition] = STATE(1111),
    [sym_constructor_or_destructor_declaration] = STATE(1111),
    [sym_friend_declaration] = STATE(1111),
    [sym_access_specifier] = STATE(8912),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_using_declaration] = STATE(1111),
    [sym_alias_declaration] = STATE(1111),
    [sym_static_assert_declaration] = STATE(1111),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6257),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1111),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(3575),
    [aux_sym_preproc_def_token1] = ACTIONS(3941),
    [aux_sym_preproc_if_token1] = ACTIONS(3944),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3947),
    [sym_preproc_directive] = ACTIONS(3950),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3595),
    [anon_sym_STAR] = ACTIONS(3598),
    [anon_sym_AMP_AMP] = ACTIONS(3601),
    [anon_sym_AMP] = ACTIONS(3604),
    [anon_sym___extension__] = ACTIONS(3953),
    [anon_sym_typedef] = ACTIONS(3956),
    [anon_sym_extern] = ACTIONS(3613),
    [anon_sym___attribute__] = ACTIONS(3616),
    [anon_sym_COLON_COLON] = ACTIONS(3619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3622),
    [anon_sym___declspec] = ACTIONS(3625),
    [anon_sym___based] = ACTIONS(3628),
    [anon_sym_RBRACE] = ACTIONS(3959),
    [anon_sym_signed] = ACTIONS(3631),
    [anon_sym_unsigned] = ACTIONS(3631),
    [anon_sym_long] = ACTIONS(3631),
    [anon_sym_short] = ACTIONS(3631),
    [anon_sym_LBRACK] = ACTIONS(3634),
    [anon_sym_static] = ACTIONS(3613),
    [anon_sym_register] = ACTIONS(3613),
    [anon_sym_inline] = ACTIONS(3613),
    [anon_sym___inline] = ACTIONS(3613),
    [anon_sym___inline__] = ACTIONS(3613),
    [anon_sym___forceinline] = ACTIONS(3613),
    [anon_sym_thread_local] = ACTIONS(3613),
    [anon_sym___thread] = ACTIONS(3613),
    [anon_sym_const] = ACTIONS(3637),
    [anon_sym_constexpr] = ACTIONS(3637),
    [anon_sym_volatile] = ACTIONS(3637),
    [anon_sym_restrict] = ACTIONS(3637),
    [anon_sym___restrict__] = ACTIONS(3637),
    [anon_sym__Atomic] = ACTIONS(3637),
    [anon_sym__Noreturn] = ACTIONS(3637),
    [anon_sym_noreturn] = ACTIONS(3637),
    [anon_sym_mutable] = ACTIONS(3637),
    [anon_sym_constinit] = ACTIONS(3637),
    [anon_sym_consteval] = ACTIONS(3637),
    [sym_primitive_type] = ACTIONS(3640),
    [anon_sym_enum] = ACTIONS(3643),
    [anon_sym_class] = ACTIONS(3646),
    [anon_sym_struct] = ACTIONS(3649),
    [anon_sym_union] = ACTIONS(3652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3655),
    [anon_sym_decltype] = ACTIONS(3658),
    [anon_sym_virtual] = ACTIONS(3661),
    [anon_sym_alignas] = ACTIONS(3664),
    [anon_sym_explicit] = ACTIONS(3667),
    [anon_sym_typename] = ACTIONS(3670),
    [anon_sym_template] = ACTIONS(3961),
    [anon_sym_operator] = ACTIONS(3676),
    [anon_sym_friend] = ACTIONS(3964),
    [anon_sym_public] = ACTIONS(3682),
    [anon_sym_private] = ACTIONS(3682),
    [anon_sym_protected] = ACTIONS(3682),
    [anon_sym_using] = ACTIONS(3967),
    [anon_sym_static_assert] = ACTIONS(3970),
  },
  [1112] = {
    [ts_builtin_sym_end] = ACTIONS(3201),
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_include_token1] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_BANG] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(3199),
    [anon_sym_PLUS] = ACTIONS(3199),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym___cdecl] = ACTIONS(3199),
    [anon_sym___clrcall] = ACTIONS(3199),
    [anon_sym___stdcall] = ACTIONS(3199),
    [anon_sym___fastcall] = ACTIONS(3199),
    [anon_sym___thiscall] = ACTIONS(3199),
    [anon_sym___vectorcall] = ACTIONS(3199),
    [anon_sym_LBRACE] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [anon_sym_if] = ACTIONS(3199),
    [anon_sym_switch] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_default] = ACTIONS(3199),
    [anon_sym_while] = ACTIONS(3199),
    [anon_sym_do] = ACTIONS(3199),
    [anon_sym_for] = ACTIONS(3199),
    [anon_sym_return] = ACTIONS(3199),
    [anon_sym_break] = ACTIONS(3199),
    [anon_sym_continue] = ACTIONS(3199),
    [anon_sym_goto] = ACTIONS(3199),
    [anon_sym_not] = ACTIONS(3199),
    [anon_sym_compl] = ACTIONS(3199),
    [anon_sym_DASH_DASH] = ACTIONS(3201),
    [anon_sym_PLUS_PLUS] = ACTIONS(3201),
    [anon_sym_sizeof] = ACTIONS(3199),
    [anon_sym___alignof__] = ACTIONS(3199),
    [anon_sym___alignof] = ACTIONS(3199),
    [anon_sym__alignof] = ACTIONS(3199),
    [anon_sym_alignof] = ACTIONS(3199),
    [anon_sym__Alignof] = ACTIONS(3199),
    [anon_sym_offsetof] = ACTIONS(3199),
    [anon_sym__Generic] = ACTIONS(3199),
    [anon_sym_asm] = ACTIONS(3199),
    [anon_sym___asm__] = ACTIONS(3199),
    [sym_number_literal] = ACTIONS(3201),
    [anon_sym_L_SQUOTE] = ACTIONS(3201),
    [anon_sym_u_SQUOTE] = ACTIONS(3201),
    [anon_sym_U_SQUOTE] = ACTIONS(3201),
    [anon_sym_u8_SQUOTE] = ACTIONS(3201),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_L_DQUOTE] = ACTIONS(3201),
    [anon_sym_u_DQUOTE] = ACTIONS(3201),
    [anon_sym_U_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8_DQUOTE] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(3201),
    [sym_true] = ACTIONS(3199),
    [sym_false] = ACTIONS(3199),
    [anon_sym_NULL] = ACTIONS(3199),
    [anon_sym_nullptr] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_try] = ACTIONS(3199),
    [anon_sym_delete] = ACTIONS(3199),
    [anon_sym_throw] = ACTIONS(3199),
    [anon_sym_namespace] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
    [anon_sym_concept] = ACTIONS(3199),
    [anon_sym_co_return] = ACTIONS(3199),
    [anon_sym_co_yield] = ACTIONS(3199),
    [anon_sym_R_DQUOTE] = ACTIONS(3201),
    [anon_sym_LR_DQUOTE] = ACTIONS(3201),
    [anon_sym_uR_DQUOTE] = ACTIONS(3201),
    [anon_sym_UR_DQUOTE] = ACTIONS(3201),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3201),
    [anon_sym_co_await] = ACTIONS(3199),
    [anon_sym_new] = ACTIONS(3199),
    [anon_sym_requires] = ACTIONS(3199),
    [sym_this] = ACTIONS(3199),
  },
  [1113] = {
    [ts_builtin_sym_end] = ACTIONS(3334),
    [sym_identifier] = ACTIONS(3332),
    [aux_sym_preproc_include_token1] = ACTIONS(3332),
    [aux_sym_preproc_def_token1] = ACTIONS(3332),
    [aux_sym_preproc_if_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3332),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3332),
    [sym_preproc_directive] = ACTIONS(3332),
    [anon_sym_LPAREN2] = ACTIONS(3334),
    [anon_sym_BANG] = ACTIONS(3334),
    [anon_sym_TILDE] = ACTIONS(3334),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP_AMP] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3332),
    [anon_sym___extension__] = ACTIONS(3332),
    [anon_sym_typedef] = ACTIONS(3332),
    [anon_sym_extern] = ACTIONS(3332),
    [anon_sym___attribute__] = ACTIONS(3332),
    [anon_sym_COLON_COLON] = ACTIONS(3334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3334),
    [anon_sym___declspec] = ACTIONS(3332),
    [anon_sym___based] = ACTIONS(3332),
    [anon_sym___cdecl] = ACTIONS(3332),
    [anon_sym___clrcall] = ACTIONS(3332),
    [anon_sym___stdcall] = ACTIONS(3332),
    [anon_sym___fastcall] = ACTIONS(3332),
    [anon_sym___thiscall] = ACTIONS(3332),
    [anon_sym___vectorcall] = ACTIONS(3332),
    [anon_sym_LBRACE] = ACTIONS(3334),
    [anon_sym_signed] = ACTIONS(3332),
    [anon_sym_unsigned] = ACTIONS(3332),
    [anon_sym_long] = ACTIONS(3332),
    [anon_sym_short] = ACTIONS(3332),
    [anon_sym_LBRACK] = ACTIONS(3332),
    [anon_sym_static] = ACTIONS(3332),
    [anon_sym_register] = ACTIONS(3332),
    [anon_sym_inline] = ACTIONS(3332),
    [anon_sym___inline] = ACTIONS(3332),
    [anon_sym___inline__] = ACTIONS(3332),
    [anon_sym___forceinline] = ACTIONS(3332),
    [anon_sym_thread_local] = ACTIONS(3332),
    [anon_sym___thread] = ACTIONS(3332),
    [anon_sym_const] = ACTIONS(3332),
    [anon_sym_constexpr] = ACTIONS(3332),
    [anon_sym_volatile] = ACTIONS(3332),
    [anon_sym_restrict] = ACTIONS(3332),
    [anon_sym___restrict__] = ACTIONS(3332),
    [anon_sym__Atomic] = ACTIONS(3332),
    [anon_sym__Noreturn] = ACTIONS(3332),
    [anon_sym_noreturn] = ACTIONS(3332),
    [anon_sym_mutable] = ACTIONS(3332),
    [anon_sym_constinit] = ACTIONS(3332),
    [anon_sym_consteval] = ACTIONS(3332),
    [sym_primitive_type] = ACTIONS(3332),
    [anon_sym_enum] = ACTIONS(3332),
    [anon_sym_class] = ACTIONS(3332),
    [anon_sym_struct] = ACTIONS(3332),
    [anon_sym_union] = ACTIONS(3332),
    [anon_sym_if] = ACTIONS(3332),
    [anon_sym_switch] = ACTIONS(3332),
    [anon_sym_case] = ACTIONS(3332),
    [anon_sym_default] = ACTIONS(3332),
    [anon_sym_while] = ACTIONS(3332),
    [anon_sym_do] = ACTIONS(3332),
    [anon_sym_for] = ACTIONS(3332),
    [anon_sym_return] = ACTIONS(3332),
    [anon_sym_break] = ACTIONS(3332),
    [anon_sym_continue] = ACTIONS(3332),
    [anon_sym_goto] = ACTIONS(3332),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3334),
    [anon_sym_PLUS_PLUS] = ACTIONS(3334),
    [anon_sym_sizeof] = ACTIONS(3332),
    [anon_sym___alignof__] = ACTIONS(3332),
    [anon_sym___alignof] = ACTIONS(3332),
    [anon_sym__alignof] = ACTIONS(3332),
    [anon_sym_alignof] = ACTIONS(3332),
    [anon_sym__Alignof] = ACTIONS(3332),
    [anon_sym_offsetof] = ACTIONS(3332),
    [anon_sym__Generic] = ACTIONS(3332),
    [anon_sym_asm] = ACTIONS(3332),
    [anon_sym___asm__] = ACTIONS(3332),
    [sym_number_literal] = ACTIONS(3334),
    [anon_sym_L_SQUOTE] = ACTIONS(3334),
    [anon_sym_u_SQUOTE] = ACTIONS(3334),
    [anon_sym_U_SQUOTE] = ACTIONS(3334),
    [anon_sym_u8_SQUOTE] = ACTIONS(3334),
    [anon_sym_SQUOTE] = ACTIONS(3334),
    [anon_sym_L_DQUOTE] = ACTIONS(3334),
    [anon_sym_u_DQUOTE] = ACTIONS(3334),
    [anon_sym_U_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8_DQUOTE] = ACTIONS(3334),
    [anon_sym_DQUOTE] = ACTIONS(3334),
    [sym_true] = ACTIONS(3332),
    [sym_false] = ACTIONS(3332),
    [anon_sym_NULL] = ACTIONS(3332),
    [anon_sym_nullptr] = ACTIONS(3332),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3332),
    [anon_sym_decltype] = ACTIONS(3332),
    [anon_sym_virtual] = ACTIONS(3332),
    [anon_sym_alignas] = ACTIONS(3332),
    [anon_sym_explicit] = ACTIONS(3332),
    [anon_sym_typename] = ACTIONS(3332),
    [anon_sym_template] = ACTIONS(3332),
    [anon_sym_operator] = ACTIONS(3332),
    [anon_sym_try] = ACTIONS(3332),
    [anon_sym_delete] = ACTIONS(3332),
    [anon_sym_throw] = ACTIONS(3332),
    [anon_sym_namespace] = ACTIONS(3332),
    [anon_sym_using] = ACTIONS(3332),
    [anon_sym_static_assert] = ACTIONS(3332),
    [anon_sym_concept] = ACTIONS(3332),
    [anon_sym_co_return] = ACTIONS(3332),
    [anon_sym_co_yield] = ACTIONS(3332),
    [anon_sym_R_DQUOTE] = ACTIONS(3334),
    [anon_sym_LR_DQUOTE] = ACTIONS(3334),
    [anon_sym_uR_DQUOTE] = ACTIONS(3334),
    [anon_sym_UR_DQUOTE] = ACTIONS(3334),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3334),
    [anon_sym_co_await] = ACTIONS(3332),
    [anon_sym_new] = ACTIONS(3332),
    [anon_sym_requires] = ACTIONS(3332),
    [sym_this] = ACTIONS(3332),
  },
  [1114] = {
    [ts_builtin_sym_end] = ACTIONS(3009),
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_include_token1] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_BANG] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_DASH] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(3007),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym___cdecl] = ACTIONS(3007),
    [anon_sym___clrcall] = ACTIONS(3007),
    [anon_sym___stdcall] = ACTIONS(3007),
    [anon_sym___fastcall] = ACTIONS(3007),
    [anon_sym___thiscall] = ACTIONS(3007),
    [anon_sym___vectorcall] = ACTIONS(3007),
    [anon_sym_LBRACE] = ACTIONS(3009),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [anon_sym_if] = ACTIONS(3007),
    [anon_sym_switch] = ACTIONS(3007),
    [anon_sym_case] = ACTIONS(3007),
    [anon_sym_default] = ACTIONS(3007),
    [anon_sym_while] = ACTIONS(3007),
    [anon_sym_do] = ACTIONS(3007),
    [anon_sym_for] = ACTIONS(3007),
    [anon_sym_return] = ACTIONS(3007),
    [anon_sym_break] = ACTIONS(3007),
    [anon_sym_continue] = ACTIONS(3007),
    [anon_sym_goto] = ACTIONS(3007),
    [anon_sym_not] = ACTIONS(3007),
    [anon_sym_compl] = ACTIONS(3007),
    [anon_sym_DASH_DASH] = ACTIONS(3009),
    [anon_sym_PLUS_PLUS] = ACTIONS(3009),
    [anon_sym_sizeof] = ACTIONS(3007),
    [anon_sym___alignof__] = ACTIONS(3007),
    [anon_sym___alignof] = ACTIONS(3007),
    [anon_sym__alignof] = ACTIONS(3007),
    [anon_sym_alignof] = ACTIONS(3007),
    [anon_sym__Alignof] = ACTIONS(3007),
    [anon_sym_offsetof] = ACTIONS(3007),
    [anon_sym__Generic] = ACTIONS(3007),
    [anon_sym_asm] = ACTIONS(3007),
    [anon_sym___asm__] = ACTIONS(3007),
    [sym_number_literal] = ACTIONS(3009),
    [anon_sym_L_SQUOTE] = ACTIONS(3009),
    [anon_sym_u_SQUOTE] = ACTIONS(3009),
    [anon_sym_U_SQUOTE] = ACTIONS(3009),
    [anon_sym_u8_SQUOTE] = ACTIONS(3009),
    [anon_sym_SQUOTE] = ACTIONS(3009),
    [anon_sym_L_DQUOTE] = ACTIONS(3009),
    [anon_sym_u_DQUOTE] = ACTIONS(3009),
    [anon_sym_U_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8_DQUOTE] = ACTIONS(3009),
    [anon_sym_DQUOTE] = ACTIONS(3009),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [anon_sym_NULL] = ACTIONS(3007),
    [anon_sym_nullptr] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_try] = ACTIONS(3007),
    [anon_sym_delete] = ACTIONS(3007),
    [anon_sym_throw] = ACTIONS(3007),
    [anon_sym_namespace] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
    [anon_sym_concept] = ACTIONS(3007),
    [anon_sym_co_return] = ACTIONS(3007),
    [anon_sym_co_yield] = ACTIONS(3007),
    [anon_sym_R_DQUOTE] = ACTIONS(3009),
    [anon_sym_LR_DQUOTE] = ACTIONS(3009),
    [anon_sym_uR_DQUOTE] = ACTIONS(3009),
    [anon_sym_UR_DQUOTE] = ACTIONS(3009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3009),
    [anon_sym_co_await] = ACTIONS(3007),
    [anon_sym_new] = ACTIONS(3007),
    [anon_sym_requires] = ACTIONS(3007),
    [sym_this] = ACTIONS(3007),
  },
  [1115] = {
    [ts_builtin_sym_end] = ACTIONS(3205),
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_include_token1] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_DASH] = ACTIONS(3203),
    [anon_sym_PLUS] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym___cdecl] = ACTIONS(3203),
    [anon_sym___clrcall] = ACTIONS(3203),
    [anon_sym___stdcall] = ACTIONS(3203),
    [anon_sym___fastcall] = ACTIONS(3203),
    [anon_sym___thiscall] = ACTIONS(3203),
    [anon_sym___vectorcall] = ACTIONS(3203),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_switch] = ACTIONS(3203),
    [anon_sym_case] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_do] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_goto] = ACTIONS(3203),
    [anon_sym_not] = ACTIONS(3203),
    [anon_sym_compl] = ACTIONS(3203),
    [anon_sym_DASH_DASH] = ACTIONS(3205),
    [anon_sym_PLUS_PLUS] = ACTIONS(3205),
    [anon_sym_sizeof] = ACTIONS(3203),
    [anon_sym___alignof__] = ACTIONS(3203),
    [anon_sym___alignof] = ACTIONS(3203),
    [anon_sym__alignof] = ACTIONS(3203),
    [anon_sym_alignof] = ACTIONS(3203),
    [anon_sym__Alignof] = ACTIONS(3203),
    [anon_sym_offsetof] = ACTIONS(3203),
    [anon_sym__Generic] = ACTIONS(3203),
    [anon_sym_asm] = ACTIONS(3203),
    [anon_sym___asm__] = ACTIONS(3203),
    [sym_number_literal] = ACTIONS(3205),
    [anon_sym_L_SQUOTE] = ACTIONS(3205),
    [anon_sym_u_SQUOTE] = ACTIONS(3205),
    [anon_sym_U_SQUOTE] = ACTIONS(3205),
    [anon_sym_u8_SQUOTE] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3205),
    [anon_sym_L_DQUOTE] = ACTIONS(3205),
    [anon_sym_u_DQUOTE] = ACTIONS(3205),
    [anon_sym_U_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8_DQUOTE] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(3205),
    [sym_true] = ACTIONS(3203),
    [sym_false] = ACTIONS(3203),
    [anon_sym_NULL] = ACTIONS(3203),
    [anon_sym_nullptr] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [anon_sym_delete] = ACTIONS(3203),
    [anon_sym_throw] = ACTIONS(3203),
    [anon_sym_namespace] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
    [anon_sym_concept] = ACTIONS(3203),
    [anon_sym_co_return] = ACTIONS(3203),
    [anon_sym_co_yield] = ACTIONS(3203),
    [anon_sym_R_DQUOTE] = ACTIONS(3205),
    [anon_sym_LR_DQUOTE] = ACTIONS(3205),
    [anon_sym_uR_DQUOTE] = ACTIONS(3205),
    [anon_sym_UR_DQUOTE] = ACTIONS(3205),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3205),
    [anon_sym_co_await] = ACTIONS(3203),
    [anon_sym_new] = ACTIONS(3203),
    [anon_sym_requires] = ACTIONS(3203),
    [sym_this] = ACTIONS(3203),
  },
  [1116] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3975),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1117] = {
    [sym__expression] = STATE(5199),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3991),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2136),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1118] = {
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_initializer_list] = STATE(5544),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_LPAREN2] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(3415),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2136),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2138),
    [anon_sym_AMP_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2136),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_EQ_EQ] = ACTIONS(2138),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_GT] = ACTIONS(2136),
    [anon_sym_GT_EQ] = ACTIONS(2136),
    [anon_sym_LT_EQ] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_LT_EQ_GT] = ACTIONS(2138),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_bitor] = ACTIONS(2136),
    [anon_sym_xor] = ACTIONS(2136),
    [anon_sym_bitand] = ACTIONS(2136),
    [anon_sym_not_eq] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2138),
    [anon_sym_PLUS_PLUS] = ACTIONS(2138),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [anon_sym_DOT] = ACTIONS(2136),
    [anon_sym_DOT_STAR] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2138),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1119] = {
    [sym__expression] = STATE(5370),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4009),
    [anon_sym_COMMA] = ACTIONS(4009),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3975),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(4013),
    [anon_sym_PERCENT] = ACTIONS(4009),
    [anon_sym_PIPE_PIPE] = ACTIONS(4009),
    [anon_sym_AMP_AMP] = ACTIONS(4009),
    [anon_sym_PIPE] = ACTIONS(4013),
    [anon_sym_CARET] = ACTIONS(4009),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(4009),
    [anon_sym_BANG_EQ] = ACTIONS(4009),
    [anon_sym_GT] = ACTIONS(4013),
    [anon_sym_GT_EQ] = ACTIONS(4009),
    [anon_sym_LT_EQ] = ACTIONS(4013),
    [anon_sym_LT] = ACTIONS(4013),
    [anon_sym_LT_LT] = ACTIONS(4009),
    [anon_sym_GT_GT] = ACTIONS(4009),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4009),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_QMARK] = ACTIONS(4009),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_LT_EQ_GT] = ACTIONS(4009),
    [anon_sym_or] = ACTIONS(4013),
    [anon_sym_and] = ACTIONS(4013),
    [anon_sym_bitor] = ACTIONS(4013),
    [anon_sym_xor] = ACTIONS(4013),
    [anon_sym_bitand] = ACTIONS(4013),
    [anon_sym_not_eq] = ACTIONS(4013),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(4013),
    [anon_sym_DOT_STAR] = ACTIONS(4009),
    [anon_sym_DASH_GT] = ACTIONS(4009),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1120] = {
    [sym__declaration_modifiers] = STATE(2387),
    [sym__declaration_specifiers] = STATE(7075),
    [sym_attribute_specifier] = STATE(2387),
    [sym_attribute_declaration] = STATE(2387),
    [sym_ms_declspec_modifier] = STATE(2387),
    [sym_storage_class_specifier] = STATE(2387),
    [sym_type_qualifier] = STATE(2387),
    [sym__type_specifier] = STATE(4815),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2387),
    [sym_alignas_specifier] = STATE(2387),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7363),
    [sym_qualified_type_identifier] = STATE(3622),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3951),
    [sym_identifier] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4019),
    [anon_sym_BANG] = ACTIONS(4021),
    [anon_sym_TILDE] = ACTIONS(4019),
    [anon_sym_DASH] = ACTIONS(4021),
    [anon_sym_PLUS] = ACTIONS(4021),
    [anon_sym_STAR] = ACTIONS(4021),
    [anon_sym_SLASH] = ACTIONS(4021),
    [anon_sym_PERCENT] = ACTIONS(4021),
    [anon_sym_PIPE_PIPE] = ACTIONS(4019),
    [anon_sym_AMP_AMP] = ACTIONS(4019),
    [anon_sym_PIPE] = ACTIONS(4021),
    [anon_sym_CARET] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4021),
    [anon_sym_EQ_EQ] = ACTIONS(4019),
    [anon_sym_BANG_EQ] = ACTIONS(4019),
    [anon_sym_GT] = ACTIONS(4021),
    [anon_sym_GT_EQ] = ACTIONS(4019),
    [anon_sym_LT_EQ] = ACTIONS(4021),
    [anon_sym_LT] = ACTIONS(4021),
    [anon_sym_LT_LT] = ACTIONS(4021),
    [anon_sym_GT_GT] = ACTIONS(4021),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4025),
    [anon_sym_unsigned] = ACTIONS(4025),
    [anon_sym_long] = ACTIONS(4025),
    [anon_sym_short] = ACTIONS(4025),
    [anon_sym_EQ] = ACTIONS(4021),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4027),
    [anon_sym_enum] = ACTIONS(4029),
    [anon_sym_class] = ACTIONS(4031),
    [anon_sym_struct] = ACTIONS(4033),
    [anon_sym_union] = ACTIONS(4035),
    [anon_sym_STAR_EQ] = ACTIONS(4019),
    [anon_sym_SLASH_EQ] = ACTIONS(4019),
    [anon_sym_PERCENT_EQ] = ACTIONS(4019),
    [anon_sym_PLUS_EQ] = ACTIONS(4019),
    [anon_sym_DASH_EQ] = ACTIONS(4019),
    [anon_sym_LT_LT_EQ] = ACTIONS(4019),
    [anon_sym_GT_GT_EQ] = ACTIONS(4019),
    [anon_sym_AMP_EQ] = ACTIONS(4019),
    [anon_sym_CARET_EQ] = ACTIONS(4019),
    [anon_sym_PIPE_EQ] = ACTIONS(4019),
    [anon_sym_and_eq] = ACTIONS(4021),
    [anon_sym_or_eq] = ACTIONS(4021),
    [anon_sym_xor_eq] = ACTIONS(4021),
    [anon_sym_not] = ACTIONS(4021),
    [anon_sym_compl] = ACTIONS(4021),
    [anon_sym_LT_EQ_GT] = ACTIONS(4019),
    [anon_sym_or] = ACTIONS(4021),
    [anon_sym_and] = ACTIONS(4021),
    [anon_sym_bitor] = ACTIONS(4021),
    [anon_sym_xor] = ACTIONS(4021),
    [anon_sym_bitand] = ACTIONS(4021),
    [anon_sym_not_eq] = ACTIONS(4021),
    [anon_sym_DASH_DASH] = ACTIONS(4019),
    [anon_sym_PLUS_PLUS] = ACTIONS(4019),
    [anon_sym_DASH_GT] = ACTIONS(4021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4037),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4039),
    [anon_sym_co_await] = ACTIONS(4021),
    [anon_sym_new] = ACTIONS(4039),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4019),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4019),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4019),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4041),
  },
  [1121] = {
    [sym__declaration_modifiers] = STATE(2387),
    [sym__declaration_specifiers] = STATE(7075),
    [sym_attribute_specifier] = STATE(2387),
    [sym_attribute_declaration] = STATE(2387),
    [sym_ms_declspec_modifier] = STATE(2387),
    [sym_storage_class_specifier] = STATE(2387),
    [sym_type_qualifier] = STATE(2387),
    [sym__type_specifier] = STATE(4815),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2387),
    [sym_alignas_specifier] = STATE(2387),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7363),
    [sym_qualified_type_identifier] = STATE(3622),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2387),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3951),
    [sym_identifier] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4043),
    [anon_sym_BANG] = ACTIONS(4045),
    [anon_sym_TILDE] = ACTIONS(4043),
    [anon_sym_DASH] = ACTIONS(4045),
    [anon_sym_PLUS] = ACTIONS(4045),
    [anon_sym_STAR] = ACTIONS(4045),
    [anon_sym_SLASH] = ACTIONS(4045),
    [anon_sym_PERCENT] = ACTIONS(4045),
    [anon_sym_PIPE_PIPE] = ACTIONS(4043),
    [anon_sym_AMP_AMP] = ACTIONS(4043),
    [anon_sym_PIPE] = ACTIONS(4045),
    [anon_sym_CARET] = ACTIONS(4045),
    [anon_sym_AMP] = ACTIONS(4045),
    [anon_sym_EQ_EQ] = ACTIONS(4043),
    [anon_sym_BANG_EQ] = ACTIONS(4043),
    [anon_sym_GT] = ACTIONS(4045),
    [anon_sym_GT_EQ] = ACTIONS(4043),
    [anon_sym_LT_EQ] = ACTIONS(4045),
    [anon_sym_LT] = ACTIONS(4045),
    [anon_sym_LT_LT] = ACTIONS(4045),
    [anon_sym_GT_GT] = ACTIONS(4045),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4025),
    [anon_sym_unsigned] = ACTIONS(4025),
    [anon_sym_long] = ACTIONS(4025),
    [anon_sym_short] = ACTIONS(4025),
    [anon_sym_EQ] = ACTIONS(4045),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4027),
    [anon_sym_enum] = ACTIONS(4029),
    [anon_sym_class] = ACTIONS(4031),
    [anon_sym_struct] = ACTIONS(4033),
    [anon_sym_union] = ACTIONS(4035),
    [anon_sym_STAR_EQ] = ACTIONS(4043),
    [anon_sym_SLASH_EQ] = ACTIONS(4043),
    [anon_sym_PERCENT_EQ] = ACTIONS(4043),
    [anon_sym_PLUS_EQ] = ACTIONS(4043),
    [anon_sym_DASH_EQ] = ACTIONS(4043),
    [anon_sym_LT_LT_EQ] = ACTIONS(4043),
    [anon_sym_GT_GT_EQ] = ACTIONS(4043),
    [anon_sym_AMP_EQ] = ACTIONS(4043),
    [anon_sym_CARET_EQ] = ACTIONS(4043),
    [anon_sym_PIPE_EQ] = ACTIONS(4043),
    [anon_sym_and_eq] = ACTIONS(4045),
    [anon_sym_or_eq] = ACTIONS(4045),
    [anon_sym_xor_eq] = ACTIONS(4045),
    [anon_sym_not] = ACTIONS(4045),
    [anon_sym_compl] = ACTIONS(4045),
    [anon_sym_LT_EQ_GT] = ACTIONS(4043),
    [anon_sym_or] = ACTIONS(4045),
    [anon_sym_and] = ACTIONS(4045),
    [anon_sym_bitor] = ACTIONS(4045),
    [anon_sym_xor] = ACTIONS(4045),
    [anon_sym_bitand] = ACTIONS(4045),
    [anon_sym_not_eq] = ACTIONS(4045),
    [anon_sym_DASH_DASH] = ACTIONS(4043),
    [anon_sym_PLUS_PLUS] = ACTIONS(4043),
    [anon_sym_DASH_GT] = ACTIONS(4045),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4037),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4047),
    [anon_sym_co_await] = ACTIONS(4045),
    [anon_sym_new] = ACTIONS(4047),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4043),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(4043),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(4043),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(4049),
  },
  [1122] = {
    [sym_function_definition] = STATE(1038),
    [sym_declaration] = STATE(1038),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2349),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6908),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3301),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(1038),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2119),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1038),
    [sym_operator_cast] = STATE(7525),
    [sym__constructor_specifiers] = STATE(2119),
    [sym_operator_cast_definition] = STATE(1038),
    [sym_operator_cast_declaration] = STATE(1038),
    [sym_constructor_or_destructor_definition] = STATE(1038),
    [sym_constructor_or_destructor_declaration] = STATE(1038),
    [sym_friend_declaration] = STATE(1038),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(1038),
    [sym_concept_definition] = STATE(1038),
    [sym_requires_clause] = STATE(1136),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7525),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2119),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4055),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4057),
    [anon_sym_using] = ACTIONS(4059),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1123] = {
    [sym_function_definition] = STATE(2241),
    [sym_declaration] = STATE(2241),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5465),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2333),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3309),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2241),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2241),
    [sym_operator_cast] = STATE(7512),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(2241),
    [sym_operator_cast_declaration] = STATE(2241),
    [sym_constructor_or_destructor_definition] = STATE(2241),
    [sym_constructor_or_destructor_declaration] = STATE(2241),
    [sym_friend_declaration] = STATE(2241),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2241),
    [sym_concept_definition] = STATE(2241),
    [sym_requires_clause] = STATE(1140),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(4063),
    [anon_sym_concept] = ACTIONS(4065),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1124] = {
    [sym_function_definition] = STATE(2628),
    [sym_declaration] = STATE(2628),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5483),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2350),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6997),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3233),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2628),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2129),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2628),
    [sym_operator_cast] = STATE(7530),
    [sym__constructor_specifiers] = STATE(2129),
    [sym_operator_cast_definition] = STATE(2628),
    [sym_operator_cast_declaration] = STATE(2628),
    [sym_constructor_or_destructor_definition] = STATE(2628),
    [sym_constructor_or_destructor_declaration] = STATE(2628),
    [sym_friend_declaration] = STATE(2628),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2628),
    [sym_concept_definition] = STATE(2628),
    [sym_requires_clause] = STATE(1134),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7530),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3887),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3889),
    [anon_sym_using] = ACTIONS(4067),
    [anon_sym_concept] = ACTIONS(4069),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1125] = {
    [sym_function_definition] = STATE(1013),
    [sym_declaration] = STATE(1013),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2325),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6918),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3337),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(1013),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2121),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1013),
    [sym_operator_cast] = STATE(7548),
    [sym__constructor_specifiers] = STATE(2121),
    [sym_operator_cast_definition] = STATE(1013),
    [sym_operator_cast_declaration] = STATE(1013),
    [sym_constructor_or_destructor_definition] = STATE(1013),
    [sym_constructor_or_destructor_declaration] = STATE(1013),
    [sym_friend_declaration] = STATE(1013),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(1013),
    [sym_concept_definition] = STATE(1013),
    [sym_requires_clause] = STATE(1135),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7548),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4071),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4073),
    [anon_sym_using] = ACTIONS(4075),
    [anon_sym_concept] = ACTIONS(1036),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1126] = {
    [sym_function_definition] = STATE(428),
    [sym_declaration] = STATE(428),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6962),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(428),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2112),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(428),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2112),
    [sym_operator_cast_definition] = STATE(428),
    [sym_operator_cast_declaration] = STATE(428),
    [sym_constructor_or_destructor_definition] = STATE(428),
    [sym_constructor_or_destructor_declaration] = STATE(428),
    [sym_friend_declaration] = STATE(428),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(428),
    [sym_concept_definition] = STATE(428),
    [sym_requires_clause] = STATE(1137),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2112),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4077),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4079),
    [anon_sym_using] = ACTIONS(4081),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1127] = {
    [sym_function_definition] = STATE(2420),
    [sym_declaration] = STATE(2420),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5446),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2347),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3284),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2420),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2420),
    [sym_operator_cast] = STATE(7536),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(2420),
    [sym_operator_cast_declaration] = STATE(2420),
    [sym_constructor_or_destructor_definition] = STATE(2420),
    [sym_constructor_or_destructor_declaration] = STATE(2420),
    [sym_friend_declaration] = STATE(2420),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2420),
    [sym_concept_definition] = STATE(2420),
    [sym_requires_clause] = STATE(1133),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_using] = ACTIONS(4083),
    [anon_sym_concept] = ACTIONS(4085),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1128] = {
    [sym_function_definition] = STATE(2728),
    [sym_declaration] = STATE(2728),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5426),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2332),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3268),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2728),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2728),
    [sym_operator_cast] = STATE(7522),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(2728),
    [sym_operator_cast_declaration] = STATE(2728),
    [sym_constructor_or_destructor_definition] = STATE(2728),
    [sym_constructor_or_destructor_declaration] = STATE(2728),
    [sym_friend_declaration] = STATE(2728),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2728),
    [sym_concept_definition] = STATE(2728),
    [sym_requires_clause] = STATE(1138),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_using] = ACTIONS(4087),
    [anon_sym_concept] = ACTIONS(4089),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1129] = {
    [sym_function_definition] = STATE(966),
    [sym_declaration] = STATE(966),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6884),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(966),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2126),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(966),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2126),
    [sym_operator_cast_definition] = STATE(966),
    [sym_operator_cast_declaration] = STATE(966),
    [sym_constructor_or_destructor_definition] = STATE(966),
    [sym_constructor_or_destructor_declaration] = STATE(966),
    [sym_friend_declaration] = STATE(966),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(966),
    [sym_concept_definition] = STATE(966),
    [sym_requires_clause] = STATE(1141),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4093),
    [anon_sym_using] = ACTIONS(4095),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1130] = {
    [sym_function_definition] = STATE(584),
    [sym_declaration] = STATE(584),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6975),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(584),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2118),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(584),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2118),
    [sym_operator_cast_definition] = STATE(584),
    [sym_operator_cast_declaration] = STATE(584),
    [sym_constructor_or_destructor_definition] = STATE(584),
    [sym_constructor_or_destructor_declaration] = STATE(584),
    [sym_friend_declaration] = STATE(584),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(584),
    [sym_concept_definition] = STATE(584),
    [sym_requires_clause] = STATE(1139),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4097),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4099),
    [anon_sym_using] = ACTIONS(4101),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_requires] = ACTIONS(4061),
  },
  [1131] = {
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_COMMA] = ACTIONS(4105),
    [anon_sym_RPAREN] = ACTIONS(4105),
    [anon_sym_LPAREN2] = ACTIONS(4105),
    [anon_sym_BANG] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4105),
    [anon_sym_DASH] = ACTIONS(4103),
    [anon_sym_PLUS] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_AMP_AMP] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4103),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4103),
    [anon_sym_extern] = ACTIONS(4103),
    [anon_sym___attribute__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4105),
    [anon_sym___declspec] = ACTIONS(4103),
    [anon_sym___based] = ACTIONS(4103),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_signed] = ACTIONS(4103),
    [anon_sym_unsigned] = ACTIONS(4103),
    [anon_sym_long] = ACTIONS(4103),
    [anon_sym_short] = ACTIONS(4103),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_EQ] = ACTIONS(4105),
    [anon_sym_static] = ACTIONS(4103),
    [anon_sym_register] = ACTIONS(4103),
    [anon_sym_inline] = ACTIONS(4103),
    [anon_sym___inline] = ACTIONS(4103),
    [anon_sym___inline__] = ACTIONS(4103),
    [anon_sym___forceinline] = ACTIONS(4103),
    [anon_sym_thread_local] = ACTIONS(4103),
    [anon_sym___thread] = ACTIONS(4103),
    [anon_sym_const] = ACTIONS(4103),
    [anon_sym_constexpr] = ACTIONS(4103),
    [anon_sym_volatile] = ACTIONS(4103),
    [anon_sym_restrict] = ACTIONS(4103),
    [anon_sym___restrict__] = ACTIONS(4103),
    [anon_sym__Atomic] = ACTIONS(4103),
    [anon_sym__Noreturn] = ACTIONS(4103),
    [anon_sym_noreturn] = ACTIONS(4103),
    [anon_sym_mutable] = ACTIONS(4103),
    [anon_sym_constinit] = ACTIONS(4103),
    [anon_sym_consteval] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(4103),
    [anon_sym_enum] = ACTIONS(4103),
    [anon_sym_class] = ACTIONS(4103),
    [anon_sym_struct] = ACTIONS(4103),
    [anon_sym_union] = ACTIONS(4103),
    [anon_sym_if] = ACTIONS(4103),
    [anon_sym_switch] = ACTIONS(4103),
    [anon_sym_case] = ACTIONS(4103),
    [anon_sym_default] = ACTIONS(4103),
    [anon_sym_while] = ACTIONS(4103),
    [anon_sym_do] = ACTIONS(4103),
    [anon_sym_for] = ACTIONS(4103),
    [anon_sym_return] = ACTIONS(4103),
    [anon_sym_break] = ACTIONS(4103),
    [anon_sym_continue] = ACTIONS(4103),
    [anon_sym_goto] = ACTIONS(4103),
    [anon_sym___try] = ACTIONS(4103),
    [anon_sym___leave] = ACTIONS(4103),
    [anon_sym_not] = ACTIONS(4103),
    [anon_sym_compl] = ACTIONS(4103),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(4103),
    [anon_sym___alignof__] = ACTIONS(4103),
    [anon_sym___alignof] = ACTIONS(4103),
    [anon_sym__alignof] = ACTIONS(4103),
    [anon_sym_alignof] = ACTIONS(4103),
    [anon_sym__Alignof] = ACTIONS(4103),
    [anon_sym_offsetof] = ACTIONS(4103),
    [anon_sym__Generic] = ACTIONS(4103),
    [anon_sym_asm] = ACTIONS(4103),
    [anon_sym___asm__] = ACTIONS(4103),
    [sym_number_literal] = ACTIONS(4105),
    [anon_sym_L_SQUOTE] = ACTIONS(4105),
    [anon_sym_u_SQUOTE] = ACTIONS(4105),
    [anon_sym_U_SQUOTE] = ACTIONS(4105),
    [anon_sym_u8_SQUOTE] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(4105),
    [anon_sym_u_DQUOTE] = ACTIONS(4105),
    [anon_sym_U_DQUOTE] = ACTIONS(4105),
    [anon_sym_u8_DQUOTE] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(4105),
    [sym_true] = ACTIONS(4103),
    [sym_false] = ACTIONS(4103),
    [anon_sym_NULL] = ACTIONS(4103),
    [anon_sym_nullptr] = ACTIONS(4103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
    [anon_sym_virtual] = ACTIONS(4103),
    [anon_sym_alignas] = ACTIONS(4103),
    [anon_sym_explicit] = ACTIONS(4103),
    [anon_sym_typename] = ACTIONS(4103),
    [anon_sym_template] = ACTIONS(4103),
    [anon_sym_GT2] = ACTIONS(4105),
    [anon_sym_operator] = ACTIONS(4103),
    [anon_sym_try] = ACTIONS(4103),
    [anon_sym_delete] = ACTIONS(4103),
    [anon_sym_throw] = ACTIONS(4103),
    [anon_sym_co_return] = ACTIONS(4103),
    [anon_sym_co_yield] = ACTIONS(4103),
    [anon_sym_R_DQUOTE] = ACTIONS(4105),
    [anon_sym_LR_DQUOTE] = ACTIONS(4105),
    [anon_sym_uR_DQUOTE] = ACTIONS(4105),
    [anon_sym_UR_DQUOTE] = ACTIONS(4105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4105),
    [anon_sym_co_await] = ACTIONS(4103),
    [anon_sym_new] = ACTIONS(4103),
    [anon_sym_requires] = ACTIONS(4103),
    [sym_this] = ACTIONS(4103),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_COMMA] = ACTIONS(4109),
    [anon_sym_RPAREN] = ACTIONS(4109),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_BANG] = ACTIONS(4109),
    [anon_sym_TILDE] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4109),
    [anon_sym_AMP_AMP] = ACTIONS(4109),
    [anon_sym_AMP] = ACTIONS(4107),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4109),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym___based] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4107),
    [anon_sym_unsigned] = ACTIONS(4107),
    [anon_sym_long] = ACTIONS(4107),
    [anon_sym_short] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_EQ] = ACTIONS(4109),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [sym_primitive_type] = ACTIONS(4107),
    [anon_sym_enum] = ACTIONS(4107),
    [anon_sym_class] = ACTIONS(4107),
    [anon_sym_struct] = ACTIONS(4107),
    [anon_sym_union] = ACTIONS(4107),
    [anon_sym_if] = ACTIONS(4107),
    [anon_sym_switch] = ACTIONS(4107),
    [anon_sym_case] = ACTIONS(4107),
    [anon_sym_default] = ACTIONS(4107),
    [anon_sym_while] = ACTIONS(4107),
    [anon_sym_do] = ACTIONS(4107),
    [anon_sym_for] = ACTIONS(4107),
    [anon_sym_return] = ACTIONS(4107),
    [anon_sym_break] = ACTIONS(4107),
    [anon_sym_continue] = ACTIONS(4107),
    [anon_sym_goto] = ACTIONS(4107),
    [anon_sym___try] = ACTIONS(4107),
    [anon_sym___leave] = ACTIONS(4107),
    [anon_sym_not] = ACTIONS(4107),
    [anon_sym_compl] = ACTIONS(4107),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_sizeof] = ACTIONS(4107),
    [anon_sym___alignof__] = ACTIONS(4107),
    [anon_sym___alignof] = ACTIONS(4107),
    [anon_sym__alignof] = ACTIONS(4107),
    [anon_sym_alignof] = ACTIONS(4107),
    [anon_sym__Alignof] = ACTIONS(4107),
    [anon_sym_offsetof] = ACTIONS(4107),
    [anon_sym__Generic] = ACTIONS(4107),
    [anon_sym_asm] = ACTIONS(4107),
    [anon_sym___asm__] = ACTIONS(4107),
    [sym_number_literal] = ACTIONS(4109),
    [anon_sym_L_SQUOTE] = ACTIONS(4109),
    [anon_sym_u_SQUOTE] = ACTIONS(4109),
    [anon_sym_U_SQUOTE] = ACTIONS(4109),
    [anon_sym_u8_SQUOTE] = ACTIONS(4109),
    [anon_sym_SQUOTE] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4109),
    [anon_sym_u_DQUOTE] = ACTIONS(4109),
    [anon_sym_U_DQUOTE] = ACTIONS(4109),
    [anon_sym_u8_DQUOTE] = ACTIONS(4109),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [sym_true] = ACTIONS(4107),
    [sym_false] = ACTIONS(4107),
    [anon_sym_NULL] = ACTIONS(4107),
    [anon_sym_nullptr] = ACTIONS(4107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym_explicit] = ACTIONS(4107),
    [anon_sym_typename] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_GT2] = ACTIONS(4109),
    [anon_sym_operator] = ACTIONS(4107),
    [anon_sym_try] = ACTIONS(4107),
    [anon_sym_delete] = ACTIONS(4107),
    [anon_sym_throw] = ACTIONS(4107),
    [anon_sym_co_return] = ACTIONS(4107),
    [anon_sym_co_yield] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(4109),
    [anon_sym_LR_DQUOTE] = ACTIONS(4109),
    [anon_sym_uR_DQUOTE] = ACTIONS(4109),
    [anon_sym_UR_DQUOTE] = ACTIONS(4109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4109),
    [anon_sym_co_await] = ACTIONS(4107),
    [anon_sym_new] = ACTIONS(4107),
    [anon_sym_requires] = ACTIONS(4107),
    [sym_this] = ACTIONS(4107),
  },
  [1133] = {
    [sym_function_definition] = STATE(2397),
    [sym_declaration] = STATE(2397),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5446),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2347),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6907),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3284),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2397),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2124),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2397),
    [sym_operator_cast] = STATE(7536),
    [sym__constructor_specifiers] = STATE(2124),
    [sym_operator_cast_definition] = STATE(2397),
    [sym_operator_cast_declaration] = STATE(2397),
    [sym_constructor_or_destructor_definition] = STATE(2397),
    [sym_constructor_or_destructor_declaration] = STATE(2397),
    [sym_friend_declaration] = STATE(2397),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2397),
    [sym_concept_definition] = STATE(2397),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7536),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2124),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3551),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3553),
    [anon_sym_using] = ACTIONS(4083),
    [anon_sym_concept] = ACTIONS(4085),
  },
  [1134] = {
    [sym_function_definition] = STATE(2771),
    [sym_declaration] = STATE(2771),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5483),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2350),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6997),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3233),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2771),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2129),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2771),
    [sym_operator_cast] = STATE(7530),
    [sym__constructor_specifiers] = STATE(2129),
    [sym_operator_cast_definition] = STATE(2771),
    [sym_operator_cast_declaration] = STATE(2771),
    [sym_constructor_or_destructor_definition] = STATE(2771),
    [sym_constructor_or_destructor_declaration] = STATE(2771),
    [sym_friend_declaration] = STATE(2771),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2771),
    [sym_concept_definition] = STATE(2771),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7530),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2129),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3887),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3889),
    [anon_sym_using] = ACTIONS(4067),
    [anon_sym_concept] = ACTIONS(4069),
  },
  [1135] = {
    [sym_function_definition] = STATE(904),
    [sym_declaration] = STATE(904),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2325),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6918),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3337),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(904),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2121),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(904),
    [sym_operator_cast] = STATE(7548),
    [sym__constructor_specifiers] = STATE(2121),
    [sym_operator_cast_definition] = STATE(904),
    [sym_operator_cast_declaration] = STATE(904),
    [sym_constructor_or_destructor_definition] = STATE(904),
    [sym_constructor_or_destructor_declaration] = STATE(904),
    [sym_friend_declaration] = STATE(904),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(904),
    [sym_concept_definition] = STATE(904),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7548),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2121),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4071),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4073),
    [anon_sym_using] = ACTIONS(4075),
    [anon_sym_concept] = ACTIONS(1036),
  },
  [1136] = {
    [sym_function_definition] = STATE(1033),
    [sym_declaration] = STATE(1033),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2349),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6908),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3301),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(1033),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2119),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(1033),
    [sym_operator_cast] = STATE(7525),
    [sym__constructor_specifiers] = STATE(2119),
    [sym_operator_cast_definition] = STATE(1033),
    [sym_operator_cast_declaration] = STATE(1033),
    [sym_constructor_or_destructor_definition] = STATE(1033),
    [sym_constructor_or_destructor_declaration] = STATE(1033),
    [sym_friend_declaration] = STATE(1033),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(1033),
    [sym_concept_definition] = STATE(1033),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7525),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2119),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4055),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4057),
    [anon_sym_using] = ACTIONS(4059),
    [anon_sym_concept] = ACTIONS(145),
  },
  [1137] = {
    [sym_function_definition] = STATE(399),
    [sym_declaration] = STATE(399),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2296),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6962),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3278),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(399),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2112),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(399),
    [sym_operator_cast] = STATE(7551),
    [sym__constructor_specifiers] = STATE(2112),
    [sym_operator_cast_definition] = STATE(399),
    [sym_operator_cast_declaration] = STATE(399),
    [sym_constructor_or_destructor_definition] = STATE(399),
    [sym_constructor_or_destructor_declaration] = STATE(399),
    [sym_friend_declaration] = STATE(399),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(399),
    [sym_concept_definition] = STATE(399),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7551),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2112),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4077),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4079),
    [anon_sym_using] = ACTIONS(4081),
    [anon_sym_concept] = ACTIONS(333),
  },
  [1138] = {
    [sym_function_definition] = STATE(2649),
    [sym_declaration] = STATE(2649),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5426),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2332),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6882),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3268),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2649),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2123),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2649),
    [sym_operator_cast] = STATE(7522),
    [sym__constructor_specifiers] = STATE(2123),
    [sym_operator_cast_definition] = STATE(2649),
    [sym_operator_cast_declaration] = STATE(2649),
    [sym_constructor_or_destructor_definition] = STATE(2649),
    [sym_constructor_or_destructor_declaration] = STATE(2649),
    [sym_friend_declaration] = STATE(2649),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2649),
    [sym_concept_definition] = STATE(2649),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7522),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2123),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3807),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3809),
    [anon_sym_using] = ACTIONS(4087),
    [anon_sym_concept] = ACTIONS(4089),
  },
  [1139] = {
    [sym_function_definition] = STATE(615),
    [sym_declaration] = STATE(615),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2312),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6975),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3319),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(615),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2118),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(615),
    [sym_operator_cast] = STATE(7544),
    [sym__constructor_specifiers] = STATE(2118),
    [sym_operator_cast_definition] = STATE(615),
    [sym_operator_cast_declaration] = STATE(615),
    [sym_constructor_or_destructor_definition] = STATE(615),
    [sym_constructor_or_destructor_declaration] = STATE(615),
    [sym_friend_declaration] = STATE(615),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(615),
    [sym_concept_definition] = STATE(615),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7544),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2118),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4097),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4099),
    [anon_sym_using] = ACTIONS(4101),
    [anon_sym_concept] = ACTIONS(421),
  },
  [1140] = {
    [sym_function_definition] = STATE(2151),
    [sym_declaration] = STATE(2151),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5465),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2333),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6956),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3309),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(2151),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2115),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(2151),
    [sym_operator_cast] = STATE(7512),
    [sym__constructor_specifiers] = STATE(2115),
    [sym_operator_cast_definition] = STATE(2151),
    [sym_operator_cast_declaration] = STATE(2151),
    [sym_constructor_or_destructor_definition] = STATE(2151),
    [sym_constructor_or_destructor_declaration] = STATE(2151),
    [sym_friend_declaration] = STATE(2151),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(2151),
    [sym_concept_definition] = STATE(2151),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7512),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2115),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3063),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3065),
    [anon_sym_using] = ACTIONS(4063),
    [anon_sym_concept] = ACTIONS(4065),
  },
  [1141] = {
    [sym_function_definition] = STATE(928),
    [sym_declaration] = STATE(928),
    [sym__declaration_modifiers] = STATE(4239),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_attribute_specifier] = STATE(4239),
    [sym_attribute_declaration] = STATE(4239),
    [sym_ms_declspec_modifier] = STATE(4239),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(2363),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6884),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4239),
    [sym_type_qualifier] = STATE(4239),
    [sym__type_specifier] = STATE(3314),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym__empty_declaration] = STATE(928),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4239),
    [sym_alignas_specifier] = STATE(4239),
    [sym_explicit_function_specifier] = STATE(2126),
    [sym_dependent_type] = STATE(3127),
    [sym_template_declaration] = STATE(928),
    [sym_operator_cast] = STATE(7556),
    [sym__constructor_specifiers] = STATE(2126),
    [sym_operator_cast_definition] = STATE(928),
    [sym_operator_cast_declaration] = STATE(928),
    [sym_constructor_or_destructor_definition] = STATE(928),
    [sym_constructor_or_destructor_declaration] = STATE(928),
    [sym_friend_declaration] = STATE(928),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_alias_declaration] = STATE(928),
    [sym_concept_definition] = STATE(928),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6251),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_qualified_operator_cast_identifier] = STATE(7556),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2126),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4091),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4093),
    [anon_sym_using] = ACTIONS(4095),
    [anon_sym_concept] = ACTIONS(231),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_LPAREN2] = ACTIONS(4114),
    [anon_sym_BANG] = ACTIONS(4117),
    [anon_sym_TILDE] = ACTIONS(4114),
    [anon_sym_DASH] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(4114),
    [anon_sym_AMP_AMP] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(4111),
    [anon_sym_SEMI] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4123),
    [anon_sym_extern] = ACTIONS(4123),
    [anon_sym___attribute__] = ACTIONS(4123),
    [anon_sym_COLON_COLON] = ACTIONS(4114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4114),
    [anon_sym___declspec] = ACTIONS(4123),
    [anon_sym___based] = ACTIONS(4123),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4111),
    [anon_sym_static] = ACTIONS(4123),
    [anon_sym_register] = ACTIONS(4123),
    [anon_sym_inline] = ACTIONS(4123),
    [anon_sym___inline] = ACTIONS(4123),
    [anon_sym___inline__] = ACTIONS(4123),
    [anon_sym___forceinline] = ACTIONS(4123),
    [anon_sym_thread_local] = ACTIONS(4123),
    [anon_sym___thread] = ACTIONS(4123),
    [anon_sym_const] = ACTIONS(4123),
    [anon_sym_constexpr] = ACTIONS(4123),
    [anon_sym_volatile] = ACTIONS(4123),
    [anon_sym_restrict] = ACTIONS(4123),
    [anon_sym___restrict__] = ACTIONS(4123),
    [anon_sym__Atomic] = ACTIONS(4123),
    [anon_sym__Noreturn] = ACTIONS(4123),
    [anon_sym_noreturn] = ACTIONS(4123),
    [anon_sym_mutable] = ACTIONS(4123),
    [anon_sym_constinit] = ACTIONS(4123),
    [anon_sym_consteval] = ACTIONS(4123),
    [sym_primitive_type] = ACTIONS(4111),
    [anon_sym_enum] = ACTIONS(4123),
    [anon_sym_class] = ACTIONS(4123),
    [anon_sym_struct] = ACTIONS(4123),
    [anon_sym_union] = ACTIONS(4123),
    [anon_sym_if] = ACTIONS(4119),
    [anon_sym_switch] = ACTIONS(4119),
    [anon_sym_case] = ACTIONS(4119),
    [anon_sym_default] = ACTIONS(4119),
    [anon_sym_while] = ACTIONS(4119),
    [anon_sym_do] = ACTIONS(4119),
    [anon_sym_for] = ACTIONS(4119),
    [anon_sym_return] = ACTIONS(4119),
    [anon_sym_break] = ACTIONS(4119),
    [anon_sym_continue] = ACTIONS(4119),
    [anon_sym_goto] = ACTIONS(4119),
    [anon_sym___try] = ACTIONS(4119),
    [anon_sym___leave] = ACTIONS(4119),
    [anon_sym_not] = ACTIONS(4119),
    [anon_sym_compl] = ACTIONS(4119),
    [anon_sym_DASH_DASH] = ACTIONS(4117),
    [anon_sym_PLUS_PLUS] = ACTIONS(4117),
    [anon_sym_sizeof] = ACTIONS(4119),
    [anon_sym___alignof__] = ACTIONS(4119),
    [anon_sym___alignof] = ACTIONS(4119),
    [anon_sym__alignof] = ACTIONS(4119),
    [anon_sym_alignof] = ACTIONS(4119),
    [anon_sym__Alignof] = ACTIONS(4119),
    [anon_sym_offsetof] = ACTIONS(4119),
    [anon_sym__Generic] = ACTIONS(4119),
    [anon_sym_asm] = ACTIONS(4119),
    [anon_sym___asm__] = ACTIONS(4119),
    [sym_number_literal] = ACTIONS(4117),
    [anon_sym_L_SQUOTE] = ACTIONS(4117),
    [anon_sym_u_SQUOTE] = ACTIONS(4117),
    [anon_sym_U_SQUOTE] = ACTIONS(4117),
    [anon_sym_u8_SQUOTE] = ACTIONS(4117),
    [anon_sym_SQUOTE] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4117),
    [anon_sym_u_DQUOTE] = ACTIONS(4117),
    [anon_sym_U_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8_DQUOTE] = ACTIONS(4117),
    [anon_sym_DQUOTE] = ACTIONS(4117),
    [sym_true] = ACTIONS(4119),
    [sym_false] = ACTIONS(4119),
    [anon_sym_NULL] = ACTIONS(4119),
    [anon_sym_nullptr] = ACTIONS(4119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4123),
    [anon_sym_decltype] = ACTIONS(4111),
    [anon_sym_virtual] = ACTIONS(4123),
    [anon_sym_alignas] = ACTIONS(4123),
    [anon_sym_explicit] = ACTIONS(4123),
    [anon_sym_typename] = ACTIONS(4123),
    [anon_sym_template] = ACTIONS(4111),
    [anon_sym_operator] = ACTIONS(4123),
    [anon_sym_try] = ACTIONS(4119),
    [anon_sym_delete] = ACTIONS(4119),
    [anon_sym_throw] = ACTIONS(4119),
    [anon_sym_co_return] = ACTIONS(4119),
    [anon_sym_co_yield] = ACTIONS(4119),
    [anon_sym_R_DQUOTE] = ACTIONS(4117),
    [anon_sym_LR_DQUOTE] = ACTIONS(4117),
    [anon_sym_uR_DQUOTE] = ACTIONS(4117),
    [anon_sym_UR_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4117),
    [anon_sym_co_await] = ACTIONS(4119),
    [anon_sym_new] = ACTIONS(4119),
    [anon_sym_requires] = ACTIONS(4119),
    [sym_this] = ACTIONS(4119),
  },
  [1143] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4161),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1144] = {
    [sym_catch_clause] = STATE(1144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1144),
    [sym_identifier] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_PLUS] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2825),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2823),
    [anon_sym_switch] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_do] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2823),
    [anon_sym_return] = ACTIONS(2823),
    [anon_sym_break] = ACTIONS(2823),
    [anon_sym_continue] = ACTIONS(2823),
    [anon_sym_goto] = ACTIONS(2823),
    [anon_sym___try] = ACTIONS(2823),
    [anon_sym___leave] = ACTIONS(2823),
    [anon_sym_not] = ACTIONS(2823),
    [anon_sym_compl] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2825),
    [anon_sym_sizeof] = ACTIONS(2823),
    [anon_sym___alignof__] = ACTIONS(2823),
    [anon_sym___alignof] = ACTIONS(2823),
    [anon_sym__alignof] = ACTIONS(2823),
    [anon_sym_alignof] = ACTIONS(2823),
    [anon_sym__Alignof] = ACTIONS(2823),
    [anon_sym_offsetof] = ACTIONS(2823),
    [anon_sym__Generic] = ACTIONS(2823),
    [anon_sym_asm] = ACTIONS(2823),
    [anon_sym___asm__] = ACTIONS(2823),
    [sym_number_literal] = ACTIONS(2825),
    [anon_sym_L_SQUOTE] = ACTIONS(2825),
    [anon_sym_u_SQUOTE] = ACTIONS(2825),
    [anon_sym_U_SQUOTE] = ACTIONS(2825),
    [anon_sym_u8_SQUOTE] = ACTIONS(2825),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_L_DQUOTE] = ACTIONS(2825),
    [anon_sym_u_DQUOTE] = ACTIONS(2825),
    [anon_sym_U_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8_DQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2825),
    [sym_true] = ACTIONS(2823),
    [sym_false] = ACTIONS(2823),
    [anon_sym_NULL] = ACTIONS(2823),
    [anon_sym_nullptr] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_try] = ACTIONS(2823),
    [anon_sym_delete] = ACTIONS(2823),
    [anon_sym_throw] = ACTIONS(2823),
    [anon_sym_co_return] = ACTIONS(2823),
    [anon_sym_co_yield] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(4165),
    [anon_sym_R_DQUOTE] = ACTIONS(2825),
    [anon_sym_LR_DQUOTE] = ACTIONS(2825),
    [anon_sym_uR_DQUOTE] = ACTIONS(2825),
    [anon_sym_UR_DQUOTE] = ACTIONS(2825),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2825),
    [anon_sym_co_await] = ACTIONS(2823),
    [anon_sym_new] = ACTIONS(2823),
    [anon_sym_requires] = ACTIONS(2823),
    [sym_this] = ACTIONS(2823),
  },
  [1145] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1146] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1147] = {
    [sym_type_qualifier] = STATE(1167),
    [sym__expression] = STATE(5422),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1167),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4176),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1148] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5373),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4180),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1149] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1150] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5383),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1151] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5436),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1152] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4192),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1153] = {
    [sym_type_qualifier] = STATE(1155),
    [sym__expression] = STATE(5379),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1155),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4194),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4196),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1154] = {
    [sym_type_qualifier] = STATE(1169),
    [sym__expression] = STATE(5437),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1169),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1155] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5366),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4204),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1156] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5460),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4206),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4208),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1157] = {
    [sym_type_qualifier] = STATE(1158),
    [sym__expression] = STATE(5413),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1158),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4210),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4212),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1158] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5411),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4214),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4216),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1159] = {
    [sym_type_qualifier] = STATE(1161),
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4220),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1160] = {
    [sym_type_qualifier] = STATE(1161),
    [sym__expression] = STATE(5443),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4218),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4220),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1161] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5410),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4224),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4226),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1162] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(5403),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4228),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1163] = {
    [sym_catch_clause] = STATE(1144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1144),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_goto] = ACTIONS(2817),
    [anon_sym___try] = ACTIONS(2817),
    [anon_sym___leave] = ACTIONS(2817),
    [anon_sym_not] = ACTIONS(2817),
    [anon_sym_compl] = ACTIONS(2817),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_sizeof] = ACTIONS(2817),
    [anon_sym___alignof__] = ACTIONS(2817),
    [anon_sym___alignof] = ACTIONS(2817),
    [anon_sym__alignof] = ACTIONS(2817),
    [anon_sym_alignof] = ACTIONS(2817),
    [anon_sym__Alignof] = ACTIONS(2817),
    [anon_sym_offsetof] = ACTIONS(2817),
    [anon_sym__Generic] = ACTIONS(2817),
    [anon_sym_asm] = ACTIONS(2817),
    [anon_sym___asm__] = ACTIONS(2817),
    [sym_number_literal] = ACTIONS(2819),
    [anon_sym_L_SQUOTE] = ACTIONS(2819),
    [anon_sym_u_SQUOTE] = ACTIONS(2819),
    [anon_sym_U_SQUOTE] = ACTIONS(2819),
    [anon_sym_u8_SQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_L_DQUOTE] = ACTIONS(2819),
    [anon_sym_u_DQUOTE] = ACTIONS(2819),
    [anon_sym_U_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8_DQUOTE] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [anon_sym_NULL] = ACTIONS(2817),
    [anon_sym_nullptr] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_co_return] = ACTIONS(2817),
    [anon_sym_co_yield] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(4232),
    [anon_sym_R_DQUOTE] = ACTIONS(2819),
    [anon_sym_LR_DQUOTE] = ACTIONS(2819),
    [anon_sym_uR_DQUOTE] = ACTIONS(2819),
    [anon_sym_UR_DQUOTE] = ACTIONS(2819),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2819),
    [anon_sym_co_await] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_requires] = ACTIONS(2817),
    [sym_this] = ACTIONS(2817),
  },
  [1164] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5355),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4236),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1165] = {
    [sym_type_qualifier] = STATE(1151),
    [sym__expression] = STATE(5402),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1151),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4240),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1166] = {
    [sym_type_qualifier] = STATE(1164),
    [sym__expression] = STATE(5395),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1164),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1167] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4248),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1168] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5438),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4250),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4252),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1169] = {
    [sym_type_qualifier] = STATE(2274),
    [sym__expression] = STATE(5432),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4254),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4256),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1170] = {
    [sym_type_qualifier] = STATE(1150),
    [sym__expression] = STATE(5378),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1150),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4258),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4260),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1171] = {
    [sym_type_qualifier] = STATE(1156),
    [sym__expression] = STATE(5482),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1156),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4262),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4264),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1172] = {
    [sym_type_qualifier] = STATE(1168),
    [sym__expression] = STATE(5495),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [aux_sym__type_definition_type_repeat1] = STATE(1168),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4266),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4174),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4268),
    [anon_sym_const] = ACTIONS(4174),
    [anon_sym_constexpr] = ACTIONS(4174),
    [anon_sym_volatile] = ACTIONS(4174),
    [anon_sym_restrict] = ACTIONS(4174),
    [anon_sym___restrict__] = ACTIONS(4174),
    [anon_sym__Atomic] = ACTIONS(4174),
    [anon_sym__Noreturn] = ACTIONS(4174),
    [anon_sym_noreturn] = ACTIONS(4174),
    [anon_sym_mutable] = ACTIONS(4174),
    [anon_sym_constinit] = ACTIONS(4174),
    [anon_sym_consteval] = ACTIONS(4174),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1173] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7227),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3915),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6385),
    [sym_qualified_identifier] = STATE(3842),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(3529),
    [anon_sym_LPAREN2] = ACTIONS(3531),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(3533),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1174] = {
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7227),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym__expression] = STATE(3701),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3901),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6490),
    [sym_qualified_identifier] = STATE(3889),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_operator_name] = STATE(7049),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(3515),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1175] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2037),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4140),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4148),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym___cdecl] = ACTIONS(4125),
    [anon_sym___clrcall] = ACTIONS(4125),
    [anon_sym___stdcall] = ACTIONS(4125),
    [anon_sym___fastcall] = ACTIONS(4125),
    [anon_sym___thiscall] = ACTIONS(4125),
    [anon_sym___vectorcall] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4270),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_goto] = ACTIONS(2861),
    [anon_sym___try] = ACTIONS(2861),
    [anon_sym___leave] = ACTIONS(2861),
    [anon_sym_not] = ACTIONS(2861),
    [anon_sym_compl] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_sizeof] = ACTIONS(2861),
    [anon_sym___alignof__] = ACTIONS(2861),
    [anon_sym___alignof] = ACTIONS(2861),
    [anon_sym__alignof] = ACTIONS(2861),
    [anon_sym_alignof] = ACTIONS(2861),
    [anon_sym__Alignof] = ACTIONS(2861),
    [anon_sym_offsetof] = ACTIONS(2861),
    [anon_sym__Generic] = ACTIONS(2861),
    [anon_sym_asm] = ACTIONS(2861),
    [anon_sym___asm__] = ACTIONS(2861),
    [sym_number_literal] = ACTIONS(2863),
    [anon_sym_L_SQUOTE] = ACTIONS(2863),
    [anon_sym_u_SQUOTE] = ACTIONS(2863),
    [anon_sym_U_SQUOTE] = ACTIONS(2863),
    [anon_sym_u8_SQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_L_DQUOTE] = ACTIONS(2863),
    [anon_sym_u_DQUOTE] = ACTIONS(2863),
    [anon_sym_U_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8_DQUOTE] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [anon_sym_NULL] = ACTIONS(2861),
    [anon_sym_nullptr] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_co_return] = ACTIONS(2861),
    [anon_sym_co_yield] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
    [anon_sym_R_DQUOTE] = ACTIONS(2863),
    [anon_sym_LR_DQUOTE] = ACTIONS(2863),
    [anon_sym_uR_DQUOTE] = ACTIONS(2863),
    [anon_sym_UR_DQUOTE] = ACTIONS(2863),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2863),
    [anon_sym_co_await] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_requires] = ACTIONS(2861),
    [sym_this] = ACTIONS(2861),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_else] = ACTIONS(2212),
    [anon_sym_switch] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_do] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_goto] = ACTIONS(2212),
    [anon_sym___try] = ACTIONS(2212),
    [anon_sym___leave] = ACTIONS(2212),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2210),
    [anon_sym_sizeof] = ACTIONS(2212),
    [anon_sym___alignof__] = ACTIONS(2212),
    [anon_sym___alignof] = ACTIONS(2212),
    [anon_sym__alignof] = ACTIONS(2212),
    [anon_sym_alignof] = ACTIONS(2212),
    [anon_sym__Alignof] = ACTIONS(2212),
    [anon_sym_offsetof] = ACTIONS(2212),
    [anon_sym__Generic] = ACTIONS(2212),
    [anon_sym_asm] = ACTIONS(2212),
    [anon_sym___asm__] = ACTIONS(2212),
    [sym_number_literal] = ACTIONS(2210),
    [anon_sym_L_SQUOTE] = ACTIONS(2210),
    [anon_sym_u_SQUOTE] = ACTIONS(2210),
    [anon_sym_U_SQUOTE] = ACTIONS(2210),
    [anon_sym_u8_SQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2210),
    [anon_sym_L_DQUOTE] = ACTIONS(2210),
    [anon_sym_u_DQUOTE] = ACTIONS(2210),
    [anon_sym_U_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8_DQUOTE] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [sym_true] = ACTIONS(2212),
    [sym_false] = ACTIONS(2212),
    [anon_sym_NULL] = ACTIONS(2212),
    [anon_sym_nullptr] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [anon_sym_delete] = ACTIONS(2212),
    [anon_sym_throw] = ACTIONS(2212),
    [anon_sym_co_return] = ACTIONS(2212),
    [anon_sym_co_yield] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
    [anon_sym_R_DQUOTE] = ACTIONS(2210),
    [anon_sym_LR_DQUOTE] = ACTIONS(2210),
    [anon_sym_uR_DQUOTE] = ACTIONS(2210),
    [anon_sym_UR_DQUOTE] = ACTIONS(2210),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2210),
    [anon_sym_co_await] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2212),
    [anon_sym_requires] = ACTIONS(2212),
    [sym_this] = ACTIONS(2212),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_else] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_do] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_goto] = ACTIONS(2208),
    [anon_sym___try] = ACTIONS(2208),
    [anon_sym___leave] = ACTIONS(2208),
    [anon_sym_not] = ACTIONS(2208),
    [anon_sym_compl] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2206),
    [anon_sym_PLUS_PLUS] = ACTIONS(2206),
    [anon_sym_sizeof] = ACTIONS(2208),
    [anon_sym___alignof__] = ACTIONS(2208),
    [anon_sym___alignof] = ACTIONS(2208),
    [anon_sym__alignof] = ACTIONS(2208),
    [anon_sym_alignof] = ACTIONS(2208),
    [anon_sym__Alignof] = ACTIONS(2208),
    [anon_sym_offsetof] = ACTIONS(2208),
    [anon_sym__Generic] = ACTIONS(2208),
    [anon_sym_asm] = ACTIONS(2208),
    [anon_sym___asm__] = ACTIONS(2208),
    [sym_number_literal] = ACTIONS(2206),
    [anon_sym_L_SQUOTE] = ACTIONS(2206),
    [anon_sym_u_SQUOTE] = ACTIONS(2206),
    [anon_sym_U_SQUOTE] = ACTIONS(2206),
    [anon_sym_u8_SQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2206),
    [anon_sym_L_DQUOTE] = ACTIONS(2206),
    [anon_sym_u_DQUOTE] = ACTIONS(2206),
    [anon_sym_U_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8_DQUOTE] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [sym_true] = ACTIONS(2208),
    [sym_false] = ACTIONS(2208),
    [anon_sym_NULL] = ACTIONS(2208),
    [anon_sym_nullptr] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [anon_sym_delete] = ACTIONS(2208),
    [anon_sym_throw] = ACTIONS(2208),
    [anon_sym_co_return] = ACTIONS(2208),
    [anon_sym_co_yield] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2208),
    [anon_sym_requires] = ACTIONS(2208),
    [sym_this] = ACTIONS(2208),
  },
  [1179] = {
    [sym_else_clause] = STATE(1219),
    [sym_identifier] = ACTIONS(2855),
    [anon_sym_LPAREN2] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2857),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym___extension__] = ACTIONS(2855),
    [anon_sym_typedef] = ACTIONS(2855),
    [anon_sym_extern] = ACTIONS(2855),
    [anon_sym___attribute__] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2857),
    [anon_sym___declspec] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2857),
    [anon_sym_signed] = ACTIONS(2855),
    [anon_sym_unsigned] = ACTIONS(2855),
    [anon_sym_long] = ACTIONS(2855),
    [anon_sym_short] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2855),
    [anon_sym_register] = ACTIONS(2855),
    [anon_sym_inline] = ACTIONS(2855),
    [anon_sym___inline] = ACTIONS(2855),
    [anon_sym___inline__] = ACTIONS(2855),
    [anon_sym___forceinline] = ACTIONS(2855),
    [anon_sym_thread_local] = ACTIONS(2855),
    [anon_sym___thread] = ACTIONS(2855),
    [anon_sym_const] = ACTIONS(2855),
    [anon_sym_constexpr] = ACTIONS(2855),
    [anon_sym_volatile] = ACTIONS(2855),
    [anon_sym_restrict] = ACTIONS(2855),
    [anon_sym___restrict__] = ACTIONS(2855),
    [anon_sym__Atomic] = ACTIONS(2855),
    [anon_sym__Noreturn] = ACTIONS(2855),
    [anon_sym_noreturn] = ACTIONS(2855),
    [anon_sym_mutable] = ACTIONS(2855),
    [anon_sym_constinit] = ACTIONS(2855),
    [anon_sym_consteval] = ACTIONS(2855),
    [sym_primitive_type] = ACTIONS(2855),
    [anon_sym_enum] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2855),
    [anon_sym_struct] = ACTIONS(2855),
    [anon_sym_union] = ACTIONS(2855),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(4272),
    [anon_sym_switch] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(2855),
    [anon_sym_do] = ACTIONS(2855),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_return] = ACTIONS(2855),
    [anon_sym_break] = ACTIONS(2855),
    [anon_sym_continue] = ACTIONS(2855),
    [anon_sym_goto] = ACTIONS(2855),
    [anon_sym___try] = ACTIONS(2855),
    [anon_sym___leave] = ACTIONS(2855),
    [anon_sym_not] = ACTIONS(2855),
    [anon_sym_compl] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_sizeof] = ACTIONS(2855),
    [anon_sym___alignof__] = ACTIONS(2855),
    [anon_sym___alignof] = ACTIONS(2855),
    [anon_sym__alignof] = ACTIONS(2855),
    [anon_sym_alignof] = ACTIONS(2855),
    [anon_sym__Alignof] = ACTIONS(2855),
    [anon_sym_offsetof] = ACTIONS(2855),
    [anon_sym__Generic] = ACTIONS(2855),
    [anon_sym_asm] = ACTIONS(2855),
    [anon_sym___asm__] = ACTIONS(2855),
    [sym_number_literal] = ACTIONS(2857),
    [anon_sym_L_SQUOTE] = ACTIONS(2857),
    [anon_sym_u_SQUOTE] = ACTIONS(2857),
    [anon_sym_U_SQUOTE] = ACTIONS(2857),
    [anon_sym_u8_SQUOTE] = ACTIONS(2857),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_L_DQUOTE] = ACTIONS(2857),
    [anon_sym_u_DQUOTE] = ACTIONS(2857),
    [anon_sym_U_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8_DQUOTE] = ACTIONS(2857),
    [anon_sym_DQUOTE] = ACTIONS(2857),
    [sym_true] = ACTIONS(2855),
    [sym_false] = ACTIONS(2855),
    [anon_sym_NULL] = ACTIONS(2855),
    [anon_sym_nullptr] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2855),
    [anon_sym_decltype] = ACTIONS(2855),
    [anon_sym_virtual] = ACTIONS(2855),
    [anon_sym_alignas] = ACTIONS(2855),
    [anon_sym_typename] = ACTIONS(2855),
    [anon_sym_template] = ACTIONS(2855),
    [anon_sym_try] = ACTIONS(2855),
    [anon_sym_delete] = ACTIONS(2855),
    [anon_sym_throw] = ACTIONS(2855),
    [anon_sym_co_return] = ACTIONS(2855),
    [anon_sym_co_yield] = ACTIONS(2855),
    [anon_sym_R_DQUOTE] = ACTIONS(2857),
    [anon_sym_LR_DQUOTE] = ACTIONS(2857),
    [anon_sym_uR_DQUOTE] = ACTIONS(2857),
    [anon_sym_UR_DQUOTE] = ACTIONS(2857),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2857),
    [anon_sym_co_await] = ACTIONS(2855),
    [anon_sym_new] = ACTIONS(2855),
    [anon_sym_requires] = ACTIONS(2855),
    [sym_this] = ACTIONS(2855),
  },
  [1180] = {
    [sym_else_clause] = STATE(1190),
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_LPAREN2] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym___extension__] = ACTIONS(2865),
    [anon_sym_typedef] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym___attribute__] = ACTIONS(2865),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2867),
    [anon_sym___declspec] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_signed] = ACTIONS(2865),
    [anon_sym_unsigned] = ACTIONS(2865),
    [anon_sym_long] = ACTIONS(2865),
    [anon_sym_short] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_register] = ACTIONS(2865),
    [anon_sym_inline] = ACTIONS(2865),
    [anon_sym___inline] = ACTIONS(2865),
    [anon_sym___inline__] = ACTIONS(2865),
    [anon_sym___forceinline] = ACTIONS(2865),
    [anon_sym_thread_local] = ACTIONS(2865),
    [anon_sym___thread] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_constexpr] = ACTIONS(2865),
    [anon_sym_volatile] = ACTIONS(2865),
    [anon_sym_restrict] = ACTIONS(2865),
    [anon_sym___restrict__] = ACTIONS(2865),
    [anon_sym__Atomic] = ACTIONS(2865),
    [anon_sym__Noreturn] = ACTIONS(2865),
    [anon_sym_noreturn] = ACTIONS(2865),
    [anon_sym_mutable] = ACTIONS(2865),
    [anon_sym_constinit] = ACTIONS(2865),
    [anon_sym_consteval] = ACTIONS(2865),
    [sym_primitive_type] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_else] = ACTIONS(4272),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_goto] = ACTIONS(2865),
    [anon_sym___try] = ACTIONS(2865),
    [anon_sym___leave] = ACTIONS(2865),
    [anon_sym_not] = ACTIONS(2865),
    [anon_sym_compl] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_sizeof] = ACTIONS(2865),
    [anon_sym___alignof__] = ACTIONS(2865),
    [anon_sym___alignof] = ACTIONS(2865),
    [anon_sym__alignof] = ACTIONS(2865),
    [anon_sym_alignof] = ACTIONS(2865),
    [anon_sym__Alignof] = ACTIONS(2865),
    [anon_sym_offsetof] = ACTIONS(2865),
    [anon_sym__Generic] = ACTIONS(2865),
    [anon_sym_asm] = ACTIONS(2865),
    [anon_sym___asm__] = ACTIONS(2865),
    [sym_number_literal] = ACTIONS(2867),
    [anon_sym_L_SQUOTE] = ACTIONS(2867),
    [anon_sym_u_SQUOTE] = ACTIONS(2867),
    [anon_sym_U_SQUOTE] = ACTIONS(2867),
    [anon_sym_u8_SQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_L_DQUOTE] = ACTIONS(2867),
    [anon_sym_u_DQUOTE] = ACTIONS(2867),
    [anon_sym_U_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8_DQUOTE] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [anon_sym_NULL] = ACTIONS(2865),
    [anon_sym_nullptr] = ACTIONS(2865),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2865),
    [anon_sym_decltype] = ACTIONS(2865),
    [anon_sym_virtual] = ACTIONS(2865),
    [anon_sym_alignas] = ACTIONS(2865),
    [anon_sym_typename] = ACTIONS(2865),
    [anon_sym_template] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_co_return] = ACTIONS(2865),
    [anon_sym_co_yield] = ACTIONS(2865),
    [anon_sym_R_DQUOTE] = ACTIONS(2867),
    [anon_sym_LR_DQUOTE] = ACTIONS(2867),
    [anon_sym_uR_DQUOTE] = ACTIONS(2867),
    [anon_sym_UR_DQUOTE] = ACTIONS(2867),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2867),
    [anon_sym_co_await] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_requires] = ACTIONS(2865),
    [sym_this] = ACTIONS(2865),
  },
  [1181] = {
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [1182] = {
    [sym_identifier] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_BANG] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2947),
    [anon_sym_PLUS] = ACTIONS(2947),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2949),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_else] = ACTIONS(2947),
    [anon_sym_switch] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_do] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2947),
    [anon_sym_return] = ACTIONS(2947),
    [anon_sym_break] = ACTIONS(2947),
    [anon_sym_continue] = ACTIONS(2947),
    [anon_sym_goto] = ACTIONS(2947),
    [anon_sym___try] = ACTIONS(2947),
    [anon_sym___leave] = ACTIONS(2947),
    [anon_sym_not] = ACTIONS(2947),
    [anon_sym_compl] = ACTIONS(2947),
    [anon_sym_DASH_DASH] = ACTIONS(2949),
    [anon_sym_PLUS_PLUS] = ACTIONS(2949),
    [anon_sym_sizeof] = ACTIONS(2947),
    [anon_sym___alignof__] = ACTIONS(2947),
    [anon_sym___alignof] = ACTIONS(2947),
    [anon_sym__alignof] = ACTIONS(2947),
    [anon_sym_alignof] = ACTIONS(2947),
    [anon_sym__Alignof] = ACTIONS(2947),
    [anon_sym_offsetof] = ACTIONS(2947),
    [anon_sym__Generic] = ACTIONS(2947),
    [anon_sym_asm] = ACTIONS(2947),
    [anon_sym___asm__] = ACTIONS(2947),
    [sym_number_literal] = ACTIONS(2949),
    [anon_sym_L_SQUOTE] = ACTIONS(2949),
    [anon_sym_u_SQUOTE] = ACTIONS(2949),
    [anon_sym_U_SQUOTE] = ACTIONS(2949),
    [anon_sym_u8_SQUOTE] = ACTIONS(2949),
    [anon_sym_SQUOTE] = ACTIONS(2949),
    [anon_sym_L_DQUOTE] = ACTIONS(2949),
    [anon_sym_u_DQUOTE] = ACTIONS(2949),
    [anon_sym_U_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8_DQUOTE] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_true] = ACTIONS(2947),
    [sym_false] = ACTIONS(2947),
    [anon_sym_NULL] = ACTIONS(2947),
    [anon_sym_nullptr] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_try] = ACTIONS(2947),
    [anon_sym_delete] = ACTIONS(2947),
    [anon_sym_throw] = ACTIONS(2947),
    [anon_sym_co_return] = ACTIONS(2947),
    [anon_sym_co_yield] = ACTIONS(2947),
    [anon_sym_R_DQUOTE] = ACTIONS(2949),
    [anon_sym_LR_DQUOTE] = ACTIONS(2949),
    [anon_sym_uR_DQUOTE] = ACTIONS(2949),
    [anon_sym_UR_DQUOTE] = ACTIONS(2949),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2949),
    [anon_sym_co_await] = ACTIONS(2947),
    [anon_sym_new] = ACTIONS(2947),
    [anon_sym_requires] = ACTIONS(2947),
    [sym_this] = ACTIONS(2947),
  },
  [1183] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [1184] = {
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [1185] = {
    [sym_identifier] = ACTIONS(2999),
    [anon_sym_LPAREN2] = ACTIONS(3001),
    [anon_sym_BANG] = ACTIONS(3001),
    [anon_sym_TILDE] = ACTIONS(3001),
    [anon_sym_DASH] = ACTIONS(2999),
    [anon_sym_PLUS] = ACTIONS(2999),
    [anon_sym_STAR] = ACTIONS(3001),
    [anon_sym_AMP] = ACTIONS(3001),
    [anon_sym_SEMI] = ACTIONS(3001),
    [anon_sym___extension__] = ACTIONS(2999),
    [anon_sym_typedef] = ACTIONS(2999),
    [anon_sym_extern] = ACTIONS(2999),
    [anon_sym___attribute__] = ACTIONS(2999),
    [anon_sym_COLON_COLON] = ACTIONS(3001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3001),
    [anon_sym___declspec] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(3001),
    [anon_sym_signed] = ACTIONS(2999),
    [anon_sym_unsigned] = ACTIONS(2999),
    [anon_sym_long] = ACTIONS(2999),
    [anon_sym_short] = ACTIONS(2999),
    [anon_sym_LBRACK] = ACTIONS(2999),
    [anon_sym_static] = ACTIONS(2999),
    [anon_sym_register] = ACTIONS(2999),
    [anon_sym_inline] = ACTIONS(2999),
    [anon_sym___inline] = ACTIONS(2999),
    [anon_sym___inline__] = ACTIONS(2999),
    [anon_sym___forceinline] = ACTIONS(2999),
    [anon_sym_thread_local] = ACTIONS(2999),
    [anon_sym___thread] = ACTIONS(2999),
    [anon_sym_const] = ACTIONS(2999),
    [anon_sym_constexpr] = ACTIONS(2999),
    [anon_sym_volatile] = ACTIONS(2999),
    [anon_sym_restrict] = ACTIONS(2999),
    [anon_sym___restrict__] = ACTIONS(2999),
    [anon_sym__Atomic] = ACTIONS(2999),
    [anon_sym__Noreturn] = ACTIONS(2999),
    [anon_sym_noreturn] = ACTIONS(2999),
    [anon_sym_mutable] = ACTIONS(2999),
    [anon_sym_constinit] = ACTIONS(2999),
    [anon_sym_consteval] = ACTIONS(2999),
    [sym_primitive_type] = ACTIONS(2999),
    [anon_sym_enum] = ACTIONS(2999),
    [anon_sym_class] = ACTIONS(2999),
    [anon_sym_struct] = ACTIONS(2999),
    [anon_sym_union] = ACTIONS(2999),
    [anon_sym_if] = ACTIONS(2999),
    [anon_sym_else] = ACTIONS(2999),
    [anon_sym_switch] = ACTIONS(2999),
    [anon_sym_while] = ACTIONS(2999),
    [anon_sym_do] = ACTIONS(2999),
    [anon_sym_for] = ACTIONS(2999),
    [anon_sym_return] = ACTIONS(2999),
    [anon_sym_break] = ACTIONS(2999),
    [anon_sym_continue] = ACTIONS(2999),
    [anon_sym_goto] = ACTIONS(2999),
    [anon_sym___try] = ACTIONS(2999),
    [anon_sym___leave] = ACTIONS(2999),
    [anon_sym_not] = ACTIONS(2999),
    [anon_sym_compl] = ACTIONS(2999),
    [anon_sym_DASH_DASH] = ACTIONS(3001),
    [anon_sym_PLUS_PLUS] = ACTIONS(3001),
    [anon_sym_sizeof] = ACTIONS(2999),
    [anon_sym___alignof__] = ACTIONS(2999),
    [anon_sym___alignof] = ACTIONS(2999),
    [anon_sym__alignof] = ACTIONS(2999),
    [anon_sym_alignof] = ACTIONS(2999),
    [anon_sym__Alignof] = ACTIONS(2999),
    [anon_sym_offsetof] = ACTIONS(2999),
    [anon_sym__Generic] = ACTIONS(2999),
    [anon_sym_asm] = ACTIONS(2999),
    [anon_sym___asm__] = ACTIONS(2999),
    [sym_number_literal] = ACTIONS(3001),
    [anon_sym_L_SQUOTE] = ACTIONS(3001),
    [anon_sym_u_SQUOTE] = ACTIONS(3001),
    [anon_sym_U_SQUOTE] = ACTIONS(3001),
    [anon_sym_u8_SQUOTE] = ACTIONS(3001),
    [anon_sym_SQUOTE] = ACTIONS(3001),
    [anon_sym_L_DQUOTE] = ACTIONS(3001),
    [anon_sym_u_DQUOTE] = ACTIONS(3001),
    [anon_sym_U_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8_DQUOTE] = ACTIONS(3001),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_true] = ACTIONS(2999),
    [sym_false] = ACTIONS(2999),
    [anon_sym_NULL] = ACTIONS(2999),
    [anon_sym_nullptr] = ACTIONS(2999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2999),
    [anon_sym_decltype] = ACTIONS(2999),
    [anon_sym_virtual] = ACTIONS(2999),
    [anon_sym_alignas] = ACTIONS(2999),
    [anon_sym_typename] = ACTIONS(2999),
    [anon_sym_template] = ACTIONS(2999),
    [anon_sym_try] = ACTIONS(2999),
    [anon_sym_delete] = ACTIONS(2999),
    [anon_sym_throw] = ACTIONS(2999),
    [anon_sym_co_return] = ACTIONS(2999),
    [anon_sym_co_yield] = ACTIONS(2999),
    [anon_sym_R_DQUOTE] = ACTIONS(3001),
    [anon_sym_LR_DQUOTE] = ACTIONS(3001),
    [anon_sym_uR_DQUOTE] = ACTIONS(3001),
    [anon_sym_UR_DQUOTE] = ACTIONS(3001),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3001),
    [anon_sym_co_await] = ACTIONS(2999),
    [anon_sym_new] = ACTIONS(2999),
    [anon_sym_requires] = ACTIONS(2999),
    [sym_this] = ACTIONS(2999),
  },
  [1186] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_ms_based_modifier] = STATE(9651),
    [sym_ms_call_modifier] = STATE(5393),
    [sym__declarator] = STATE(7384),
    [sym__abstract_declarator] = STATE(7590),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_abstract_parenthesized_declarator] = STATE(6990),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_abstract_pointer_declarator] = STATE(6990),
    [sym_function_declarator] = STATE(7049),
    [sym_abstract_function_declarator] = STATE(6990),
    [sym_array_declarator] = STATE(7049),
    [sym_abstract_array_declarator] = STATE(6990),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_list] = STATE(4422),
    [sym_parameter_declaration] = STATE(8350),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8350),
    [sym_variadic_parameter_declaration] = STATE(8350),
    [sym_reference_declarator] = STATE(7049),
    [sym_abstract_reference_declarator] = STATE(6990),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym__function_declarator_seq] = STATE(6988),
    [sym_template_type] = STATE(3061),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6393),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(4274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_LPAREN2] = ACTIONS(4278),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(4280),
    [anon_sym_AMP_AMP] = ACTIONS(4282),
    [anon_sym_AMP] = ACTIONS(4284),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4288),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1187] = {
    [sym_identifier] = ACTIONS(4107),
    [anon_sym_LPAREN2] = ACTIONS(4109),
    [anon_sym_BANG] = ACTIONS(4109),
    [anon_sym_TILDE] = ACTIONS(4109),
    [anon_sym_DASH] = ACTIONS(4107),
    [anon_sym_PLUS] = ACTIONS(4107),
    [anon_sym_STAR] = ACTIONS(4109),
    [anon_sym_AMP] = ACTIONS(4109),
    [anon_sym_SEMI] = ACTIONS(4109),
    [anon_sym___extension__] = ACTIONS(4107),
    [anon_sym_extern] = ACTIONS(4107),
    [anon_sym___attribute__] = ACTIONS(4107),
    [anon_sym_COLON_COLON] = ACTIONS(4109),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4109),
    [anon_sym___declspec] = ACTIONS(4107),
    [anon_sym_LBRACE] = ACTIONS(4109),
    [anon_sym_signed] = ACTIONS(4107),
    [anon_sym_unsigned] = ACTIONS(4107),
    [anon_sym_long] = ACTIONS(4107),
    [anon_sym_short] = ACTIONS(4107),
    [anon_sym_LBRACK] = ACTIONS(4107),
    [anon_sym_static] = ACTIONS(4107),
    [anon_sym_register] = ACTIONS(4107),
    [anon_sym_inline] = ACTIONS(4107),
    [anon_sym___inline] = ACTIONS(4107),
    [anon_sym___inline__] = ACTIONS(4107),
    [anon_sym___forceinline] = ACTIONS(4107),
    [anon_sym_thread_local] = ACTIONS(4107),
    [anon_sym___thread] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4107),
    [anon_sym_constexpr] = ACTIONS(4107),
    [anon_sym_volatile] = ACTIONS(4107),
    [anon_sym_restrict] = ACTIONS(4107),
    [anon_sym___restrict__] = ACTIONS(4107),
    [anon_sym__Atomic] = ACTIONS(4107),
    [anon_sym__Noreturn] = ACTIONS(4107),
    [anon_sym_noreturn] = ACTIONS(4107),
    [anon_sym_mutable] = ACTIONS(4107),
    [anon_sym_constinit] = ACTIONS(4107),
    [anon_sym_consteval] = ACTIONS(4107),
    [sym_primitive_type] = ACTIONS(4107),
    [anon_sym_enum] = ACTIONS(4107),
    [anon_sym_class] = ACTIONS(4107),
    [anon_sym_struct] = ACTIONS(4107),
    [anon_sym_union] = ACTIONS(4107),
    [anon_sym_if] = ACTIONS(4107),
    [anon_sym_switch] = ACTIONS(4107),
    [anon_sym_case] = ACTIONS(4107),
    [anon_sym_default] = ACTIONS(4107),
    [anon_sym_while] = ACTIONS(4107),
    [anon_sym_do] = ACTIONS(4107),
    [anon_sym_for] = ACTIONS(4107),
    [anon_sym_return] = ACTIONS(4107),
    [anon_sym_break] = ACTIONS(4107),
    [anon_sym_continue] = ACTIONS(4107),
    [anon_sym_goto] = ACTIONS(4107),
    [anon_sym___try] = ACTIONS(4107),
    [anon_sym___leave] = ACTIONS(4107),
    [anon_sym_not] = ACTIONS(4107),
    [anon_sym_compl] = ACTIONS(4107),
    [anon_sym_DASH_DASH] = ACTIONS(4109),
    [anon_sym_PLUS_PLUS] = ACTIONS(4109),
    [anon_sym_sizeof] = ACTIONS(4107),
    [anon_sym___alignof__] = ACTIONS(4107),
    [anon_sym___alignof] = ACTIONS(4107),
    [anon_sym__alignof] = ACTIONS(4107),
    [anon_sym_alignof] = ACTIONS(4107),
    [anon_sym__Alignof] = ACTIONS(4107),
    [anon_sym_offsetof] = ACTIONS(4107),
    [anon_sym__Generic] = ACTIONS(4107),
    [anon_sym_asm] = ACTIONS(4107),
    [anon_sym___asm__] = ACTIONS(4107),
    [sym_number_literal] = ACTIONS(4109),
    [anon_sym_L_SQUOTE] = ACTIONS(4109),
    [anon_sym_u_SQUOTE] = ACTIONS(4109),
    [anon_sym_U_SQUOTE] = ACTIONS(4109),
    [anon_sym_u8_SQUOTE] = ACTIONS(4109),
    [anon_sym_SQUOTE] = ACTIONS(4109),
    [anon_sym_L_DQUOTE] = ACTIONS(4109),
    [anon_sym_u_DQUOTE] = ACTIONS(4109),
    [anon_sym_U_DQUOTE] = ACTIONS(4109),
    [anon_sym_u8_DQUOTE] = ACTIONS(4109),
    [anon_sym_DQUOTE] = ACTIONS(4109),
    [sym_true] = ACTIONS(4107),
    [sym_false] = ACTIONS(4107),
    [anon_sym_NULL] = ACTIONS(4107),
    [anon_sym_nullptr] = ACTIONS(4107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4107),
    [anon_sym_decltype] = ACTIONS(4107),
    [anon_sym_virtual] = ACTIONS(4107),
    [anon_sym_alignas] = ACTIONS(4107),
    [anon_sym_typename] = ACTIONS(4107),
    [anon_sym_template] = ACTIONS(4107),
    [anon_sym_try] = ACTIONS(4107),
    [anon_sym_delete] = ACTIONS(4107),
    [anon_sym_throw] = ACTIONS(4107),
    [anon_sym_co_return] = ACTIONS(4107),
    [anon_sym_co_yield] = ACTIONS(4107),
    [anon_sym_R_DQUOTE] = ACTIONS(4109),
    [anon_sym_LR_DQUOTE] = ACTIONS(4109),
    [anon_sym_uR_DQUOTE] = ACTIONS(4109),
    [anon_sym_UR_DQUOTE] = ACTIONS(4109),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4109),
    [anon_sym_co_await] = ACTIONS(4107),
    [anon_sym_new] = ACTIONS(4107),
    [anon_sym_requires] = ACTIONS(4107),
    [sym_this] = ACTIONS(4107),
  },
  [1188] = {
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [1189] = {
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [1190] = {
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(4111),
    [anon_sym_LPAREN2] = ACTIONS(4117),
    [anon_sym_BANG] = ACTIONS(4117),
    [anon_sym_TILDE] = ACTIONS(4117),
    [anon_sym_DASH] = ACTIONS(4119),
    [anon_sym_PLUS] = ACTIONS(4119),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(4117),
    [anon_sym_SEMI] = ACTIONS(4117),
    [anon_sym___extension__] = ACTIONS(4123),
    [anon_sym_extern] = ACTIONS(4123),
    [anon_sym___attribute__] = ACTIONS(4123),
    [anon_sym_COLON_COLON] = ACTIONS(4114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4114),
    [anon_sym___declspec] = ACTIONS(4123),
    [anon_sym_LBRACE] = ACTIONS(4117),
    [anon_sym_signed] = ACTIONS(4123),
    [anon_sym_unsigned] = ACTIONS(4123),
    [anon_sym_long] = ACTIONS(4123),
    [anon_sym_short] = ACTIONS(4123),
    [anon_sym_LBRACK] = ACTIONS(4119),
    [anon_sym_static] = ACTIONS(4123),
    [anon_sym_register] = ACTIONS(4123),
    [anon_sym_inline] = ACTIONS(4123),
    [anon_sym___inline] = ACTIONS(4123),
    [anon_sym___inline__] = ACTIONS(4123),
    [anon_sym___forceinline] = ACTIONS(4123),
    [anon_sym_thread_local] = ACTIONS(4123),
    [anon_sym___thread] = ACTIONS(4123),
    [anon_sym_const] = ACTIONS(4123),
    [anon_sym_constexpr] = ACTIONS(4123),
    [anon_sym_volatile] = ACTIONS(4123),
    [anon_sym_restrict] = ACTIONS(4123),
    [anon_sym___restrict__] = ACTIONS(4123),
    [anon_sym__Atomic] = ACTIONS(4123),
    [anon_sym__Noreturn] = ACTIONS(4123),
    [anon_sym_noreturn] = ACTIONS(4123),
    [anon_sym_mutable] = ACTIONS(4123),
    [anon_sym_constinit] = ACTIONS(4123),
    [anon_sym_consteval] = ACTIONS(4123),
    [sym_primitive_type] = ACTIONS(4111),
    [anon_sym_enum] = ACTIONS(4123),
    [anon_sym_class] = ACTIONS(4123),
    [anon_sym_struct] = ACTIONS(4123),
    [anon_sym_union] = ACTIONS(4123),
    [anon_sym_if] = ACTIONS(4119),
    [anon_sym_switch] = ACTIONS(4119),
    [anon_sym_case] = ACTIONS(4119),
    [anon_sym_default] = ACTIONS(4119),
    [anon_sym_while] = ACTIONS(4119),
    [anon_sym_do] = ACTIONS(4119),
    [anon_sym_for] = ACTIONS(4119),
    [anon_sym_return] = ACTIONS(4119),
    [anon_sym_break] = ACTIONS(4119),
    [anon_sym_continue] = ACTIONS(4119),
    [anon_sym_goto] = ACTIONS(4119),
    [anon_sym___try] = ACTIONS(4119),
    [anon_sym___leave] = ACTIONS(4119),
    [anon_sym_not] = ACTIONS(4119),
    [anon_sym_compl] = ACTIONS(4119),
    [anon_sym_DASH_DASH] = ACTIONS(4117),
    [anon_sym_PLUS_PLUS] = ACTIONS(4117),
    [anon_sym_sizeof] = ACTIONS(4119),
    [anon_sym___alignof__] = ACTIONS(4119),
    [anon_sym___alignof] = ACTIONS(4119),
    [anon_sym__alignof] = ACTIONS(4119),
    [anon_sym_alignof] = ACTIONS(4119),
    [anon_sym__Alignof] = ACTIONS(4119),
    [anon_sym_offsetof] = ACTIONS(4119),
    [anon_sym__Generic] = ACTIONS(4119),
    [anon_sym_asm] = ACTIONS(4119),
    [anon_sym___asm__] = ACTIONS(4119),
    [sym_number_literal] = ACTIONS(4117),
    [anon_sym_L_SQUOTE] = ACTIONS(4117),
    [anon_sym_u_SQUOTE] = ACTIONS(4117),
    [anon_sym_U_SQUOTE] = ACTIONS(4117),
    [anon_sym_u8_SQUOTE] = ACTIONS(4117),
    [anon_sym_SQUOTE] = ACTIONS(4117),
    [anon_sym_L_DQUOTE] = ACTIONS(4117),
    [anon_sym_u_DQUOTE] = ACTIONS(4117),
    [anon_sym_U_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8_DQUOTE] = ACTIONS(4117),
    [anon_sym_DQUOTE] = ACTIONS(4117),
    [sym_true] = ACTIONS(4119),
    [sym_false] = ACTIONS(4119),
    [anon_sym_NULL] = ACTIONS(4119),
    [anon_sym_nullptr] = ACTIONS(4119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4123),
    [anon_sym_decltype] = ACTIONS(4111),
    [anon_sym_virtual] = ACTIONS(4123),
    [anon_sym_alignas] = ACTIONS(4123),
    [anon_sym_typename] = ACTIONS(4123),
    [anon_sym_template] = ACTIONS(4111),
    [anon_sym_try] = ACTIONS(4119),
    [anon_sym_delete] = ACTIONS(4119),
    [anon_sym_throw] = ACTIONS(4119),
    [anon_sym_co_return] = ACTIONS(4119),
    [anon_sym_co_yield] = ACTIONS(4119),
    [anon_sym_R_DQUOTE] = ACTIONS(4117),
    [anon_sym_LR_DQUOTE] = ACTIONS(4117),
    [anon_sym_uR_DQUOTE] = ACTIONS(4117),
    [anon_sym_UR_DQUOTE] = ACTIONS(4117),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4117),
    [anon_sym_co_await] = ACTIONS(4119),
    [anon_sym_new] = ACTIONS(4119),
    [anon_sym_requires] = ACTIONS(4119),
    [sym_this] = ACTIONS(4119),
  },
  [1192] = {
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_goto] = ACTIONS(2877),
    [anon_sym___try] = ACTIONS(2877),
    [anon_sym___leave] = ACTIONS(2877),
    [anon_sym_not] = ACTIONS(2877),
    [anon_sym_compl] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_sizeof] = ACTIONS(2877),
    [anon_sym___alignof__] = ACTIONS(2877),
    [anon_sym___alignof] = ACTIONS(2877),
    [anon_sym__alignof] = ACTIONS(2877),
    [anon_sym_alignof] = ACTIONS(2877),
    [anon_sym__Alignof] = ACTIONS(2877),
    [anon_sym_offsetof] = ACTIONS(2877),
    [anon_sym__Generic] = ACTIONS(2877),
    [anon_sym_asm] = ACTIONS(2877),
    [anon_sym___asm__] = ACTIONS(2877),
    [sym_number_literal] = ACTIONS(2879),
    [anon_sym_L_SQUOTE] = ACTIONS(2879),
    [anon_sym_u_SQUOTE] = ACTIONS(2879),
    [anon_sym_U_SQUOTE] = ACTIONS(2879),
    [anon_sym_u8_SQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_L_DQUOTE] = ACTIONS(2879),
    [anon_sym_u_DQUOTE] = ACTIONS(2879),
    [anon_sym_U_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8_DQUOTE] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [anon_sym_NULL] = ACTIONS(2877),
    [anon_sym_nullptr] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_co_return] = ACTIONS(2877),
    [anon_sym_co_yield] = ACTIONS(2877),
    [anon_sym_R_DQUOTE] = ACTIONS(2879),
    [anon_sym_LR_DQUOTE] = ACTIONS(2879),
    [anon_sym_uR_DQUOTE] = ACTIONS(2879),
    [anon_sym_UR_DQUOTE] = ACTIONS(2879),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2879),
    [anon_sym_co_await] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_requires] = ACTIONS(2877),
    [sym_this] = ACTIONS(2877),
  },
  [1193] = {
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_else] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_goto] = ACTIONS(2963),
    [anon_sym___try] = ACTIONS(2963),
    [anon_sym___leave] = ACTIONS(2963),
    [anon_sym_not] = ACTIONS(2963),
    [anon_sym_compl] = ACTIONS(2963),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_sizeof] = ACTIONS(2963),
    [anon_sym___alignof__] = ACTIONS(2963),
    [anon_sym___alignof] = ACTIONS(2963),
    [anon_sym__alignof] = ACTIONS(2963),
    [anon_sym_alignof] = ACTIONS(2963),
    [anon_sym__Alignof] = ACTIONS(2963),
    [anon_sym_offsetof] = ACTIONS(2963),
    [anon_sym__Generic] = ACTIONS(2963),
    [anon_sym_asm] = ACTIONS(2963),
    [anon_sym___asm__] = ACTIONS(2963),
    [sym_number_literal] = ACTIONS(2965),
    [anon_sym_L_SQUOTE] = ACTIONS(2965),
    [anon_sym_u_SQUOTE] = ACTIONS(2965),
    [anon_sym_U_SQUOTE] = ACTIONS(2965),
    [anon_sym_u8_SQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_L_DQUOTE] = ACTIONS(2965),
    [anon_sym_u_DQUOTE] = ACTIONS(2965),
    [anon_sym_U_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8_DQUOTE] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [anon_sym_NULL] = ACTIONS(2963),
    [anon_sym_nullptr] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_co_return] = ACTIONS(2963),
    [anon_sym_co_yield] = ACTIONS(2963),
    [anon_sym_R_DQUOTE] = ACTIONS(2965),
    [anon_sym_LR_DQUOTE] = ACTIONS(2965),
    [anon_sym_uR_DQUOTE] = ACTIONS(2965),
    [anon_sym_UR_DQUOTE] = ACTIONS(2965),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2965),
    [anon_sym_co_await] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_requires] = ACTIONS(2963),
    [sym_this] = ACTIONS(2963),
  },
  [1194] = {
    [sym_identifier] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_else] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_goto] = ACTIONS(2967),
    [anon_sym___try] = ACTIONS(2967),
    [anon_sym___leave] = ACTIONS(2967),
    [anon_sym_not] = ACTIONS(2967),
    [anon_sym_compl] = ACTIONS(2967),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_sizeof] = ACTIONS(2967),
    [anon_sym___alignof__] = ACTIONS(2967),
    [anon_sym___alignof] = ACTIONS(2967),
    [anon_sym__alignof] = ACTIONS(2967),
    [anon_sym_alignof] = ACTIONS(2967),
    [anon_sym__Alignof] = ACTIONS(2967),
    [anon_sym_offsetof] = ACTIONS(2967),
    [anon_sym__Generic] = ACTIONS(2967),
    [anon_sym_asm] = ACTIONS(2967),
    [anon_sym___asm__] = ACTIONS(2967),
    [sym_number_literal] = ACTIONS(2969),
    [anon_sym_L_SQUOTE] = ACTIONS(2969),
    [anon_sym_u_SQUOTE] = ACTIONS(2969),
    [anon_sym_U_SQUOTE] = ACTIONS(2969),
    [anon_sym_u8_SQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_L_DQUOTE] = ACTIONS(2969),
    [anon_sym_u_DQUOTE] = ACTIONS(2969),
    [anon_sym_U_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8_DQUOTE] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [anon_sym_NULL] = ACTIONS(2967),
    [anon_sym_nullptr] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_co_return] = ACTIONS(2967),
    [anon_sym_co_yield] = ACTIONS(2967),
    [anon_sym_R_DQUOTE] = ACTIONS(2969),
    [anon_sym_LR_DQUOTE] = ACTIONS(2969),
    [anon_sym_uR_DQUOTE] = ACTIONS(2969),
    [anon_sym_UR_DQUOTE] = ACTIONS(2969),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2969),
    [anon_sym_co_await] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_requires] = ACTIONS(2967),
    [sym_this] = ACTIONS(2967),
  },
  [1195] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym_LPAREN2] = ACTIONS(2997),
    [anon_sym_BANG] = ACTIONS(2997),
    [anon_sym_TILDE] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2995),
    [anon_sym_STAR] = ACTIONS(2997),
    [anon_sym_AMP] = ACTIONS(2997),
    [anon_sym_SEMI] = ACTIONS(2997),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2995),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym_COLON_COLON] = ACTIONS(2997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2997),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_mutable] = ACTIONS(2995),
    [anon_sym_constinit] = ACTIONS(2995),
    [anon_sym_consteval] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_class] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2995),
    [anon_sym_else] = ACTIONS(2995),
    [anon_sym_switch] = ACTIONS(2995),
    [anon_sym_while] = ACTIONS(2995),
    [anon_sym_do] = ACTIONS(2995),
    [anon_sym_for] = ACTIONS(2995),
    [anon_sym_return] = ACTIONS(2995),
    [anon_sym_break] = ACTIONS(2995),
    [anon_sym_continue] = ACTIONS(2995),
    [anon_sym_goto] = ACTIONS(2995),
    [anon_sym___try] = ACTIONS(2995),
    [anon_sym___leave] = ACTIONS(2995),
    [anon_sym_not] = ACTIONS(2995),
    [anon_sym_compl] = ACTIONS(2995),
    [anon_sym_DASH_DASH] = ACTIONS(2997),
    [anon_sym_PLUS_PLUS] = ACTIONS(2997),
    [anon_sym_sizeof] = ACTIONS(2995),
    [anon_sym___alignof__] = ACTIONS(2995),
    [anon_sym___alignof] = ACTIONS(2995),
    [anon_sym__alignof] = ACTIONS(2995),
    [anon_sym_alignof] = ACTIONS(2995),
    [anon_sym__Alignof] = ACTIONS(2995),
    [anon_sym_offsetof] = ACTIONS(2995),
    [anon_sym__Generic] = ACTIONS(2995),
    [anon_sym_asm] = ACTIONS(2995),
    [anon_sym___asm__] = ACTIONS(2995),
    [sym_number_literal] = ACTIONS(2997),
    [anon_sym_L_SQUOTE] = ACTIONS(2997),
    [anon_sym_u_SQUOTE] = ACTIONS(2997),
    [anon_sym_U_SQUOTE] = ACTIONS(2997),
    [anon_sym_u8_SQUOTE] = ACTIONS(2997),
    [anon_sym_SQUOTE] = ACTIONS(2997),
    [anon_sym_L_DQUOTE] = ACTIONS(2997),
    [anon_sym_u_DQUOTE] = ACTIONS(2997),
    [anon_sym_U_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8_DQUOTE] = ACTIONS(2997),
    [anon_sym_DQUOTE] = ACTIONS(2997),
    [sym_true] = ACTIONS(2995),
    [sym_false] = ACTIONS(2995),
    [anon_sym_NULL] = ACTIONS(2995),
    [anon_sym_nullptr] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2995),
    [anon_sym_decltype] = ACTIONS(2995),
    [anon_sym_virtual] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym_typename] = ACTIONS(2995),
    [anon_sym_template] = ACTIONS(2995),
    [anon_sym_try] = ACTIONS(2995),
    [anon_sym_delete] = ACTIONS(2995),
    [anon_sym_throw] = ACTIONS(2995),
    [anon_sym_co_return] = ACTIONS(2995),
    [anon_sym_co_yield] = ACTIONS(2995),
    [anon_sym_R_DQUOTE] = ACTIONS(2997),
    [anon_sym_LR_DQUOTE] = ACTIONS(2997),
    [anon_sym_uR_DQUOTE] = ACTIONS(2997),
    [anon_sym_UR_DQUOTE] = ACTIONS(2997),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2997),
    [anon_sym_co_await] = ACTIONS(2995),
    [anon_sym_new] = ACTIONS(2995),
    [anon_sym_requires] = ACTIONS(2995),
    [sym_this] = ACTIONS(2995),
  },
  [1196] = {
    [sym_identifier] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [1197] = {
    [sym_identifier] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [1198] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1199] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1200] = {
    [sym_identifier] = ACTIONS(2991),
    [anon_sym_LPAREN2] = ACTIONS(2993),
    [anon_sym_BANG] = ACTIONS(2993),
    [anon_sym_TILDE] = ACTIONS(2993),
    [anon_sym_DASH] = ACTIONS(2991),
    [anon_sym_PLUS] = ACTIONS(2991),
    [anon_sym_STAR] = ACTIONS(2993),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_SEMI] = ACTIONS(2993),
    [anon_sym___extension__] = ACTIONS(2991),
    [anon_sym_typedef] = ACTIONS(2991),
    [anon_sym_extern] = ACTIONS(2991),
    [anon_sym___attribute__] = ACTIONS(2991),
    [anon_sym_COLON_COLON] = ACTIONS(2993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2993),
    [anon_sym___declspec] = ACTIONS(2991),
    [anon_sym_LBRACE] = ACTIONS(2993),
    [anon_sym_signed] = ACTIONS(2991),
    [anon_sym_unsigned] = ACTIONS(2991),
    [anon_sym_long] = ACTIONS(2991),
    [anon_sym_short] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2991),
    [anon_sym_static] = ACTIONS(2991),
    [anon_sym_register] = ACTIONS(2991),
    [anon_sym_inline] = ACTIONS(2991),
    [anon_sym___inline] = ACTIONS(2991),
    [anon_sym___inline__] = ACTIONS(2991),
    [anon_sym___forceinline] = ACTIONS(2991),
    [anon_sym_thread_local] = ACTIONS(2991),
    [anon_sym___thread] = ACTIONS(2991),
    [anon_sym_const] = ACTIONS(2991),
    [anon_sym_constexpr] = ACTIONS(2991),
    [anon_sym_volatile] = ACTIONS(2991),
    [anon_sym_restrict] = ACTIONS(2991),
    [anon_sym___restrict__] = ACTIONS(2991),
    [anon_sym__Atomic] = ACTIONS(2991),
    [anon_sym__Noreturn] = ACTIONS(2991),
    [anon_sym_noreturn] = ACTIONS(2991),
    [anon_sym_mutable] = ACTIONS(2991),
    [anon_sym_constinit] = ACTIONS(2991),
    [anon_sym_consteval] = ACTIONS(2991),
    [sym_primitive_type] = ACTIONS(2991),
    [anon_sym_enum] = ACTIONS(2991),
    [anon_sym_class] = ACTIONS(2991),
    [anon_sym_struct] = ACTIONS(2991),
    [anon_sym_union] = ACTIONS(2991),
    [anon_sym_if] = ACTIONS(2991),
    [anon_sym_else] = ACTIONS(2991),
    [anon_sym_switch] = ACTIONS(2991),
    [anon_sym_while] = ACTIONS(2991),
    [anon_sym_do] = ACTIONS(2991),
    [anon_sym_for] = ACTIONS(2991),
    [anon_sym_return] = ACTIONS(2991),
    [anon_sym_break] = ACTIONS(2991),
    [anon_sym_continue] = ACTIONS(2991),
    [anon_sym_goto] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2991),
    [anon_sym___leave] = ACTIONS(2991),
    [anon_sym_not] = ACTIONS(2991),
    [anon_sym_compl] = ACTIONS(2991),
    [anon_sym_DASH_DASH] = ACTIONS(2993),
    [anon_sym_PLUS_PLUS] = ACTIONS(2993),
    [anon_sym_sizeof] = ACTIONS(2991),
    [anon_sym___alignof__] = ACTIONS(2991),
    [anon_sym___alignof] = ACTIONS(2991),
    [anon_sym__alignof] = ACTIONS(2991),
    [anon_sym_alignof] = ACTIONS(2991),
    [anon_sym__Alignof] = ACTIONS(2991),
    [anon_sym_offsetof] = ACTIONS(2991),
    [anon_sym__Generic] = ACTIONS(2991),
    [anon_sym_asm] = ACTIONS(2991),
    [anon_sym___asm__] = ACTIONS(2991),
    [sym_number_literal] = ACTIONS(2993),
    [anon_sym_L_SQUOTE] = ACTIONS(2993),
    [anon_sym_u_SQUOTE] = ACTIONS(2993),
    [anon_sym_U_SQUOTE] = ACTIONS(2993),
    [anon_sym_u8_SQUOTE] = ACTIONS(2993),
    [anon_sym_SQUOTE] = ACTIONS(2993),
    [anon_sym_L_DQUOTE] = ACTIONS(2993),
    [anon_sym_u_DQUOTE] = ACTIONS(2993),
    [anon_sym_U_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8_DQUOTE] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2993),
    [sym_true] = ACTIONS(2991),
    [sym_false] = ACTIONS(2991),
    [anon_sym_NULL] = ACTIONS(2991),
    [anon_sym_nullptr] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2991),
    [anon_sym_decltype] = ACTIONS(2991),
    [anon_sym_virtual] = ACTIONS(2991),
    [anon_sym_alignas] = ACTIONS(2991),
    [anon_sym_typename] = ACTIONS(2991),
    [anon_sym_template] = ACTIONS(2991),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_delete] = ACTIONS(2991),
    [anon_sym_throw] = ACTIONS(2991),
    [anon_sym_co_return] = ACTIONS(2991),
    [anon_sym_co_yield] = ACTIONS(2991),
    [anon_sym_R_DQUOTE] = ACTIONS(2993),
    [anon_sym_LR_DQUOTE] = ACTIONS(2993),
    [anon_sym_uR_DQUOTE] = ACTIONS(2993),
    [anon_sym_UR_DQUOTE] = ACTIONS(2993),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2993),
    [anon_sym_co_await] = ACTIONS(2991),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_requires] = ACTIONS(2991),
    [sym_this] = ACTIONS(2991),
  },
  [1201] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1202] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1203] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1204] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1205] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1206] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1207] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1208] = {
    [sym_identifier] = ACTIONS(2987),
    [anon_sym_LPAREN2] = ACTIONS(2989),
    [anon_sym_BANG] = ACTIONS(2989),
    [anon_sym_TILDE] = ACTIONS(2989),
    [anon_sym_DASH] = ACTIONS(2987),
    [anon_sym_PLUS] = ACTIONS(2987),
    [anon_sym_STAR] = ACTIONS(2989),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2989),
    [anon_sym___extension__] = ACTIONS(2987),
    [anon_sym_typedef] = ACTIONS(2987),
    [anon_sym_extern] = ACTIONS(2987),
    [anon_sym___attribute__] = ACTIONS(2987),
    [anon_sym_COLON_COLON] = ACTIONS(2989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2989),
    [anon_sym___declspec] = ACTIONS(2987),
    [anon_sym_LBRACE] = ACTIONS(2989),
    [anon_sym_signed] = ACTIONS(2987),
    [anon_sym_unsigned] = ACTIONS(2987),
    [anon_sym_long] = ACTIONS(2987),
    [anon_sym_short] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2987),
    [anon_sym_static] = ACTIONS(2987),
    [anon_sym_register] = ACTIONS(2987),
    [anon_sym_inline] = ACTIONS(2987),
    [anon_sym___inline] = ACTIONS(2987),
    [anon_sym___inline__] = ACTIONS(2987),
    [anon_sym___forceinline] = ACTIONS(2987),
    [anon_sym_thread_local] = ACTIONS(2987),
    [anon_sym___thread] = ACTIONS(2987),
    [anon_sym_const] = ACTIONS(2987),
    [anon_sym_constexpr] = ACTIONS(2987),
    [anon_sym_volatile] = ACTIONS(2987),
    [anon_sym_restrict] = ACTIONS(2987),
    [anon_sym___restrict__] = ACTIONS(2987),
    [anon_sym__Atomic] = ACTIONS(2987),
    [anon_sym__Noreturn] = ACTIONS(2987),
    [anon_sym_noreturn] = ACTIONS(2987),
    [anon_sym_mutable] = ACTIONS(2987),
    [anon_sym_constinit] = ACTIONS(2987),
    [anon_sym_consteval] = ACTIONS(2987),
    [sym_primitive_type] = ACTIONS(2987),
    [anon_sym_enum] = ACTIONS(2987),
    [anon_sym_class] = ACTIONS(2987),
    [anon_sym_struct] = ACTIONS(2987),
    [anon_sym_union] = ACTIONS(2987),
    [anon_sym_if] = ACTIONS(2987),
    [anon_sym_else] = ACTIONS(2987),
    [anon_sym_switch] = ACTIONS(2987),
    [anon_sym_while] = ACTIONS(2987),
    [anon_sym_do] = ACTIONS(2987),
    [anon_sym_for] = ACTIONS(2987),
    [anon_sym_return] = ACTIONS(2987),
    [anon_sym_break] = ACTIONS(2987),
    [anon_sym_continue] = ACTIONS(2987),
    [anon_sym_goto] = ACTIONS(2987),
    [anon_sym___try] = ACTIONS(2987),
    [anon_sym___leave] = ACTIONS(2987),
    [anon_sym_not] = ACTIONS(2987),
    [anon_sym_compl] = ACTIONS(2987),
    [anon_sym_DASH_DASH] = ACTIONS(2989),
    [anon_sym_PLUS_PLUS] = ACTIONS(2989),
    [anon_sym_sizeof] = ACTIONS(2987),
    [anon_sym___alignof__] = ACTIONS(2987),
    [anon_sym___alignof] = ACTIONS(2987),
    [anon_sym__alignof] = ACTIONS(2987),
    [anon_sym_alignof] = ACTIONS(2987),
    [anon_sym__Alignof] = ACTIONS(2987),
    [anon_sym_offsetof] = ACTIONS(2987),
    [anon_sym__Generic] = ACTIONS(2987),
    [anon_sym_asm] = ACTIONS(2987),
    [anon_sym___asm__] = ACTIONS(2987),
    [sym_number_literal] = ACTIONS(2989),
    [anon_sym_L_SQUOTE] = ACTIONS(2989),
    [anon_sym_u_SQUOTE] = ACTIONS(2989),
    [anon_sym_U_SQUOTE] = ACTIONS(2989),
    [anon_sym_u8_SQUOTE] = ACTIONS(2989),
    [anon_sym_SQUOTE] = ACTIONS(2989),
    [anon_sym_L_DQUOTE] = ACTIONS(2989),
    [anon_sym_u_DQUOTE] = ACTIONS(2989),
    [anon_sym_U_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8_DQUOTE] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(2989),
    [sym_true] = ACTIONS(2987),
    [sym_false] = ACTIONS(2987),
    [anon_sym_NULL] = ACTIONS(2987),
    [anon_sym_nullptr] = ACTIONS(2987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2987),
    [anon_sym_decltype] = ACTIONS(2987),
    [anon_sym_virtual] = ACTIONS(2987),
    [anon_sym_alignas] = ACTIONS(2987),
    [anon_sym_typename] = ACTIONS(2987),
    [anon_sym_template] = ACTIONS(2987),
    [anon_sym_try] = ACTIONS(2987),
    [anon_sym_delete] = ACTIONS(2987),
    [anon_sym_throw] = ACTIONS(2987),
    [anon_sym_co_return] = ACTIONS(2987),
    [anon_sym_co_yield] = ACTIONS(2987),
    [anon_sym_R_DQUOTE] = ACTIONS(2989),
    [anon_sym_LR_DQUOTE] = ACTIONS(2989),
    [anon_sym_uR_DQUOTE] = ACTIONS(2989),
    [anon_sym_UR_DQUOTE] = ACTIONS(2989),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2989),
    [anon_sym_co_await] = ACTIONS(2987),
    [anon_sym_new] = ACTIONS(2987),
    [anon_sym_requires] = ACTIONS(2987),
    [sym_this] = ACTIONS(2987),
  },
  [1209] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1210] = {
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [1211] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1212] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1213] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1214] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1215] = {
    [sym_identifier] = ACTIONS(2979),
    [anon_sym_LPAREN2] = ACTIONS(2981),
    [anon_sym_BANG] = ACTIONS(2981),
    [anon_sym_TILDE] = ACTIONS(2981),
    [anon_sym_DASH] = ACTIONS(2979),
    [anon_sym_PLUS] = ACTIONS(2979),
    [anon_sym_STAR] = ACTIONS(2981),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2981),
    [anon_sym___extension__] = ACTIONS(2979),
    [anon_sym_typedef] = ACTIONS(2979),
    [anon_sym_extern] = ACTIONS(2979),
    [anon_sym___attribute__] = ACTIONS(2979),
    [anon_sym_COLON_COLON] = ACTIONS(2981),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2981),
    [anon_sym___declspec] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_signed] = ACTIONS(2979),
    [anon_sym_unsigned] = ACTIONS(2979),
    [anon_sym_long] = ACTIONS(2979),
    [anon_sym_short] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(2979),
    [anon_sym_static] = ACTIONS(2979),
    [anon_sym_register] = ACTIONS(2979),
    [anon_sym_inline] = ACTIONS(2979),
    [anon_sym___inline] = ACTIONS(2979),
    [anon_sym___inline__] = ACTIONS(2979),
    [anon_sym___forceinline] = ACTIONS(2979),
    [anon_sym_thread_local] = ACTIONS(2979),
    [anon_sym___thread] = ACTIONS(2979),
    [anon_sym_const] = ACTIONS(2979),
    [anon_sym_constexpr] = ACTIONS(2979),
    [anon_sym_volatile] = ACTIONS(2979),
    [anon_sym_restrict] = ACTIONS(2979),
    [anon_sym___restrict__] = ACTIONS(2979),
    [anon_sym__Atomic] = ACTIONS(2979),
    [anon_sym__Noreturn] = ACTIONS(2979),
    [anon_sym_noreturn] = ACTIONS(2979),
    [anon_sym_mutable] = ACTIONS(2979),
    [anon_sym_constinit] = ACTIONS(2979),
    [anon_sym_consteval] = ACTIONS(2979),
    [sym_primitive_type] = ACTIONS(2979),
    [anon_sym_enum] = ACTIONS(2979),
    [anon_sym_class] = ACTIONS(2979),
    [anon_sym_struct] = ACTIONS(2979),
    [anon_sym_union] = ACTIONS(2979),
    [anon_sym_if] = ACTIONS(2979),
    [anon_sym_else] = ACTIONS(2979),
    [anon_sym_switch] = ACTIONS(2979),
    [anon_sym_while] = ACTIONS(2979),
    [anon_sym_do] = ACTIONS(2979),
    [anon_sym_for] = ACTIONS(2979),
    [anon_sym_return] = ACTIONS(2979),
    [anon_sym_break] = ACTIONS(2979),
    [anon_sym_continue] = ACTIONS(2979),
    [anon_sym_goto] = ACTIONS(2979),
    [anon_sym___try] = ACTIONS(2979),
    [anon_sym___leave] = ACTIONS(2979),
    [anon_sym_not] = ACTIONS(2979),
    [anon_sym_compl] = ACTIONS(2979),
    [anon_sym_DASH_DASH] = ACTIONS(2981),
    [anon_sym_PLUS_PLUS] = ACTIONS(2981),
    [anon_sym_sizeof] = ACTIONS(2979),
    [anon_sym___alignof__] = ACTIONS(2979),
    [anon_sym___alignof] = ACTIONS(2979),
    [anon_sym__alignof] = ACTIONS(2979),
    [anon_sym_alignof] = ACTIONS(2979),
    [anon_sym__Alignof] = ACTIONS(2979),
    [anon_sym_offsetof] = ACTIONS(2979),
    [anon_sym__Generic] = ACTIONS(2979),
    [anon_sym_asm] = ACTIONS(2979),
    [anon_sym___asm__] = ACTIONS(2979),
    [sym_number_literal] = ACTIONS(2981),
    [anon_sym_L_SQUOTE] = ACTIONS(2981),
    [anon_sym_u_SQUOTE] = ACTIONS(2981),
    [anon_sym_U_SQUOTE] = ACTIONS(2981),
    [anon_sym_u8_SQUOTE] = ACTIONS(2981),
    [anon_sym_SQUOTE] = ACTIONS(2981),
    [anon_sym_L_DQUOTE] = ACTIONS(2981),
    [anon_sym_u_DQUOTE] = ACTIONS(2981),
    [anon_sym_U_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8_DQUOTE] = ACTIONS(2981),
    [anon_sym_DQUOTE] = ACTIONS(2981),
    [sym_true] = ACTIONS(2979),
    [sym_false] = ACTIONS(2979),
    [anon_sym_NULL] = ACTIONS(2979),
    [anon_sym_nullptr] = ACTIONS(2979),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2979),
    [anon_sym_decltype] = ACTIONS(2979),
    [anon_sym_virtual] = ACTIONS(2979),
    [anon_sym_alignas] = ACTIONS(2979),
    [anon_sym_typename] = ACTIONS(2979),
    [anon_sym_template] = ACTIONS(2979),
    [anon_sym_try] = ACTIONS(2979),
    [anon_sym_delete] = ACTIONS(2979),
    [anon_sym_throw] = ACTIONS(2979),
    [anon_sym_co_return] = ACTIONS(2979),
    [anon_sym_co_yield] = ACTIONS(2979),
    [anon_sym_R_DQUOTE] = ACTIONS(2981),
    [anon_sym_LR_DQUOTE] = ACTIONS(2981),
    [anon_sym_uR_DQUOTE] = ACTIONS(2981),
    [anon_sym_UR_DQUOTE] = ACTIONS(2981),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2981),
    [anon_sym_co_await] = ACTIONS(2979),
    [anon_sym_new] = ACTIONS(2979),
    [anon_sym_requires] = ACTIONS(2979),
    [sym_this] = ACTIONS(2979),
  },
  [1216] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1217] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1218] = {
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_LPAREN2] = ACTIONS(2973),
    [anon_sym_BANG] = ACTIONS(2973),
    [anon_sym_TILDE] = ACTIONS(2973),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2973),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2971),
    [anon_sym_typedef] = ACTIONS(2971),
    [anon_sym_extern] = ACTIONS(2971),
    [anon_sym___attribute__] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(2973),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2973),
    [anon_sym___declspec] = ACTIONS(2971),
    [anon_sym_LBRACE] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2971),
    [anon_sym_unsigned] = ACTIONS(2971),
    [anon_sym_long] = ACTIONS(2971),
    [anon_sym_short] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(2971),
    [anon_sym_static] = ACTIONS(2971),
    [anon_sym_register] = ACTIONS(2971),
    [anon_sym_inline] = ACTIONS(2971),
    [anon_sym___inline] = ACTIONS(2971),
    [anon_sym___inline__] = ACTIONS(2971),
    [anon_sym___forceinline] = ACTIONS(2971),
    [anon_sym_thread_local] = ACTIONS(2971),
    [anon_sym___thread] = ACTIONS(2971),
    [anon_sym_const] = ACTIONS(2971),
    [anon_sym_constexpr] = ACTIONS(2971),
    [anon_sym_volatile] = ACTIONS(2971),
    [anon_sym_restrict] = ACTIONS(2971),
    [anon_sym___restrict__] = ACTIONS(2971),
    [anon_sym__Atomic] = ACTIONS(2971),
    [anon_sym__Noreturn] = ACTIONS(2971),
    [anon_sym_noreturn] = ACTIONS(2971),
    [anon_sym_mutable] = ACTIONS(2971),
    [anon_sym_constinit] = ACTIONS(2971),
    [anon_sym_consteval] = ACTIONS(2971),
    [sym_primitive_type] = ACTIONS(2971),
    [anon_sym_enum] = ACTIONS(2971),
    [anon_sym_class] = ACTIONS(2971),
    [anon_sym_struct] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(2971),
    [anon_sym_if] = ACTIONS(2971),
    [anon_sym_else] = ACTIONS(2971),
    [anon_sym_switch] = ACTIONS(2971),
    [anon_sym_while] = ACTIONS(2971),
    [anon_sym_do] = ACTIONS(2971),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_return] = ACTIONS(2971),
    [anon_sym_break] = ACTIONS(2971),
    [anon_sym_continue] = ACTIONS(2971),
    [anon_sym_goto] = ACTIONS(2971),
    [anon_sym___try] = ACTIONS(2971),
    [anon_sym___leave] = ACTIONS(2971),
    [anon_sym_not] = ACTIONS(2971),
    [anon_sym_compl] = ACTIONS(2971),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_sizeof] = ACTIONS(2971),
    [anon_sym___alignof__] = ACTIONS(2971),
    [anon_sym___alignof] = ACTIONS(2971),
    [anon_sym__alignof] = ACTIONS(2971),
    [anon_sym_alignof] = ACTIONS(2971),
    [anon_sym__Alignof] = ACTIONS(2971),
    [anon_sym_offsetof] = ACTIONS(2971),
    [anon_sym__Generic] = ACTIONS(2971),
    [anon_sym_asm] = ACTIONS(2971),
    [anon_sym___asm__] = ACTIONS(2971),
    [sym_number_literal] = ACTIONS(2973),
    [anon_sym_L_SQUOTE] = ACTIONS(2973),
    [anon_sym_u_SQUOTE] = ACTIONS(2973),
    [anon_sym_U_SQUOTE] = ACTIONS(2973),
    [anon_sym_u8_SQUOTE] = ACTIONS(2973),
    [anon_sym_SQUOTE] = ACTIONS(2973),
    [anon_sym_L_DQUOTE] = ACTIONS(2973),
    [anon_sym_u_DQUOTE] = ACTIONS(2973),
    [anon_sym_U_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8_DQUOTE] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(2973),
    [sym_true] = ACTIONS(2971),
    [sym_false] = ACTIONS(2971),
    [anon_sym_NULL] = ACTIONS(2971),
    [anon_sym_nullptr] = ACTIONS(2971),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2971),
    [anon_sym_decltype] = ACTIONS(2971),
    [anon_sym_virtual] = ACTIONS(2971),
    [anon_sym_alignas] = ACTIONS(2971),
    [anon_sym_typename] = ACTIONS(2971),
    [anon_sym_template] = ACTIONS(2971),
    [anon_sym_try] = ACTIONS(2971),
    [anon_sym_delete] = ACTIONS(2971),
    [anon_sym_throw] = ACTIONS(2971),
    [anon_sym_co_return] = ACTIONS(2971),
    [anon_sym_co_yield] = ACTIONS(2971),
    [anon_sym_R_DQUOTE] = ACTIONS(2973),
    [anon_sym_LR_DQUOTE] = ACTIONS(2973),
    [anon_sym_uR_DQUOTE] = ACTIONS(2973),
    [anon_sym_UR_DQUOTE] = ACTIONS(2973),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2973),
    [anon_sym_co_await] = ACTIONS(2971),
    [anon_sym_new] = ACTIONS(2971),
    [anon_sym_requires] = ACTIONS(2971),
    [sym_this] = ACTIONS(2971),
  },
  [1219] = {
    [sym_identifier] = ACTIONS(2983),
    [anon_sym_LPAREN2] = ACTIONS(2985),
    [anon_sym_BANG] = ACTIONS(2985),
    [anon_sym_TILDE] = ACTIONS(2985),
    [anon_sym_DASH] = ACTIONS(2983),
    [anon_sym_PLUS] = ACTIONS(2983),
    [anon_sym_STAR] = ACTIONS(2985),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2985),
    [anon_sym___extension__] = ACTIONS(2983),
    [anon_sym_typedef] = ACTIONS(2983),
    [anon_sym_extern] = ACTIONS(2983),
    [anon_sym___attribute__] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(2985),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2985),
    [anon_sym___declspec] = ACTIONS(2983),
    [anon_sym_LBRACE] = ACTIONS(2985),
    [anon_sym_signed] = ACTIONS(2983),
    [anon_sym_unsigned] = ACTIONS(2983),
    [anon_sym_long] = ACTIONS(2983),
    [anon_sym_short] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(2983),
    [anon_sym_static] = ACTIONS(2983),
    [anon_sym_register] = ACTIONS(2983),
    [anon_sym_inline] = ACTIONS(2983),
    [anon_sym___inline] = ACTIONS(2983),
    [anon_sym___inline__] = ACTIONS(2983),
    [anon_sym___forceinline] = ACTIONS(2983),
    [anon_sym_thread_local] = ACTIONS(2983),
    [anon_sym___thread] = ACTIONS(2983),
    [anon_sym_const] = ACTIONS(2983),
    [anon_sym_constexpr] = ACTIONS(2983),
    [anon_sym_volatile] = ACTIONS(2983),
    [anon_sym_restrict] = ACTIONS(2983),
    [anon_sym___restrict__] = ACTIONS(2983),
    [anon_sym__Atomic] = ACTIONS(2983),
    [anon_sym__Noreturn] = ACTIONS(2983),
    [anon_sym_noreturn] = ACTIONS(2983),
    [anon_sym_mutable] = ACTIONS(2983),
    [anon_sym_constinit] = ACTIONS(2983),
    [anon_sym_consteval] = ACTIONS(2983),
    [sym_primitive_type] = ACTIONS(2983),
    [anon_sym_enum] = ACTIONS(2983),
    [anon_sym_class] = ACTIONS(2983),
    [anon_sym_struct] = ACTIONS(2983),
    [anon_sym_union] = ACTIONS(2983),
    [anon_sym_if] = ACTIONS(2983),
    [anon_sym_else] = ACTIONS(2983),
    [anon_sym_switch] = ACTIONS(2983),
    [anon_sym_while] = ACTIONS(2983),
    [anon_sym_do] = ACTIONS(2983),
    [anon_sym_for] = ACTIONS(2983),
    [anon_sym_return] = ACTIONS(2983),
    [anon_sym_break] = ACTIONS(2983),
    [anon_sym_continue] = ACTIONS(2983),
    [anon_sym_goto] = ACTIONS(2983),
    [anon_sym___try] = ACTIONS(2983),
    [anon_sym___leave] = ACTIONS(2983),
    [anon_sym_not] = ACTIONS(2983),
    [anon_sym_compl] = ACTIONS(2983),
    [anon_sym_DASH_DASH] = ACTIONS(2985),
    [anon_sym_PLUS_PLUS] = ACTIONS(2985),
    [anon_sym_sizeof] = ACTIONS(2983),
    [anon_sym___alignof__] = ACTIONS(2983),
    [anon_sym___alignof] = ACTIONS(2983),
    [anon_sym__alignof] = ACTIONS(2983),
    [anon_sym_alignof] = ACTIONS(2983),
    [anon_sym__Alignof] = ACTIONS(2983),
    [anon_sym_offsetof] = ACTIONS(2983),
    [anon_sym__Generic] = ACTIONS(2983),
    [anon_sym_asm] = ACTIONS(2983),
    [anon_sym___asm__] = ACTIONS(2983),
    [sym_number_literal] = ACTIONS(2985),
    [anon_sym_L_SQUOTE] = ACTIONS(2985),
    [anon_sym_u_SQUOTE] = ACTIONS(2985),
    [anon_sym_U_SQUOTE] = ACTIONS(2985),
    [anon_sym_u8_SQUOTE] = ACTIONS(2985),
    [anon_sym_SQUOTE] = ACTIONS(2985),
    [anon_sym_L_DQUOTE] = ACTIONS(2985),
    [anon_sym_u_DQUOTE] = ACTIONS(2985),
    [anon_sym_U_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8_DQUOTE] = ACTIONS(2985),
    [anon_sym_DQUOTE] = ACTIONS(2985),
    [sym_true] = ACTIONS(2983),
    [sym_false] = ACTIONS(2983),
    [anon_sym_NULL] = ACTIONS(2983),
    [anon_sym_nullptr] = ACTIONS(2983),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2983),
    [anon_sym_decltype] = ACTIONS(2983),
    [anon_sym_virtual] = ACTIONS(2983),
    [anon_sym_alignas] = ACTIONS(2983),
    [anon_sym_typename] = ACTIONS(2983),
    [anon_sym_template] = ACTIONS(2983),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_delete] = ACTIONS(2983),
    [anon_sym_throw] = ACTIONS(2983),
    [anon_sym_co_return] = ACTIONS(2983),
    [anon_sym_co_yield] = ACTIONS(2983),
    [anon_sym_R_DQUOTE] = ACTIONS(2985),
    [anon_sym_LR_DQUOTE] = ACTIONS(2985),
    [anon_sym_uR_DQUOTE] = ACTIONS(2985),
    [anon_sym_UR_DQUOTE] = ACTIONS(2985),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2985),
    [anon_sym_co_await] = ACTIONS(2983),
    [anon_sym_new] = ACTIONS(2983),
    [anon_sym_requires] = ACTIONS(2983),
    [sym_this] = ACTIONS(2983),
  },
  [1220] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1221] = {
    [sym_identifier] = ACTIONS(3003),
    [anon_sym_LPAREN2] = ACTIONS(3005),
    [anon_sym_BANG] = ACTIONS(3005),
    [anon_sym_TILDE] = ACTIONS(3005),
    [anon_sym_DASH] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(3003),
    [anon_sym_STAR] = ACTIONS(3005),
    [anon_sym_AMP] = ACTIONS(3005),
    [anon_sym_SEMI] = ACTIONS(3005),
    [anon_sym___extension__] = ACTIONS(3003),
    [anon_sym_typedef] = ACTIONS(3003),
    [anon_sym_extern] = ACTIONS(3003),
    [anon_sym___attribute__] = ACTIONS(3003),
    [anon_sym_COLON_COLON] = ACTIONS(3005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3005),
    [anon_sym___declspec] = ACTIONS(3003),
    [anon_sym_LBRACE] = ACTIONS(3005),
    [anon_sym_signed] = ACTIONS(3003),
    [anon_sym_unsigned] = ACTIONS(3003),
    [anon_sym_long] = ACTIONS(3003),
    [anon_sym_short] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(3003),
    [anon_sym_static] = ACTIONS(3003),
    [anon_sym_register] = ACTIONS(3003),
    [anon_sym_inline] = ACTIONS(3003),
    [anon_sym___inline] = ACTIONS(3003),
    [anon_sym___inline__] = ACTIONS(3003),
    [anon_sym___forceinline] = ACTIONS(3003),
    [anon_sym_thread_local] = ACTIONS(3003),
    [anon_sym___thread] = ACTIONS(3003),
    [anon_sym_const] = ACTIONS(3003),
    [anon_sym_constexpr] = ACTIONS(3003),
    [anon_sym_volatile] = ACTIONS(3003),
    [anon_sym_restrict] = ACTIONS(3003),
    [anon_sym___restrict__] = ACTIONS(3003),
    [anon_sym__Atomic] = ACTIONS(3003),
    [anon_sym__Noreturn] = ACTIONS(3003),
    [anon_sym_noreturn] = ACTIONS(3003),
    [anon_sym_mutable] = ACTIONS(3003),
    [anon_sym_constinit] = ACTIONS(3003),
    [anon_sym_consteval] = ACTIONS(3003),
    [sym_primitive_type] = ACTIONS(3003),
    [anon_sym_enum] = ACTIONS(3003),
    [anon_sym_class] = ACTIONS(3003),
    [anon_sym_struct] = ACTIONS(3003),
    [anon_sym_union] = ACTIONS(3003),
    [anon_sym_if] = ACTIONS(3003),
    [anon_sym_else] = ACTIONS(3003),
    [anon_sym_switch] = ACTIONS(3003),
    [anon_sym_while] = ACTIONS(3003),
    [anon_sym_do] = ACTIONS(3003),
    [anon_sym_for] = ACTIONS(3003),
    [anon_sym_return] = ACTIONS(3003),
    [anon_sym_break] = ACTIONS(3003),
    [anon_sym_continue] = ACTIONS(3003),
    [anon_sym_goto] = ACTIONS(3003),
    [anon_sym___try] = ACTIONS(3003),
    [anon_sym___leave] = ACTIONS(3003),
    [anon_sym_not] = ACTIONS(3003),
    [anon_sym_compl] = ACTIONS(3003),
    [anon_sym_DASH_DASH] = ACTIONS(3005),
    [anon_sym_PLUS_PLUS] = ACTIONS(3005),
    [anon_sym_sizeof] = ACTIONS(3003),
    [anon_sym___alignof__] = ACTIONS(3003),
    [anon_sym___alignof] = ACTIONS(3003),
    [anon_sym__alignof] = ACTIONS(3003),
    [anon_sym_alignof] = ACTIONS(3003),
    [anon_sym__Alignof] = ACTIONS(3003),
    [anon_sym_offsetof] = ACTIONS(3003),
    [anon_sym__Generic] = ACTIONS(3003),
    [anon_sym_asm] = ACTIONS(3003),
    [anon_sym___asm__] = ACTIONS(3003),
    [sym_number_literal] = ACTIONS(3005),
    [anon_sym_L_SQUOTE] = ACTIONS(3005),
    [anon_sym_u_SQUOTE] = ACTIONS(3005),
    [anon_sym_U_SQUOTE] = ACTIONS(3005),
    [anon_sym_u8_SQUOTE] = ACTIONS(3005),
    [anon_sym_SQUOTE] = ACTIONS(3005),
    [anon_sym_L_DQUOTE] = ACTIONS(3005),
    [anon_sym_u_DQUOTE] = ACTIONS(3005),
    [anon_sym_U_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8_DQUOTE] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(3005),
    [sym_true] = ACTIONS(3003),
    [sym_false] = ACTIONS(3003),
    [anon_sym_NULL] = ACTIONS(3003),
    [anon_sym_nullptr] = ACTIONS(3003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3003),
    [anon_sym_decltype] = ACTIONS(3003),
    [anon_sym_virtual] = ACTIONS(3003),
    [anon_sym_alignas] = ACTIONS(3003),
    [anon_sym_typename] = ACTIONS(3003),
    [anon_sym_template] = ACTIONS(3003),
    [anon_sym_try] = ACTIONS(3003),
    [anon_sym_delete] = ACTIONS(3003),
    [anon_sym_throw] = ACTIONS(3003),
    [anon_sym_co_return] = ACTIONS(3003),
    [anon_sym_co_yield] = ACTIONS(3003),
    [anon_sym_R_DQUOTE] = ACTIONS(3005),
    [anon_sym_LR_DQUOTE] = ACTIONS(3005),
    [anon_sym_uR_DQUOTE] = ACTIONS(3005),
    [anon_sym_UR_DQUOTE] = ACTIONS(3005),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3005),
    [anon_sym_co_await] = ACTIONS(3003),
    [anon_sym_new] = ACTIONS(3003),
    [anon_sym_requires] = ACTIONS(3003),
    [sym_this] = ACTIONS(3003),
  },
  [1222] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1223] = {
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [1224] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1225] = {
    [sym_identifier] = ACTIONS(2975),
    [anon_sym_LPAREN2] = ACTIONS(2977),
    [anon_sym_BANG] = ACTIONS(2977),
    [anon_sym_TILDE] = ACTIONS(2977),
    [anon_sym_DASH] = ACTIONS(2975),
    [anon_sym_PLUS] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2977),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2977),
    [anon_sym___extension__] = ACTIONS(2975),
    [anon_sym_typedef] = ACTIONS(2975),
    [anon_sym_extern] = ACTIONS(2975),
    [anon_sym___attribute__] = ACTIONS(2975),
    [anon_sym_COLON_COLON] = ACTIONS(2977),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2977),
    [anon_sym___declspec] = ACTIONS(2975),
    [anon_sym_LBRACE] = ACTIONS(2977),
    [anon_sym_signed] = ACTIONS(2975),
    [anon_sym_unsigned] = ACTIONS(2975),
    [anon_sym_long] = ACTIONS(2975),
    [anon_sym_short] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(2975),
    [anon_sym_static] = ACTIONS(2975),
    [anon_sym_register] = ACTIONS(2975),
    [anon_sym_inline] = ACTIONS(2975),
    [anon_sym___inline] = ACTIONS(2975),
    [anon_sym___inline__] = ACTIONS(2975),
    [anon_sym___forceinline] = ACTIONS(2975),
    [anon_sym_thread_local] = ACTIONS(2975),
    [anon_sym___thread] = ACTIONS(2975),
    [anon_sym_const] = ACTIONS(2975),
    [anon_sym_constexpr] = ACTIONS(2975),
    [anon_sym_volatile] = ACTIONS(2975),
    [anon_sym_restrict] = ACTIONS(2975),
    [anon_sym___restrict__] = ACTIONS(2975),
    [anon_sym__Atomic] = ACTIONS(2975),
    [anon_sym__Noreturn] = ACTIONS(2975),
    [anon_sym_noreturn] = ACTIONS(2975),
    [anon_sym_mutable] = ACTIONS(2975),
    [anon_sym_constinit] = ACTIONS(2975),
    [anon_sym_consteval] = ACTIONS(2975),
    [sym_primitive_type] = ACTIONS(2975),
    [anon_sym_enum] = ACTIONS(2975),
    [anon_sym_class] = ACTIONS(2975),
    [anon_sym_struct] = ACTIONS(2975),
    [anon_sym_union] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2975),
    [anon_sym_else] = ACTIONS(2975),
    [anon_sym_switch] = ACTIONS(2975),
    [anon_sym_while] = ACTIONS(2975),
    [anon_sym_do] = ACTIONS(2975),
    [anon_sym_for] = ACTIONS(2975),
    [anon_sym_return] = ACTIONS(2975),
    [anon_sym_break] = ACTIONS(2975),
    [anon_sym_continue] = ACTIONS(2975),
    [anon_sym_goto] = ACTIONS(2975),
    [anon_sym___try] = ACTIONS(2975),
    [anon_sym___leave] = ACTIONS(2975),
    [anon_sym_not] = ACTIONS(2975),
    [anon_sym_compl] = ACTIONS(2975),
    [anon_sym_DASH_DASH] = ACTIONS(2977),
    [anon_sym_PLUS_PLUS] = ACTIONS(2977),
    [anon_sym_sizeof] = ACTIONS(2975),
    [anon_sym___alignof__] = ACTIONS(2975),
    [anon_sym___alignof] = ACTIONS(2975),
    [anon_sym__alignof] = ACTIONS(2975),
    [anon_sym_alignof] = ACTIONS(2975),
    [anon_sym__Alignof] = ACTIONS(2975),
    [anon_sym_offsetof] = ACTIONS(2975),
    [anon_sym__Generic] = ACTIONS(2975),
    [anon_sym_asm] = ACTIONS(2975),
    [anon_sym___asm__] = ACTIONS(2975),
    [sym_number_literal] = ACTIONS(2977),
    [anon_sym_L_SQUOTE] = ACTIONS(2977),
    [anon_sym_u_SQUOTE] = ACTIONS(2977),
    [anon_sym_U_SQUOTE] = ACTIONS(2977),
    [anon_sym_u8_SQUOTE] = ACTIONS(2977),
    [anon_sym_SQUOTE] = ACTIONS(2977),
    [anon_sym_L_DQUOTE] = ACTIONS(2977),
    [anon_sym_u_DQUOTE] = ACTIONS(2977),
    [anon_sym_U_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8_DQUOTE] = ACTIONS(2977),
    [anon_sym_DQUOTE] = ACTIONS(2977),
    [sym_true] = ACTIONS(2975),
    [sym_false] = ACTIONS(2975),
    [anon_sym_NULL] = ACTIONS(2975),
    [anon_sym_nullptr] = ACTIONS(2975),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2975),
    [anon_sym_decltype] = ACTIONS(2975),
    [anon_sym_virtual] = ACTIONS(2975),
    [anon_sym_alignas] = ACTIONS(2975),
    [anon_sym_typename] = ACTIONS(2975),
    [anon_sym_template] = ACTIONS(2975),
    [anon_sym_try] = ACTIONS(2975),
    [anon_sym_delete] = ACTIONS(2975),
    [anon_sym_throw] = ACTIONS(2975),
    [anon_sym_co_return] = ACTIONS(2975),
    [anon_sym_co_yield] = ACTIONS(2975),
    [anon_sym_R_DQUOTE] = ACTIONS(2977),
    [anon_sym_LR_DQUOTE] = ACTIONS(2977),
    [anon_sym_uR_DQUOTE] = ACTIONS(2977),
    [anon_sym_UR_DQUOTE] = ACTIONS(2977),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2977),
    [anon_sym_co_await] = ACTIONS(2975),
    [anon_sym_new] = ACTIONS(2975),
    [anon_sym_requires] = ACTIONS(2975),
    [sym_this] = ACTIONS(2975),
  },
  [1226] = {
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_LPAREN2] = ACTIONS(2961),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(2961),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2959),
    [anon_sym_typedef] = ACTIONS(2959),
    [anon_sym_extern] = ACTIONS(2959),
    [anon_sym___attribute__] = ACTIONS(2959),
    [anon_sym_COLON_COLON] = ACTIONS(2961),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2961),
    [anon_sym___declspec] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2959),
    [anon_sym_unsigned] = ACTIONS(2959),
    [anon_sym_long] = ACTIONS(2959),
    [anon_sym_short] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2959),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_register] = ACTIONS(2959),
    [anon_sym_inline] = ACTIONS(2959),
    [anon_sym___inline] = ACTIONS(2959),
    [anon_sym___inline__] = ACTIONS(2959),
    [anon_sym___forceinline] = ACTIONS(2959),
    [anon_sym_thread_local] = ACTIONS(2959),
    [anon_sym___thread] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_constexpr] = ACTIONS(2959),
    [anon_sym_volatile] = ACTIONS(2959),
    [anon_sym_restrict] = ACTIONS(2959),
    [anon_sym___restrict__] = ACTIONS(2959),
    [anon_sym__Atomic] = ACTIONS(2959),
    [anon_sym__Noreturn] = ACTIONS(2959),
    [anon_sym_noreturn] = ACTIONS(2959),
    [anon_sym_mutable] = ACTIONS(2959),
    [anon_sym_constinit] = ACTIONS(2959),
    [anon_sym_consteval] = ACTIONS(2959),
    [sym_primitive_type] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_struct] = ACTIONS(2959),
    [anon_sym_union] = ACTIONS(2959),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_else] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_goto] = ACTIONS(2959),
    [anon_sym___try] = ACTIONS(2959),
    [anon_sym___leave] = ACTIONS(2959),
    [anon_sym_not] = ACTIONS(2959),
    [anon_sym_compl] = ACTIONS(2959),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_sizeof] = ACTIONS(2959),
    [anon_sym___alignof__] = ACTIONS(2959),
    [anon_sym___alignof] = ACTIONS(2959),
    [anon_sym__alignof] = ACTIONS(2959),
    [anon_sym_alignof] = ACTIONS(2959),
    [anon_sym__Alignof] = ACTIONS(2959),
    [anon_sym_offsetof] = ACTIONS(2959),
    [anon_sym__Generic] = ACTIONS(2959),
    [anon_sym_asm] = ACTIONS(2959),
    [anon_sym___asm__] = ACTIONS(2959),
    [sym_number_literal] = ACTIONS(2961),
    [anon_sym_L_SQUOTE] = ACTIONS(2961),
    [anon_sym_u_SQUOTE] = ACTIONS(2961),
    [anon_sym_U_SQUOTE] = ACTIONS(2961),
    [anon_sym_u8_SQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_L_DQUOTE] = ACTIONS(2961),
    [anon_sym_u_DQUOTE] = ACTIONS(2961),
    [anon_sym_U_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8_DQUOTE] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [anon_sym_NULL] = ACTIONS(2959),
    [anon_sym_nullptr] = ACTIONS(2959),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2959),
    [anon_sym_decltype] = ACTIONS(2959),
    [anon_sym_virtual] = ACTIONS(2959),
    [anon_sym_alignas] = ACTIONS(2959),
    [anon_sym_typename] = ACTIONS(2959),
    [anon_sym_template] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_co_return] = ACTIONS(2959),
    [anon_sym_co_yield] = ACTIONS(2959),
    [anon_sym_R_DQUOTE] = ACTIONS(2961),
    [anon_sym_LR_DQUOTE] = ACTIONS(2961),
    [anon_sym_uR_DQUOTE] = ACTIONS(2961),
    [anon_sym_UR_DQUOTE] = ACTIONS(2961),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2961),
    [anon_sym_co_await] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_requires] = ACTIONS(2959),
    [sym_this] = ACTIONS(2959),
  },
  [1227] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1228] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1229] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1230] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1231] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1232] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1233] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2957),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2957),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym_COLON_COLON] = ACTIONS(2957),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2957),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_mutable] = ACTIONS(2955),
    [anon_sym_constinit] = ACTIONS(2955),
    [anon_sym_consteval] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_else] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym___try] = ACTIONS(2955),
    [anon_sym___leave] = ACTIONS(2955),
    [anon_sym_not] = ACTIONS(2955),
    [anon_sym_compl] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2957),
    [anon_sym_L_SQUOTE] = ACTIONS(2957),
    [anon_sym_u_SQUOTE] = ACTIONS(2957),
    [anon_sym_U_SQUOTE] = ACTIONS(2957),
    [anon_sym_u8_SQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_L_DQUOTE] = ACTIONS(2957),
    [anon_sym_u_DQUOTE] = ACTIONS(2957),
    [anon_sym_U_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8_DQUOTE] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2955),
    [anon_sym_decltype] = ACTIONS(2955),
    [anon_sym_virtual] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym_typename] = ACTIONS(2955),
    [anon_sym_template] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_co_return] = ACTIONS(2955),
    [anon_sym_co_yield] = ACTIONS(2955),
    [anon_sym_R_DQUOTE] = ACTIONS(2957),
    [anon_sym_LR_DQUOTE] = ACTIONS(2957),
    [anon_sym_uR_DQUOTE] = ACTIONS(2957),
    [anon_sym_UR_DQUOTE] = ACTIONS(2957),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2957),
    [anon_sym_co_await] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_requires] = ACTIONS(2955),
    [sym_this] = ACTIONS(2955),
  },
  [1234] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1235] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1236] = {
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_goto] = ACTIONS(2873),
    [anon_sym___try] = ACTIONS(2873),
    [anon_sym___leave] = ACTIONS(2873),
    [anon_sym_not] = ACTIONS(2873),
    [anon_sym_compl] = ACTIONS(2873),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_sizeof] = ACTIONS(2873),
    [anon_sym___alignof__] = ACTIONS(2873),
    [anon_sym___alignof] = ACTIONS(2873),
    [anon_sym__alignof] = ACTIONS(2873),
    [anon_sym_alignof] = ACTIONS(2873),
    [anon_sym__Alignof] = ACTIONS(2873),
    [anon_sym_offsetof] = ACTIONS(2873),
    [anon_sym__Generic] = ACTIONS(2873),
    [anon_sym_asm] = ACTIONS(2873),
    [anon_sym___asm__] = ACTIONS(2873),
    [sym_number_literal] = ACTIONS(2875),
    [anon_sym_L_SQUOTE] = ACTIONS(2875),
    [anon_sym_u_SQUOTE] = ACTIONS(2875),
    [anon_sym_U_SQUOTE] = ACTIONS(2875),
    [anon_sym_u8_SQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_L_DQUOTE] = ACTIONS(2875),
    [anon_sym_u_DQUOTE] = ACTIONS(2875),
    [anon_sym_U_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8_DQUOTE] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [anon_sym_NULL] = ACTIONS(2873),
    [anon_sym_nullptr] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_co_return] = ACTIONS(2873),
    [anon_sym_co_yield] = ACTIONS(2873),
    [anon_sym_R_DQUOTE] = ACTIONS(2875),
    [anon_sym_LR_DQUOTE] = ACTIONS(2875),
    [anon_sym_uR_DQUOTE] = ACTIONS(2875),
    [anon_sym_UR_DQUOTE] = ACTIONS(2875),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2875),
    [anon_sym_co_await] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_requires] = ACTIONS(2873),
    [sym_this] = ACTIONS(2873),
  },
  [1237] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1238] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1239] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1240] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1241] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1242] = {
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [1243] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_LPAREN2] = ACTIONS(2953),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym___extension__] = ACTIONS(2951),
    [anon_sym_typedef] = ACTIONS(2951),
    [anon_sym_extern] = ACTIONS(2951),
    [anon_sym___attribute__] = ACTIONS(2951),
    [anon_sym_COLON_COLON] = ACTIONS(2953),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2953),
    [anon_sym___declspec] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_signed] = ACTIONS(2951),
    [anon_sym_unsigned] = ACTIONS(2951),
    [anon_sym_long] = ACTIONS(2951),
    [anon_sym_short] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2951),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_register] = ACTIONS(2951),
    [anon_sym_inline] = ACTIONS(2951),
    [anon_sym___inline] = ACTIONS(2951),
    [anon_sym___inline__] = ACTIONS(2951),
    [anon_sym___forceinline] = ACTIONS(2951),
    [anon_sym_thread_local] = ACTIONS(2951),
    [anon_sym___thread] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_constexpr] = ACTIONS(2951),
    [anon_sym_volatile] = ACTIONS(2951),
    [anon_sym_restrict] = ACTIONS(2951),
    [anon_sym___restrict__] = ACTIONS(2951),
    [anon_sym__Atomic] = ACTIONS(2951),
    [anon_sym__Noreturn] = ACTIONS(2951),
    [anon_sym_noreturn] = ACTIONS(2951),
    [anon_sym_mutable] = ACTIONS(2951),
    [anon_sym_constinit] = ACTIONS(2951),
    [anon_sym_consteval] = ACTIONS(2951),
    [sym_primitive_type] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_struct] = ACTIONS(2951),
    [anon_sym_union] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_else] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_goto] = ACTIONS(2951),
    [anon_sym___try] = ACTIONS(2951),
    [anon_sym___leave] = ACTIONS(2951),
    [anon_sym_not] = ACTIONS(2951),
    [anon_sym_compl] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_sizeof] = ACTIONS(2951),
    [anon_sym___alignof__] = ACTIONS(2951),
    [anon_sym___alignof] = ACTIONS(2951),
    [anon_sym__alignof] = ACTIONS(2951),
    [anon_sym_alignof] = ACTIONS(2951),
    [anon_sym__Alignof] = ACTIONS(2951),
    [anon_sym_offsetof] = ACTIONS(2951),
    [anon_sym__Generic] = ACTIONS(2951),
    [anon_sym_asm] = ACTIONS(2951),
    [anon_sym___asm__] = ACTIONS(2951),
    [sym_number_literal] = ACTIONS(2953),
    [anon_sym_L_SQUOTE] = ACTIONS(2953),
    [anon_sym_u_SQUOTE] = ACTIONS(2953),
    [anon_sym_U_SQUOTE] = ACTIONS(2953),
    [anon_sym_u8_SQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_L_DQUOTE] = ACTIONS(2953),
    [anon_sym_u_DQUOTE] = ACTIONS(2953),
    [anon_sym_U_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8_DQUOTE] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [anon_sym_NULL] = ACTIONS(2951),
    [anon_sym_nullptr] = ACTIONS(2951),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2951),
    [anon_sym_decltype] = ACTIONS(2951),
    [anon_sym_virtual] = ACTIONS(2951),
    [anon_sym_alignas] = ACTIONS(2951),
    [anon_sym_typename] = ACTIONS(2951),
    [anon_sym_template] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_co_return] = ACTIONS(2951),
    [anon_sym_co_yield] = ACTIONS(2951),
    [anon_sym_R_DQUOTE] = ACTIONS(2953),
    [anon_sym_LR_DQUOTE] = ACTIONS(2953),
    [anon_sym_uR_DQUOTE] = ACTIONS(2953),
    [anon_sym_UR_DQUOTE] = ACTIONS(2953),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2953),
    [anon_sym_co_await] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_requires] = ACTIONS(2951),
    [sym_this] = ACTIONS(2951),
  },
  [1244] = {
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_LPAREN2] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym___extension__] = ACTIONS(2869),
    [anon_sym_typedef] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym___attribute__] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2871),
    [anon_sym___declspec] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_signed] = ACTIONS(2869),
    [anon_sym_unsigned] = ACTIONS(2869),
    [anon_sym_long] = ACTIONS(2869),
    [anon_sym_short] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_register] = ACTIONS(2869),
    [anon_sym_inline] = ACTIONS(2869),
    [anon_sym___inline] = ACTIONS(2869),
    [anon_sym___inline__] = ACTIONS(2869),
    [anon_sym___forceinline] = ACTIONS(2869),
    [anon_sym_thread_local] = ACTIONS(2869),
    [anon_sym___thread] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_constexpr] = ACTIONS(2869),
    [anon_sym_volatile] = ACTIONS(2869),
    [anon_sym_restrict] = ACTIONS(2869),
    [anon_sym___restrict__] = ACTIONS(2869),
    [anon_sym__Atomic] = ACTIONS(2869),
    [anon_sym__Noreturn] = ACTIONS(2869),
    [anon_sym_noreturn] = ACTIONS(2869),
    [anon_sym_mutable] = ACTIONS(2869),
    [anon_sym_constinit] = ACTIONS(2869),
    [anon_sym_consteval] = ACTIONS(2869),
    [sym_primitive_type] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_goto] = ACTIONS(2869),
    [anon_sym___try] = ACTIONS(2869),
    [anon_sym___leave] = ACTIONS(2869),
    [anon_sym_not] = ACTIONS(2869),
    [anon_sym_compl] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_sizeof] = ACTIONS(2869),
    [anon_sym___alignof__] = ACTIONS(2869),
    [anon_sym___alignof] = ACTIONS(2869),
    [anon_sym__alignof] = ACTIONS(2869),
    [anon_sym_alignof] = ACTIONS(2869),
    [anon_sym__Alignof] = ACTIONS(2869),
    [anon_sym_offsetof] = ACTIONS(2869),
    [anon_sym__Generic] = ACTIONS(2869),
    [anon_sym_asm] = ACTIONS(2869),
    [anon_sym___asm__] = ACTIONS(2869),
    [sym_number_literal] = ACTIONS(2871),
    [anon_sym_L_SQUOTE] = ACTIONS(2871),
    [anon_sym_u_SQUOTE] = ACTIONS(2871),
    [anon_sym_U_SQUOTE] = ACTIONS(2871),
    [anon_sym_u8_SQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_L_DQUOTE] = ACTIONS(2871),
    [anon_sym_u_DQUOTE] = ACTIONS(2871),
    [anon_sym_U_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8_DQUOTE] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [anon_sym_NULL] = ACTIONS(2869),
    [anon_sym_nullptr] = ACTIONS(2869),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2869),
    [anon_sym_decltype] = ACTIONS(2869),
    [anon_sym_virtual] = ACTIONS(2869),
    [anon_sym_alignas] = ACTIONS(2869),
    [anon_sym_typename] = ACTIONS(2869),
    [anon_sym_template] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_co_return] = ACTIONS(2869),
    [anon_sym_co_yield] = ACTIONS(2869),
    [anon_sym_R_DQUOTE] = ACTIONS(2871),
    [anon_sym_LR_DQUOTE] = ACTIONS(2871),
    [anon_sym_uR_DQUOTE] = ACTIONS(2871),
    [anon_sym_UR_DQUOTE] = ACTIONS(2871),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2871),
    [anon_sym_co_await] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_requires] = ACTIONS(2869),
    [sym_this] = ACTIONS(2869),
  },
  [1245] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [1246] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [1247] = {
    [sym_identifier] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [1248] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1249] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1250] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1251] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1252] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1253] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1254] = {
    [sym_identifier] = ACTIONS(4103),
    [anon_sym_LPAREN2] = ACTIONS(4105),
    [anon_sym_BANG] = ACTIONS(4105),
    [anon_sym_TILDE] = ACTIONS(4105),
    [anon_sym_DASH] = ACTIONS(4103),
    [anon_sym_PLUS] = ACTIONS(4103),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(4105),
    [anon_sym_SEMI] = ACTIONS(4105),
    [anon_sym___extension__] = ACTIONS(4103),
    [anon_sym_extern] = ACTIONS(4103),
    [anon_sym___attribute__] = ACTIONS(4103),
    [anon_sym_COLON_COLON] = ACTIONS(4105),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4105),
    [anon_sym___declspec] = ACTIONS(4103),
    [anon_sym_LBRACE] = ACTIONS(4105),
    [anon_sym_signed] = ACTIONS(4103),
    [anon_sym_unsigned] = ACTIONS(4103),
    [anon_sym_long] = ACTIONS(4103),
    [anon_sym_short] = ACTIONS(4103),
    [anon_sym_LBRACK] = ACTIONS(4103),
    [anon_sym_static] = ACTIONS(4103),
    [anon_sym_register] = ACTIONS(4103),
    [anon_sym_inline] = ACTIONS(4103),
    [anon_sym___inline] = ACTIONS(4103),
    [anon_sym___inline__] = ACTIONS(4103),
    [anon_sym___forceinline] = ACTIONS(4103),
    [anon_sym_thread_local] = ACTIONS(4103),
    [anon_sym___thread] = ACTIONS(4103),
    [anon_sym_const] = ACTIONS(4103),
    [anon_sym_constexpr] = ACTIONS(4103),
    [anon_sym_volatile] = ACTIONS(4103),
    [anon_sym_restrict] = ACTIONS(4103),
    [anon_sym___restrict__] = ACTIONS(4103),
    [anon_sym__Atomic] = ACTIONS(4103),
    [anon_sym__Noreturn] = ACTIONS(4103),
    [anon_sym_noreturn] = ACTIONS(4103),
    [anon_sym_mutable] = ACTIONS(4103),
    [anon_sym_constinit] = ACTIONS(4103),
    [anon_sym_consteval] = ACTIONS(4103),
    [sym_primitive_type] = ACTIONS(4103),
    [anon_sym_enum] = ACTIONS(4103),
    [anon_sym_class] = ACTIONS(4103),
    [anon_sym_struct] = ACTIONS(4103),
    [anon_sym_union] = ACTIONS(4103),
    [anon_sym_if] = ACTIONS(4103),
    [anon_sym_switch] = ACTIONS(4103),
    [anon_sym_case] = ACTIONS(4103),
    [anon_sym_default] = ACTIONS(4103),
    [anon_sym_while] = ACTIONS(4103),
    [anon_sym_do] = ACTIONS(4103),
    [anon_sym_for] = ACTIONS(4103),
    [anon_sym_return] = ACTIONS(4103),
    [anon_sym_break] = ACTIONS(4103),
    [anon_sym_continue] = ACTIONS(4103),
    [anon_sym_goto] = ACTIONS(4103),
    [anon_sym___try] = ACTIONS(4103),
    [anon_sym___leave] = ACTIONS(4103),
    [anon_sym_not] = ACTIONS(4103),
    [anon_sym_compl] = ACTIONS(4103),
    [anon_sym_DASH_DASH] = ACTIONS(4105),
    [anon_sym_PLUS_PLUS] = ACTIONS(4105),
    [anon_sym_sizeof] = ACTIONS(4103),
    [anon_sym___alignof__] = ACTIONS(4103),
    [anon_sym___alignof] = ACTIONS(4103),
    [anon_sym__alignof] = ACTIONS(4103),
    [anon_sym_alignof] = ACTIONS(4103),
    [anon_sym__Alignof] = ACTIONS(4103),
    [anon_sym_offsetof] = ACTIONS(4103),
    [anon_sym__Generic] = ACTIONS(4103),
    [anon_sym_asm] = ACTIONS(4103),
    [anon_sym___asm__] = ACTIONS(4103),
    [sym_number_literal] = ACTIONS(4105),
    [anon_sym_L_SQUOTE] = ACTIONS(4105),
    [anon_sym_u_SQUOTE] = ACTIONS(4105),
    [anon_sym_U_SQUOTE] = ACTIONS(4105),
    [anon_sym_u8_SQUOTE] = ACTIONS(4105),
    [anon_sym_SQUOTE] = ACTIONS(4105),
    [anon_sym_L_DQUOTE] = ACTIONS(4105),
    [anon_sym_u_DQUOTE] = ACTIONS(4105),
    [anon_sym_U_DQUOTE] = ACTIONS(4105),
    [anon_sym_u8_DQUOTE] = ACTIONS(4105),
    [anon_sym_DQUOTE] = ACTIONS(4105),
    [sym_true] = ACTIONS(4103),
    [sym_false] = ACTIONS(4103),
    [anon_sym_NULL] = ACTIONS(4103),
    [anon_sym_nullptr] = ACTIONS(4103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4103),
    [anon_sym_decltype] = ACTIONS(4103),
    [anon_sym_virtual] = ACTIONS(4103),
    [anon_sym_alignas] = ACTIONS(4103),
    [anon_sym_typename] = ACTIONS(4103),
    [anon_sym_template] = ACTIONS(4103),
    [anon_sym_try] = ACTIONS(4103),
    [anon_sym_delete] = ACTIONS(4103),
    [anon_sym_throw] = ACTIONS(4103),
    [anon_sym_co_return] = ACTIONS(4103),
    [anon_sym_co_yield] = ACTIONS(4103),
    [anon_sym_R_DQUOTE] = ACTIONS(4105),
    [anon_sym_LR_DQUOTE] = ACTIONS(4105),
    [anon_sym_uR_DQUOTE] = ACTIONS(4105),
    [anon_sym_UR_DQUOTE] = ACTIONS(4105),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4105),
    [anon_sym_co_await] = ACTIONS(4103),
    [anon_sym_new] = ACTIONS(4103),
    [anon_sym_requires] = ACTIONS(4103),
    [sym_this] = ACTIONS(4103),
  },
  [1255] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1256] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1257] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1258] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1259] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1260] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1261] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1280),
    [sym_compound_requirement] = STATE(1280),
    [sym__requirement] = STATE(1280),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1280),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4294),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1262] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1267),
    [sym_compound_requirement] = STATE(1267),
    [sym__requirement] = STATE(1267),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1267),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4298),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1263] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1292),
    [sym_compound_requirement] = STATE(1292),
    [sym__requirement] = STATE(1292),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4300),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1264] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1265] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1283),
    [sym_compound_requirement] = STATE(1283),
    [sym__requirement] = STATE(1283),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1283),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4304),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1266] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7961),
    [sym_initializer_pair] = STATE(7961),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4308),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1267] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4312),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1268] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4314),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1269] = {
    [sym__expression] = STATE(5187),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8106),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1270] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1268),
    [sym_compound_requirement] = STATE(1268),
    [sym__requirement] = STATE(1268),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1268),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4318),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1271] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(4320),
    [anon_sym_LPAREN2] = ACTIONS(4323),
    [anon_sym_BANG] = ACTIONS(4326),
    [anon_sym_TILDE] = ACTIONS(4326),
    [anon_sym_DASH] = ACTIONS(4329),
    [anon_sym_PLUS] = ACTIONS(4329),
    [anon_sym_STAR] = ACTIONS(4332),
    [anon_sym_AMP] = ACTIONS(4332),
    [anon_sym_SEMI] = ACTIONS(4335),
    [anon_sym_COLON_COLON] = ACTIONS(4338),
    [anon_sym_LBRACE] = ACTIONS(4341),
    [anon_sym_RBRACE] = ACTIONS(4344),
    [anon_sym_LBRACK] = ACTIONS(4346),
    [sym_primitive_type] = ACTIONS(4349),
    [anon_sym_not] = ACTIONS(4329),
    [anon_sym_compl] = ACTIONS(4329),
    [anon_sym_DASH_DASH] = ACTIONS(4352),
    [anon_sym_PLUS_PLUS] = ACTIONS(4352),
    [anon_sym_sizeof] = ACTIONS(4355),
    [anon_sym___alignof__] = ACTIONS(4358),
    [anon_sym___alignof] = ACTIONS(4358),
    [anon_sym__alignof] = ACTIONS(4358),
    [anon_sym_alignof] = ACTIONS(4358),
    [anon_sym__Alignof] = ACTIONS(4358),
    [anon_sym_offsetof] = ACTIONS(4361),
    [anon_sym__Generic] = ACTIONS(4364),
    [anon_sym_asm] = ACTIONS(4367),
    [anon_sym___asm__] = ACTIONS(4367),
    [sym_number_literal] = ACTIONS(4370),
    [anon_sym_L_SQUOTE] = ACTIONS(4373),
    [anon_sym_u_SQUOTE] = ACTIONS(4373),
    [anon_sym_U_SQUOTE] = ACTIONS(4373),
    [anon_sym_u8_SQUOTE] = ACTIONS(4373),
    [anon_sym_SQUOTE] = ACTIONS(4373),
    [anon_sym_L_DQUOTE] = ACTIONS(4376),
    [anon_sym_u_DQUOTE] = ACTIONS(4376),
    [anon_sym_U_DQUOTE] = ACTIONS(4376),
    [anon_sym_u8_DQUOTE] = ACTIONS(4376),
    [anon_sym_DQUOTE] = ACTIONS(4376),
    [sym_true] = ACTIONS(4379),
    [sym_false] = ACTIONS(4379),
    [anon_sym_NULL] = ACTIONS(4382),
    [anon_sym_nullptr] = ACTIONS(4382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4385),
    [anon_sym_typename] = ACTIONS(4388),
    [anon_sym_template] = ACTIONS(4391),
    [anon_sym_delete] = ACTIONS(4394),
    [anon_sym_R_DQUOTE] = ACTIONS(4397),
    [anon_sym_LR_DQUOTE] = ACTIONS(4397),
    [anon_sym_uR_DQUOTE] = ACTIONS(4397),
    [anon_sym_UR_DQUOTE] = ACTIONS(4397),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4397),
    [anon_sym_co_await] = ACTIONS(4400),
    [anon_sym_new] = ACTIONS(4403),
    [anon_sym_requires] = ACTIONS(4406),
    [sym_this] = ACTIONS(4379),
  },
  [1272] = {
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7998),
    [sym_initializer_pair] = STATE(7998),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4409),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1273] = {
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8034),
    [sym_initializer_pair] = STATE(8034),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4413),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1274] = {
    [sym__expression] = STATE(5011),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8244),
    [sym_initializer_pair] = STATE(8244),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1275] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1276] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1275),
    [sym_compound_requirement] = STATE(1275),
    [sym__requirement] = STATE(1275),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1275),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1277] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4425),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1278] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4427),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1279] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4429),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1280] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4431),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1281] = {
    [sym__expression] = STATE(5088),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8132),
    [sym_initializer_pair] = STATE(8132),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4435),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1282] = {
    [sym__expression] = STATE(5103),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8289),
    [sym_initializer_pair] = STATE(8289),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4439),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1283] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4441),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1284] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1264),
    [sym_compound_requirement] = STATE(1264),
    [sym__requirement] = STATE(1264),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1264),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4443),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1285] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4445),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1286] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1278),
    [sym_compound_requirement] = STATE(1278),
    [sym__requirement] = STATE(1278),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4447),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1287] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1277),
    [sym_compound_requirement] = STATE(1277),
    [sym__requirement] = STATE(1277),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1277),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4449),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1288] = {
    [sym__expression] = STATE(5026),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8324),
    [sym_initializer_pair] = STATE(8324),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4451),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4453),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1289] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1279),
    [sym_compound_requirement] = STATE(1279),
    [sym__requirement] = STATE(1279),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1279),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4455),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1290] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1285),
    [sym_compound_requirement] = STATE(1285),
    [sym__requirement] = STATE(1285),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1285),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1291] = {
    [sym__expression] = STATE(5008),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8186),
    [sym_initializer_pair] = STATE(8186),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_COMMA] = ACTIONS(4459),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4461),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1292] = {
    [sym_expression_statement] = STATE(3275),
    [sym__expression] = STATE(5319),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9031),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_type_requirement] = STATE(1271),
    [sym_compound_requirement] = STATE(1271),
    [sym__requirement] = STATE(1271),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_requirement_seq_repeat1] = STATE(1271),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4290),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4463),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_typename] = ACTIONS(4296),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1293] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4465),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1294] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1295] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1296] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4471),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1297] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4473),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1298] = {
    [sym_string_literal] = STATE(2653),
    [sym_template_argument_list] = STATE(2033),
    [sym_raw_string_literal] = STATE(2653),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4475),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4137),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4478),
    [anon_sym_or_eq] = ACTIONS(4478),
    [anon_sym_xor_eq] = ACTIONS(4478),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(4480),
    [anon_sym_u_DQUOTE] = ACTIONS(4480),
    [anon_sym_U_DQUOTE] = ACTIONS(4480),
    [anon_sym_u8_DQUOTE] = ACTIONS(4480),
    [anon_sym_DQUOTE] = ACTIONS(4480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(4482),
    [anon_sym_LR_DQUOTE] = ACTIONS(4482),
    [anon_sym_uR_DQUOTE] = ACTIONS(4482),
    [anon_sym_UR_DQUOTE] = ACTIONS(4482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4482),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [1299] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4270),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1300] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1301] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4484),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1302] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4486),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1303] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1304] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4192),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1305] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4488),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1306] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4490),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1307] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1308] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4316),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1309] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4492),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1310] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4494),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1311] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2077),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1312] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4496),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1313] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4498),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1314] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4500),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1315] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1316] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_RBRACE] = ACTIONS(4504),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1317] = {
    [sym__expression] = STATE(5303),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8730),
    [sym_initializer_pair] = STATE(8730),
    [sym_subscript_designator] = STATE(7497),
    [sym_subscript_range_designator] = STATE(7497),
    [sym_field_designator] = STATE(7497),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [aux_sym_initializer_pair_repeat1] = STATE(7497),
    [sym_identifier] = ACTIONS(4306),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(4310),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1318] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(2075),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3173),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_TILDE] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4143),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4125),
    [anon_sym_extern] = ACTIONS(4125),
    [anon_sym___attribute__] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4133),
    [anon_sym___declspec] = ACTIONS(4125),
    [anon_sym___based] = ACTIONS(4125),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(4153),
    [anon_sym_unsigned] = ACTIONS(4153),
    [anon_sym_long] = ACTIONS(4153),
    [anon_sym_short] = ACTIONS(4153),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4125),
    [anon_sym_static] = ACTIONS(4125),
    [anon_sym_register] = ACTIONS(4125),
    [anon_sym_inline] = ACTIONS(4125),
    [anon_sym___inline] = ACTIONS(4125),
    [anon_sym___inline__] = ACTIONS(4125),
    [anon_sym___forceinline] = ACTIONS(4125),
    [anon_sym_thread_local] = ACTIONS(4125),
    [anon_sym___thread] = ACTIONS(4125),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4125),
    [anon_sym_volatile] = ACTIONS(4125),
    [anon_sym_restrict] = ACTIONS(4125),
    [anon_sym___restrict__] = ACTIONS(4125),
    [anon_sym__Atomic] = ACTIONS(4125),
    [anon_sym__Noreturn] = ACTIONS(4125),
    [anon_sym_noreturn] = ACTIONS(4125),
    [anon_sym_mutable] = ACTIONS(4125),
    [anon_sym_constinit] = ACTIONS(4125),
    [anon_sym_consteval] = ACTIONS(4125),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4159),
    [anon_sym_or_eq] = ACTIONS(4159),
    [anon_sym_xor_eq] = ACTIONS(4159),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
    [anon_sym_virtual] = ACTIONS(4125),
    [anon_sym_alignas] = ACTIONS(4125),
    [anon_sym_template] = ACTIONS(4125),
    [anon_sym_operator] = ACTIONS(4125),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [1319] = {
    [sym_compound_statement] = STATE(8255),
    [sym__expression] = STATE(5104),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8255),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4506),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4508),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1320] = {
    [sym_compound_statement] = STATE(8265),
    [sym__expression] = STATE(5009),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8265),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4510),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1321] = {
    [sym_compound_statement] = STATE(7951),
    [sym__expression] = STATE(5185),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7951),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4516),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1322] = {
    [sym_compound_statement] = STATE(7991),
    [sym__expression] = STATE(5177),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7991),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4520),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1323] = {
    [sym_compound_statement] = STATE(7952),
    [sym__expression] = STATE(5110),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(7952),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4522),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4524),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1324] = {
    [sym_compound_statement] = STATE(8136),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8136),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4526),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4528),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1325] = {
    [sym_compound_statement] = STATE(8332),
    [sym__expression] = STATE(5029),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8332),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4530),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4532),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1326] = {
    [sym_compound_statement] = STATE(8020),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8020),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4534),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4536),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1327] = {
    [sym_compound_statement] = STATE(8138),
    [sym__expression] = STATE(5005),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8138),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4538),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4540),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1328] = {
    [sym__expression] = STATE(3836),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8962),
    [sym__unary_right_fold] = STATE(8953),
    [sym__binary_fold] = STATE(8952),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1329] = {
    [sym__expression] = STATE(5339),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8852),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8852),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4542),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1330] = {
    [sym__expression] = STATE(3818),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9646),
    [sym__unary_right_fold] = STATE(9645),
    [sym__binary_fold] = STATE(9642),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1331] = {
    [sym__expression] = STATE(4892),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(7584),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4548),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4552),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4554),
    [anon_sym_0] = ACTIONS(4556),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1332] = {
    [sym__expression] = STATE(5260),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9610),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9610),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4558),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1333] = {
    [sym__expression] = STATE(3879),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8934),
    [sym__unary_right_fold] = STATE(8939),
    [sym__binary_fold] = STATE(8943),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1334] = {
    [sym__expression] = STATE(3882),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9113),
    [sym__unary_right_fold] = STATE(9106),
    [sym__binary_fold] = STATE(9103),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1335] = {
    [sym__expression] = STATE(3955),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9711),
    [sym__unary_right_fold] = STATE(9734),
    [sym__binary_fold] = STATE(9736),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1336] = {
    [sym__expression] = STATE(3945),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9059),
    [sym__unary_right_fold] = STATE(9058),
    [sym__binary_fold] = STATE(9057),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1337] = {
    [sym__expression] = STATE(5201),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9446),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9446),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4560),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1338] = {
    [sym__expression] = STATE(3853),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9353),
    [sym__unary_right_fold] = STATE(9349),
    [sym__binary_fold] = STATE(9348),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1339] = {
    [sym_compound_statement] = STATE(8673),
    [sym__expression] = STATE(5313),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8673),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4562),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1340] = {
    [sym__expression] = STATE(3900),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9661),
    [sym__unary_right_fold] = STATE(9656),
    [sym__binary_fold] = STATE(9655),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1341] = {
    [sym__expression] = STATE(5308),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9396),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9396),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4564),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1342] = {
    [sym__expression] = STATE(4886),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(7617),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4566),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4552),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4568),
    [anon_sym_0] = ACTIONS(4570),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1343] = {
    [sym__expression] = STATE(4954),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(7594),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4572),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4552),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4574),
    [anon_sym_0] = ACTIONS(4576),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1344] = {
    [sym__expression] = STATE(3950),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(8872),
    [sym__unary_right_fold] = STATE(8871),
    [sym__binary_fold] = STATE(8870),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1345] = {
    [sym__expression] = STATE(5317),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9005),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9005),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4578),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1346] = {
    [sym__expression] = STATE(3935),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9618),
    [sym__unary_right_fold] = STATE(9540),
    [sym__binary_fold] = STATE(9616),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1347] = {
    [sym__expression] = STATE(5323),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9214),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9214),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4580),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1348] = {
    [sym__expression] = STATE(3931),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym__unary_left_fold] = STATE(9080),
    [sym__unary_right_fold] = STATE(9155),
    [sym__binary_fold] = STATE(9156),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1349] = {
    [sym__expression] = STATE(4923),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(7580),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(4582),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(4552),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4584),
    [anon_sym_0] = ACTIONS(4586),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1350] = {
    [sym__expression] = STATE(3371),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1351] = {
    [sym__expression] = STATE(3470),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1352] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1353] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4602),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1354] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4605),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1355] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4608),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1356] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4611),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1357] = {
    [sym__expression] = STATE(3641),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1358] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1359] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4617),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1360] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4620),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1361] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4623),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1362] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4626),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1363] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4629),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1364] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4632),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1365] = {
    [sym__expression] = STATE(3224),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1366] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4637),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1367] = {
    [sym__expression] = STATE(3183),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1368] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4639),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1369] = {
    [sym__expression] = STATE(3839),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1370] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4643),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1371] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4645),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1372] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1373] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4647),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1374] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1375] = {
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1376] = {
    [sym__expression] = STATE(3830),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1377] = {
    [sym__expression] = STATE(4822),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1378] = {
    [sym__expression] = STATE(5010),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(4655),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1379] = {
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1380] = {
    [sym__expression] = STATE(5157),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(8030),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4659),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1381] = {
    [sym__expression] = STATE(4901),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1382] = {
    [sym__expression] = STATE(4889),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1383] = {
    [sym__expression] = STATE(3926),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1384] = {
    [sym__expression] = STATE(4974),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1385] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4667),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1386] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4669),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1387] = {
    [sym__expression] = STATE(3410),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1388] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4671),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1389] = {
    [sym__expression] = STATE(3691),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1390] = {
    [sym__expression] = STATE(5233),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1391] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4673),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1392] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4675),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1393] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4677),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1394] = {
    [sym__expression] = STATE(5074),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(8361),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4679),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1395] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4681),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1396] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4683),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1397] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4685),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1398] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4687),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1399] = {
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1400] = {
    [sym__expression] = STATE(3722),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1401] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4691),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1402] = {
    [sym__expression] = STATE(5010),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1403] = {
    [sym__expression] = STATE(3914),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1404] = {
    [sym__expression] = STATE(5128),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1405] = {
    [sym__expression] = STATE(5274),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1406] = {
    [sym__expression] = STATE(4816),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1407] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4695),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1408] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4697),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1409] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4699),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1410] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4701),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1411] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1412] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4703),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1413] = {
    [sym__expression] = STATE(4269),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1414] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4705),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1415] = {
    [sym__expression] = STATE(4216),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1416] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(4655),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4657),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1417] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1418] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4707),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1419] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4709),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1420] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4711),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1421] = {
    [sym__expression] = STATE(5056),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(8000),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4713),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1422] = {
    [sym__expression] = STATE(5196),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1423] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4715),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1424] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4717),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1425] = {
    [sym__expression] = STATE(3773),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1426] = {
    [sym__expression] = STATE(5017),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(8188),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4719),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1427] = {
    [sym__expression] = STATE(3459),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4590),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(4590),
    [anon_sym_AMP_AMP] = ACTIONS(4590),
    [anon_sym_AMP] = ACTIONS(4592),
    [anon_sym_LT] = ACTIONS(4590),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(4590),
    [anon_sym_LBRACK] = ACTIONS(4590),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1428] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_lambda_default_capture] = STATE(8502),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4596),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4721),
    [anon_sym_EQ] = ACTIONS(4600),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1429] = {
    [sym__expression] = STATE(5232),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9637),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4727),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1430] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1431] = {
    [sym__expression] = STATE(5283),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9258),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4729),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1432] = {
    [sym__expression] = STATE(5297),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(8508),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1433] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1434] = {
    [sym__expression] = STATE(5343),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9338),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4733),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1435] = {
    [sym__expression] = STATE(4769),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_initializer_list] = STATE(4528),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1436] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1437] = {
    [sym__expression] = STATE(5271),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4739),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1438] = {
    [sym__expression] = STATE(5364),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8998),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1439] = {
    [sym__expression] = STATE(3902),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_comma_expression] = STATE(9620),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym__assignment_expression_lhs] = STATE(9614),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1440] = {
    [sym__expression] = STATE(5321),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9075),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4743),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1441] = {
    [sym__expression] = STATE(3952),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_initializer_list] = STATE(4329),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1442] = {
    [sym__expression] = STATE(5195),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9546),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4747),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1443] = {
    [sym__expression] = STATE(5063),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8523),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1444] = {
    [sym__expression] = STATE(5293),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_initializer_list] = STATE(4528),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1445] = {
    [sym__expression] = STATE(5340),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9181),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4749),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1446] = {
    [sym__expression] = STATE(5306),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8726),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1447] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1448] = {
    [sym__expression] = STATE(5335),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9153),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4751),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1449] = {
    [sym__expression] = STATE(4981),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(4528),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1450] = {
    [sym__expression] = STATE(3844),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1451] = {
    [sym__expression] = STATE(3696),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_initializer_list] = STATE(4153),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1452] = {
    [sym__expression] = STATE(5386),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(9129),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1453] = {
    [sym__expression] = STATE(5254),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9070),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4755),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1454] = {
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_initializer_list] = STATE(5544),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1455] = {
    [sym__expression] = STATE(5342),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9124),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4757),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1456] = {
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8106),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1457] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9327),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4762),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1458] = {
    [sym__expression] = STATE(5204),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9292),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4764),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1459] = {
    [sym__expression] = STATE(5334),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8523),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1460] = {
    [sym__expression] = STATE(5276),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8790),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1461] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1462] = {
    [sym__expression] = STATE(4462),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1463] = {
    [sym__expression] = STATE(5014),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(4528),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1464] = {
    [sym__expression] = STATE(5263),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8976),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4766),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1465] = {
    [sym__expression] = STATE(5316),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9145),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1466] = {
    [sym__expression] = STATE(5324),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9084),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4770),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1467] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_COMMA] = ACTIONS(4772),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4772),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1468] = {
    [sym__expression] = STATE(2892),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_initializer_list] = STATE(2990),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1469] = {
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_initializer_list] = STATE(4528),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1470] = {
    [sym__expression] = STATE(4924),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(5070),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1471] = {
    [sym__expression] = STATE(3466),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_initializer_list] = STATE(3644),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1472] = {
    [sym__expression] = STATE(5330),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9644),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4782),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1473] = {
    [sym__expression] = STATE(4331),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_initializer_list] = STATE(4389),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1474] = {
    [sym__expression] = STATE(4897),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_initializer_list] = STATE(5135),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACE] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1475] = {
    [sym__expression] = STATE(5247),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8840),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4784),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1476] = {
    [sym__expression] = STATE(5259),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8854),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4786),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1477] = {
    [sym__expression] = STATE(5302),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9347),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4788),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1478] = {
    [sym__expression] = STATE(4209),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_initializer_list] = STATE(4382),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACE] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1479] = {
    [sym__expression] = STATE(5236),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_initializer_list] = STATE(5519),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACE] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1480] = {
    [sym__expression] = STATE(5307),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9499),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4790),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1481] = {
    [sym__expression] = STATE(5199),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_initializer_list] = STATE(4499),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1482] = {
    [sym__expression] = STATE(5385),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_initializer_list] = STATE(8992),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1483] = {
    [sym__expression] = STATE(5137),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_initializer_list] = STATE(8194),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACE] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1484] = {
    [sym__expression] = STATE(5194),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(9666),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(4792),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1485] = {
    [sym__expression] = STATE(5372),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4794),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1486] = {
    [sym__expression] = STATE(4937),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4796),
    [anon_sym_LPAREN2] = ACTIONS(4798),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1487] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4800),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1488] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4802),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1489] = {
    [sym__expression] = STATE(3613),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4804),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1490] = {
    [sym__expression] = STATE(2889),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4807),
    [anon_sym_LPAREN2] = ACTIONS(4809),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1491] = {
    [sym__expression] = STATE(3857),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4811),
    [anon_sym_LPAREN2] = ACTIONS(4813),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1492] = {
    [sym__expression] = STATE(5371),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4815),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1493] = {
    [sym__expression] = STATE(5414),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4817),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1494] = {
    [sym__expression] = STATE(5451),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4819),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1495] = {
    [sym__expression] = STATE(3411),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4821),
    [anon_sym_LPAREN2] = ACTIONS(4823),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1496] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4825),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1497] = {
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4829),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1498] = {
    [sym__expression] = STATE(5431),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4831),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1499] = {
    [sym__expression] = STATE(3712),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(4835),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1500] = {
    [sym__expression] = STATE(5469),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4837),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1501] = {
    [sym__expression] = STATE(5269),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4839),
    [anon_sym_LPAREN2] = ACTIONS(4841),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1502] = {
    [sym__expression] = STATE(5478),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4843),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1503] = {
    [sym__expression] = STATE(5487),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4845),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1504] = {
    [sym__expression] = STATE(5463),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4847),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1505] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4849),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1506] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4851),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1507] = {
    [sym__expression] = STATE(4480),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4853),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1508] = {
    [sym__expression] = STATE(5485),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4855),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1509] = {
    [sym__expression] = STATE(4480),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4857),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1510] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4859),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1511] = {
    [sym__expression] = STATE(5230),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8106),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1512] = {
    [sym__expression] = STATE(3746),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1513] = {
    [sym__expression] = STATE(4480),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4866),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1514] = {
    [sym__expression] = STATE(3746),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1515] = {
    [sym__expression] = STATE(5458),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4871),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1516] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1517] = {
    [sym__expression] = STATE(3745),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4875),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1518] = {
    [sym__expression] = STATE(3745),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1519] = {
    [sym__expression] = STATE(5477),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1520] = {
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1521] = {
    [sym__expression] = STATE(3743),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1522] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4889),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1523] = {
    [sym__expression] = STATE(3742),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1524] = {
    [sym__expression] = STATE(5365),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4894),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1525] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1526] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4899),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1527] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4901),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1528] = {
    [sym__expression] = STATE(3870),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4807),
    [anon_sym_LPAREN2] = ACTIONS(4903),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1529] = {
    [sym__expression] = STATE(5494),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4905),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1530] = {
    [sym__expression] = STATE(5350),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4907),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1531] = {
    [sym__expression] = STATE(4211),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4909),
    [anon_sym_LPAREN2] = ACTIONS(4911),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1532] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1533] = {
    [sym__expression] = STATE(2889),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4807),
    [anon_sym_LPAREN2] = ACTIONS(4915),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1534] = {
    [sym__expression] = STATE(3739),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4917),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1535] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4920),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1536] = {
    [sym__expression] = STATE(3736),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1537] = {
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4863),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1538] = {
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1539] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4925),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1540] = {
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4927),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1541] = {
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1542] = {
    [sym__expression] = STATE(4218),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4875),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1543] = {
    [sym__expression] = STATE(4218),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4878),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1544] = {
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1545] = {
    [sym__expression] = STATE(4480),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4827),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1546] = {
    [sym__expression] = STATE(4218),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4938),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1547] = {
    [sym__expression] = STATE(4228),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4886),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1548] = {
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4891),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1549] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4941),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1550] = {
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1551] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4946),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1552] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4948),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1553] = {
    [sym__expression] = STATE(4245),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4896),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1554] = {
    [sym__expression] = STATE(4249),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4917),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1555] = {
    [sym__expression] = STATE(4252),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4922),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1556] = {
    [sym__expression] = STATE(4281),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4927),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1557] = {
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_comma_expression] = STATE(8106),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1558] = {
    [sym__expression] = STATE(4281),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1559] = {
    [sym__expression] = STATE(5448),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_RPAREN] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1560] = {
    [sym__expression] = STATE(3745),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4938),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1561] = {
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4933),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1562] = {
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4943),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1563] = {
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1564] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4955),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1565] = {
    [sym__expression] = STATE(5417),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4957),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1566] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4959),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1567] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4961),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1568] = {
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4952),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1569] = {
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4883),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1570] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1571] = {
    [sym__expression] = STATE(4259),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1572] = {
    [sym__expression] = STATE(3613),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4965),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1573] = {
    [sym__expression] = STATE(4259),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4804),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1574] = {
    [sym__expression] = STATE(4249),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4968),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1575] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4971),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1576] = {
    [sym__expression] = STATE(5440),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4973),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1577] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4975),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1578] = {
    [sym__expression] = STATE(5406),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4977),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1579] = {
    [sym__expression] = STATE(5384),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4979),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1580] = {
    [sym__expression] = STATE(4245),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4981),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1581] = {
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4984),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1582] = {
    [sym__expression] = STATE(5494),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4987),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1583] = {
    [sym__expression] = STATE(2889),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4807),
    [anon_sym_LPAREN2] = ACTIONS(4989),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1584] = {
    [sym__expression] = STATE(5351),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1585] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(4993),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1586] = {
    [sym__expression] = STATE(5404),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1587] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1588] = {
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1589] = {
    [sym__expression] = STATE(5452),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5002),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1590] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(5004),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1591] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [anon_sym_RBRACK] = ACTIONS(5006),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1592] = {
    [sym__expression] = STATE(4228),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1593] = {
    [sym__expression] = STATE(3736),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1594] = {
    [sym__expression] = STATE(4281),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4999),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1595] = {
    [sym__expression] = STATE(4252),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5011),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1596] = {
    [sym__expression] = STATE(5474),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5014),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1597] = {
    [sym__expression] = STATE(3739),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4968),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1598] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4981),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1599] = {
    [sym__expression] = STATE(3742),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4984),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1600] = {
    [sym__expression] = STATE(3743),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5008),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1601] = {
    [sym__expression] = STATE(4325),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1602] = {
    [sym__expression] = STATE(3202),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1603] = {
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(5016),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1604] = {
    [sym__expression] = STATE(5356),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1605] = {
    [sym__expression] = STATE(3448),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1606] = {
    [sym__expression] = STATE(5362),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1607] = {
    [sym__expression] = STATE(5245),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(5018),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1608] = {
    [sym__expression] = STATE(5357),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1609] = {
    [sym__expression] = STATE(5089),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1610] = {
    [sym__expression] = STATE(5344),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1611] = {
    [sym__expression] = STATE(5399),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1612] = {
    [sym__expression] = STATE(4793),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1613] = {
    [sym__expression] = STATE(3771),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1614] = {
    [sym__expression] = STATE(5382),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1615] = {
    [sym__expression] = STATE(3865),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(5020),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1616] = {
    [sym__expression] = STATE(5380),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1617] = {
    [sym__expression] = STATE(5396),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1618] = {
    [sym__expression] = STATE(3868),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1619] = {
    [sym__expression] = STATE(5220),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1620] = {
    [sym__expression] = STATE(5389),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1621] = {
    [sym__expression] = STATE(5238),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1622] = {
    [sym__expression] = STATE(5408),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1623] = {
    [sym__expression] = STATE(5229),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1624] = {
    [sym__expression] = STATE(5098),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1625] = {
    [sym__expression] = STATE(5225),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1626] = {
    [sym__expression] = STATE(4434),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1627] = {
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1628] = {
    [sym__expression] = STATE(5109),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1629] = {
    [sym__expression] = STATE(5112),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1630] = {
    [sym__expression] = STATE(5117),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1631] = {
    [sym__expression] = STATE(3758),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1632] = {
    [sym__expression] = STATE(5223),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1633] = {
    [sym__expression] = STATE(3756),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1634] = {
    [sym__expression] = STATE(3755),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1635] = {
    [sym__expression] = STATE(5119),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1636] = {
    [sym__expression] = STATE(5120),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1637] = {
    [sym__expression] = STATE(5123),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1638] = {
    [sym__expression] = STATE(3871),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1639] = {
    [sym__expression] = STATE(5077),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1640] = {
    [sym__expression] = STATE(5222),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1641] = {
    [sym__expression] = STATE(5359),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1642] = {
    [sym__expression] = STATE(5221),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1643] = {
    [sym__expression] = STATE(4790),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1644] = {
    [sym__expression] = STATE(5219),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1645] = {
    [sym__expression] = STATE(5218),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1646] = {
    [sym__expression] = STATE(5217),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1647] = {
    [sym__expression] = STATE(5346),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1648] = {
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1649] = {
    [sym__expression] = STATE(5125),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1650] = {
    [sym__expression] = STATE(3754),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1651] = {
    [sym__expression] = STATE(5427),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1652] = {
    [sym__expression] = STATE(5126),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1653] = {
    [sym__expression] = STATE(5213),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1654] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1655] = {
    [sym__expression] = STATE(5214),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1656] = {
    [sym__expression] = STATE(3907),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(5022),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1657] = {
    [sym__expression] = STATE(5212),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1658] = {
    [sym__expression] = STATE(5211),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1659] = {
    [sym__expression] = STATE(5360),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1660] = {
    [sym__expression] = STATE(5208),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1661] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1662] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1663] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(5024),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1664] = {
    [sym__expression] = STATE(5205),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1665] = {
    [sym__expression] = STATE(5207),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1666] = {
    [sym__expression] = STATE(5206),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1667] = {
    [sym__expression] = STATE(4434),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1668] = {
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1669] = {
    [sym__expression] = STATE(2864),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1670] = {
    [sym__expression] = STATE(3652),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1671] = {
    [sym__expression] = STATE(5299),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1672] = {
    [sym__expression] = STATE(5209),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1673] = {
    [sym__expression] = STATE(5439),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(5026),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1674] = {
    [sym__expression] = STATE(5345),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1675] = {
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1676] = {
    [sym__expression] = STATE(3397),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1677] = {
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(5028),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1678] = {
    [sym__expression] = STATE(3943),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1679] = {
    [sym__expression] = STATE(5464),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1680] = {
    [sym__expression] = STATE(5491),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1681] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1682] = {
    [sym__expression] = STATE(3701),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1683] = {
    [sym__expression] = STATE(4823),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1684] = {
    [sym__expression] = STATE(3938),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1685] = {
    [sym__expression] = STATE(5412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1686] = {
    [sym__expression] = STATE(5450),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1687] = {
    [sym__expression] = STATE(5394),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1688] = {
    [sym__expression] = STATE(4964),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1689] = {
    [sym__expression] = STATE(3948),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1690] = {
    [sym__expression] = STATE(3185),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1691] = {
    [sym__expression] = STATE(5251),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1692] = {
    [sym__expression] = STATE(5398),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1693] = {
    [sym__expression] = STATE(5488),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1694] = {
    [sym__expression] = STATE(5240),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1695] = {
    [sym__expression] = STATE(5105),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1696] = {
    [sym__expression] = STATE(5361),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1697] = {
    [sym__expression] = STATE(3409),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1698] = {
    [sym__expression] = STATE(5376),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1699] = {
    [sym__expression] = STATE(3772),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1700] = {
    [sym__expression] = STATE(2835),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1701] = {
    [sym__expression] = STATE(2826),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1702] = {
    [sym__expression] = STATE(4780),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1703] = {
    [sym__expression] = STATE(4434),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1704] = {
    [sym__expression] = STATE(3711),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1705] = {
    [sym__expression] = STATE(4936),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1706] = {
    [sym__expression] = STATE(4995),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1707] = {
    [sym__expression] = STATE(4789),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1708] = {
    [sym__expression] = STATE(4940),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1709] = {
    [sym__expression] = STATE(5139),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1710] = {
    [sym__expression] = STATE(2835),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1711] = {
    [sym__expression] = STATE(2826),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1712] = {
    [sym__expression] = STATE(5354),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1713] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(5030),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1714] = {
    [sym__expression] = STATE(3700),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1715] = {
    [sym__expression] = STATE(3872),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1716] = {
    [sym__expression] = STATE(5444),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1717] = {
    [sym__expression] = STATE(3446),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1718] = {
    [sym__expression] = STATE(3399),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1719] = {
    [sym__expression] = STATE(3874),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1720] = {
    [sym__expression] = STATE(5012),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1721] = {
    [sym__expression] = STATE(3374),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1722] = {
    [sym__expression] = STATE(5416),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1723] = {
    [sym__expression] = STATE(5348),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1724] = {
    [sym__expression] = STATE(3646),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(5032),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1725] = {
    [sym__expression] = STATE(3373),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1726] = {
    [sym__expression] = STATE(2845),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1727] = {
    [sym__expression] = STATE(3379),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1728] = {
    [sym__expression] = STATE(3378),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1729] = {
    [sym__expression] = STATE(4904),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1730] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1731] = {
    [sym__expression] = STATE(5243),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1732] = {
    [sym__expression] = STATE(5496),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1733] = {
    [sym__expression] = STATE(5479),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1734] = {
    [sym__expression] = STATE(3380),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1735] = {
    [sym__expression] = STATE(5480),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1736] = {
    [sym__expression] = STATE(3713),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(5034),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1737] = {
    [sym__expression] = STATE(5363),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1738] = {
    [sym__expression] = STATE(3386),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1739] = {
    [sym__expression] = STATE(3461),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1740] = {
    [sym__expression] = STATE(4899),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1741] = {
    [sym__expression] = STATE(3387),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1742] = {
    [sym__expression] = STATE(5341),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1743] = {
    [sym__expression] = STATE(5459),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1744] = {
    [sym__expression] = STATE(5264),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1745] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1746] = {
    [sym__expression] = STATE(4237),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1747] = {
    [sym__expression] = STATE(3462),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1748] = {
    [sym__expression] = STATE(3775),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1749] = {
    [sym__expression] = STATE(3716),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5036),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1750] = {
    [sym__expression] = STATE(3717),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1751] = {
    [sym__expression] = STATE(3746),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1752] = {
    [sym__expression] = STATE(3223),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1753] = {
    [sym__expression] = STATE(5461),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1754] = {
    [sym__expression] = STATE(5035),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1755] = {
    [sym__expression] = STATE(4259),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1756] = {
    [sym__expression] = STATE(4256),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1757] = {
    [sym__expression] = STATE(4895),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1758] = {
    [sym__expression] = STATE(5435),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1759] = {
    [sym__expression] = STATE(3960),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1760] = {
    [sym__expression] = STATE(4774),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(5038),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1761] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1762] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1763] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1764] = {
    [sym__expression] = STATE(4791),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1765] = {
    [sym__expression] = STATE(5434),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1766] = {
    [sym__expression] = STATE(4281),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1767] = {
    [sym__expression] = STATE(3222),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1768] = {
    [sym__expression] = STATE(5428),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1769] = {
    [sym__expression] = STATE(4252),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1770] = {
    [sym__expression] = STATE(4249),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1771] = {
    [sym__expression] = STATE(4245),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1772] = {
    [sym__expression] = STATE(3196),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1773] = {
    [sym__expression] = STATE(3653),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1774] = {
    [sym__expression] = STATE(3197),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1775] = {
    [sym__expression] = STATE(5234),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1776] = {
    [sym__expression] = STATE(3659),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1777] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1778] = {
    [sym__expression] = STATE(3790),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(5040),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1779] = {
    [sym__expression] = STATE(3198),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1780] = {
    [sym__expression] = STATE(4805),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(5042),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1781] = {
    [sym__expression] = STATE(5326),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1782] = {
    [sym__expression] = STATE(4244),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1783] = {
    [sym__expression] = STATE(4228),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1784] = {
    [sym__expression] = STATE(3745),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1785] = {
    [sym__expression] = STATE(4218),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1786] = {
    [sym__expression] = STATE(3199),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1787] = {
    [sym__expression] = STATE(3200),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1788] = {
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1789] = {
    [sym__expression] = STATE(3201),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1790] = {
    [sym__expression] = STATE(3743),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1791] = {
    [sym__expression] = STATE(3959),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1792] = {
    [sym__expression] = STATE(3958),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1793] = {
    [sym__expression] = STATE(3957),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1794] = {
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1795] = {
    [sym__expression] = STATE(5401),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1796] = {
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1797] = {
    [sym__expression] = STATE(5481),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1798] = {
    [sym__expression] = STATE(4794),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1799] = {
    [sym__expression] = STATE(4800),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1800] = {
    [sym__expression] = STATE(4801),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1801] = {
    [sym__expression] = STATE(4817),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1802] = {
    [sym__expression] = STATE(4786),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1803] = {
    [sym__expression] = STATE(4195),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1804] = {
    [sym__expression] = STATE(3742),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1805] = {
    [sym__expression] = STATE(5318),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1806] = {
    [sym__expression] = STATE(5492),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(5046),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1807] = {
    [sym__expression] = STATE(5298),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1808] = {
    [sym__expression] = STATE(3918),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1809] = {
    [sym__expression] = STATE(3160),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1810] = {
    [sym__expression] = STATE(5473),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1811] = {
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1812] = {
    [sym__expression] = STATE(3833),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1813] = {
    [sym__expression] = STATE(3741),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1814] = {
    [sym__expression] = STATE(4888),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1815] = {
    [sym__expression] = STATE(4975),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1816] = {
    [sym__expression] = STATE(3739),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1817] = {
    [sym__expression] = STATE(5268),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1818] = {
    [sym__expression] = STATE(3856),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1819] = {
    [sym__expression] = STATE(2826),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1820] = {
    [sym__expression] = STATE(2826),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(5052),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1821] = {
    [sym__expression] = STATE(5252),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1822] = {
    [sym__expression] = STATE(4930),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(5054),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1823] = {
    [sym__expression] = STATE(5246),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1824] = {
    [sym__expression] = STATE(2845),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1825] = {
    [sym__expression] = STATE(3226),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(5056),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1826] = {
    [sym__expression] = STATE(2835),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1827] = {
    [sym__expression] = STATE(4935),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1828] = {
    [sym__expression] = STATE(3736),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1829] = {
    [sym__expression] = STATE(5253),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1830] = {
    [sym__expression] = STATE(5235),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1831] = {
    [sym__expression] = STATE(4890),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(5058),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1832] = {
    [sym__expression] = STATE(3468),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1833] = {
    [sym__expression] = STATE(2864),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1834] = {
    [sym__expression] = STATE(3433),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1835] = {
    [sym__expression] = STATE(3432),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1836] = {
    [sym__expression] = STATE(3430),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1837] = {
    [sym__expression] = STATE(3427),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1838] = {
    [sym__expression] = STATE(3424),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1839] = {
    [sym__expression] = STATE(3395),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1840] = {
    [sym__expression] = STATE(3393),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1841] = {
    [sym__expression] = STATE(3391),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1842] = {
    [sym__expression] = STATE(3731),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1843] = {
    [sym__expression] = STATE(3932),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1844] = {
    [sym__expression] = STATE(3852),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1845] = {
    [sym__expression] = STATE(5183),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1846] = {
    [sym__expression] = STATE(4997),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1847] = {
    [sym__expression] = STATE(4434),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1848] = {
    [sym__expression] = STATE(5493),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1849] = {
    [sym__expression] = STATE(2864),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1850] = {
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1851] = {
    [sym__expression] = STATE(3777),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1852] = {
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1853] = {
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1854] = {
    [sym__expression] = STATE(3440),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1855] = {
    [sym__expression] = STATE(3372),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1856] = {
    [sym__expression] = STATE(3220),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3244),
    [sym_concatenated_string] = STATE(3321),
    [sym_string_literal] = STATE(2131),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2133),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4774),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2140),
    [anon_sym_compl] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(4635),
    [anon_sym_PLUS_PLUS] = ACTIONS(4635),
    [anon_sym_sizeof] = ACTIONS(2150),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2160),
    [anon_sym_L_SQUOTE] = ACTIONS(2162),
    [anon_sym_u_SQUOTE] = ACTIONS(2162),
    [anon_sym_U_SQUOTE] = ACTIONS(2162),
    [anon_sym_u8_SQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2162),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2172),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [anon_sym_co_await] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1857] = {
    [sym__expression] = STATE(3887),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1858] = {
    [sym__expression] = STATE(3735),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1859] = {
    [sym__expression] = STATE(3862),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1860] = {
    [sym__expression] = STATE(2845),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1861] = {
    [sym__expression] = STATE(3417),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1862] = {
    [sym__expression] = STATE(4327),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1863] = {
    [sym__expression] = STATE(3418),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1864] = {
    [sym__expression] = STATE(5095),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1865] = {
    [sym__expression] = STATE(3412),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1866] = {
    [sym__expression] = STATE(3925),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1867] = {
    [sym__expression] = STATE(5442),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1868] = {
    [sym__expression] = STATE(5447),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1869] = {
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1870] = {
    [sym__expression] = STATE(4968),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1871] = {
    [sym__expression] = STATE(4969),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1872] = {
    [sym__expression] = STATE(4977),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1873] = {
    [sym__expression] = STATE(5489),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1874] = {
    [sym__expression] = STATE(5131),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1875] = {
    [sym__expression] = STATE(3861),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1876] = {
    [sym__expression] = STATE(5419),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1877] = {
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1878] = {
    [sym__expression] = STATE(3734),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1879] = {
    [sym__expression] = STATE(5352),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1880] = {
    [sym__expression] = STATE(4991),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1881] = {
    [sym__expression] = STATE(4980),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1882] = {
    [sym__expression] = STATE(5000),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1883] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1884] = {
    [sym__expression] = STATE(5200),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1885] = {
    [sym__expression] = STATE(5392),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1886] = {
    [sym__expression] = STATE(5349),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1887] = {
    [sym__expression] = STATE(3613),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1888] = {
    [sym__expression] = STATE(5369),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1889] = {
    [sym__expression] = STATE(3732),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1890] = {
    [sym__expression] = STATE(3860),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1891] = {
    [sym__expression] = STATE(3390),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1892] = {
    [sym__expression] = STATE(3859),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1893] = {
    [sym__expression] = STATE(3858),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1894] = {
    [sym__expression] = STATE(3855),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1895] = {
    [sym__expression] = STATE(4993),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(5064),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1896] = {
    [sym__expression] = STATE(2857),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1897] = {
    [sym__expression] = STATE(3850),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1898] = {
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1899] = {
    [sym__expression] = STATE(5094),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1900] = {
    [sym__expression] = STATE(5100),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1901] = {
    [sym__expression] = STATE(3396),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(5066),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1902] = {
    [sym__expression] = STATE(3848),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1903] = {
    [sym__expression] = STATE(5006),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1904] = {
    [sym__expression] = STATE(5374),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1905] = {
    [sym__expression] = STATE(3920),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1906] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1907] = {
    [sym__expression] = STATE(5295),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1908] = {
    [sym__expression] = STATE(3869),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(5068),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1909] = {
    [sym__expression] = STATE(3867),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1910] = {
    [sym__expression] = STATE(5375),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1911] = {
    [sym__expression] = STATE(5377),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1912] = {
    [sym__expression] = STATE(5076),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1913] = {
    [sym__expression] = STATE(5400),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1914] = {
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1915] = {
    [sym__expression] = STATE(5407),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1916] = {
    [sym__expression] = STATE(5305),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1917] = {
    [sym__expression] = STATE(3866),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1918] = {
    [sym__expression] = STATE(5420),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1919] = {
    [sym__expression] = STATE(5471),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1920] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1921] = {
    [sym__expression] = STATE(5162),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1922] = {
    [sym__expression] = STATE(5494),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1923] = {
    [sym__expression] = STATE(3660),
    [sym__expression_not_binary] = STATE(4164),
    [sym__string] = STATE(4164),
    [sym_conditional_expression] = STATE(4164),
    [sym_assignment_expression] = STATE(4164),
    [sym_pointer_expression] = STATE(4164),
    [sym_unary_expression] = STATE(4164),
    [sym_binary_expression] = STATE(4164),
    [sym_update_expression] = STATE(4164),
    [sym_cast_expression] = STATE(4164),
    [sym_sizeof_expression] = STATE(4164),
    [sym_alignof_expression] = STATE(4164),
    [sym_offsetof_expression] = STATE(4164),
    [sym_generic_expression] = STATE(4164),
    [sym_subscript_expression] = STATE(4164),
    [sym_call_expression] = STATE(4164),
    [sym_gnu_asm_expression] = STATE(4164),
    [sym_field_expression] = STATE(4164),
    [sym_compound_literal_expression] = STATE(4164),
    [sym_parenthesized_expression] = STATE(4164),
    [sym_char_literal] = STATE(3909),
    [sym_concatenated_string] = STATE(3908),
    [sym_string_literal] = STATE(2570),
    [sym_null] = STATE(4164),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8489),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4164),
    [sym_raw_string_literal] = STATE(2571),
    [sym_co_await_expression] = STATE(4164),
    [sym_new_expression] = STATE(4164),
    [sym_delete_expression] = STATE(4164),
    [sym_requires_clause] = STATE(4164),
    [sym_requires_expression] = STATE(4164),
    [sym_lambda_expression] = STATE(4164),
    [sym_lambda_capture_specifier] = STATE(6707),
    [sym_fold_expression] = STATE(4164),
    [sym_parameter_pack_expansion] = STATE(4164),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4164),
    [sym_qualified_type_identifier] = STATE(8489),
    [sym_user_defined_literal] = STATE(4164),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2284),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_sizeof] = ACTIONS(2098),
    [anon_sym___alignof__] = ACTIONS(2100),
    [anon_sym___alignof] = ACTIONS(2100),
    [anon_sym__alignof] = ACTIONS(2100),
    [anon_sym_alignof] = ACTIONS(2100),
    [anon_sym__Alignof] = ACTIONS(2100),
    [anon_sym_offsetof] = ACTIONS(2102),
    [anon_sym__Generic] = ACTIONS(2104),
    [anon_sym_asm] = ACTIONS(2106),
    [anon_sym___asm__] = ACTIONS(2106),
    [sym_number_literal] = ACTIONS(2108),
    [anon_sym_L_SQUOTE] = ACTIONS(2110),
    [anon_sym_u_SQUOTE] = ACTIONS(2110),
    [anon_sym_U_SQUOTE] = ACTIONS(2110),
    [anon_sym_u8_SQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2110),
    [anon_sym_L_DQUOTE] = ACTIONS(2112),
    [anon_sym_u_DQUOTE] = ACTIONS(2112),
    [anon_sym_U_DQUOTE] = ACTIONS(2112),
    [anon_sym_u8_DQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2112),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [anon_sym_NULL] = ACTIONS(2116),
    [anon_sym_nullptr] = ACTIONS(2116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2126),
    [anon_sym_R_DQUOTE] = ACTIONS(2128),
    [anon_sym_LR_DQUOTE] = ACTIONS(2128),
    [anon_sym_uR_DQUOTE] = ACTIONS(2128),
    [anon_sym_UR_DQUOTE] = ACTIONS(2128),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2128),
    [anon_sym_co_await] = ACTIONS(2130),
    [anon_sym_new] = ACTIONS(2132),
    [anon_sym_requires] = ACTIONS(2134),
    [sym_this] = ACTIONS(2114),
  },
  [1924] = {
    [sym__expression] = STATE(3690),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3912),
    [sym_concatenated_string] = STATE(3911),
    [sym_string_literal] = STATE(2555),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2556),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2258),
    [anon_sym_LPAREN2] = ACTIONS(4731),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_TILDE] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2260),
    [anon_sym_compl] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(4689),
    [anon_sym_PLUS_PLUS] = ACTIONS(4689),
    [anon_sym_sizeof] = ACTIONS(2266),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2268),
    [anon_sym_L_SQUOTE] = ACTIONS(2270),
    [anon_sym_u_SQUOTE] = ACTIONS(2270),
    [anon_sym_U_SQUOTE] = ACTIONS(2270),
    [anon_sym_u8_SQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2270),
    [anon_sym_L_DQUOTE] = ACTIONS(2272),
    [anon_sym_u_DQUOTE] = ACTIONS(2272),
    [anon_sym_U_DQUOTE] = ACTIONS(2272),
    [anon_sym_u8_DQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2272),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2274),
    [anon_sym_R_DQUOTE] = ACTIONS(2276),
    [anon_sym_LR_DQUOTE] = ACTIONS(2276),
    [anon_sym_uR_DQUOTE] = ACTIONS(2276),
    [anon_sym_UR_DQUOTE] = ACTIONS(2276),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2276),
    [anon_sym_co_await] = ACTIONS(2278),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1925] = {
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1926] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1927] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1928] = {
    [sym__expression] = STATE(4903),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1929] = {
    [sym__expression] = STATE(3845),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1930] = {
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1931] = {
    [sym__expression] = STATE(5467),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1932] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1933] = {
    [sym__expression] = STATE(5466),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1934] = {
    [sym__expression] = STATE(5189),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1935] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1936] = {
    [sym__expression] = STATE(4915),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1937] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1938] = {
    [sym__expression] = STATE(3837),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1939] = {
    [sym__expression] = STATE(5046),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1940] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1941] = {
    [sym__expression] = STATE(3826),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4753),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2298),
    [anon_sym_compl] = ACTIONS(2298),
    [anon_sym_DASH_DASH] = ACTIONS(4641),
    [anon_sym_PLUS_PLUS] = ACTIONS(4641),
    [anon_sym_sizeof] = ACTIONS(2304),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2306),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1942] = {
    [sym__expression] = STATE(5018),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1943] = {
    [sym__expression] = STATE(5294),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1944] = {
    [sym__expression] = STATE(5456),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1945] = {
    [sym__expression] = STATE(5270),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1946] = {
    [sym__expression] = STATE(4773),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3425),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3425),
    [sym_call_expression] = STATE(3425),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3425),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3425),
    [sym_char_literal] = STATE(4855),
    [sym_concatenated_string] = STATE(4831),
    [sym_string_literal] = STATE(3607),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3590),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3425),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3425),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_LPAREN2] = ACTIONS(4735),
    [anon_sym_BANG] = ACTIONS(3699),
    [anon_sym_TILDE] = ACTIONS(3699),
    [anon_sym_DASH] = ACTIONS(3697),
    [anon_sym_PLUS] = ACTIONS(3697),
    [anon_sym_STAR] = ACTIONS(4737),
    [anon_sym_AMP] = ACTIONS(4737),
    [anon_sym_COLON_COLON] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3697),
    [anon_sym_compl] = ACTIONS(3697),
    [anon_sym_DASH_DASH] = ACTIONS(4653),
    [anon_sym_PLUS_PLUS] = ACTIONS(4653),
    [anon_sym_sizeof] = ACTIONS(3705),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3707),
    [anon_sym_L_SQUOTE] = ACTIONS(3709),
    [anon_sym_u_SQUOTE] = ACTIONS(3709),
    [anon_sym_U_SQUOTE] = ACTIONS(3709),
    [anon_sym_u8_SQUOTE] = ACTIONS(3709),
    [anon_sym_SQUOTE] = ACTIONS(3709),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3713),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
    [anon_sym_co_await] = ACTIONS(3717),
    [anon_sym_new] = ACTIONS(3719),
    [anon_sym_requires] = ACTIONS(3721),
    [sym_this] = ACTIONS(217),
  },
  [1947] = {
    [sym__expression] = STATE(3956),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1948] = {
    [sym__expression] = STATE(4917),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1949] = {
    [sym__expression] = STATE(5290),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1950] = {
    [sym__expression] = STATE(5288),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1951] = {
    [sym__expression] = STATE(4918),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1952] = {
    [sym__expression] = STATE(5405),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1953] = {
    [sym__expression] = STATE(5423),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1954] = {
    [sym__expression] = STATE(3436),
    [sym__expression_not_binary] = STATE(2894),
    [sym__string] = STATE(2894),
    [sym_conditional_expression] = STATE(2894),
    [sym_assignment_expression] = STATE(2894),
    [sym_pointer_expression] = STATE(2894),
    [sym_unary_expression] = STATE(2894),
    [sym_binary_expression] = STATE(2894),
    [sym_update_expression] = STATE(2894),
    [sym_cast_expression] = STATE(2894),
    [sym_sizeof_expression] = STATE(2894),
    [sym_alignof_expression] = STATE(2894),
    [sym_offsetof_expression] = STATE(2894),
    [sym_generic_expression] = STATE(2894),
    [sym_subscript_expression] = STATE(2894),
    [sym_call_expression] = STATE(2894),
    [sym_gnu_asm_expression] = STATE(2894),
    [sym_field_expression] = STATE(2894),
    [sym_compound_literal_expression] = STATE(2894),
    [sym_parenthesized_expression] = STATE(2894),
    [sym_char_literal] = STATE(3415),
    [sym_concatenated_string] = STATE(3405),
    [sym_string_literal] = STATE(2154),
    [sym_null] = STATE(2894),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8445),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(2894),
    [sym_raw_string_literal] = STATE(2185),
    [sym_co_await_expression] = STATE(2894),
    [sym_new_expression] = STATE(2894),
    [sym_delete_expression] = STATE(2894),
    [sym_requires_clause] = STATE(2894),
    [sym_requires_expression] = STATE(2894),
    [sym_lambda_expression] = STATE(2894),
    [sym_lambda_capture_specifier] = STATE(6699),
    [sym_fold_expression] = STATE(2894),
    [sym_parameter_pack_expansion] = STATE(2894),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(2894),
    [sym_qualified_type_identifier] = STATE(8445),
    [sym_user_defined_literal] = STATE(2894),
    [sym_identifier] = ACTIONS(2182),
    [anon_sym_LPAREN2] = ACTIONS(4741),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_TILDE] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [sym_primitive_type] = ACTIONS(2148),
    [anon_sym_not] = ACTIONS(2184),
    [anon_sym_compl] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(3535),
    [anon_sym_PLUS_PLUS] = ACTIONS(3535),
    [anon_sym_sizeof] = ACTIONS(2190),
    [anon_sym___alignof__] = ACTIONS(2152),
    [anon_sym___alignof] = ACTIONS(2152),
    [anon_sym__alignof] = ACTIONS(2152),
    [anon_sym_alignof] = ACTIONS(2152),
    [anon_sym__Alignof] = ACTIONS(2152),
    [anon_sym_offsetof] = ACTIONS(2154),
    [anon_sym__Generic] = ACTIONS(2156),
    [anon_sym_asm] = ACTIONS(2158),
    [anon_sym___asm__] = ACTIONS(2158),
    [sym_number_literal] = ACTIONS(2192),
    [anon_sym_L_SQUOTE] = ACTIONS(2194),
    [anon_sym_u_SQUOTE] = ACTIONS(2194),
    [anon_sym_U_SQUOTE] = ACTIONS(2194),
    [anon_sym_u8_SQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2194),
    [anon_sym_L_DQUOTE] = ACTIONS(2196),
    [anon_sym_u_DQUOTE] = ACTIONS(2196),
    [anon_sym_U_DQUOTE] = ACTIONS(2196),
    [anon_sym_u8_DQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2196),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [anon_sym_NULL] = ACTIONS(2168),
    [anon_sym_nullptr] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2198),
    [anon_sym_R_DQUOTE] = ACTIONS(2200),
    [anon_sym_LR_DQUOTE] = ACTIONS(2200),
    [anon_sym_uR_DQUOTE] = ACTIONS(2200),
    [anon_sym_UR_DQUOTE] = ACTIONS(2200),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2200),
    [anon_sym_co_await] = ACTIONS(2202),
    [anon_sym_new] = ACTIONS(2204),
    [anon_sym_requires] = ACTIONS(2180),
    [sym_this] = ACTIONS(2166),
  },
  [1955] = {
    [sym__expression] = STATE(5287),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1956] = {
    [sym__expression] = STATE(5425),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1957] = {
    [sym__expression] = STATE(4920),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1958] = {
    [sym__expression] = STATE(5286),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1959] = {
    [sym__expression] = STATE(4907),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1960] = {
    [sym__expression] = STATE(4423),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1961] = {
    [sym__expression] = STATE(5227),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1962] = {
    [sym__expression] = STATE(5429),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1963] = {
    [sym__expression] = STATE(5273),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1964] = {
    [sym__expression] = STATE(4247),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1965] = {
    [sym__expression] = STATE(5285),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1966] = {
    [sym__expression] = STATE(5284),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1967] = {
    [sym__expression] = STATE(5129),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1968] = {
    [sym__expression] = STATE(5310),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1969] = {
    [sym__expression] = STATE(5291),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1970] = {
    [sym__expression] = STATE(5289),
    [sym__expression_not_binary] = STATE(5549),
    [sym__string] = STATE(5549),
    [sym_conditional_expression] = STATE(5549),
    [sym_assignment_expression] = STATE(5549),
    [sym_pointer_expression] = STATE(4226),
    [sym_unary_expression] = STATE(5549),
    [sym_binary_expression] = STATE(5549),
    [sym_update_expression] = STATE(5549),
    [sym_cast_expression] = STATE(5549),
    [sym_sizeof_expression] = STATE(5549),
    [sym_alignof_expression] = STATE(5549),
    [sym_offsetof_expression] = STATE(5549),
    [sym_generic_expression] = STATE(5549),
    [sym_subscript_expression] = STATE(4226),
    [sym_call_expression] = STATE(4226),
    [sym_gnu_asm_expression] = STATE(5549),
    [sym_field_expression] = STATE(4226),
    [sym_compound_literal_expression] = STATE(5549),
    [sym_parenthesized_expression] = STATE(4226),
    [sym_char_literal] = STATE(5418),
    [sym_concatenated_string] = STATE(5353),
    [sym_string_literal] = STATE(4376),
    [sym_null] = STATE(5549),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8662),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5549),
    [sym_raw_string_literal] = STATE(4374),
    [sym_co_await_expression] = STATE(5549),
    [sym_new_expression] = STATE(5549),
    [sym_delete_expression] = STATE(5549),
    [sym_requires_clause] = STATE(5549),
    [sym_requires_expression] = STATE(5549),
    [sym_lambda_expression] = STATE(5549),
    [sym_lambda_capture_specifier] = STATE(6655),
    [sym_fold_expression] = STATE(5549),
    [sym_parameter_pack_expansion] = STATE(5549),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4226),
    [sym_qualified_type_identifier] = STATE(8662),
    [sym_user_defined_literal] = STATE(4226),
    [sym_identifier] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3411),
    [anon_sym_BANG] = ACTIONS(3413),
    [anon_sym_TILDE] = ACTIONS(3413),
    [anon_sym_DASH] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3415),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(3419),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(4007),
    [anon_sym_not] = ACTIONS(3415),
    [anon_sym_compl] = ACTIONS(3415),
    [anon_sym_DASH_DASH] = ACTIONS(3433),
    [anon_sym_PLUS_PLUS] = ACTIONS(3433),
    [anon_sym_sizeof] = ACTIONS(3435),
    [anon_sym___alignof__] = ACTIONS(3437),
    [anon_sym___alignof] = ACTIONS(3437),
    [anon_sym__alignof] = ACTIONS(3437),
    [anon_sym_alignof] = ACTIONS(3437),
    [anon_sym__Alignof] = ACTIONS(3437),
    [anon_sym_offsetof] = ACTIONS(3439),
    [anon_sym__Generic] = ACTIONS(3441),
    [anon_sym_asm] = ACTIONS(3443),
    [anon_sym___asm__] = ACTIONS(3443),
    [sym_number_literal] = ACTIONS(3445),
    [anon_sym_L_SQUOTE] = ACTIONS(3447),
    [anon_sym_u_SQUOTE] = ACTIONS(3447),
    [anon_sym_U_SQUOTE] = ACTIONS(3447),
    [anon_sym_u8_SQUOTE] = ACTIONS(3447),
    [anon_sym_SQUOTE] = ACTIONS(3447),
    [anon_sym_L_DQUOTE] = ACTIONS(3449),
    [anon_sym_u_DQUOTE] = ACTIONS(3449),
    [anon_sym_U_DQUOTE] = ACTIONS(3449),
    [anon_sym_u8_DQUOTE] = ACTIONS(3449),
    [anon_sym_DQUOTE] = ACTIONS(3449),
    [sym_true] = ACTIONS(3451),
    [sym_false] = ACTIONS(3451),
    [anon_sym_NULL] = ACTIONS(3453),
    [anon_sym_nullptr] = ACTIONS(3453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3463),
    [anon_sym_R_DQUOTE] = ACTIONS(3465),
    [anon_sym_LR_DQUOTE] = ACTIONS(3465),
    [anon_sym_uR_DQUOTE] = ACTIONS(3465),
    [anon_sym_UR_DQUOTE] = ACTIONS(3465),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3465),
    [anon_sym_co_await] = ACTIONS(3467),
    [anon_sym_new] = ACTIONS(3469),
    [anon_sym_requires] = ACTIONS(3471),
    [sym_this] = ACTIONS(3451),
  },
  [1971] = {
    [sym__expression] = STATE(4475),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1972] = {
    [sym__expression] = STATE(4412),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4309),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4309),
    [sym_call_expression] = STATE(4309),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4309),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4309),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4309),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4309),
    [sym_identifier] = ACTIONS(3973),
    [anon_sym_LPAREN2] = ACTIONS(4011),
    [anon_sym_BANG] = ACTIONS(3977),
    [anon_sym_TILDE] = ACTIONS(3977),
    [anon_sym_DASH] = ACTIONS(3975),
    [anon_sym_PLUS] = ACTIONS(3975),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3975),
    [anon_sym_compl] = ACTIONS(3975),
    [anon_sym_DASH_DASH] = ACTIONS(4015),
    [anon_sym_PLUS_PLUS] = ACTIONS(4015),
    [anon_sym_sizeof] = ACTIONS(3981),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3983),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3985),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1973] = {
    [sym__expression] = STATE(3465),
    [sym__expression_not_binary] = STATE(3706),
    [sym__string] = STATE(3706),
    [sym_conditional_expression] = STATE(3706),
    [sym_assignment_expression] = STATE(3706),
    [sym_pointer_expression] = STATE(3706),
    [sym_unary_expression] = STATE(3706),
    [sym_binary_expression] = STATE(3706),
    [sym_update_expression] = STATE(3706),
    [sym_cast_expression] = STATE(3706),
    [sym_sizeof_expression] = STATE(3706),
    [sym_alignof_expression] = STATE(3706),
    [sym_offsetof_expression] = STATE(3706),
    [sym_generic_expression] = STATE(3706),
    [sym_subscript_expression] = STATE(3706),
    [sym_call_expression] = STATE(3706),
    [sym_gnu_asm_expression] = STATE(3706),
    [sym_field_expression] = STATE(3706),
    [sym_compound_literal_expression] = STATE(3706),
    [sym_parenthesized_expression] = STATE(3706),
    [sym_char_literal] = STATE(3595),
    [sym_concatenated_string] = STATE(3592),
    [sym_string_literal] = STATE(2304),
    [sym_null] = STATE(3706),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8559),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2302),
    [sym_co_await_expression] = STATE(3706),
    [sym_new_expression] = STATE(3706),
    [sym_delete_expression] = STATE(3706),
    [sym_requires_clause] = STATE(3706),
    [sym_requires_expression] = STATE(3706),
    [sym_lambda_expression] = STATE(3706),
    [sym_lambda_capture_specifier] = STATE(6727),
    [sym_fold_expression] = STATE(3706),
    [sym_parameter_pack_expansion] = STATE(3706),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3706),
    [sym_qualified_type_identifier] = STATE(8559),
    [sym_user_defined_literal] = STATE(3706),
    [sym_identifier] = ACTIONS(4588),
    [anon_sym_LPAREN2] = ACTIONS(4780),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2222),
    [anon_sym_not] = ACTIONS(2214),
    [anon_sym_compl] = ACTIONS(2214),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2224),
    [anon_sym___alignof__] = ACTIONS(2226),
    [anon_sym___alignof] = ACTIONS(2226),
    [anon_sym__alignof] = ACTIONS(2226),
    [anon_sym_alignof] = ACTIONS(2226),
    [anon_sym__Alignof] = ACTIONS(2226),
    [anon_sym_offsetof] = ACTIONS(2228),
    [anon_sym__Generic] = ACTIONS(2230),
    [anon_sym_asm] = ACTIONS(2232),
    [anon_sym___asm__] = ACTIONS(2232),
    [sym_number_literal] = ACTIONS(2234),
    [anon_sym_L_SQUOTE] = ACTIONS(2236),
    [anon_sym_u_SQUOTE] = ACTIONS(2236),
    [anon_sym_U_SQUOTE] = ACTIONS(2236),
    [anon_sym_u8_SQUOTE] = ACTIONS(2236),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_true] = ACTIONS(2240),
    [sym_false] = ACTIONS(2240),
    [anon_sym_NULL] = ACTIONS(2242),
    [anon_sym_nullptr] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2244),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [anon_sym_co_await] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_requires] = ACTIONS(2252),
    [sym_this] = ACTIONS(2240),
  },
  [1974] = {
    [sym__expression] = STATE(4978),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1975] = {
    [sym__expression] = STATE(3954),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1976] = {
    [sym__expression] = STATE(5430),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1977] = {
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1978] = {
    [sym__expression] = STATE(5280),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1979] = {
    [sym__expression] = STATE(4217),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1980] = {
    [sym__expression] = STATE(5058),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4086),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4086),
    [sym_call_expression] = STATE(4086),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4086),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4086),
    [sym_char_literal] = STATE(5282),
    [sym_concatenated_string] = STATE(5265),
    [sym_string_literal] = STATE(4197),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(4199),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4086),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4086),
    [sym_identifier] = ACTIONS(3847),
    [anon_sym_LPAREN2] = ACTIONS(4544),
    [anon_sym_BANG] = ACTIONS(3851),
    [anon_sym_TILDE] = ACTIONS(3851),
    [anon_sym_DASH] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(3849),
    [anon_sym_STAR] = ACTIONS(4546),
    [anon_sym_AMP] = ACTIONS(4546),
    [anon_sym_COLON_COLON] = ACTIONS(3853),
    [anon_sym_LBRACK] = ACTIONS(5080),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3849),
    [anon_sym_compl] = ACTIONS(3849),
    [anon_sym_DASH_DASH] = ACTIONS(4550),
    [anon_sym_PLUS_PLUS] = ACTIONS(4550),
    [anon_sym_sizeof] = ACTIONS(3855),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3857),
    [anon_sym_L_SQUOTE] = ACTIONS(3859),
    [anon_sym_u_SQUOTE] = ACTIONS(3859),
    [anon_sym_U_SQUOTE] = ACTIONS(3859),
    [anon_sym_u8_SQUOTE] = ACTIONS(3859),
    [anon_sym_SQUOTE] = ACTIONS(3859),
    [anon_sym_L_DQUOTE] = ACTIONS(3861),
    [anon_sym_u_DQUOTE] = ACTIONS(3861),
    [anon_sym_U_DQUOTE] = ACTIONS(3861),
    [anon_sym_u8_DQUOTE] = ACTIONS(3861),
    [anon_sym_DQUOTE] = ACTIONS(3861),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3863),
    [anon_sym_R_DQUOTE] = ACTIONS(3865),
    [anon_sym_LR_DQUOTE] = ACTIONS(3865),
    [anon_sym_uR_DQUOTE] = ACTIONS(3865),
    [anon_sym_UR_DQUOTE] = ACTIONS(3865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3865),
    [anon_sym_co_await] = ACTIONS(3867),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1981] = {
    [sym__expression] = STATE(3953),
    [sym__expression_not_binary] = STATE(4251),
    [sym__string] = STATE(4251),
    [sym_conditional_expression] = STATE(4251),
    [sym_assignment_expression] = STATE(4251),
    [sym_pointer_expression] = STATE(4251),
    [sym_unary_expression] = STATE(4251),
    [sym_binary_expression] = STATE(4251),
    [sym_update_expression] = STATE(4251),
    [sym_cast_expression] = STATE(4251),
    [sym_sizeof_expression] = STATE(4251),
    [sym_alignof_expression] = STATE(4251),
    [sym_offsetof_expression] = STATE(4251),
    [sym_generic_expression] = STATE(4251),
    [sym_subscript_expression] = STATE(4251),
    [sym_call_expression] = STATE(4251),
    [sym_gnu_asm_expression] = STATE(4251),
    [sym_field_expression] = STATE(4251),
    [sym_compound_literal_expression] = STATE(4251),
    [sym_parenthesized_expression] = STATE(4251),
    [sym_char_literal] = STATE(4116),
    [sym_concatenated_string] = STATE(4121),
    [sym_string_literal] = STATE(2670),
    [sym_null] = STATE(4251),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8690),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4251),
    [sym_raw_string_literal] = STATE(2652),
    [sym_co_await_expression] = STATE(4251),
    [sym_new_expression] = STATE(4251),
    [sym_delete_expression] = STATE(4251),
    [sym_requires_clause] = STATE(4251),
    [sym_requires_expression] = STATE(4251),
    [sym_lambda_expression] = STATE(4251),
    [sym_lambda_capture_specifier] = STATE(6704),
    [sym_fold_expression] = STATE(4251),
    [sym_parameter_pack_expansion] = STATE(4251),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6489),
    [sym_qualified_identifier] = STATE(4251),
    [sym_qualified_type_identifier] = STATE(8690),
    [sym_user_defined_literal] = STATE(4251),
    [sym_identifier] = ACTIONS(2310),
    [anon_sym_LPAREN2] = ACTIONS(4745),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_TILDE] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2320),
    [anon_sym_not] = ACTIONS(2312),
    [anon_sym_compl] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(4665),
    [anon_sym_PLUS_PLUS] = ACTIONS(4665),
    [anon_sym_sizeof] = ACTIONS(2322),
    [anon_sym___alignof__] = ACTIONS(2324),
    [anon_sym___alignof] = ACTIONS(2324),
    [anon_sym__alignof] = ACTIONS(2324),
    [anon_sym_alignof] = ACTIONS(2324),
    [anon_sym__Alignof] = ACTIONS(2324),
    [anon_sym_offsetof] = ACTIONS(2326),
    [anon_sym__Generic] = ACTIONS(2328),
    [anon_sym_asm] = ACTIONS(2330),
    [anon_sym___asm__] = ACTIONS(2330),
    [sym_number_literal] = ACTIONS(2332),
    [anon_sym_L_SQUOTE] = ACTIONS(2334),
    [anon_sym_u_SQUOTE] = ACTIONS(2334),
    [anon_sym_U_SQUOTE] = ACTIONS(2334),
    [anon_sym_u8_SQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE] = ACTIONS(2334),
    [anon_sym_L_DQUOTE] = ACTIONS(2336),
    [anon_sym_u_DQUOTE] = ACTIONS(2336),
    [anon_sym_U_DQUOTE] = ACTIONS(2336),
    [anon_sym_u8_DQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [anon_sym_NULL] = ACTIONS(2340),
    [anon_sym_nullptr] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2342),
    [anon_sym_R_DQUOTE] = ACTIONS(2344),
    [anon_sym_LR_DQUOTE] = ACTIONS(2344),
    [anon_sym_uR_DQUOTE] = ACTIONS(2344),
    [anon_sym_UR_DQUOTE] = ACTIONS(2344),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2344),
    [anon_sym_co_await] = ACTIONS(2346),
    [anon_sym_new] = ACTIONS(2348),
    [anon_sym_requires] = ACTIONS(2350),
    [sym_this] = ACTIONS(2338),
  },
  [1982] = {
    [sym__expression] = STATE(5421),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(3896),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(3896),
    [sym_call_expression] = STATE(3896),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(3896),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(3896),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(3896),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(3896),
    [sym_identifier] = ACTIONS(3523),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1983] = {
    [sym__expression] = STATE(4885),
    [sym__expression_not_binary] = STATE(5079),
    [sym__string] = STATE(5079),
    [sym_conditional_expression] = STATE(5079),
    [sym_assignment_expression] = STATE(5079),
    [sym_pointer_expression] = STATE(3738),
    [sym_unary_expression] = STATE(5079),
    [sym_binary_expression] = STATE(5079),
    [sym_update_expression] = STATE(5079),
    [sym_cast_expression] = STATE(5079),
    [sym_sizeof_expression] = STATE(5079),
    [sym_alignof_expression] = STATE(5079),
    [sym_offsetof_expression] = STATE(5079),
    [sym_generic_expression] = STATE(5079),
    [sym_subscript_expression] = STATE(3738),
    [sym_call_expression] = STATE(3738),
    [sym_gnu_asm_expression] = STATE(5079),
    [sym_field_expression] = STATE(3738),
    [sym_compound_literal_expression] = STATE(5079),
    [sym_parenthesized_expression] = STATE(3738),
    [sym_char_literal] = STATE(4994),
    [sym_concatenated_string] = STATE(4998),
    [sym_string_literal] = STATE(3929),
    [sym_null] = STATE(5079),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8434),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(5079),
    [sym_raw_string_literal] = STATE(3930),
    [sym_co_await_expression] = STATE(5079),
    [sym_new_expression] = STATE(5079),
    [sym_delete_expression] = STATE(5079),
    [sym_requires_clause] = STATE(5079),
    [sym_requires_expression] = STATE(5079),
    [sym_lambda_expression] = STATE(5079),
    [sym_lambda_capture_specifier] = STATE(6651),
    [sym_fold_expression] = STATE(5079),
    [sym_parameter_pack_expansion] = STATE(5079),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6396),
    [sym_qualified_identifier] = STATE(3738),
    [sym_qualified_type_identifier] = STATE(8434),
    [sym_user_defined_literal] = STATE(3738),
    [sym_identifier] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(4776),
    [anon_sym_BANG] = ACTIONS(3755),
    [anon_sym_TILDE] = ACTIONS(3755),
    [anon_sym_DASH] = ACTIONS(3753),
    [anon_sym_PLUS] = ACTIONS(3753),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(3761),
    [anon_sym_not] = ACTIONS(3753),
    [anon_sym_compl] = ACTIONS(3753),
    [anon_sym_DASH_DASH] = ACTIONS(4663),
    [anon_sym_PLUS_PLUS] = ACTIONS(4663),
    [anon_sym_sizeof] = ACTIONS(3763),
    [anon_sym___alignof__] = ACTIONS(3765),
    [anon_sym___alignof] = ACTIONS(3765),
    [anon_sym__alignof] = ACTIONS(3765),
    [anon_sym_alignof] = ACTIONS(3765),
    [anon_sym__Alignof] = ACTIONS(3765),
    [anon_sym_offsetof] = ACTIONS(3767),
    [anon_sym__Generic] = ACTIONS(3769),
    [anon_sym_asm] = ACTIONS(3771),
    [anon_sym___asm__] = ACTIONS(3771),
    [sym_number_literal] = ACTIONS(3773),
    [anon_sym_L_SQUOTE] = ACTIONS(3775),
    [anon_sym_u_SQUOTE] = ACTIONS(3775),
    [anon_sym_U_SQUOTE] = ACTIONS(3775),
    [anon_sym_u8_SQUOTE] = ACTIONS(3775),
    [anon_sym_SQUOTE] = ACTIONS(3775),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_true] = ACTIONS(3779),
    [sym_false] = ACTIONS(3779),
    [anon_sym_NULL] = ACTIONS(3781),
    [anon_sym_nullptr] = ACTIONS(3781),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3783),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
    [anon_sym_co_await] = ACTIONS(3787),
    [anon_sym_new] = ACTIONS(3789),
    [anon_sym_requires] = ACTIONS(3791),
    [sym_this] = ACTIONS(3779),
  },
  [1984] = {
    [sym__expression] = STATE(4311),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1985] = {
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(4482),
    [sym__string] = STATE(4482),
    [sym_conditional_expression] = STATE(4482),
    [sym_assignment_expression] = STATE(4482),
    [sym_pointer_expression] = STATE(4200),
    [sym_unary_expression] = STATE(4482),
    [sym_binary_expression] = STATE(4482),
    [sym_update_expression] = STATE(4482),
    [sym_cast_expression] = STATE(4482),
    [sym_sizeof_expression] = STATE(4482),
    [sym_alignof_expression] = STATE(4482),
    [sym_offsetof_expression] = STATE(4482),
    [sym_generic_expression] = STATE(4482),
    [sym_subscript_expression] = STATE(4200),
    [sym_call_expression] = STATE(4200),
    [sym_gnu_asm_expression] = STATE(4482),
    [sym_field_expression] = STATE(4200),
    [sym_compound_literal_expression] = STATE(4482),
    [sym_parenthesized_expression] = STATE(4200),
    [sym_char_literal] = STATE(4928),
    [sym_concatenated_string] = STATE(4949),
    [sym_string_literal] = STATE(3695),
    [sym_null] = STATE(4482),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8453),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4482),
    [sym_raw_string_literal] = STATE(3694),
    [sym_co_await_expression] = STATE(4482),
    [sym_new_expression] = STATE(4482),
    [sym_delete_expression] = STATE(4482),
    [sym_requires_clause] = STATE(4482),
    [sym_requires_expression] = STATE(4482),
    [sym_lambda_expression] = STATE(4482),
    [sym_lambda_capture_specifier] = STATE(6687),
    [sym_fold_expression] = STATE(4482),
    [sym_parameter_pack_expansion] = STATE(4482),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6400),
    [sym_qualified_identifier] = STATE(4200),
    [sym_qualified_type_identifier] = STATE(8453),
    [sym_user_defined_literal] = STATE(4200),
    [sym_identifier] = ACTIONS(3989),
    [anon_sym_LPAREN2] = ACTIONS(4723),
    [anon_sym_BANG] = ACTIONS(3993),
    [anon_sym_TILDE] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(4725),
    [anon_sym_AMP] = ACTIONS(4725),
    [anon_sym_COLON_COLON] = ACTIONS(3995),
    [anon_sym_LBRACK] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2256),
    [anon_sym_not] = ACTIONS(3991),
    [anon_sym_compl] = ACTIONS(3991),
    [anon_sym_DASH_DASH] = ACTIONS(4693),
    [anon_sym_PLUS_PLUS] = ACTIONS(4693),
    [anon_sym_sizeof] = ACTIONS(3997),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3999),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(4001),
    [anon_sym_new] = ACTIONS(3987),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1986] = {
    [sym__expression] = STATE(4320),
    [sym__expression_not_binary] = STATE(4397),
    [sym__string] = STATE(4397),
    [sym_conditional_expression] = STATE(4397),
    [sym_assignment_expression] = STATE(4397),
    [sym_pointer_expression] = STATE(4011),
    [sym_unary_expression] = STATE(4397),
    [sym_binary_expression] = STATE(4397),
    [sym_update_expression] = STATE(4397),
    [sym_cast_expression] = STATE(4397),
    [sym_sizeof_expression] = STATE(4397),
    [sym_alignof_expression] = STATE(4397),
    [sym_offsetof_expression] = STATE(4397),
    [sym_generic_expression] = STATE(4397),
    [sym_subscript_expression] = STATE(4011),
    [sym_call_expression] = STATE(4011),
    [sym_gnu_asm_expression] = STATE(4397),
    [sym_field_expression] = STATE(4011),
    [sym_compound_literal_expression] = STATE(4397),
    [sym_parenthesized_expression] = STATE(4011),
    [sym_char_literal] = STATE(4345),
    [sym_concatenated_string] = STATE(4356),
    [sym_string_literal] = STATE(2963),
    [sym_null] = STATE(4397),
    [sym_decltype] = STATE(9640),
    [sym__class_name] = STATE(8652),
    [sym_template_type] = STATE(2823),
    [sym_template_function] = STATE(4397),
    [sym_raw_string_literal] = STATE(2974),
    [sym_co_await_expression] = STATE(4397),
    [sym_new_expression] = STATE(4397),
    [sym_delete_expression] = STATE(4397),
    [sym_requires_clause] = STATE(4397),
    [sym_requires_expression] = STATE(4397),
    [sym_lambda_expression] = STATE(4397),
    [sym_lambda_capture_specifier] = STATE(6672),
    [sym_fold_expression] = STATE(4397),
    [sym_parameter_pack_expansion] = STATE(4397),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6485),
    [sym_qualified_identifier] = STATE(4011),
    [sym_qualified_type_identifier] = STATE(8652),
    [sym_user_defined_literal] = STATE(4011),
    [sym_identifier] = ACTIONS(2830),
    [anon_sym_LPAREN2] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_TILDE] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2004),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2008),
    [anon_sym_LBRACK] = ACTIONS(5082),
    [sym_primitive_type] = ACTIONS(2834),
    [anon_sym_not] = ACTIONS(2004),
    [anon_sym_compl] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2020),
    [anon_sym_PLUS_PLUS] = ACTIONS(2020),
    [anon_sym_sizeof] = ACTIONS(2022),
    [anon_sym___alignof__] = ACTIONS(2024),
    [anon_sym___alignof] = ACTIONS(2024),
    [anon_sym__alignof] = ACTIONS(2024),
    [anon_sym_alignof] = ACTIONS(2024),
    [anon_sym__Alignof] = ACTIONS(2024),
    [anon_sym_offsetof] = ACTIONS(2026),
    [anon_sym__Generic] = ACTIONS(2028),
    [anon_sym_asm] = ACTIONS(2030),
    [anon_sym___asm__] = ACTIONS(2030),
    [sym_number_literal] = ACTIONS(2032),
    [anon_sym_L_SQUOTE] = ACTIONS(2034),
    [anon_sym_u_SQUOTE] = ACTIONS(2034),
    [anon_sym_U_SQUOTE] = ACTIONS(2034),
    [anon_sym_u8_SQUOTE] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2034),
    [anon_sym_L_DQUOTE] = ACTIONS(2036),
    [anon_sym_u_DQUOTE] = ACTIONS(2036),
    [anon_sym_U_DQUOTE] = ACTIONS(2036),
    [anon_sym_u8_DQUOTE] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(2036),
    [sym_true] = ACTIONS(2038),
    [sym_false] = ACTIONS(2038),
    [anon_sym_NULL] = ACTIONS(2040),
    [anon_sym_nullptr] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2044),
    [anon_sym_R_DQUOTE] = ACTIONS(2046),
    [anon_sym_LR_DQUOTE] = ACTIONS(2046),
    [anon_sym_uR_DQUOTE] = ACTIONS(2046),
    [anon_sym_UR_DQUOTE] = ACTIONS(2046),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2046),
    [anon_sym_co_await] = ACTIONS(2048),
    [anon_sym_new] = ACTIONS(2050),
    [anon_sym_requires] = ACTIONS(2052),
    [sym_this] = ACTIONS(2038),
  },
  [1987] = {
    [sym_template_argument_list] = STATE(1995),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5088),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5088),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym___cdecl] = ACTIONS(5084),
    [anon_sym___clrcall] = ACTIONS(5084),
    [anon_sym___stdcall] = ACTIONS(5084),
    [anon_sym___fastcall] = ACTIONS(5084),
    [anon_sym___thiscall] = ACTIONS(5084),
    [anon_sym___vectorcall] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_operator] = ACTIONS(5084),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_TILDE] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym_SEMI] = ACTIONS(5103),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym_extern] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5103),
    [anon_sym___declspec] = ACTIONS(5101),
    [anon_sym___based] = ACTIONS(5101),
    [anon_sym___cdecl] = ACTIONS(5101),
    [anon_sym___clrcall] = ACTIONS(5101),
    [anon_sym___stdcall] = ACTIONS(5101),
    [anon_sym___fastcall] = ACTIONS(5101),
    [anon_sym___thiscall] = ACTIONS(5101),
    [anon_sym___vectorcall] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_RBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_static] = ACTIONS(5101),
    [anon_sym_register] = ACTIONS(5101),
    [anon_sym_inline] = ACTIONS(5101),
    [anon_sym___inline] = ACTIONS(5101),
    [anon_sym___inline__] = ACTIONS(5101),
    [anon_sym___forceinline] = ACTIONS(5101),
    [anon_sym_thread_local] = ACTIONS(5101),
    [anon_sym___thread] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5103),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_and_eq] = ACTIONS(5101),
    [anon_sym_or_eq] = ACTIONS(5101),
    [anon_sym_xor_eq] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_virtual] = ACTIONS(5101),
    [anon_sym_alignas] = ACTIONS(5101),
    [anon_sym_template] = ACTIONS(5101),
    [anon_sym_operator] = ACTIONS(5101),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym___cdecl] = ACTIONS(5105),
    [anon_sym___clrcall] = ACTIONS(5105),
    [anon_sym___stdcall] = ACTIONS(5105),
    [anon_sym___fastcall] = ACTIONS(5105),
    [anon_sym___thiscall] = ACTIONS(5105),
    [anon_sym___vectorcall] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5105),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_TILDE] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym_SEMI] = ACTIONS(5111),
    [anon_sym___extension__] = ACTIONS(5109),
    [anon_sym_extern] = ACTIONS(5109),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5111),
    [anon_sym___declspec] = ACTIONS(5109),
    [anon_sym___based] = ACTIONS(5109),
    [anon_sym___cdecl] = ACTIONS(5109),
    [anon_sym___clrcall] = ACTIONS(5109),
    [anon_sym___stdcall] = ACTIONS(5109),
    [anon_sym___fastcall] = ACTIONS(5109),
    [anon_sym___thiscall] = ACTIONS(5109),
    [anon_sym___vectorcall] = ACTIONS(5109),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_RBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_static] = ACTIONS(5109),
    [anon_sym_register] = ACTIONS(5109),
    [anon_sym_inline] = ACTIONS(5109),
    [anon_sym___inline] = ACTIONS(5109),
    [anon_sym___inline__] = ACTIONS(5109),
    [anon_sym___forceinline] = ACTIONS(5109),
    [anon_sym_thread_local] = ACTIONS(5109),
    [anon_sym___thread] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_restrict] = ACTIONS(5109),
    [anon_sym___restrict__] = ACTIONS(5109),
    [anon_sym__Atomic] = ACTIONS(5109),
    [anon_sym__Noreturn] = ACTIONS(5109),
    [anon_sym_noreturn] = ACTIONS(5109),
    [anon_sym_mutable] = ACTIONS(5109),
    [anon_sym_constinit] = ACTIONS(5109),
    [anon_sym_consteval] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5111),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_and_eq] = ACTIONS(5109),
    [anon_sym_or_eq] = ACTIONS(5109),
    [anon_sym_xor_eq] = ACTIONS(5109),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_virtual] = ACTIONS(5109),
    [anon_sym_alignas] = ACTIONS(5109),
    [anon_sym_template] = ACTIONS(5109),
    [anon_sym_operator] = ACTIONS(5109),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_TILDE] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5115),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym___cdecl] = ACTIONS(5113),
    [anon_sym___clrcall] = ACTIONS(5113),
    [anon_sym___stdcall] = ACTIONS(5113),
    [anon_sym___fastcall] = ACTIONS(5113),
    [anon_sym___thiscall] = ACTIONS(5113),
    [anon_sym___vectorcall] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5113),
    [anon_sym_or_eq] = ACTIONS(5113),
    [anon_sym_xor_eq] = ACTIONS(5113),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_TILDE] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym_extern] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5119),
    [anon_sym___declspec] = ACTIONS(5117),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym___cdecl] = ACTIONS(5117),
    [anon_sym___clrcall] = ACTIONS(5117),
    [anon_sym___stdcall] = ACTIONS(5117),
    [anon_sym___fastcall] = ACTIONS(5117),
    [anon_sym___thiscall] = ACTIONS(5117),
    [anon_sym___vectorcall] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_static] = ACTIONS(5117),
    [anon_sym_register] = ACTIONS(5117),
    [anon_sym_inline] = ACTIONS(5117),
    [anon_sym___inline] = ACTIONS(5117),
    [anon_sym___inline__] = ACTIONS(5117),
    [anon_sym___forceinline] = ACTIONS(5117),
    [anon_sym_thread_local] = ACTIONS(5117),
    [anon_sym___thread] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5117),
    [anon_sym_or_eq] = ACTIONS(5117),
    [anon_sym_xor_eq] = ACTIONS(5117),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_virtual] = ACTIONS(5117),
    [anon_sym_alignas] = ACTIONS(5117),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_operator] = ACTIONS(5117),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_TILDE] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym_extern] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5123),
    [anon_sym___declspec] = ACTIONS(5121),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym___cdecl] = ACTIONS(5121),
    [anon_sym___clrcall] = ACTIONS(5121),
    [anon_sym___stdcall] = ACTIONS(5121),
    [anon_sym___fastcall] = ACTIONS(5121),
    [anon_sym___thiscall] = ACTIONS(5121),
    [anon_sym___vectorcall] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_static] = ACTIONS(5121),
    [anon_sym_register] = ACTIONS(5121),
    [anon_sym_inline] = ACTIONS(5121),
    [anon_sym___inline] = ACTIONS(5121),
    [anon_sym___inline__] = ACTIONS(5121),
    [anon_sym___forceinline] = ACTIONS(5121),
    [anon_sym_thread_local] = ACTIONS(5121),
    [anon_sym___thread] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5121),
    [anon_sym_or_eq] = ACTIONS(5121),
    [anon_sym_xor_eq] = ACTIONS(5121),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_virtual] = ACTIONS(5121),
    [anon_sym_alignas] = ACTIONS(5121),
    [anon_sym_template] = ACTIONS(5121),
    [anon_sym_operator] = ACTIONS(5121),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym___cdecl] = ACTIONS(5125),
    [anon_sym___clrcall] = ACTIONS(5125),
    [anon_sym___stdcall] = ACTIONS(5125),
    [anon_sym___fastcall] = ACTIONS(5125),
    [anon_sym___thiscall] = ACTIONS(5125),
    [anon_sym___vectorcall] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5133),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym___cdecl] = ACTIONS(5129),
    [anon_sym___clrcall] = ACTIONS(5129),
    [anon_sym___stdcall] = ACTIONS(5129),
    [anon_sym___fastcall] = ACTIONS(5129),
    [anon_sym___thiscall] = ACTIONS(5129),
    [anon_sym___vectorcall] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5138),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5138),
    [anon_sym_or_eq] = ACTIONS(5138),
    [anon_sym_xor_eq] = ACTIONS(5138),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [1996] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_ms_call_modifier] = STATE(7104),
    [sym__abstract_declarator] = STATE(7621),
    [sym_abstract_parenthesized_declarator] = STATE(6990),
    [sym_abstract_pointer_declarator] = STATE(6990),
    [sym_abstract_function_declarator] = STATE(6990),
    [sym_abstract_array_declarator] = STATE(6990),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_list] = STATE(4422),
    [sym_parameter_declaration] = STATE(8350),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8350),
    [sym_variadic_parameter_declaration] = STATE(8350),
    [sym_abstract_reference_declarator] = STATE(6990),
    [sym__function_declarator_seq] = STATE(6988),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_LPAREN2] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5155),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1997] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_ms_call_modifier] = STATE(7076),
    [sym__abstract_declarator] = STATE(7590),
    [sym_abstract_parenthesized_declarator] = STATE(6990),
    [sym_abstract_pointer_declarator] = STATE(6990),
    [sym_abstract_function_declarator] = STATE(6990),
    [sym_abstract_array_declarator] = STATE(6990),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_list] = STATE(4422),
    [sym_parameter_declaration] = STATE(8350),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8350),
    [sym_variadic_parameter_declaration] = STATE(8350),
    [sym_abstract_reference_declarator] = STATE(6990),
    [sym__function_declarator_seq] = STATE(6988),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym_LPAREN2] = ACTIONS(5145),
    [anon_sym_STAR] = ACTIONS(5147),
    [anon_sym_AMP_AMP] = ACTIONS(5149),
    [anon_sym_AMP] = ACTIONS(5151),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(2080),
    [anon_sym___clrcall] = ACTIONS(2080),
    [anon_sym___stdcall] = ACTIONS(2080),
    [anon_sym___fastcall] = ACTIONS(2080),
    [anon_sym___thiscall] = ACTIONS(2080),
    [anon_sym___vectorcall] = ACTIONS(2080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5155),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1998] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(6051),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7400),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_parameter_list] = STATE(1126),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(5172),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6475),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [1999] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(6008),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7426),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_parameter_list] = STATE(1122),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(5172),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6475),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [2000] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5933),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7402),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_parameter_list] = STATE(1129),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(5172),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6475),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [2001] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5959),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7432),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_parameter_list] = STATE(1130),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(5172),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6475),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [2002] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5942),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7428),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7049),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_parameter_list] = STATE(1125),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(5172),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6475),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_type_identifier] = STATE(4081),
    [sym_operator_name] = STATE(7049),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5157),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_LT] = ACTIONS(5159),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5161),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2124),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(3101),
    [anon_sym_LPAREN2] = ACTIONS(3106),
    [anon_sym_BANG] = ACTIONS(3106),
    [anon_sym_TILDE] = ACTIONS(3106),
    [anon_sym_DASH] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3106),
    [anon_sym_AMP] = ACTIONS(3106),
    [anon_sym___extension__] = ACTIONS(3101),
    [anon_sym_extern] = ACTIONS(3101),
    [anon_sym___attribute__] = ACTIONS(3101),
    [anon_sym_COLON_COLON] = ACTIONS(3106),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3106),
    [anon_sym___declspec] = ACTIONS(3101),
    [anon_sym_signed] = ACTIONS(3101),
    [anon_sym_unsigned] = ACTIONS(3101),
    [anon_sym_long] = ACTIONS(3101),
    [anon_sym_short] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(3101),
    [anon_sym_static] = ACTIONS(3101),
    [anon_sym_register] = ACTIONS(3101),
    [anon_sym_inline] = ACTIONS(3101),
    [anon_sym___inline] = ACTIONS(3101),
    [anon_sym___inline__] = ACTIONS(3101),
    [anon_sym___forceinline] = ACTIONS(3101),
    [anon_sym_thread_local] = ACTIONS(3101),
    [anon_sym___thread] = ACTIONS(3101),
    [anon_sym_const] = ACTIONS(3101),
    [anon_sym_constexpr] = ACTIONS(3101),
    [anon_sym_volatile] = ACTIONS(3101),
    [anon_sym_restrict] = ACTIONS(3101),
    [anon_sym___restrict__] = ACTIONS(3101),
    [anon_sym__Atomic] = ACTIONS(3101),
    [anon_sym__Noreturn] = ACTIONS(3101),
    [anon_sym_noreturn] = ACTIONS(3101),
    [anon_sym_mutable] = ACTIONS(3101),
    [anon_sym_constinit] = ACTIONS(3101),
    [anon_sym_consteval] = ACTIONS(3101),
    [sym_primitive_type] = ACTIONS(3101),
    [anon_sym_enum] = ACTIONS(3101),
    [anon_sym_class] = ACTIONS(3101),
    [anon_sym_struct] = ACTIONS(3101),
    [anon_sym_union] = ACTIONS(3101),
    [anon_sym_not] = ACTIONS(3101),
    [anon_sym_compl] = ACTIONS(3101),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_sizeof] = ACTIONS(3101),
    [anon_sym___alignof__] = ACTIONS(3101),
    [anon_sym___alignof] = ACTIONS(3101),
    [anon_sym__alignof] = ACTIONS(3101),
    [anon_sym_alignof] = ACTIONS(3101),
    [anon_sym__Alignof] = ACTIONS(3101),
    [anon_sym_offsetof] = ACTIONS(3101),
    [anon_sym__Generic] = ACTIONS(3101),
    [anon_sym_asm] = ACTIONS(3101),
    [anon_sym___asm__] = ACTIONS(3101),
    [sym_number_literal] = ACTIONS(3106),
    [anon_sym_L_SQUOTE] = ACTIONS(3106),
    [anon_sym_u_SQUOTE] = ACTIONS(3106),
    [anon_sym_U_SQUOTE] = ACTIONS(3106),
    [anon_sym_u8_SQUOTE] = ACTIONS(3106),
    [anon_sym_SQUOTE] = ACTIONS(3106),
    [anon_sym_L_DQUOTE] = ACTIONS(3106),
    [anon_sym_u_DQUOTE] = ACTIONS(3106),
    [anon_sym_U_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8_DQUOTE] = ACTIONS(3106),
    [anon_sym_DQUOTE] = ACTIONS(3106),
    [sym_true] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
    [anon_sym_NULL] = ACTIONS(3101),
    [anon_sym_nullptr] = ACTIONS(3101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3101),
    [anon_sym_decltype] = ACTIONS(3101),
    [anon_sym_virtual] = ACTIONS(3101),
    [anon_sym_alignas] = ACTIONS(3101),
    [anon_sym_typename] = ACTIONS(3101),
    [anon_sym_template] = ACTIONS(3101),
    [anon_sym_delete] = ACTIONS(3101),
    [anon_sym_R_DQUOTE] = ACTIONS(3106),
    [anon_sym_LR_DQUOTE] = ACTIONS(3106),
    [anon_sym_uR_DQUOTE] = ACTIONS(3106),
    [anon_sym_UR_DQUOTE] = ACTIONS(3106),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3106),
    [anon_sym_co_await] = ACTIONS(3101),
    [anon_sym_new] = ACTIONS(3101),
    [anon_sym_requires] = ACTIONS(3101),
    [sym_this] = ACTIONS(3101),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_BANG] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3170),
    [anon_sym_PLUS] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [anon_sym_not] = ACTIONS(3170),
    [anon_sym_compl] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3172),
    [anon_sym_PLUS_PLUS] = ACTIONS(3172),
    [anon_sym_sizeof] = ACTIONS(3170),
    [anon_sym___alignof__] = ACTIONS(3170),
    [anon_sym___alignof] = ACTIONS(3170),
    [anon_sym__alignof] = ACTIONS(3170),
    [anon_sym_alignof] = ACTIONS(3170),
    [anon_sym__Alignof] = ACTIONS(3170),
    [anon_sym_offsetof] = ACTIONS(3170),
    [anon_sym__Generic] = ACTIONS(3170),
    [anon_sym_asm] = ACTIONS(3170),
    [anon_sym___asm__] = ACTIONS(3170),
    [sym_number_literal] = ACTIONS(3172),
    [anon_sym_L_SQUOTE] = ACTIONS(3172),
    [anon_sym_u_SQUOTE] = ACTIONS(3172),
    [anon_sym_U_SQUOTE] = ACTIONS(3172),
    [anon_sym_u8_SQUOTE] = ACTIONS(3172),
    [anon_sym_SQUOTE] = ACTIONS(3172),
    [anon_sym_L_DQUOTE] = ACTIONS(3172),
    [anon_sym_u_DQUOTE] = ACTIONS(3172),
    [anon_sym_U_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8_DQUOTE] = ACTIONS(3172),
    [anon_sym_DQUOTE] = ACTIONS(3172),
    [sym_true] = ACTIONS(3170),
    [sym_false] = ACTIONS(3170),
    [anon_sym_NULL] = ACTIONS(3170),
    [anon_sym_nullptr] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_delete] = ACTIONS(3170),
    [anon_sym_R_DQUOTE] = ACTIONS(3172),
    [anon_sym_LR_DQUOTE] = ACTIONS(3172),
    [anon_sym_uR_DQUOTE] = ACTIONS(3172),
    [anon_sym_UR_DQUOTE] = ACTIONS(3172),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3172),
    [anon_sym_co_await] = ACTIONS(3170),
    [anon_sym_new] = ACTIONS(3170),
    [anon_sym_requires] = ACTIONS(3170),
    [sym_this] = ACTIONS(3170),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [2006] = {
    [sym_template_argument_list] = STATE(2010),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5091),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_operator] = ACTIONS(5084),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5086),
  },
  [2007] = {
    [sym_template_argument_list] = STATE(2011),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5091),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_operator] = ACTIONS(5084),
  },
  [2008] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_TILDE] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5115),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5113),
    [anon_sym_or_eq] = ACTIONS(5113),
    [anon_sym_xor_eq] = ACTIONS(5113),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [2010] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5138),
    [anon_sym_or_eq] = ACTIONS(5138),
    [anon_sym_xor_eq] = ACTIONS(5138),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5138),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5138),
    [anon_sym_or_eq] = ACTIONS(5138),
    [anon_sym_xor_eq] = ACTIONS(5138),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [2012] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_TILDE] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym___extension__] = ACTIONS(5109),
    [anon_sym_extern] = ACTIONS(5109),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5111),
    [anon_sym___declspec] = ACTIONS(5109),
    [anon_sym___based] = ACTIONS(5109),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_static] = ACTIONS(5109),
    [anon_sym_register] = ACTIONS(5109),
    [anon_sym_inline] = ACTIONS(5109),
    [anon_sym___inline] = ACTIONS(5109),
    [anon_sym___inline__] = ACTIONS(5109),
    [anon_sym___forceinline] = ACTIONS(5109),
    [anon_sym_thread_local] = ACTIONS(5109),
    [anon_sym___thread] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_restrict] = ACTIONS(5109),
    [anon_sym___restrict__] = ACTIONS(5109),
    [anon_sym__Atomic] = ACTIONS(5109),
    [anon_sym__Noreturn] = ACTIONS(5109),
    [anon_sym_noreturn] = ACTIONS(5109),
    [anon_sym_mutable] = ACTIONS(5109),
    [anon_sym_constinit] = ACTIONS(5109),
    [anon_sym_consteval] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5111),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_and_eq] = ACTIONS(5109),
    [anon_sym_or_eq] = ACTIONS(5109),
    [anon_sym_xor_eq] = ACTIONS(5109),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_virtual] = ACTIONS(5109),
    [anon_sym_alignas] = ACTIONS(5109),
    [anon_sym_template] = ACTIONS(5109),
    [anon_sym_operator] = ACTIONS(5109),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5111),
  },
  [2013] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5105),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [2014] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_TILDE] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym_extern] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5103),
    [anon_sym___declspec] = ACTIONS(5101),
    [anon_sym___based] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_static] = ACTIONS(5101),
    [anon_sym_register] = ACTIONS(5101),
    [anon_sym_inline] = ACTIONS(5101),
    [anon_sym___inline] = ACTIONS(5101),
    [anon_sym___inline__] = ACTIONS(5101),
    [anon_sym___forceinline] = ACTIONS(5101),
    [anon_sym_thread_local] = ACTIONS(5101),
    [anon_sym___thread] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5103),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_and_eq] = ACTIONS(5101),
    [anon_sym_or_eq] = ACTIONS(5101),
    [anon_sym_xor_eq] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_virtual] = ACTIONS(5101),
    [anon_sym_alignas] = ACTIONS(5101),
    [anon_sym_template] = ACTIONS(5101),
    [anon_sym_operator] = ACTIONS(5101),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5103),
  },
  [2015] = {
    [sym_string_literal] = STATE(2314),
    [sym_template_argument_list] = STATE(2128),
    [sym_raw_string_literal] = STATE(2314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4129),
    [anon_sym_LPAREN2] = ACTIONS(4129),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5166),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4133),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(5171),
    [anon_sym_unsigned] = ACTIONS(5171),
    [anon_sym_long] = ACTIONS(5171),
    [anon_sym_short] = ACTIONS(5171),
    [anon_sym_LBRACK] = ACTIONS(4155),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4133),
    [anon_sym_volatile] = ACTIONS(4133),
    [anon_sym_restrict] = ACTIONS(4133),
    [anon_sym___restrict__] = ACTIONS(4133),
    [anon_sym__Atomic] = ACTIONS(4133),
    [anon_sym__Noreturn] = ACTIONS(4133),
    [anon_sym_noreturn] = ACTIONS(4133),
    [anon_sym_mutable] = ACTIONS(4133),
    [anon_sym_constinit] = ACTIONS(4133),
    [anon_sym_consteval] = ACTIONS(4133),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4133),
    [anon_sym_decltype] = ACTIONS(4133),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2016] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_TILDE] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym_extern] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5119),
    [anon_sym___declspec] = ACTIONS(5117),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_static] = ACTIONS(5117),
    [anon_sym_register] = ACTIONS(5117),
    [anon_sym_inline] = ACTIONS(5117),
    [anon_sym___inline] = ACTIONS(5117),
    [anon_sym___inline__] = ACTIONS(5117),
    [anon_sym___forceinline] = ACTIONS(5117),
    [anon_sym_thread_local] = ACTIONS(5117),
    [anon_sym___thread] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5117),
    [anon_sym_or_eq] = ACTIONS(5117),
    [anon_sym_xor_eq] = ACTIONS(5117),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_virtual] = ACTIONS(5117),
    [anon_sym_alignas] = ACTIONS(5117),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_operator] = ACTIONS(5117),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5119),
  },
  [2017] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_TILDE] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym_extern] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5123),
    [anon_sym___declspec] = ACTIONS(5121),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_static] = ACTIONS(5121),
    [anon_sym_register] = ACTIONS(5121),
    [anon_sym_inline] = ACTIONS(5121),
    [anon_sym___inline] = ACTIONS(5121),
    [anon_sym___inline__] = ACTIONS(5121),
    [anon_sym___forceinline] = ACTIONS(5121),
    [anon_sym_thread_local] = ACTIONS(5121),
    [anon_sym___thread] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5121),
    [anon_sym_or_eq] = ACTIONS(5121),
    [anon_sym_xor_eq] = ACTIONS(5121),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_virtual] = ACTIONS(5121),
    [anon_sym_alignas] = ACTIONS(5121),
    [anon_sym_template] = ACTIONS(5121),
    [anon_sym_operator] = ACTIONS(5121),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5123),
  },
  [2018] = {
    [sym_template_argument_list] = STATE(2021),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5098),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5091),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5095),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_operator] = ACTIONS(5084),
  },
  [2019] = {
    [sym_string_literal] = STATE(2314),
    [sym_template_argument_list] = STATE(2214),
    [sym_raw_string_literal] = STATE(2314),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5177),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4133),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(5171),
    [anon_sym_unsigned] = ACTIONS(5171),
    [anon_sym_long] = ACTIONS(5171),
    [anon_sym_short] = ACTIONS(5171),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4133),
    [anon_sym_volatile] = ACTIONS(4133),
    [anon_sym_restrict] = ACTIONS(4133),
    [anon_sym___restrict__] = ACTIONS(4133),
    [anon_sym__Atomic] = ACTIONS(4133),
    [anon_sym__Noreturn] = ACTIONS(4133),
    [anon_sym_noreturn] = ACTIONS(4133),
    [anon_sym_mutable] = ACTIONS(4133),
    [anon_sym_constinit] = ACTIONS(4133),
    [anon_sym_consteval] = ACTIONS(4133),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4133),
    [anon_sym_decltype] = ACTIONS(4133),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2020] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_TILDE] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5103),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5103),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5103),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5103),
    [anon_sym_GT_GT] = ACTIONS(5103),
    [anon_sym_SEMI] = ACTIONS(5103),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym_extern] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5103),
    [anon_sym___declspec] = ACTIONS(5101),
    [anon_sym___based] = ACTIONS(5101),
    [anon_sym___cdecl] = ACTIONS(5101),
    [anon_sym___clrcall] = ACTIONS(5101),
    [anon_sym___stdcall] = ACTIONS(5101),
    [anon_sym___fastcall] = ACTIONS(5101),
    [anon_sym___thiscall] = ACTIONS(5101),
    [anon_sym___vectorcall] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_RBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_static] = ACTIONS(5101),
    [anon_sym_register] = ACTIONS(5101),
    [anon_sym_inline] = ACTIONS(5101),
    [anon_sym___inline] = ACTIONS(5101),
    [anon_sym___inline__] = ACTIONS(5101),
    [anon_sym___forceinline] = ACTIONS(5101),
    [anon_sym_thread_local] = ACTIONS(5101),
    [anon_sym___thread] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_COLON] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_final] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
    [anon_sym_virtual] = ACTIONS(5101),
    [anon_sym_alignas] = ACTIONS(5101),
    [anon_sym_template] = ACTIONS(5101),
    [anon_sym_operator] = ACTIONS(5101),
    [anon_sym_try] = ACTIONS(5101),
    [anon_sym_requires] = ACTIONS(5101),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5138),
    [anon_sym_or_eq] = ACTIONS(5138),
    [anon_sym_xor_eq] = ACTIONS(5138),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_TILDE] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym_extern] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5123),
    [anon_sym___declspec] = ACTIONS(5121),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym___cdecl] = ACTIONS(5121),
    [anon_sym___clrcall] = ACTIONS(5121),
    [anon_sym___stdcall] = ACTIONS(5121),
    [anon_sym___fastcall] = ACTIONS(5121),
    [anon_sym___thiscall] = ACTIONS(5121),
    [anon_sym___vectorcall] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_static] = ACTIONS(5121),
    [anon_sym_register] = ACTIONS(5121),
    [anon_sym_inline] = ACTIONS(5121),
    [anon_sym___inline] = ACTIONS(5121),
    [anon_sym___inline__] = ACTIONS(5121),
    [anon_sym___forceinline] = ACTIONS(5121),
    [anon_sym_thread_local] = ACTIONS(5121),
    [anon_sym___thread] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_final] = ACTIONS(5121),
    [anon_sym_override] = ACTIONS(5121),
    [anon_sym_virtual] = ACTIONS(5121),
    [anon_sym_alignas] = ACTIONS(5121),
    [anon_sym_template] = ACTIONS(5121),
    [anon_sym_operator] = ACTIONS(5121),
    [anon_sym_try] = ACTIONS(5121),
    [anon_sym_requires] = ACTIONS(5121),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5127),
    [anon_sym_GT_GT] = ACTIONS(5127),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym___cdecl] = ACTIONS(5125),
    [anon_sym___clrcall] = ACTIONS(5125),
    [anon_sym___stdcall] = ACTIONS(5125),
    [anon_sym___fastcall] = ACTIONS(5125),
    [anon_sym___thiscall] = ACTIONS(5125),
    [anon_sym___vectorcall] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_try] = ACTIONS(5125),
    [anon_sym_requires] = ACTIONS(5125),
  },
  [2024] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_TILDE] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5119),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5119),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5119),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5119),
    [anon_sym_GT_GT] = ACTIONS(5119),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym_extern] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5119),
    [anon_sym___declspec] = ACTIONS(5117),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym___cdecl] = ACTIONS(5117),
    [anon_sym___clrcall] = ACTIONS(5117),
    [anon_sym___stdcall] = ACTIONS(5117),
    [anon_sym___fastcall] = ACTIONS(5117),
    [anon_sym___thiscall] = ACTIONS(5117),
    [anon_sym___vectorcall] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_static] = ACTIONS(5117),
    [anon_sym_register] = ACTIONS(5117),
    [anon_sym_inline] = ACTIONS(5117),
    [anon_sym___inline] = ACTIONS(5117),
    [anon_sym___inline__] = ACTIONS(5117),
    [anon_sym___forceinline] = ACTIONS(5117),
    [anon_sym_thread_local] = ACTIONS(5117),
    [anon_sym___thread] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [anon_sym_COLON] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_final] = ACTIONS(5117),
    [anon_sym_override] = ACTIONS(5117),
    [anon_sym_virtual] = ACTIONS(5117),
    [anon_sym_alignas] = ACTIONS(5117),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_operator] = ACTIONS(5117),
    [anon_sym_try] = ACTIONS(5117),
    [anon_sym_requires] = ACTIONS(5117),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5107),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5107),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5107),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5107),
    [anon_sym_GT_GT] = ACTIONS(5107),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym___cdecl] = ACTIONS(5105),
    [anon_sym___clrcall] = ACTIONS(5105),
    [anon_sym___stdcall] = ACTIONS(5105),
    [anon_sym___fastcall] = ACTIONS(5105),
    [anon_sym___thiscall] = ACTIONS(5105),
    [anon_sym___vectorcall] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5105),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_final] = ACTIONS(5105),
    [anon_sym_override] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
    [anon_sym_try] = ACTIONS(5105),
    [anon_sym_requires] = ACTIONS(5105),
  },
  [2026] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_TILDE] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5111),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5111),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5111),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5111),
    [anon_sym_GT_GT] = ACTIONS(5111),
    [anon_sym_SEMI] = ACTIONS(5111),
    [anon_sym___extension__] = ACTIONS(5109),
    [anon_sym_extern] = ACTIONS(5109),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5111),
    [anon_sym___declspec] = ACTIONS(5109),
    [anon_sym___based] = ACTIONS(5109),
    [anon_sym___cdecl] = ACTIONS(5109),
    [anon_sym___clrcall] = ACTIONS(5109),
    [anon_sym___stdcall] = ACTIONS(5109),
    [anon_sym___fastcall] = ACTIONS(5109),
    [anon_sym___thiscall] = ACTIONS(5109),
    [anon_sym___vectorcall] = ACTIONS(5109),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_RBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_static] = ACTIONS(5109),
    [anon_sym_register] = ACTIONS(5109),
    [anon_sym_inline] = ACTIONS(5109),
    [anon_sym___inline] = ACTIONS(5109),
    [anon_sym___inline__] = ACTIONS(5109),
    [anon_sym___forceinline] = ACTIONS(5109),
    [anon_sym_thread_local] = ACTIONS(5109),
    [anon_sym___thread] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_restrict] = ACTIONS(5109),
    [anon_sym___restrict__] = ACTIONS(5109),
    [anon_sym__Atomic] = ACTIONS(5109),
    [anon_sym__Noreturn] = ACTIONS(5109),
    [anon_sym_noreturn] = ACTIONS(5109),
    [anon_sym_mutable] = ACTIONS(5109),
    [anon_sym_constinit] = ACTIONS(5109),
    [anon_sym_consteval] = ACTIONS(5109),
    [anon_sym_COLON] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_final] = ACTIONS(5109),
    [anon_sym_override] = ACTIONS(5109),
    [anon_sym_virtual] = ACTIONS(5109),
    [anon_sym_alignas] = ACTIONS(5109),
    [anon_sym_template] = ACTIONS(5109),
    [anon_sym_operator] = ACTIONS(5109),
    [anon_sym_try] = ACTIONS(5109),
    [anon_sym_requires] = ACTIONS(5109),
  },
  [2027] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_TILDE] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5115),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5115),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym___cdecl] = ACTIONS(5113),
    [anon_sym___clrcall] = ACTIONS(5113),
    [anon_sym___stdcall] = ACTIONS(5113),
    [anon_sym___fastcall] = ACTIONS(5113),
    [anon_sym___thiscall] = ACTIONS(5113),
    [anon_sym___vectorcall] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_try] = ACTIONS(5113),
    [anon_sym_requires] = ACTIONS(5113),
  },
  [2028] = {
    [sym_string_literal] = STATE(3964),
    [sym_template_argument_list] = STATE(3888),
    [sym_raw_string_literal] = STATE(3964),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4140),
    [anon_sym_COMMA] = ACTIONS(4140),
    [anon_sym_LPAREN2] = ACTIONS(4140),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4137),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4140),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4137),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4135),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym___extension__] = ACTIONS(4133),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_signed] = ACTIONS(5183),
    [anon_sym_unsigned] = ACTIONS(5183),
    [anon_sym_long] = ACTIONS(5183),
    [anon_sym_short] = ACTIONS(5183),
    [anon_sym_LBRACK] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(5185),
    [anon_sym_const] = ACTIONS(4125),
    [anon_sym_constexpr] = ACTIONS(4133),
    [anon_sym_volatile] = ACTIONS(4133),
    [anon_sym_restrict] = ACTIONS(4133),
    [anon_sym___restrict__] = ACTIONS(4133),
    [anon_sym__Atomic] = ACTIONS(4133),
    [anon_sym__Noreturn] = ACTIONS(4133),
    [anon_sym_noreturn] = ACTIONS(4133),
    [anon_sym_mutable] = ACTIONS(4133),
    [anon_sym_constinit] = ACTIONS(4133),
    [anon_sym_consteval] = ACTIONS(4133),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5187),
    [anon_sym_SLASH_EQ] = ACTIONS(5187),
    [anon_sym_PERCENT_EQ] = ACTIONS(5187),
    [anon_sym_PLUS_EQ] = ACTIONS(5187),
    [anon_sym_DASH_EQ] = ACTIONS(5187),
    [anon_sym_LT_LT_EQ] = ACTIONS(5187),
    [anon_sym_GT_GT_EQ] = ACTIONS(5185),
    [anon_sym_AMP_EQ] = ACTIONS(5187),
    [anon_sym_CARET_EQ] = ACTIONS(5187),
    [anon_sym_PIPE_EQ] = ACTIONS(5187),
    [anon_sym_and_eq] = ACTIONS(5187),
    [anon_sym_or_eq] = ACTIONS(5187),
    [anon_sym_xor_eq] = ACTIONS(5187),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5189),
    [anon_sym_u_DQUOTE] = ACTIONS(5189),
    [anon_sym_U_DQUOTE] = ACTIONS(5189),
    [anon_sym_u8_DQUOTE] = ACTIONS(5189),
    [anon_sym_DQUOTE] = ACTIONS(5189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4133),
    [anon_sym_decltype] = ACTIONS(4133),
    [anon_sym_GT2] = ACTIONS(4140),
    [anon_sym_R_DQUOTE] = ACTIONS(5191),
    [anon_sym_LR_DQUOTE] = ACTIONS(5191),
    [anon_sym_uR_DQUOTE] = ACTIONS(5191),
    [anon_sym_UR_DQUOTE] = ACTIONS(5191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5191),
  },
  [2029] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_TILDE] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym_extern] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5103),
    [anon_sym___declspec] = ACTIONS(5101),
    [anon_sym___based] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5101),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_static] = ACTIONS(5101),
    [anon_sym_register] = ACTIONS(5101),
    [anon_sym_inline] = ACTIONS(5101),
    [anon_sym___inline] = ACTIONS(5101),
    [anon_sym___inline__] = ACTIONS(5101),
    [anon_sym___forceinline] = ACTIONS(5101),
    [anon_sym_thread_local] = ACTIONS(5101),
    [anon_sym___thread] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5103),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_virtual] = ACTIONS(5101),
    [anon_sym_alignas] = ACTIONS(5101),
    [anon_sym_template] = ACTIONS(5101),
    [anon_sym_operator] = ACTIONS(5101),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5103),
  },
  [2030] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_TILDE] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym_extern] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5107),
    [anon_sym___declspec] = ACTIONS(5105),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5105),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_static] = ACTIONS(5105),
    [anon_sym_register] = ACTIONS(5105),
    [anon_sym_inline] = ACTIONS(5105),
    [anon_sym___inline] = ACTIONS(5105),
    [anon_sym___inline__] = ACTIONS(5105),
    [anon_sym___forceinline] = ACTIONS(5105),
    [anon_sym_thread_local] = ACTIONS(5105),
    [anon_sym___thread] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_virtual] = ACTIONS(5105),
    [anon_sym_alignas] = ACTIONS(5105),
    [anon_sym_template] = ACTIONS(5105),
    [anon_sym_operator] = ACTIONS(5105),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [2031] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_TILDE] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym_extern] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5115),
    [anon_sym___declspec] = ACTIONS(5113),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5113),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_static] = ACTIONS(5113),
    [anon_sym_register] = ACTIONS(5113),
    [anon_sym_inline] = ACTIONS(5113),
    [anon_sym___inline] = ACTIONS(5113),
    [anon_sym___inline__] = ACTIONS(5113),
    [anon_sym___forceinline] = ACTIONS(5113),
    [anon_sym_thread_local] = ACTIONS(5113),
    [anon_sym___thread] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_virtual] = ACTIONS(5113),
    [anon_sym_alignas] = ACTIONS(5113),
    [anon_sym_template] = ACTIONS(5113),
    [anon_sym_operator] = ACTIONS(5113),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [2032] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_TILDE] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym___extension__] = ACTIONS(5109),
    [anon_sym_extern] = ACTIONS(5109),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5111),
    [anon_sym___declspec] = ACTIONS(5109),
    [anon_sym___based] = ACTIONS(5109),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_static] = ACTIONS(5109),
    [anon_sym_register] = ACTIONS(5109),
    [anon_sym_inline] = ACTIONS(5109),
    [anon_sym___inline] = ACTIONS(5109),
    [anon_sym___inline__] = ACTIONS(5109),
    [anon_sym___forceinline] = ACTIONS(5109),
    [anon_sym_thread_local] = ACTIONS(5109),
    [anon_sym___thread] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_restrict] = ACTIONS(5109),
    [anon_sym___restrict__] = ACTIONS(5109),
    [anon_sym__Atomic] = ACTIONS(5109),
    [anon_sym__Noreturn] = ACTIONS(5109),
    [anon_sym_noreturn] = ACTIONS(5109),
    [anon_sym_mutable] = ACTIONS(5109),
    [anon_sym_constinit] = ACTIONS(5109),
    [anon_sym_consteval] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5111),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_virtual] = ACTIONS(5109),
    [anon_sym_alignas] = ACTIONS(5109),
    [anon_sym_template] = ACTIONS(5109),
    [anon_sym_operator] = ACTIONS(5109),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5111),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [2034] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_TILDE] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym_extern] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5123),
    [anon_sym___declspec] = ACTIONS(5121),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5121),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_static] = ACTIONS(5121),
    [anon_sym_register] = ACTIONS(5121),
    [anon_sym_inline] = ACTIONS(5121),
    [anon_sym___inline] = ACTIONS(5121),
    [anon_sym___inline__] = ACTIONS(5121),
    [anon_sym___forceinline] = ACTIONS(5121),
    [anon_sym_thread_local] = ACTIONS(5121),
    [anon_sym___thread] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_virtual] = ACTIONS(5121),
    [anon_sym_alignas] = ACTIONS(5121),
    [anon_sym_template] = ACTIONS(5121),
    [anon_sym_operator] = ACTIONS(5121),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5123),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_TILDE] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym_extern] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5119),
    [anon_sym___declspec] = ACTIONS(5117),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5117),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_static] = ACTIONS(5117),
    [anon_sym_register] = ACTIONS(5117),
    [anon_sym_inline] = ACTIONS(5117),
    [anon_sym___inline] = ACTIONS(5117),
    [anon_sym___inline__] = ACTIONS(5117),
    [anon_sym___forceinline] = ACTIONS(5117),
    [anon_sym_thread_local] = ACTIONS(5117),
    [anon_sym___thread] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_virtual] = ACTIONS(5117),
    [anon_sym_alignas] = ACTIONS(5117),
    [anon_sym_template] = ACTIONS(5117),
    [anon_sym_operator] = ACTIONS(5117),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5119),
  },
  [2036] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_TILDE] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym_extern] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5127),
    [anon_sym___declspec] = ACTIONS(5125),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5125),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_static] = ACTIONS(5125),
    [anon_sym_register] = ACTIONS(5125),
    [anon_sym_inline] = ACTIONS(5125),
    [anon_sym___inline] = ACTIONS(5125),
    [anon_sym___inline__] = ACTIONS(5125),
    [anon_sym___forceinline] = ACTIONS(5125),
    [anon_sym_thread_local] = ACTIONS(5125),
    [anon_sym___thread] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_virtual] = ACTIONS(5125),
    [anon_sym_alignas] = ACTIONS(5125),
    [anon_sym_template] = ACTIONS(5125),
    [anon_sym_operator] = ACTIONS(5125),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym_SEMI] = ACTIONS(5133),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5133),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym___cdecl] = ACTIONS(5129),
    [anon_sym___clrcall] = ACTIONS(5129),
    [anon_sym___stdcall] = ACTIONS(5129),
    [anon_sym___fastcall] = ACTIONS(5129),
    [anon_sym___thiscall] = ACTIONS(5129),
    [anon_sym___vectorcall] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_RBRACE] = ACTIONS(5131),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [2038] = {
    [sym_function_definition] = STATE(441),
    [sym_declaration] = STATE(441),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2296),
    [sym_declaration_list] = STATE(441),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5197),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2039] = {
    [sym_function_definition] = STATE(621),
    [sym_declaration] = STATE(621),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2312),
    [sym_declaration_list] = STATE(621),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5199),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2040] = {
    [sym_function_definition] = STATE(882),
    [sym_declaration] = STATE(882),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2325),
    [sym_declaration_list] = STATE(882),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5201),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2041] = {
    [sym_function_definition] = STATE(1050),
    [sym_declaration] = STATE(1050),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2349),
    [sym_declaration_list] = STATE(1050),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5203),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2042] = {
    [sym_function_definition] = STATE(972),
    [sym_declaration] = STATE(972),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2363),
    [sym_declaration_list] = STATE(972),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5205),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2043] = {
    [sym_function_definition] = STATE(2390),
    [sym_declaration] = STATE(2390),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5446),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2347),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9249),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5209),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2044] = {
    [sym_function_definition] = STATE(995),
    [sym_declaration] = STATE(995),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5390),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2325),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9468),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5217),
    [anon_sym_union] = ACTIONS(5219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2045] = {
    [sym_function_definition] = STATE(2616),
    [sym_declaration] = STATE(2616),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5426),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2332),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9438),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5221),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2046] = {
    [sym_function_definition] = STATE(2719),
    [sym_declaration] = STATE(2719),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5483),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2350),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8955),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5229),
    [anon_sym_union] = ACTIONS(5231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2047] = {
    [sym_function_definition] = STATE(2258),
    [sym_declaration] = STATE(2258),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5465),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2333),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9750),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5233),
    [anon_sym_struct] = ACTIONS(5235),
    [anon_sym_union] = ACTIONS(5237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2048] = {
    [sym_function_definition] = STATE(595),
    [sym_declaration] = STATE(595),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5445),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2312),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9375),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5239),
    [anon_sym_struct] = ACTIONS(5241),
    [anon_sym_union] = ACTIONS(5243),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2049] = {
    [sym_function_definition] = STATE(361),
    [sym_declaration] = STATE(361),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5497),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2296),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(8827),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5245),
    [anon_sym_struct] = ACTIONS(5247),
    [anon_sym_union] = ACTIONS(5249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2050] = {
    [sym_function_definition] = STATE(919),
    [sym_declaration] = STATE(919),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5358),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2363),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9325),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5251),
    [anon_sym_struct] = ACTIONS(5253),
    [anon_sym_union] = ACTIONS(5255),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2051] = {
    [sym_function_definition] = STATE(1057),
    [sym_declaration] = STATE(1057),
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5409),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_ms_call_modifier] = STATE(2349),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym__class_name] = STATE(9730),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(4584),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4574),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5207),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5257),
    [anon_sym_struct] = ACTIONS(5259),
    [anon_sym_union] = ACTIONS(5261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2052] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5136),
    [anon_sym_COMMA] = ACTIONS(5136),
    [anon_sym_RPAREN] = ACTIONS(5136),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_STAR] = ACTIONS(5136),
    [anon_sym_PIPE_PIPE] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5136),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym___cdecl] = ACTIONS(5129),
    [anon_sym___clrcall] = ACTIONS(5129),
    [anon_sym___stdcall] = ACTIONS(5129),
    [anon_sym___fastcall] = ACTIONS(5129),
    [anon_sym___thiscall] = ACTIONS(5129),
    [anon_sym___vectorcall] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_signed] = ACTIONS(5129),
    [anon_sym_unsigned] = ACTIONS(5129),
    [anon_sym_long] = ACTIONS(5129),
    [anon_sym_short] = ACTIONS(5129),
    [anon_sym_LBRACK] = ACTIONS(5129),
    [anon_sym_EQ] = ACTIONS(5136),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [sym_primitive_type] = ACTIONS(5129),
    [anon_sym_enum] = ACTIONS(5129),
    [anon_sym_class] = ACTIONS(5129),
    [anon_sym_struct] = ACTIONS(5129),
    [anon_sym_union] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_asm] = ACTIONS(5129),
    [anon_sym___asm__] = ACTIONS(5129),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_explicit] = ACTIONS(5129),
    [anon_sym_typename] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_GT2] = ACTIONS(5136),
    [anon_sym_operator] = ACTIONS(5129),
    [anon_sym_try] = ACTIONS(5129),
    [anon_sym_friend] = ACTIONS(5129),
    [anon_sym_using] = ACTIONS(5129),
    [anon_sym_concept] = ACTIONS(5129),
    [anon_sym_requires] = ACTIONS(5129),
  },
  [2053] = {
    [sym_string_literal] = STATE(2065),
    [sym_template_argument_list] = STATE(2657),
    [sym_raw_string_literal] = STATE(2065),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5263),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2054] = {
    [sym_string_literal] = STATE(2063),
    [sym_raw_string_literal] = STATE(2063),
    [aux_sym_concatenated_string_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_RPAREN] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5270),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_RBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_COLON] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5272),
    [anon_sym_COMMA] = ACTIONS(5274),
    [anon_sym_RPAREN] = ACTIONS(5274),
    [anon_sym_LPAREN2] = ACTIONS(5274),
    [anon_sym_TILDE] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5274),
    [anon_sym_PIPE_PIPE] = ACTIONS(5274),
    [anon_sym_AMP_AMP] = ACTIONS(5274),
    [anon_sym_AMP] = ACTIONS(5272),
    [anon_sym_SEMI] = ACTIONS(5274),
    [anon_sym___extension__] = ACTIONS(5272),
    [anon_sym_extern] = ACTIONS(5272),
    [anon_sym___attribute__] = ACTIONS(5272),
    [anon_sym_COLON_COLON] = ACTIONS(5274),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5274),
    [anon_sym___declspec] = ACTIONS(5272),
    [anon_sym___based] = ACTIONS(5272),
    [anon_sym___cdecl] = ACTIONS(5272),
    [anon_sym___clrcall] = ACTIONS(5272),
    [anon_sym___stdcall] = ACTIONS(5272),
    [anon_sym___fastcall] = ACTIONS(5272),
    [anon_sym___thiscall] = ACTIONS(5272),
    [anon_sym___vectorcall] = ACTIONS(5272),
    [anon_sym_LBRACE] = ACTIONS(5274),
    [anon_sym_signed] = ACTIONS(5272),
    [anon_sym_unsigned] = ACTIONS(5272),
    [anon_sym_long] = ACTIONS(5272),
    [anon_sym_short] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_EQ] = ACTIONS(5274),
    [anon_sym_static] = ACTIONS(5272),
    [anon_sym_register] = ACTIONS(5272),
    [anon_sym_inline] = ACTIONS(5272),
    [anon_sym___inline] = ACTIONS(5272),
    [anon_sym___inline__] = ACTIONS(5272),
    [anon_sym___forceinline] = ACTIONS(5272),
    [anon_sym_thread_local] = ACTIONS(5272),
    [anon_sym___thread] = ACTIONS(5272),
    [anon_sym_const] = ACTIONS(5272),
    [anon_sym_constexpr] = ACTIONS(5272),
    [anon_sym_volatile] = ACTIONS(5272),
    [anon_sym_restrict] = ACTIONS(5272),
    [anon_sym___restrict__] = ACTIONS(5272),
    [anon_sym__Atomic] = ACTIONS(5272),
    [anon_sym__Noreturn] = ACTIONS(5272),
    [anon_sym_noreturn] = ACTIONS(5272),
    [anon_sym_mutable] = ACTIONS(5272),
    [anon_sym_constinit] = ACTIONS(5272),
    [anon_sym_consteval] = ACTIONS(5272),
    [sym_primitive_type] = ACTIONS(5272),
    [anon_sym_enum] = ACTIONS(5272),
    [anon_sym_class] = ACTIONS(5272),
    [anon_sym_struct] = ACTIONS(5272),
    [anon_sym_union] = ACTIONS(5272),
    [anon_sym_or] = ACTIONS(5272),
    [anon_sym_and] = ACTIONS(5272),
    [anon_sym_asm] = ACTIONS(5272),
    [anon_sym___asm__] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5272),
    [anon_sym_decltype] = ACTIONS(5272),
    [anon_sym_final] = ACTIONS(5272),
    [anon_sym_override] = ACTIONS(5272),
    [anon_sym_virtual] = ACTIONS(5272),
    [anon_sym_alignas] = ACTIONS(5272),
    [anon_sym_explicit] = ACTIONS(5272),
    [anon_sym_typename] = ACTIONS(5272),
    [anon_sym_template] = ACTIONS(5272),
    [anon_sym_GT2] = ACTIONS(5274),
    [anon_sym_operator] = ACTIONS(5272),
    [anon_sym_try] = ACTIONS(5272),
    [anon_sym_friend] = ACTIONS(5272),
    [anon_sym_using] = ACTIONS(5272),
    [anon_sym_concept] = ACTIONS(5272),
    [anon_sym_requires] = ACTIONS(5272),
  },
  [2056] = {
    [sym_identifier] = ACTIONS(5276),
    [anon_sym_COMMA] = ACTIONS(5278),
    [anon_sym_RPAREN] = ACTIONS(5278),
    [anon_sym_LPAREN2] = ACTIONS(5278),
    [anon_sym_TILDE] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_PIPE_PIPE] = ACTIONS(5278),
    [anon_sym_AMP_AMP] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5276),
    [anon_sym_SEMI] = ACTIONS(5278),
    [anon_sym___extension__] = ACTIONS(5276),
    [anon_sym_extern] = ACTIONS(5276),
    [anon_sym___attribute__] = ACTIONS(5276),
    [anon_sym_COLON_COLON] = ACTIONS(5278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5278),
    [anon_sym___declspec] = ACTIONS(5276),
    [anon_sym___based] = ACTIONS(5276),
    [anon_sym___cdecl] = ACTIONS(5276),
    [anon_sym___clrcall] = ACTIONS(5276),
    [anon_sym___stdcall] = ACTIONS(5276),
    [anon_sym___fastcall] = ACTIONS(5276),
    [anon_sym___thiscall] = ACTIONS(5276),
    [anon_sym___vectorcall] = ACTIONS(5276),
    [anon_sym_LBRACE] = ACTIONS(5278),
    [anon_sym_signed] = ACTIONS(5276),
    [anon_sym_unsigned] = ACTIONS(5276),
    [anon_sym_long] = ACTIONS(5276),
    [anon_sym_short] = ACTIONS(5276),
    [anon_sym_LBRACK] = ACTIONS(5276),
    [anon_sym_EQ] = ACTIONS(5278),
    [anon_sym_static] = ACTIONS(5276),
    [anon_sym_register] = ACTIONS(5276),
    [anon_sym_inline] = ACTIONS(5276),
    [anon_sym___inline] = ACTIONS(5276),
    [anon_sym___inline__] = ACTIONS(5276),
    [anon_sym___forceinline] = ACTIONS(5276),
    [anon_sym_thread_local] = ACTIONS(5276),
    [anon_sym___thread] = ACTIONS(5276),
    [anon_sym_const] = ACTIONS(5276),
    [anon_sym_constexpr] = ACTIONS(5276),
    [anon_sym_volatile] = ACTIONS(5276),
    [anon_sym_restrict] = ACTIONS(5276),
    [anon_sym___restrict__] = ACTIONS(5276),
    [anon_sym__Atomic] = ACTIONS(5276),
    [anon_sym__Noreturn] = ACTIONS(5276),
    [anon_sym_noreturn] = ACTIONS(5276),
    [anon_sym_mutable] = ACTIONS(5276),
    [anon_sym_constinit] = ACTIONS(5276),
    [anon_sym_consteval] = ACTIONS(5276),
    [sym_primitive_type] = ACTIONS(5276),
    [anon_sym_enum] = ACTIONS(5276),
    [anon_sym_class] = ACTIONS(5276),
    [anon_sym_struct] = ACTIONS(5276),
    [anon_sym_union] = ACTIONS(5276),
    [anon_sym_or] = ACTIONS(5276),
    [anon_sym_and] = ACTIONS(5276),
    [anon_sym_asm] = ACTIONS(5276),
    [anon_sym___asm__] = ACTIONS(5276),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5276),
    [anon_sym_decltype] = ACTIONS(5276),
    [anon_sym_final] = ACTIONS(5276),
    [anon_sym_override] = ACTIONS(5276),
    [anon_sym_virtual] = ACTIONS(5276),
    [anon_sym_alignas] = ACTIONS(5276),
    [anon_sym_explicit] = ACTIONS(5276),
    [anon_sym_typename] = ACTIONS(5276),
    [anon_sym_template] = ACTIONS(5276),
    [anon_sym_GT2] = ACTIONS(5278),
    [anon_sym_operator] = ACTIONS(5276),
    [anon_sym_try] = ACTIONS(5276),
    [anon_sym_friend] = ACTIONS(5276),
    [anon_sym_using] = ACTIONS(5276),
    [anon_sym_concept] = ACTIONS(5276),
    [anon_sym_requires] = ACTIONS(5276),
  },
  [2057] = {
    [sym_identifier] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5282),
    [anon_sym_RPAREN] = ACTIONS(5282),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym___cdecl] = ACTIONS(5280),
    [anon_sym___clrcall] = ACTIONS(5280),
    [anon_sym___stdcall] = ACTIONS(5280),
    [anon_sym___fastcall] = ACTIONS(5280),
    [anon_sym___thiscall] = ACTIONS(5280),
    [anon_sym___vectorcall] = ACTIONS(5280),
    [anon_sym_LBRACE] = ACTIONS(5282),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5280),
    [anon_sym_and] = ACTIONS(5280),
    [anon_sym_asm] = ACTIONS(5280),
    [anon_sym___asm__] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_final] = ACTIONS(5280),
    [anon_sym_override] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_GT2] = ACTIONS(5282),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_try] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_concept] = ACTIONS(5280),
    [anon_sym_requires] = ACTIONS(5280),
  },
  [2058] = {
    [sym_identifier] = ACTIONS(5284),
    [anon_sym_COMMA] = ACTIONS(5286),
    [anon_sym_RPAREN] = ACTIONS(5286),
    [anon_sym_LPAREN2] = ACTIONS(5286),
    [anon_sym_TILDE] = ACTIONS(5286),
    [anon_sym_STAR] = ACTIONS(5286),
    [anon_sym_PIPE_PIPE] = ACTIONS(5286),
    [anon_sym_AMP_AMP] = ACTIONS(5286),
    [anon_sym_AMP] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5286),
    [anon_sym___extension__] = ACTIONS(5284),
    [anon_sym_extern] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5284),
    [anon_sym_COLON_COLON] = ACTIONS(5286),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5286),
    [anon_sym___declspec] = ACTIONS(5284),
    [anon_sym___based] = ACTIONS(5284),
    [anon_sym___cdecl] = ACTIONS(5284),
    [anon_sym___clrcall] = ACTIONS(5284),
    [anon_sym___stdcall] = ACTIONS(5284),
    [anon_sym___fastcall] = ACTIONS(5284),
    [anon_sym___thiscall] = ACTIONS(5284),
    [anon_sym___vectorcall] = ACTIONS(5284),
    [anon_sym_LBRACE] = ACTIONS(5286),
    [anon_sym_signed] = ACTIONS(5284),
    [anon_sym_unsigned] = ACTIONS(5284),
    [anon_sym_long] = ACTIONS(5284),
    [anon_sym_short] = ACTIONS(5284),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_EQ] = ACTIONS(5286),
    [anon_sym_static] = ACTIONS(5284),
    [anon_sym_register] = ACTIONS(5284),
    [anon_sym_inline] = ACTIONS(5284),
    [anon_sym___inline] = ACTIONS(5284),
    [anon_sym___inline__] = ACTIONS(5284),
    [anon_sym___forceinline] = ACTIONS(5284),
    [anon_sym_thread_local] = ACTIONS(5284),
    [anon_sym___thread] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5284),
    [anon_sym_constexpr] = ACTIONS(5284),
    [anon_sym_volatile] = ACTIONS(5284),
    [anon_sym_restrict] = ACTIONS(5284),
    [anon_sym___restrict__] = ACTIONS(5284),
    [anon_sym__Atomic] = ACTIONS(5284),
    [anon_sym__Noreturn] = ACTIONS(5284),
    [anon_sym_noreturn] = ACTIONS(5284),
    [anon_sym_mutable] = ACTIONS(5284),
    [anon_sym_constinit] = ACTIONS(5284),
    [anon_sym_consteval] = ACTIONS(5284),
    [sym_primitive_type] = ACTIONS(5284),
    [anon_sym_enum] = ACTIONS(5284),
    [anon_sym_class] = ACTIONS(5284),
    [anon_sym_struct] = ACTIONS(5284),
    [anon_sym_union] = ACTIONS(5284),
    [anon_sym_or] = ACTIONS(5284),
    [anon_sym_and] = ACTIONS(5284),
    [anon_sym_asm] = ACTIONS(5284),
    [anon_sym___asm__] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5284),
    [anon_sym_decltype] = ACTIONS(5284),
    [anon_sym_final] = ACTIONS(5284),
    [anon_sym_override] = ACTIONS(5284),
    [anon_sym_virtual] = ACTIONS(5284),
    [anon_sym_alignas] = ACTIONS(5284),
    [anon_sym_explicit] = ACTIONS(5284),
    [anon_sym_typename] = ACTIONS(5284),
    [anon_sym_template] = ACTIONS(5284),
    [anon_sym_GT2] = ACTIONS(5286),
    [anon_sym_operator] = ACTIONS(5284),
    [anon_sym_try] = ACTIONS(5284),
    [anon_sym_friend] = ACTIONS(5284),
    [anon_sym_using] = ACTIONS(5284),
    [anon_sym_concept] = ACTIONS(5284),
    [anon_sym_requires] = ACTIONS(5284),
  },
  [2059] = {
    [sym_identifier] = ACTIONS(5288),
    [anon_sym_COMMA] = ACTIONS(5290),
    [anon_sym_RPAREN] = ACTIONS(5290),
    [anon_sym_LPAREN2] = ACTIONS(5290),
    [anon_sym_TILDE] = ACTIONS(5290),
    [anon_sym_STAR] = ACTIONS(5290),
    [anon_sym_PIPE_PIPE] = ACTIONS(5290),
    [anon_sym_AMP_AMP] = ACTIONS(5290),
    [anon_sym_AMP] = ACTIONS(5288),
    [anon_sym_SEMI] = ACTIONS(5290),
    [anon_sym___extension__] = ACTIONS(5288),
    [anon_sym_extern] = ACTIONS(5288),
    [anon_sym___attribute__] = ACTIONS(5288),
    [anon_sym_COLON_COLON] = ACTIONS(5290),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5290),
    [anon_sym___declspec] = ACTIONS(5288),
    [anon_sym___based] = ACTIONS(5288),
    [anon_sym___cdecl] = ACTIONS(5288),
    [anon_sym___clrcall] = ACTIONS(5288),
    [anon_sym___stdcall] = ACTIONS(5288),
    [anon_sym___fastcall] = ACTIONS(5288),
    [anon_sym___thiscall] = ACTIONS(5288),
    [anon_sym___vectorcall] = ACTIONS(5288),
    [anon_sym_LBRACE] = ACTIONS(5290),
    [anon_sym_signed] = ACTIONS(5288),
    [anon_sym_unsigned] = ACTIONS(5288),
    [anon_sym_long] = ACTIONS(5288),
    [anon_sym_short] = ACTIONS(5288),
    [anon_sym_LBRACK] = ACTIONS(5288),
    [anon_sym_EQ] = ACTIONS(5290),
    [anon_sym_static] = ACTIONS(5288),
    [anon_sym_register] = ACTIONS(5288),
    [anon_sym_inline] = ACTIONS(5288),
    [anon_sym___inline] = ACTIONS(5288),
    [anon_sym___inline__] = ACTIONS(5288),
    [anon_sym___forceinline] = ACTIONS(5288),
    [anon_sym_thread_local] = ACTIONS(5288),
    [anon_sym___thread] = ACTIONS(5288),
    [anon_sym_const] = ACTIONS(5288),
    [anon_sym_constexpr] = ACTIONS(5288),
    [anon_sym_volatile] = ACTIONS(5288),
    [anon_sym_restrict] = ACTIONS(5288),
    [anon_sym___restrict__] = ACTIONS(5288),
    [anon_sym__Atomic] = ACTIONS(5288),
    [anon_sym__Noreturn] = ACTIONS(5288),
    [anon_sym_noreturn] = ACTIONS(5288),
    [anon_sym_mutable] = ACTIONS(5288),
    [anon_sym_constinit] = ACTIONS(5288),
    [anon_sym_consteval] = ACTIONS(5288),
    [sym_primitive_type] = ACTIONS(5288),
    [anon_sym_enum] = ACTIONS(5288),
    [anon_sym_class] = ACTIONS(5288),
    [anon_sym_struct] = ACTIONS(5288),
    [anon_sym_union] = ACTIONS(5288),
    [anon_sym_or] = ACTIONS(5288),
    [anon_sym_and] = ACTIONS(5288),
    [anon_sym_asm] = ACTIONS(5288),
    [anon_sym___asm__] = ACTIONS(5288),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5288),
    [anon_sym_decltype] = ACTIONS(5288),
    [anon_sym_final] = ACTIONS(5288),
    [anon_sym_override] = ACTIONS(5288),
    [anon_sym_virtual] = ACTIONS(5288),
    [anon_sym_alignas] = ACTIONS(5288),
    [anon_sym_explicit] = ACTIONS(5288),
    [anon_sym_typename] = ACTIONS(5288),
    [anon_sym_template] = ACTIONS(5288),
    [anon_sym_GT2] = ACTIONS(5290),
    [anon_sym_operator] = ACTIONS(5288),
    [anon_sym_try] = ACTIONS(5288),
    [anon_sym_friend] = ACTIONS(5288),
    [anon_sym_using] = ACTIONS(5288),
    [anon_sym_concept] = ACTIONS(5288),
    [anon_sym_requires] = ACTIONS(5288),
  },
  [2060] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4802),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8143),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_type_parameter_declaration] = STATE(8143),
    [sym_variadic_type_parameter_declaration] = STATE(8143),
    [sym_optional_type_parameter_declaration] = STATE(8143),
    [sym_template_template_parameter_declaration] = STATE(8143),
    [sym_optional_parameter_declaration] = STATE(8143),
    [sym_variadic_parameter_declaration] = STATE(8143),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5294),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_GT2] = ACTIONS(5298),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(5300),
    [anon_sym_COMMA] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(5302),
    [anon_sym_TILDE] = ACTIONS(5302),
    [anon_sym_STAR] = ACTIONS(5302),
    [anon_sym_PIPE_PIPE] = ACTIONS(5302),
    [anon_sym_AMP_AMP] = ACTIONS(5302),
    [anon_sym_AMP] = ACTIONS(5300),
    [anon_sym_SEMI] = ACTIONS(5302),
    [anon_sym___extension__] = ACTIONS(5300),
    [anon_sym_extern] = ACTIONS(5300),
    [anon_sym___attribute__] = ACTIONS(5300),
    [anon_sym_COLON_COLON] = ACTIONS(5302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5302),
    [anon_sym___declspec] = ACTIONS(5300),
    [anon_sym___based] = ACTIONS(5300),
    [anon_sym___cdecl] = ACTIONS(5300),
    [anon_sym___clrcall] = ACTIONS(5300),
    [anon_sym___stdcall] = ACTIONS(5300),
    [anon_sym___fastcall] = ACTIONS(5300),
    [anon_sym___thiscall] = ACTIONS(5300),
    [anon_sym___vectorcall] = ACTIONS(5300),
    [anon_sym_LBRACE] = ACTIONS(5302),
    [anon_sym_signed] = ACTIONS(5300),
    [anon_sym_unsigned] = ACTIONS(5300),
    [anon_sym_long] = ACTIONS(5300),
    [anon_sym_short] = ACTIONS(5300),
    [anon_sym_LBRACK] = ACTIONS(5300),
    [anon_sym_EQ] = ACTIONS(5302),
    [anon_sym_static] = ACTIONS(5300),
    [anon_sym_register] = ACTIONS(5300),
    [anon_sym_inline] = ACTIONS(5300),
    [anon_sym___inline] = ACTIONS(5300),
    [anon_sym___inline__] = ACTIONS(5300),
    [anon_sym___forceinline] = ACTIONS(5300),
    [anon_sym_thread_local] = ACTIONS(5300),
    [anon_sym___thread] = ACTIONS(5300),
    [anon_sym_const] = ACTIONS(5300),
    [anon_sym_constexpr] = ACTIONS(5300),
    [anon_sym_volatile] = ACTIONS(5300),
    [anon_sym_restrict] = ACTIONS(5300),
    [anon_sym___restrict__] = ACTIONS(5300),
    [anon_sym__Atomic] = ACTIONS(5300),
    [anon_sym__Noreturn] = ACTIONS(5300),
    [anon_sym_noreturn] = ACTIONS(5300),
    [anon_sym_mutable] = ACTIONS(5300),
    [anon_sym_constinit] = ACTIONS(5300),
    [anon_sym_consteval] = ACTIONS(5300),
    [sym_primitive_type] = ACTIONS(5300),
    [anon_sym_enum] = ACTIONS(5300),
    [anon_sym_class] = ACTIONS(5300),
    [anon_sym_struct] = ACTIONS(5300),
    [anon_sym_union] = ACTIONS(5300),
    [anon_sym_or] = ACTIONS(5300),
    [anon_sym_and] = ACTIONS(5300),
    [anon_sym_asm] = ACTIONS(5300),
    [anon_sym___asm__] = ACTIONS(5300),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5300),
    [anon_sym_decltype] = ACTIONS(5300),
    [anon_sym_final] = ACTIONS(5300),
    [anon_sym_override] = ACTIONS(5300),
    [anon_sym_virtual] = ACTIONS(5300),
    [anon_sym_alignas] = ACTIONS(5300),
    [anon_sym_explicit] = ACTIONS(5300),
    [anon_sym_typename] = ACTIONS(5300),
    [anon_sym_template] = ACTIONS(5300),
    [anon_sym_GT2] = ACTIONS(5302),
    [anon_sym_operator] = ACTIONS(5300),
    [anon_sym_try] = ACTIONS(5300),
    [anon_sym_friend] = ACTIONS(5300),
    [anon_sym_using] = ACTIONS(5300),
    [anon_sym_concept] = ACTIONS(5300),
    [anon_sym_requires] = ACTIONS(5300),
  },
  [2062] = {
    [sym_identifier] = ACTIONS(5304),
    [anon_sym_COMMA] = ACTIONS(5306),
    [anon_sym_RPAREN] = ACTIONS(5306),
    [anon_sym_LPAREN2] = ACTIONS(5306),
    [anon_sym_TILDE] = ACTIONS(5306),
    [anon_sym_STAR] = ACTIONS(5306),
    [anon_sym_PIPE_PIPE] = ACTIONS(5306),
    [anon_sym_AMP_AMP] = ACTIONS(5306),
    [anon_sym_AMP] = ACTIONS(5304),
    [anon_sym_SEMI] = ACTIONS(5306),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_extern] = ACTIONS(5304),
    [anon_sym___attribute__] = ACTIONS(5304),
    [anon_sym_COLON_COLON] = ACTIONS(5306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5306),
    [anon_sym___declspec] = ACTIONS(5304),
    [anon_sym___based] = ACTIONS(5304),
    [anon_sym___cdecl] = ACTIONS(5304),
    [anon_sym___clrcall] = ACTIONS(5304),
    [anon_sym___stdcall] = ACTIONS(5304),
    [anon_sym___fastcall] = ACTIONS(5304),
    [anon_sym___thiscall] = ACTIONS(5304),
    [anon_sym___vectorcall] = ACTIONS(5304),
    [anon_sym_LBRACE] = ACTIONS(5306),
    [anon_sym_signed] = ACTIONS(5304),
    [anon_sym_unsigned] = ACTIONS(5304),
    [anon_sym_long] = ACTIONS(5304),
    [anon_sym_short] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(5304),
    [anon_sym_EQ] = ACTIONS(5306),
    [anon_sym_static] = ACTIONS(5304),
    [anon_sym_register] = ACTIONS(5304),
    [anon_sym_inline] = ACTIONS(5304),
    [anon_sym___inline] = ACTIONS(5304),
    [anon_sym___inline__] = ACTIONS(5304),
    [anon_sym___forceinline] = ACTIONS(5304),
    [anon_sym_thread_local] = ACTIONS(5304),
    [anon_sym___thread] = ACTIONS(5304),
    [anon_sym_const] = ACTIONS(5304),
    [anon_sym_constexpr] = ACTIONS(5304),
    [anon_sym_volatile] = ACTIONS(5304),
    [anon_sym_restrict] = ACTIONS(5304),
    [anon_sym___restrict__] = ACTIONS(5304),
    [anon_sym__Atomic] = ACTIONS(5304),
    [anon_sym__Noreturn] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(5304),
    [anon_sym_mutable] = ACTIONS(5304),
    [anon_sym_constinit] = ACTIONS(5304),
    [anon_sym_consteval] = ACTIONS(5304),
    [sym_primitive_type] = ACTIONS(5304),
    [anon_sym_enum] = ACTIONS(5304),
    [anon_sym_class] = ACTIONS(5304),
    [anon_sym_struct] = ACTIONS(5304),
    [anon_sym_union] = ACTIONS(5304),
    [anon_sym_or] = ACTIONS(5304),
    [anon_sym_and] = ACTIONS(5304),
    [anon_sym_asm] = ACTIONS(5304),
    [anon_sym___asm__] = ACTIONS(5304),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5304),
    [anon_sym_decltype] = ACTIONS(5304),
    [anon_sym_final] = ACTIONS(5304),
    [anon_sym_override] = ACTIONS(5304),
    [anon_sym_virtual] = ACTIONS(5304),
    [anon_sym_alignas] = ACTIONS(5304),
    [anon_sym_explicit] = ACTIONS(5304),
    [anon_sym_typename] = ACTIONS(5304),
    [anon_sym_template] = ACTIONS(5304),
    [anon_sym_GT2] = ACTIONS(5306),
    [anon_sym_operator] = ACTIONS(5304),
    [anon_sym_try] = ACTIONS(5304),
    [anon_sym_friend] = ACTIONS(5304),
    [anon_sym_using] = ACTIONS(5304),
    [anon_sym_concept] = ACTIONS(5304),
    [anon_sym_requires] = ACTIONS(5304),
  },
  [2063] = {
    [sym_string_literal] = STATE(2063),
    [sym_raw_string_literal] = STATE(2063),
    [aux_sym_concatenated_string_repeat1] = STATE(2063),
    [sym_identifier] = ACTIONS(5308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [aux_sym_preproc_if_token2] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5313),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym_RBRACE] = ACTIONS(5311),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_RBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_COLON] = ACTIONS(5311),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5313),
    [anon_sym_or_eq] = ACTIONS(5313),
    [anon_sym_xor_eq] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5313),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [anon_sym_L_DQUOTE] = ACTIONS(5315),
    [anon_sym_u_DQUOTE] = ACTIONS(5315),
    [anon_sym_U_DQUOTE] = ACTIONS(5315),
    [anon_sym_u8_DQUOTE] = ACTIONS(5315),
    [anon_sym_DQUOTE] = ACTIONS(5315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5318),
    [anon_sym_LR_DQUOTE] = ACTIONS(5318),
    [anon_sym_uR_DQUOTE] = ACTIONS(5318),
    [anon_sym_UR_DQUOTE] = ACTIONS(5318),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5318),
    [sym_literal_suffix] = ACTIONS(5313),
  },
  [2064] = {
    [sym_identifier] = ACTIONS(5321),
    [anon_sym_COMMA] = ACTIONS(5323),
    [anon_sym_RPAREN] = ACTIONS(5323),
    [anon_sym_LPAREN2] = ACTIONS(5323),
    [anon_sym_TILDE] = ACTIONS(5323),
    [anon_sym_STAR] = ACTIONS(5323),
    [anon_sym_PIPE_PIPE] = ACTIONS(5323),
    [anon_sym_AMP_AMP] = ACTIONS(5323),
    [anon_sym_AMP] = ACTIONS(5321),
    [anon_sym_SEMI] = ACTIONS(5323),
    [anon_sym___extension__] = ACTIONS(5321),
    [anon_sym_extern] = ACTIONS(5321),
    [anon_sym___attribute__] = ACTIONS(5321),
    [anon_sym_COLON_COLON] = ACTIONS(5323),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5323),
    [anon_sym___declspec] = ACTIONS(5321),
    [anon_sym___based] = ACTIONS(5321),
    [anon_sym___cdecl] = ACTIONS(5321),
    [anon_sym___clrcall] = ACTIONS(5321),
    [anon_sym___stdcall] = ACTIONS(5321),
    [anon_sym___fastcall] = ACTIONS(5321),
    [anon_sym___thiscall] = ACTIONS(5321),
    [anon_sym___vectorcall] = ACTIONS(5321),
    [anon_sym_LBRACE] = ACTIONS(5323),
    [anon_sym_signed] = ACTIONS(5321),
    [anon_sym_unsigned] = ACTIONS(5321),
    [anon_sym_long] = ACTIONS(5321),
    [anon_sym_short] = ACTIONS(5321),
    [anon_sym_LBRACK] = ACTIONS(5321),
    [anon_sym_EQ] = ACTIONS(5323),
    [anon_sym_static] = ACTIONS(5321),
    [anon_sym_register] = ACTIONS(5321),
    [anon_sym_inline] = ACTIONS(5321),
    [anon_sym___inline] = ACTIONS(5321),
    [anon_sym___inline__] = ACTIONS(5321),
    [anon_sym___forceinline] = ACTIONS(5321),
    [anon_sym_thread_local] = ACTIONS(5321),
    [anon_sym___thread] = ACTIONS(5321),
    [anon_sym_const] = ACTIONS(5321),
    [anon_sym_constexpr] = ACTIONS(5321),
    [anon_sym_volatile] = ACTIONS(5321),
    [anon_sym_restrict] = ACTIONS(5321),
    [anon_sym___restrict__] = ACTIONS(5321),
    [anon_sym__Atomic] = ACTIONS(5321),
    [anon_sym__Noreturn] = ACTIONS(5321),
    [anon_sym_noreturn] = ACTIONS(5321),
    [anon_sym_mutable] = ACTIONS(5321),
    [anon_sym_constinit] = ACTIONS(5321),
    [anon_sym_consteval] = ACTIONS(5321),
    [sym_primitive_type] = ACTIONS(5321),
    [anon_sym_enum] = ACTIONS(5321),
    [anon_sym_class] = ACTIONS(5321),
    [anon_sym_struct] = ACTIONS(5321),
    [anon_sym_union] = ACTIONS(5321),
    [anon_sym_or] = ACTIONS(5321),
    [anon_sym_and] = ACTIONS(5321),
    [anon_sym_asm] = ACTIONS(5321),
    [anon_sym___asm__] = ACTIONS(5321),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5321),
    [anon_sym_decltype] = ACTIONS(5321),
    [anon_sym_final] = ACTIONS(5321),
    [anon_sym_override] = ACTIONS(5321),
    [anon_sym_virtual] = ACTIONS(5321),
    [anon_sym_alignas] = ACTIONS(5321),
    [anon_sym_explicit] = ACTIONS(5321),
    [anon_sym_typename] = ACTIONS(5321),
    [anon_sym_template] = ACTIONS(5321),
    [anon_sym_GT2] = ACTIONS(5323),
    [anon_sym_operator] = ACTIONS(5321),
    [anon_sym_try] = ACTIONS(5321),
    [anon_sym_friend] = ACTIONS(5321),
    [anon_sym_using] = ACTIONS(5321),
    [anon_sym_concept] = ACTIONS(5321),
    [anon_sym_requires] = ACTIONS(5321),
  },
  [2065] = {
    [sym_string_literal] = STATE(2054),
    [sym_raw_string_literal] = STATE(2054),
    [aux_sym_concatenated_string_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(5325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5329),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5327),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5329),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_CARET] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5329),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5329),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym_RBRACE] = ACTIONS(5327),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_RBRACK] = ACTIONS(5327),
    [anon_sym_EQ] = ACTIONS(5329),
    [anon_sym_COLON] = ACTIONS(5327),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_STAR_EQ] = ACTIONS(5327),
    [anon_sym_SLASH_EQ] = ACTIONS(5327),
    [anon_sym_PERCENT_EQ] = ACTIONS(5327),
    [anon_sym_PLUS_EQ] = ACTIONS(5327),
    [anon_sym_DASH_EQ] = ACTIONS(5327),
    [anon_sym_LT_LT_EQ] = ACTIONS(5327),
    [anon_sym_GT_GT_EQ] = ACTIONS(5327),
    [anon_sym_AMP_EQ] = ACTIONS(5327),
    [anon_sym_CARET_EQ] = ACTIONS(5327),
    [anon_sym_PIPE_EQ] = ACTIONS(5327),
    [anon_sym_and_eq] = ACTIONS(5329),
    [anon_sym_or_eq] = ACTIONS(5329),
    [anon_sym_xor_eq] = ACTIONS(5329),
    [anon_sym_LT_EQ_GT] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_and] = ACTIONS(5329),
    [anon_sym_bitor] = ACTIONS(5329),
    [anon_sym_xor] = ACTIONS(5329),
    [anon_sym_bitand] = ACTIONS(5329),
    [anon_sym_not_eq] = ACTIONS(5329),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_DOT_STAR] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5329),
  },
  [2066] = {
    [sym_identifier] = ACTIONS(5331),
    [anon_sym_COMMA] = ACTIONS(5333),
    [anon_sym_RPAREN] = ACTIONS(5333),
    [anon_sym_LPAREN2] = ACTIONS(5333),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_STAR] = ACTIONS(5333),
    [anon_sym_PIPE_PIPE] = ACTIONS(5333),
    [anon_sym_AMP_AMP] = ACTIONS(5333),
    [anon_sym_AMP] = ACTIONS(5331),
    [anon_sym_SEMI] = ACTIONS(5333),
    [anon_sym___extension__] = ACTIONS(5331),
    [anon_sym_extern] = ACTIONS(5331),
    [anon_sym___attribute__] = ACTIONS(5331),
    [anon_sym_COLON_COLON] = ACTIONS(5333),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5333),
    [anon_sym___declspec] = ACTIONS(5331),
    [anon_sym___based] = ACTIONS(5331),
    [anon_sym___cdecl] = ACTIONS(5331),
    [anon_sym___clrcall] = ACTIONS(5331),
    [anon_sym___stdcall] = ACTIONS(5331),
    [anon_sym___fastcall] = ACTIONS(5331),
    [anon_sym___thiscall] = ACTIONS(5331),
    [anon_sym___vectorcall] = ACTIONS(5331),
    [anon_sym_LBRACE] = ACTIONS(5333),
    [anon_sym_signed] = ACTIONS(5331),
    [anon_sym_unsigned] = ACTIONS(5331),
    [anon_sym_long] = ACTIONS(5331),
    [anon_sym_short] = ACTIONS(5331),
    [anon_sym_LBRACK] = ACTIONS(5331),
    [anon_sym_EQ] = ACTIONS(5333),
    [anon_sym_static] = ACTIONS(5331),
    [anon_sym_register] = ACTIONS(5331),
    [anon_sym_inline] = ACTIONS(5331),
    [anon_sym___inline] = ACTIONS(5331),
    [anon_sym___inline__] = ACTIONS(5331),
    [anon_sym___forceinline] = ACTIONS(5331),
    [anon_sym_thread_local] = ACTIONS(5331),
    [anon_sym___thread] = ACTIONS(5331),
    [anon_sym_const] = ACTIONS(5331),
    [anon_sym_constexpr] = ACTIONS(5331),
    [anon_sym_volatile] = ACTIONS(5331),
    [anon_sym_restrict] = ACTIONS(5331),
    [anon_sym___restrict__] = ACTIONS(5331),
    [anon_sym__Atomic] = ACTIONS(5331),
    [anon_sym__Noreturn] = ACTIONS(5331),
    [anon_sym_noreturn] = ACTIONS(5331),
    [anon_sym_mutable] = ACTIONS(5331),
    [anon_sym_constinit] = ACTIONS(5331),
    [anon_sym_consteval] = ACTIONS(5331),
    [sym_primitive_type] = ACTIONS(5331),
    [anon_sym_enum] = ACTIONS(5331),
    [anon_sym_class] = ACTIONS(5331),
    [anon_sym_struct] = ACTIONS(5331),
    [anon_sym_union] = ACTIONS(5331),
    [anon_sym_or] = ACTIONS(5331),
    [anon_sym_and] = ACTIONS(5331),
    [anon_sym_asm] = ACTIONS(5331),
    [anon_sym___asm__] = ACTIONS(5331),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5331),
    [anon_sym_decltype] = ACTIONS(5331),
    [anon_sym_final] = ACTIONS(5331),
    [anon_sym_override] = ACTIONS(5331),
    [anon_sym_virtual] = ACTIONS(5331),
    [anon_sym_alignas] = ACTIONS(5331),
    [anon_sym_explicit] = ACTIONS(5331),
    [anon_sym_typename] = ACTIONS(5331),
    [anon_sym_template] = ACTIONS(5331),
    [anon_sym_GT2] = ACTIONS(5333),
    [anon_sym_operator] = ACTIONS(5331),
    [anon_sym_try] = ACTIONS(5331),
    [anon_sym_friend] = ACTIONS(5331),
    [anon_sym_using] = ACTIONS(5331),
    [anon_sym_concept] = ACTIONS(5331),
    [anon_sym_requires] = ACTIONS(5331),
  },
  [2067] = {
    [sym_identifier] = ACTIONS(5335),
    [anon_sym_COMMA] = ACTIONS(5337),
    [anon_sym_RPAREN] = ACTIONS(5337),
    [anon_sym_LPAREN2] = ACTIONS(5337),
    [anon_sym_TILDE] = ACTIONS(5337),
    [anon_sym_STAR] = ACTIONS(5337),
    [anon_sym_PIPE_PIPE] = ACTIONS(5337),
    [anon_sym_AMP_AMP] = ACTIONS(5337),
    [anon_sym_AMP] = ACTIONS(5335),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym___extension__] = ACTIONS(5335),
    [anon_sym_extern] = ACTIONS(5335),
    [anon_sym___attribute__] = ACTIONS(5335),
    [anon_sym_COLON_COLON] = ACTIONS(5337),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5337),
    [anon_sym___declspec] = ACTIONS(5335),
    [anon_sym___based] = ACTIONS(5335),
    [anon_sym___cdecl] = ACTIONS(5335),
    [anon_sym___clrcall] = ACTIONS(5335),
    [anon_sym___stdcall] = ACTIONS(5335),
    [anon_sym___fastcall] = ACTIONS(5335),
    [anon_sym___thiscall] = ACTIONS(5335),
    [anon_sym___vectorcall] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(5337),
    [anon_sym_signed] = ACTIONS(5335),
    [anon_sym_unsigned] = ACTIONS(5335),
    [anon_sym_long] = ACTIONS(5335),
    [anon_sym_short] = ACTIONS(5335),
    [anon_sym_LBRACK] = ACTIONS(5335),
    [anon_sym_EQ] = ACTIONS(5337),
    [anon_sym_static] = ACTIONS(5335),
    [anon_sym_register] = ACTIONS(5335),
    [anon_sym_inline] = ACTIONS(5335),
    [anon_sym___inline] = ACTIONS(5335),
    [anon_sym___inline__] = ACTIONS(5335),
    [anon_sym___forceinline] = ACTIONS(5335),
    [anon_sym_thread_local] = ACTIONS(5335),
    [anon_sym___thread] = ACTIONS(5335),
    [anon_sym_const] = ACTIONS(5335),
    [anon_sym_constexpr] = ACTIONS(5335),
    [anon_sym_volatile] = ACTIONS(5335),
    [anon_sym_restrict] = ACTIONS(5335),
    [anon_sym___restrict__] = ACTIONS(5335),
    [anon_sym__Atomic] = ACTIONS(5335),
    [anon_sym__Noreturn] = ACTIONS(5335),
    [anon_sym_noreturn] = ACTIONS(5335),
    [anon_sym_mutable] = ACTIONS(5335),
    [anon_sym_constinit] = ACTIONS(5335),
    [anon_sym_consteval] = ACTIONS(5335),
    [sym_primitive_type] = ACTIONS(5335),
    [anon_sym_enum] = ACTIONS(5335),
    [anon_sym_class] = ACTIONS(5335),
    [anon_sym_struct] = ACTIONS(5335),
    [anon_sym_union] = ACTIONS(5335),
    [anon_sym_or] = ACTIONS(5335),
    [anon_sym_and] = ACTIONS(5335),
    [anon_sym_asm] = ACTIONS(5335),
    [anon_sym___asm__] = ACTIONS(5335),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5335),
    [anon_sym_decltype] = ACTIONS(5335),
    [anon_sym_final] = ACTIONS(5335),
    [anon_sym_override] = ACTIONS(5335),
    [anon_sym_virtual] = ACTIONS(5335),
    [anon_sym_alignas] = ACTIONS(5335),
    [anon_sym_explicit] = ACTIONS(5335),
    [anon_sym_typename] = ACTIONS(5335),
    [anon_sym_template] = ACTIONS(5335),
    [anon_sym_GT2] = ACTIONS(5337),
    [anon_sym_operator] = ACTIONS(5335),
    [anon_sym_try] = ACTIONS(5335),
    [anon_sym_friend] = ACTIONS(5335),
    [anon_sym_using] = ACTIONS(5335),
    [anon_sym_concept] = ACTIONS(5335),
    [anon_sym_requires] = ACTIONS(5335),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5282),
    [anon_sym_RPAREN] = ACTIONS(5282),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym___cdecl] = ACTIONS(5280),
    [anon_sym___clrcall] = ACTIONS(5280),
    [anon_sym___stdcall] = ACTIONS(5280),
    [anon_sym___fastcall] = ACTIONS(5280),
    [anon_sym___thiscall] = ACTIONS(5280),
    [anon_sym___vectorcall] = ACTIONS(5280),
    [anon_sym_LBRACE] = ACTIONS(5282),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5280),
    [anon_sym_and] = ACTIONS(5280),
    [anon_sym_asm] = ACTIONS(5280),
    [anon_sym___asm__] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_final] = ACTIONS(5280),
    [anon_sym_override] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_GT2] = ACTIONS(5282),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_try] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_concept] = ACTIONS(5280),
    [anon_sym_requires] = ACTIONS(5280),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(5339),
    [anon_sym_COMMA] = ACTIONS(5341),
    [anon_sym_RPAREN] = ACTIONS(5341),
    [anon_sym_LPAREN2] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5341),
    [anon_sym_STAR] = ACTIONS(5341),
    [anon_sym_PIPE_PIPE] = ACTIONS(5341),
    [anon_sym_AMP_AMP] = ACTIONS(5341),
    [anon_sym_AMP] = ACTIONS(5339),
    [anon_sym_SEMI] = ACTIONS(5341),
    [anon_sym___extension__] = ACTIONS(5339),
    [anon_sym_extern] = ACTIONS(5339),
    [anon_sym___attribute__] = ACTIONS(5339),
    [anon_sym_COLON_COLON] = ACTIONS(5341),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5341),
    [anon_sym___declspec] = ACTIONS(5339),
    [anon_sym___based] = ACTIONS(5339),
    [anon_sym___cdecl] = ACTIONS(5339),
    [anon_sym___clrcall] = ACTIONS(5339),
    [anon_sym___stdcall] = ACTIONS(5339),
    [anon_sym___fastcall] = ACTIONS(5339),
    [anon_sym___thiscall] = ACTIONS(5339),
    [anon_sym___vectorcall] = ACTIONS(5339),
    [anon_sym_LBRACE] = ACTIONS(5341),
    [anon_sym_signed] = ACTIONS(5339),
    [anon_sym_unsigned] = ACTIONS(5339),
    [anon_sym_long] = ACTIONS(5339),
    [anon_sym_short] = ACTIONS(5339),
    [anon_sym_LBRACK] = ACTIONS(5339),
    [anon_sym_EQ] = ACTIONS(5341),
    [anon_sym_static] = ACTIONS(5339),
    [anon_sym_register] = ACTIONS(5339),
    [anon_sym_inline] = ACTIONS(5339),
    [anon_sym___inline] = ACTIONS(5339),
    [anon_sym___inline__] = ACTIONS(5339),
    [anon_sym___forceinline] = ACTIONS(5339),
    [anon_sym_thread_local] = ACTIONS(5339),
    [anon_sym___thread] = ACTIONS(5339),
    [anon_sym_const] = ACTIONS(5339),
    [anon_sym_constexpr] = ACTIONS(5339),
    [anon_sym_volatile] = ACTIONS(5339),
    [anon_sym_restrict] = ACTIONS(5339),
    [anon_sym___restrict__] = ACTIONS(5339),
    [anon_sym__Atomic] = ACTIONS(5339),
    [anon_sym__Noreturn] = ACTIONS(5339),
    [anon_sym_noreturn] = ACTIONS(5339),
    [anon_sym_mutable] = ACTIONS(5339),
    [anon_sym_constinit] = ACTIONS(5339),
    [anon_sym_consteval] = ACTIONS(5339),
    [sym_primitive_type] = ACTIONS(5339),
    [anon_sym_enum] = ACTIONS(5339),
    [anon_sym_class] = ACTIONS(5339),
    [anon_sym_struct] = ACTIONS(5339),
    [anon_sym_union] = ACTIONS(5339),
    [anon_sym_or] = ACTIONS(5339),
    [anon_sym_and] = ACTIONS(5339),
    [anon_sym_asm] = ACTIONS(5339),
    [anon_sym___asm__] = ACTIONS(5339),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5339),
    [anon_sym_decltype] = ACTIONS(5339),
    [anon_sym_final] = ACTIONS(5339),
    [anon_sym_override] = ACTIONS(5339),
    [anon_sym_virtual] = ACTIONS(5339),
    [anon_sym_alignas] = ACTIONS(5339),
    [anon_sym_explicit] = ACTIONS(5339),
    [anon_sym_typename] = ACTIONS(5339),
    [anon_sym_template] = ACTIONS(5339),
    [anon_sym_GT2] = ACTIONS(5341),
    [anon_sym_operator] = ACTIONS(5339),
    [anon_sym_try] = ACTIONS(5339),
    [anon_sym_friend] = ACTIONS(5339),
    [anon_sym_using] = ACTIONS(5339),
    [anon_sym_concept] = ACTIONS(5339),
    [anon_sym_requires] = ACTIONS(5339),
  },
  [2070] = {
    [sym_identifier] = ACTIONS(5343),
    [anon_sym_COMMA] = ACTIONS(5345),
    [anon_sym_RPAREN] = ACTIONS(5345),
    [anon_sym_LPAREN2] = ACTIONS(5345),
    [anon_sym_TILDE] = ACTIONS(5345),
    [anon_sym_STAR] = ACTIONS(5345),
    [anon_sym_PIPE_PIPE] = ACTIONS(5345),
    [anon_sym_AMP_AMP] = ACTIONS(5345),
    [anon_sym_AMP] = ACTIONS(5343),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym___extension__] = ACTIONS(5343),
    [anon_sym_extern] = ACTIONS(5343),
    [anon_sym___attribute__] = ACTIONS(5343),
    [anon_sym_COLON_COLON] = ACTIONS(5345),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5345),
    [anon_sym___declspec] = ACTIONS(5343),
    [anon_sym___based] = ACTIONS(5343),
    [anon_sym___cdecl] = ACTIONS(5343),
    [anon_sym___clrcall] = ACTIONS(5343),
    [anon_sym___stdcall] = ACTIONS(5343),
    [anon_sym___fastcall] = ACTIONS(5343),
    [anon_sym___thiscall] = ACTIONS(5343),
    [anon_sym___vectorcall] = ACTIONS(5343),
    [anon_sym_LBRACE] = ACTIONS(5345),
    [anon_sym_signed] = ACTIONS(5343),
    [anon_sym_unsigned] = ACTIONS(5343),
    [anon_sym_long] = ACTIONS(5343),
    [anon_sym_short] = ACTIONS(5343),
    [anon_sym_LBRACK] = ACTIONS(5343),
    [anon_sym_EQ] = ACTIONS(5345),
    [anon_sym_static] = ACTIONS(5343),
    [anon_sym_register] = ACTIONS(5343),
    [anon_sym_inline] = ACTIONS(5343),
    [anon_sym___inline] = ACTIONS(5343),
    [anon_sym___inline__] = ACTIONS(5343),
    [anon_sym___forceinline] = ACTIONS(5343),
    [anon_sym_thread_local] = ACTIONS(5343),
    [anon_sym___thread] = ACTIONS(5343),
    [anon_sym_const] = ACTIONS(5343),
    [anon_sym_constexpr] = ACTIONS(5343),
    [anon_sym_volatile] = ACTIONS(5343),
    [anon_sym_restrict] = ACTIONS(5343),
    [anon_sym___restrict__] = ACTIONS(5343),
    [anon_sym__Atomic] = ACTIONS(5343),
    [anon_sym__Noreturn] = ACTIONS(5343),
    [anon_sym_noreturn] = ACTIONS(5343),
    [anon_sym_mutable] = ACTIONS(5343),
    [anon_sym_constinit] = ACTIONS(5343),
    [anon_sym_consteval] = ACTIONS(5343),
    [sym_primitive_type] = ACTIONS(5343),
    [anon_sym_enum] = ACTIONS(5343),
    [anon_sym_class] = ACTIONS(5343),
    [anon_sym_struct] = ACTIONS(5343),
    [anon_sym_union] = ACTIONS(5343),
    [anon_sym_or] = ACTIONS(5343),
    [anon_sym_and] = ACTIONS(5343),
    [anon_sym_asm] = ACTIONS(5343),
    [anon_sym___asm__] = ACTIONS(5343),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5343),
    [anon_sym_decltype] = ACTIONS(5343),
    [anon_sym_final] = ACTIONS(5343),
    [anon_sym_override] = ACTIONS(5343),
    [anon_sym_virtual] = ACTIONS(5343),
    [anon_sym_alignas] = ACTIONS(5343),
    [anon_sym_explicit] = ACTIONS(5343),
    [anon_sym_typename] = ACTIONS(5343),
    [anon_sym_template] = ACTIONS(5343),
    [anon_sym_GT2] = ACTIONS(5345),
    [anon_sym_operator] = ACTIONS(5343),
    [anon_sym_try] = ACTIONS(5343),
    [anon_sym_friend] = ACTIONS(5343),
    [anon_sym_using] = ACTIONS(5343),
    [anon_sym_concept] = ACTIONS(5343),
    [anon_sym_requires] = ACTIONS(5343),
  },
  [2071] = {
    [sym_identifier] = ACTIONS(5347),
    [anon_sym_COMMA] = ACTIONS(5349),
    [anon_sym_RPAREN] = ACTIONS(5349),
    [anon_sym_LPAREN2] = ACTIONS(5349),
    [anon_sym_TILDE] = ACTIONS(5349),
    [anon_sym_STAR] = ACTIONS(5349),
    [anon_sym_PIPE_PIPE] = ACTIONS(5349),
    [anon_sym_AMP_AMP] = ACTIONS(5349),
    [anon_sym_AMP] = ACTIONS(5347),
    [anon_sym_SEMI] = ACTIONS(5349),
    [anon_sym___extension__] = ACTIONS(5347),
    [anon_sym_extern] = ACTIONS(5347),
    [anon_sym___attribute__] = ACTIONS(5347),
    [anon_sym_COLON_COLON] = ACTIONS(5349),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5349),
    [anon_sym___declspec] = ACTIONS(5347),
    [anon_sym___based] = ACTIONS(5347),
    [anon_sym___cdecl] = ACTIONS(5347),
    [anon_sym___clrcall] = ACTIONS(5347),
    [anon_sym___stdcall] = ACTIONS(5347),
    [anon_sym___fastcall] = ACTIONS(5347),
    [anon_sym___thiscall] = ACTIONS(5347),
    [anon_sym___vectorcall] = ACTIONS(5347),
    [anon_sym_LBRACE] = ACTIONS(5349),
    [anon_sym_signed] = ACTIONS(5347),
    [anon_sym_unsigned] = ACTIONS(5347),
    [anon_sym_long] = ACTIONS(5347),
    [anon_sym_short] = ACTIONS(5347),
    [anon_sym_LBRACK] = ACTIONS(5347),
    [anon_sym_EQ] = ACTIONS(5349),
    [anon_sym_static] = ACTIONS(5347),
    [anon_sym_register] = ACTIONS(5347),
    [anon_sym_inline] = ACTIONS(5347),
    [anon_sym___inline] = ACTIONS(5347),
    [anon_sym___inline__] = ACTIONS(5347),
    [anon_sym___forceinline] = ACTIONS(5347),
    [anon_sym_thread_local] = ACTIONS(5347),
    [anon_sym___thread] = ACTIONS(5347),
    [anon_sym_const] = ACTIONS(5347),
    [anon_sym_constexpr] = ACTIONS(5347),
    [anon_sym_volatile] = ACTIONS(5347),
    [anon_sym_restrict] = ACTIONS(5347),
    [anon_sym___restrict__] = ACTIONS(5347),
    [anon_sym__Atomic] = ACTIONS(5347),
    [anon_sym__Noreturn] = ACTIONS(5347),
    [anon_sym_noreturn] = ACTIONS(5347),
    [anon_sym_mutable] = ACTIONS(5347),
    [anon_sym_constinit] = ACTIONS(5347),
    [anon_sym_consteval] = ACTIONS(5347),
    [sym_primitive_type] = ACTIONS(5347),
    [anon_sym_enum] = ACTIONS(5347),
    [anon_sym_class] = ACTIONS(5347),
    [anon_sym_struct] = ACTIONS(5347),
    [anon_sym_union] = ACTIONS(5347),
    [anon_sym_or] = ACTIONS(5347),
    [anon_sym_and] = ACTIONS(5347),
    [anon_sym_asm] = ACTIONS(5347),
    [anon_sym___asm__] = ACTIONS(5347),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5347),
    [anon_sym_decltype] = ACTIONS(5347),
    [anon_sym_final] = ACTIONS(5347),
    [anon_sym_override] = ACTIONS(5347),
    [anon_sym_virtual] = ACTIONS(5347),
    [anon_sym_alignas] = ACTIONS(5347),
    [anon_sym_explicit] = ACTIONS(5347),
    [anon_sym_typename] = ACTIONS(5347),
    [anon_sym_template] = ACTIONS(5347),
    [anon_sym_GT2] = ACTIONS(5349),
    [anon_sym_operator] = ACTIONS(5347),
    [anon_sym_try] = ACTIONS(5347),
    [anon_sym_friend] = ACTIONS(5347),
    [anon_sym_using] = ACTIONS(5347),
    [anon_sym_concept] = ACTIONS(5347),
    [anon_sym_requires] = ACTIONS(5347),
  },
  [2072] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4802),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8395),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_type_parameter_declaration] = STATE(8395),
    [sym_variadic_type_parameter_declaration] = STATE(8395),
    [sym_optional_type_parameter_declaration] = STATE(8395),
    [sym_template_template_parameter_declaration] = STATE(8395),
    [sym_optional_parameter_declaration] = STATE(8395),
    [sym_variadic_parameter_declaration] = STATE(8395),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5294),
    [anon_sym_template] = ACTIONS(5296),
    [anon_sym_GT2] = ACTIONS(5351),
  },
  [2073] = {
    [sym_identifier] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5282),
    [anon_sym_RPAREN] = ACTIONS(5282),
    [anon_sym_LPAREN2] = ACTIONS(5282),
    [anon_sym_TILDE] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5282),
    [anon_sym_AMP_AMP] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_SEMI] = ACTIONS(5282),
    [anon_sym___extension__] = ACTIONS(5280),
    [anon_sym_extern] = ACTIONS(5280),
    [anon_sym___attribute__] = ACTIONS(5280),
    [anon_sym_COLON_COLON] = ACTIONS(5282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5282),
    [anon_sym___declspec] = ACTIONS(5280),
    [anon_sym___based] = ACTIONS(5280),
    [anon_sym___cdecl] = ACTIONS(5280),
    [anon_sym___clrcall] = ACTIONS(5280),
    [anon_sym___stdcall] = ACTIONS(5280),
    [anon_sym___fastcall] = ACTIONS(5280),
    [anon_sym___thiscall] = ACTIONS(5280),
    [anon_sym___vectorcall] = ACTIONS(5280),
    [anon_sym_LBRACE] = ACTIONS(5282),
    [anon_sym_signed] = ACTIONS(5280),
    [anon_sym_unsigned] = ACTIONS(5280),
    [anon_sym_long] = ACTIONS(5280),
    [anon_sym_short] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_static] = ACTIONS(5280),
    [anon_sym_register] = ACTIONS(5280),
    [anon_sym_inline] = ACTIONS(5280),
    [anon_sym___inline] = ACTIONS(5280),
    [anon_sym___inline__] = ACTIONS(5280),
    [anon_sym___forceinline] = ACTIONS(5280),
    [anon_sym_thread_local] = ACTIONS(5280),
    [anon_sym___thread] = ACTIONS(5280),
    [anon_sym_const] = ACTIONS(5280),
    [anon_sym_constexpr] = ACTIONS(5280),
    [anon_sym_volatile] = ACTIONS(5280),
    [anon_sym_restrict] = ACTIONS(5280),
    [anon_sym___restrict__] = ACTIONS(5280),
    [anon_sym__Atomic] = ACTIONS(5280),
    [anon_sym__Noreturn] = ACTIONS(5280),
    [anon_sym_noreturn] = ACTIONS(5280),
    [anon_sym_mutable] = ACTIONS(5280),
    [anon_sym_constinit] = ACTIONS(5280),
    [anon_sym_consteval] = ACTIONS(5280),
    [sym_primitive_type] = ACTIONS(5280),
    [anon_sym_enum] = ACTIONS(5280),
    [anon_sym_class] = ACTIONS(5280),
    [anon_sym_struct] = ACTIONS(5280),
    [anon_sym_union] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5280),
    [anon_sym_and] = ACTIONS(5280),
    [anon_sym_asm] = ACTIONS(5280),
    [anon_sym___asm__] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5280),
    [anon_sym_decltype] = ACTIONS(5280),
    [anon_sym_final] = ACTIONS(5280),
    [anon_sym_override] = ACTIONS(5280),
    [anon_sym_virtual] = ACTIONS(5280),
    [anon_sym_alignas] = ACTIONS(5280),
    [anon_sym_explicit] = ACTIONS(5280),
    [anon_sym_typename] = ACTIONS(5280),
    [anon_sym_template] = ACTIONS(5280),
    [anon_sym_GT2] = ACTIONS(5282),
    [anon_sym_operator] = ACTIONS(5280),
    [anon_sym_try] = ACTIONS(5280),
    [anon_sym_friend] = ACTIONS(5280),
    [anon_sym_using] = ACTIONS(5280),
    [anon_sym_concept] = ACTIONS(5280),
    [anon_sym_requires] = ACTIONS(5280),
  },
  [2074] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4802),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8619),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_type_parameter_declaration] = STATE(8619),
    [sym_variadic_type_parameter_declaration] = STATE(8619),
    [sym_optional_type_parameter_declaration] = STATE(8619),
    [sym_template_template_parameter_declaration] = STATE(8619),
    [sym_optional_parameter_declaration] = STATE(8619),
    [sym_variadic_parameter_declaration] = STATE(8619),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(5292),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5294),
    [anon_sym_template] = ACTIONS(5296),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(5353),
    [anon_sym_LPAREN2] = ACTIONS(5355),
    [anon_sym_BANG] = ACTIONS(5355),
    [anon_sym_TILDE] = ACTIONS(5355),
    [anon_sym_DASH] = ACTIONS(5353),
    [anon_sym_PLUS] = ACTIONS(5353),
    [anon_sym_STAR] = ACTIONS(5355),
    [anon_sym_AMP] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5355),
    [anon_sym_COLON_COLON] = ACTIONS(5355),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5355),
    [anon_sym_LBRACE] = ACTIONS(5355),
    [anon_sym_LBRACK] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_if] = ACTIONS(5353),
    [anon_sym_switch] = ACTIONS(5353),
    [anon_sym_case] = ACTIONS(5353),
    [anon_sym_default] = ACTIONS(5353),
    [anon_sym_while] = ACTIONS(5353),
    [anon_sym_do] = ACTIONS(5353),
    [anon_sym_for] = ACTIONS(5353),
    [anon_sym_return] = ACTIONS(5353),
    [anon_sym_break] = ACTIONS(5353),
    [anon_sym_continue] = ACTIONS(5353),
    [anon_sym_goto] = ACTIONS(5353),
    [anon_sym___try] = ACTIONS(5353),
    [anon_sym___leave] = ACTIONS(5353),
    [anon_sym_not] = ACTIONS(5353),
    [anon_sym_compl] = ACTIONS(5353),
    [anon_sym_DASH_DASH] = ACTIONS(5355),
    [anon_sym_PLUS_PLUS] = ACTIONS(5355),
    [anon_sym_sizeof] = ACTIONS(5353),
    [anon_sym___alignof__] = ACTIONS(5353),
    [anon_sym___alignof] = ACTIONS(5353),
    [anon_sym__alignof] = ACTIONS(5353),
    [anon_sym_alignof] = ACTIONS(5353),
    [anon_sym__Alignof] = ACTIONS(5353),
    [anon_sym_offsetof] = ACTIONS(5353),
    [anon_sym__Generic] = ACTIONS(5353),
    [anon_sym_asm] = ACTIONS(5353),
    [anon_sym___asm__] = ACTIONS(5353),
    [sym_number_literal] = ACTIONS(5355),
    [anon_sym_L_SQUOTE] = ACTIONS(5355),
    [anon_sym_u_SQUOTE] = ACTIONS(5355),
    [anon_sym_U_SQUOTE] = ACTIONS(5355),
    [anon_sym_u8_SQUOTE] = ACTIONS(5355),
    [anon_sym_SQUOTE] = ACTIONS(5355),
    [anon_sym_L_DQUOTE] = ACTIONS(5355),
    [anon_sym_u_DQUOTE] = ACTIONS(5355),
    [anon_sym_U_DQUOTE] = ACTIONS(5355),
    [anon_sym_u8_DQUOTE] = ACTIONS(5355),
    [anon_sym_DQUOTE] = ACTIONS(5355),
    [sym_true] = ACTIONS(5353),
    [sym_false] = ACTIONS(5353),
    [anon_sym_NULL] = ACTIONS(5353),
    [anon_sym_nullptr] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5353),
    [anon_sym_template] = ACTIONS(5353),
    [anon_sym_try] = ACTIONS(5353),
    [anon_sym_delete] = ACTIONS(5353),
    [anon_sym_throw] = ACTIONS(5353),
    [anon_sym_co_return] = ACTIONS(5353),
    [anon_sym_co_yield] = ACTIONS(5353),
    [anon_sym_R_DQUOTE] = ACTIONS(5355),
    [anon_sym_LR_DQUOTE] = ACTIONS(5355),
    [anon_sym_uR_DQUOTE] = ACTIONS(5355),
    [anon_sym_UR_DQUOTE] = ACTIONS(5355),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5355),
    [anon_sym_co_await] = ACTIONS(5353),
    [anon_sym_new] = ACTIONS(5353),
    [anon_sym_requires] = ACTIONS(5353),
    [sym_this] = ACTIONS(5353),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5131),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_TILDE] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5133),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5131),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5131),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5131),
    [anon_sym_GT_GT] = ACTIONS(5131),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym_extern] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5136),
    [anon_sym___declspec] = ACTIONS(5129),
    [anon_sym___based] = ACTIONS(5129),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_static] = ACTIONS(5129),
    [anon_sym_register] = ACTIONS(5129),
    [anon_sym_inline] = ACTIONS(5129),
    [anon_sym___inline] = ACTIONS(5129),
    [anon_sym___inline__] = ACTIONS(5129),
    [anon_sym___forceinline] = ACTIONS(5129),
    [anon_sym_thread_local] = ACTIONS(5129),
    [anon_sym___thread] = ACTIONS(5129),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5138),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5138),
    [anon_sym_not_eq] = ACTIONS(5138),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_virtual] = ACTIONS(5129),
    [anon_sym_alignas] = ACTIONS(5129),
    [anon_sym_template] = ACTIONS(5129),
    [anon_sym_operator] = ACTIONS(5129),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(5357),
    [anon_sym_LPAREN2] = ACTIONS(5359),
    [anon_sym_BANG] = ACTIONS(5359),
    [anon_sym_TILDE] = ACTIONS(5359),
    [anon_sym_DASH] = ACTIONS(5357),
    [anon_sym_PLUS] = ACTIONS(5357),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_AMP] = ACTIONS(5359),
    [anon_sym_SEMI] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(5359),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5359),
    [anon_sym_LBRACE] = ACTIONS(5359),
    [anon_sym_LBRACK] = ACTIONS(5357),
    [sym_primitive_type] = ACTIONS(5357),
    [anon_sym_if] = ACTIONS(5357),
    [anon_sym_switch] = ACTIONS(5357),
    [anon_sym_case] = ACTIONS(5357),
    [anon_sym_default] = ACTIONS(5357),
    [anon_sym_while] = ACTIONS(5357),
    [anon_sym_do] = ACTIONS(5357),
    [anon_sym_for] = ACTIONS(5357),
    [anon_sym_return] = ACTIONS(5357),
    [anon_sym_break] = ACTIONS(5357),
    [anon_sym_continue] = ACTIONS(5357),
    [anon_sym_goto] = ACTIONS(5357),
    [anon_sym___try] = ACTIONS(5357),
    [anon_sym___leave] = ACTIONS(5357),
    [anon_sym_not] = ACTIONS(5357),
    [anon_sym_compl] = ACTIONS(5357),
    [anon_sym_DASH_DASH] = ACTIONS(5359),
    [anon_sym_PLUS_PLUS] = ACTIONS(5359),
    [anon_sym_sizeof] = ACTIONS(5357),
    [anon_sym___alignof__] = ACTIONS(5357),
    [anon_sym___alignof] = ACTIONS(5357),
    [anon_sym__alignof] = ACTIONS(5357),
    [anon_sym_alignof] = ACTIONS(5357),
    [anon_sym__Alignof] = ACTIONS(5357),
    [anon_sym_offsetof] = ACTIONS(5357),
    [anon_sym__Generic] = ACTIONS(5357),
    [anon_sym_asm] = ACTIONS(5357),
    [anon_sym___asm__] = ACTIONS(5357),
    [sym_number_literal] = ACTIONS(5359),
    [anon_sym_L_SQUOTE] = ACTIONS(5359),
    [anon_sym_u_SQUOTE] = ACTIONS(5359),
    [anon_sym_U_SQUOTE] = ACTIONS(5359),
    [anon_sym_u8_SQUOTE] = ACTIONS(5359),
    [anon_sym_SQUOTE] = ACTIONS(5359),
    [anon_sym_L_DQUOTE] = ACTIONS(5359),
    [anon_sym_u_DQUOTE] = ACTIONS(5359),
    [anon_sym_U_DQUOTE] = ACTIONS(5359),
    [anon_sym_u8_DQUOTE] = ACTIONS(5359),
    [anon_sym_DQUOTE] = ACTIONS(5359),
    [sym_true] = ACTIONS(5357),
    [sym_false] = ACTIONS(5357),
    [anon_sym_NULL] = ACTIONS(5357),
    [anon_sym_nullptr] = ACTIONS(5357),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5357),
    [anon_sym_template] = ACTIONS(5357),
    [anon_sym_try] = ACTIONS(5357),
    [anon_sym_delete] = ACTIONS(5357),
    [anon_sym_throw] = ACTIONS(5357),
    [anon_sym_co_return] = ACTIONS(5357),
    [anon_sym_co_yield] = ACTIONS(5357),
    [anon_sym_R_DQUOTE] = ACTIONS(5359),
    [anon_sym_LR_DQUOTE] = ACTIONS(5359),
    [anon_sym_uR_DQUOTE] = ACTIONS(5359),
    [anon_sym_UR_DQUOTE] = ACTIONS(5359),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5359),
    [anon_sym_co_await] = ACTIONS(5357),
    [anon_sym_new] = ACTIONS(5357),
    [anon_sym_requires] = ACTIONS(5357),
    [sym_this] = ACTIONS(5357),
  },
  [2079] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5363),
    [anon_sym_COMMA] = ACTIONS(5363),
    [anon_sym_RPAREN] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5361),
    [anon_sym_PLUS] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5363),
    [anon_sym_SLASH] = ACTIONS(5361),
    [anon_sym_PERCENT] = ACTIONS(5363),
    [anon_sym_PIPE_PIPE] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_PIPE] = ACTIONS(5361),
    [anon_sym_CARET] = ACTIONS(5363),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_EQ_EQ] = ACTIONS(5363),
    [anon_sym_BANG_EQ] = ACTIONS(5363),
    [anon_sym_GT] = ACTIONS(5361),
    [anon_sym_GT_EQ] = ACTIONS(5363),
    [anon_sym_LT_EQ] = ACTIONS(5361),
    [anon_sym_LT] = ACTIONS(5361),
    [anon_sym_LT_LT] = ACTIONS(5363),
    [anon_sym_GT_GT] = ACTIONS(5363),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___extension__] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(5363),
    [anon_sym_RBRACE] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_RBRACK] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5361),
    [anon_sym_constexpr] = ACTIONS(5361),
    [anon_sym_volatile] = ACTIONS(5361),
    [anon_sym_restrict] = ACTIONS(5361),
    [anon_sym___restrict__] = ACTIONS(5361),
    [anon_sym__Atomic] = ACTIONS(5361),
    [anon_sym__Noreturn] = ACTIONS(5361),
    [anon_sym_noreturn] = ACTIONS(5361),
    [anon_sym_mutable] = ACTIONS(5361),
    [anon_sym_constinit] = ACTIONS(5361),
    [anon_sym_consteval] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_COLON] = ACTIONS(5363),
    [anon_sym_QMARK] = ACTIONS(5363),
    [anon_sym_LT_EQ_GT] = ACTIONS(5363),
    [anon_sym_or] = ACTIONS(5361),
    [anon_sym_and] = ACTIONS(5361),
    [anon_sym_bitor] = ACTIONS(5361),
    [anon_sym_xor] = ACTIONS(5361),
    [anon_sym_bitand] = ACTIONS(5361),
    [anon_sym_not_eq] = ACTIONS(5361),
    [anon_sym_DASH_DASH] = ACTIONS(5363),
    [anon_sym_PLUS_PLUS] = ACTIONS(5363),
    [anon_sym_DOT] = ACTIONS(5361),
    [anon_sym_DOT_STAR] = ACTIONS(5363),
    [anon_sym_DASH_GT] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
    [anon_sym_final] = ACTIONS(5361),
    [anon_sym_override] = ACTIONS(5361),
    [anon_sym_requires] = ACTIONS(5361),
  },
  [2080] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5119),
    [anon_sym___attribute__] = ACTIONS(5119),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5119),
    [anon_sym_volatile] = ACTIONS(5119),
    [anon_sym_restrict] = ACTIONS(5119),
    [anon_sym___restrict__] = ACTIONS(5119),
    [anon_sym__Atomic] = ACTIONS(5119),
    [anon_sym__Noreturn] = ACTIONS(5119),
    [anon_sym_noreturn] = ACTIONS(5119),
    [anon_sym_mutable] = ACTIONS(5119),
    [anon_sym_constinit] = ACTIONS(5119),
    [anon_sym_consteval] = ACTIONS(5119),
    [anon_sym_COLON] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5119),
    [anon_sym_or_eq] = ACTIONS(5119),
    [anon_sym_xor_eq] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5119),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5119),
    [anon_sym_not_eq] = ACTIONS(5119),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5119),
    [anon_sym_decltype] = ACTIONS(5119),
    [anon_sym_final] = ACTIONS(5119),
    [anon_sym_override] = ACTIONS(5119),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5119),
  },
  [2081] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym___extension__] = ACTIONS(5123),
    [anon_sym___attribute__] = ACTIONS(5123),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5123),
    [anon_sym_volatile] = ACTIONS(5123),
    [anon_sym_restrict] = ACTIONS(5123),
    [anon_sym___restrict__] = ACTIONS(5123),
    [anon_sym__Atomic] = ACTIONS(5123),
    [anon_sym__Noreturn] = ACTIONS(5123),
    [anon_sym_noreturn] = ACTIONS(5123),
    [anon_sym_mutable] = ACTIONS(5123),
    [anon_sym_constinit] = ACTIONS(5123),
    [anon_sym_consteval] = ACTIONS(5123),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5121),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5123),
    [anon_sym_decltype] = ACTIONS(5123),
    [anon_sym_final] = ACTIONS(5123),
    [anon_sym_override] = ACTIONS(5123),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5123),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(5368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_COMMA] = ACTIONS(5370),
    [anon_sym_RPAREN] = ACTIONS(5370),
    [aux_sym_preproc_if_token2] = ACTIONS(5370),
    [aux_sym_preproc_else_token1] = ACTIONS(5370),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5368),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_PIPE] = ACTIONS(5368),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_EQ_EQ] = ACTIONS(5370),
    [anon_sym_BANG_EQ] = ACTIONS(5370),
    [anon_sym_GT] = ACTIONS(5368),
    [anon_sym_GT_EQ] = ACTIONS(5370),
    [anon_sym_LT_EQ] = ACTIONS(5368),
    [anon_sym_LT] = ACTIONS(5368),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym_RBRACE] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_RBRACK] = ACTIONS(5370),
    [anon_sym_EQ] = ACTIONS(5368),
    [anon_sym_COLON] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5370),
    [anon_sym_STAR_EQ] = ACTIONS(5370),
    [anon_sym_SLASH_EQ] = ACTIONS(5370),
    [anon_sym_PERCENT_EQ] = ACTIONS(5370),
    [anon_sym_PLUS_EQ] = ACTIONS(5370),
    [anon_sym_DASH_EQ] = ACTIONS(5370),
    [anon_sym_LT_LT_EQ] = ACTIONS(5370),
    [anon_sym_GT_GT_EQ] = ACTIONS(5370),
    [anon_sym_AMP_EQ] = ACTIONS(5370),
    [anon_sym_CARET_EQ] = ACTIONS(5370),
    [anon_sym_PIPE_EQ] = ACTIONS(5370),
    [anon_sym_and_eq] = ACTIONS(5368),
    [anon_sym_or_eq] = ACTIONS(5368),
    [anon_sym_xor_eq] = ACTIONS(5368),
    [anon_sym_LT_EQ_GT] = ACTIONS(5370),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [anon_sym_bitor] = ACTIONS(5368),
    [anon_sym_xor] = ACTIONS(5368),
    [anon_sym_bitand] = ACTIONS(5368),
    [anon_sym_not_eq] = ACTIONS(5368),
    [anon_sym_DASH_DASH] = ACTIONS(5370),
    [anon_sym_PLUS_PLUS] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_DOT_STAR] = ACTIONS(5370),
    [anon_sym_DASH_GT] = ACTIONS(5370),
    [anon_sym_L_DQUOTE] = ACTIONS(5370),
    [anon_sym_u_DQUOTE] = ACTIONS(5370),
    [anon_sym_U_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8_DQUOTE] = ACTIONS(5370),
    [anon_sym_DQUOTE] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5370),
    [anon_sym_LR_DQUOTE] = ACTIONS(5370),
    [anon_sym_uR_DQUOTE] = ACTIONS(5370),
    [anon_sym_UR_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5370),
    [sym_literal_suffix] = ACTIONS(5368),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [anon_sym_L_DQUOTE] = ACTIONS(5374),
    [anon_sym_u_DQUOTE] = ACTIONS(5374),
    [anon_sym_U_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8_DQUOTE] = ACTIONS(5374),
    [anon_sym_DQUOTE] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5374),
    [anon_sym_LR_DQUOTE] = ACTIONS(5374),
    [anon_sym_uR_DQUOTE] = ACTIONS(5374),
    [anon_sym_UR_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5374),
    [sym_literal_suffix] = ACTIONS(5372),
  },
  [2084] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5376),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [anon_sym_L_DQUOTE] = ACTIONS(5378),
    [anon_sym_u_DQUOTE] = ACTIONS(5378),
    [anon_sym_U_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8_DQUOTE] = ACTIONS(5378),
    [anon_sym_DQUOTE] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5378),
    [anon_sym_LR_DQUOTE] = ACTIONS(5378),
    [anon_sym_uR_DQUOTE] = ACTIONS(5378),
    [anon_sym_UR_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5378),
    [sym_literal_suffix] = ACTIONS(5376),
  },
  [2085] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_COLON] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5103),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_and_eq] = ACTIONS(5103),
    [anon_sym_or_eq] = ACTIONS(5103),
    [anon_sym_xor_eq] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5103),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5103),
    [anon_sym_not_eq] = ACTIONS(5103),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_final] = ACTIONS(5103),
    [anon_sym_override] = ACTIONS(5103),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5103),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5380),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5380),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5380),
    [anon_sym_GT_GT] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5380),
    [anon_sym_or_eq] = ACTIONS(5380),
    [anon_sym_xor_eq] = ACTIONS(5380),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [anon_sym_L_DQUOTE] = ACTIONS(5382),
    [anon_sym_u_DQUOTE] = ACTIONS(5382),
    [anon_sym_U_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8_DQUOTE] = ACTIONS(5382),
    [anon_sym_DQUOTE] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5382),
    [anon_sym_LR_DQUOTE] = ACTIONS(5382),
    [anon_sym_uR_DQUOTE] = ACTIONS(5382),
    [anon_sym_UR_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5382),
    [sym_literal_suffix] = ACTIONS(5380),
  },
  [2087] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8190),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8190),
    [sym_variadic_parameter_declaration] = STATE(8190),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_RPAREN] = ACTIONS(5386),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2088] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5107),
    [anon_sym___attribute__] = ACTIONS(5107),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5107),
    [anon_sym_volatile] = ACTIONS(5107),
    [anon_sym_restrict] = ACTIONS(5107),
    [anon_sym___restrict__] = ACTIONS(5107),
    [anon_sym__Atomic] = ACTIONS(5107),
    [anon_sym__Noreturn] = ACTIONS(5107),
    [anon_sym_noreturn] = ACTIONS(5107),
    [anon_sym_mutable] = ACTIONS(5107),
    [anon_sym_constinit] = ACTIONS(5107),
    [anon_sym_consteval] = ACTIONS(5107),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5107),
    [anon_sym_or_eq] = ACTIONS(5107),
    [anon_sym_xor_eq] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5107),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5107),
    [anon_sym_not_eq] = ACTIONS(5107),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5107),
    [anon_sym_decltype] = ACTIONS(5107),
    [anon_sym_final] = ACTIONS(5107),
    [anon_sym_override] = ACTIONS(5107),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5107),
  },
  [2089] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8350),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8350),
    [sym_variadic_parameter_declaration] = STATE(8350),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(4276),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2090] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8181),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8181),
    [sym_variadic_parameter_declaration] = STATE(8181),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5388),
    [anon_sym_RPAREN] = ACTIONS(5390),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2091] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym___extension__] = ACTIONS(5111),
    [anon_sym___attribute__] = ACTIONS(5111),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5111),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5111),
    [anon_sym_volatile] = ACTIONS(5111),
    [anon_sym_restrict] = ACTIONS(5111),
    [anon_sym___restrict__] = ACTIONS(5111),
    [anon_sym__Atomic] = ACTIONS(5111),
    [anon_sym__Noreturn] = ACTIONS(5111),
    [anon_sym_noreturn] = ACTIONS(5111),
    [anon_sym_mutable] = ACTIONS(5111),
    [anon_sym_constinit] = ACTIONS(5111),
    [anon_sym_consteval] = ACTIONS(5111),
    [anon_sym_COLON] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5111),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_and_eq] = ACTIONS(5111),
    [anon_sym_or_eq] = ACTIONS(5111),
    [anon_sym_xor_eq] = ACTIONS(5111),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5111),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5111),
    [anon_sym_not_eq] = ACTIONS(5111),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5109),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5111),
    [anon_sym_decltype] = ACTIONS(5111),
    [anon_sym_final] = ACTIONS(5111),
    [anon_sym_override] = ACTIONS(5111),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5111),
  },
  [2092] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8028),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8028),
    [sym_variadic_parameter_declaration] = STATE(8028),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5392),
    [anon_sym_RPAREN] = ACTIONS(5394),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2093] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8357),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8357),
    [sym_variadic_parameter_declaration] = STATE(8357),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5396),
    [anon_sym_RPAREN] = ACTIONS(5398),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2094] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym___extension__] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5115),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5115),
    [anon_sym_volatile] = ACTIONS(5115),
    [anon_sym_restrict] = ACTIONS(5115),
    [anon_sym___restrict__] = ACTIONS(5115),
    [anon_sym__Atomic] = ACTIONS(5115),
    [anon_sym__Noreturn] = ACTIONS(5115),
    [anon_sym_noreturn] = ACTIONS(5115),
    [anon_sym_mutable] = ACTIONS(5115),
    [anon_sym_constinit] = ACTIONS(5115),
    [anon_sym_consteval] = ACTIONS(5115),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5113),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
    [anon_sym_final] = ACTIONS(5115),
    [anon_sym_override] = ACTIONS(5115),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5115),
  },
  [2095] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5127),
    [anon_sym_volatile] = ACTIONS(5127),
    [anon_sym_restrict] = ACTIONS(5127),
    [anon_sym___restrict__] = ACTIONS(5127),
    [anon_sym__Atomic] = ACTIONS(5127),
    [anon_sym__Noreturn] = ACTIONS(5127),
    [anon_sym_noreturn] = ACTIONS(5127),
    [anon_sym_mutable] = ACTIONS(5127),
    [anon_sym_constinit] = ACTIONS(5127),
    [anon_sym_consteval] = ACTIONS(5127),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5127),
    [anon_sym_or_eq] = ACTIONS(5127),
    [anon_sym_xor_eq] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5127),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5127),
    [anon_sym_not_eq] = ACTIONS(5127),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5125),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5127),
    [anon_sym_decltype] = ACTIONS(5127),
    [anon_sym_final] = ACTIONS(5127),
    [anon_sym_override] = ACTIONS(5127),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5127),
  },
  [2096] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5117),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym___extension__] = ACTIONS(5119),
    [anon_sym___attribute__] = ACTIONS(5119),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5119),
    [anon_sym_volatile] = ACTIONS(5119),
    [anon_sym_restrict] = ACTIONS(5119),
    [anon_sym___restrict__] = ACTIONS(5119),
    [anon_sym__Atomic] = ACTIONS(5119),
    [anon_sym__Noreturn] = ACTIONS(5119),
    [anon_sym_noreturn] = ACTIONS(5119),
    [anon_sym_mutable] = ACTIONS(5119),
    [anon_sym_constinit] = ACTIONS(5119),
    [anon_sym_consteval] = ACTIONS(5119),
    [anon_sym_COLON] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5117),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5119),
    [anon_sym_or_eq] = ACTIONS(5119),
    [anon_sym_xor_eq] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5119),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5119),
    [anon_sym_not_eq] = ACTIONS(5119),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5119),
    [anon_sym_decltype] = ACTIONS(5119),
    [anon_sym_final] = ACTIONS(5119),
    [anon_sym_override] = ACTIONS(5119),
    [anon_sym_GT2] = ACTIONS(5119),
  },
  [2097] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5121),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym___extension__] = ACTIONS(5123),
    [anon_sym___attribute__] = ACTIONS(5123),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5123),
    [anon_sym_volatile] = ACTIONS(5123),
    [anon_sym_restrict] = ACTIONS(5123),
    [anon_sym___restrict__] = ACTIONS(5123),
    [anon_sym__Atomic] = ACTIONS(5123),
    [anon_sym__Noreturn] = ACTIONS(5123),
    [anon_sym_noreturn] = ACTIONS(5123),
    [anon_sym_mutable] = ACTIONS(5123),
    [anon_sym_constinit] = ACTIONS(5123),
    [anon_sym_consteval] = ACTIONS(5123),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5121),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5123),
    [anon_sym_or_eq] = ACTIONS(5123),
    [anon_sym_xor_eq] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5123),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5123),
    [anon_sym_not_eq] = ACTIONS(5123),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5123),
    [anon_sym_decltype] = ACTIONS(5123),
    [anon_sym_final] = ACTIONS(5123),
    [anon_sym_override] = ACTIONS(5123),
    [anon_sym_GT2] = ACTIONS(5123),
  },
  [2098] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8580),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8580),
    [sym_variadic_parameter_declaration] = STATE(8580),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5400),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2099] = {
    [sym_catch_clause] = STATE(2106),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5402),
  },
  [2100] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5125),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym___extension__] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5127),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5127),
    [anon_sym_volatile] = ACTIONS(5127),
    [anon_sym_restrict] = ACTIONS(5127),
    [anon_sym___restrict__] = ACTIONS(5127),
    [anon_sym__Atomic] = ACTIONS(5127),
    [anon_sym__Noreturn] = ACTIONS(5127),
    [anon_sym_noreturn] = ACTIONS(5127),
    [anon_sym_mutable] = ACTIONS(5127),
    [anon_sym_constinit] = ACTIONS(5127),
    [anon_sym_consteval] = ACTIONS(5127),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5125),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5127),
    [anon_sym_or_eq] = ACTIONS(5127),
    [anon_sym_xor_eq] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5127),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5127),
    [anon_sym_not_eq] = ACTIONS(5127),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5127),
    [anon_sym_decltype] = ACTIONS(5127),
    [anon_sym_final] = ACTIONS(5127),
    [anon_sym_override] = ACTIONS(5127),
    [anon_sym_GT2] = ACTIONS(5127),
  },
  [2101] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5109),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym___extension__] = ACTIONS(5111),
    [anon_sym___attribute__] = ACTIONS(5111),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5111),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5111),
    [anon_sym_volatile] = ACTIONS(5111),
    [anon_sym_restrict] = ACTIONS(5111),
    [anon_sym___restrict__] = ACTIONS(5111),
    [anon_sym__Atomic] = ACTIONS(5111),
    [anon_sym__Noreturn] = ACTIONS(5111),
    [anon_sym_noreturn] = ACTIONS(5111),
    [anon_sym_mutable] = ACTIONS(5111),
    [anon_sym_constinit] = ACTIONS(5111),
    [anon_sym_consteval] = ACTIONS(5111),
    [anon_sym_COLON] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5109),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_and_eq] = ACTIONS(5111),
    [anon_sym_or_eq] = ACTIONS(5111),
    [anon_sym_xor_eq] = ACTIONS(5111),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5111),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5111),
    [anon_sym_not_eq] = ACTIONS(5111),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5111),
    [anon_sym_decltype] = ACTIONS(5111),
    [anon_sym_final] = ACTIONS(5111),
    [anon_sym_override] = ACTIONS(5111),
    [anon_sym_GT2] = ACTIONS(5111),
  },
  [2102] = {
    [sym_catch_clause] = STATE(2106),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5402),
  },
  [2103] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5404),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5407),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5409),
    [anon_sym_SLASH_EQ] = ACTIONS(5409),
    [anon_sym_PERCENT_EQ] = ACTIONS(5409),
    [anon_sym_PLUS_EQ] = ACTIONS(5409),
    [anon_sym_DASH_EQ] = ACTIONS(5409),
    [anon_sym_LT_LT_EQ] = ACTIONS(5409),
    [anon_sym_GT_GT_EQ] = ACTIONS(5409),
    [anon_sym_AMP_EQ] = ACTIONS(5409),
    [anon_sym_CARET_EQ] = ACTIONS(5409),
    [anon_sym_PIPE_EQ] = ACTIONS(5409),
    [anon_sym_and_eq] = ACTIONS(5407),
    [anon_sym_or_eq] = ACTIONS(5407),
    [anon_sym_xor_eq] = ACTIONS(5407),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2104] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5113),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym___extension__] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5115),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5115),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5115),
    [anon_sym_volatile] = ACTIONS(5115),
    [anon_sym_restrict] = ACTIONS(5115),
    [anon_sym___restrict__] = ACTIONS(5115),
    [anon_sym__Atomic] = ACTIONS(5115),
    [anon_sym__Noreturn] = ACTIONS(5115),
    [anon_sym_noreturn] = ACTIONS(5115),
    [anon_sym_mutable] = ACTIONS(5115),
    [anon_sym_constinit] = ACTIONS(5115),
    [anon_sym_consteval] = ACTIONS(5115),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5113),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5115),
    [anon_sym_or_eq] = ACTIONS(5115),
    [anon_sym_xor_eq] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5115),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5115),
    [anon_sym_not_eq] = ACTIONS(5115),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5115),
    [anon_sym_decltype] = ACTIONS(5115),
    [anon_sym_final] = ACTIONS(5115),
    [anon_sym_override] = ACTIONS(5115),
    [anon_sym_GT2] = ACTIONS(5115),
  },
  [2105] = {
    [sym_catch_clause] = STATE(2106),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5402),
  },
  [2106] = {
    [sym_catch_clause] = STATE(2106),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2106),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(5411),
  },
  [2107] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5105),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym___extension__] = ACTIONS(5107),
    [anon_sym___attribute__] = ACTIONS(5107),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5107),
    [anon_sym_volatile] = ACTIONS(5107),
    [anon_sym_restrict] = ACTIONS(5107),
    [anon_sym___restrict__] = ACTIONS(5107),
    [anon_sym__Atomic] = ACTIONS(5107),
    [anon_sym__Noreturn] = ACTIONS(5107),
    [anon_sym_noreturn] = ACTIONS(5107),
    [anon_sym_mutable] = ACTIONS(5107),
    [anon_sym_constinit] = ACTIONS(5107),
    [anon_sym_consteval] = ACTIONS(5107),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5105),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5107),
    [anon_sym_or_eq] = ACTIONS(5107),
    [anon_sym_xor_eq] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5107),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5107),
    [anon_sym_not_eq] = ACTIONS(5107),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5107),
    [anon_sym_decltype] = ACTIONS(5107),
    [anon_sym_final] = ACTIONS(5107),
    [anon_sym_override] = ACTIONS(5107),
    [anon_sym_GT2] = ACTIONS(5107),
  },
  [2108] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5101),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym___extension__] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5103),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5103),
    [anon_sym_volatile] = ACTIONS(5103),
    [anon_sym_restrict] = ACTIONS(5103),
    [anon_sym___restrict__] = ACTIONS(5103),
    [anon_sym__Atomic] = ACTIONS(5103),
    [anon_sym__Noreturn] = ACTIONS(5103),
    [anon_sym_noreturn] = ACTIONS(5103),
    [anon_sym_mutable] = ACTIONS(5103),
    [anon_sym_constinit] = ACTIONS(5103),
    [anon_sym_consteval] = ACTIONS(5103),
    [anon_sym_COLON] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5101),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_and_eq] = ACTIONS(5103),
    [anon_sym_or_eq] = ACTIONS(5103),
    [anon_sym_xor_eq] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5103),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5103),
    [anon_sym_not_eq] = ACTIONS(5103),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5103),
    [anon_sym_decltype] = ACTIONS(5103),
    [anon_sym_final] = ACTIONS(5103),
    [anon_sym_override] = ACTIONS(5103),
    [anon_sym_GT2] = ACTIONS(5103),
  },
  [2109] = {
    [sym_attribute_specifier] = STATE(2551),
    [sym_field_declaration_list] = STATE(2421),
    [sym_virtual_specifier] = STATE(7875),
    [sym_base_class_clause] = STATE(8754),
    [sym_identifier] = ACTIONS(5414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5416),
    [anon_sym_COMMA] = ACTIONS(5416),
    [anon_sym_RPAREN] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5416),
    [anon_sym_DASH] = ACTIONS(5414),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5414),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5416),
    [anon_sym_AMP_AMP] = ACTIONS(5416),
    [anon_sym_PIPE] = ACTIONS(5414),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5414),
    [anon_sym_EQ_EQ] = ACTIONS(5416),
    [anon_sym_BANG_EQ] = ACTIONS(5416),
    [anon_sym_GT] = ACTIONS(5414),
    [anon_sym_GT_EQ] = ACTIONS(5416),
    [anon_sym_LT_EQ] = ACTIONS(5414),
    [anon_sym_LT] = ACTIONS(5414),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym_SEMI] = ACTIONS(5416),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5420),
    [anon_sym_RBRACE] = ACTIONS(5416),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_RBRACK] = ACTIONS(5416),
    [anon_sym_EQ] = ACTIONS(5414),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5416),
    [anon_sym_STAR_EQ] = ACTIONS(5416),
    [anon_sym_SLASH_EQ] = ACTIONS(5416),
    [anon_sym_PERCENT_EQ] = ACTIONS(5416),
    [anon_sym_PLUS_EQ] = ACTIONS(5416),
    [anon_sym_DASH_EQ] = ACTIONS(5416),
    [anon_sym_LT_LT_EQ] = ACTIONS(5416),
    [anon_sym_GT_GT_EQ] = ACTIONS(5416),
    [anon_sym_AMP_EQ] = ACTIONS(5416),
    [anon_sym_CARET_EQ] = ACTIONS(5416),
    [anon_sym_PIPE_EQ] = ACTIONS(5416),
    [anon_sym_and_eq] = ACTIONS(5414),
    [anon_sym_or_eq] = ACTIONS(5414),
    [anon_sym_xor_eq] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5416),
    [anon_sym_or] = ACTIONS(5414),
    [anon_sym_and] = ACTIONS(5414),
    [anon_sym_bitor] = ACTIONS(5414),
    [anon_sym_xor] = ACTIONS(5414),
    [anon_sym_bitand] = ACTIONS(5414),
    [anon_sym_not_eq] = ACTIONS(5414),
    [anon_sym_DASH_DASH] = ACTIONS(5416),
    [anon_sym_PLUS_PLUS] = ACTIONS(5416),
    [anon_sym_DOT] = ACTIONS(5414),
    [anon_sym_DOT_STAR] = ACTIONS(5416),
    [anon_sym_DASH_GT] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5414),
    [anon_sym_decltype] = ACTIONS(5414),
    [anon_sym_final] = ACTIONS(5424),
    [anon_sym_override] = ACTIONS(5424),
  },
  [2110] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8274),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8274),
    [sym_variadic_parameter_declaration] = STATE(8274),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2111] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2111),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5363),
    [anon_sym_COMMA] = ACTIONS(5363),
    [anon_sym_RPAREN] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5361),
    [anon_sym_PLUS] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_SLASH] = ACTIONS(5361),
    [anon_sym_PERCENT] = ACTIONS(5361),
    [anon_sym_PIPE_PIPE] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_PIPE] = ACTIONS(5361),
    [anon_sym_CARET] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_EQ_EQ] = ACTIONS(5363),
    [anon_sym_BANG_EQ] = ACTIONS(5363),
    [anon_sym_GT] = ACTIONS(5361),
    [anon_sym_GT_EQ] = ACTIONS(5363),
    [anon_sym_LT_EQ] = ACTIONS(5361),
    [anon_sym_LT] = ACTIONS(5361),
    [anon_sym_LT_LT] = ACTIONS(5361),
    [anon_sym_GT_GT] = ACTIONS(5361),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(5363),
    [anon_sym_RBRACE] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5426),
    [anon_sym_unsigned] = ACTIONS(5426),
    [anon_sym_long] = ACTIONS(5426),
    [anon_sym_short] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_RBRACK] = ACTIONS(5363),
    [anon_sym_EQ] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_COLON] = ACTIONS(5363),
    [anon_sym_QMARK] = ACTIONS(5363),
    [anon_sym_STAR_EQ] = ACTIONS(5363),
    [anon_sym_SLASH_EQ] = ACTIONS(5363),
    [anon_sym_PERCENT_EQ] = ACTIONS(5363),
    [anon_sym_PLUS_EQ] = ACTIONS(5363),
    [anon_sym_DASH_EQ] = ACTIONS(5363),
    [anon_sym_LT_LT_EQ] = ACTIONS(5363),
    [anon_sym_GT_GT_EQ] = ACTIONS(5363),
    [anon_sym_AMP_EQ] = ACTIONS(5363),
    [anon_sym_CARET_EQ] = ACTIONS(5363),
    [anon_sym_PIPE_EQ] = ACTIONS(5363),
    [anon_sym_and_eq] = ACTIONS(5361),
    [anon_sym_or_eq] = ACTIONS(5361),
    [anon_sym_xor_eq] = ACTIONS(5361),
    [anon_sym_LT_EQ_GT] = ACTIONS(5363),
    [anon_sym_or] = ACTIONS(5361),
    [anon_sym_and] = ACTIONS(5361),
    [anon_sym_bitor] = ACTIONS(5361),
    [anon_sym_xor] = ACTIONS(5361),
    [anon_sym_bitand] = ACTIONS(5361),
    [anon_sym_not_eq] = ACTIONS(5361),
    [anon_sym_DASH_DASH] = ACTIONS(5363),
    [anon_sym_PLUS_PLUS] = ACTIONS(5363),
    [anon_sym_DOT] = ACTIONS(5361),
    [anon_sym_DOT_STAR] = ACTIONS(5363),
    [anon_sym_DASH_GT] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
  },
  [2112] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6888),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7526),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7526),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2113] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7092),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7526),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7526),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2114] = {
    [sym_template_argument_list] = STATE(2128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5163),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5095),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5086),
  },
  [2115] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6917),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7561),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7561),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2117] = {
    [sym__declaration_modifiers] = STATE(2380),
    [sym__declaration_specifiers] = STATE(4768),
    [sym_attribute_specifier] = STATE(2380),
    [sym_attribute_declaration] = STATE(2380),
    [sym_ms_declspec_modifier] = STATE(2380),
    [sym_storage_class_specifier] = STATE(2380),
    [sym_type_qualifier] = STATE(2380),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_parameter_declaration] = STATE(8609),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2380),
    [sym_alignas_specifier] = STATE(2380),
    [sym_dependent_type] = STATE(3127),
    [sym_optional_parameter_declaration] = STATE(8609),
    [sym_variadic_parameter_declaration] = STATE(8609),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2380),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2118] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6900),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7515),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7515),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2119] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6881),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7560),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7560),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2120] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7110),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7529),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7529),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2121] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6910),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7507),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7507),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2122] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7035),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7560),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7560),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2123] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6925),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7505),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7505),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2124] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6968),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7547),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7547),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2125] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7085),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7507),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7507),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2126] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7011),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7529),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7529),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2127] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(7022),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7515),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7515),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2128] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5131),
    [anon_sym___extension__] = ACTIONS(5136),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5131),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5140),
    [anon_sym_EQ] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5136),
    [anon_sym_volatile] = ACTIONS(5136),
    [anon_sym_restrict] = ACTIONS(5136),
    [anon_sym___restrict__] = ACTIONS(5136),
    [anon_sym__Atomic] = ACTIONS(5136),
    [anon_sym__Noreturn] = ACTIONS(5136),
    [anon_sym_noreturn] = ACTIONS(5136),
    [anon_sym_mutable] = ACTIONS(5136),
    [anon_sym_constinit] = ACTIONS(5136),
    [anon_sym_consteval] = ACTIONS(5136),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5131),
    [anon_sym_or_eq] = ACTIONS(5131),
    [anon_sym_xor_eq] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5131),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5131),
    [anon_sym_not_eq] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5136),
    [anon_sym_decltype] = ACTIONS(5136),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [2129] = {
    [sym__declaration_modifiers] = STATE(4190),
    [sym_attribute_specifier] = STATE(4190),
    [sym_attribute_declaration] = STATE(4190),
    [sym_ms_declspec_modifier] = STATE(4190),
    [sym_ms_based_modifier] = STATE(9651),
    [sym__declarator] = STATE(7444),
    [sym_parenthesized_declarator] = STATE(7049),
    [sym_attributed_declarator] = STATE(7049),
    [sym_pointer_declarator] = STATE(7049),
    [sym_function_declarator] = STATE(6906),
    [sym_array_declarator] = STATE(7049),
    [sym_storage_class_specifier] = STATE(4190),
    [sym_type_qualifier] = STATE(4190),
    [sym_decltype] = STATE(9640),
    [sym_virtual] = STATE(4190),
    [sym_alignas_specifier] = STATE(4190),
    [sym_explicit_function_specifier] = STATE(4190),
    [sym_operator_cast] = STATE(7521),
    [sym__constructor_specifiers] = STATE(4190),
    [sym_reference_declarator] = STATE(7049),
    [sym_structured_binding_declarator] = STATE(7049),
    [sym_template_type] = STATE(9640),
    [sym_template_function] = STATE(7049),
    [sym_destructor_name] = STATE(7049),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(6327),
    [sym_qualified_identifier] = STATE(7049),
    [sym_qualified_operator_cast_identifier] = STATE(7521),
    [sym_operator_name] = STATE(7049),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4190),
    [sym_identifier] = ACTIONS(5429),
    [anon_sym_LPAREN2] = ACTIONS(3035),
    [anon_sym_TILDE] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(3039),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym___extension__] = ACTIONS(5431),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5435),
    [anon_sym_COLON_COLON] = ACTIONS(5437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5439),
    [anon_sym___declspec] = ACTIONS(5441),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3049),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5431),
    [anon_sym_constexpr] = ACTIONS(5431),
    [anon_sym_volatile] = ACTIONS(5431),
    [anon_sym_restrict] = ACTIONS(5431),
    [anon_sym___restrict__] = ACTIONS(5431),
    [anon_sym__Atomic] = ACTIONS(5431),
    [anon_sym__Noreturn] = ACTIONS(5431),
    [anon_sym_noreturn] = ACTIONS(5431),
    [anon_sym_mutable] = ACTIONS(5431),
    [anon_sym_constinit] = ACTIONS(5431),
    [anon_sym_consteval] = ACTIONS(5431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2170),
    [anon_sym_virtual] = ACTIONS(5443),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2131] = {
    [sym_string_literal] = STATE(2065),
    [sym_raw_string_literal] = STATE(2065),
    [sym_identifier] = ACTIONS(5449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5449),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5449),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5451),
    [anon_sym_STAR_EQ] = ACTIONS(5451),
    [anon_sym_SLASH_EQ] = ACTIONS(5451),
    [anon_sym_PERCENT_EQ] = ACTIONS(5451),
    [anon_sym_PLUS_EQ] = ACTIONS(5451),
    [anon_sym_DASH_EQ] = ACTIONS(5451),
    [anon_sym_LT_LT_EQ] = ACTIONS(5451),
    [anon_sym_GT_GT_EQ] = ACTIONS(5451),
    [anon_sym_AMP_EQ] = ACTIONS(5451),
    [anon_sym_CARET_EQ] = ACTIONS(5451),
    [anon_sym_PIPE_EQ] = ACTIONS(5451),
    [anon_sym_and_eq] = ACTIONS(5449),
    [anon_sym_or_eq] = ACTIONS(5449),
    [anon_sym_xor_eq] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_DOT_STAR] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2132] = {
    [sym_argument_list] = STATE(2948),
    [sym_initializer_list] = STATE(2948),
    [sym_decltype_auto] = STATE(2535),
    [sym_new_declarator] = STATE(2579),
    [sym_identifier] = ACTIONS(5455),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5457),
    [anon_sym_COMMA] = ACTIONS(5457),
    [anon_sym_RPAREN] = ACTIONS(5457),
    [aux_sym_preproc_if_token2] = ACTIONS(5457),
    [aux_sym_preproc_else_token1] = ACTIONS(5457),
    [aux_sym_preproc_elif_token1] = ACTIONS(5455),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5455),
    [anon_sym_PLUS] = ACTIONS(5455),
    [anon_sym_STAR] = ACTIONS(5455),
    [anon_sym_SLASH] = ACTIONS(5455),
    [anon_sym_PERCENT] = ACTIONS(5455),
    [anon_sym_PIPE_PIPE] = ACTIONS(5457),
    [anon_sym_AMP_AMP] = ACTIONS(5457),
    [anon_sym_PIPE] = ACTIONS(5455),
    [anon_sym_CARET] = ACTIONS(5455),
    [anon_sym_AMP] = ACTIONS(5455),
    [anon_sym_EQ_EQ] = ACTIONS(5457),
    [anon_sym_BANG_EQ] = ACTIONS(5457),
    [anon_sym_GT] = ACTIONS(5455),
    [anon_sym_GT_EQ] = ACTIONS(5457),
    [anon_sym_LT_EQ] = ACTIONS(5455),
    [anon_sym_LT] = ACTIONS(5455),
    [anon_sym_LT_LT] = ACTIONS(5455),
    [anon_sym_GT_GT] = ACTIONS(5455),
    [anon_sym_SEMI] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_EQ] = ACTIONS(5455),
    [anon_sym_COLON] = ACTIONS(5457),
    [anon_sym_QMARK] = ACTIONS(5457),
    [anon_sym_STAR_EQ] = ACTIONS(5457),
    [anon_sym_SLASH_EQ] = ACTIONS(5457),
    [anon_sym_PERCENT_EQ] = ACTIONS(5457),
    [anon_sym_PLUS_EQ] = ACTIONS(5457),
    [anon_sym_DASH_EQ] = ACTIONS(5457),
    [anon_sym_LT_LT_EQ] = ACTIONS(5457),
    [anon_sym_GT_GT_EQ] = ACTIONS(5457),
    [anon_sym_AMP_EQ] = ACTIONS(5457),
    [anon_sym_CARET_EQ] = ACTIONS(5457),
    [anon_sym_PIPE_EQ] = ACTIONS(5457),
    [anon_sym_and_eq] = ACTIONS(5455),
    [anon_sym_or_eq] = ACTIONS(5455),
    [anon_sym_xor_eq] = ACTIONS(5455),
    [anon_sym_LT_EQ_GT] = ACTIONS(5457),
    [anon_sym_or] = ACTIONS(5455),
    [anon_sym_and] = ACTIONS(5455),
    [anon_sym_bitor] = ACTIONS(5455),
    [anon_sym_xor] = ACTIONS(5455),
    [anon_sym_bitand] = ACTIONS(5455),
    [anon_sym_not_eq] = ACTIONS(5455),
    [anon_sym_DASH_DASH] = ACTIONS(5457),
    [anon_sym_PLUS_PLUS] = ACTIONS(5457),
    [anon_sym_DOT] = ACTIONS(5455),
    [anon_sym_DOT_STAR] = ACTIONS(5457),
    [anon_sym_DASH_GT] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5465),
  },
  [2133] = {
    [sym_string_literal] = STATE(2065),
    [sym_raw_string_literal] = STATE(2065),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4135),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2134] = {
    [sym_catch_clause] = STATE(2144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2144),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [aux_sym_preproc_else_token1] = ACTIONS(2817),
    [aux_sym_preproc_elif_token1] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5467),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
  },
  [2136] = {
    [sym_argument_list] = STATE(2919),
    [sym_initializer_list] = STATE(2919),
    [sym_decltype_auto] = STATE(2535),
    [sym_new_declarator] = STATE(2557),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5471),
    [anon_sym_COMMA] = ACTIONS(5471),
    [anon_sym_RPAREN] = ACTIONS(5471),
    [aux_sym_preproc_if_token2] = ACTIONS(5471),
    [aux_sym_preproc_else_token1] = ACTIONS(5471),
    [aux_sym_preproc_elif_token1] = ACTIONS(5469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5471),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5471),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5469),
    [anon_sym_PLUS] = ACTIONS(5469),
    [anon_sym_STAR] = ACTIONS(5469),
    [anon_sym_SLASH] = ACTIONS(5469),
    [anon_sym_PERCENT] = ACTIONS(5469),
    [anon_sym_PIPE_PIPE] = ACTIONS(5471),
    [anon_sym_AMP_AMP] = ACTIONS(5471),
    [anon_sym_PIPE] = ACTIONS(5469),
    [anon_sym_CARET] = ACTIONS(5469),
    [anon_sym_AMP] = ACTIONS(5469),
    [anon_sym_EQ_EQ] = ACTIONS(5471),
    [anon_sym_BANG_EQ] = ACTIONS(5471),
    [anon_sym_GT] = ACTIONS(5469),
    [anon_sym_GT_EQ] = ACTIONS(5471),
    [anon_sym_LT_EQ] = ACTIONS(5469),
    [anon_sym_LT] = ACTIONS(5469),
    [anon_sym_LT_LT] = ACTIONS(5469),
    [anon_sym_GT_GT] = ACTIONS(5469),
    [anon_sym_SEMI] = ACTIONS(5471),
    [anon_sym___attribute__] = ACTIONS(5469),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5471),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5471),
    [anon_sym_EQ] = ACTIONS(5469),
    [anon_sym_COLON] = ACTIONS(5471),
    [anon_sym_QMARK] = ACTIONS(5471),
    [anon_sym_STAR_EQ] = ACTIONS(5471),
    [anon_sym_SLASH_EQ] = ACTIONS(5471),
    [anon_sym_PERCENT_EQ] = ACTIONS(5471),
    [anon_sym_PLUS_EQ] = ACTIONS(5471),
    [anon_sym_DASH_EQ] = ACTIONS(5471),
    [anon_sym_LT_LT_EQ] = ACTIONS(5471),
    [anon_sym_GT_GT_EQ] = ACTIONS(5471),
    [anon_sym_AMP_EQ] = ACTIONS(5471),
    [anon_sym_CARET_EQ] = ACTIONS(5471),
    [anon_sym_PIPE_EQ] = ACTIONS(5471),
    [anon_sym_and_eq] = ACTIONS(5469),
    [anon_sym_or_eq] = ACTIONS(5469),
    [anon_sym_xor_eq] = ACTIONS(5469),
    [anon_sym_LT_EQ_GT] = ACTIONS(5471),
    [anon_sym_or] = ACTIONS(5469),
    [anon_sym_and] = ACTIONS(5469),
    [anon_sym_bitor] = ACTIONS(5469),
    [anon_sym_xor] = ACTIONS(5469),
    [anon_sym_bitand] = ACTIONS(5469),
    [anon_sym_not_eq] = ACTIONS(5469),
    [anon_sym_DASH_DASH] = ACTIONS(5471),
    [anon_sym_PLUS_PLUS] = ACTIONS(5471),
    [anon_sym_DOT] = ACTIONS(5469),
    [anon_sym_DOT_STAR] = ACTIONS(5471),
    [anon_sym_DASH_GT] = ACTIONS(5471),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5465),
  },
  [2137] = {
    [sym_template_argument_list] = STATE(2254),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5091),
    [anon_sym_COMMA] = ACTIONS(5091),
    [anon_sym_RPAREN] = ACTIONS(5091),
    [aux_sym_preproc_if_token2] = ACTIONS(5091),
    [aux_sym_preproc_else_token1] = ACTIONS(5091),
    [aux_sym_preproc_elif_token1] = ACTIONS(5084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5091),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5091),
    [anon_sym_LPAREN2] = ACTIONS(5091),
    [anon_sym_DASH] = ACTIONS(5084),
    [anon_sym_PLUS] = ACTIONS(5084),
    [anon_sym_STAR] = ACTIONS(5084),
    [anon_sym_SLASH] = ACTIONS(5084),
    [anon_sym_PERCENT] = ACTIONS(5084),
    [anon_sym_PIPE_PIPE] = ACTIONS(5091),
    [anon_sym_AMP_AMP] = ACTIONS(5091),
    [anon_sym_PIPE] = ACTIONS(5084),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_EQ_EQ] = ACTIONS(5091),
    [anon_sym_BANG_EQ] = ACTIONS(5091),
    [anon_sym_GT] = ACTIONS(5084),
    [anon_sym_GT_EQ] = ACTIONS(5091),
    [anon_sym_LT_EQ] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(5473),
    [anon_sym_LT_LT] = ACTIONS(5084),
    [anon_sym_GT_GT] = ACTIONS(5084),
    [anon_sym_SEMI] = ACTIONS(5091),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_RBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5091),
    [anon_sym_RBRACK] = ACTIONS(5091),
    [anon_sym_EQ] = ACTIONS(5084),
    [anon_sym_COLON] = ACTIONS(5084),
    [anon_sym_QMARK] = ACTIONS(5091),
    [anon_sym_STAR_EQ] = ACTIONS(5091),
    [anon_sym_SLASH_EQ] = ACTIONS(5091),
    [anon_sym_PERCENT_EQ] = ACTIONS(5091),
    [anon_sym_PLUS_EQ] = ACTIONS(5091),
    [anon_sym_DASH_EQ] = ACTIONS(5091),
    [anon_sym_LT_LT_EQ] = ACTIONS(5091),
    [anon_sym_GT_GT_EQ] = ACTIONS(5091),
    [anon_sym_AMP_EQ] = ACTIONS(5091),
    [anon_sym_CARET_EQ] = ACTIONS(5091),
    [anon_sym_PIPE_EQ] = ACTIONS(5091),
    [anon_sym_and_eq] = ACTIONS(5084),
    [anon_sym_or_eq] = ACTIONS(5084),
    [anon_sym_xor_eq] = ACTIONS(5084),
    [anon_sym_LT_EQ_GT] = ACTIONS(5091),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [anon_sym_bitor] = ACTIONS(5084),
    [anon_sym_xor] = ACTIONS(5084),
    [anon_sym_bitand] = ACTIONS(5084),
    [anon_sym_not_eq] = ACTIONS(5084),
    [anon_sym_DASH_DASH] = ACTIONS(5091),
    [anon_sym_PLUS_PLUS] = ACTIONS(5091),
    [anon_sym_DOT] = ACTIONS(5084),
    [anon_sym_DOT_STAR] = ACTIONS(5091),
    [anon_sym_DASH_GT] = ACTIONS(5091),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_final] = ACTIONS(5084),
    [anon_sym_override] = ACTIONS(5084),
  },
  [2138] = {
    [sym_argument_list] = STATE(2949),
    [sym_initializer_list] = STATE(2949),
    [sym_decltype_auto] = STATE(2535),
    [sym_new_declarator] = STATE(2558),
    [sym_identifier] = ACTIONS(5476),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5478),
    [anon_sym_COMMA] = ACTIONS(5478),
    [anon_sym_RPAREN] = ACTIONS(5478),
    [aux_sym_preproc_if_token2] = ACTIONS(5478),
    [aux_sym_preproc_else_token1] = ACTIONS(5478),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5478),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(5476),
    [anon_sym_STAR] = ACTIONS(5476),
    [anon_sym_SLASH] = ACTIONS(5476),
    [anon_sym_PERCENT] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_PIPE] = ACTIONS(5476),
    [anon_sym_CARET] = ACTIONS(5476),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym_EQ_EQ] = ACTIONS(5478),
    [anon_sym_BANG_EQ] = ACTIONS(5478),
    [anon_sym_GT] = ACTIONS(5476),
    [anon_sym_GT_EQ] = ACTIONS(5478),
    [anon_sym_LT_EQ] = ACTIONS(5476),
    [anon_sym_LT] = ACTIONS(5476),
    [anon_sym_LT_LT] = ACTIONS(5476),
    [anon_sym_GT_GT] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5478),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5478),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5478),
    [anon_sym_EQ] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_QMARK] = ACTIONS(5478),
    [anon_sym_STAR_EQ] = ACTIONS(5478),
    [anon_sym_SLASH_EQ] = ACTIONS(5478),
    [anon_sym_PERCENT_EQ] = ACTIONS(5478),
    [anon_sym_PLUS_EQ] = ACTIONS(5478),
    [anon_sym_DASH_EQ] = ACTIONS(5478),
    [anon_sym_LT_LT_EQ] = ACTIONS(5478),
    [anon_sym_GT_GT_EQ] = ACTIONS(5478),
    [anon_sym_AMP_EQ] = ACTIONS(5478),
    [anon_sym_CARET_EQ] = ACTIONS(5478),
    [anon_sym_PIPE_EQ] = ACTIONS(5478),
    [anon_sym_and_eq] = ACTIONS(5476),
    [anon_sym_or_eq] = ACTIONS(5476),
    [anon_sym_xor_eq] = ACTIONS(5476),
    [anon_sym_LT_EQ_GT] = ACTIONS(5478),
    [anon_sym_or] = ACTIONS(5476),
    [anon_sym_and] = ACTIONS(5476),
    [anon_sym_bitor] = ACTIONS(5476),
    [anon_sym_xor] = ACTIONS(5476),
    [anon_sym_bitand] = ACTIONS(5476),
    [anon_sym_not_eq] = ACTIONS(5476),
    [anon_sym_DASH_DASH] = ACTIONS(5478),
    [anon_sym_PLUS_PLUS] = ACTIONS(5478),
    [anon_sym_DOT] = ACTIONS(5476),
    [anon_sym_DOT_STAR] = ACTIONS(5478),
    [anon_sym_DASH_GT] = ACTIONS(5478),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5465),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2140] = {
    [sym_catch_clause] = STATE(2144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2144),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [aux_sym_preproc_else_token1] = ACTIONS(2842),
    [aux_sym_preproc_elif_token1] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5467),
  },
  [2141] = {
    [sym_string_literal] = STATE(2219),
    [sym_template_argument_list] = STATE(3450),
    [sym_raw_string_literal] = STATE(2219),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5480),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
  },
  [2142] = {
    [sym_template_argument_list] = STATE(2214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5483),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5093),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5086),
  },
  [2143] = {
    [sym_template_argument_list] = STATE(2254),
    [sym_identifier] = ACTIONS(5486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4151),
    [anon_sym_COMMA] = ACTIONS(4151),
    [anon_sym_RPAREN] = ACTIONS(4151),
    [aux_sym_preproc_if_token2] = ACTIONS(4151),
    [aux_sym_preproc_else_token1] = ACTIONS(4151),
    [aux_sym_preproc_elif_token1] = ACTIONS(5486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4151),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4151),
    [anon_sym_LPAREN2] = ACTIONS(4151),
    [anon_sym_DASH] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_SLASH] = ACTIONS(5486),
    [anon_sym_PERCENT] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_PIPE] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5486),
    [anon_sym_EQ_EQ] = ACTIONS(4151),
    [anon_sym_BANG_EQ] = ACTIONS(4151),
    [anon_sym_GT] = ACTIONS(5486),
    [anon_sym_GT_EQ] = ACTIONS(4151),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5486),
    [anon_sym_GT_GT] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(4151),
    [anon_sym___attribute__] = ACTIONS(5486),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4151),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_EQ] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(4151),
    [anon_sym_STAR_EQ] = ACTIONS(4151),
    [anon_sym_SLASH_EQ] = ACTIONS(4151),
    [anon_sym_PERCENT_EQ] = ACTIONS(4151),
    [anon_sym_PLUS_EQ] = ACTIONS(4151),
    [anon_sym_DASH_EQ] = ACTIONS(4151),
    [anon_sym_LT_LT_EQ] = ACTIONS(4151),
    [anon_sym_GT_GT_EQ] = ACTIONS(4151),
    [anon_sym_AMP_EQ] = ACTIONS(4151),
    [anon_sym_CARET_EQ] = ACTIONS(4151),
    [anon_sym_PIPE_EQ] = ACTIONS(4151),
    [anon_sym_and_eq] = ACTIONS(5486),
    [anon_sym_or_eq] = ACTIONS(5486),
    [anon_sym_xor_eq] = ACTIONS(5486),
    [anon_sym_LT_EQ_GT] = ACTIONS(4151),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [anon_sym_bitor] = ACTIONS(5486),
    [anon_sym_xor] = ACTIONS(5486),
    [anon_sym_bitand] = ACTIONS(5486),
    [anon_sym_not_eq] = ACTIONS(5486),
    [anon_sym_DASH_DASH] = ACTIONS(4151),
    [anon_sym_PLUS_PLUS] = ACTIONS(4151),
    [anon_sym_DOT] = ACTIONS(5486),
    [anon_sym_DOT_STAR] = ACTIONS(4151),
    [anon_sym_DASH_GT] = ACTIONS(4151),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5486),
    [anon_sym_decltype] = ACTIONS(5486),
    [anon_sym_final] = ACTIONS(5486),
    [anon_sym_override] = ACTIONS(5486),
  },
  [2144] = {
    [sym_catch_clause] = STATE(2144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2144),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [aux_sym_preproc_else_token1] = ACTIONS(2823),
    [aux_sym_preproc_elif_token1] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(5490),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_friend] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
  },
  [2146] = {
    [sym_string_literal] = STATE(3627),
    [sym_template_argument_list] = STATE(4919),
    [sym_raw_string_literal] = STATE(3627),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5493),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_and_eq] = ACTIONS(5496),
    [anon_sym_or_eq] = ACTIONS(5496),
    [anon_sym_xor_eq] = ACTIONS(5496),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3777),
    [anon_sym_u_DQUOTE] = ACTIONS(3777),
    [anon_sym_U_DQUOTE] = ACTIONS(3777),
    [anon_sym_u8_DQUOTE] = ACTIONS(3777),
    [anon_sym_DQUOTE] = ACTIONS(3777),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3785),
    [anon_sym_LR_DQUOTE] = ACTIONS(3785),
    [anon_sym_uR_DQUOTE] = ACTIONS(3785),
    [anon_sym_UR_DQUOTE] = ACTIONS(3785),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3785),
  },
  [2147] = {
    [sym_argument_list] = STATE(2982),
    [sym_initializer_list] = STATE(2982),
    [sym_decltype_auto] = STATE(2535),
    [sym_new_declarator] = STATE(2599),
    [sym_identifier] = ACTIONS(5500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_RPAREN] = ACTIONS(5502),
    [aux_sym_preproc_if_token2] = ACTIONS(5502),
    [aux_sym_preproc_else_token1] = ACTIONS(5502),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5502),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5502),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(5500),
    [anon_sym_PLUS] = ACTIONS(5500),
    [anon_sym_STAR] = ACTIONS(5500),
    [anon_sym_SLASH] = ACTIONS(5500),
    [anon_sym_PERCENT] = ACTIONS(5500),
    [anon_sym_PIPE_PIPE] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5500),
    [anon_sym_CARET] = ACTIONS(5500),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_GT] = ACTIONS(5500),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5500),
    [anon_sym_LT] = ACTIONS(5500),
    [anon_sym_LT_LT] = ACTIONS(5500),
    [anon_sym_GT_GT] = ACTIONS(5500),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_LBRACK] = ACTIONS(5461),
    [anon_sym_RBRACK] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_and_eq] = ACTIONS(5500),
    [anon_sym_or_eq] = ACTIONS(5500),
    [anon_sym_xor_eq] = ACTIONS(5500),
    [anon_sym_LT_EQ_GT] = ACTIONS(5502),
    [anon_sym_or] = ACTIONS(5500),
    [anon_sym_and] = ACTIONS(5500),
    [anon_sym_bitor] = ACTIONS(5500),
    [anon_sym_xor] = ACTIONS(5500),
    [anon_sym_bitand] = ACTIONS(5500),
    [anon_sym_not_eq] = ACTIONS(5500),
    [anon_sym_DASH_DASH] = ACTIONS(5502),
    [anon_sym_PLUS_PLUS] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5500),
    [anon_sym_DOT_STAR] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5465),
  },
  [2148] = {
    [sym_catch_clause] = STATE(2144),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2144),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [aux_sym_preproc_else_token1] = ACTIONS(2846),
    [aux_sym_preproc_elif_token1] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5467),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_friend] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(3279),
    [aux_sym_preproc_elif_token1] = ACTIONS(3279),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_friend] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [aux_sym_preproc_else_token1] = ACTIONS(3233),
    [aux_sym_preproc_elif_token1] = ACTIONS(3233),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_friend] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_friend] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token2] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [aux_sym_preproc_else_token1] = ACTIONS(3225),
    [aux_sym_preproc_elif_token1] = ACTIONS(3225),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_friend] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
  },
  [2154] = {
    [sym_string_literal] = STATE(2065),
    [sym_raw_string_literal] = STATE(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5449),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym_RBRACE] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_RBRACK] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5449),
    [anon_sym_COLON] = ACTIONS(5451),
    [anon_sym_QMARK] = ACTIONS(5451),
    [anon_sym_STAR_EQ] = ACTIONS(5451),
    [anon_sym_SLASH_EQ] = ACTIONS(5451),
    [anon_sym_PERCENT_EQ] = ACTIONS(5451),
    [anon_sym_PLUS_EQ] = ACTIONS(5451),
    [anon_sym_DASH_EQ] = ACTIONS(5451),
    [anon_sym_LT_LT_EQ] = ACTIONS(5451),
    [anon_sym_GT_GT_EQ] = ACTIONS(5451),
    [anon_sym_AMP_EQ] = ACTIONS(5451),
    [anon_sym_CARET_EQ] = ACTIONS(5451),
    [anon_sym_PIPE_EQ] = ACTIONS(5451),
    [anon_sym_and_eq] = ACTIONS(5449),
    [anon_sym_or_eq] = ACTIONS(5449),
    [anon_sym_xor_eq] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_DOT_STAR] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_friend] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_friend] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
  },
  [2158] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5509),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5509),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5509),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5509),
    [anon_sym_GT_GT] = ACTIONS(5509),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5507),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym___based] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5507),
    [anon_sym_unsigned] = ACTIONS(5507),
    [anon_sym_long] = ACTIONS(5507),
    [anon_sym_short] = ACTIONS(5507),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5507),
    [anon_sym_constexpr] = ACTIONS(5507),
    [anon_sym_volatile] = ACTIONS(5507),
    [anon_sym_restrict] = ACTIONS(5507),
    [anon_sym___restrict__] = ACTIONS(5507),
    [anon_sym__Atomic] = ACTIONS(5507),
    [anon_sym__Noreturn] = ACTIONS(5507),
    [anon_sym_noreturn] = ACTIONS(5507),
    [anon_sym_mutable] = ACTIONS(5507),
    [anon_sym_constinit] = ACTIONS(5507),
    [anon_sym_consteval] = ACTIONS(5507),
    [sym_primitive_type] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5507),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
    [anon_sym_requires] = ACTIONS(5507),
  },
  [2161] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2162] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5509),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5509),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5509),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5509),
    [anon_sym_GT_GT] = ACTIONS(5509),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5507),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym___based] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5507),
    [anon_sym_unsigned] = ACTIONS(5507),
    [anon_sym_long] = ACTIONS(5507),
    [anon_sym_short] = ACTIONS(5507),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5507),
    [anon_sym_constexpr] = ACTIONS(5507),
    [anon_sym_volatile] = ACTIONS(5507),
    [anon_sym_restrict] = ACTIONS(5507),
    [anon_sym___restrict__] = ACTIONS(5507),
    [anon_sym__Atomic] = ACTIONS(5507),
    [anon_sym__Noreturn] = ACTIONS(5507),
    [anon_sym_noreturn] = ACTIONS(5507),
    [anon_sym_mutable] = ACTIONS(5507),
    [anon_sym_constinit] = ACTIONS(5507),
    [anon_sym_consteval] = ACTIONS(5507),
    [sym_primitive_type] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5507),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
    [anon_sym_requires] = ACTIONS(5507),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_friend] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
  },
  [2165] = {
    [sym_string_literal] = STATE(2065),
    [sym_template_argument_list] = STATE(3289),
    [sym_raw_string_literal] = STATE(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(5517),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5520),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_friend] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_TILDE] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym_typedef] = ACTIONS(5526),
    [anon_sym_extern] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym_COLON_COLON] = ACTIONS(5528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5528),
    [anon_sym___declspec] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_static] = ACTIONS(5526),
    [anon_sym_register] = ACTIONS(5526),
    [anon_sym_inline] = ACTIONS(5526),
    [anon_sym___inline] = ACTIONS(5526),
    [anon_sym___inline__] = ACTIONS(5526),
    [anon_sym___forceinline] = ACTIONS(5526),
    [anon_sym_thread_local] = ACTIONS(5526),
    [anon_sym___thread] = ACTIONS(5526),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [sym_primitive_type] = ACTIONS(5526),
    [anon_sym_enum] = ACTIONS(5526),
    [anon_sym_class] = ACTIONS(5526),
    [anon_sym_struct] = ACTIONS(5526),
    [anon_sym_union] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_virtual] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym_explicit] = ACTIONS(5526),
    [anon_sym_typename] = ACTIONS(5526),
    [anon_sym_template] = ACTIONS(5526),
    [anon_sym_operator] = ACTIONS(5526),
    [anon_sym_friend] = ACTIONS(5526),
    [anon_sym_public] = ACTIONS(5526),
    [anon_sym_private] = ACTIONS(5526),
    [anon_sym_protected] = ACTIONS(5526),
    [anon_sym_using] = ACTIONS(5526),
    [anon_sym_static_assert] = ACTIONS(5526),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_TILDE] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym_typedef] = ACTIONS(5526),
    [anon_sym_extern] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym_COLON_COLON] = ACTIONS(5528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5528),
    [anon_sym___declspec] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_static] = ACTIONS(5526),
    [anon_sym_register] = ACTIONS(5526),
    [anon_sym_inline] = ACTIONS(5526),
    [anon_sym___inline] = ACTIONS(5526),
    [anon_sym___inline__] = ACTIONS(5526),
    [anon_sym___forceinline] = ACTIONS(5526),
    [anon_sym_thread_local] = ACTIONS(5526),
    [anon_sym___thread] = ACTIONS(5526),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [sym_primitive_type] = ACTIONS(5526),
    [anon_sym_enum] = ACTIONS(5526),
    [anon_sym_class] = ACTIONS(5526),
    [anon_sym_struct] = ACTIONS(5526),
    [anon_sym_union] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_virtual] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym_explicit] = ACTIONS(5526),
    [anon_sym_typename] = ACTIONS(5526),
    [anon_sym_template] = ACTIONS(5526),
    [anon_sym_operator] = ACTIONS(5526),
    [anon_sym_friend] = ACTIONS(5526),
    [anon_sym_public] = ACTIONS(5526),
    [anon_sym_private] = ACTIONS(5526),
    [anon_sym_protected] = ACTIONS(5526),
    [anon_sym_using] = ACTIONS(5526),
    [anon_sym_static_assert] = ACTIONS(5526),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [aux_sym_preproc_else_token1] = ACTIONS(3174),
    [aux_sym_preproc_elif_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_friend] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(5530),
    [aux_sym_preproc_def_token1] = ACTIONS(5530),
    [aux_sym_preproc_if_token1] = ACTIONS(5530),
    [aux_sym_preproc_if_token2] = ACTIONS(5530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5530),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5530),
    [sym_preproc_directive] = ACTIONS(5530),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_TILDE] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym___extension__] = ACTIONS(5530),
    [anon_sym_typedef] = ACTIONS(5530),
    [anon_sym_extern] = ACTIONS(5530),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym_COLON_COLON] = ACTIONS(5532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5532),
    [anon_sym___declspec] = ACTIONS(5530),
    [anon_sym___based] = ACTIONS(5530),
    [anon_sym_signed] = ACTIONS(5530),
    [anon_sym_unsigned] = ACTIONS(5530),
    [anon_sym_long] = ACTIONS(5530),
    [anon_sym_short] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_static] = ACTIONS(5530),
    [anon_sym_register] = ACTIONS(5530),
    [anon_sym_inline] = ACTIONS(5530),
    [anon_sym___inline] = ACTIONS(5530),
    [anon_sym___inline__] = ACTIONS(5530),
    [anon_sym___forceinline] = ACTIONS(5530),
    [anon_sym_thread_local] = ACTIONS(5530),
    [anon_sym___thread] = ACTIONS(5530),
    [anon_sym_const] = ACTIONS(5530),
    [anon_sym_constexpr] = ACTIONS(5530),
    [anon_sym_volatile] = ACTIONS(5530),
    [anon_sym_restrict] = ACTIONS(5530),
    [anon_sym___restrict__] = ACTIONS(5530),
    [anon_sym__Atomic] = ACTIONS(5530),
    [anon_sym__Noreturn] = ACTIONS(5530),
    [anon_sym_noreturn] = ACTIONS(5530),
    [anon_sym_mutable] = ACTIONS(5530),
    [anon_sym_constinit] = ACTIONS(5530),
    [anon_sym_consteval] = ACTIONS(5530),
    [sym_primitive_type] = ACTIONS(5530),
    [anon_sym_enum] = ACTIONS(5530),
    [anon_sym_class] = ACTIONS(5530),
    [anon_sym_struct] = ACTIONS(5530),
    [anon_sym_union] = ACTIONS(5530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
    [anon_sym_virtual] = ACTIONS(5530),
    [anon_sym_alignas] = ACTIONS(5530),
    [anon_sym_explicit] = ACTIONS(5530),
    [anon_sym_typename] = ACTIONS(5530),
    [anon_sym_template] = ACTIONS(5530),
    [anon_sym_operator] = ACTIONS(5530),
    [anon_sym_friend] = ACTIONS(5530),
    [anon_sym_public] = ACTIONS(5530),
    [anon_sym_private] = ACTIONS(5530),
    [anon_sym_protected] = ACTIONS(5530),
    [anon_sym_using] = ACTIONS(5530),
    [anon_sym_static_assert] = ACTIONS(5530),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_TILDE] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym___extension__] = ACTIONS(5534),
    [anon_sym_typedef] = ACTIONS(5534),
    [anon_sym_extern] = ACTIONS(5534),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym_COLON_COLON] = ACTIONS(5536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5536),
    [anon_sym___declspec] = ACTIONS(5534),
    [anon_sym___based] = ACTIONS(5534),
    [anon_sym_signed] = ACTIONS(5534),
    [anon_sym_unsigned] = ACTIONS(5534),
    [anon_sym_long] = ACTIONS(5534),
    [anon_sym_short] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5534),
    [anon_sym_static] = ACTIONS(5534),
    [anon_sym_register] = ACTIONS(5534),
    [anon_sym_inline] = ACTIONS(5534),
    [anon_sym___inline] = ACTIONS(5534),
    [anon_sym___inline__] = ACTIONS(5534),
    [anon_sym___forceinline] = ACTIONS(5534),
    [anon_sym_thread_local] = ACTIONS(5534),
    [anon_sym___thread] = ACTIONS(5534),
    [anon_sym_const] = ACTIONS(5534),
    [anon_sym_constexpr] = ACTIONS(5534),
    [anon_sym_volatile] = ACTIONS(5534),
    [anon_sym_restrict] = ACTIONS(5534),
    [anon_sym___restrict__] = ACTIONS(5534),
    [anon_sym__Atomic] = ACTIONS(5534),
    [anon_sym__Noreturn] = ACTIONS(5534),
    [anon_sym_noreturn] = ACTIONS(5534),
    [anon_sym_mutable] = ACTIONS(5534),
    [anon_sym_constinit] = ACTIONS(5534),
    [anon_sym_consteval] = ACTIONS(5534),
    [sym_primitive_type] = ACTIONS(5534),
    [anon_sym_enum] = ACTIONS(5534),
    [anon_sym_class] = ACTIONS(5534),
    [anon_sym_struct] = ACTIONS(5534),
    [anon_sym_union] = ACTIONS(5534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
    [anon_sym_virtual] = ACTIONS(5534),
    [anon_sym_alignas] = ACTIONS(5534),
    [anon_sym_explicit] = ACTIONS(5534),
    [anon_sym_typename] = ACTIONS(5534),
    [anon_sym_template] = ACTIONS(5534),
    [anon_sym_operator] = ACTIONS(5534),
    [anon_sym_friend] = ACTIONS(5534),
    [anon_sym_public] = ACTIONS(5534),
    [anon_sym_private] = ACTIONS(5534),
    [anon_sym_protected] = ACTIONS(5534),
    [anon_sym_using] = ACTIONS(5534),
    [anon_sym_static_assert] = ACTIONS(5534),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(5538),
    [aux_sym_preproc_def_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token2] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5538),
    [sym_preproc_directive] = ACTIONS(5538),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_TILDE] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym_typedef] = ACTIONS(5538),
    [anon_sym_extern] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym_COLON_COLON] = ACTIONS(5540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5540),
    [anon_sym___declspec] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_static] = ACTIONS(5538),
    [anon_sym_register] = ACTIONS(5538),
    [anon_sym_inline] = ACTIONS(5538),
    [anon_sym___inline] = ACTIONS(5538),
    [anon_sym___inline__] = ACTIONS(5538),
    [anon_sym___forceinline] = ACTIONS(5538),
    [anon_sym_thread_local] = ACTIONS(5538),
    [anon_sym___thread] = ACTIONS(5538),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [sym_primitive_type] = ACTIONS(5538),
    [anon_sym_enum] = ACTIONS(5538),
    [anon_sym_class] = ACTIONS(5538),
    [anon_sym_struct] = ACTIONS(5538),
    [anon_sym_union] = ACTIONS(5538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_virtual] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym_explicit] = ACTIONS(5538),
    [anon_sym_typename] = ACTIONS(5538),
    [anon_sym_template] = ACTIONS(5538),
    [anon_sym_operator] = ACTIONS(5538),
    [anon_sym_friend] = ACTIONS(5538),
    [anon_sym_public] = ACTIONS(5538),
    [anon_sym_private] = ACTIONS(5538),
    [anon_sym_protected] = ACTIONS(5538),
    [anon_sym_using] = ACTIONS(5538),
    [anon_sym_static_assert] = ACTIONS(5538),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_friend] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym_typedef] = ACTIONS(5542),
    [anon_sym_extern] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym___declspec] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_static] = ACTIONS(5542),
    [anon_sym_register] = ACTIONS(5542),
    [anon_sym_inline] = ACTIONS(5542),
    [anon_sym___inline] = ACTIONS(5542),
    [anon_sym___inline__] = ACTIONS(5542),
    [anon_sym___forceinline] = ACTIONS(5542),
    [anon_sym_thread_local] = ACTIONS(5542),
    [anon_sym___thread] = ACTIONS(5542),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [sym_primitive_type] = ACTIONS(5542),
    [anon_sym_enum] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(5542),
    [anon_sym_struct] = ACTIONS(5542),
    [anon_sym_union] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_virtual] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym_explicit] = ACTIONS(5542),
    [anon_sym_typename] = ACTIONS(5542),
    [anon_sym_template] = ACTIONS(5542),
    [anon_sym_operator] = ACTIONS(5542),
    [anon_sym_friend] = ACTIONS(5542),
    [anon_sym_public] = ACTIONS(5542),
    [anon_sym_private] = ACTIONS(5542),
    [anon_sym_protected] = ACTIONS(5542),
    [anon_sym_using] = ACTIONS(5542),
    [anon_sym_static_assert] = ACTIONS(5542),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_friend] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [aux_sym_preproc_if_token2] = ACTIONS(5103),
    [aux_sym_preproc_else_token1] = ACTIONS(5103),
    [aux_sym_preproc_elif_token1] = ACTIONS(5101),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5103),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5101),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5101),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5101),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5101),
    [anon_sym_GT_GT] = ACTIONS(5101),
    [anon_sym_SEMI] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_RBRACE] = ACTIONS(5103),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_RBRACK] = ACTIONS(5103),
    [anon_sym_EQ] = ACTIONS(5101),
    [anon_sym_COLON] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_STAR_EQ] = ACTIONS(5103),
    [anon_sym_SLASH_EQ] = ACTIONS(5103),
    [anon_sym_PERCENT_EQ] = ACTIONS(5103),
    [anon_sym_PLUS_EQ] = ACTIONS(5103),
    [anon_sym_DASH_EQ] = ACTIONS(5103),
    [anon_sym_LT_LT_EQ] = ACTIONS(5103),
    [anon_sym_GT_GT_EQ] = ACTIONS(5103),
    [anon_sym_AMP_EQ] = ACTIONS(5103),
    [anon_sym_CARET_EQ] = ACTIONS(5103),
    [anon_sym_PIPE_EQ] = ACTIONS(5103),
    [anon_sym_and_eq] = ACTIONS(5101),
    [anon_sym_or_eq] = ACTIONS(5101),
    [anon_sym_xor_eq] = ACTIONS(5101),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_final] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(5538),
    [aux_sym_preproc_def_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token2] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5538),
    [sym_preproc_directive] = ACTIONS(5538),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_TILDE] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym_typedef] = ACTIONS(5538),
    [anon_sym_extern] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym_COLON_COLON] = ACTIONS(5540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5540),
    [anon_sym___declspec] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_static] = ACTIONS(5538),
    [anon_sym_register] = ACTIONS(5538),
    [anon_sym_inline] = ACTIONS(5538),
    [anon_sym___inline] = ACTIONS(5538),
    [anon_sym___inline__] = ACTIONS(5538),
    [anon_sym___forceinline] = ACTIONS(5538),
    [anon_sym_thread_local] = ACTIONS(5538),
    [anon_sym___thread] = ACTIONS(5538),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [sym_primitive_type] = ACTIONS(5538),
    [anon_sym_enum] = ACTIONS(5538),
    [anon_sym_class] = ACTIONS(5538),
    [anon_sym_struct] = ACTIONS(5538),
    [anon_sym_union] = ACTIONS(5538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_virtual] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym_explicit] = ACTIONS(5538),
    [anon_sym_typename] = ACTIONS(5538),
    [anon_sym_template] = ACTIONS(5538),
    [anon_sym_operator] = ACTIONS(5538),
    [anon_sym_friend] = ACTIONS(5538),
    [anon_sym_public] = ACTIONS(5538),
    [anon_sym_private] = ACTIONS(5538),
    [anon_sym_protected] = ACTIONS(5538),
    [anon_sym_using] = ACTIONS(5538),
    [anon_sym_static_assert] = ACTIONS(5538),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym_typedef] = ACTIONS(5542),
    [anon_sym_extern] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym___declspec] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_static] = ACTIONS(5542),
    [anon_sym_register] = ACTIONS(5542),
    [anon_sym_inline] = ACTIONS(5542),
    [anon_sym___inline] = ACTIONS(5542),
    [anon_sym___inline__] = ACTIONS(5542),
    [anon_sym___forceinline] = ACTIONS(5542),
    [anon_sym_thread_local] = ACTIONS(5542),
    [anon_sym___thread] = ACTIONS(5542),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [sym_primitive_type] = ACTIONS(5542),
    [anon_sym_enum] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(5542),
    [anon_sym_struct] = ACTIONS(5542),
    [anon_sym_union] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_virtual] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym_explicit] = ACTIONS(5542),
    [anon_sym_typename] = ACTIONS(5542),
    [anon_sym_template] = ACTIONS(5542),
    [anon_sym_operator] = ACTIONS(5542),
    [anon_sym_friend] = ACTIONS(5542),
    [anon_sym_public] = ACTIONS(5542),
    [anon_sym_private] = ACTIONS(5542),
    [anon_sym_protected] = ACTIONS(5542),
    [anon_sym_using] = ACTIONS(5542),
    [anon_sym_static_assert] = ACTIONS(5542),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(5546),
    [aux_sym_preproc_def_token1] = ACTIONS(5546),
    [aux_sym_preproc_if_token1] = ACTIONS(5546),
    [aux_sym_preproc_if_token2] = ACTIONS(5546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5546),
    [aux_sym_preproc_else_token1] = ACTIONS(5546),
    [aux_sym_preproc_elif_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5546),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5546),
    [sym_preproc_directive] = ACTIONS(5546),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_TILDE] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym___extension__] = ACTIONS(5546),
    [anon_sym_typedef] = ACTIONS(5546),
    [anon_sym_extern] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym_COLON_COLON] = ACTIONS(5548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5548),
    [anon_sym___declspec] = ACTIONS(5546),
    [anon_sym___based] = ACTIONS(5546),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_static] = ACTIONS(5546),
    [anon_sym_register] = ACTIONS(5546),
    [anon_sym_inline] = ACTIONS(5546),
    [anon_sym___inline] = ACTIONS(5546),
    [anon_sym___inline__] = ACTIONS(5546),
    [anon_sym___forceinline] = ACTIONS(5546),
    [anon_sym_thread_local] = ACTIONS(5546),
    [anon_sym___thread] = ACTIONS(5546),
    [anon_sym_const] = ACTIONS(5546),
    [anon_sym_constexpr] = ACTIONS(5546),
    [anon_sym_volatile] = ACTIONS(5546),
    [anon_sym_restrict] = ACTIONS(5546),
    [anon_sym___restrict__] = ACTIONS(5546),
    [anon_sym__Atomic] = ACTIONS(5546),
    [anon_sym__Noreturn] = ACTIONS(5546),
    [anon_sym_noreturn] = ACTIONS(5546),
    [anon_sym_mutable] = ACTIONS(5546),
    [anon_sym_constinit] = ACTIONS(5546),
    [anon_sym_consteval] = ACTIONS(5546),
    [sym_primitive_type] = ACTIONS(5546),
    [anon_sym_enum] = ACTIONS(5546),
    [anon_sym_class] = ACTIONS(5546),
    [anon_sym_struct] = ACTIONS(5546),
    [anon_sym_union] = ACTIONS(5546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
    [anon_sym_virtual] = ACTIONS(5546),
    [anon_sym_alignas] = ACTIONS(5546),
    [anon_sym_explicit] = ACTIONS(5546),
    [anon_sym_typename] = ACTIONS(5546),
    [anon_sym_template] = ACTIONS(5546),
    [anon_sym_operator] = ACTIONS(5546),
    [anon_sym_friend] = ACTIONS(5546),
    [anon_sym_public] = ACTIONS(5546),
    [anon_sym_private] = ACTIONS(5546),
    [anon_sym_protected] = ACTIONS(5546),
    [anon_sym_using] = ACTIONS(5546),
    [anon_sym_static_assert] = ACTIONS(5546),
  },
  [2184] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [aux_sym_preproc_if_token2] = ACTIONS(5119),
    [aux_sym_preproc_else_token1] = ACTIONS(5119),
    [aux_sym_preproc_elif_token1] = ACTIONS(5117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5119),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5117),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5117),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5117),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5117),
    [anon_sym_GT_GT] = ACTIONS(5117),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_RBRACK] = ACTIONS(5119),
    [anon_sym_EQ] = ACTIONS(5117),
    [anon_sym_COLON] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_STAR_EQ] = ACTIONS(5119),
    [anon_sym_SLASH_EQ] = ACTIONS(5119),
    [anon_sym_PERCENT_EQ] = ACTIONS(5119),
    [anon_sym_PLUS_EQ] = ACTIONS(5119),
    [anon_sym_DASH_EQ] = ACTIONS(5119),
    [anon_sym_LT_LT_EQ] = ACTIONS(5119),
    [anon_sym_GT_GT_EQ] = ACTIONS(5119),
    [anon_sym_AMP_EQ] = ACTIONS(5119),
    [anon_sym_CARET_EQ] = ACTIONS(5119),
    [anon_sym_PIPE_EQ] = ACTIONS(5119),
    [anon_sym_and_eq] = ACTIONS(5117),
    [anon_sym_or_eq] = ACTIONS(5117),
    [anon_sym_xor_eq] = ACTIONS(5117),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_final] = ACTIONS(5117),
    [anon_sym_override] = ACTIONS(5117),
  },
  [2185] = {
    [sym_string_literal] = STATE(2065),
    [sym_raw_string_literal] = STATE(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4135),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4127),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [aux_sym_preproc_if_token2] = ACTIONS(5127),
    [aux_sym_preproc_else_token1] = ACTIONS(5127),
    [aux_sym_preproc_elif_token1] = ACTIONS(5125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5125),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5125),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5125),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5125),
    [anon_sym_GT_GT] = ACTIONS(5125),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_EQ] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_STAR_EQ] = ACTIONS(5127),
    [anon_sym_SLASH_EQ] = ACTIONS(5127),
    [anon_sym_PERCENT_EQ] = ACTIONS(5127),
    [anon_sym_PLUS_EQ] = ACTIONS(5127),
    [anon_sym_DASH_EQ] = ACTIONS(5127),
    [anon_sym_LT_LT_EQ] = ACTIONS(5127),
    [anon_sym_GT_GT_EQ] = ACTIONS(5127),
    [anon_sym_AMP_EQ] = ACTIONS(5127),
    [anon_sym_CARET_EQ] = ACTIONS(5127),
    [anon_sym_PIPE_EQ] = ACTIONS(5127),
    [anon_sym_and_eq] = ACTIONS(5125),
    [anon_sym_or_eq] = ACTIONS(5125),
    [anon_sym_xor_eq] = ACTIONS(5125),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_friend] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [aux_sym_preproc_if_token2] = ACTIONS(5115),
    [aux_sym_preproc_else_token1] = ACTIONS(5115),
    [aux_sym_preproc_elif_token1] = ACTIONS(5113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5113),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5113),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5113),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5113),
    [anon_sym_GT_GT] = ACTIONS(5113),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_LBRACK] = ACTIONS(5115),
    [anon_sym_RBRACK] = ACTIONS(5115),
    [anon_sym_EQ] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_STAR_EQ] = ACTIONS(5115),
    [anon_sym_SLASH_EQ] = ACTIONS(5115),
    [anon_sym_PERCENT_EQ] = ACTIONS(5115),
    [anon_sym_PLUS_EQ] = ACTIONS(5115),
    [anon_sym_DASH_EQ] = ACTIONS(5115),
    [anon_sym_LT_LT_EQ] = ACTIONS(5115),
    [anon_sym_GT_GT_EQ] = ACTIONS(5115),
    [anon_sym_AMP_EQ] = ACTIONS(5115),
    [anon_sym_CARET_EQ] = ACTIONS(5115),
    [anon_sym_PIPE_EQ] = ACTIONS(5115),
    [anon_sym_and_eq] = ACTIONS(5113),
    [anon_sym_or_eq] = ACTIONS(5113),
    [anon_sym_xor_eq] = ACTIONS(5113),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_friend] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [aux_sym_preproc_if_token2] = ACTIONS(5111),
    [aux_sym_preproc_else_token1] = ACTIONS(5111),
    [aux_sym_preproc_elif_token1] = ACTIONS(5109),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5111),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5109),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5109),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5109),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5109),
    [anon_sym_GT_GT] = ACTIONS(5109),
    [anon_sym_SEMI] = ACTIONS(5111),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_RBRACE] = ACTIONS(5111),
    [anon_sym_LBRACK] = ACTIONS(5111),
    [anon_sym_RBRACK] = ACTIONS(5111),
    [anon_sym_EQ] = ACTIONS(5109),
    [anon_sym_COLON] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_STAR_EQ] = ACTIONS(5111),
    [anon_sym_SLASH_EQ] = ACTIONS(5111),
    [anon_sym_PERCENT_EQ] = ACTIONS(5111),
    [anon_sym_PLUS_EQ] = ACTIONS(5111),
    [anon_sym_DASH_EQ] = ACTIONS(5111),
    [anon_sym_LT_LT_EQ] = ACTIONS(5111),
    [anon_sym_GT_GT_EQ] = ACTIONS(5111),
    [anon_sym_AMP_EQ] = ACTIONS(5111),
    [anon_sym_CARET_EQ] = ACTIONS(5111),
    [anon_sym_PIPE_EQ] = ACTIONS(5111),
    [anon_sym_and_eq] = ACTIONS(5109),
    [anon_sym_or_eq] = ACTIONS(5109),
    [anon_sym_xor_eq] = ACTIONS(5109),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_final] = ACTIONS(5109),
    [anon_sym_override] = ACTIONS(5109),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [aux_sym_preproc_if_token2] = ACTIONS(5107),
    [aux_sym_preproc_else_token1] = ACTIONS(5107),
    [aux_sym_preproc_elif_token1] = ACTIONS(5105),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5107),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5105),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5105),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5105),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5105),
    [anon_sym_GT_GT] = ACTIONS(5105),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_RBRACK] = ACTIONS(5107),
    [anon_sym_EQ] = ACTIONS(5105),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_STAR_EQ] = ACTIONS(5107),
    [anon_sym_SLASH_EQ] = ACTIONS(5107),
    [anon_sym_PERCENT_EQ] = ACTIONS(5107),
    [anon_sym_PLUS_EQ] = ACTIONS(5107),
    [anon_sym_DASH_EQ] = ACTIONS(5107),
    [anon_sym_LT_LT_EQ] = ACTIONS(5107),
    [anon_sym_GT_GT_EQ] = ACTIONS(5107),
    [anon_sym_AMP_EQ] = ACTIONS(5107),
    [anon_sym_CARET_EQ] = ACTIONS(5107),
    [anon_sym_PIPE_EQ] = ACTIONS(5107),
    [anon_sym_and_eq] = ACTIONS(5105),
    [anon_sym_or_eq] = ACTIONS(5105),
    [anon_sym_xor_eq] = ACTIONS(5105),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_final] = ACTIONS(5105),
    [anon_sym_override] = ACTIONS(5105),
  },
  [2192] = {
    [sym_decltype_auto] = STATE(2307),
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym___based] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5550),
    [anon_sym_unsigned] = ACTIONS(5550),
    [anon_sym_long] = ACTIONS(5550),
    [anon_sym_short] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5550),
    [anon_sym_constexpr] = ACTIONS(5550),
    [anon_sym_volatile] = ACTIONS(5550),
    [anon_sym_restrict] = ACTIONS(5550),
    [anon_sym___restrict__] = ACTIONS(5550),
    [anon_sym__Atomic] = ACTIONS(5550),
    [anon_sym__Noreturn] = ACTIONS(5550),
    [anon_sym_noreturn] = ACTIONS(5550),
    [anon_sym_mutable] = ACTIONS(5550),
    [anon_sym_constinit] = ACTIONS(5550),
    [anon_sym_consteval] = ACTIONS(5550),
    [sym_primitive_type] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5554),
    [anon_sym_decltype] = ACTIONS(5556),
    [anon_sym_final] = ACTIONS(5550),
    [anon_sym_override] = ACTIONS(5550),
    [anon_sym_requires] = ACTIONS(5550),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5558),
    [aux_sym_preproc_def_token1] = ACTIONS(5558),
    [aux_sym_preproc_if_token1] = ACTIONS(5558),
    [aux_sym_preproc_if_token2] = ACTIONS(5558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5558),
    [aux_sym_preproc_else_token1] = ACTIONS(5558),
    [aux_sym_preproc_elif_token1] = ACTIONS(5558),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5558),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5558),
    [sym_preproc_directive] = ACTIONS(5558),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_TILDE] = ACTIONS(5560),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym___extension__] = ACTIONS(5558),
    [anon_sym_typedef] = ACTIONS(5558),
    [anon_sym_extern] = ACTIONS(5558),
    [anon_sym___attribute__] = ACTIONS(5558),
    [anon_sym_COLON_COLON] = ACTIONS(5560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5560),
    [anon_sym___declspec] = ACTIONS(5558),
    [anon_sym___based] = ACTIONS(5558),
    [anon_sym_signed] = ACTIONS(5558),
    [anon_sym_unsigned] = ACTIONS(5558),
    [anon_sym_long] = ACTIONS(5558),
    [anon_sym_short] = ACTIONS(5558),
    [anon_sym_LBRACK] = ACTIONS(5558),
    [anon_sym_static] = ACTIONS(5558),
    [anon_sym_register] = ACTIONS(5558),
    [anon_sym_inline] = ACTIONS(5558),
    [anon_sym___inline] = ACTIONS(5558),
    [anon_sym___inline__] = ACTIONS(5558),
    [anon_sym___forceinline] = ACTIONS(5558),
    [anon_sym_thread_local] = ACTIONS(5558),
    [anon_sym___thread] = ACTIONS(5558),
    [anon_sym_const] = ACTIONS(5558),
    [anon_sym_constexpr] = ACTIONS(5558),
    [anon_sym_volatile] = ACTIONS(5558),
    [anon_sym_restrict] = ACTIONS(5558),
    [anon_sym___restrict__] = ACTIONS(5558),
    [anon_sym__Atomic] = ACTIONS(5558),
    [anon_sym__Noreturn] = ACTIONS(5558),
    [anon_sym_noreturn] = ACTIONS(5558),
    [anon_sym_mutable] = ACTIONS(5558),
    [anon_sym_constinit] = ACTIONS(5558),
    [anon_sym_consteval] = ACTIONS(5558),
    [sym_primitive_type] = ACTIONS(5558),
    [anon_sym_enum] = ACTIONS(5558),
    [anon_sym_class] = ACTIONS(5558),
    [anon_sym_struct] = ACTIONS(5558),
    [anon_sym_union] = ACTIONS(5558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5558),
    [anon_sym_decltype] = ACTIONS(5558),
    [anon_sym_virtual] = ACTIONS(5558),
    [anon_sym_alignas] = ACTIONS(5558),
    [anon_sym_explicit] = ACTIONS(5558),
    [anon_sym_typename] = ACTIONS(5558),
    [anon_sym_template] = ACTIONS(5558),
    [anon_sym_operator] = ACTIONS(5558),
    [anon_sym_friend] = ACTIONS(5558),
    [anon_sym_public] = ACTIONS(5558),
    [anon_sym_private] = ACTIONS(5558),
    [anon_sym_protected] = ACTIONS(5558),
    [anon_sym_using] = ACTIONS(5558),
    [anon_sym_static_assert] = ACTIONS(5558),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(5562),
    [aux_sym_preproc_def_token1] = ACTIONS(5562),
    [aux_sym_preproc_if_token1] = ACTIONS(5562),
    [aux_sym_preproc_if_token2] = ACTIONS(5562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5562),
    [aux_sym_preproc_else_token1] = ACTIONS(5562),
    [aux_sym_preproc_elif_token1] = ACTIONS(5562),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5562),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5562),
    [sym_preproc_directive] = ACTIONS(5562),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [anon_sym_TILDE] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym___extension__] = ACTIONS(5562),
    [anon_sym_typedef] = ACTIONS(5562),
    [anon_sym_extern] = ACTIONS(5562),
    [anon_sym___attribute__] = ACTIONS(5562),
    [anon_sym_COLON_COLON] = ACTIONS(5564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5564),
    [anon_sym___declspec] = ACTIONS(5562),
    [anon_sym___based] = ACTIONS(5562),
    [anon_sym_signed] = ACTIONS(5562),
    [anon_sym_unsigned] = ACTIONS(5562),
    [anon_sym_long] = ACTIONS(5562),
    [anon_sym_short] = ACTIONS(5562),
    [anon_sym_LBRACK] = ACTIONS(5562),
    [anon_sym_static] = ACTIONS(5562),
    [anon_sym_register] = ACTIONS(5562),
    [anon_sym_inline] = ACTIONS(5562),
    [anon_sym___inline] = ACTIONS(5562),
    [anon_sym___inline__] = ACTIONS(5562),
    [anon_sym___forceinline] = ACTIONS(5562),
    [anon_sym_thread_local] = ACTIONS(5562),
    [anon_sym___thread] = ACTIONS(5562),
    [anon_sym_const] = ACTIONS(5562),
    [anon_sym_constexpr] = ACTIONS(5562),
    [anon_sym_volatile] = ACTIONS(5562),
    [anon_sym_restrict] = ACTIONS(5562),
    [anon_sym___restrict__] = ACTIONS(5562),
    [anon_sym__Atomic] = ACTIONS(5562),
    [anon_sym__Noreturn] = ACTIONS(5562),
    [anon_sym_noreturn] = ACTIONS(5562),
    [anon_sym_mutable] = ACTIONS(5562),
    [anon_sym_constinit] = ACTIONS(5562),
    [anon_sym_consteval] = ACTIONS(5562),
    [sym_primitive_type] = ACTIONS(5562),
    [anon_sym_enum] = ACTIONS(5562),
    [anon_sym_class] = ACTIONS(5562),
    [anon_sym_struct] = ACTIONS(5562),
    [anon_sym_union] = ACTIONS(5562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5562),
    [anon_sym_decltype] = ACTIONS(5562),
    [anon_sym_virtual] = ACTIONS(5562),
    [anon_sym_alignas] = ACTIONS(5562),
    [anon_sym_explicit] = ACTIONS(5562),
    [anon_sym_typename] = ACTIONS(5562),
    [anon_sym_template] = ACTIONS(5562),
    [anon_sym_operator] = ACTIONS(5562),
    [anon_sym_friend] = ACTIONS(5562),
    [anon_sym_public] = ACTIONS(5562),
    [anon_sym_private] = ACTIONS(5562),
    [anon_sym_protected] = ACTIONS(5562),
    [anon_sym_using] = ACTIONS(5562),
    [anon_sym_static_assert] = ACTIONS(5562),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(5566),
    [aux_sym_preproc_def_token1] = ACTIONS(5566),
    [aux_sym_preproc_if_token1] = ACTIONS(5566),
    [aux_sym_preproc_if_token2] = ACTIONS(5566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5566),
    [aux_sym_preproc_else_token1] = ACTIONS(5566),
    [aux_sym_preproc_elif_token1] = ACTIONS(5566),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5566),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5566),
    [sym_preproc_directive] = ACTIONS(5566),
    [anon_sym_LPAREN2] = ACTIONS(5568),
    [anon_sym_TILDE] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5566),
    [anon_sym_typedef] = ACTIONS(5566),
    [anon_sym_extern] = ACTIONS(5566),
    [anon_sym___attribute__] = ACTIONS(5566),
    [anon_sym_COLON_COLON] = ACTIONS(5568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5568),
    [anon_sym___declspec] = ACTIONS(5566),
    [anon_sym___based] = ACTIONS(5566),
    [anon_sym_signed] = ACTIONS(5566),
    [anon_sym_unsigned] = ACTIONS(5566),
    [anon_sym_long] = ACTIONS(5566),
    [anon_sym_short] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_static] = ACTIONS(5566),
    [anon_sym_register] = ACTIONS(5566),
    [anon_sym_inline] = ACTIONS(5566),
    [anon_sym___inline] = ACTIONS(5566),
    [anon_sym___inline__] = ACTIONS(5566),
    [anon_sym___forceinline] = ACTIONS(5566),
    [anon_sym_thread_local] = ACTIONS(5566),
    [anon_sym___thread] = ACTIONS(5566),
    [anon_sym_const] = ACTIONS(5566),
    [anon_sym_constexpr] = ACTIONS(5566),
    [anon_sym_volatile] = ACTIONS(5566),
    [anon_sym_restrict] = ACTIONS(5566),
    [anon_sym___restrict__] = ACTIONS(5566),
    [anon_sym__Atomic] = ACTIONS(5566),
    [anon_sym__Noreturn] = ACTIONS(5566),
    [anon_sym_noreturn] = ACTIONS(5566),
    [anon_sym_mutable] = ACTIONS(5566),
    [anon_sym_constinit] = ACTIONS(5566),
    [anon_sym_consteval] = ACTIONS(5566),
    [sym_primitive_type] = ACTIONS(5566),
    [anon_sym_enum] = ACTIONS(5566),
    [anon_sym_class] = ACTIONS(5566),
    [anon_sym_struct] = ACTIONS(5566),
    [anon_sym_union] = ACTIONS(5566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5566),
    [anon_sym_decltype] = ACTIONS(5566),
    [anon_sym_virtual] = ACTIONS(5566),
    [anon_sym_alignas] = ACTIONS(5566),
    [anon_sym_explicit] = ACTIONS(5566),
    [anon_sym_typename] = ACTIONS(5566),
    [anon_sym_template] = ACTIONS(5566),
    [anon_sym_operator] = ACTIONS(5566),
    [anon_sym_friend] = ACTIONS(5566),
    [anon_sym_public] = ACTIONS(5566),
    [anon_sym_private] = ACTIONS(5566),
    [anon_sym_protected] = ACTIONS(5566),
    [anon_sym_using] = ACTIONS(5566),
    [anon_sym_static_assert] = ACTIONS(5566),
  },
  [2196] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5572),
    [anon_sym_TILDE] = ACTIONS(5572),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym_typedef] = ACTIONS(5570),
    [anon_sym_extern] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym_COLON_COLON] = ACTIONS(5572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5572),
    [anon_sym___declspec] = ACTIONS(5570),
    [anon_sym___based] = ACTIONS(5570),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5570),
    [anon_sym_static] = ACTIONS(5570),
    [anon_sym_register] = ACTIONS(5570),
    [anon_sym_inline] = ACTIONS(5570),
    [anon_sym___inline] = ACTIONS(5570),
    [anon_sym___inline__] = ACTIONS(5570),
    [anon_sym___forceinline] = ACTIONS(5570),
    [anon_sym_thread_local] = ACTIONS(5570),
    [anon_sym___thread] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_mutable] = ACTIONS(5570),
    [anon_sym_constinit] = ACTIONS(5570),
    [anon_sym_consteval] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_class] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5570),
    [anon_sym_decltype] = ACTIONS(5570),
    [anon_sym_virtual] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym_explicit] = ACTIONS(5570),
    [anon_sym_typename] = ACTIONS(5570),
    [anon_sym_template] = ACTIONS(5570),
    [anon_sym_operator] = ACTIONS(5570),
    [anon_sym_friend] = ACTIONS(5570),
    [anon_sym_public] = ACTIONS(5570),
    [anon_sym_private] = ACTIONS(5570),
    [anon_sym_protected] = ACTIONS(5570),
    [anon_sym_using] = ACTIONS(5570),
    [anon_sym_static_assert] = ACTIONS(5570),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_def_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token2] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5574),
    [aux_sym_preproc_else_token1] = ACTIONS(5574),
    [aux_sym_preproc_elif_token1] = ACTIONS(5574),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5574),
    [sym_preproc_directive] = ACTIONS(5574),
    [anon_sym_LPAREN2] = ACTIONS(5576),
    [anon_sym_TILDE] = ACTIONS(5576),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym_typedef] = ACTIONS(5574),
    [anon_sym_extern] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym_COLON_COLON] = ACTIONS(5576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5576),
    [anon_sym___declspec] = ACTIONS(5574),
    [anon_sym___based] = ACTIONS(5574),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [anon_sym_static] = ACTIONS(5574),
    [anon_sym_register] = ACTIONS(5574),
    [anon_sym_inline] = ACTIONS(5574),
    [anon_sym___inline] = ACTIONS(5574),
    [anon_sym___inline__] = ACTIONS(5574),
    [anon_sym___forceinline] = ACTIONS(5574),
    [anon_sym_thread_local] = ACTIONS(5574),
    [anon_sym___thread] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_mutable] = ACTIONS(5574),
    [anon_sym_constinit] = ACTIONS(5574),
    [anon_sym_consteval] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_class] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5574),
    [anon_sym_decltype] = ACTIONS(5574),
    [anon_sym_virtual] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym_explicit] = ACTIONS(5574),
    [anon_sym_typename] = ACTIONS(5574),
    [anon_sym_template] = ACTIONS(5574),
    [anon_sym_operator] = ACTIONS(5574),
    [anon_sym_friend] = ACTIONS(5574),
    [anon_sym_public] = ACTIONS(5574),
    [anon_sym_private] = ACTIONS(5574),
    [anon_sym_protected] = ACTIONS(5574),
    [anon_sym_using] = ACTIONS(5574),
    [anon_sym_static_assert] = ACTIONS(5574),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [aux_sym_preproc_else_token1] = ACTIONS(5578),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_TILDE] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym___extension__] = ACTIONS(5578),
    [anon_sym_typedef] = ACTIONS(5578),
    [anon_sym_extern] = ACTIONS(5578),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym_COLON_COLON] = ACTIONS(5580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5580),
    [anon_sym___declspec] = ACTIONS(5578),
    [anon_sym___based] = ACTIONS(5578),
    [anon_sym_signed] = ACTIONS(5578),
    [anon_sym_unsigned] = ACTIONS(5578),
    [anon_sym_long] = ACTIONS(5578),
    [anon_sym_short] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5578),
    [anon_sym_static] = ACTIONS(5578),
    [anon_sym_register] = ACTIONS(5578),
    [anon_sym_inline] = ACTIONS(5578),
    [anon_sym___inline] = ACTIONS(5578),
    [anon_sym___inline__] = ACTIONS(5578),
    [anon_sym___forceinline] = ACTIONS(5578),
    [anon_sym_thread_local] = ACTIONS(5578),
    [anon_sym___thread] = ACTIONS(5578),
    [anon_sym_const] = ACTIONS(5578),
    [anon_sym_constexpr] = ACTIONS(5578),
    [anon_sym_volatile] = ACTIONS(5578),
    [anon_sym_restrict] = ACTIONS(5578),
    [anon_sym___restrict__] = ACTIONS(5578),
    [anon_sym__Atomic] = ACTIONS(5578),
    [anon_sym__Noreturn] = ACTIONS(5578),
    [anon_sym_noreturn] = ACTIONS(5578),
    [anon_sym_mutable] = ACTIONS(5578),
    [anon_sym_constinit] = ACTIONS(5578),
    [anon_sym_consteval] = ACTIONS(5578),
    [sym_primitive_type] = ACTIONS(5578),
    [anon_sym_enum] = ACTIONS(5578),
    [anon_sym_class] = ACTIONS(5578),
    [anon_sym_struct] = ACTIONS(5578),
    [anon_sym_union] = ACTIONS(5578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
    [anon_sym_virtual] = ACTIONS(5578),
    [anon_sym_alignas] = ACTIONS(5578),
    [anon_sym_explicit] = ACTIONS(5578),
    [anon_sym_typename] = ACTIONS(5578),
    [anon_sym_template] = ACTIONS(5578),
    [anon_sym_operator] = ACTIONS(5578),
    [anon_sym_friend] = ACTIONS(5578),
    [anon_sym_public] = ACTIONS(5578),
    [anon_sym_private] = ACTIONS(5578),
    [anon_sym_protected] = ACTIONS(5578),
    [anon_sym_using] = ACTIONS(5578),
    [anon_sym_static_assert] = ACTIONS(5578),
  },
  [2199] = {
    [sym_identifier] = ACTIONS(5582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5584),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_CARET] = ACTIONS(5584),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5582),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5584),
    [anon_sym_GT_GT] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym___extension__] = ACTIONS(5582),
    [anon_sym___attribute__] = ACTIONS(5582),
    [anon_sym_COLON_COLON] = ACTIONS(5584),
    [anon_sym___based] = ACTIONS(5582),
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_signed] = ACTIONS(5582),
    [anon_sym_unsigned] = ACTIONS(5582),
    [anon_sym_long] = ACTIONS(5582),
    [anon_sym_short] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_const] = ACTIONS(5582),
    [anon_sym_constexpr] = ACTIONS(5582),
    [anon_sym_volatile] = ACTIONS(5582),
    [anon_sym_restrict] = ACTIONS(5582),
    [anon_sym___restrict__] = ACTIONS(5582),
    [anon_sym__Atomic] = ACTIONS(5582),
    [anon_sym__Noreturn] = ACTIONS(5582),
    [anon_sym_noreturn] = ACTIONS(5582),
    [anon_sym_mutable] = ACTIONS(5582),
    [anon_sym_constinit] = ACTIONS(5582),
    [anon_sym_consteval] = ACTIONS(5582),
    [sym_primitive_type] = ACTIONS(5582),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_LT_EQ_GT] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_and] = ACTIONS(5582),
    [anon_sym_bitor] = ACTIONS(5582),
    [anon_sym_xor] = ACTIONS(5582),
    [anon_sym_bitand] = ACTIONS(5582),
    [anon_sym_not_eq] = ACTIONS(5582),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_DOT_STAR] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5582),
    [anon_sym_decltype] = ACTIONS(5582),
    [anon_sym_final] = ACTIONS(5582),
    [anon_sym_override] = ACTIONS(5582),
    [anon_sym_requires] = ACTIONS(5582),
  },
  [2200] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_def_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5586),
    [sym_preproc_directive] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5588),
    [anon_sym_TILDE] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym_typedef] = ACTIONS(5586),
    [anon_sym_extern] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym_COLON_COLON] = ACTIONS(5588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5588),
    [anon_sym___declspec] = ACTIONS(5586),
    [anon_sym___based] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_static] = ACTIONS(5586),
    [anon_sym_register] = ACTIONS(5586),
    [anon_sym_inline] = ACTIONS(5586),
    [anon_sym___inline] = ACTIONS(5586),
    [anon_sym___inline__] = ACTIONS(5586),
    [anon_sym___forceinline] = ACTIONS(5586),
    [anon_sym_thread_local] = ACTIONS(5586),
    [anon_sym___thread] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_mutable] = ACTIONS(5586),
    [anon_sym_constinit] = ACTIONS(5586),
    [anon_sym_consteval] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_class] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
    [anon_sym_virtual] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym_explicit] = ACTIONS(5586),
    [anon_sym_typename] = ACTIONS(5586),
    [anon_sym_template] = ACTIONS(5586),
    [anon_sym_operator] = ACTIONS(5586),
    [anon_sym_friend] = ACTIONS(5586),
    [anon_sym_public] = ACTIONS(5586),
    [anon_sym_private] = ACTIONS(5586),
    [anon_sym_protected] = ACTIONS(5586),
    [anon_sym_using] = ACTIONS(5586),
    [anon_sym_static_assert] = ACTIONS(5586),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5590),
    [aux_sym_preproc_def_token1] = ACTIONS(5590),
    [aux_sym_preproc_if_token1] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5590),
    [sym_preproc_directive] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_TILDE] = ACTIONS(5592),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5590),
    [anon_sym_typedef] = ACTIONS(5590),
    [anon_sym_extern] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym_COLON_COLON] = ACTIONS(5592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5592),
    [anon_sym___declspec] = ACTIONS(5590),
    [anon_sym___based] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(5590),
    [anon_sym_unsigned] = ACTIONS(5590),
    [anon_sym_long] = ACTIONS(5590),
    [anon_sym_short] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_static] = ACTIONS(5590),
    [anon_sym_register] = ACTIONS(5590),
    [anon_sym_inline] = ACTIONS(5590),
    [anon_sym___inline] = ACTIONS(5590),
    [anon_sym___inline__] = ACTIONS(5590),
    [anon_sym___forceinline] = ACTIONS(5590),
    [anon_sym_thread_local] = ACTIONS(5590),
    [anon_sym___thread] = ACTIONS(5590),
    [anon_sym_const] = ACTIONS(5590),
    [anon_sym_constexpr] = ACTIONS(5590),
    [anon_sym_volatile] = ACTIONS(5590),
    [anon_sym_restrict] = ACTIONS(5590),
    [anon_sym___restrict__] = ACTIONS(5590),
    [anon_sym__Atomic] = ACTIONS(5590),
    [anon_sym__Noreturn] = ACTIONS(5590),
    [anon_sym_noreturn] = ACTIONS(5590),
    [anon_sym_mutable] = ACTIONS(5590),
    [anon_sym_constinit] = ACTIONS(5590),
    [anon_sym_consteval] = ACTIONS(5590),
    [sym_primitive_type] = ACTIONS(5590),
    [anon_sym_enum] = ACTIONS(5590),
    [anon_sym_class] = ACTIONS(5590),
    [anon_sym_struct] = ACTIONS(5590),
    [anon_sym_union] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
    [anon_sym_virtual] = ACTIONS(5590),
    [anon_sym_alignas] = ACTIONS(5590),
    [anon_sym_explicit] = ACTIONS(5590),
    [anon_sym_typename] = ACTIONS(5590),
    [anon_sym_template] = ACTIONS(5590),
    [anon_sym_operator] = ACTIONS(5590),
    [anon_sym_friend] = ACTIONS(5590),
    [anon_sym_public] = ACTIONS(5590),
    [anon_sym_private] = ACTIONS(5590),
    [anon_sym_protected] = ACTIONS(5590),
    [anon_sym_using] = ACTIONS(5590),
    [anon_sym_static_assert] = ACTIONS(5590),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym_typedef] = ACTIONS(5594),
    [anon_sym_extern] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5596),
    [anon_sym___declspec] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_static] = ACTIONS(5594),
    [anon_sym_register] = ACTIONS(5594),
    [anon_sym_inline] = ACTIONS(5594),
    [anon_sym___inline] = ACTIONS(5594),
    [anon_sym___inline__] = ACTIONS(5594),
    [anon_sym___forceinline] = ACTIONS(5594),
    [anon_sym_thread_local] = ACTIONS(5594),
    [anon_sym___thread] = ACTIONS(5594),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [sym_primitive_type] = ACTIONS(5594),
    [anon_sym_enum] = ACTIONS(5594),
    [anon_sym_class] = ACTIONS(5594),
    [anon_sym_struct] = ACTIONS(5594),
    [anon_sym_union] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_virtual] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym_explicit] = ACTIONS(5594),
    [anon_sym_typename] = ACTIONS(5594),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_friend] = ACTIONS(5594),
    [anon_sym_public] = ACTIONS(5594),
    [anon_sym_private] = ACTIONS(5594),
    [anon_sym_protected] = ACTIONS(5594),
    [anon_sym_using] = ACTIONS(5594),
    [anon_sym_static_assert] = ACTIONS(5594),
  },
  [2203] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2204] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2205] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym_typedef] = ACTIONS(5594),
    [anon_sym_extern] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5596),
    [anon_sym___declspec] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_static] = ACTIONS(5594),
    [anon_sym_register] = ACTIONS(5594),
    [anon_sym_inline] = ACTIONS(5594),
    [anon_sym___inline] = ACTIONS(5594),
    [anon_sym___inline__] = ACTIONS(5594),
    [anon_sym___forceinline] = ACTIONS(5594),
    [anon_sym_thread_local] = ACTIONS(5594),
    [anon_sym___thread] = ACTIONS(5594),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [sym_primitive_type] = ACTIONS(5594),
    [anon_sym_enum] = ACTIONS(5594),
    [anon_sym_class] = ACTIONS(5594),
    [anon_sym_struct] = ACTIONS(5594),
    [anon_sym_union] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_virtual] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym_explicit] = ACTIONS(5594),
    [anon_sym_typename] = ACTIONS(5594),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_friend] = ACTIONS(5594),
    [anon_sym_public] = ACTIONS(5594),
    [anon_sym_private] = ACTIONS(5594),
    [anon_sym_protected] = ACTIONS(5594),
    [anon_sym_using] = ACTIONS(5594),
    [anon_sym_static_assert] = ACTIONS(5594),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2208] = {
    [sym_identifier] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token2] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [aux_sym_preproc_else_token1] = ACTIONS(5602),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_TILDE] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_typedef] = ACTIONS(5602),
    [anon_sym_extern] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5604),
    [anon_sym___declspec] = ACTIONS(5602),
    [anon_sym___based] = ACTIONS(5602),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [anon_sym_static] = ACTIONS(5602),
    [anon_sym_register] = ACTIONS(5602),
    [anon_sym_inline] = ACTIONS(5602),
    [anon_sym___inline] = ACTIONS(5602),
    [anon_sym___inline__] = ACTIONS(5602),
    [anon_sym___forceinline] = ACTIONS(5602),
    [anon_sym_thread_local] = ACTIONS(5602),
    [anon_sym___thread] = ACTIONS(5602),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5602),
    [anon_sym_enum] = ACTIONS(5602),
    [anon_sym_class] = ACTIONS(5602),
    [anon_sym_struct] = ACTIONS(5602),
    [anon_sym_union] = ACTIONS(5602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_virtual] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5602),
    [anon_sym_explicit] = ACTIONS(5602),
    [anon_sym_typename] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5602),
    [anon_sym_operator] = ACTIONS(5602),
    [anon_sym_friend] = ACTIONS(5602),
    [anon_sym_public] = ACTIONS(5602),
    [anon_sym_private] = ACTIONS(5602),
    [anon_sym_protected] = ACTIONS(5602),
    [anon_sym_using] = ACTIONS(5602),
    [anon_sym_static_assert] = ACTIONS(5602),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token2] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [aux_sym_preproc_else_token1] = ACTIONS(5602),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_TILDE] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_typedef] = ACTIONS(5602),
    [anon_sym_extern] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5604),
    [anon_sym___declspec] = ACTIONS(5602),
    [anon_sym___based] = ACTIONS(5602),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [anon_sym_static] = ACTIONS(5602),
    [anon_sym_register] = ACTIONS(5602),
    [anon_sym_inline] = ACTIONS(5602),
    [anon_sym___inline] = ACTIONS(5602),
    [anon_sym___inline__] = ACTIONS(5602),
    [anon_sym___forceinline] = ACTIONS(5602),
    [anon_sym_thread_local] = ACTIONS(5602),
    [anon_sym___thread] = ACTIONS(5602),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5602),
    [anon_sym_enum] = ACTIONS(5602),
    [anon_sym_class] = ACTIONS(5602),
    [anon_sym_struct] = ACTIONS(5602),
    [anon_sym_union] = ACTIONS(5602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_virtual] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5602),
    [anon_sym_explicit] = ACTIONS(5602),
    [anon_sym_typename] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5602),
    [anon_sym_operator] = ACTIONS(5602),
    [anon_sym_friend] = ACTIONS(5602),
    [anon_sym_public] = ACTIONS(5602),
    [anon_sym_private] = ACTIONS(5602),
    [anon_sym_protected] = ACTIONS(5602),
    [anon_sym_using] = ACTIONS(5602),
    [anon_sym_static_assert] = ACTIONS(5602),
  },
  [2210] = {
    [sym_identifier] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5608),
    [anon_sym_TILDE] = ACTIONS(5608),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5606),
    [anon_sym_typedef] = ACTIONS(5606),
    [anon_sym_extern] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5606),
    [anon_sym_COLON_COLON] = ACTIONS(5608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5608),
    [anon_sym___declspec] = ACTIONS(5606),
    [anon_sym___based] = ACTIONS(5606),
    [anon_sym_signed] = ACTIONS(5606),
    [anon_sym_unsigned] = ACTIONS(5606),
    [anon_sym_long] = ACTIONS(5606),
    [anon_sym_short] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_static] = ACTIONS(5606),
    [anon_sym_register] = ACTIONS(5606),
    [anon_sym_inline] = ACTIONS(5606),
    [anon_sym___inline] = ACTIONS(5606),
    [anon_sym___inline__] = ACTIONS(5606),
    [anon_sym___forceinline] = ACTIONS(5606),
    [anon_sym_thread_local] = ACTIONS(5606),
    [anon_sym___thread] = ACTIONS(5606),
    [anon_sym_const] = ACTIONS(5606),
    [anon_sym_constexpr] = ACTIONS(5606),
    [anon_sym_volatile] = ACTIONS(5606),
    [anon_sym_restrict] = ACTIONS(5606),
    [anon_sym___restrict__] = ACTIONS(5606),
    [anon_sym__Atomic] = ACTIONS(5606),
    [anon_sym__Noreturn] = ACTIONS(5606),
    [anon_sym_noreturn] = ACTIONS(5606),
    [anon_sym_mutable] = ACTIONS(5606),
    [anon_sym_constinit] = ACTIONS(5606),
    [anon_sym_consteval] = ACTIONS(5606),
    [sym_primitive_type] = ACTIONS(5606),
    [anon_sym_enum] = ACTIONS(5606),
    [anon_sym_class] = ACTIONS(5606),
    [anon_sym_struct] = ACTIONS(5606),
    [anon_sym_union] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5606),
    [anon_sym_decltype] = ACTIONS(5606),
    [anon_sym_virtual] = ACTIONS(5606),
    [anon_sym_alignas] = ACTIONS(5606),
    [anon_sym_explicit] = ACTIONS(5606),
    [anon_sym_typename] = ACTIONS(5606),
    [anon_sym_template] = ACTIONS(5606),
    [anon_sym_operator] = ACTIONS(5606),
    [anon_sym_friend] = ACTIONS(5606),
    [anon_sym_public] = ACTIONS(5606),
    [anon_sym_private] = ACTIONS(5606),
    [anon_sym_protected] = ACTIONS(5606),
    [anon_sym_using] = ACTIONS(5606),
    [anon_sym_static_assert] = ACTIONS(5606),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token2] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [aux_sym_preproc_else_token1] = ACTIONS(5610),
    [aux_sym_preproc_elif_token1] = ACTIONS(5610),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_TILDE] = ACTIONS(5612),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(5610),
    [anon_sym_typedef] = ACTIONS(5610),
    [anon_sym_extern] = ACTIONS(5610),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5612),
    [anon_sym___declspec] = ACTIONS(5610),
    [anon_sym___based] = ACTIONS(5610),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [anon_sym_static] = ACTIONS(5610),
    [anon_sym_register] = ACTIONS(5610),
    [anon_sym_inline] = ACTIONS(5610),
    [anon_sym___inline] = ACTIONS(5610),
    [anon_sym___inline__] = ACTIONS(5610),
    [anon_sym___forceinline] = ACTIONS(5610),
    [anon_sym_thread_local] = ACTIONS(5610),
    [anon_sym___thread] = ACTIONS(5610),
    [anon_sym_const] = ACTIONS(5610),
    [anon_sym_constexpr] = ACTIONS(5610),
    [anon_sym_volatile] = ACTIONS(5610),
    [anon_sym_restrict] = ACTIONS(5610),
    [anon_sym___restrict__] = ACTIONS(5610),
    [anon_sym__Atomic] = ACTIONS(5610),
    [anon_sym__Noreturn] = ACTIONS(5610),
    [anon_sym_noreturn] = ACTIONS(5610),
    [anon_sym_mutable] = ACTIONS(5610),
    [anon_sym_constinit] = ACTIONS(5610),
    [anon_sym_consteval] = ACTIONS(5610),
    [sym_primitive_type] = ACTIONS(5610),
    [anon_sym_enum] = ACTIONS(5610),
    [anon_sym_class] = ACTIONS(5610),
    [anon_sym_struct] = ACTIONS(5610),
    [anon_sym_union] = ACTIONS(5610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
    [anon_sym_virtual] = ACTIONS(5610),
    [anon_sym_alignas] = ACTIONS(5610),
    [anon_sym_explicit] = ACTIONS(5610),
    [anon_sym_typename] = ACTIONS(5610),
    [anon_sym_template] = ACTIONS(5610),
    [anon_sym_operator] = ACTIONS(5610),
    [anon_sym_friend] = ACTIONS(5610),
    [anon_sym_public] = ACTIONS(5610),
    [anon_sym_private] = ACTIONS(5610),
    [anon_sym_protected] = ACTIONS(5610),
    [anon_sym_using] = ACTIONS(5610),
    [anon_sym_static_assert] = ACTIONS(5610),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token2] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [aux_sym_preproc_else_token1] = ACTIONS(5614),
    [aux_sym_preproc_elif_token1] = ACTIONS(5614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_TILDE] = ACTIONS(5616),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5614),
    [anon_sym_typedef] = ACTIONS(5614),
    [anon_sym_extern] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym_COLON_COLON] = ACTIONS(5616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5616),
    [anon_sym___declspec] = ACTIONS(5614),
    [anon_sym___based] = ACTIONS(5614),
    [anon_sym_signed] = ACTIONS(5614),
    [anon_sym_unsigned] = ACTIONS(5614),
    [anon_sym_long] = ACTIONS(5614),
    [anon_sym_short] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_static] = ACTIONS(5614),
    [anon_sym_register] = ACTIONS(5614),
    [anon_sym_inline] = ACTIONS(5614),
    [anon_sym___inline] = ACTIONS(5614),
    [anon_sym___inline__] = ACTIONS(5614),
    [anon_sym___forceinline] = ACTIONS(5614),
    [anon_sym_thread_local] = ACTIONS(5614),
    [anon_sym___thread] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(5614),
    [anon_sym_constexpr] = ACTIONS(5614),
    [anon_sym_volatile] = ACTIONS(5614),
    [anon_sym_restrict] = ACTIONS(5614),
    [anon_sym___restrict__] = ACTIONS(5614),
    [anon_sym__Atomic] = ACTIONS(5614),
    [anon_sym__Noreturn] = ACTIONS(5614),
    [anon_sym_noreturn] = ACTIONS(5614),
    [anon_sym_mutable] = ACTIONS(5614),
    [anon_sym_constinit] = ACTIONS(5614),
    [anon_sym_consteval] = ACTIONS(5614),
    [sym_primitive_type] = ACTIONS(5614),
    [anon_sym_enum] = ACTIONS(5614),
    [anon_sym_class] = ACTIONS(5614),
    [anon_sym_struct] = ACTIONS(5614),
    [anon_sym_union] = ACTIONS(5614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
    [anon_sym_virtual] = ACTIONS(5614),
    [anon_sym_alignas] = ACTIONS(5614),
    [anon_sym_explicit] = ACTIONS(5614),
    [anon_sym_typename] = ACTIONS(5614),
    [anon_sym_template] = ACTIONS(5614),
    [anon_sym_operator] = ACTIONS(5614),
    [anon_sym_friend] = ACTIONS(5614),
    [anon_sym_public] = ACTIONS(5614),
    [anon_sym_private] = ACTIONS(5614),
    [anon_sym_protected] = ACTIONS(5614),
    [anon_sym_using] = ACTIONS(5614),
    [anon_sym_static_assert] = ACTIONS(5614),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2214] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5131),
    [anon_sym_COMMA] = ACTIONS(5131),
    [anon_sym_RPAREN] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5131),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5136),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5136),
    [anon_sym_volatile] = ACTIONS(5136),
    [anon_sym_restrict] = ACTIONS(5136),
    [anon_sym___restrict__] = ACTIONS(5136),
    [anon_sym__Atomic] = ACTIONS(5136),
    [anon_sym__Noreturn] = ACTIONS(5136),
    [anon_sym_noreturn] = ACTIONS(5136),
    [anon_sym_mutable] = ACTIONS(5136),
    [anon_sym_constinit] = ACTIONS(5136),
    [anon_sym_consteval] = ACTIONS(5136),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5131),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5131),
    [anon_sym_or_eq] = ACTIONS(5131),
    [anon_sym_xor_eq] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5131),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5131),
    [anon_sym_not_eq] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5136),
    [anon_sym_decltype] = ACTIONS(5136),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5131),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [aux_sym_preproc_else_token1] = ACTIONS(3275),
    [aux_sym_preproc_elif_token1] = ACTIONS(3275),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_friend] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_friend] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [aux_sym_preproc_else_token1] = ACTIONS(3283),
    [aux_sym_preproc_elif_token1] = ACTIONS(3283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_friend] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [aux_sym_preproc_else_token1] = ACTIONS(3185),
    [aux_sym_preproc_elif_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_friend] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
  },
  [2219] = {
    [sym_string_literal] = STATE(2240),
    [sym_raw_string_literal] = STATE(2240),
    [aux_sym_concatenated_string_repeat1] = STATE(2240),
    [sym_identifier] = ACTIONS(5618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [aux_sym_preproc_if_token2] = ACTIONS(5327),
    [aux_sym_preproc_else_token1] = ACTIONS(5327),
    [aux_sym_preproc_elif_token1] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5329),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_CARET] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5329),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5329),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_EQ] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_STAR_EQ] = ACTIONS(5327),
    [anon_sym_SLASH_EQ] = ACTIONS(5327),
    [anon_sym_PERCENT_EQ] = ACTIONS(5327),
    [anon_sym_PLUS_EQ] = ACTIONS(5327),
    [anon_sym_DASH_EQ] = ACTIONS(5327),
    [anon_sym_LT_LT_EQ] = ACTIONS(5327),
    [anon_sym_GT_GT_EQ] = ACTIONS(5327),
    [anon_sym_AMP_EQ] = ACTIONS(5327),
    [anon_sym_CARET_EQ] = ACTIONS(5327),
    [anon_sym_PIPE_EQ] = ACTIONS(5327),
    [anon_sym_and_eq] = ACTIONS(5329),
    [anon_sym_or_eq] = ACTIONS(5329),
    [anon_sym_xor_eq] = ACTIONS(5329),
    [anon_sym_LT_EQ_GT] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_and] = ACTIONS(5329),
    [anon_sym_bitor] = ACTIONS(5329),
    [anon_sym_xor] = ACTIONS(5329),
    [anon_sym_bitand] = ACTIONS(5329),
    [anon_sym_not_eq] = ACTIONS(5329),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_DOT_STAR] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5329),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5107),
    [anon_sym_COMMA] = ACTIONS(5107),
    [anon_sym_RPAREN] = ACTIONS(5107),
    [anon_sym_LPAREN2] = ACTIONS(5107),
    [anon_sym_DASH] = ACTIONS(5105),
    [anon_sym_PLUS] = ACTIONS(5105),
    [anon_sym_STAR] = ACTIONS(5107),
    [anon_sym_SLASH] = ACTIONS(5105),
    [anon_sym_PERCENT] = ACTIONS(5107),
    [anon_sym_PIPE_PIPE] = ACTIONS(5107),
    [anon_sym_AMP_AMP] = ACTIONS(5107),
    [anon_sym_PIPE] = ACTIONS(5105),
    [anon_sym_CARET] = ACTIONS(5107),
    [anon_sym_AMP] = ACTIONS(5105),
    [anon_sym_EQ_EQ] = ACTIONS(5107),
    [anon_sym_BANG_EQ] = ACTIONS(5107),
    [anon_sym_GT] = ACTIONS(5105),
    [anon_sym_GT_EQ] = ACTIONS(5107),
    [anon_sym_LT_EQ] = ACTIONS(5105),
    [anon_sym_LT] = ACTIONS(5105),
    [anon_sym_LT_LT] = ACTIONS(5107),
    [anon_sym_GT_GT] = ACTIONS(5107),
    [anon_sym_SEMI] = ACTIONS(5107),
    [anon_sym___extension__] = ACTIONS(5105),
    [anon_sym___attribute__] = ACTIONS(5105),
    [anon_sym_COLON_COLON] = ACTIONS(5107),
    [anon_sym___based] = ACTIONS(5105),
    [anon_sym_LBRACE] = ACTIONS(5107),
    [anon_sym_RBRACE] = ACTIONS(5107),
    [anon_sym_signed] = ACTIONS(5105),
    [anon_sym_unsigned] = ACTIONS(5105),
    [anon_sym_long] = ACTIONS(5105),
    [anon_sym_short] = ACTIONS(5105),
    [anon_sym_LBRACK] = ACTIONS(5107),
    [anon_sym_RBRACK] = ACTIONS(5107),
    [anon_sym_const] = ACTIONS(5105),
    [anon_sym_constexpr] = ACTIONS(5105),
    [anon_sym_volatile] = ACTIONS(5105),
    [anon_sym_restrict] = ACTIONS(5105),
    [anon_sym___restrict__] = ACTIONS(5105),
    [anon_sym__Atomic] = ACTIONS(5105),
    [anon_sym__Noreturn] = ACTIONS(5105),
    [anon_sym_noreturn] = ACTIONS(5105),
    [anon_sym_mutable] = ACTIONS(5105),
    [anon_sym_constinit] = ACTIONS(5105),
    [anon_sym_consteval] = ACTIONS(5105),
    [sym_primitive_type] = ACTIONS(5105),
    [anon_sym_COLON] = ACTIONS(5105),
    [anon_sym_QMARK] = ACTIONS(5107),
    [anon_sym_LT_EQ_GT] = ACTIONS(5107),
    [anon_sym_or] = ACTIONS(5105),
    [anon_sym_and] = ACTIONS(5105),
    [anon_sym_bitor] = ACTIONS(5105),
    [anon_sym_xor] = ACTIONS(5105),
    [anon_sym_bitand] = ACTIONS(5105),
    [anon_sym_not_eq] = ACTIONS(5105),
    [anon_sym_DASH_DASH] = ACTIONS(5107),
    [anon_sym_PLUS_PLUS] = ACTIONS(5107),
    [anon_sym_DOT] = ACTIONS(5105),
    [anon_sym_DOT_STAR] = ACTIONS(5107),
    [anon_sym_DASH_GT] = ACTIONS(5107),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5105),
    [anon_sym_decltype] = ACTIONS(5105),
    [anon_sym_final] = ACTIONS(5105),
    [anon_sym_override] = ACTIONS(5105),
    [anon_sym_requires] = ACTIONS(5105),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5111),
    [anon_sym_COMMA] = ACTIONS(5111),
    [anon_sym_RPAREN] = ACTIONS(5111),
    [anon_sym_LPAREN2] = ACTIONS(5111),
    [anon_sym_DASH] = ACTIONS(5109),
    [anon_sym_PLUS] = ACTIONS(5109),
    [anon_sym_STAR] = ACTIONS(5111),
    [anon_sym_SLASH] = ACTIONS(5109),
    [anon_sym_PERCENT] = ACTIONS(5111),
    [anon_sym_PIPE_PIPE] = ACTIONS(5111),
    [anon_sym_AMP_AMP] = ACTIONS(5111),
    [anon_sym_PIPE] = ACTIONS(5109),
    [anon_sym_CARET] = ACTIONS(5111),
    [anon_sym_AMP] = ACTIONS(5109),
    [anon_sym_EQ_EQ] = ACTIONS(5111),
    [anon_sym_BANG_EQ] = ACTIONS(5111),
    [anon_sym_GT] = ACTIONS(5109),
    [anon_sym_GT_EQ] = ACTIONS(5111),
    [anon_sym_LT_EQ] = ACTIONS(5109),
    [anon_sym_LT] = ACTIONS(5109),
    [anon_sym_LT_LT] = ACTIONS(5111),
    [anon_sym_GT_GT] = ACTIONS(5111),
    [anon_sym_SEMI] = ACTIONS(5111),
    [anon_sym___extension__] = ACTIONS(5109),
    [anon_sym___attribute__] = ACTIONS(5109),
    [anon_sym_COLON_COLON] = ACTIONS(5111),
    [anon_sym___based] = ACTIONS(5109),
    [anon_sym_LBRACE] = ACTIONS(5111),
    [anon_sym_RBRACE] = ACTIONS(5111),
    [anon_sym_signed] = ACTIONS(5109),
    [anon_sym_unsigned] = ACTIONS(5109),
    [anon_sym_long] = ACTIONS(5109),
    [anon_sym_short] = ACTIONS(5109),
    [anon_sym_LBRACK] = ACTIONS(5111),
    [anon_sym_RBRACK] = ACTIONS(5111),
    [anon_sym_const] = ACTIONS(5109),
    [anon_sym_constexpr] = ACTIONS(5109),
    [anon_sym_volatile] = ACTIONS(5109),
    [anon_sym_restrict] = ACTIONS(5109),
    [anon_sym___restrict__] = ACTIONS(5109),
    [anon_sym__Atomic] = ACTIONS(5109),
    [anon_sym__Noreturn] = ACTIONS(5109),
    [anon_sym_noreturn] = ACTIONS(5109),
    [anon_sym_mutable] = ACTIONS(5109),
    [anon_sym_constinit] = ACTIONS(5109),
    [anon_sym_consteval] = ACTIONS(5109),
    [sym_primitive_type] = ACTIONS(5109),
    [anon_sym_COLON] = ACTIONS(5109),
    [anon_sym_QMARK] = ACTIONS(5111),
    [anon_sym_LT_EQ_GT] = ACTIONS(5111),
    [anon_sym_or] = ACTIONS(5109),
    [anon_sym_and] = ACTIONS(5109),
    [anon_sym_bitor] = ACTIONS(5109),
    [anon_sym_xor] = ACTIONS(5109),
    [anon_sym_bitand] = ACTIONS(5109),
    [anon_sym_not_eq] = ACTIONS(5109),
    [anon_sym_DASH_DASH] = ACTIONS(5111),
    [anon_sym_PLUS_PLUS] = ACTIONS(5111),
    [anon_sym_DOT] = ACTIONS(5109),
    [anon_sym_DOT_STAR] = ACTIONS(5111),
    [anon_sym_DASH_GT] = ACTIONS(5111),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5109),
    [anon_sym_decltype] = ACTIONS(5109),
    [anon_sym_final] = ACTIONS(5109),
    [anon_sym_override] = ACTIONS(5109),
    [anon_sym_requires] = ACTIONS(5109),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(5113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5115),
    [anon_sym_COMMA] = ACTIONS(5115),
    [anon_sym_RPAREN] = ACTIONS(5115),
    [anon_sym_LPAREN2] = ACTIONS(5115),
    [anon_sym_DASH] = ACTIONS(5113),
    [anon_sym_PLUS] = ACTIONS(5113),
    [anon_sym_STAR] = ACTIONS(5115),
    [anon_sym_SLASH] = ACTIONS(5113),
    [anon_sym_PERCENT] = ACTIONS(5115),
    [anon_sym_PIPE_PIPE] = ACTIONS(5115),
    [anon_sym_AMP_AMP] = ACTIONS(5115),
    [anon_sym_PIPE] = ACTIONS(5113),
    [anon_sym_CARET] = ACTIONS(5115),
    [anon_sym_AMP] = ACTIONS(5113),
    [anon_sym_EQ_EQ] = ACTIONS(5115),
    [anon_sym_BANG_EQ] = ACTIONS(5115),
    [anon_sym_GT] = ACTIONS(5113),
    [anon_sym_GT_EQ] = ACTIONS(5115),
    [anon_sym_LT_EQ] = ACTIONS(5113),
    [anon_sym_LT] = ACTIONS(5113),
    [anon_sym_LT_LT] = ACTIONS(5115),
    [anon_sym_GT_GT] = ACTIONS(5115),
    [anon_sym_SEMI] = ACTIONS(5115),
    [anon_sym___extension__] = ACTIONS(5113),
    [anon_sym___attribute__] = ACTIONS(5113),
    [anon_sym_COLON_COLON] = ACTIONS(5115),
    [anon_sym___based] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5115),
    [anon_sym_RBRACE] = ACTIONS(5115),
    [anon_sym_signed] = ACTIONS(5113),
    [anon_sym_unsigned] = ACTIONS(5113),
    [anon_sym_long] = ACTIONS(5113),
    [anon_sym_short] = ACTIONS(5113),
    [anon_sym_LBRACK] = ACTIONS(5115),
    [anon_sym_RBRACK] = ACTIONS(5115),
    [anon_sym_const] = ACTIONS(5113),
    [anon_sym_constexpr] = ACTIONS(5113),
    [anon_sym_volatile] = ACTIONS(5113),
    [anon_sym_restrict] = ACTIONS(5113),
    [anon_sym___restrict__] = ACTIONS(5113),
    [anon_sym__Atomic] = ACTIONS(5113),
    [anon_sym__Noreturn] = ACTIONS(5113),
    [anon_sym_noreturn] = ACTIONS(5113),
    [anon_sym_mutable] = ACTIONS(5113),
    [anon_sym_constinit] = ACTIONS(5113),
    [anon_sym_consteval] = ACTIONS(5113),
    [sym_primitive_type] = ACTIONS(5113),
    [anon_sym_COLON] = ACTIONS(5113),
    [anon_sym_QMARK] = ACTIONS(5115),
    [anon_sym_LT_EQ_GT] = ACTIONS(5115),
    [anon_sym_or] = ACTIONS(5113),
    [anon_sym_and] = ACTIONS(5113),
    [anon_sym_bitor] = ACTIONS(5113),
    [anon_sym_xor] = ACTIONS(5113),
    [anon_sym_bitand] = ACTIONS(5113),
    [anon_sym_not_eq] = ACTIONS(5113),
    [anon_sym_DASH_DASH] = ACTIONS(5115),
    [anon_sym_PLUS_PLUS] = ACTIONS(5115),
    [anon_sym_DOT] = ACTIONS(5113),
    [anon_sym_DOT_STAR] = ACTIONS(5115),
    [anon_sym_DASH_GT] = ACTIONS(5115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5113),
    [anon_sym_decltype] = ACTIONS(5113),
    [anon_sym_final] = ACTIONS(5113),
    [anon_sym_override] = ACTIONS(5113),
    [anon_sym_requires] = ACTIONS(5113),
  },
  [2224] = {
    [sym_string_literal] = STATE(2065),
    [sym_template_argument_list] = STATE(2657),
    [sym_raw_string_literal] = STATE(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5263),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2164),
    [anon_sym_u_DQUOTE] = ACTIONS(2164),
    [anon_sym_U_DQUOTE] = ACTIONS(2164),
    [anon_sym_u8_DQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2174),
    [anon_sym_LR_DQUOTE] = ACTIONS(2174),
    [anon_sym_uR_DQUOTE] = ACTIONS(2174),
    [anon_sym_UR_DQUOTE] = ACTIONS(2174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2174),
  },
  [2225] = {
    [sym_string_literal] = STATE(2314),
    [sym_template_argument_list] = STATE(3566),
    [sym_raw_string_literal] = STATE(2314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(5517),
    [anon_sym_LPAREN2] = ACTIONS(5517),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5166),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(5523),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2226] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2227] = {
    [sym_string_literal] = STATE(2314),
    [sym_template_argument_list] = STATE(3692),
    [sym_raw_string_literal] = STATE(2314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(5513),
    [anon_sym_LPAREN2] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5177),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2228] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_friend] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5624),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5624),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5624),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5624),
    [anon_sym_GT_GT] = ACTIONS(5624),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym___based] = ACTIONS(5622),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_mutable] = ACTIONS(5622),
    [anon_sym_constinit] = ACTIONS(5622),
    [anon_sym_consteval] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5622),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_final] = ACTIONS(5622),
    [anon_sym_override] = ACTIONS(5622),
    [anon_sym_requires] = ACTIONS(5622),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [aux_sym_preproc_else_token1] = ACTIONS(3291),
    [aux_sym_preproc_elif_token1] = ACTIONS(3291),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_friend] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [aux_sym_preproc_else_token1] = ACTIONS(3295),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_friend] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5626),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5626),
    [anon_sym_unsigned] = ACTIONS(5626),
    [anon_sym_long] = ACTIONS(5626),
    [anon_sym_short] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5626),
    [anon_sym_volatile] = ACTIONS(5626),
    [anon_sym_restrict] = ACTIONS(5626),
    [anon_sym___restrict__] = ACTIONS(5626),
    [anon_sym__Atomic] = ACTIONS(5626),
    [anon_sym__Noreturn] = ACTIONS(5626),
    [anon_sym_noreturn] = ACTIONS(5626),
    [anon_sym_mutable] = ACTIONS(5626),
    [anon_sym_constinit] = ACTIONS(5626),
    [anon_sym_consteval] = ACTIONS(5626),
    [sym_primitive_type] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5626),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_final] = ACTIONS(5626),
    [anon_sym_override] = ACTIONS(5626),
    [anon_sym_requires] = ACTIONS(5626),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_friend] = ACTIONS(2893),
    [anon_sym_public] = ACTIONS(2893),
    [anon_sym_private] = ACTIONS(2893),
    [anon_sym_protected] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_friend] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
  },
  [2235] = {
    [sym_template_argument_list] = STATE(2345),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym_COMMA] = ACTIONS(5088),
    [anon_sym_LPAREN2] = ACTIONS(5088),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5095),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5088),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5095),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5093),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(5630),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym___extension__] = ACTIONS(5091),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_LBRACK] = ACTIONS(5088),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5091),
    [anon_sym_volatile] = ACTIONS(5091),
    [anon_sym_restrict] = ACTIONS(5091),
    [anon_sym___restrict__] = ACTIONS(5091),
    [anon_sym__Atomic] = ACTIONS(5091),
    [anon_sym__Noreturn] = ACTIONS(5091),
    [anon_sym_noreturn] = ACTIONS(5091),
    [anon_sym_mutable] = ACTIONS(5091),
    [anon_sym_constinit] = ACTIONS(5091),
    [anon_sym_consteval] = ACTIONS(5091),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5093),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5086),
    [anon_sym_or_eq] = ACTIONS(5086),
    [anon_sym_xor_eq] = ACTIONS(5086),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5086),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5086),
    [anon_sym_not_eq] = ACTIONS(5086),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5091),
    [anon_sym_decltype] = ACTIONS(5091),
    [anon_sym_GT2] = ACTIONS(5088),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_friend] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_friend] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5635),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5635),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5635),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5635),
    [anon_sym_GT_GT] = ACTIONS(5635),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___extension__] = ACTIONS(5633),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_COLON_COLON] = ACTIONS(5635),
    [anon_sym___based] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_signed] = ACTIONS(5633),
    [anon_sym_unsigned] = ACTIONS(5633),
    [anon_sym_long] = ACTIONS(5633),
    [anon_sym_short] = ACTIONS(5633),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_const] = ACTIONS(5633),
    [anon_sym_constexpr] = ACTIONS(5633),
    [anon_sym_volatile] = ACTIONS(5633),
    [anon_sym_restrict] = ACTIONS(5633),
    [anon_sym___restrict__] = ACTIONS(5633),
    [anon_sym__Atomic] = ACTIONS(5633),
    [anon_sym__Noreturn] = ACTIONS(5633),
    [anon_sym_noreturn] = ACTIONS(5633),
    [anon_sym_mutable] = ACTIONS(5633),
    [anon_sym_constinit] = ACTIONS(5633),
    [anon_sym_consteval] = ACTIONS(5633),
    [sym_primitive_type] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5633),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
    [anon_sym_final] = ACTIONS(5633),
    [anon_sym_override] = ACTIONS(5633),
    [anon_sym_requires] = ACTIONS(5633),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_friend] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
  },
  [2240] = {
    [sym_string_literal] = STATE(2281),
    [sym_raw_string_literal] = STATE(2281),
    [aux_sym_concatenated_string_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(5637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token2] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [aux_sym_preproc_else_token1] = ACTIONS(3340),
    [aux_sym_preproc_elif_token1] = ACTIONS(3340),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_friend] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_friend] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [aux_sym_preproc_else_token1] = ACTIONS(5639),
    [aux_sym_preproc_elif_token1] = ACTIONS(5639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [aux_sym_preproc_else_token1] = ACTIONS(5643),
    [aux_sym_preproc_elif_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_friend] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token2] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [aux_sym_preproc_else_token1] = ACTIONS(5651),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token2] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [aux_sym_preproc_else_token1] = ACTIONS(5659),
    [aux_sym_preproc_elif_token1] = ACTIONS(5659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [aux_sym_preproc_if_token2] = ACTIONS(5123),
    [aux_sym_preproc_else_token1] = ACTIONS(5123),
    [aux_sym_preproc_elif_token1] = ACTIONS(5121),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5123),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5121),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5121),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5121),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5121),
    [anon_sym_GT_GT] = ACTIONS(5121),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_EQ] = ACTIONS(5121),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_STAR_EQ] = ACTIONS(5123),
    [anon_sym_SLASH_EQ] = ACTIONS(5123),
    [anon_sym_PERCENT_EQ] = ACTIONS(5123),
    [anon_sym_PLUS_EQ] = ACTIONS(5123),
    [anon_sym_DASH_EQ] = ACTIONS(5123),
    [anon_sym_LT_LT_EQ] = ACTIONS(5123),
    [anon_sym_GT_GT_EQ] = ACTIONS(5123),
    [anon_sym_AMP_EQ] = ACTIONS(5123),
    [anon_sym_CARET_EQ] = ACTIONS(5123),
    [anon_sym_PIPE_EQ] = ACTIONS(5123),
    [anon_sym_and_eq] = ACTIONS(5121),
    [anon_sym_or_eq] = ACTIONS(5121),
    [anon_sym_xor_eq] = ACTIONS(5121),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_final] = ACTIONS(5121),
    [anon_sym_override] = ACTIONS(5121),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_friend] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5136),
    [anon_sym_COMMA] = ACTIONS(5136),
    [anon_sym_RPAREN] = ACTIONS(5136),
    [aux_sym_preproc_if_token2] = ACTIONS(5136),
    [aux_sym_preproc_else_token1] = ACTIONS(5136),
    [aux_sym_preproc_elif_token1] = ACTIONS(5129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5136),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5129),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5129),
    [anon_sym_PIPE_PIPE] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5129),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5136),
    [anon_sym_BANG_EQ] = ACTIONS(5136),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5136),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5129),
    [anon_sym_GT_GT] = ACTIONS(5129),
    [anon_sym_SEMI] = ACTIONS(5136),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_RBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5136),
    [anon_sym_EQ] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5136),
    [anon_sym_STAR_EQ] = ACTIONS(5136),
    [anon_sym_SLASH_EQ] = ACTIONS(5136),
    [anon_sym_PERCENT_EQ] = ACTIONS(5136),
    [anon_sym_PLUS_EQ] = ACTIONS(5136),
    [anon_sym_DASH_EQ] = ACTIONS(5136),
    [anon_sym_LT_LT_EQ] = ACTIONS(5136),
    [anon_sym_GT_GT_EQ] = ACTIONS(5136),
    [anon_sym_AMP_EQ] = ACTIONS(5136),
    [anon_sym_CARET_EQ] = ACTIONS(5136),
    [anon_sym_PIPE_EQ] = ACTIONS(5136),
    [anon_sym_and_eq] = ACTIONS(5129),
    [anon_sym_or_eq] = ACTIONS(5129),
    [anon_sym_xor_eq] = ACTIONS(5129),
    [anon_sym_LT_EQ_GT] = ACTIONS(5136),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5136),
    [anon_sym_PLUS_PLUS] = ACTIONS(5136),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5136),
    [anon_sym_DASH_GT] = ACTIONS(5136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5123),
    [anon_sym_COMMA] = ACTIONS(5123),
    [anon_sym_RPAREN] = ACTIONS(5123),
    [anon_sym_LPAREN2] = ACTIONS(5123),
    [anon_sym_DASH] = ACTIONS(5121),
    [anon_sym_PLUS] = ACTIONS(5121),
    [anon_sym_STAR] = ACTIONS(5123),
    [anon_sym_SLASH] = ACTIONS(5121),
    [anon_sym_PERCENT] = ACTIONS(5123),
    [anon_sym_PIPE_PIPE] = ACTIONS(5123),
    [anon_sym_AMP_AMP] = ACTIONS(5123),
    [anon_sym_PIPE] = ACTIONS(5121),
    [anon_sym_CARET] = ACTIONS(5123),
    [anon_sym_AMP] = ACTIONS(5121),
    [anon_sym_EQ_EQ] = ACTIONS(5123),
    [anon_sym_BANG_EQ] = ACTIONS(5123),
    [anon_sym_GT] = ACTIONS(5121),
    [anon_sym_GT_EQ] = ACTIONS(5123),
    [anon_sym_LT_EQ] = ACTIONS(5121),
    [anon_sym_LT] = ACTIONS(5121),
    [anon_sym_LT_LT] = ACTIONS(5123),
    [anon_sym_GT_GT] = ACTIONS(5123),
    [anon_sym_SEMI] = ACTIONS(5123),
    [anon_sym___extension__] = ACTIONS(5121),
    [anon_sym___attribute__] = ACTIONS(5121),
    [anon_sym_COLON_COLON] = ACTIONS(5123),
    [anon_sym___based] = ACTIONS(5121),
    [anon_sym_LBRACE] = ACTIONS(5123),
    [anon_sym_RBRACE] = ACTIONS(5123),
    [anon_sym_signed] = ACTIONS(5121),
    [anon_sym_unsigned] = ACTIONS(5121),
    [anon_sym_long] = ACTIONS(5121),
    [anon_sym_short] = ACTIONS(5121),
    [anon_sym_LBRACK] = ACTIONS(5123),
    [anon_sym_RBRACK] = ACTIONS(5123),
    [anon_sym_const] = ACTIONS(5121),
    [anon_sym_constexpr] = ACTIONS(5121),
    [anon_sym_volatile] = ACTIONS(5121),
    [anon_sym_restrict] = ACTIONS(5121),
    [anon_sym___restrict__] = ACTIONS(5121),
    [anon_sym__Atomic] = ACTIONS(5121),
    [anon_sym__Noreturn] = ACTIONS(5121),
    [anon_sym_noreturn] = ACTIONS(5121),
    [anon_sym_mutable] = ACTIONS(5121),
    [anon_sym_constinit] = ACTIONS(5121),
    [anon_sym_consteval] = ACTIONS(5121),
    [sym_primitive_type] = ACTIONS(5121),
    [anon_sym_COLON] = ACTIONS(5121),
    [anon_sym_QMARK] = ACTIONS(5123),
    [anon_sym_LT_EQ_GT] = ACTIONS(5123),
    [anon_sym_or] = ACTIONS(5121),
    [anon_sym_and] = ACTIONS(5121),
    [anon_sym_bitor] = ACTIONS(5121),
    [anon_sym_xor] = ACTIONS(5121),
    [anon_sym_bitand] = ACTIONS(5121),
    [anon_sym_not_eq] = ACTIONS(5121),
    [anon_sym_DASH_DASH] = ACTIONS(5123),
    [anon_sym_PLUS_PLUS] = ACTIONS(5123),
    [anon_sym_DOT] = ACTIONS(5121),
    [anon_sym_DOT_STAR] = ACTIONS(5123),
    [anon_sym_DASH_GT] = ACTIONS(5123),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5121),
    [anon_sym_decltype] = ACTIONS(5121),
    [anon_sym_final] = ACTIONS(5121),
    [anon_sym_override] = ACTIONS(5121),
    [anon_sym_requires] = ACTIONS(5121),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_RPAREN] = ACTIONS(5584),
    [aux_sym_preproc_if_token2] = ACTIONS(5584),
    [aux_sym_preproc_else_token1] = ACTIONS(5584),
    [aux_sym_preproc_elif_token1] = ACTIONS(5582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5584),
    [anon_sym_LPAREN2] = ACTIONS(5584),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5582),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5582),
    [anon_sym_PIPE_PIPE] = ACTIONS(5584),
    [anon_sym_AMP_AMP] = ACTIONS(5584),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_CARET] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5584),
    [anon_sym_BANG_EQ] = ACTIONS(5584),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5584),
    [anon_sym_LT_EQ] = ACTIONS(5582),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5582),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym___attribute__] = ACTIONS(5582),
    [anon_sym_COLON_COLON] = ACTIONS(5584),
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_LBRACK] = ACTIONS(5584),
    [anon_sym_RBRACK] = ACTIONS(5584),
    [anon_sym_EQ] = ACTIONS(5582),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_STAR_EQ] = ACTIONS(5584),
    [anon_sym_SLASH_EQ] = ACTIONS(5584),
    [anon_sym_PERCENT_EQ] = ACTIONS(5584),
    [anon_sym_PLUS_EQ] = ACTIONS(5584),
    [anon_sym_DASH_EQ] = ACTIONS(5584),
    [anon_sym_LT_LT_EQ] = ACTIONS(5584),
    [anon_sym_GT_GT_EQ] = ACTIONS(5584),
    [anon_sym_AMP_EQ] = ACTIONS(5584),
    [anon_sym_CARET_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_and_eq] = ACTIONS(5582),
    [anon_sym_or_eq] = ACTIONS(5582),
    [anon_sym_xor_eq] = ACTIONS(5582),
    [anon_sym_LT_EQ_GT] = ACTIONS(5584),
    [anon_sym_or] = ACTIONS(5582),
    [anon_sym_and] = ACTIONS(5582),
    [anon_sym_bitor] = ACTIONS(5582),
    [anon_sym_xor] = ACTIONS(5582),
    [anon_sym_bitand] = ACTIONS(5582),
    [anon_sym_not_eq] = ACTIONS(5582),
    [anon_sym_DASH_DASH] = ACTIONS(5584),
    [anon_sym_PLUS_PLUS] = ACTIONS(5584),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_DOT_STAR] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5582),
    [anon_sym_decltype] = ACTIONS(5582),
    [anon_sym_final] = ACTIONS(5582),
    [anon_sym_override] = ACTIONS(5582),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_friend] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5507),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5507),
    [anon_sym_GT_GT] = ACTIONS(5507),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_EQ] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5507),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_STAR_EQ] = ACTIONS(5509),
    [anon_sym_SLASH_EQ] = ACTIONS(5509),
    [anon_sym_PERCENT_EQ] = ACTIONS(5509),
    [anon_sym_PLUS_EQ] = ACTIONS(5509),
    [anon_sym_DASH_EQ] = ACTIONS(5509),
    [anon_sym_LT_LT_EQ] = ACTIONS(5509),
    [anon_sym_GT_GT_EQ] = ACTIONS(5509),
    [anon_sym_AMP_EQ] = ACTIONS(5509),
    [anon_sym_CARET_EQ] = ACTIONS(5509),
    [anon_sym_PIPE_EQ] = ACTIONS(5509),
    [anon_sym_and_eq] = ACTIONS(5507),
    [anon_sym_or_eq] = ACTIONS(5507),
    [anon_sym_xor_eq] = ACTIONS(5507),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
  },
  [2261] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5507),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5507),
    [anon_sym_GT_GT] = ACTIONS(5507),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_EQ] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5507),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_STAR_EQ] = ACTIONS(5509),
    [anon_sym_SLASH_EQ] = ACTIONS(5509),
    [anon_sym_PERCENT_EQ] = ACTIONS(5509),
    [anon_sym_PLUS_EQ] = ACTIONS(5509),
    [anon_sym_DASH_EQ] = ACTIONS(5509),
    [anon_sym_LT_LT_EQ] = ACTIONS(5509),
    [anon_sym_GT_GT_EQ] = ACTIONS(5509),
    [anon_sym_AMP_EQ] = ACTIONS(5509),
    [anon_sym_CARET_EQ] = ACTIONS(5509),
    [anon_sym_PIPE_EQ] = ACTIONS(5509),
    [anon_sym_and_eq] = ACTIONS(5507),
    [anon_sym_or_eq] = ACTIONS(5507),
    [anon_sym_xor_eq] = ACTIONS(5507),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2263] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_RBRACE] = ACTIONS(4127),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4192),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_friend] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5103),
    [anon_sym_COMMA] = ACTIONS(5103),
    [anon_sym_RPAREN] = ACTIONS(5103),
    [anon_sym_LPAREN2] = ACTIONS(5103),
    [anon_sym_DASH] = ACTIONS(5101),
    [anon_sym_PLUS] = ACTIONS(5101),
    [anon_sym_STAR] = ACTIONS(5103),
    [anon_sym_SLASH] = ACTIONS(5101),
    [anon_sym_PERCENT] = ACTIONS(5103),
    [anon_sym_PIPE_PIPE] = ACTIONS(5103),
    [anon_sym_AMP_AMP] = ACTIONS(5103),
    [anon_sym_PIPE] = ACTIONS(5101),
    [anon_sym_CARET] = ACTIONS(5103),
    [anon_sym_AMP] = ACTIONS(5101),
    [anon_sym_EQ_EQ] = ACTIONS(5103),
    [anon_sym_BANG_EQ] = ACTIONS(5103),
    [anon_sym_GT] = ACTIONS(5101),
    [anon_sym_GT_EQ] = ACTIONS(5103),
    [anon_sym_LT_EQ] = ACTIONS(5101),
    [anon_sym_LT] = ACTIONS(5101),
    [anon_sym_LT_LT] = ACTIONS(5103),
    [anon_sym_GT_GT] = ACTIONS(5103),
    [anon_sym_SEMI] = ACTIONS(5103),
    [anon_sym___extension__] = ACTIONS(5101),
    [anon_sym___attribute__] = ACTIONS(5101),
    [anon_sym_COLON_COLON] = ACTIONS(5103),
    [anon_sym___based] = ACTIONS(5101),
    [anon_sym_LBRACE] = ACTIONS(5103),
    [anon_sym_RBRACE] = ACTIONS(5103),
    [anon_sym_signed] = ACTIONS(5101),
    [anon_sym_unsigned] = ACTIONS(5101),
    [anon_sym_long] = ACTIONS(5101),
    [anon_sym_short] = ACTIONS(5101),
    [anon_sym_LBRACK] = ACTIONS(5103),
    [anon_sym_RBRACK] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5101),
    [anon_sym_constexpr] = ACTIONS(5101),
    [anon_sym_volatile] = ACTIONS(5101),
    [anon_sym_restrict] = ACTIONS(5101),
    [anon_sym___restrict__] = ACTIONS(5101),
    [anon_sym__Atomic] = ACTIONS(5101),
    [anon_sym__Noreturn] = ACTIONS(5101),
    [anon_sym_noreturn] = ACTIONS(5101),
    [anon_sym_mutable] = ACTIONS(5101),
    [anon_sym_constinit] = ACTIONS(5101),
    [anon_sym_consteval] = ACTIONS(5101),
    [sym_primitive_type] = ACTIONS(5101),
    [anon_sym_COLON] = ACTIONS(5101),
    [anon_sym_QMARK] = ACTIONS(5103),
    [anon_sym_LT_EQ_GT] = ACTIONS(5103),
    [anon_sym_or] = ACTIONS(5101),
    [anon_sym_and] = ACTIONS(5101),
    [anon_sym_bitor] = ACTIONS(5101),
    [anon_sym_xor] = ACTIONS(5101),
    [anon_sym_bitand] = ACTIONS(5101),
    [anon_sym_not_eq] = ACTIONS(5101),
    [anon_sym_DASH_DASH] = ACTIONS(5103),
    [anon_sym_PLUS_PLUS] = ACTIONS(5103),
    [anon_sym_DOT] = ACTIONS(5101),
    [anon_sym_DOT_STAR] = ACTIONS(5103),
    [anon_sym_DASH_GT] = ACTIONS(5103),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5101),
    [anon_sym_decltype] = ACTIONS(5101),
    [anon_sym_final] = ACTIONS(5101),
    [anon_sym_override] = ACTIONS(5101),
    [anon_sym_requires] = ACTIONS(5101),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(5117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5119),
    [anon_sym_COMMA] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(5119),
    [anon_sym_LPAREN2] = ACTIONS(5119),
    [anon_sym_DASH] = ACTIONS(5117),
    [anon_sym_PLUS] = ACTIONS(5117),
    [anon_sym_STAR] = ACTIONS(5119),
    [anon_sym_SLASH] = ACTIONS(5117),
    [anon_sym_PERCENT] = ACTIONS(5119),
    [anon_sym_PIPE_PIPE] = ACTIONS(5119),
    [anon_sym_AMP_AMP] = ACTIONS(5119),
    [anon_sym_PIPE] = ACTIONS(5117),
    [anon_sym_CARET] = ACTIONS(5119),
    [anon_sym_AMP] = ACTIONS(5117),
    [anon_sym_EQ_EQ] = ACTIONS(5119),
    [anon_sym_BANG_EQ] = ACTIONS(5119),
    [anon_sym_GT] = ACTIONS(5117),
    [anon_sym_GT_EQ] = ACTIONS(5119),
    [anon_sym_LT_EQ] = ACTIONS(5117),
    [anon_sym_LT] = ACTIONS(5117),
    [anon_sym_LT_LT] = ACTIONS(5119),
    [anon_sym_GT_GT] = ACTIONS(5119),
    [anon_sym_SEMI] = ACTIONS(5119),
    [anon_sym___extension__] = ACTIONS(5117),
    [anon_sym___attribute__] = ACTIONS(5117),
    [anon_sym_COLON_COLON] = ACTIONS(5119),
    [anon_sym___based] = ACTIONS(5117),
    [anon_sym_LBRACE] = ACTIONS(5119),
    [anon_sym_RBRACE] = ACTIONS(5119),
    [anon_sym_signed] = ACTIONS(5117),
    [anon_sym_unsigned] = ACTIONS(5117),
    [anon_sym_long] = ACTIONS(5117),
    [anon_sym_short] = ACTIONS(5117),
    [anon_sym_LBRACK] = ACTIONS(5119),
    [anon_sym_RBRACK] = ACTIONS(5119),
    [anon_sym_const] = ACTIONS(5117),
    [anon_sym_constexpr] = ACTIONS(5117),
    [anon_sym_volatile] = ACTIONS(5117),
    [anon_sym_restrict] = ACTIONS(5117),
    [anon_sym___restrict__] = ACTIONS(5117),
    [anon_sym__Atomic] = ACTIONS(5117),
    [anon_sym__Noreturn] = ACTIONS(5117),
    [anon_sym_noreturn] = ACTIONS(5117),
    [anon_sym_mutable] = ACTIONS(5117),
    [anon_sym_constinit] = ACTIONS(5117),
    [anon_sym_consteval] = ACTIONS(5117),
    [sym_primitive_type] = ACTIONS(5117),
    [anon_sym_COLON] = ACTIONS(5117),
    [anon_sym_QMARK] = ACTIONS(5119),
    [anon_sym_LT_EQ_GT] = ACTIONS(5119),
    [anon_sym_or] = ACTIONS(5117),
    [anon_sym_and] = ACTIONS(5117),
    [anon_sym_bitor] = ACTIONS(5117),
    [anon_sym_xor] = ACTIONS(5117),
    [anon_sym_bitand] = ACTIONS(5117),
    [anon_sym_not_eq] = ACTIONS(5117),
    [anon_sym_DASH_DASH] = ACTIONS(5119),
    [anon_sym_PLUS_PLUS] = ACTIONS(5119),
    [anon_sym_DOT] = ACTIONS(5117),
    [anon_sym_DOT_STAR] = ACTIONS(5119),
    [anon_sym_DASH_GT] = ACTIONS(5119),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5117),
    [anon_sym_decltype] = ACTIONS(5117),
    [anon_sym_final] = ACTIONS(5117),
    [anon_sym_override] = ACTIONS(5117),
    [anon_sym_requires] = ACTIONS(5117),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(5125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5127),
    [anon_sym_COMMA] = ACTIONS(5127),
    [anon_sym_RPAREN] = ACTIONS(5127),
    [anon_sym_LPAREN2] = ACTIONS(5127),
    [anon_sym_DASH] = ACTIONS(5125),
    [anon_sym_PLUS] = ACTIONS(5125),
    [anon_sym_STAR] = ACTIONS(5127),
    [anon_sym_SLASH] = ACTIONS(5125),
    [anon_sym_PERCENT] = ACTIONS(5127),
    [anon_sym_PIPE_PIPE] = ACTIONS(5127),
    [anon_sym_AMP_AMP] = ACTIONS(5127),
    [anon_sym_PIPE] = ACTIONS(5125),
    [anon_sym_CARET] = ACTIONS(5127),
    [anon_sym_AMP] = ACTIONS(5125),
    [anon_sym_EQ_EQ] = ACTIONS(5127),
    [anon_sym_BANG_EQ] = ACTIONS(5127),
    [anon_sym_GT] = ACTIONS(5125),
    [anon_sym_GT_EQ] = ACTIONS(5127),
    [anon_sym_LT_EQ] = ACTIONS(5125),
    [anon_sym_LT] = ACTIONS(5125),
    [anon_sym_LT_LT] = ACTIONS(5127),
    [anon_sym_GT_GT] = ACTIONS(5127),
    [anon_sym_SEMI] = ACTIONS(5127),
    [anon_sym___extension__] = ACTIONS(5125),
    [anon_sym___attribute__] = ACTIONS(5125),
    [anon_sym_COLON_COLON] = ACTIONS(5127),
    [anon_sym___based] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5127),
    [anon_sym_RBRACE] = ACTIONS(5127),
    [anon_sym_signed] = ACTIONS(5125),
    [anon_sym_unsigned] = ACTIONS(5125),
    [anon_sym_long] = ACTIONS(5125),
    [anon_sym_short] = ACTIONS(5125),
    [anon_sym_LBRACK] = ACTIONS(5127),
    [anon_sym_RBRACK] = ACTIONS(5127),
    [anon_sym_const] = ACTIONS(5125),
    [anon_sym_constexpr] = ACTIONS(5125),
    [anon_sym_volatile] = ACTIONS(5125),
    [anon_sym_restrict] = ACTIONS(5125),
    [anon_sym___restrict__] = ACTIONS(5125),
    [anon_sym__Atomic] = ACTIONS(5125),
    [anon_sym__Noreturn] = ACTIONS(5125),
    [anon_sym_noreturn] = ACTIONS(5125),
    [anon_sym_mutable] = ACTIONS(5125),
    [anon_sym_constinit] = ACTIONS(5125),
    [anon_sym_consteval] = ACTIONS(5125),
    [sym_primitive_type] = ACTIONS(5125),
    [anon_sym_COLON] = ACTIONS(5125),
    [anon_sym_QMARK] = ACTIONS(5127),
    [anon_sym_LT_EQ_GT] = ACTIONS(5127),
    [anon_sym_or] = ACTIONS(5125),
    [anon_sym_and] = ACTIONS(5125),
    [anon_sym_bitor] = ACTIONS(5125),
    [anon_sym_xor] = ACTIONS(5125),
    [anon_sym_bitand] = ACTIONS(5125),
    [anon_sym_not_eq] = ACTIONS(5125),
    [anon_sym_DASH_DASH] = ACTIONS(5127),
    [anon_sym_PLUS_PLUS] = ACTIONS(5127),
    [anon_sym_DOT] = ACTIONS(5125),
    [anon_sym_DOT_STAR] = ACTIONS(5127),
    [anon_sym_DASH_GT] = ACTIONS(5127),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5125),
    [anon_sym_decltype] = ACTIONS(5125),
    [anon_sym_final] = ACTIONS(5125),
    [anon_sym_override] = ACTIONS(5125),
    [anon_sym_requires] = ACTIONS(5125),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [aux_sym_preproc_else_token1] = ACTIONS(5663),
    [aux_sym_preproc_elif_token1] = ACTIONS(5663),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
  },
  [2271] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token2] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3348),
    [aux_sym_preproc_elif_token1] = ACTIONS(3348),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_friend] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token2] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [aux_sym_preproc_else_token1] = ACTIONS(3344),
    [aux_sym_preproc_elif_token1] = ACTIONS(3344),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_friend] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
  },
  [2274] = {
    [sym_type_qualifier] = STATE(2274),
    [aux_sym__type_definition_type_repeat1] = STATE(2274),
    [sym_identifier] = ACTIONS(5671),
    [anon_sym_LPAREN2] = ACTIONS(5673),
    [anon_sym_BANG] = ACTIONS(5673),
    [anon_sym_TILDE] = ACTIONS(5673),
    [anon_sym_DASH] = ACTIONS(5671),
    [anon_sym_PLUS] = ACTIONS(5671),
    [anon_sym_STAR] = ACTIONS(5673),
    [anon_sym_AMP] = ACTIONS(5673),
    [anon_sym___extension__] = ACTIONS(5675),
    [anon_sym_COLON_COLON] = ACTIONS(5673),
    [anon_sym_LBRACK] = ACTIONS(5673),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_const] = ACTIONS(5675),
    [anon_sym_constexpr] = ACTIONS(5675),
    [anon_sym_volatile] = ACTIONS(5675),
    [anon_sym_restrict] = ACTIONS(5675),
    [anon_sym___restrict__] = ACTIONS(5675),
    [anon_sym__Atomic] = ACTIONS(5675),
    [anon_sym__Noreturn] = ACTIONS(5675),
    [anon_sym_noreturn] = ACTIONS(5675),
    [anon_sym_mutable] = ACTIONS(5675),
    [anon_sym_constinit] = ACTIONS(5675),
    [anon_sym_consteval] = ACTIONS(5675),
    [sym_primitive_type] = ACTIONS(5671),
    [anon_sym_not] = ACTIONS(5671),
    [anon_sym_compl] = ACTIONS(5671),
    [anon_sym_DASH_DASH] = ACTIONS(5673),
    [anon_sym_PLUS_PLUS] = ACTIONS(5673),
    [anon_sym_sizeof] = ACTIONS(5671),
    [anon_sym___alignof__] = ACTIONS(5671),
    [anon_sym___alignof] = ACTIONS(5671),
    [anon_sym__alignof] = ACTIONS(5671),
    [anon_sym_alignof] = ACTIONS(5671),
    [anon_sym__Alignof] = ACTIONS(5671),
    [anon_sym_offsetof] = ACTIONS(5671),
    [anon_sym__Generic] = ACTIONS(5671),
    [anon_sym_asm] = ACTIONS(5671),
    [anon_sym___asm__] = ACTIONS(5671),
    [sym_number_literal] = ACTIONS(5673),
    [anon_sym_L_SQUOTE] = ACTIONS(5673),
    [anon_sym_u_SQUOTE] = ACTIONS(5673),
    [anon_sym_U_SQUOTE] = ACTIONS(5673),
    [anon_sym_u8_SQUOTE] = ACTIONS(5673),
    [anon_sym_SQUOTE] = ACTIONS(5673),
    [anon_sym_L_DQUOTE] = ACTIONS(5673),
    [anon_sym_u_DQUOTE] = ACTIONS(5673),
    [anon_sym_U_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8_DQUOTE] = ACTIONS(5673),
    [anon_sym_DQUOTE] = ACTIONS(5673),
    [sym_true] = ACTIONS(5671),
    [sym_false] = ACTIONS(5671),
    [anon_sym_NULL] = ACTIONS(5671),
    [anon_sym_nullptr] = ACTIONS(5671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5671),
    [anon_sym_template] = ACTIONS(5671),
    [anon_sym_delete] = ACTIONS(5671),
    [anon_sym_R_DQUOTE] = ACTIONS(5673),
    [anon_sym_LR_DQUOTE] = ACTIONS(5673),
    [anon_sym_uR_DQUOTE] = ACTIONS(5673),
    [anon_sym_UR_DQUOTE] = ACTIONS(5673),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5673),
    [anon_sym_co_await] = ACTIONS(5671),
    [anon_sym_new] = ACTIONS(5671),
    [anon_sym_requires] = ACTIONS(5671),
    [sym_this] = ACTIONS(5671),
  },
  [2275] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [2277] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [2278] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_friend] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
  },
  [2281] = {
    [sym_string_literal] = STATE(2281),
    [sym_raw_string_literal] = STATE(2281),
    [aux_sym_concatenated_string_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [aux_sym_preproc_if_token2] = ACTIONS(5311),
    [aux_sym_preproc_else_token1] = ACTIONS(5311),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5313),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5313),
    [anon_sym_or_eq] = ACTIONS(5313),
    [anon_sym_xor_eq] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5313),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [anon_sym_L_DQUOTE] = ACTIONS(5681),
    [anon_sym_u_DQUOTE] = ACTIONS(5681),
    [anon_sym_U_DQUOTE] = ACTIONS(5681),
    [anon_sym_u8_DQUOTE] = ACTIONS(5681),
    [anon_sym_DQUOTE] = ACTIONS(5681),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5684),
    [anon_sym_LR_DQUOTE] = ACTIONS(5684),
    [anon_sym_uR_DQUOTE] = ACTIONS(5684),
    [anon_sym_UR_DQUOTE] = ACTIONS(5684),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5684),
    [sym_literal_suffix] = ACTIONS(5313),
  },
  [2282] = {
    [sym_identifier] = ACTIONS(5622),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5624),
    [anon_sym_COMMA] = ACTIONS(5624),
    [anon_sym_RPAREN] = ACTIONS(5624),
    [aux_sym_preproc_if_token2] = ACTIONS(5624),
    [aux_sym_preproc_else_token1] = ACTIONS(5624),
    [aux_sym_preproc_elif_token1] = ACTIONS(5622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5624),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5624),
    [anon_sym_LPAREN2] = ACTIONS(5624),
    [anon_sym_DASH] = ACTIONS(5622),
    [anon_sym_PLUS] = ACTIONS(5622),
    [anon_sym_STAR] = ACTIONS(5622),
    [anon_sym_SLASH] = ACTIONS(5622),
    [anon_sym_PERCENT] = ACTIONS(5622),
    [anon_sym_PIPE_PIPE] = ACTIONS(5624),
    [anon_sym_AMP_AMP] = ACTIONS(5624),
    [anon_sym_PIPE] = ACTIONS(5622),
    [anon_sym_CARET] = ACTIONS(5622),
    [anon_sym_AMP] = ACTIONS(5622),
    [anon_sym_EQ_EQ] = ACTIONS(5624),
    [anon_sym_BANG_EQ] = ACTIONS(5624),
    [anon_sym_GT] = ACTIONS(5622),
    [anon_sym_GT_EQ] = ACTIONS(5624),
    [anon_sym_LT_EQ] = ACTIONS(5622),
    [anon_sym_LT] = ACTIONS(5622),
    [anon_sym_LT_LT] = ACTIONS(5622),
    [anon_sym_GT_GT] = ACTIONS(5622),
    [anon_sym_SEMI] = ACTIONS(5624),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5624),
    [anon_sym_RBRACE] = ACTIONS(5624),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym_RBRACK] = ACTIONS(5624),
    [anon_sym_EQ] = ACTIONS(5622),
    [anon_sym_COLON] = ACTIONS(5622),
    [anon_sym_QMARK] = ACTIONS(5624),
    [anon_sym_STAR_EQ] = ACTIONS(5624),
    [anon_sym_SLASH_EQ] = ACTIONS(5624),
    [anon_sym_PERCENT_EQ] = ACTIONS(5624),
    [anon_sym_PLUS_EQ] = ACTIONS(5624),
    [anon_sym_DASH_EQ] = ACTIONS(5624),
    [anon_sym_LT_LT_EQ] = ACTIONS(5624),
    [anon_sym_GT_GT_EQ] = ACTIONS(5624),
    [anon_sym_AMP_EQ] = ACTIONS(5624),
    [anon_sym_CARET_EQ] = ACTIONS(5624),
    [anon_sym_PIPE_EQ] = ACTIONS(5624),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(5624),
    [anon_sym_or] = ACTIONS(5622),
    [anon_sym_and] = ACTIONS(5622),
    [anon_sym_bitor] = ACTIONS(5622),
    [anon_sym_xor] = ACTIONS(5622),
    [anon_sym_bitand] = ACTIONS(5622),
    [anon_sym_not_eq] = ACTIONS(5622),
    [anon_sym_DASH_DASH] = ACTIONS(5624),
    [anon_sym_PLUS_PLUS] = ACTIONS(5624),
    [anon_sym_DOT] = ACTIONS(5622),
    [anon_sym_DOT_STAR] = ACTIONS(5624),
    [anon_sym_DASH_GT] = ACTIONS(5624),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5622),
    [anon_sym_decltype] = ACTIONS(5622),
    [anon_sym_final] = ACTIONS(5622),
    [anon_sym_override] = ACTIONS(5622),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(5687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(5689),
    [anon_sym_RPAREN] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_DASH] = ACTIONS(5687),
    [anon_sym_PLUS] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5689),
    [anon_sym_SLASH] = ACTIONS(5687),
    [anon_sym_PERCENT] = ACTIONS(5689),
    [anon_sym_PIPE_PIPE] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_PIPE] = ACTIONS(5687),
    [anon_sym_CARET] = ACTIONS(5689),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym_EQ_EQ] = ACTIONS(5689),
    [anon_sym_BANG_EQ] = ACTIONS(5689),
    [anon_sym_GT] = ACTIONS(5687),
    [anon_sym_GT_EQ] = ACTIONS(5689),
    [anon_sym_LT_EQ] = ACTIONS(5687),
    [anon_sym_LT] = ACTIONS(5687),
    [anon_sym_LT_LT] = ACTIONS(5689),
    [anon_sym_GT_GT] = ACTIONS(5689),
    [anon_sym_SEMI] = ACTIONS(5689),
    [anon_sym___extension__] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym___based] = ACTIONS(5687),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_RBRACE] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5687),
    [anon_sym_unsigned] = ACTIONS(5687),
    [anon_sym_long] = ACTIONS(5687),
    [anon_sym_short] = ACTIONS(5687),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_const] = ACTIONS(5687),
    [anon_sym_constexpr] = ACTIONS(5687),
    [anon_sym_volatile] = ACTIONS(5687),
    [anon_sym_restrict] = ACTIONS(5687),
    [anon_sym___restrict__] = ACTIONS(5687),
    [anon_sym__Atomic] = ACTIONS(5687),
    [anon_sym__Noreturn] = ACTIONS(5687),
    [anon_sym_noreturn] = ACTIONS(5687),
    [anon_sym_mutable] = ACTIONS(5687),
    [anon_sym_constinit] = ACTIONS(5687),
    [anon_sym_consteval] = ACTIONS(5687),
    [sym_primitive_type] = ACTIONS(5687),
    [anon_sym_COLON] = ACTIONS(5689),
    [anon_sym_QMARK] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5687),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5687),
    [anon_sym_not_eq] = ACTIONS(5687),
    [anon_sym_DASH_DASH] = ACTIONS(5689),
    [anon_sym_PLUS_PLUS] = ACTIONS(5689),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_DOT_STAR] = ACTIONS(5689),
    [anon_sym_DASH_GT] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
    [anon_sym_final] = ACTIONS(5687),
    [anon_sym_override] = ACTIONS(5687),
    [anon_sym_requires] = ACTIONS(5687),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5693),
    [anon_sym_RPAREN] = ACTIONS(5693),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5691),
    [anon_sym_PLUS] = ACTIONS(5691),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_SLASH] = ACTIONS(5691),
    [anon_sym_PERCENT] = ACTIONS(5693),
    [anon_sym_PIPE_PIPE] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_PIPE] = ACTIONS(5691),
    [anon_sym_CARET] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym_EQ_EQ] = ACTIONS(5693),
    [anon_sym_BANG_EQ] = ACTIONS(5693),
    [anon_sym_GT] = ACTIONS(5691),
    [anon_sym_GT_EQ] = ACTIONS(5693),
    [anon_sym_LT_EQ] = ACTIONS(5691),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym_LT_LT] = ACTIONS(5693),
    [anon_sym_GT_GT] = ACTIONS(5693),
    [anon_sym_SEMI] = ACTIONS(5693),
    [anon_sym___extension__] = ACTIONS(5691),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym___based] = ACTIONS(5691),
    [anon_sym_LBRACE] = ACTIONS(5693),
    [anon_sym_RBRACE] = ACTIONS(5693),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5693),
    [anon_sym_RBRACK] = ACTIONS(5693),
    [anon_sym_const] = ACTIONS(5691),
    [anon_sym_constexpr] = ACTIONS(5691),
    [anon_sym_volatile] = ACTIONS(5691),
    [anon_sym_restrict] = ACTIONS(5691),
    [anon_sym___restrict__] = ACTIONS(5691),
    [anon_sym__Atomic] = ACTIONS(5691),
    [anon_sym__Noreturn] = ACTIONS(5691),
    [anon_sym_noreturn] = ACTIONS(5691),
    [anon_sym_mutable] = ACTIONS(5691),
    [anon_sym_constinit] = ACTIONS(5691),
    [anon_sym_consteval] = ACTIONS(5691),
    [sym_primitive_type] = ACTIONS(5691),
    [anon_sym_COLON] = ACTIONS(5693),
    [anon_sym_QMARK] = ACTIONS(5693),
    [anon_sym_LT_EQ_GT] = ACTIONS(5693),
    [anon_sym_or] = ACTIONS(5691),
    [anon_sym_and] = ACTIONS(5691),
    [anon_sym_bitor] = ACTIONS(5691),
    [anon_sym_xor] = ACTIONS(5691),
    [anon_sym_bitand] = ACTIONS(5691),
    [anon_sym_not_eq] = ACTIONS(5691),
    [anon_sym_DASH_DASH] = ACTIONS(5693),
    [anon_sym_PLUS_PLUS] = ACTIONS(5693),
    [anon_sym_DOT] = ACTIONS(5691),
    [anon_sym_DOT_STAR] = ACTIONS(5693),
    [anon_sym_DASH_GT] = ACTIONS(5693),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
    [anon_sym_final] = ACTIONS(5691),
    [anon_sym_override] = ACTIONS(5691),
    [anon_sym_requires] = ACTIONS(5691),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5509),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5509),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5509),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5509),
    [anon_sym_GT_GT] = ACTIONS(5509),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___extension__] = ACTIONS(5507),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym___based] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5507),
    [anon_sym_unsigned] = ACTIONS(5507),
    [anon_sym_long] = ACTIONS(5507),
    [anon_sym_short] = ACTIONS(5507),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5507),
    [anon_sym_constexpr] = ACTIONS(5507),
    [anon_sym_volatile] = ACTIONS(5507),
    [anon_sym_restrict] = ACTIONS(5507),
    [anon_sym___restrict__] = ACTIONS(5507),
    [anon_sym__Atomic] = ACTIONS(5507),
    [anon_sym__Noreturn] = ACTIONS(5507),
    [anon_sym_noreturn] = ACTIONS(5507),
    [anon_sym_mutable] = ACTIONS(5507),
    [anon_sym_constinit] = ACTIONS(5507),
    [anon_sym_consteval] = ACTIONS(5507),
    [sym_primitive_type] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5509),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
    [anon_sym_requires] = ACTIONS(5507),
  },
  [2286] = {
    [sym_catch_clause] = STATE(2361),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2361),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2844),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5695),
  },
  [2287] = {
    [sym_string_literal] = STATE(2287),
    [sym_raw_string_literal] = STATE(2287),
    [aux_sym_concatenated_string_repeat1] = STATE(2287),
    [sym_identifier] = ACTIONS(5697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5313),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_SEMI] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5313),
    [anon_sym_or_eq] = ACTIONS(5313),
    [anon_sym_xor_eq] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5313),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [anon_sym_L_DQUOTE] = ACTIONS(5700),
    [anon_sym_u_DQUOTE] = ACTIONS(5700),
    [anon_sym_U_DQUOTE] = ACTIONS(5700),
    [anon_sym_u8_DQUOTE] = ACTIONS(5700),
    [anon_sym_DQUOTE] = ACTIONS(5700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5703),
    [anon_sym_LR_DQUOTE] = ACTIONS(5703),
    [anon_sym_uR_DQUOTE] = ACTIONS(5703),
    [anon_sym_UR_DQUOTE] = ACTIONS(5703),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5703),
    [sym_literal_suffix] = ACTIONS(5313),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym___based] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5706),
    [anon_sym_unsigned] = ACTIONS(5706),
    [anon_sym_long] = ACTIONS(5706),
    [anon_sym_short] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [sym_primitive_type] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(5706),
    [anon_sym_override] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2289] = {
    [sym_string_literal] = STATE(2653),
    [sym_template_argument_list] = STATE(4248),
    [sym_raw_string_literal] = STATE(2653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5710),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(5713),
    [anon_sym_or_eq] = ACTIONS(5713),
    [anon_sym_xor_eq] = ACTIONS(5713),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(4480),
    [anon_sym_u_DQUOTE] = ACTIONS(4480),
    [anon_sym_U_DQUOTE] = ACTIONS(4480),
    [anon_sym_u8_DQUOTE] = ACTIONS(4480),
    [anon_sym_DQUOTE] = ACTIONS(4480),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4482),
    [anon_sym_LR_DQUOTE] = ACTIONS(4482),
    [anon_sym_uR_DQUOTE] = ACTIONS(4482),
    [anon_sym_UR_DQUOTE] = ACTIONS(4482),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4482),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2290] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym___based] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5706),
    [anon_sym_unsigned] = ACTIONS(5706),
    [anon_sym_long] = ACTIONS(5706),
    [anon_sym_short] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [sym_primitive_type] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(5706),
    [anon_sym_override] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5717),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5717),
    [anon_sym_GT_GT] = ACTIONS(5717),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_final] = ACTIONS(5715),
    [anon_sym_override] = ACTIONS(5715),
    [anon_sym_requires] = ACTIONS(5715),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5721),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5721),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5721),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5721),
    [anon_sym_GT_GT] = ACTIONS(5721),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5719),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5719),
    [anon_sym_constexpr] = ACTIONS(5719),
    [anon_sym_volatile] = ACTIONS(5719),
    [anon_sym_restrict] = ACTIONS(5719),
    [anon_sym___restrict__] = ACTIONS(5719),
    [anon_sym__Atomic] = ACTIONS(5719),
    [anon_sym__Noreturn] = ACTIONS(5719),
    [anon_sym_noreturn] = ACTIONS(5719),
    [anon_sym_mutable] = ACTIONS(5719),
    [anon_sym_constinit] = ACTIONS(5719),
    [anon_sym_consteval] = ACTIONS(5719),
    [sym_primitive_type] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
    [anon_sym_final] = ACTIONS(5719),
    [anon_sym_override] = ACTIONS(5719),
    [anon_sym_requires] = ACTIONS(5719),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5708),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5708),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5708),
    [anon_sym_GT_GT] = ACTIONS(5708),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(5706),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym___based] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_signed] = ACTIONS(5706),
    [anon_sym_unsigned] = ACTIONS(5706),
    [anon_sym_long] = ACTIONS(5706),
    [anon_sym_short] = ACTIONS(5706),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_const] = ACTIONS(5706),
    [anon_sym_constexpr] = ACTIONS(5706),
    [anon_sym_volatile] = ACTIONS(5706),
    [anon_sym_restrict] = ACTIONS(5706),
    [anon_sym___restrict__] = ACTIONS(5706),
    [anon_sym__Atomic] = ACTIONS(5706),
    [anon_sym__Noreturn] = ACTIONS(5706),
    [anon_sym_noreturn] = ACTIONS(5706),
    [anon_sym_mutable] = ACTIONS(5706),
    [anon_sym_constinit] = ACTIONS(5706),
    [anon_sym_consteval] = ACTIONS(5706),
    [sym_primitive_type] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
    [anon_sym_final] = ACTIONS(5706),
    [anon_sym_override] = ACTIONS(5706),
    [anon_sym_requires] = ACTIONS(5706),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5723),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym___based] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_signed] = ACTIONS(5723),
    [anon_sym_unsigned] = ACTIONS(5723),
    [anon_sym_long] = ACTIONS(5723),
    [anon_sym_short] = ACTIONS(5723),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5723),
    [anon_sym_constexpr] = ACTIONS(5723),
    [anon_sym_volatile] = ACTIONS(5723),
    [anon_sym_restrict] = ACTIONS(5723),
    [anon_sym___restrict__] = ACTIONS(5723),
    [anon_sym__Atomic] = ACTIONS(5723),
    [anon_sym__Noreturn] = ACTIONS(5723),
    [anon_sym_noreturn] = ACTIONS(5723),
    [anon_sym_mutable] = ACTIONS(5723),
    [anon_sym_constinit] = ACTIONS(5723),
    [anon_sym_consteval] = ACTIONS(5723),
    [sym_primitive_type] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
    [anon_sym_final] = ACTIONS(5723),
    [anon_sym_override] = ACTIONS(5723),
    [anon_sym_requires] = ACTIONS(5723),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(3525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3527),
    [anon_sym_COMMA] = ACTIONS(3527),
    [anon_sym_RPAREN] = ACTIONS(3527),
    [anon_sym_LPAREN2] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3527),
    [anon_sym_STAR] = ACTIONS(3527),
    [anon_sym_AMP_AMP] = ACTIONS(3527),
    [anon_sym_AMP] = ACTIONS(3525),
    [anon_sym_SEMI] = ACTIONS(3527),
    [anon_sym___extension__] = ACTIONS(3525),
    [anon_sym_extern] = ACTIONS(3525),
    [anon_sym___attribute__] = ACTIONS(3525),
    [anon_sym_COLON_COLON] = ACTIONS(3527),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3527),
    [anon_sym___declspec] = ACTIONS(3525),
    [anon_sym___based] = ACTIONS(3525),
    [anon_sym_LBRACE] = ACTIONS(3527),
    [anon_sym_signed] = ACTIONS(3525),
    [anon_sym_unsigned] = ACTIONS(3525),
    [anon_sym_long] = ACTIONS(3525),
    [anon_sym_short] = ACTIONS(3525),
    [anon_sym_LBRACK] = ACTIONS(3525),
    [anon_sym_EQ] = ACTIONS(3527),
    [anon_sym_static] = ACTIONS(3525),
    [anon_sym_register] = ACTIONS(3525),
    [anon_sym_inline] = ACTIONS(3525),
    [anon_sym___inline] = ACTIONS(3525),
    [anon_sym___inline__] = ACTIONS(3525),
    [anon_sym___forceinline] = ACTIONS(3525),
    [anon_sym_thread_local] = ACTIONS(3525),
    [anon_sym___thread] = ACTIONS(3525),
    [anon_sym_const] = ACTIONS(3525),
    [anon_sym_constexpr] = ACTIONS(3525),
    [anon_sym_volatile] = ACTIONS(3525),
    [anon_sym_restrict] = ACTIONS(3525),
    [anon_sym___restrict__] = ACTIONS(3525),
    [anon_sym__Atomic] = ACTIONS(3525),
    [anon_sym__Noreturn] = ACTIONS(3525),
    [anon_sym_noreturn] = ACTIONS(3525),
    [anon_sym_mutable] = ACTIONS(3525),
    [anon_sym_constinit] = ACTIONS(3525),
    [anon_sym_consteval] = ACTIONS(3525),
    [sym_primitive_type] = ACTIONS(3525),
    [anon_sym_enum] = ACTIONS(3525),
    [anon_sym_class] = ACTIONS(3525),
    [anon_sym_struct] = ACTIONS(3525),
    [anon_sym_union] = ACTIONS(3525),
    [anon_sym_asm] = ACTIONS(3525),
    [anon_sym___asm__] = ACTIONS(3525),
    [anon_sym_DASH_GT] = ACTIONS(3527),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3525),
    [anon_sym_decltype] = ACTIONS(3525),
    [anon_sym_final] = ACTIONS(3525),
    [anon_sym_override] = ACTIONS(3525),
    [anon_sym_virtual] = ACTIONS(3525),
    [anon_sym_alignas] = ACTIONS(3525),
    [anon_sym_explicit] = ACTIONS(3525),
    [anon_sym_typename] = ACTIONS(3525),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_GT2] = ACTIONS(3527),
    [anon_sym_operator] = ACTIONS(3525),
    [anon_sym_try] = ACTIONS(3525),
    [anon_sym_noexcept] = ACTIONS(3525),
    [anon_sym_throw] = ACTIONS(3525),
    [anon_sym_requires] = ACTIONS(3525),
  },
  [2296] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5505),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2297] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(5727),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2298] = {
    [sym_identifier] = ACTIONS(5729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5731),
    [anon_sym_COMMA] = ACTIONS(5731),
    [anon_sym_RPAREN] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5729),
    [anon_sym_PLUS] = ACTIONS(5729),
    [anon_sym_STAR] = ACTIONS(5731),
    [anon_sym_SLASH] = ACTIONS(5729),
    [anon_sym_PERCENT] = ACTIONS(5731),
    [anon_sym_PIPE_PIPE] = ACTIONS(5731),
    [anon_sym_AMP_AMP] = ACTIONS(5731),
    [anon_sym_PIPE] = ACTIONS(5729),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5729),
    [anon_sym_EQ_EQ] = ACTIONS(5731),
    [anon_sym_BANG_EQ] = ACTIONS(5731),
    [anon_sym_GT] = ACTIONS(5729),
    [anon_sym_GT_EQ] = ACTIONS(5731),
    [anon_sym_LT_EQ] = ACTIONS(5729),
    [anon_sym_LT] = ACTIONS(5729),
    [anon_sym_LT_LT] = ACTIONS(5731),
    [anon_sym_GT_GT] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5731),
    [anon_sym___extension__] = ACTIONS(5729),
    [anon_sym___attribute__] = ACTIONS(5729),
    [anon_sym___based] = ACTIONS(5729),
    [anon_sym_LBRACE] = ACTIONS(5731),
    [anon_sym_RBRACE] = ACTIONS(5731),
    [anon_sym_signed] = ACTIONS(5729),
    [anon_sym_unsigned] = ACTIONS(5729),
    [anon_sym_long] = ACTIONS(5729),
    [anon_sym_short] = ACTIONS(5729),
    [anon_sym_LBRACK] = ACTIONS(5731),
    [anon_sym_RBRACK] = ACTIONS(5731),
    [anon_sym_const] = ACTIONS(5729),
    [anon_sym_constexpr] = ACTIONS(5729),
    [anon_sym_volatile] = ACTIONS(5729),
    [anon_sym_restrict] = ACTIONS(5729),
    [anon_sym___restrict__] = ACTIONS(5729),
    [anon_sym__Atomic] = ACTIONS(5729),
    [anon_sym__Noreturn] = ACTIONS(5729),
    [anon_sym_noreturn] = ACTIONS(5729),
    [anon_sym_mutable] = ACTIONS(5729),
    [anon_sym_constinit] = ACTIONS(5729),
    [anon_sym_consteval] = ACTIONS(5729),
    [sym_primitive_type] = ACTIONS(5729),
    [anon_sym_COLON] = ACTIONS(5731),
    [anon_sym_QMARK] = ACTIONS(5731),
    [anon_sym_LT_EQ_GT] = ACTIONS(5731),
    [anon_sym_or] = ACTIONS(5729),
    [anon_sym_and] = ACTIONS(5729),
    [anon_sym_bitor] = ACTIONS(5729),
    [anon_sym_xor] = ACTIONS(5729),
    [anon_sym_bitand] = ACTIONS(5729),
    [anon_sym_not_eq] = ACTIONS(5729),
    [anon_sym_DASH_DASH] = ACTIONS(5731),
    [anon_sym_PLUS_PLUS] = ACTIONS(5731),
    [anon_sym_DOT] = ACTIONS(5729),
    [anon_sym_DOT_STAR] = ACTIONS(5731),
    [anon_sym_DASH_GT] = ACTIONS(5731),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5729),
    [anon_sym_decltype] = ACTIONS(5729),
    [anon_sym_final] = ACTIONS(5729),
    [anon_sym_override] = ACTIONS(5729),
    [anon_sym_requires] = ACTIONS(5729),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5735),
    [anon_sym_COMMA] = ACTIONS(5735),
    [anon_sym_RPAREN] = ACTIONS(5735),
    [anon_sym_LPAREN2] = ACTIONS(5735),
    [anon_sym_DASH] = ACTIONS(5733),
    [anon_sym_PLUS] = ACTIONS(5733),
    [anon_sym_STAR] = ACTIONS(5735),
    [anon_sym_SLASH] = ACTIONS(5733),
    [anon_sym_PERCENT] = ACTIONS(5735),
    [anon_sym_PIPE_PIPE] = ACTIONS(5735),
    [anon_sym_AMP_AMP] = ACTIONS(5735),
    [anon_sym_PIPE] = ACTIONS(5733),
    [anon_sym_CARET] = ACTIONS(5735),
    [anon_sym_AMP] = ACTIONS(5733),
    [anon_sym_EQ_EQ] = ACTIONS(5735),
    [anon_sym_BANG_EQ] = ACTIONS(5735),
    [anon_sym_GT] = ACTIONS(5733),
    [anon_sym_GT_EQ] = ACTIONS(5735),
    [anon_sym_LT_EQ] = ACTIONS(5733),
    [anon_sym_LT] = ACTIONS(5733),
    [anon_sym_LT_LT] = ACTIONS(5735),
    [anon_sym_GT_GT] = ACTIONS(5735),
    [anon_sym_SEMI] = ACTIONS(5735),
    [anon_sym___extension__] = ACTIONS(5733),
    [anon_sym___attribute__] = ACTIONS(5733),
    [anon_sym___based] = ACTIONS(5733),
    [anon_sym_LBRACE] = ACTIONS(5735),
    [anon_sym_RBRACE] = ACTIONS(5735),
    [anon_sym_signed] = ACTIONS(5733),
    [anon_sym_unsigned] = ACTIONS(5733),
    [anon_sym_long] = ACTIONS(5733),
    [anon_sym_short] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [anon_sym_RBRACK] = ACTIONS(5735),
    [anon_sym_const] = ACTIONS(5733),
    [anon_sym_constexpr] = ACTIONS(5733),
    [anon_sym_volatile] = ACTIONS(5733),
    [anon_sym_restrict] = ACTIONS(5733),
    [anon_sym___restrict__] = ACTIONS(5733),
    [anon_sym__Atomic] = ACTIONS(5733),
    [anon_sym__Noreturn] = ACTIONS(5733),
    [anon_sym_noreturn] = ACTIONS(5733),
    [anon_sym_mutable] = ACTIONS(5733),
    [anon_sym_constinit] = ACTIONS(5733),
    [anon_sym_consteval] = ACTIONS(5733),
    [sym_primitive_type] = ACTIONS(5733),
    [anon_sym_COLON] = ACTIONS(5735),
    [anon_sym_QMARK] = ACTIONS(5735),
    [anon_sym_LT_EQ_GT] = ACTIONS(5735),
    [anon_sym_or] = ACTIONS(5733),
    [anon_sym_and] = ACTIONS(5733),
    [anon_sym_bitor] = ACTIONS(5733),
    [anon_sym_xor] = ACTIONS(5733),
    [anon_sym_bitand] = ACTIONS(5733),
    [anon_sym_not_eq] = ACTIONS(5733),
    [anon_sym_DASH_DASH] = ACTIONS(5735),
    [anon_sym_PLUS_PLUS] = ACTIONS(5735),
    [anon_sym_DOT] = ACTIONS(5733),
    [anon_sym_DOT_STAR] = ACTIONS(5735),
    [anon_sym_DASH_GT] = ACTIONS(5735),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5733),
    [anon_sym_decltype] = ACTIONS(5733),
    [anon_sym_final] = ACTIONS(5733),
    [anon_sym_override] = ACTIONS(5733),
    [anon_sym_requires] = ACTIONS(5733),
  },
  [2300] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2301] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5737),
    [anon_sym_COMMA] = ACTIONS(5737),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5737),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5737),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_CARET] = ACTIONS(5737),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5737),
    [anon_sym_BANG_EQ] = ACTIONS(5737),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5737),
    [anon_sym_LT_EQ] = ACTIONS(5740),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5737),
    [anon_sym_GT_GT] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5737),
    [anon_sym___extension__] = ACTIONS(5740),
    [anon_sym___attribute__] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5737),
    [anon_sym_RBRACE] = ACTIONS(5737),
    [anon_sym_signed] = ACTIONS(5365),
    [anon_sym_unsigned] = ACTIONS(5365),
    [anon_sym_long] = ACTIONS(5365),
    [anon_sym_short] = ACTIONS(5365),
    [anon_sym_LBRACK] = ACTIONS(5737),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_const] = ACTIONS(5740),
    [anon_sym_constexpr] = ACTIONS(5740),
    [anon_sym_volatile] = ACTIONS(5740),
    [anon_sym_restrict] = ACTIONS(5740),
    [anon_sym___restrict__] = ACTIONS(5740),
    [anon_sym__Atomic] = ACTIONS(5740),
    [anon_sym__Noreturn] = ACTIONS(5740),
    [anon_sym_noreturn] = ACTIONS(5740),
    [anon_sym_mutable] = ACTIONS(5740),
    [anon_sym_constinit] = ACTIONS(5740),
    [anon_sym_consteval] = ACTIONS(5740),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_COLON] = ACTIONS(5737),
    [anon_sym_QMARK] = ACTIONS(5737),
    [anon_sym_LT_EQ_GT] = ACTIONS(5737),
    [anon_sym_or] = ACTIONS(5740),
    [anon_sym_and] = ACTIONS(5740),
    [anon_sym_bitor] = ACTIONS(5740),
    [anon_sym_xor] = ACTIONS(5740),
    [anon_sym_bitand] = ACTIONS(5740),
    [anon_sym_not_eq] = ACTIONS(5740),
    [anon_sym_DASH_DASH] = ACTIONS(5737),
    [anon_sym_PLUS_PLUS] = ACTIONS(5737),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_DOT_STAR] = ACTIONS(5737),
    [anon_sym_DASH_GT] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5740),
    [anon_sym_decltype] = ACTIONS(5740),
    [anon_sym_final] = ACTIONS(5740),
    [anon_sym_override] = ACTIONS(5740),
    [anon_sym_requires] = ACTIONS(5740),
  },
  [2302] = {
    [sym_string_literal] = STATE(2219),
    [sym_raw_string_literal] = STATE(2219),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [aux_sym_preproc_if_token2] = ACTIONS(4127),
    [aux_sym_preproc_else_token1] = ACTIONS(4127),
    [aux_sym_preproc_elif_token1] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4135),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5743),
  },
  [2303] = {
    [sym_catch_clause] = STATE(2306),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2306),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token2] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5745),
  },
  [2304] = {
    [sym_string_literal] = STATE(2219),
    [sym_raw_string_literal] = STATE(2219),
    [sym_identifier] = ACTIONS(5449),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5449),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5451),
    [anon_sym_STAR_EQ] = ACTIONS(5451),
    [anon_sym_SLASH_EQ] = ACTIONS(5451),
    [anon_sym_PERCENT_EQ] = ACTIONS(5451),
    [anon_sym_PLUS_EQ] = ACTIONS(5451),
    [anon_sym_DASH_EQ] = ACTIONS(5451),
    [anon_sym_LT_LT_EQ] = ACTIONS(5451),
    [anon_sym_GT_GT_EQ] = ACTIONS(5451),
    [anon_sym_AMP_EQ] = ACTIONS(5451),
    [anon_sym_CARET_EQ] = ACTIONS(5451),
    [anon_sym_PIPE_EQ] = ACTIONS(5451),
    [anon_sym_and_eq] = ACTIONS(5449),
    [anon_sym_or_eq] = ACTIONS(5449),
    [anon_sym_xor_eq] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_DOT_STAR] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_L_DQUOTE] = ACTIONS(2238),
    [anon_sym_u_DQUOTE] = ACTIONS(2238),
    [anon_sym_U_DQUOTE] = ACTIONS(2238),
    [anon_sym_u8_DQUOTE] = ACTIONS(2238),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2246),
    [anon_sym_LR_DQUOTE] = ACTIONS(2246),
    [anon_sym_uR_DQUOTE] = ACTIONS(2246),
    [anon_sym_UR_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2246),
    [sym_literal_suffix] = ACTIONS(5743),
  },
  [2305] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [aux_sym_preproc_else_token1] = ACTIONS(2208),
    [aux_sym_preproc_elif_token1] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
  },
  [2306] = {
    [sym_catch_clause] = STATE(2306),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2306),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token2] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(5747),
  },
  [2307] = {
    [sym_identifier] = ACTIONS(5750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_STAR] = ACTIONS(5752),
    [anon_sym_SLASH] = ACTIONS(5750),
    [anon_sym_PERCENT] = ACTIONS(5752),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5750),
    [anon_sym_CARET] = ACTIONS(5752),
    [anon_sym_AMP] = ACTIONS(5750),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5750),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5750),
    [anon_sym_LT] = ACTIONS(5750),
    [anon_sym_LT_LT] = ACTIONS(5752),
    [anon_sym_GT_GT] = ACTIONS(5752),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___extension__] = ACTIONS(5750),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym___based] = ACTIONS(5750),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_signed] = ACTIONS(5750),
    [anon_sym_unsigned] = ACTIONS(5750),
    [anon_sym_long] = ACTIONS(5750),
    [anon_sym_short] = ACTIONS(5750),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_const] = ACTIONS(5750),
    [anon_sym_constexpr] = ACTIONS(5750),
    [anon_sym_volatile] = ACTIONS(5750),
    [anon_sym_restrict] = ACTIONS(5750),
    [anon_sym___restrict__] = ACTIONS(5750),
    [anon_sym__Atomic] = ACTIONS(5750),
    [anon_sym__Noreturn] = ACTIONS(5750),
    [anon_sym_noreturn] = ACTIONS(5750),
    [anon_sym_mutable] = ACTIONS(5750),
    [anon_sym_constinit] = ACTIONS(5750),
    [anon_sym_consteval] = ACTIONS(5750),
    [sym_primitive_type] = ACTIONS(5750),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
    [anon_sym_final] = ACTIONS(5750),
    [anon_sym_override] = ACTIONS(5750),
    [anon_sym_requires] = ACTIONS(5750),
  },
  [2308] = {
    [sym_string_literal] = STATE(2287),
    [sym_raw_string_literal] = STATE(2287),
    [aux_sym_concatenated_string_repeat1] = STATE(2287),
    [sym_identifier] = ACTIONS(5754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5268),
    [anon_sym___attribute__] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5756),
    [anon_sym_u_DQUOTE] = ACTIONS(5756),
    [anon_sym_U_DQUOTE] = ACTIONS(5756),
    [anon_sym_u8_DQUOTE] = ACTIONS(5756),
    [anon_sym_DQUOTE] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5758),
    [anon_sym_LR_DQUOTE] = ACTIONS(5758),
    [anon_sym_uR_DQUOTE] = ACTIONS(5758),
    [anon_sym_UR_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5758),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2309] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4182),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(5760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5762),
    [anon_sym_RPAREN] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5762),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5762),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5762),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5762),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5762),
    [anon_sym_GT_GT] = ACTIONS(5762),
    [anon_sym_SEMI] = ACTIONS(5762),
    [anon_sym___extension__] = ACTIONS(5760),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym___based] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5762),
    [anon_sym_RBRACE] = ACTIONS(5762),
    [anon_sym_signed] = ACTIONS(5760),
    [anon_sym_unsigned] = ACTIONS(5760),
    [anon_sym_long] = ACTIONS(5760),
    [anon_sym_short] = ACTIONS(5760),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [anon_sym_RBRACK] = ACTIONS(5762),
    [anon_sym_const] = ACTIONS(5760),
    [anon_sym_constexpr] = ACTIONS(5760),
    [anon_sym_volatile] = ACTIONS(5760),
    [anon_sym_restrict] = ACTIONS(5760),
    [anon_sym___restrict__] = ACTIONS(5760),
    [anon_sym__Atomic] = ACTIONS(5760),
    [anon_sym__Noreturn] = ACTIONS(5760),
    [anon_sym_noreturn] = ACTIONS(5760),
    [anon_sym_mutable] = ACTIONS(5760),
    [anon_sym_constinit] = ACTIONS(5760),
    [anon_sym_consteval] = ACTIONS(5760),
    [sym_primitive_type] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5762),
    [anon_sym_QMARK] = ACTIONS(5762),
    [anon_sym_LT_EQ_GT] = ACTIONS(5762),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5762),
    [anon_sym_PLUS_PLUS] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5762),
    [anon_sym_DASH_GT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
    [anon_sym_final] = ACTIONS(5760),
    [anon_sym_override] = ACTIONS(5760),
    [anon_sym_requires] = ACTIONS(5760),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [aux_sym_preproc_else_token1] = ACTIONS(2212),
    [aux_sym_preproc_elif_token1] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2312] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2313] = {
    [sym_catch_clause] = STATE(2361),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2361),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2848),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5695),
  },
  [2314] = {
    [sym_string_literal] = STATE(2360),
    [sym_raw_string_literal] = STATE(2360),
    [aux_sym_concatenated_string_repeat1] = STATE(2360),
    [sym_identifier] = ACTIONS(5764),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_RPAREN] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5329),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_CARET] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5329),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5329),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_EQ] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_STAR_EQ] = ACTIONS(5327),
    [anon_sym_SLASH_EQ] = ACTIONS(5327),
    [anon_sym_PERCENT_EQ] = ACTIONS(5327),
    [anon_sym_PLUS_EQ] = ACTIONS(5327),
    [anon_sym_DASH_EQ] = ACTIONS(5327),
    [anon_sym_LT_LT_EQ] = ACTIONS(5327),
    [anon_sym_GT_GT_EQ] = ACTIONS(5327),
    [anon_sym_AMP_EQ] = ACTIONS(5327),
    [anon_sym_CARET_EQ] = ACTIONS(5327),
    [anon_sym_PIPE_EQ] = ACTIONS(5327),
    [anon_sym_and_eq] = ACTIONS(5329),
    [anon_sym_or_eq] = ACTIONS(5329),
    [anon_sym_xor_eq] = ACTIONS(5329),
    [anon_sym_LT_EQ_GT] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_and] = ACTIONS(5329),
    [anon_sym_bitor] = ACTIONS(5329),
    [anon_sym_xor] = ACTIONS(5329),
    [anon_sym_bitand] = ACTIONS(5329),
    [anon_sym_not_eq] = ACTIONS(5329),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_DOT_STAR] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5329),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5327),
    [sym_literal_suffix] = ACTIONS(5329),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5768),
    [anon_sym_COMMA] = ACTIONS(5768),
    [anon_sym_RPAREN] = ACTIONS(5768),
    [anon_sym_LPAREN2] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5768),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5768),
    [anon_sym_PIPE_PIPE] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5768),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_CARET] = ACTIONS(5768),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5768),
    [anon_sym_BANG_EQ] = ACTIONS(5768),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5766),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5768),
    [anon_sym_GT_GT] = ACTIONS(5768),
    [anon_sym_SEMI] = ACTIONS(5768),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym___based] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(5768),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_signed] = ACTIONS(5766),
    [anon_sym_unsigned] = ACTIONS(5766),
    [anon_sym_long] = ACTIONS(5766),
    [anon_sym_short] = ACTIONS(5766),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5768),
    [anon_sym_const] = ACTIONS(5766),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [sym_primitive_type] = ACTIONS(5766),
    [anon_sym_COLON] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5768),
    [anon_sym_LT_EQ_GT] = ACTIONS(5768),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5768),
    [anon_sym_PLUS_PLUS] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_DOT_STAR] = ACTIONS(5768),
    [anon_sym_DASH_GT] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [anon_sym_RPAREN] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5772),
    [anon_sym_SLASH] = ACTIONS(5770),
    [anon_sym_PERCENT] = ACTIONS(5772),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5770),
    [anon_sym_CARET] = ACTIONS(5772),
    [anon_sym_AMP] = ACTIONS(5770),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5770),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5770),
    [anon_sym_LT] = ACTIONS(5770),
    [anon_sym_LT_LT] = ACTIONS(5772),
    [anon_sym_GT_GT] = ACTIONS(5772),
    [anon_sym_SEMI] = ACTIONS(5772),
    [anon_sym___extension__] = ACTIONS(5770),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym___based] = ACTIONS(5770),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_RBRACE] = ACTIONS(5772),
    [anon_sym_signed] = ACTIONS(5770),
    [anon_sym_unsigned] = ACTIONS(5770),
    [anon_sym_long] = ACTIONS(5770),
    [anon_sym_short] = ACTIONS(5770),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_RBRACK] = ACTIONS(5772),
    [anon_sym_const] = ACTIONS(5770),
    [anon_sym_constexpr] = ACTIONS(5770),
    [anon_sym_volatile] = ACTIONS(5770),
    [anon_sym_restrict] = ACTIONS(5770),
    [anon_sym___restrict__] = ACTIONS(5770),
    [anon_sym__Atomic] = ACTIONS(5770),
    [anon_sym__Noreturn] = ACTIONS(5770),
    [anon_sym_noreturn] = ACTIONS(5770),
    [anon_sym_mutable] = ACTIONS(5770),
    [anon_sym_constinit] = ACTIONS(5770),
    [anon_sym_consteval] = ACTIONS(5770),
    [sym_primitive_type] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
    [anon_sym_final] = ACTIONS(5770),
    [anon_sym_override] = ACTIONS(5770),
    [anon_sym_requires] = ACTIONS(5770),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5776),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5776),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5776),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5776),
    [anon_sym_GT_GT] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___extension__] = ACTIONS(5774),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym___based] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_signed] = ACTIONS(5774),
    [anon_sym_unsigned] = ACTIONS(5774),
    [anon_sym_long] = ACTIONS(5774),
    [anon_sym_short] = ACTIONS(5774),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_const] = ACTIONS(5774),
    [anon_sym_constexpr] = ACTIONS(5774),
    [anon_sym_volatile] = ACTIONS(5774),
    [anon_sym_restrict] = ACTIONS(5774),
    [anon_sym___restrict__] = ACTIONS(5774),
    [anon_sym__Atomic] = ACTIONS(5774),
    [anon_sym__Noreturn] = ACTIONS(5774),
    [anon_sym_noreturn] = ACTIONS(5774),
    [anon_sym_mutable] = ACTIONS(5774),
    [anon_sym_constinit] = ACTIONS(5774),
    [anon_sym_consteval] = ACTIONS(5774),
    [sym_primitive_type] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
    [anon_sym_final] = ACTIONS(5774),
    [anon_sym_override] = ACTIONS(5774),
    [anon_sym_requires] = ACTIONS(5774),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5780),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5780),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5780),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5780),
    [anon_sym_GT_GT] = ACTIONS(5780),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___extension__] = ACTIONS(5778),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym___based] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_signed] = ACTIONS(5778),
    [anon_sym_unsigned] = ACTIONS(5778),
    [anon_sym_long] = ACTIONS(5778),
    [anon_sym_short] = ACTIONS(5778),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_RBRACK] = ACTIONS(5780),
    [anon_sym_const] = ACTIONS(5778),
    [anon_sym_constexpr] = ACTIONS(5778),
    [anon_sym_volatile] = ACTIONS(5778),
    [anon_sym_restrict] = ACTIONS(5778),
    [anon_sym___restrict__] = ACTIONS(5778),
    [anon_sym__Atomic] = ACTIONS(5778),
    [anon_sym__Noreturn] = ACTIONS(5778),
    [anon_sym_noreturn] = ACTIONS(5778),
    [anon_sym_mutable] = ACTIONS(5778),
    [anon_sym_constinit] = ACTIONS(5778),
    [anon_sym_consteval] = ACTIONS(5778),
    [sym_primitive_type] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
    [anon_sym_final] = ACTIONS(5778),
    [anon_sym_override] = ACTIONS(5778),
    [anon_sym_requires] = ACTIONS(5778),
  },
  [2319] = {
    [sym_identifier] = ACTIONS(5782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5782),
    [anon_sym_STAR] = ACTIONS(5784),
    [anon_sym_SLASH] = ACTIONS(5782),
    [anon_sym_PERCENT] = ACTIONS(5784),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5782),
    [anon_sym_CARET] = ACTIONS(5784),
    [anon_sym_AMP] = ACTIONS(5782),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5782),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5782),
    [anon_sym_LT] = ACTIONS(5782),
    [anon_sym_LT_LT] = ACTIONS(5784),
    [anon_sym_GT_GT] = ACTIONS(5784),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym___extension__] = ACTIONS(5782),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym___based] = ACTIONS(5782),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_signed] = ACTIONS(5782),
    [anon_sym_unsigned] = ACTIONS(5782),
    [anon_sym_long] = ACTIONS(5782),
    [anon_sym_short] = ACTIONS(5782),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_RBRACK] = ACTIONS(5784),
    [anon_sym_const] = ACTIONS(5782),
    [anon_sym_constexpr] = ACTIONS(5782),
    [anon_sym_volatile] = ACTIONS(5782),
    [anon_sym_restrict] = ACTIONS(5782),
    [anon_sym___restrict__] = ACTIONS(5782),
    [anon_sym__Atomic] = ACTIONS(5782),
    [anon_sym__Noreturn] = ACTIONS(5782),
    [anon_sym_noreturn] = ACTIONS(5782),
    [anon_sym_mutable] = ACTIONS(5782),
    [anon_sym_constinit] = ACTIONS(5782),
    [anon_sym_consteval] = ACTIONS(5782),
    [sym_primitive_type] = ACTIONS(5782),
    [anon_sym_COLON] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
    [anon_sym_final] = ACTIONS(5782),
    [anon_sym_override] = ACTIONS(5782),
    [anon_sym_requires] = ACTIONS(5782),
  },
  [2320] = {
    [sym_catch_clause] = STATE(2306),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2306),
    [sym_identifier] = ACTIONS(2846),
    [aux_sym_preproc_def_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token1] = ACTIONS(2846),
    [aux_sym_preproc_if_token2] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2846),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2846),
    [sym_preproc_directive] = ACTIONS(2846),
    [anon_sym_LPAREN2] = ACTIONS(2848),
    [anon_sym_TILDE] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2848),
    [anon_sym_AMP_AMP] = ACTIONS(2848),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2846),
    [anon_sym_typedef] = ACTIONS(2846),
    [anon_sym_extern] = ACTIONS(2846),
    [anon_sym___attribute__] = ACTIONS(2846),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2848),
    [anon_sym___declspec] = ACTIONS(2846),
    [anon_sym___based] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2846),
    [anon_sym_unsigned] = ACTIONS(2846),
    [anon_sym_long] = ACTIONS(2846),
    [anon_sym_short] = ACTIONS(2846),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_static] = ACTIONS(2846),
    [anon_sym_register] = ACTIONS(2846),
    [anon_sym_inline] = ACTIONS(2846),
    [anon_sym___inline] = ACTIONS(2846),
    [anon_sym___inline__] = ACTIONS(2846),
    [anon_sym___forceinline] = ACTIONS(2846),
    [anon_sym_thread_local] = ACTIONS(2846),
    [anon_sym___thread] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(2846),
    [anon_sym_constexpr] = ACTIONS(2846),
    [anon_sym_volatile] = ACTIONS(2846),
    [anon_sym_restrict] = ACTIONS(2846),
    [anon_sym___restrict__] = ACTIONS(2846),
    [anon_sym__Atomic] = ACTIONS(2846),
    [anon_sym__Noreturn] = ACTIONS(2846),
    [anon_sym_noreturn] = ACTIONS(2846),
    [anon_sym_mutable] = ACTIONS(2846),
    [anon_sym_constinit] = ACTIONS(2846),
    [anon_sym_consteval] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2846),
    [anon_sym_enum] = ACTIONS(2846),
    [anon_sym_class] = ACTIONS(2846),
    [anon_sym_struct] = ACTIONS(2846),
    [anon_sym_union] = ACTIONS(2846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2846),
    [anon_sym_decltype] = ACTIONS(2846),
    [anon_sym_virtual] = ACTIONS(2846),
    [anon_sym_alignas] = ACTIONS(2846),
    [anon_sym_explicit] = ACTIONS(2846),
    [anon_sym_typename] = ACTIONS(2846),
    [anon_sym_template] = ACTIONS(2846),
    [anon_sym_operator] = ACTIONS(2846),
    [anon_sym_friend] = ACTIONS(2846),
    [anon_sym_public] = ACTIONS(2846),
    [anon_sym_private] = ACTIONS(2846),
    [anon_sym_protected] = ACTIONS(2846),
    [anon_sym_using] = ACTIONS(2846),
    [anon_sym_static_assert] = ACTIONS(2846),
    [anon_sym_catch] = ACTIONS(5745),
  },
  [2321] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(5786),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_RBRACK] = ACTIONS(5788),
    [anon_sym_EQ] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5793),
    [anon_sym_SLASH_EQ] = ACTIONS(5793),
    [anon_sym_PERCENT_EQ] = ACTIONS(5793),
    [anon_sym_PLUS_EQ] = ACTIONS(5793),
    [anon_sym_DASH_EQ] = ACTIONS(5793),
    [anon_sym_LT_LT_EQ] = ACTIONS(5793),
    [anon_sym_GT_GT_EQ] = ACTIONS(5793),
    [anon_sym_AMP_EQ] = ACTIONS(5793),
    [anon_sym_CARET_EQ] = ACTIONS(5793),
    [anon_sym_PIPE_EQ] = ACTIONS(5793),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2322] = {
    [sym_template_argument_list] = STATE(2052),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2533),
    [sym_identifier] = ACTIONS(5795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [aux_sym_preproc_if_token2] = ACTIONS(5797),
    [aux_sym_preproc_else_token1] = ACTIONS(5797),
    [aux_sym_preproc_elif_token1] = ACTIONS(5795),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5797),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5795),
    [anon_sym_PLUS] = ACTIONS(5795),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_SLASH] = ACTIONS(5795),
    [anon_sym_PERCENT] = ACTIONS(5795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5795),
    [anon_sym_CARET] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5795),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5795),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5795),
    [anon_sym_LT] = ACTIONS(5795),
    [anon_sym_LT_LT] = ACTIONS(5795),
    [anon_sym_GT_GT] = ACTIONS(5795),
    [anon_sym___attribute__] = ACTIONS(5795),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(5799),
    [anon_sym_unsigned] = ACTIONS(5799),
    [anon_sym_long] = ACTIONS(5799),
    [anon_sym_short] = ACTIONS(5799),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_STAR_EQ] = ACTIONS(5797),
    [anon_sym_SLASH_EQ] = ACTIONS(5797),
    [anon_sym_PERCENT_EQ] = ACTIONS(5797),
    [anon_sym_PLUS_EQ] = ACTIONS(5797),
    [anon_sym_DASH_EQ] = ACTIONS(5797),
    [anon_sym_LT_LT_EQ] = ACTIONS(5797),
    [anon_sym_GT_GT_EQ] = ACTIONS(5797),
    [anon_sym_AMP_EQ] = ACTIONS(5797),
    [anon_sym_CARET_EQ] = ACTIONS(5797),
    [anon_sym_PIPE_EQ] = ACTIONS(5797),
    [anon_sym_and_eq] = ACTIONS(5795),
    [anon_sym_or_eq] = ACTIONS(5795),
    [anon_sym_xor_eq] = ACTIONS(5795),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5795),
    [anon_sym_and] = ACTIONS(5795),
    [anon_sym_bitor] = ACTIONS(5795),
    [anon_sym_xor] = ACTIONS(5795),
    [anon_sym_bitand] = ACTIONS(5795),
    [anon_sym_not_eq] = ACTIONS(5795),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5795),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5795),
  },
  [2323] = {
    [sym_string_literal] = STATE(2314),
    [sym_template_argument_list] = STATE(3692),
    [sym_raw_string_literal] = STATE(2314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5177),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
  },
  [2324] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2301),
    [sym_identifier] = ACTIONS(5801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5805),
    [anon_sym_PLUS] = ACTIONS(5805),
    [anon_sym_STAR] = ACTIONS(5803),
    [anon_sym_SLASH] = ACTIONS(5805),
    [anon_sym_PERCENT] = ACTIONS(5803),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5805),
    [anon_sym_CARET] = ACTIONS(5803),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5805),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5805),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_LT_LT] = ACTIONS(5803),
    [anon_sym_GT_GT] = ACTIONS(5803),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___extension__] = ACTIONS(5805),
    [anon_sym___attribute__] = ACTIONS(5805),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(5807),
    [anon_sym_unsigned] = ACTIONS(5807),
    [anon_sym_long] = ACTIONS(5807),
    [anon_sym_short] = ACTIONS(5807),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_const] = ACTIONS(5805),
    [anon_sym_constexpr] = ACTIONS(5805),
    [anon_sym_volatile] = ACTIONS(5805),
    [anon_sym_restrict] = ACTIONS(5805),
    [anon_sym___restrict__] = ACTIONS(5805),
    [anon_sym__Atomic] = ACTIONS(5805),
    [anon_sym__Noreturn] = ACTIONS(5805),
    [anon_sym_noreturn] = ACTIONS(5805),
    [anon_sym_mutable] = ACTIONS(5805),
    [anon_sym_constinit] = ACTIONS(5805),
    [anon_sym_consteval] = ACTIONS(5805),
    [sym_primitive_type] = ACTIONS(5809),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5805),
    [anon_sym_and] = ACTIONS(5805),
    [anon_sym_bitor] = ACTIONS(5805),
    [anon_sym_xor] = ACTIONS(5805),
    [anon_sym_bitand] = ACTIONS(5805),
    [anon_sym_not_eq] = ACTIONS(5805),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5805),
    [anon_sym_decltype] = ACTIONS(5805),
    [anon_sym_final] = ACTIONS(5805),
    [anon_sym_override] = ACTIONS(5805),
    [anon_sym_requires] = ACTIONS(5805),
  },
  [2325] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5560),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2326] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(5811),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_RBRACK] = ACTIONS(5788),
    [anon_sym_EQ] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5793),
    [anon_sym_SLASH_EQ] = ACTIONS(5793),
    [anon_sym_PERCENT_EQ] = ACTIONS(5793),
    [anon_sym_PLUS_EQ] = ACTIONS(5793),
    [anon_sym_DASH_EQ] = ACTIONS(5793),
    [anon_sym_LT_LT_EQ] = ACTIONS(5793),
    [anon_sym_GT_GT_EQ] = ACTIONS(5793),
    [anon_sym_AMP_EQ] = ACTIONS(5793),
    [anon_sym_CARET_EQ] = ACTIONS(5793),
    [anon_sym_PIPE_EQ] = ACTIONS(5793),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2327] = {
    [sym_attribute_specifier] = STATE(2598),
    [sym_enumerator_list] = STATE(2481),
    [sym_identifier] = ACTIONS(5814),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5816),
    [anon_sym_COMMA] = ACTIONS(5816),
    [anon_sym_RPAREN] = ACTIONS(5816),
    [aux_sym_preproc_if_token2] = ACTIONS(5816),
    [aux_sym_preproc_else_token1] = ACTIONS(5816),
    [aux_sym_preproc_elif_token1] = ACTIONS(5814),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5816),
    [anon_sym_LPAREN2] = ACTIONS(5816),
    [anon_sym_DASH] = ACTIONS(5814),
    [anon_sym_PLUS] = ACTIONS(5814),
    [anon_sym_STAR] = ACTIONS(5814),
    [anon_sym_SLASH] = ACTIONS(5814),
    [anon_sym_PERCENT] = ACTIONS(5814),
    [anon_sym_PIPE_PIPE] = ACTIONS(5816),
    [anon_sym_AMP_AMP] = ACTIONS(5816),
    [anon_sym_PIPE] = ACTIONS(5814),
    [anon_sym_CARET] = ACTIONS(5814),
    [anon_sym_AMP] = ACTIONS(5814),
    [anon_sym_EQ_EQ] = ACTIONS(5816),
    [anon_sym_BANG_EQ] = ACTIONS(5816),
    [anon_sym_GT] = ACTIONS(5814),
    [anon_sym_GT_EQ] = ACTIONS(5816),
    [anon_sym_LT_EQ] = ACTIONS(5814),
    [anon_sym_LT] = ACTIONS(5814),
    [anon_sym_LT_LT] = ACTIONS(5814),
    [anon_sym_GT_GT] = ACTIONS(5814),
    [anon_sym_SEMI] = ACTIONS(5816),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5818),
    [anon_sym_RBRACE] = ACTIONS(5816),
    [anon_sym_LBRACK] = ACTIONS(5816),
    [anon_sym_RBRACK] = ACTIONS(5816),
    [anon_sym_EQ] = ACTIONS(5814),
    [anon_sym_COLON] = ACTIONS(5816),
    [anon_sym_QMARK] = ACTIONS(5816),
    [anon_sym_STAR_EQ] = ACTIONS(5816),
    [anon_sym_SLASH_EQ] = ACTIONS(5816),
    [anon_sym_PERCENT_EQ] = ACTIONS(5816),
    [anon_sym_PLUS_EQ] = ACTIONS(5816),
    [anon_sym_DASH_EQ] = ACTIONS(5816),
    [anon_sym_LT_LT_EQ] = ACTIONS(5816),
    [anon_sym_GT_GT_EQ] = ACTIONS(5816),
    [anon_sym_AMP_EQ] = ACTIONS(5816),
    [anon_sym_CARET_EQ] = ACTIONS(5816),
    [anon_sym_PIPE_EQ] = ACTIONS(5816),
    [anon_sym_and_eq] = ACTIONS(5814),
    [anon_sym_or_eq] = ACTIONS(5814),
    [anon_sym_xor_eq] = ACTIONS(5814),
    [anon_sym_LT_EQ_GT] = ACTIONS(5816),
    [anon_sym_or] = ACTIONS(5814),
    [anon_sym_and] = ACTIONS(5814),
    [anon_sym_bitor] = ACTIONS(5814),
    [anon_sym_xor] = ACTIONS(5814),
    [anon_sym_bitand] = ACTIONS(5814),
    [anon_sym_not_eq] = ACTIONS(5814),
    [anon_sym_DASH_DASH] = ACTIONS(5816),
    [anon_sym_PLUS_PLUS] = ACTIONS(5816),
    [anon_sym_DOT] = ACTIONS(5814),
    [anon_sym_DOT_STAR] = ACTIONS(5816),
    [anon_sym_DASH_GT] = ACTIONS(5816),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5814),
    [anon_sym_decltype] = ACTIONS(5814),
  },
  [2328] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5921),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2329] = {
    [sym_string_literal] = STATE(2308),
    [sym_raw_string_literal] = STATE(2308),
    [aux_sym_concatenated_string_repeat1] = STATE(2308),
    [sym_identifier] = ACTIONS(5820),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5329),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_CARET] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_GT_EQ] = ACTIONS(5327),
    [anon_sym_LT_EQ] = ACTIONS(5329),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5329),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_SEMI] = ACTIONS(5327),
    [anon_sym___attribute__] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_EQ] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_STAR_EQ] = ACTIONS(5327),
    [anon_sym_SLASH_EQ] = ACTIONS(5327),
    [anon_sym_PERCENT_EQ] = ACTIONS(5327),
    [anon_sym_PLUS_EQ] = ACTIONS(5327),
    [anon_sym_DASH_EQ] = ACTIONS(5327),
    [anon_sym_LT_LT_EQ] = ACTIONS(5327),
    [anon_sym_GT_GT_EQ] = ACTIONS(5327),
    [anon_sym_AMP_EQ] = ACTIONS(5327),
    [anon_sym_CARET_EQ] = ACTIONS(5327),
    [anon_sym_PIPE_EQ] = ACTIONS(5327),
    [anon_sym_and_eq] = ACTIONS(5329),
    [anon_sym_or_eq] = ACTIONS(5329),
    [anon_sym_xor_eq] = ACTIONS(5329),
    [anon_sym_LT_EQ_GT] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_and] = ACTIONS(5329),
    [anon_sym_bitor] = ACTIONS(5329),
    [anon_sym_xor] = ACTIONS(5329),
    [anon_sym_bitand] = ACTIONS(5329),
    [anon_sym_not_eq] = ACTIONS(5329),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_DOT_STAR] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_L_DQUOTE] = ACTIONS(5756),
    [anon_sym_u_DQUOTE] = ACTIONS(5756),
    [anon_sym_U_DQUOTE] = ACTIONS(5756),
    [anon_sym_u8_DQUOTE] = ACTIONS(5756),
    [anon_sym_DQUOTE] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5758),
    [anon_sym_LR_DQUOTE] = ACTIONS(5758),
    [anon_sym_uR_DQUOTE] = ACTIONS(5758),
    [anon_sym_UR_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5758),
    [sym_literal_suffix] = ACTIONS(5329),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5626),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5626),
    [anon_sym_unsigned] = ACTIONS(5626),
    [anon_sym_long] = ACTIONS(5626),
    [anon_sym_short] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5626),
    [anon_sym_volatile] = ACTIONS(5626),
    [anon_sym_restrict] = ACTIONS(5626),
    [anon_sym___restrict__] = ACTIONS(5626),
    [anon_sym__Atomic] = ACTIONS(5626),
    [anon_sym__Noreturn] = ACTIONS(5626),
    [anon_sym_noreturn] = ACTIONS(5626),
    [anon_sym_mutable] = ACTIONS(5626),
    [anon_sym_constinit] = ACTIONS(5626),
    [anon_sym_consteval] = ACTIONS(5626),
    [sym_primitive_type] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_final] = ACTIONS(5626),
    [anon_sym_override] = ACTIONS(5626),
    [anon_sym_requires] = ACTIONS(5626),
  },
  [2331] = {
    [sym_catch_clause] = STATE(2361),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2361),
    [sym_identifier] = ACTIONS(2817),
    [aux_sym_preproc_def_token1] = ACTIONS(2817),
    [aux_sym_preproc_if_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2817),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2817),
    [sym_preproc_directive] = ACTIONS(2817),
    [anon_sym_LPAREN2] = ACTIONS(2819),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym___extension__] = ACTIONS(2817),
    [anon_sym_typedef] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym___attribute__] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2819),
    [anon_sym___declspec] = ACTIONS(2817),
    [anon_sym___based] = ACTIONS(2817),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_signed] = ACTIONS(2817),
    [anon_sym_unsigned] = ACTIONS(2817),
    [anon_sym_long] = ACTIONS(2817),
    [anon_sym_short] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_register] = ACTIONS(2817),
    [anon_sym_inline] = ACTIONS(2817),
    [anon_sym___inline] = ACTIONS(2817),
    [anon_sym___inline__] = ACTIONS(2817),
    [anon_sym___forceinline] = ACTIONS(2817),
    [anon_sym_thread_local] = ACTIONS(2817),
    [anon_sym___thread] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_constexpr] = ACTIONS(2817),
    [anon_sym_volatile] = ACTIONS(2817),
    [anon_sym_restrict] = ACTIONS(2817),
    [anon_sym___restrict__] = ACTIONS(2817),
    [anon_sym__Atomic] = ACTIONS(2817),
    [anon_sym__Noreturn] = ACTIONS(2817),
    [anon_sym_noreturn] = ACTIONS(2817),
    [anon_sym_mutable] = ACTIONS(2817),
    [anon_sym_constinit] = ACTIONS(2817),
    [anon_sym_consteval] = ACTIONS(2817),
    [sym_primitive_type] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2817),
    [anon_sym_decltype] = ACTIONS(2817),
    [anon_sym_virtual] = ACTIONS(2817),
    [anon_sym_alignas] = ACTIONS(2817),
    [anon_sym_explicit] = ACTIONS(2817),
    [anon_sym_typename] = ACTIONS(2817),
    [anon_sym_template] = ACTIONS(2817),
    [anon_sym_operator] = ACTIONS(2817),
    [anon_sym_friend] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_static_assert] = ACTIONS(2817),
    [anon_sym_catch] = ACTIONS(5695),
  },
  [2332] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5559),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2333] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5508),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_RPAREN] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5824),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5824),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5824),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5824),
    [anon_sym_GT_GT] = ACTIONS(5824),
    [anon_sym_SEMI] = ACTIONS(5824),
    [anon_sym___extension__] = ACTIONS(5822),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym___based] = ACTIONS(5822),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_signed] = ACTIONS(5822),
    [anon_sym_unsigned] = ACTIONS(5822),
    [anon_sym_long] = ACTIONS(5822),
    [anon_sym_short] = ACTIONS(5822),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_RBRACK] = ACTIONS(5824),
    [anon_sym_const] = ACTIONS(5822),
    [anon_sym_constexpr] = ACTIONS(5822),
    [anon_sym_volatile] = ACTIONS(5822),
    [anon_sym_restrict] = ACTIONS(5822),
    [anon_sym___restrict__] = ACTIONS(5822),
    [anon_sym__Atomic] = ACTIONS(5822),
    [anon_sym__Noreturn] = ACTIONS(5822),
    [anon_sym_noreturn] = ACTIONS(5822),
    [anon_sym_mutable] = ACTIONS(5822),
    [anon_sym_constinit] = ACTIONS(5822),
    [anon_sym_consteval] = ACTIONS(5822),
    [sym_primitive_type] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
    [anon_sym_final] = ACTIONS(5822),
    [anon_sym_override] = ACTIONS(5822),
    [anon_sym_requires] = ACTIONS(5822),
  },
  [2335] = {
    [sym_identifier] = ACTIONS(5826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5828),
    [anon_sym_COMMA] = ACTIONS(5828),
    [anon_sym_RPAREN] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_STAR] = ACTIONS(5828),
    [anon_sym_SLASH] = ACTIONS(5826),
    [anon_sym_PERCENT] = ACTIONS(5828),
    [anon_sym_PIPE_PIPE] = ACTIONS(5828),
    [anon_sym_AMP_AMP] = ACTIONS(5828),
    [anon_sym_PIPE] = ACTIONS(5826),
    [anon_sym_CARET] = ACTIONS(5828),
    [anon_sym_AMP] = ACTIONS(5826),
    [anon_sym_EQ_EQ] = ACTIONS(5828),
    [anon_sym_BANG_EQ] = ACTIONS(5828),
    [anon_sym_GT] = ACTIONS(5826),
    [anon_sym_GT_EQ] = ACTIONS(5828),
    [anon_sym_LT_EQ] = ACTIONS(5826),
    [anon_sym_LT] = ACTIONS(5826),
    [anon_sym_LT_LT] = ACTIONS(5828),
    [anon_sym_GT_GT] = ACTIONS(5828),
    [anon_sym_SEMI] = ACTIONS(5828),
    [anon_sym___extension__] = ACTIONS(5826),
    [anon_sym___attribute__] = ACTIONS(5826),
    [anon_sym___based] = ACTIONS(5826),
    [anon_sym_LBRACE] = ACTIONS(5828),
    [anon_sym_RBRACE] = ACTIONS(5828),
    [anon_sym_signed] = ACTIONS(5826),
    [anon_sym_unsigned] = ACTIONS(5826),
    [anon_sym_long] = ACTIONS(5826),
    [anon_sym_short] = ACTIONS(5826),
    [anon_sym_LBRACK] = ACTIONS(5828),
    [anon_sym_RBRACK] = ACTIONS(5828),
    [anon_sym_const] = ACTIONS(5826),
    [anon_sym_constexpr] = ACTIONS(5826),
    [anon_sym_volatile] = ACTIONS(5826),
    [anon_sym_restrict] = ACTIONS(5826),
    [anon_sym___restrict__] = ACTIONS(5826),
    [anon_sym__Atomic] = ACTIONS(5826),
    [anon_sym__Noreturn] = ACTIONS(5826),
    [anon_sym_noreturn] = ACTIONS(5826),
    [anon_sym_mutable] = ACTIONS(5826),
    [anon_sym_constinit] = ACTIONS(5826),
    [anon_sym_consteval] = ACTIONS(5826),
    [sym_primitive_type] = ACTIONS(5826),
    [anon_sym_COLON] = ACTIONS(5828),
    [anon_sym_QMARK] = ACTIONS(5828),
    [anon_sym_LT_EQ_GT] = ACTIONS(5828),
    [anon_sym_or] = ACTIONS(5826),
    [anon_sym_and] = ACTIONS(5826),
    [anon_sym_bitor] = ACTIONS(5826),
    [anon_sym_xor] = ACTIONS(5826),
    [anon_sym_bitand] = ACTIONS(5826),
    [anon_sym_not_eq] = ACTIONS(5826),
    [anon_sym_DASH_DASH] = ACTIONS(5828),
    [anon_sym_PLUS_PLUS] = ACTIONS(5828),
    [anon_sym_DOT] = ACTIONS(5826),
    [anon_sym_DOT_STAR] = ACTIONS(5828),
    [anon_sym_DASH_GT] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5826),
    [anon_sym_decltype] = ACTIONS(5826),
    [anon_sym_final] = ACTIONS(5826),
    [anon_sym_override] = ACTIONS(5826),
    [anon_sym_requires] = ACTIONS(5826),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(5830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5832),
    [anon_sym_COMMA] = ACTIONS(5832),
    [anon_sym_RPAREN] = ACTIONS(5832),
    [anon_sym_LPAREN2] = ACTIONS(5832),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_STAR] = ACTIONS(5832),
    [anon_sym_SLASH] = ACTIONS(5830),
    [anon_sym_PERCENT] = ACTIONS(5832),
    [anon_sym_PIPE_PIPE] = ACTIONS(5832),
    [anon_sym_AMP_AMP] = ACTIONS(5832),
    [anon_sym_PIPE] = ACTIONS(5830),
    [anon_sym_CARET] = ACTIONS(5832),
    [anon_sym_AMP] = ACTIONS(5830),
    [anon_sym_EQ_EQ] = ACTIONS(5832),
    [anon_sym_BANG_EQ] = ACTIONS(5832),
    [anon_sym_GT] = ACTIONS(5830),
    [anon_sym_GT_EQ] = ACTIONS(5832),
    [anon_sym_LT_EQ] = ACTIONS(5830),
    [anon_sym_LT] = ACTIONS(5830),
    [anon_sym_LT_LT] = ACTIONS(5832),
    [anon_sym_GT_GT] = ACTIONS(5832),
    [anon_sym_SEMI] = ACTIONS(5832),
    [anon_sym___extension__] = ACTIONS(5830),
    [anon_sym___attribute__] = ACTIONS(5830),
    [anon_sym___based] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(5832),
    [anon_sym_RBRACE] = ACTIONS(5832),
    [anon_sym_signed] = ACTIONS(5830),
    [anon_sym_unsigned] = ACTIONS(5830),
    [anon_sym_long] = ACTIONS(5830),
    [anon_sym_short] = ACTIONS(5830),
    [anon_sym_LBRACK] = ACTIONS(5832),
    [anon_sym_RBRACK] = ACTIONS(5832),
    [anon_sym_const] = ACTIONS(5830),
    [anon_sym_constexpr] = ACTIONS(5830),
    [anon_sym_volatile] = ACTIONS(5830),
    [anon_sym_restrict] = ACTIONS(5830),
    [anon_sym___restrict__] = ACTIONS(5830),
    [anon_sym__Atomic] = ACTIONS(5830),
    [anon_sym__Noreturn] = ACTIONS(5830),
    [anon_sym_noreturn] = ACTIONS(5830),
    [anon_sym_mutable] = ACTIONS(5830),
    [anon_sym_constinit] = ACTIONS(5830),
    [anon_sym_consteval] = ACTIONS(5830),
    [sym_primitive_type] = ACTIONS(5830),
    [anon_sym_COLON] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5832),
    [anon_sym_LT_EQ_GT] = ACTIONS(5832),
    [anon_sym_or] = ACTIONS(5830),
    [anon_sym_and] = ACTIONS(5830),
    [anon_sym_bitor] = ACTIONS(5830),
    [anon_sym_xor] = ACTIONS(5830),
    [anon_sym_bitand] = ACTIONS(5830),
    [anon_sym_not_eq] = ACTIONS(5830),
    [anon_sym_DASH_DASH] = ACTIONS(5832),
    [anon_sym_PLUS_PLUS] = ACTIONS(5832),
    [anon_sym_DOT] = ACTIONS(5830),
    [anon_sym_DOT_STAR] = ACTIONS(5832),
    [anon_sym_DASH_GT] = ACTIONS(5832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5830),
    [anon_sym_decltype] = ACTIONS(5830),
    [anon_sym_final] = ACTIONS(5830),
    [anon_sym_override] = ACTIONS(5830),
    [anon_sym_requires] = ACTIONS(5830),
  },
  [2337] = {
    [sym_identifier] = ACTIONS(5834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5836),
    [anon_sym_COMMA] = ACTIONS(5836),
    [anon_sym_RPAREN] = ACTIONS(5836),
    [anon_sym_LPAREN2] = ACTIONS(5836),
    [anon_sym_TILDE] = ACTIONS(5836),
    [anon_sym_STAR] = ACTIONS(5836),
    [anon_sym_AMP_AMP] = ACTIONS(5836),
    [anon_sym_AMP] = ACTIONS(5834),
    [anon_sym_SEMI] = ACTIONS(5836),
    [anon_sym___extension__] = ACTIONS(5834),
    [anon_sym_extern] = ACTIONS(5834),
    [anon_sym___attribute__] = ACTIONS(5834),
    [anon_sym_COLON_COLON] = ACTIONS(5836),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5836),
    [anon_sym___declspec] = ACTIONS(5834),
    [anon_sym___based] = ACTIONS(5834),
    [anon_sym_LBRACE] = ACTIONS(5836),
    [anon_sym_signed] = ACTIONS(5834),
    [anon_sym_unsigned] = ACTIONS(5834),
    [anon_sym_long] = ACTIONS(5834),
    [anon_sym_short] = ACTIONS(5834),
    [anon_sym_LBRACK] = ACTIONS(5834),
    [anon_sym_EQ] = ACTIONS(5836),
    [anon_sym_static] = ACTIONS(5834),
    [anon_sym_register] = ACTIONS(5834),
    [anon_sym_inline] = ACTIONS(5834),
    [anon_sym___inline] = ACTIONS(5834),
    [anon_sym___inline__] = ACTIONS(5834),
    [anon_sym___forceinline] = ACTIONS(5834),
    [anon_sym_thread_local] = ACTIONS(5834),
    [anon_sym___thread] = ACTIONS(5834),
    [anon_sym_const] = ACTIONS(5834),
    [anon_sym_constexpr] = ACTIONS(5834),
    [anon_sym_volatile] = ACTIONS(5834),
    [anon_sym_restrict] = ACTIONS(5834),
    [anon_sym___restrict__] = ACTIONS(5834),
    [anon_sym__Atomic] = ACTIONS(5834),
    [anon_sym__Noreturn] = ACTIONS(5834),
    [anon_sym_noreturn] = ACTIONS(5834),
    [anon_sym_mutable] = ACTIONS(5834),
    [anon_sym_constinit] = ACTIONS(5834),
    [anon_sym_consteval] = ACTIONS(5834),
    [sym_primitive_type] = ACTIONS(5834),
    [anon_sym_enum] = ACTIONS(5834),
    [anon_sym_class] = ACTIONS(5834),
    [anon_sym_struct] = ACTIONS(5834),
    [anon_sym_union] = ACTIONS(5834),
    [anon_sym_asm] = ACTIONS(5834),
    [anon_sym___asm__] = ACTIONS(5834),
    [anon_sym_DASH_GT] = ACTIONS(5836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5834),
    [anon_sym_decltype] = ACTIONS(5834),
    [anon_sym_final] = ACTIONS(5834),
    [anon_sym_override] = ACTIONS(5834),
    [anon_sym_virtual] = ACTIONS(5834),
    [anon_sym_alignas] = ACTIONS(5834),
    [anon_sym_explicit] = ACTIONS(5834),
    [anon_sym_typename] = ACTIONS(5834),
    [anon_sym_template] = ACTIONS(5834),
    [anon_sym_GT2] = ACTIONS(5836),
    [anon_sym_operator] = ACTIONS(5834),
    [anon_sym_try] = ACTIONS(5834),
    [anon_sym_noexcept] = ACTIONS(5834),
    [anon_sym_throw] = ACTIONS(5834),
    [anon_sym_requires] = ACTIONS(5834),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5840),
    [anon_sym_COMMA] = ACTIONS(5840),
    [anon_sym_RPAREN] = ACTIONS(5840),
    [anon_sym_LPAREN2] = ACTIONS(5840),
    [anon_sym_DASH] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5838),
    [anon_sym_STAR] = ACTIONS(5840),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5840),
    [anon_sym_PIPE_PIPE] = ACTIONS(5840),
    [anon_sym_AMP_AMP] = ACTIONS(5840),
    [anon_sym_PIPE] = ACTIONS(5838),
    [anon_sym_CARET] = ACTIONS(5840),
    [anon_sym_AMP] = ACTIONS(5838),
    [anon_sym_EQ_EQ] = ACTIONS(5840),
    [anon_sym_BANG_EQ] = ACTIONS(5840),
    [anon_sym_GT] = ACTIONS(5838),
    [anon_sym_GT_EQ] = ACTIONS(5840),
    [anon_sym_LT_EQ] = ACTIONS(5838),
    [anon_sym_LT] = ACTIONS(5838),
    [anon_sym_LT_LT] = ACTIONS(5840),
    [anon_sym_GT_GT] = ACTIONS(5840),
    [anon_sym_SEMI] = ACTIONS(5840),
    [anon_sym___extension__] = ACTIONS(5838),
    [anon_sym___attribute__] = ACTIONS(5838),
    [anon_sym___based] = ACTIONS(5838),
    [anon_sym_LBRACE] = ACTIONS(5840),
    [anon_sym_RBRACE] = ACTIONS(5840),
    [anon_sym_signed] = ACTIONS(5838),
    [anon_sym_unsigned] = ACTIONS(5838),
    [anon_sym_long] = ACTIONS(5838),
    [anon_sym_short] = ACTIONS(5838),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_RBRACK] = ACTIONS(5840),
    [anon_sym_const] = ACTIONS(5838),
    [anon_sym_constexpr] = ACTIONS(5838),
    [anon_sym_volatile] = ACTIONS(5838),
    [anon_sym_restrict] = ACTIONS(5838),
    [anon_sym___restrict__] = ACTIONS(5838),
    [anon_sym__Atomic] = ACTIONS(5838),
    [anon_sym__Noreturn] = ACTIONS(5838),
    [anon_sym_noreturn] = ACTIONS(5838),
    [anon_sym_mutable] = ACTIONS(5838),
    [anon_sym_constinit] = ACTIONS(5838),
    [anon_sym_consteval] = ACTIONS(5838),
    [sym_primitive_type] = ACTIONS(5838),
    [anon_sym_COLON] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_LT_EQ_GT] = ACTIONS(5840),
    [anon_sym_or] = ACTIONS(5838),
    [anon_sym_and] = ACTIONS(5838),
    [anon_sym_bitor] = ACTIONS(5838),
    [anon_sym_xor] = ACTIONS(5838),
    [anon_sym_bitand] = ACTIONS(5838),
    [anon_sym_not_eq] = ACTIONS(5838),
    [anon_sym_DASH_DASH] = ACTIONS(5840),
    [anon_sym_PLUS_PLUS] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(5838),
    [anon_sym_DOT_STAR] = ACTIONS(5840),
    [anon_sym_DASH_GT] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5838),
    [anon_sym_decltype] = ACTIONS(5838),
    [anon_sym_final] = ACTIONS(5838),
    [anon_sym_override] = ACTIONS(5838),
    [anon_sym_requires] = ACTIONS(5838),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(5842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5844),
    [anon_sym_COMMA] = ACTIONS(5844),
    [anon_sym_RPAREN] = ACTIONS(5844),
    [anon_sym_LPAREN2] = ACTIONS(5844),
    [anon_sym_DASH] = ACTIONS(5842),
    [anon_sym_PLUS] = ACTIONS(5842),
    [anon_sym_STAR] = ACTIONS(5844),
    [anon_sym_SLASH] = ACTIONS(5842),
    [anon_sym_PERCENT] = ACTIONS(5844),
    [anon_sym_PIPE_PIPE] = ACTIONS(5844),
    [anon_sym_AMP_AMP] = ACTIONS(5844),
    [anon_sym_PIPE] = ACTIONS(5842),
    [anon_sym_CARET] = ACTIONS(5844),
    [anon_sym_AMP] = ACTIONS(5842),
    [anon_sym_EQ_EQ] = ACTIONS(5844),
    [anon_sym_BANG_EQ] = ACTIONS(5844),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5844),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_LT_LT] = ACTIONS(5844),
    [anon_sym_GT_GT] = ACTIONS(5844),
    [anon_sym_SEMI] = ACTIONS(5844),
    [anon_sym___extension__] = ACTIONS(5842),
    [anon_sym___attribute__] = ACTIONS(5842),
    [anon_sym___based] = ACTIONS(5842),
    [anon_sym_LBRACE] = ACTIONS(5844),
    [anon_sym_RBRACE] = ACTIONS(5844),
    [anon_sym_signed] = ACTIONS(5842),
    [anon_sym_unsigned] = ACTIONS(5842),
    [anon_sym_long] = ACTIONS(5842),
    [anon_sym_short] = ACTIONS(5842),
    [anon_sym_LBRACK] = ACTIONS(5844),
    [anon_sym_RBRACK] = ACTIONS(5844),
    [anon_sym_const] = ACTIONS(5842),
    [anon_sym_constexpr] = ACTIONS(5842),
    [anon_sym_volatile] = ACTIONS(5842),
    [anon_sym_restrict] = ACTIONS(5842),
    [anon_sym___restrict__] = ACTIONS(5842),
    [anon_sym__Atomic] = ACTIONS(5842),
    [anon_sym__Noreturn] = ACTIONS(5842),
    [anon_sym_noreturn] = ACTIONS(5842),
    [anon_sym_mutable] = ACTIONS(5842),
    [anon_sym_constinit] = ACTIONS(5842),
    [anon_sym_consteval] = ACTIONS(5842),
    [sym_primitive_type] = ACTIONS(5842),
    [anon_sym_COLON] = ACTIONS(5844),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_LT_EQ_GT] = ACTIONS(5844),
    [anon_sym_or] = ACTIONS(5842),
    [anon_sym_and] = ACTIONS(5842),
    [anon_sym_bitor] = ACTIONS(5842),
    [anon_sym_xor] = ACTIONS(5842),
    [anon_sym_bitand] = ACTIONS(5842),
    [anon_sym_not_eq] = ACTIONS(5842),
    [anon_sym_DASH_DASH] = ACTIONS(5844),
    [anon_sym_PLUS_PLUS] = ACTIONS(5844),
    [anon_sym_DOT] = ACTIONS(5842),
    [anon_sym_DOT_STAR] = ACTIONS(5844),
    [anon_sym_DASH_GT] = ACTIONS(5844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5842),
    [anon_sym_decltype] = ACTIONS(5842),
    [anon_sym_final] = ACTIONS(5842),
    [anon_sym_override] = ACTIONS(5842),
    [anon_sym_requires] = ACTIONS(5842),
  },
  [2340] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [aux_sym_preproc_else_token1] = ACTIONS(2861),
    [aux_sym_preproc_elif_token1] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_friend] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
  },
  [2341] = {
    [sym_identifier] = ACTIONS(5846),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5848),
    [anon_sym_COMMA] = ACTIONS(5848),
    [anon_sym_RPAREN] = ACTIONS(5848),
    [anon_sym_LPAREN2] = ACTIONS(5848),
    [anon_sym_DASH] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5846),
    [anon_sym_STAR] = ACTIONS(5848),
    [anon_sym_SLASH] = ACTIONS(5846),
    [anon_sym_PERCENT] = ACTIONS(5848),
    [anon_sym_PIPE_PIPE] = ACTIONS(5848),
    [anon_sym_AMP_AMP] = ACTIONS(5848),
    [anon_sym_PIPE] = ACTIONS(5846),
    [anon_sym_CARET] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5846),
    [anon_sym_EQ_EQ] = ACTIONS(5848),
    [anon_sym_BANG_EQ] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(5846),
    [anon_sym_GT_EQ] = ACTIONS(5848),
    [anon_sym_LT_EQ] = ACTIONS(5846),
    [anon_sym_LT] = ACTIONS(5846),
    [anon_sym_LT_LT] = ACTIONS(5848),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_SEMI] = ACTIONS(5848),
    [anon_sym___extension__] = ACTIONS(5846),
    [anon_sym___attribute__] = ACTIONS(5846),
    [anon_sym___based] = ACTIONS(5846),
    [anon_sym_LBRACE] = ACTIONS(5848),
    [anon_sym_RBRACE] = ACTIONS(5848),
    [anon_sym_signed] = ACTIONS(5846),
    [anon_sym_unsigned] = ACTIONS(5846),
    [anon_sym_long] = ACTIONS(5846),
    [anon_sym_short] = ACTIONS(5846),
    [anon_sym_LBRACK] = ACTIONS(5848),
    [anon_sym_RBRACK] = ACTIONS(5848),
    [anon_sym_const] = ACTIONS(5846),
    [anon_sym_constexpr] = ACTIONS(5846),
    [anon_sym_volatile] = ACTIONS(5846),
    [anon_sym_restrict] = ACTIONS(5846),
    [anon_sym___restrict__] = ACTIONS(5846),
    [anon_sym__Atomic] = ACTIONS(5846),
    [anon_sym__Noreturn] = ACTIONS(5846),
    [anon_sym_noreturn] = ACTIONS(5846),
    [anon_sym_mutable] = ACTIONS(5846),
    [anon_sym_constinit] = ACTIONS(5846),
    [anon_sym_consteval] = ACTIONS(5846),
    [sym_primitive_type] = ACTIONS(5846),
    [anon_sym_COLON] = ACTIONS(5848),
    [anon_sym_QMARK] = ACTIONS(5848),
    [anon_sym_LT_EQ_GT] = ACTIONS(5848),
    [anon_sym_or] = ACTIONS(5846),
    [anon_sym_and] = ACTIONS(5846),
    [anon_sym_bitor] = ACTIONS(5846),
    [anon_sym_xor] = ACTIONS(5846),
    [anon_sym_bitand] = ACTIONS(5846),
    [anon_sym_not_eq] = ACTIONS(5846),
    [anon_sym_DASH_DASH] = ACTIONS(5848),
    [anon_sym_PLUS_PLUS] = ACTIONS(5848),
    [anon_sym_DOT] = ACTIONS(5846),
    [anon_sym_DOT_STAR] = ACTIONS(5848),
    [anon_sym_DASH_GT] = ACTIONS(5848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5846),
    [anon_sym_decltype] = ACTIONS(5846),
    [anon_sym_final] = ACTIONS(5846),
    [anon_sym_override] = ACTIONS(5846),
    [anon_sym_requires] = ACTIONS(5846),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(5850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5852),
    [anon_sym_COMMA] = ACTIONS(5852),
    [anon_sym_RPAREN] = ACTIONS(5852),
    [anon_sym_LPAREN2] = ACTIONS(5852),
    [anon_sym_DASH] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5850),
    [anon_sym_STAR] = ACTIONS(5852),
    [anon_sym_SLASH] = ACTIONS(5850),
    [anon_sym_PERCENT] = ACTIONS(5852),
    [anon_sym_PIPE_PIPE] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5852),
    [anon_sym_PIPE] = ACTIONS(5850),
    [anon_sym_CARET] = ACTIONS(5852),
    [anon_sym_AMP] = ACTIONS(5850),
    [anon_sym_EQ_EQ] = ACTIONS(5852),
    [anon_sym_BANG_EQ] = ACTIONS(5852),
    [anon_sym_GT] = ACTIONS(5850),
    [anon_sym_GT_EQ] = ACTIONS(5852),
    [anon_sym_LT_EQ] = ACTIONS(5850),
    [anon_sym_LT] = ACTIONS(5850),
    [anon_sym_LT_LT] = ACTIONS(5852),
    [anon_sym_GT_GT] = ACTIONS(5852),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___extension__] = ACTIONS(5850),
    [anon_sym___attribute__] = ACTIONS(5850),
    [anon_sym___based] = ACTIONS(5850),
    [anon_sym_LBRACE] = ACTIONS(5852),
    [anon_sym_RBRACE] = ACTIONS(5852),
    [anon_sym_signed] = ACTIONS(5850),
    [anon_sym_unsigned] = ACTIONS(5850),
    [anon_sym_long] = ACTIONS(5850),
    [anon_sym_short] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5852),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_const] = ACTIONS(5850),
    [anon_sym_constexpr] = ACTIONS(5850),
    [anon_sym_volatile] = ACTIONS(5850),
    [anon_sym_restrict] = ACTIONS(5850),
    [anon_sym___restrict__] = ACTIONS(5850),
    [anon_sym__Atomic] = ACTIONS(5850),
    [anon_sym__Noreturn] = ACTIONS(5850),
    [anon_sym_noreturn] = ACTIONS(5850),
    [anon_sym_mutable] = ACTIONS(5850),
    [anon_sym_constinit] = ACTIONS(5850),
    [anon_sym_consteval] = ACTIONS(5850),
    [sym_primitive_type] = ACTIONS(5850),
    [anon_sym_COLON] = ACTIONS(5852),
    [anon_sym_QMARK] = ACTIONS(5852),
    [anon_sym_LT_EQ_GT] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5850),
    [anon_sym_bitor] = ACTIONS(5850),
    [anon_sym_xor] = ACTIONS(5850),
    [anon_sym_bitand] = ACTIONS(5850),
    [anon_sym_not_eq] = ACTIONS(5850),
    [anon_sym_DASH_DASH] = ACTIONS(5852),
    [anon_sym_PLUS_PLUS] = ACTIONS(5852),
    [anon_sym_DOT] = ACTIONS(5850),
    [anon_sym_DOT_STAR] = ACTIONS(5852),
    [anon_sym_DASH_GT] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5850),
    [anon_sym_decltype] = ACTIONS(5850),
    [anon_sym_final] = ACTIONS(5850),
    [anon_sym_override] = ACTIONS(5850),
    [anon_sym_requires] = ACTIONS(5850),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5856),
    [anon_sym_DASH] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5854),
    [anon_sym_STAR] = ACTIONS(5856),
    [anon_sym_SLASH] = ACTIONS(5854),
    [anon_sym_PERCENT] = ACTIONS(5856),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5854),
    [anon_sym_CARET] = ACTIONS(5856),
    [anon_sym_AMP] = ACTIONS(5854),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT] = ACTIONS(5854),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5854),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5856),
    [anon_sym_GT_GT] = ACTIONS(5856),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym___extension__] = ACTIONS(5854),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym___based] = ACTIONS(5854),
    [anon_sym_LBRACE] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_signed] = ACTIONS(5854),
    [anon_sym_unsigned] = ACTIONS(5854),
    [anon_sym_long] = ACTIONS(5854),
    [anon_sym_short] = ACTIONS(5854),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_const] = ACTIONS(5854),
    [anon_sym_constexpr] = ACTIONS(5854),
    [anon_sym_volatile] = ACTIONS(5854),
    [anon_sym_restrict] = ACTIONS(5854),
    [anon_sym___restrict__] = ACTIONS(5854),
    [anon_sym__Atomic] = ACTIONS(5854),
    [anon_sym__Noreturn] = ACTIONS(5854),
    [anon_sym_noreturn] = ACTIONS(5854),
    [anon_sym_mutable] = ACTIONS(5854),
    [anon_sym_constinit] = ACTIONS(5854),
    [anon_sym_consteval] = ACTIONS(5854),
    [sym_primitive_type] = ACTIONS(5854),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_QMARK] = ACTIONS(5856),
    [anon_sym_LT_EQ_GT] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5854),
    [anon_sym_and] = ACTIONS(5854),
    [anon_sym_bitor] = ACTIONS(5854),
    [anon_sym_xor] = ACTIONS(5854),
    [anon_sym_bitand] = ACTIONS(5854),
    [anon_sym_not_eq] = ACTIONS(5854),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5854),
    [anon_sym_DOT_STAR] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5854),
    [anon_sym_decltype] = ACTIONS(5854),
    [anon_sym_final] = ACTIONS(5854),
    [anon_sym_override] = ACTIONS(5854),
    [anon_sym_requires] = ACTIONS(5854),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5136),
    [anon_sym_COMMA] = ACTIONS(5136),
    [anon_sym_RPAREN] = ACTIONS(5136),
    [aux_sym_preproc_if_token2] = ACTIONS(5136),
    [aux_sym_preproc_else_token1] = ACTIONS(5136),
    [aux_sym_preproc_elif_token1] = ACTIONS(5129),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5136),
    [anon_sym_LPAREN2] = ACTIONS(5136),
    [anon_sym_DASH] = ACTIONS(5129),
    [anon_sym_PLUS] = ACTIONS(5129),
    [anon_sym_STAR] = ACTIONS(5136),
    [anon_sym_SLASH] = ACTIONS(5129),
    [anon_sym_PERCENT] = ACTIONS(5136),
    [anon_sym_PIPE_PIPE] = ACTIONS(5136),
    [anon_sym_AMP_AMP] = ACTIONS(5136),
    [anon_sym_PIPE] = ACTIONS(5129),
    [anon_sym_CARET] = ACTIONS(5136),
    [anon_sym_AMP] = ACTIONS(5129),
    [anon_sym_EQ_EQ] = ACTIONS(5136),
    [anon_sym_BANG_EQ] = ACTIONS(5136),
    [anon_sym_GT] = ACTIONS(5129),
    [anon_sym_GT_EQ] = ACTIONS(5136),
    [anon_sym_LT_EQ] = ACTIONS(5129),
    [anon_sym_LT] = ACTIONS(5129),
    [anon_sym_LT_LT] = ACTIONS(5136),
    [anon_sym_GT_GT] = ACTIONS(5136),
    [anon_sym_SEMI] = ACTIONS(5136),
    [anon_sym___extension__] = ACTIONS(5129),
    [anon_sym___attribute__] = ACTIONS(5129),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_RBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5136),
    [anon_sym_RBRACK] = ACTIONS(5136),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5129),
    [anon_sym_volatile] = ACTIONS(5129),
    [anon_sym_restrict] = ACTIONS(5129),
    [anon_sym___restrict__] = ACTIONS(5129),
    [anon_sym__Atomic] = ACTIONS(5129),
    [anon_sym__Noreturn] = ACTIONS(5129),
    [anon_sym_noreturn] = ACTIONS(5129),
    [anon_sym_mutable] = ACTIONS(5129),
    [anon_sym_constinit] = ACTIONS(5129),
    [anon_sym_consteval] = ACTIONS(5129),
    [anon_sym_COLON] = ACTIONS(5129),
    [anon_sym_QMARK] = ACTIONS(5136),
    [anon_sym_LT_EQ_GT] = ACTIONS(5136),
    [anon_sym_or] = ACTIONS(5129),
    [anon_sym_and] = ACTIONS(5129),
    [anon_sym_bitor] = ACTIONS(5129),
    [anon_sym_xor] = ACTIONS(5129),
    [anon_sym_bitand] = ACTIONS(5129),
    [anon_sym_not_eq] = ACTIONS(5129),
    [anon_sym_DASH_DASH] = ACTIONS(5136),
    [anon_sym_PLUS_PLUS] = ACTIONS(5136),
    [anon_sym_DOT] = ACTIONS(5129),
    [anon_sym_DOT_STAR] = ACTIONS(5136),
    [anon_sym_DASH_GT] = ACTIONS(5136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5129),
    [anon_sym_decltype] = ACTIONS(5129),
    [anon_sym_final] = ACTIONS(5129),
    [anon_sym_override] = ACTIONS(5129),
    [anon_sym_requires] = ACTIONS(5129),
  },
  [2345] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5133),
    [anon_sym_COMMA] = ACTIONS(5133),
    [anon_sym_LPAREN2] = ACTIONS(5133),
    [anon_sym_DASH] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5138),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5138),
    [anon_sym_PERCENT] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE] = ACTIONS(5131),
    [anon_sym_AMP_AMP] = ACTIONS(5133),
    [anon_sym_PIPE] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5138),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5131),
    [anon_sym_BANG_EQ] = ACTIONS(5131),
    [anon_sym_GT] = ACTIONS(5138),
    [anon_sym_GT_EQ] = ACTIONS(5138),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5138),
    [anon_sym_LT_LT] = ACTIONS(5138),
    [anon_sym_GT_GT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(5136),
    [anon_sym_COLON_COLON] = ACTIONS(5136),
    [anon_sym_LBRACE] = ACTIONS(5136),
    [anon_sym_LBRACK] = ACTIONS(5133),
    [anon_sym_EQ] = ACTIONS(5138),
    [anon_sym_const] = ACTIONS(5129),
    [anon_sym_constexpr] = ACTIONS(5136),
    [anon_sym_volatile] = ACTIONS(5136),
    [anon_sym_restrict] = ACTIONS(5136),
    [anon_sym___restrict__] = ACTIONS(5136),
    [anon_sym__Atomic] = ACTIONS(5136),
    [anon_sym__Noreturn] = ACTIONS(5136),
    [anon_sym_noreturn] = ACTIONS(5136),
    [anon_sym_mutable] = ACTIONS(5136),
    [anon_sym_constinit] = ACTIONS(5136),
    [anon_sym_consteval] = ACTIONS(5136),
    [anon_sym_QMARK] = ACTIONS(5131),
    [anon_sym_STAR_EQ] = ACTIONS(5131),
    [anon_sym_SLASH_EQ] = ACTIONS(5131),
    [anon_sym_PERCENT_EQ] = ACTIONS(5131),
    [anon_sym_PLUS_EQ] = ACTIONS(5131),
    [anon_sym_DASH_EQ] = ACTIONS(5131),
    [anon_sym_LT_LT_EQ] = ACTIONS(5131),
    [anon_sym_GT_GT_EQ] = ACTIONS(5138),
    [anon_sym_AMP_EQ] = ACTIONS(5131),
    [anon_sym_CARET_EQ] = ACTIONS(5131),
    [anon_sym_PIPE_EQ] = ACTIONS(5131),
    [anon_sym_and_eq] = ACTIONS(5131),
    [anon_sym_or_eq] = ACTIONS(5131),
    [anon_sym_xor_eq] = ACTIONS(5131),
    [anon_sym_LT_EQ_GT] = ACTIONS(5131),
    [anon_sym_or] = ACTIONS(5138),
    [anon_sym_and] = ACTIONS(5138),
    [anon_sym_bitor] = ACTIONS(5131),
    [anon_sym_xor] = ACTIONS(5138),
    [anon_sym_bitand] = ACTIONS(5131),
    [anon_sym_not_eq] = ACTIONS(5131),
    [anon_sym_DASH_DASH] = ACTIONS(5131),
    [anon_sym_PLUS_PLUS] = ACTIONS(5131),
    [anon_sym_DOT] = ACTIONS(5138),
    [anon_sym_DOT_STAR] = ACTIONS(5131),
    [anon_sym_DASH_GT] = ACTIONS(5131),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5136),
    [anon_sym_decltype] = ACTIONS(5136),
    [anon_sym_GT2] = ACTIONS(5133),
  },
  [2346] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4469),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2347] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5535),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2348] = {
    [sym_attribute_specifier] = STATE(2577),
    [sym_enumerator_list] = STATE(2456),
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_RPAREN] = ACTIONS(5860),
    [aux_sym_preproc_if_token2] = ACTIONS(5860),
    [aux_sym_preproc_else_token1] = ACTIONS(5860),
    [aux_sym_preproc_elif_token1] = ACTIONS(5858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5860),
    [anon_sym_LPAREN2] = ACTIONS(5860),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5858),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5858),
    [anon_sym_PIPE_PIPE] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_CARET] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_EQ_EQ] = ACTIONS(5860),
    [anon_sym_BANG_EQ] = ACTIONS(5860),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_LT_EQ] = ACTIONS(5858),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5858),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5818),
    [anon_sym_RBRACE] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5860),
    [anon_sym_RBRACK] = ACTIONS(5860),
    [anon_sym_EQ] = ACTIONS(5858),
    [anon_sym_COLON] = ACTIONS(5860),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_STAR_EQ] = ACTIONS(5860),
    [anon_sym_SLASH_EQ] = ACTIONS(5860),
    [anon_sym_PERCENT_EQ] = ACTIONS(5860),
    [anon_sym_PLUS_EQ] = ACTIONS(5860),
    [anon_sym_DASH_EQ] = ACTIONS(5860),
    [anon_sym_LT_LT_EQ] = ACTIONS(5860),
    [anon_sym_GT_GT_EQ] = ACTIONS(5860),
    [anon_sym_AMP_EQ] = ACTIONS(5860),
    [anon_sym_CARET_EQ] = ACTIONS(5860),
    [anon_sym_PIPE_EQ] = ACTIONS(5860),
    [anon_sym_and_eq] = ACTIONS(5858),
    [anon_sym_or_eq] = ACTIONS(5858),
    [anon_sym_xor_eq] = ACTIONS(5858),
    [anon_sym_LT_EQ_GT] = ACTIONS(5860),
    [anon_sym_or] = ACTIONS(5858),
    [anon_sym_and] = ACTIONS(5858),
    [anon_sym_bitor] = ACTIONS(5858),
    [anon_sym_xor] = ACTIONS(5858),
    [anon_sym_bitand] = ACTIONS(5858),
    [anon_sym_not_eq] = ACTIONS(5858),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_DOT_STAR] = ACTIONS(5860),
    [anon_sym_DASH_GT] = ACTIONS(5860),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5858),
    [anon_sym_decltype] = ACTIONS(5858),
  },
  [2349] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5540),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2350] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5533),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2351] = {
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5864),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5864),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5864),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5864),
    [anon_sym_GT_GT] = ACTIONS(5864),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___extension__] = ACTIONS(5862),
    [anon_sym___attribute__] = ACTIONS(5862),
    [anon_sym___based] = ACTIONS(5862),
    [anon_sym_LBRACE] = ACTIONS(5864),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_signed] = ACTIONS(5862),
    [anon_sym_unsigned] = ACTIONS(5862),
    [anon_sym_long] = ACTIONS(5862),
    [anon_sym_short] = ACTIONS(5862),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_const] = ACTIONS(5862),
    [anon_sym_constexpr] = ACTIONS(5862),
    [anon_sym_volatile] = ACTIONS(5862),
    [anon_sym_restrict] = ACTIONS(5862),
    [anon_sym___restrict__] = ACTIONS(5862),
    [anon_sym__Atomic] = ACTIONS(5862),
    [anon_sym__Noreturn] = ACTIONS(5862),
    [anon_sym_noreturn] = ACTIONS(5862),
    [anon_sym_mutable] = ACTIONS(5862),
    [anon_sym_constinit] = ACTIONS(5862),
    [anon_sym_consteval] = ACTIONS(5862),
    [sym_primitive_type] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5862),
    [anon_sym_bitor] = ACTIONS(5862),
    [anon_sym_xor] = ACTIONS(5862),
    [anon_sym_bitand] = ACTIONS(5862),
    [anon_sym_not_eq] = ACTIONS(5862),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
    [anon_sym_final] = ACTIONS(5862),
    [anon_sym_override] = ACTIONS(5862),
    [anon_sym_requires] = ACTIONS(5862),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5868),
    [anon_sym_COMMA] = ACTIONS(5868),
    [anon_sym_RPAREN] = ACTIONS(5868),
    [anon_sym_LPAREN2] = ACTIONS(5868),
    [anon_sym_DASH] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5866),
    [anon_sym_STAR] = ACTIONS(5868),
    [anon_sym_SLASH] = ACTIONS(5866),
    [anon_sym_PERCENT] = ACTIONS(5868),
    [anon_sym_PIPE_PIPE] = ACTIONS(5868),
    [anon_sym_AMP_AMP] = ACTIONS(5868),
    [anon_sym_PIPE] = ACTIONS(5866),
    [anon_sym_CARET] = ACTIONS(5868),
    [anon_sym_AMP] = ACTIONS(5866),
    [anon_sym_EQ_EQ] = ACTIONS(5868),
    [anon_sym_BANG_EQ] = ACTIONS(5868),
    [anon_sym_GT] = ACTIONS(5866),
    [anon_sym_GT_EQ] = ACTIONS(5868),
    [anon_sym_LT_EQ] = ACTIONS(5866),
    [anon_sym_LT] = ACTIONS(5866),
    [anon_sym_LT_LT] = ACTIONS(5868),
    [anon_sym_GT_GT] = ACTIONS(5868),
    [anon_sym_SEMI] = ACTIONS(5868),
    [anon_sym___extension__] = ACTIONS(5866),
    [anon_sym___attribute__] = ACTIONS(5866),
    [anon_sym___based] = ACTIONS(5866),
    [anon_sym_LBRACE] = ACTIONS(5868),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_signed] = ACTIONS(5866),
    [anon_sym_unsigned] = ACTIONS(5866),
    [anon_sym_long] = ACTIONS(5866),
    [anon_sym_short] = ACTIONS(5866),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(5868),
    [anon_sym_const] = ACTIONS(5866),
    [anon_sym_constexpr] = ACTIONS(5866),
    [anon_sym_volatile] = ACTIONS(5866),
    [anon_sym_restrict] = ACTIONS(5866),
    [anon_sym___restrict__] = ACTIONS(5866),
    [anon_sym__Atomic] = ACTIONS(5866),
    [anon_sym__Noreturn] = ACTIONS(5866),
    [anon_sym_noreturn] = ACTIONS(5866),
    [anon_sym_mutable] = ACTIONS(5866),
    [anon_sym_constinit] = ACTIONS(5866),
    [anon_sym_consteval] = ACTIONS(5866),
    [sym_primitive_type] = ACTIONS(5866),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_LT_EQ_GT] = ACTIONS(5868),
    [anon_sym_or] = ACTIONS(5866),
    [anon_sym_and] = ACTIONS(5866),
    [anon_sym_bitor] = ACTIONS(5866),
    [anon_sym_xor] = ACTIONS(5866),
    [anon_sym_bitand] = ACTIONS(5866),
    [anon_sym_not_eq] = ACTIONS(5866),
    [anon_sym_DASH_DASH] = ACTIONS(5868),
    [anon_sym_PLUS_PLUS] = ACTIONS(5868),
    [anon_sym_DOT] = ACTIONS(5866),
    [anon_sym_DOT_STAR] = ACTIONS(5868),
    [anon_sym_DASH_GT] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5866),
    [anon_sym_decltype] = ACTIONS(5866),
    [anon_sym_final] = ACTIONS(5866),
    [anon_sym_override] = ACTIONS(5866),
    [anon_sym_requires] = ACTIONS(5866),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5872),
    [anon_sym_COMMA] = ACTIONS(5872),
    [anon_sym_RPAREN] = ACTIONS(5872),
    [anon_sym_LPAREN2] = ACTIONS(5872),
    [anon_sym_DASH] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5870),
    [anon_sym_STAR] = ACTIONS(5872),
    [anon_sym_SLASH] = ACTIONS(5870),
    [anon_sym_PERCENT] = ACTIONS(5872),
    [anon_sym_PIPE_PIPE] = ACTIONS(5872),
    [anon_sym_AMP_AMP] = ACTIONS(5872),
    [anon_sym_PIPE] = ACTIONS(5870),
    [anon_sym_CARET] = ACTIONS(5872),
    [anon_sym_AMP] = ACTIONS(5870),
    [anon_sym_EQ_EQ] = ACTIONS(5872),
    [anon_sym_BANG_EQ] = ACTIONS(5872),
    [anon_sym_GT] = ACTIONS(5870),
    [anon_sym_GT_EQ] = ACTIONS(5872),
    [anon_sym_LT_EQ] = ACTIONS(5870),
    [anon_sym_LT] = ACTIONS(5870),
    [anon_sym_LT_LT] = ACTIONS(5872),
    [anon_sym_GT_GT] = ACTIONS(5872),
    [anon_sym_SEMI] = ACTIONS(5872),
    [anon_sym___extension__] = ACTIONS(5870),
    [anon_sym___attribute__] = ACTIONS(5870),
    [anon_sym___based] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(5872),
    [anon_sym_RBRACE] = ACTIONS(5872),
    [anon_sym_signed] = ACTIONS(5870),
    [anon_sym_unsigned] = ACTIONS(5870),
    [anon_sym_long] = ACTIONS(5870),
    [anon_sym_short] = ACTIONS(5870),
    [anon_sym_LBRACK] = ACTIONS(5872),
    [anon_sym_RBRACK] = ACTIONS(5872),
    [anon_sym_const] = ACTIONS(5870),
    [anon_sym_constexpr] = ACTIONS(5870),
    [anon_sym_volatile] = ACTIONS(5870),
    [anon_sym_restrict] = ACTIONS(5870),
    [anon_sym___restrict__] = ACTIONS(5870),
    [anon_sym__Atomic] = ACTIONS(5870),
    [anon_sym__Noreturn] = ACTIONS(5870),
    [anon_sym_noreturn] = ACTIONS(5870),
    [anon_sym_mutable] = ACTIONS(5870),
    [anon_sym_constinit] = ACTIONS(5870),
    [anon_sym_consteval] = ACTIONS(5870),
    [sym_primitive_type] = ACTIONS(5870),
    [anon_sym_COLON] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5872),
    [anon_sym_LT_EQ_GT] = ACTIONS(5872),
    [anon_sym_or] = ACTIONS(5870),
    [anon_sym_and] = ACTIONS(5870),
    [anon_sym_bitor] = ACTIONS(5870),
    [anon_sym_xor] = ACTIONS(5870),
    [anon_sym_bitand] = ACTIONS(5870),
    [anon_sym_not_eq] = ACTIONS(5870),
    [anon_sym_DASH_DASH] = ACTIONS(5872),
    [anon_sym_PLUS_PLUS] = ACTIONS(5872),
    [anon_sym_DOT] = ACTIONS(5870),
    [anon_sym_DOT_STAR] = ACTIONS(5872),
    [anon_sym_DASH_GT] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5870),
    [anon_sym_decltype] = ACTIONS(5870),
    [anon_sym_final] = ACTIONS(5870),
    [anon_sym_override] = ACTIONS(5870),
    [anon_sym_requires] = ACTIONS(5870),
  },
  [2354] = {
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [anon_sym_RPAREN] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5876),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5876),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5876),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5876),
    [anon_sym_GT_GT] = ACTIONS(5876),
    [anon_sym_SEMI] = ACTIONS(5876),
    [anon_sym___extension__] = ACTIONS(5874),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym___based] = ACTIONS(5874),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_signed] = ACTIONS(5874),
    [anon_sym_unsigned] = ACTIONS(5874),
    [anon_sym_long] = ACTIONS(5874),
    [anon_sym_short] = ACTIONS(5874),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_RBRACK] = ACTIONS(5876),
    [anon_sym_const] = ACTIONS(5874),
    [anon_sym_constexpr] = ACTIONS(5874),
    [anon_sym_volatile] = ACTIONS(5874),
    [anon_sym_restrict] = ACTIONS(5874),
    [anon_sym___restrict__] = ACTIONS(5874),
    [anon_sym__Atomic] = ACTIONS(5874),
    [anon_sym__Noreturn] = ACTIONS(5874),
    [anon_sym_noreturn] = ACTIONS(5874),
    [anon_sym_mutable] = ACTIONS(5874),
    [anon_sym_constinit] = ACTIONS(5874),
    [anon_sym_consteval] = ACTIONS(5874),
    [sym_primitive_type] = ACTIONS(5874),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5874),
    [anon_sym_and] = ACTIONS(5874),
    [anon_sym_bitor] = ACTIONS(5874),
    [anon_sym_xor] = ACTIONS(5874),
    [anon_sym_bitand] = ACTIONS(5874),
    [anon_sym_not_eq] = ACTIONS(5874),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
    [anon_sym_final] = ACTIONS(5874),
    [anon_sym_override] = ACTIONS(5874),
    [anon_sym_requires] = ACTIONS(5874),
  },
  [2355] = {
    [sym_identifier] = ACTIONS(5878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5880),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5880),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5880),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5880),
    [anon_sym_GT_GT] = ACTIONS(5880),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___extension__] = ACTIONS(5878),
    [anon_sym___attribute__] = ACTIONS(5878),
    [anon_sym___based] = ACTIONS(5878),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_signed] = ACTIONS(5878),
    [anon_sym_unsigned] = ACTIONS(5878),
    [anon_sym_long] = ACTIONS(5878),
    [anon_sym_short] = ACTIONS(5878),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_const] = ACTIONS(5878),
    [anon_sym_constexpr] = ACTIONS(5878),
    [anon_sym_volatile] = ACTIONS(5878),
    [anon_sym_restrict] = ACTIONS(5878),
    [anon_sym___restrict__] = ACTIONS(5878),
    [anon_sym__Atomic] = ACTIONS(5878),
    [anon_sym__Noreturn] = ACTIONS(5878),
    [anon_sym_noreturn] = ACTIONS(5878),
    [anon_sym_mutable] = ACTIONS(5878),
    [anon_sym_constinit] = ACTIONS(5878),
    [anon_sym_consteval] = ACTIONS(5878),
    [sym_primitive_type] = ACTIONS(5878),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5878),
    [anon_sym_and] = ACTIONS(5878),
    [anon_sym_bitor] = ACTIONS(5878),
    [anon_sym_xor] = ACTIONS(5878),
    [anon_sym_bitand] = ACTIONS(5878),
    [anon_sym_not_eq] = ACTIONS(5878),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5878),
    [anon_sym_decltype] = ACTIONS(5878),
    [anon_sym_final] = ACTIONS(5878),
    [anon_sym_override] = ACTIONS(5878),
    [anon_sym_requires] = ACTIONS(5878),
  },
  [2356] = {
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5884),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5884),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5884),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5884),
    [anon_sym_GT_GT] = ACTIONS(5884),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___extension__] = ACTIONS(5882),
    [anon_sym___attribute__] = ACTIONS(5882),
    [anon_sym___based] = ACTIONS(5882),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_signed] = ACTIONS(5882),
    [anon_sym_unsigned] = ACTIONS(5882),
    [anon_sym_long] = ACTIONS(5882),
    [anon_sym_short] = ACTIONS(5882),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_const] = ACTIONS(5882),
    [anon_sym_constexpr] = ACTIONS(5882),
    [anon_sym_volatile] = ACTIONS(5882),
    [anon_sym_restrict] = ACTIONS(5882),
    [anon_sym___restrict__] = ACTIONS(5882),
    [anon_sym__Atomic] = ACTIONS(5882),
    [anon_sym__Noreturn] = ACTIONS(5882),
    [anon_sym_noreturn] = ACTIONS(5882),
    [anon_sym_mutable] = ACTIONS(5882),
    [anon_sym_constinit] = ACTIONS(5882),
    [anon_sym_consteval] = ACTIONS(5882),
    [sym_primitive_type] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5882),
    [anon_sym_and] = ACTIONS(5882),
    [anon_sym_bitor] = ACTIONS(5882),
    [anon_sym_xor] = ACTIONS(5882),
    [anon_sym_bitand] = ACTIONS(5882),
    [anon_sym_not_eq] = ACTIONS(5882),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5882),
    [anon_sym_decltype] = ACTIONS(5882),
    [anon_sym_final] = ACTIONS(5882),
    [anon_sym_override] = ACTIONS(5882),
    [anon_sym_requires] = ACTIONS(5882),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5888),
    [anon_sym_COMMA] = ACTIONS(5888),
    [anon_sym_RPAREN] = ACTIONS(5888),
    [anon_sym_LPAREN2] = ACTIONS(5888),
    [anon_sym_DASH] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5886),
    [anon_sym_STAR] = ACTIONS(5888),
    [anon_sym_SLASH] = ACTIONS(5886),
    [anon_sym_PERCENT] = ACTIONS(5888),
    [anon_sym_PIPE_PIPE] = ACTIONS(5888),
    [anon_sym_AMP_AMP] = ACTIONS(5888),
    [anon_sym_PIPE] = ACTIONS(5886),
    [anon_sym_CARET] = ACTIONS(5888),
    [anon_sym_AMP] = ACTIONS(5886),
    [anon_sym_EQ_EQ] = ACTIONS(5888),
    [anon_sym_BANG_EQ] = ACTIONS(5888),
    [anon_sym_GT] = ACTIONS(5886),
    [anon_sym_GT_EQ] = ACTIONS(5888),
    [anon_sym_LT_EQ] = ACTIONS(5886),
    [anon_sym_LT] = ACTIONS(5886),
    [anon_sym_LT_LT] = ACTIONS(5888),
    [anon_sym_GT_GT] = ACTIONS(5888),
    [anon_sym_SEMI] = ACTIONS(5888),
    [anon_sym___extension__] = ACTIONS(5886),
    [anon_sym___attribute__] = ACTIONS(5886),
    [anon_sym___based] = ACTIONS(5886),
    [anon_sym_LBRACE] = ACTIONS(5888),
    [anon_sym_RBRACE] = ACTIONS(5888),
    [anon_sym_signed] = ACTIONS(5886),
    [anon_sym_unsigned] = ACTIONS(5886),
    [anon_sym_long] = ACTIONS(5886),
    [anon_sym_short] = ACTIONS(5886),
    [anon_sym_LBRACK] = ACTIONS(5888),
    [anon_sym_RBRACK] = ACTIONS(5888),
    [anon_sym_const] = ACTIONS(5886),
    [anon_sym_constexpr] = ACTIONS(5886),
    [anon_sym_volatile] = ACTIONS(5886),
    [anon_sym_restrict] = ACTIONS(5886),
    [anon_sym___restrict__] = ACTIONS(5886),
    [anon_sym__Atomic] = ACTIONS(5886),
    [anon_sym__Noreturn] = ACTIONS(5886),
    [anon_sym_noreturn] = ACTIONS(5886),
    [anon_sym_mutable] = ACTIONS(5886),
    [anon_sym_constinit] = ACTIONS(5886),
    [anon_sym_consteval] = ACTIONS(5886),
    [sym_primitive_type] = ACTIONS(5886),
    [anon_sym_COLON] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5888),
    [anon_sym_LT_EQ_GT] = ACTIONS(5888),
    [anon_sym_or] = ACTIONS(5886),
    [anon_sym_and] = ACTIONS(5886),
    [anon_sym_bitor] = ACTIONS(5886),
    [anon_sym_xor] = ACTIONS(5886),
    [anon_sym_bitand] = ACTIONS(5886),
    [anon_sym_not_eq] = ACTIONS(5886),
    [anon_sym_DASH_DASH] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(5888),
    [anon_sym_DOT] = ACTIONS(5886),
    [anon_sym_DOT_STAR] = ACTIONS(5888),
    [anon_sym_DASH_GT] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5886),
    [anon_sym_decltype] = ACTIONS(5886),
    [anon_sym_final] = ACTIONS(5886),
    [anon_sym_override] = ACTIONS(5886),
    [anon_sym_requires] = ACTIONS(5886),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5892),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5892),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5892),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5892),
    [anon_sym_GT_GT] = ACTIONS(5892),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___extension__] = ACTIONS(5890),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym___based] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_signed] = ACTIONS(5890),
    [anon_sym_unsigned] = ACTIONS(5890),
    [anon_sym_long] = ACTIONS(5890),
    [anon_sym_short] = ACTIONS(5890),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_const] = ACTIONS(5890),
    [anon_sym_constexpr] = ACTIONS(5890),
    [anon_sym_volatile] = ACTIONS(5890),
    [anon_sym_restrict] = ACTIONS(5890),
    [anon_sym___restrict__] = ACTIONS(5890),
    [anon_sym__Atomic] = ACTIONS(5890),
    [anon_sym__Noreturn] = ACTIONS(5890),
    [anon_sym_noreturn] = ACTIONS(5890),
    [anon_sym_mutable] = ACTIONS(5890),
    [anon_sym_constinit] = ACTIONS(5890),
    [anon_sym_consteval] = ACTIONS(5890),
    [sym_primitive_type] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
    [anon_sym_final] = ACTIONS(5890),
    [anon_sym_override] = ACTIONS(5890),
    [anon_sym_requires] = ACTIONS(5890),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5896),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5896),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5896),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5896),
    [anon_sym_GT_GT] = ACTIONS(5896),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___extension__] = ACTIONS(5894),
    [anon_sym___attribute__] = ACTIONS(5894),
    [anon_sym___based] = ACTIONS(5894),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_signed] = ACTIONS(5894),
    [anon_sym_unsigned] = ACTIONS(5894),
    [anon_sym_long] = ACTIONS(5894),
    [anon_sym_short] = ACTIONS(5894),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_const] = ACTIONS(5894),
    [anon_sym_constexpr] = ACTIONS(5894),
    [anon_sym_volatile] = ACTIONS(5894),
    [anon_sym_restrict] = ACTIONS(5894),
    [anon_sym___restrict__] = ACTIONS(5894),
    [anon_sym__Atomic] = ACTIONS(5894),
    [anon_sym__Noreturn] = ACTIONS(5894),
    [anon_sym_noreturn] = ACTIONS(5894),
    [anon_sym_mutable] = ACTIONS(5894),
    [anon_sym_constinit] = ACTIONS(5894),
    [anon_sym_consteval] = ACTIONS(5894),
    [sym_primitive_type] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5894),
    [anon_sym_and] = ACTIONS(5894),
    [anon_sym_bitor] = ACTIONS(5894),
    [anon_sym_xor] = ACTIONS(5894),
    [anon_sym_bitand] = ACTIONS(5894),
    [anon_sym_not_eq] = ACTIONS(5894),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5894),
    [anon_sym_decltype] = ACTIONS(5894),
    [anon_sym_final] = ACTIONS(5894),
    [anon_sym_override] = ACTIONS(5894),
    [anon_sym_requires] = ACTIONS(5894),
  },
  [2360] = {
    [sym_string_literal] = STATE(2364),
    [sym_raw_string_literal] = STATE(2364),
    [aux_sym_concatenated_string_repeat1] = STATE(2364),
    [sym_identifier] = ACTIONS(5898),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_RPAREN] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5270),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5268),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2361] = {
    [sym_catch_clause] = STATE(2361),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2361),
    [sym_identifier] = ACTIONS(2823),
    [aux_sym_preproc_def_token1] = ACTIONS(2823),
    [aux_sym_preproc_if_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2823),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2823),
    [sym_preproc_directive] = ACTIONS(2823),
    [anon_sym_LPAREN2] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2825),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2823),
    [anon_sym_typedef] = ACTIONS(2823),
    [anon_sym_extern] = ACTIONS(2823),
    [anon_sym___attribute__] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2825),
    [anon_sym___declspec] = ACTIONS(2823),
    [anon_sym___based] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2825),
    [anon_sym_signed] = ACTIONS(2823),
    [anon_sym_unsigned] = ACTIONS(2823),
    [anon_sym_long] = ACTIONS(2823),
    [anon_sym_short] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2823),
    [anon_sym_register] = ACTIONS(2823),
    [anon_sym_inline] = ACTIONS(2823),
    [anon_sym___inline] = ACTIONS(2823),
    [anon_sym___inline__] = ACTIONS(2823),
    [anon_sym___forceinline] = ACTIONS(2823),
    [anon_sym_thread_local] = ACTIONS(2823),
    [anon_sym___thread] = ACTIONS(2823),
    [anon_sym_const] = ACTIONS(2823),
    [anon_sym_constexpr] = ACTIONS(2823),
    [anon_sym_volatile] = ACTIONS(2823),
    [anon_sym_restrict] = ACTIONS(2823),
    [anon_sym___restrict__] = ACTIONS(2823),
    [anon_sym__Atomic] = ACTIONS(2823),
    [anon_sym__Noreturn] = ACTIONS(2823),
    [anon_sym_noreturn] = ACTIONS(2823),
    [anon_sym_mutable] = ACTIONS(2823),
    [anon_sym_constinit] = ACTIONS(2823),
    [anon_sym_consteval] = ACTIONS(2823),
    [sym_primitive_type] = ACTIONS(2823),
    [anon_sym_enum] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(2823),
    [anon_sym_union] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2823),
    [anon_sym_decltype] = ACTIONS(2823),
    [anon_sym_virtual] = ACTIONS(2823),
    [anon_sym_alignas] = ACTIONS(2823),
    [anon_sym_explicit] = ACTIONS(2823),
    [anon_sym_typename] = ACTIONS(2823),
    [anon_sym_template] = ACTIONS(2823),
    [anon_sym_operator] = ACTIONS(2823),
    [anon_sym_friend] = ACTIONS(2823),
    [anon_sym_public] = ACTIONS(2823),
    [anon_sym_private] = ACTIONS(2823),
    [anon_sym_protected] = ACTIONS(2823),
    [anon_sym_using] = ACTIONS(2823),
    [anon_sym_static_assert] = ACTIONS(2823),
    [anon_sym_catch] = ACTIONS(5900),
  },
  [2362] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5892),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5892),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5892),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5892),
    [anon_sym_GT_GT] = ACTIONS(5892),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___extension__] = ACTIONS(5890),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym___based] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_signed] = ACTIONS(5890),
    [anon_sym_unsigned] = ACTIONS(5890),
    [anon_sym_long] = ACTIONS(5890),
    [anon_sym_short] = ACTIONS(5890),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_const] = ACTIONS(5890),
    [anon_sym_constexpr] = ACTIONS(5890),
    [anon_sym_volatile] = ACTIONS(5890),
    [anon_sym_restrict] = ACTIONS(5890),
    [anon_sym___restrict__] = ACTIONS(5890),
    [anon_sym__Atomic] = ACTIONS(5890),
    [anon_sym__Noreturn] = ACTIONS(5890),
    [anon_sym_noreturn] = ACTIONS(5890),
    [anon_sym_mutable] = ACTIONS(5890),
    [anon_sym_constinit] = ACTIONS(5890),
    [anon_sym_consteval] = ACTIONS(5890),
    [sym_primitive_type] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
    [anon_sym_final] = ACTIONS(5890),
    [anon_sym_override] = ACTIONS(5890),
    [anon_sym_requires] = ACTIONS(5890),
  },
  [2363] = {
    [sym__declaration_modifiers] = STATE(2395),
    [sym__declaration_specifiers] = STATE(5558),
    [sym_attribute_specifier] = STATE(2395),
    [sym_attribute_declaration] = STATE(2395),
    [sym_ms_declspec_modifier] = STATE(2395),
    [sym_storage_class_specifier] = STATE(2395),
    [sym_type_qualifier] = STATE(2395),
    [sym__type_specifier] = STATE(2923),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(2395),
    [sym_alignas_specifier] = STATE(2395),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2395),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2364] = {
    [sym_string_literal] = STATE(2364),
    [sym_raw_string_literal] = STATE(2364),
    [aux_sym_concatenated_string_repeat1] = STATE(2364),
    [sym_identifier] = ACTIONS(5903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_RPAREN] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_GT_EQ] = ACTIONS(5311),
    [anon_sym_LT_EQ] = ACTIONS(5313),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5311),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5313),
    [anon_sym_or_eq] = ACTIONS(5313),
    [anon_sym_xor_eq] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5313),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [anon_sym_L_DQUOTE] = ACTIONS(5906),
    [anon_sym_u_DQUOTE] = ACTIONS(5906),
    [anon_sym_U_DQUOTE] = ACTIONS(5906),
    [anon_sym_u8_DQUOTE] = ACTIONS(5906),
    [anon_sym_DQUOTE] = ACTIONS(5906),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5909),
    [anon_sym_LR_DQUOTE] = ACTIONS(5909),
    [anon_sym_uR_DQUOTE] = ACTIONS(5909),
    [anon_sym_UR_DQUOTE] = ACTIONS(5909),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5909),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5311),
    [sym_literal_suffix] = ACTIONS(5313),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5914),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_CARET] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5914),
    [anon_sym_BANG_EQ] = ACTIONS(5914),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5914),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5914),
    [anon_sym_GT_GT] = ACTIONS(5914),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___extension__] = ACTIONS(5912),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym___based] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5914),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_signed] = ACTIONS(5912),
    [anon_sym_unsigned] = ACTIONS(5912),
    [anon_sym_long] = ACTIONS(5912),
    [anon_sym_short] = ACTIONS(5912),
    [anon_sym_LBRACK] = ACTIONS(5914),
    [anon_sym_RBRACK] = ACTIONS(5914),
    [anon_sym_const] = ACTIONS(5912),
    [anon_sym_constexpr] = ACTIONS(5912),
    [anon_sym_volatile] = ACTIONS(5912),
    [anon_sym_restrict] = ACTIONS(5912),
    [anon_sym___restrict__] = ACTIONS(5912),
    [anon_sym__Atomic] = ACTIONS(5912),
    [anon_sym__Noreturn] = ACTIONS(5912),
    [anon_sym_noreturn] = ACTIONS(5912),
    [anon_sym_mutable] = ACTIONS(5912),
    [anon_sym_constinit] = ACTIONS(5912),
    [anon_sym_consteval] = ACTIONS(5912),
    [sym_primitive_type] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5914),
    [anon_sym_QMARK] = ACTIONS(5914),
    [anon_sym_LT_EQ_GT] = ACTIONS(5914),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_bitor] = ACTIONS(5912),
    [anon_sym_xor] = ACTIONS(5912),
    [anon_sym_bitand] = ACTIONS(5912),
    [anon_sym_not_eq] = ACTIONS(5912),
    [anon_sym_DASH_DASH] = ACTIONS(5914),
    [anon_sym_PLUS_PLUS] = ACTIONS(5914),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_DOT_STAR] = ACTIONS(5914),
    [anon_sym_DASH_GT] = ACTIONS(5914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
    [anon_sym_final] = ACTIONS(5912),
    [anon_sym_override] = ACTIONS(5912),
    [anon_sym_requires] = ACTIONS(5912),
  },
  [2366] = {
    [sym_catch_clause] = STATE(2306),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2306),
    [sym_identifier] = ACTIONS(2842),
    [aux_sym_preproc_def_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token1] = ACTIONS(2842),
    [aux_sym_preproc_if_token2] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2842),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2842),
    [sym_preproc_directive] = ACTIONS(2842),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_TILDE] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2844),
    [anon_sym_AMP_AMP] = ACTIONS(2844),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2842),
    [anon_sym_typedef] = ACTIONS(2842),
    [anon_sym_extern] = ACTIONS(2842),
    [anon_sym___attribute__] = ACTIONS(2842),
    [anon_sym_COLON_COLON] = ACTIONS(2844),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2844),
    [anon_sym___declspec] = ACTIONS(2842),
    [anon_sym___based] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2842),
    [anon_sym_unsigned] = ACTIONS(2842),
    [anon_sym_long] = ACTIONS(2842),
    [anon_sym_short] = ACTIONS(2842),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym_static] = ACTIONS(2842),
    [anon_sym_register] = ACTIONS(2842),
    [anon_sym_inline] = ACTIONS(2842),
    [anon_sym___inline] = ACTIONS(2842),
    [anon_sym___inline__] = ACTIONS(2842),
    [anon_sym___forceinline] = ACTIONS(2842),
    [anon_sym_thread_local] = ACTIONS(2842),
    [anon_sym___thread] = ACTIONS(2842),
    [anon_sym_const] = ACTIONS(2842),
    [anon_sym_constexpr] = ACTIONS(2842),
    [anon_sym_volatile] = ACTIONS(2842),
    [anon_sym_restrict] = ACTIONS(2842),
    [anon_sym___restrict__] = ACTIONS(2842),
    [anon_sym__Atomic] = ACTIONS(2842),
    [anon_sym__Noreturn] = ACTIONS(2842),
    [anon_sym_noreturn] = ACTIONS(2842),
    [anon_sym_mutable] = ACTIONS(2842),
    [anon_sym_constinit] = ACTIONS(2842),
    [anon_sym_consteval] = ACTIONS(2842),
    [sym_primitive_type] = ACTIONS(2842),
    [anon_sym_enum] = ACTIONS(2842),
    [anon_sym_class] = ACTIONS(2842),
    [anon_sym_struct] = ACTIONS(2842),
    [anon_sym_union] = ACTIONS(2842),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2842),
    [anon_sym_decltype] = ACTIONS(2842),
    [anon_sym_virtual] = ACTIONS(2842),
    [anon_sym_alignas] = ACTIONS(2842),
    [anon_sym_explicit] = ACTIONS(2842),
    [anon_sym_typename] = ACTIONS(2842),
    [anon_sym_template] = ACTIONS(2842),
    [anon_sym_operator] = ACTIONS(2842),
    [anon_sym_friend] = ACTIONS(2842),
    [anon_sym_public] = ACTIONS(2842),
    [anon_sym_private] = ACTIONS(2842),
    [anon_sym_protected] = ACTIONS(2842),
    [anon_sym_using] = ACTIONS(2842),
    [anon_sym_static_assert] = ACTIONS(2842),
    [anon_sym_catch] = ACTIONS(5745),
  },
  [2367] = {
    [sym_identifier] = ACTIONS(5507),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5509),
    [anon_sym_COMMA] = ACTIONS(5509),
    [anon_sym_RPAREN] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5509),
    [anon_sym_LPAREN2] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym_STAR] = ACTIONS(5507),
    [anon_sym_SLASH] = ACTIONS(5507),
    [anon_sym_PERCENT] = ACTIONS(5507),
    [anon_sym_PIPE_PIPE] = ACTIONS(5509),
    [anon_sym_AMP_AMP] = ACTIONS(5509),
    [anon_sym_PIPE] = ACTIONS(5507),
    [anon_sym_CARET] = ACTIONS(5507),
    [anon_sym_AMP] = ACTIONS(5507),
    [anon_sym_EQ_EQ] = ACTIONS(5509),
    [anon_sym_BANG_EQ] = ACTIONS(5509),
    [anon_sym_GT] = ACTIONS(5507),
    [anon_sym_GT_EQ] = ACTIONS(5509),
    [anon_sym_LT_EQ] = ACTIONS(5507),
    [anon_sym_LT] = ACTIONS(5507),
    [anon_sym_LT_LT] = ACTIONS(5507),
    [anon_sym_GT_GT] = ACTIONS(5507),
    [anon_sym_SEMI] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(5509),
    [anon_sym_RBRACE] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5509),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_EQ] = ACTIONS(5507),
    [anon_sym_COLON] = ACTIONS(5509),
    [anon_sym_QMARK] = ACTIONS(5509),
    [anon_sym_STAR_EQ] = ACTIONS(5509),
    [anon_sym_SLASH_EQ] = ACTIONS(5509),
    [anon_sym_PERCENT_EQ] = ACTIONS(5509),
    [anon_sym_PLUS_EQ] = ACTIONS(5509),
    [anon_sym_DASH_EQ] = ACTIONS(5509),
    [anon_sym_LT_LT_EQ] = ACTIONS(5509),
    [anon_sym_GT_GT_EQ] = ACTIONS(5509),
    [anon_sym_AMP_EQ] = ACTIONS(5509),
    [anon_sym_CARET_EQ] = ACTIONS(5509),
    [anon_sym_PIPE_EQ] = ACTIONS(5509),
    [anon_sym_and_eq] = ACTIONS(5507),
    [anon_sym_or_eq] = ACTIONS(5507),
    [anon_sym_xor_eq] = ACTIONS(5507),
    [anon_sym_LT_EQ_GT] = ACTIONS(5509),
    [anon_sym_or] = ACTIONS(5507),
    [anon_sym_and] = ACTIONS(5507),
    [anon_sym_bitor] = ACTIONS(5507),
    [anon_sym_xor] = ACTIONS(5507),
    [anon_sym_bitand] = ACTIONS(5507),
    [anon_sym_not_eq] = ACTIONS(5507),
    [anon_sym_DASH_DASH] = ACTIONS(5509),
    [anon_sym_PLUS_PLUS] = ACTIONS(5509),
    [anon_sym_DOT] = ACTIONS(5507),
    [anon_sym_DOT_STAR] = ACTIONS(5509),
    [anon_sym_DASH_GT] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5507),
    [anon_sym_decltype] = ACTIONS(5507),
    [anon_sym_final] = ACTIONS(5507),
    [anon_sym_override] = ACTIONS(5507),
  },
  [2368] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2369] = {
    [sym_string_literal] = STATE(3905),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___attribute__] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5918),
    [anon_sym_SLASH_EQ] = ACTIONS(5918),
    [anon_sym_PERCENT_EQ] = ACTIONS(5918),
    [anon_sym_PLUS_EQ] = ACTIONS(5918),
    [anon_sym_DASH_EQ] = ACTIONS(5918),
    [anon_sym_LT_LT_EQ] = ACTIONS(5918),
    [anon_sym_GT_GT_EQ] = ACTIONS(5918),
    [anon_sym_AMP_EQ] = ACTIONS(5918),
    [anon_sym_CARET_EQ] = ACTIONS(5918),
    [anon_sym_PIPE_EQ] = ACTIONS(5918),
    [anon_sym_and_eq] = ACTIONS(5918),
    [anon_sym_or_eq] = ACTIONS(5918),
    [anon_sym_xor_eq] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5920),
    [anon_sym_u_DQUOTE] = ACTIONS(5920),
    [anon_sym_U_DQUOTE] = ACTIONS(5920),
    [anon_sym_u8_DQUOTE] = ACTIONS(5920),
    [anon_sym_DQUOTE] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5922),
    [anon_sym_LR_DQUOTE] = ACTIONS(5922),
    [anon_sym_uR_DQUOTE] = ACTIONS(5922),
    [anon_sym_UR_DQUOTE] = ACTIONS(5922),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5922),
  },
  [2370] = {
    [sym_string_literal] = STATE(2329),
    [sym_template_argument_list] = STATE(2657),
    [sym_raw_string_literal] = STATE(2329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5263),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___attribute__] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5756),
    [anon_sym_u_DQUOTE] = ACTIONS(5756),
    [anon_sym_U_DQUOTE] = ACTIONS(5756),
    [anon_sym_u8_DQUOTE] = ACTIONS(5756),
    [anon_sym_DQUOTE] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5758),
    [anon_sym_LR_DQUOTE] = ACTIONS(5758),
    [anon_sym_uR_DQUOTE] = ACTIONS(5758),
    [anon_sym_UR_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5758),
  },
  [2371] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4159),
    [anon_sym_COLON] = ACTIONS(4270),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4163),
    [anon_sym_SLASH_EQ] = ACTIONS(4163),
    [anon_sym_PERCENT_EQ] = ACTIONS(4163),
    [anon_sym_PLUS_EQ] = ACTIONS(4163),
    [anon_sym_DASH_EQ] = ACTIONS(4163),
    [anon_sym_LT_LT_EQ] = ACTIONS(4163),
    [anon_sym_GT_GT_EQ] = ACTIONS(4163),
    [anon_sym_AMP_EQ] = ACTIONS(4163),
    [anon_sym_CARET_EQ] = ACTIONS(4163),
    [anon_sym_PIPE_EQ] = ACTIONS(4163),
    [anon_sym_and_eq] = ACTIONS(4163),
    [anon_sym_or_eq] = ACTIONS(4163),
    [anon_sym_xor_eq] = ACTIONS(4163),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(3283),
    [aux_sym_preproc_def_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token1] = ACTIONS(3283),
    [aux_sym_preproc_if_token2] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3283),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3283),
    [aux_sym_preproc_else_token1] = ACTIONS(3283),
    [aux_sym_preproc_elif_token1] = ACTIONS(3283),
    [sym_preproc_directive] = ACTIONS(3283),
    [anon_sym_LPAREN2] = ACTIONS(3285),
    [anon_sym_TILDE] = ACTIONS(3285),
    [anon_sym_STAR] = ACTIONS(3285),
    [anon_sym_AMP_AMP] = ACTIONS(3285),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym___extension__] = ACTIONS(3283),
    [anon_sym_typedef] = ACTIONS(3283),
    [anon_sym_extern] = ACTIONS(3283),
    [anon_sym___attribute__] = ACTIONS(3283),
    [anon_sym_COLON_COLON] = ACTIONS(3285),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3285),
    [anon_sym___declspec] = ACTIONS(3283),
    [anon_sym___based] = ACTIONS(3283),
    [anon_sym_signed] = ACTIONS(3283),
    [anon_sym_unsigned] = ACTIONS(3283),
    [anon_sym_long] = ACTIONS(3283),
    [anon_sym_short] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3283),
    [anon_sym_static] = ACTIONS(3283),
    [anon_sym_register] = ACTIONS(3283),
    [anon_sym_inline] = ACTIONS(3283),
    [anon_sym___inline] = ACTIONS(3283),
    [anon_sym___inline__] = ACTIONS(3283),
    [anon_sym___forceinline] = ACTIONS(3283),
    [anon_sym_thread_local] = ACTIONS(3283),
    [anon_sym___thread] = ACTIONS(3283),
    [anon_sym_const] = ACTIONS(3283),
    [anon_sym_constexpr] = ACTIONS(3283),
    [anon_sym_volatile] = ACTIONS(3283),
    [anon_sym_restrict] = ACTIONS(3283),
    [anon_sym___restrict__] = ACTIONS(3283),
    [anon_sym__Atomic] = ACTIONS(3283),
    [anon_sym__Noreturn] = ACTIONS(3283),
    [anon_sym_noreturn] = ACTIONS(3283),
    [anon_sym_mutable] = ACTIONS(3283),
    [anon_sym_constinit] = ACTIONS(3283),
    [anon_sym_consteval] = ACTIONS(3283),
    [sym_primitive_type] = ACTIONS(3283),
    [anon_sym_enum] = ACTIONS(3283),
    [anon_sym_class] = ACTIONS(3283),
    [anon_sym_struct] = ACTIONS(3283),
    [anon_sym_union] = ACTIONS(3283),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3283),
    [anon_sym_decltype] = ACTIONS(3283),
    [anon_sym_virtual] = ACTIONS(3283),
    [anon_sym_alignas] = ACTIONS(3283),
    [anon_sym_explicit] = ACTIONS(3283),
    [anon_sym_typename] = ACTIONS(3283),
    [anon_sym_template] = ACTIONS(3283),
    [anon_sym_operator] = ACTIONS(3283),
    [anon_sym_friend] = ACTIONS(3283),
    [anon_sym_public] = ACTIONS(3283),
    [anon_sym_private] = ACTIONS(3283),
    [anon_sym_protected] = ACTIONS(3283),
    [anon_sym_using] = ACTIONS(3283),
    [anon_sym_static_assert] = ACTIONS(3283),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(3287),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token2] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3287),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3287),
    [aux_sym_preproc_else_token1] = ACTIONS(3287),
    [aux_sym_preproc_elif_token1] = ACTIONS(3287),
    [sym_preproc_directive] = ACTIONS(3287),
    [anon_sym_LPAREN2] = ACTIONS(3289),
    [anon_sym_TILDE] = ACTIONS(3289),
    [anon_sym_STAR] = ACTIONS(3289),
    [anon_sym_AMP_AMP] = ACTIONS(3289),
    [anon_sym_AMP] = ACTIONS(3287),
    [anon_sym___extension__] = ACTIONS(3287),
    [anon_sym_typedef] = ACTIONS(3287),
    [anon_sym_extern] = ACTIONS(3287),
    [anon_sym___attribute__] = ACTIONS(3287),
    [anon_sym_COLON_COLON] = ACTIONS(3289),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3289),
    [anon_sym___declspec] = ACTIONS(3287),
    [anon_sym___based] = ACTIONS(3287),
    [anon_sym_signed] = ACTIONS(3287),
    [anon_sym_unsigned] = ACTIONS(3287),
    [anon_sym_long] = ACTIONS(3287),
    [anon_sym_short] = ACTIONS(3287),
    [anon_sym_LBRACK] = ACTIONS(3287),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_register] = ACTIONS(3287),
    [anon_sym_inline] = ACTIONS(3287),
    [anon_sym___inline] = ACTIONS(3287),
    [anon_sym___inline__] = ACTIONS(3287),
    [anon_sym___forceinline] = ACTIONS(3287),
    [anon_sym_thread_local] = ACTIONS(3287),
    [anon_sym___thread] = ACTIONS(3287),
    [anon_sym_const] = ACTIONS(3287),
    [anon_sym_constexpr] = ACTIONS(3287),
    [anon_sym_volatile] = ACTIONS(3287),
    [anon_sym_restrict] = ACTIONS(3287),
    [anon_sym___restrict__] = ACTIONS(3287),
    [anon_sym__Atomic] = ACTIONS(3287),
    [anon_sym__Noreturn] = ACTIONS(3287),
    [anon_sym_noreturn] = ACTIONS(3287),
    [anon_sym_mutable] = ACTIONS(3287),
    [anon_sym_constinit] = ACTIONS(3287),
    [anon_sym_consteval] = ACTIONS(3287),
    [sym_primitive_type] = ACTIONS(3287),
    [anon_sym_enum] = ACTIONS(3287),
    [anon_sym_class] = ACTIONS(3287),
    [anon_sym_struct] = ACTIONS(3287),
    [anon_sym_union] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3287),
    [anon_sym_decltype] = ACTIONS(3287),
    [anon_sym_virtual] = ACTIONS(3287),
    [anon_sym_alignas] = ACTIONS(3287),
    [anon_sym_explicit] = ACTIONS(3287),
    [anon_sym_typename] = ACTIONS(3287),
    [anon_sym_template] = ACTIONS(3287),
    [anon_sym_operator] = ACTIONS(3287),
    [anon_sym_friend] = ACTIONS(3287),
    [anon_sym_public] = ACTIONS(3287),
    [anon_sym_private] = ACTIONS(3287),
    [anon_sym_protected] = ACTIONS(3287),
    [anon_sym_using] = ACTIONS(3287),
    [anon_sym_static_assert] = ACTIONS(3287),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(3291),
    [aux_sym_preproc_def_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token1] = ACTIONS(3291),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3291),
    [aux_sym_preproc_else_token1] = ACTIONS(3291),
    [aux_sym_preproc_elif_token1] = ACTIONS(3291),
    [sym_preproc_directive] = ACTIONS(3291),
    [anon_sym_LPAREN2] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3291),
    [anon_sym___extension__] = ACTIONS(3291),
    [anon_sym_typedef] = ACTIONS(3291),
    [anon_sym_extern] = ACTIONS(3291),
    [anon_sym___attribute__] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3293),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3293),
    [anon_sym___declspec] = ACTIONS(3291),
    [anon_sym___based] = ACTIONS(3291),
    [anon_sym_signed] = ACTIONS(3291),
    [anon_sym_unsigned] = ACTIONS(3291),
    [anon_sym_long] = ACTIONS(3291),
    [anon_sym_short] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_static] = ACTIONS(3291),
    [anon_sym_register] = ACTIONS(3291),
    [anon_sym_inline] = ACTIONS(3291),
    [anon_sym___inline] = ACTIONS(3291),
    [anon_sym___inline__] = ACTIONS(3291),
    [anon_sym___forceinline] = ACTIONS(3291),
    [anon_sym_thread_local] = ACTIONS(3291),
    [anon_sym___thread] = ACTIONS(3291),
    [anon_sym_const] = ACTIONS(3291),
    [anon_sym_constexpr] = ACTIONS(3291),
    [anon_sym_volatile] = ACTIONS(3291),
    [anon_sym_restrict] = ACTIONS(3291),
    [anon_sym___restrict__] = ACTIONS(3291),
    [anon_sym__Atomic] = ACTIONS(3291),
    [anon_sym__Noreturn] = ACTIONS(3291),
    [anon_sym_noreturn] = ACTIONS(3291),
    [anon_sym_mutable] = ACTIONS(3291),
    [anon_sym_constinit] = ACTIONS(3291),
    [anon_sym_consteval] = ACTIONS(3291),
    [sym_primitive_type] = ACTIONS(3291),
    [anon_sym_enum] = ACTIONS(3291),
    [anon_sym_class] = ACTIONS(3291),
    [anon_sym_struct] = ACTIONS(3291),
    [anon_sym_union] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3291),
    [anon_sym_decltype] = ACTIONS(3291),
    [anon_sym_virtual] = ACTIONS(3291),
    [anon_sym_alignas] = ACTIONS(3291),
    [anon_sym_explicit] = ACTIONS(3291),
    [anon_sym_typename] = ACTIONS(3291),
    [anon_sym_template] = ACTIONS(3291),
    [anon_sym_operator] = ACTIONS(3291),
    [anon_sym_friend] = ACTIONS(3291),
    [anon_sym_public] = ACTIONS(3291),
    [anon_sym_private] = ACTIONS(3291),
    [anon_sym_protected] = ACTIONS(3291),
    [anon_sym_using] = ACTIONS(3291),
    [anon_sym_static_assert] = ACTIONS(3291),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2376] = {
    [sym_identifier] = ACTIONS(3279),
    [aux_sym_preproc_def_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token1] = ACTIONS(3279),
    [aux_sym_preproc_if_token2] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3279),
    [aux_sym_preproc_else_token1] = ACTIONS(3279),
    [aux_sym_preproc_elif_token1] = ACTIONS(3279),
    [sym_preproc_directive] = ACTIONS(3279),
    [anon_sym_LPAREN2] = ACTIONS(3281),
    [anon_sym_TILDE] = ACTIONS(3281),
    [anon_sym_STAR] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3281),
    [anon_sym_AMP] = ACTIONS(3279),
    [anon_sym___extension__] = ACTIONS(3279),
    [anon_sym_typedef] = ACTIONS(3279),
    [anon_sym_extern] = ACTIONS(3279),
    [anon_sym___attribute__] = ACTIONS(3279),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3281),
    [anon_sym___declspec] = ACTIONS(3279),
    [anon_sym___based] = ACTIONS(3279),
    [anon_sym_signed] = ACTIONS(3279),
    [anon_sym_unsigned] = ACTIONS(3279),
    [anon_sym_long] = ACTIONS(3279),
    [anon_sym_short] = ACTIONS(3279),
    [anon_sym_LBRACK] = ACTIONS(3279),
    [anon_sym_static] = ACTIONS(3279),
    [anon_sym_register] = ACTIONS(3279),
    [anon_sym_inline] = ACTIONS(3279),
    [anon_sym___inline] = ACTIONS(3279),
    [anon_sym___inline__] = ACTIONS(3279),
    [anon_sym___forceinline] = ACTIONS(3279),
    [anon_sym_thread_local] = ACTIONS(3279),
    [anon_sym___thread] = ACTIONS(3279),
    [anon_sym_const] = ACTIONS(3279),
    [anon_sym_constexpr] = ACTIONS(3279),
    [anon_sym_volatile] = ACTIONS(3279),
    [anon_sym_restrict] = ACTIONS(3279),
    [anon_sym___restrict__] = ACTIONS(3279),
    [anon_sym__Atomic] = ACTIONS(3279),
    [anon_sym__Noreturn] = ACTIONS(3279),
    [anon_sym_noreturn] = ACTIONS(3279),
    [anon_sym_mutable] = ACTIONS(3279),
    [anon_sym_constinit] = ACTIONS(3279),
    [anon_sym_consteval] = ACTIONS(3279),
    [sym_primitive_type] = ACTIONS(3279),
    [anon_sym_enum] = ACTIONS(3279),
    [anon_sym_class] = ACTIONS(3279),
    [anon_sym_struct] = ACTIONS(3279),
    [anon_sym_union] = ACTIONS(3279),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3279),
    [anon_sym_decltype] = ACTIONS(3279),
    [anon_sym_virtual] = ACTIONS(3279),
    [anon_sym_alignas] = ACTIONS(3279),
    [anon_sym_explicit] = ACTIONS(3279),
    [anon_sym_typename] = ACTIONS(3279),
    [anon_sym_template] = ACTIONS(3279),
    [anon_sym_operator] = ACTIONS(3279),
    [anon_sym_friend] = ACTIONS(3279),
    [anon_sym_public] = ACTIONS(3279),
    [anon_sym_private] = ACTIONS(3279),
    [anon_sym_protected] = ACTIONS(3279),
    [anon_sym_using] = ACTIONS(3279),
    [anon_sym_static_assert] = ACTIONS(3279),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(3295),
    [aux_sym_preproc_def_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token1] = ACTIONS(3295),
    [aux_sym_preproc_if_token2] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3295),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3295),
    [aux_sym_preproc_else_token1] = ACTIONS(3295),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3295),
    [anon_sym_LPAREN2] = ACTIONS(3297),
    [anon_sym_TILDE] = ACTIONS(3297),
    [anon_sym_STAR] = ACTIONS(3297),
    [anon_sym_AMP_AMP] = ACTIONS(3297),
    [anon_sym_AMP] = ACTIONS(3295),
    [anon_sym___extension__] = ACTIONS(3295),
    [anon_sym_typedef] = ACTIONS(3295),
    [anon_sym_extern] = ACTIONS(3295),
    [anon_sym___attribute__] = ACTIONS(3295),
    [anon_sym_COLON_COLON] = ACTIONS(3297),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3297),
    [anon_sym___declspec] = ACTIONS(3295),
    [anon_sym___based] = ACTIONS(3295),
    [anon_sym_signed] = ACTIONS(3295),
    [anon_sym_unsigned] = ACTIONS(3295),
    [anon_sym_long] = ACTIONS(3295),
    [anon_sym_short] = ACTIONS(3295),
    [anon_sym_LBRACK] = ACTIONS(3295),
    [anon_sym_static] = ACTIONS(3295),
    [anon_sym_register] = ACTIONS(3295),
    [anon_sym_inline] = ACTIONS(3295),
    [anon_sym___inline] = ACTIONS(3295),
    [anon_sym___inline__] = ACTIONS(3295),
    [anon_sym___forceinline] = ACTIONS(3295),
    [anon_sym_thread_local] = ACTIONS(3295),
    [anon_sym___thread] = ACTIONS(3295),
    [anon_sym_const] = ACTIONS(3295),
    [anon_sym_constexpr] = ACTIONS(3295),
    [anon_sym_volatile] = ACTIONS(3295),
    [anon_sym_restrict] = ACTIONS(3295),
    [anon_sym___restrict__] = ACTIONS(3295),
    [anon_sym__Atomic] = ACTIONS(3295),
    [anon_sym__Noreturn] = ACTIONS(3295),
    [anon_sym_noreturn] = ACTIONS(3295),
    [anon_sym_mutable] = ACTIONS(3295),
    [anon_sym_constinit] = ACTIONS(3295),
    [anon_sym_consteval] = ACTIONS(3295),
    [sym_primitive_type] = ACTIONS(3295),
    [anon_sym_enum] = ACTIONS(3295),
    [anon_sym_class] = ACTIONS(3295),
    [anon_sym_struct] = ACTIONS(3295),
    [anon_sym_union] = ACTIONS(3295),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3295),
    [anon_sym_decltype] = ACTIONS(3295),
    [anon_sym_virtual] = ACTIONS(3295),
    [anon_sym_alignas] = ACTIONS(3295),
    [anon_sym_explicit] = ACTIONS(3295),
    [anon_sym_typename] = ACTIONS(3295),
    [anon_sym_template] = ACTIONS(3295),
    [anon_sym_operator] = ACTIONS(3295),
    [anon_sym_friend] = ACTIONS(3295),
    [anon_sym_public] = ACTIONS(3295),
    [anon_sym_private] = ACTIONS(3295),
    [anon_sym_protected] = ACTIONS(3295),
    [anon_sym_using] = ACTIONS(3295),
    [anon_sym_static_assert] = ACTIONS(3295),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_friend] = ACTIONS(3217),
    [anon_sym_public] = ACTIONS(3217),
    [anon_sym_private] = ACTIONS(3217),
    [anon_sym_protected] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(3207),
    [aux_sym_preproc_def_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token1] = ACTIONS(3207),
    [aux_sym_preproc_if_token2] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3207),
    [aux_sym_preproc_elif_token1] = ACTIONS(3207),
    [sym_preproc_directive] = ACTIONS(3207),
    [anon_sym_LPAREN2] = ACTIONS(3209),
    [anon_sym_TILDE] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3209),
    [anon_sym_AMP_AMP] = ACTIONS(3209),
    [anon_sym_AMP] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3207),
    [anon_sym_typedef] = ACTIONS(3207),
    [anon_sym_extern] = ACTIONS(3207),
    [anon_sym___attribute__] = ACTIONS(3207),
    [anon_sym_COLON_COLON] = ACTIONS(3209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3209),
    [anon_sym___declspec] = ACTIONS(3207),
    [anon_sym___based] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3207),
    [anon_sym_unsigned] = ACTIONS(3207),
    [anon_sym_long] = ACTIONS(3207),
    [anon_sym_short] = ACTIONS(3207),
    [anon_sym_LBRACK] = ACTIONS(3207),
    [anon_sym_static] = ACTIONS(3207),
    [anon_sym_register] = ACTIONS(3207),
    [anon_sym_inline] = ACTIONS(3207),
    [anon_sym___inline] = ACTIONS(3207),
    [anon_sym___inline__] = ACTIONS(3207),
    [anon_sym___forceinline] = ACTIONS(3207),
    [anon_sym_thread_local] = ACTIONS(3207),
    [anon_sym___thread] = ACTIONS(3207),
    [anon_sym_const] = ACTIONS(3207),
    [anon_sym_constexpr] = ACTIONS(3207),
    [anon_sym_volatile] = ACTIONS(3207),
    [anon_sym_restrict] = ACTIONS(3207),
    [anon_sym___restrict__] = ACTIONS(3207),
    [anon_sym__Atomic] = ACTIONS(3207),
    [anon_sym__Noreturn] = ACTIONS(3207),
    [anon_sym_noreturn] = ACTIONS(3207),
    [anon_sym_mutable] = ACTIONS(3207),
    [anon_sym_constinit] = ACTIONS(3207),
    [anon_sym_consteval] = ACTIONS(3207),
    [sym_primitive_type] = ACTIONS(3207),
    [anon_sym_enum] = ACTIONS(3207),
    [anon_sym_class] = ACTIONS(3207),
    [anon_sym_struct] = ACTIONS(3207),
    [anon_sym_union] = ACTIONS(3207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3207),
    [anon_sym_decltype] = ACTIONS(3207),
    [anon_sym_virtual] = ACTIONS(3207),
    [anon_sym_alignas] = ACTIONS(3207),
    [anon_sym_explicit] = ACTIONS(3207),
    [anon_sym_typename] = ACTIONS(3207),
    [anon_sym_template] = ACTIONS(3207),
    [anon_sym_operator] = ACTIONS(3207),
    [anon_sym_friend] = ACTIONS(3207),
    [anon_sym_public] = ACTIONS(3207),
    [anon_sym_private] = ACTIONS(3207),
    [anon_sym_protected] = ACTIONS(3207),
    [anon_sym_using] = ACTIONS(3207),
    [anon_sym_static_assert] = ACTIONS(3207),
  },
  [2380] = {
    [sym__declaration_modifiers] = STATE(4238),
    [sym_attribute_specifier] = STATE(4238),
    [sym_attribute_declaration] = STATE(4238),
    [sym_ms_declspec_modifier] = STATE(4238),
    [sym_storage_class_specifier] = STATE(4238),
    [sym_type_qualifier] = STATE(4238),
    [sym__type_specifier] = STATE(2899),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4238),
    [sym_alignas_specifier] = STATE(4238),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7340),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4238),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5143),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_class] = ACTIONS(2014),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2042),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(3275),
    [aux_sym_preproc_def_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token1] = ACTIONS(3275),
    [aux_sym_preproc_if_token2] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3275),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3275),
    [aux_sym_preproc_else_token1] = ACTIONS(3275),
    [aux_sym_preproc_elif_token1] = ACTIONS(3275),
    [sym_preproc_directive] = ACTIONS(3275),
    [anon_sym_LPAREN2] = ACTIONS(3277),
    [anon_sym_TILDE] = ACTIONS(3277),
    [anon_sym_STAR] = ACTIONS(3277),
    [anon_sym_AMP_AMP] = ACTIONS(3277),
    [anon_sym_AMP] = ACTIONS(3275),
    [anon_sym___extension__] = ACTIONS(3275),
    [anon_sym_typedef] = ACTIONS(3275),
    [anon_sym_extern] = ACTIONS(3275),
    [anon_sym___attribute__] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(3277),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3277),
    [anon_sym___declspec] = ACTIONS(3275),
    [anon_sym___based] = ACTIONS(3275),
    [anon_sym_signed] = ACTIONS(3275),
    [anon_sym_unsigned] = ACTIONS(3275),
    [anon_sym_long] = ACTIONS(3275),
    [anon_sym_short] = ACTIONS(3275),
    [anon_sym_LBRACK] = ACTIONS(3275),
    [anon_sym_static] = ACTIONS(3275),
    [anon_sym_register] = ACTIONS(3275),
    [anon_sym_inline] = ACTIONS(3275),
    [anon_sym___inline] = ACTIONS(3275),
    [anon_sym___inline__] = ACTIONS(3275),
    [anon_sym___forceinline] = ACTIONS(3275),
    [anon_sym_thread_local] = ACTIONS(3275),
    [anon_sym___thread] = ACTIONS(3275),
    [anon_sym_const] = ACTIONS(3275),
    [anon_sym_constexpr] = ACTIONS(3275),
    [anon_sym_volatile] = ACTIONS(3275),
    [anon_sym_restrict] = ACTIONS(3275),
    [anon_sym___restrict__] = ACTIONS(3275),
    [anon_sym__Atomic] = ACTIONS(3275),
    [anon_sym__Noreturn] = ACTIONS(3275),
    [anon_sym_noreturn] = ACTIONS(3275),
    [anon_sym_mutable] = ACTIONS(3275),
    [anon_sym_constinit] = ACTIONS(3275),
    [anon_sym_consteval] = ACTIONS(3275),
    [sym_primitive_type] = ACTIONS(3275),
    [anon_sym_enum] = ACTIONS(3275),
    [anon_sym_class] = ACTIONS(3275),
    [anon_sym_struct] = ACTIONS(3275),
    [anon_sym_union] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3275),
    [anon_sym_decltype] = ACTIONS(3275),
    [anon_sym_virtual] = ACTIONS(3275),
    [anon_sym_alignas] = ACTIONS(3275),
    [anon_sym_explicit] = ACTIONS(3275),
    [anon_sym_typename] = ACTIONS(3275),
    [anon_sym_template] = ACTIONS(3275),
    [anon_sym_operator] = ACTIONS(3275),
    [anon_sym_friend] = ACTIONS(3275),
    [anon_sym_public] = ACTIONS(3275),
    [anon_sym_private] = ACTIONS(3275),
    [anon_sym_protected] = ACTIONS(3275),
    [anon_sym_using] = ACTIONS(3275),
    [anon_sym_static_assert] = ACTIONS(3275),
  },
  [2382] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_friend] = ACTIONS(2893),
    [anon_sym_public] = ACTIONS(2893),
    [anon_sym_private] = ACTIONS(2893),
    [anon_sym_protected] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2386] = {
    [sym_attribute_declaration] = STATE(2517),
    [sym_parameter_list] = STATE(2563),
    [aux_sym_attributed_declarator_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(5924),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5926),
    [anon_sym_RPAREN] = ACTIONS(5926),
    [aux_sym_preproc_if_token2] = ACTIONS(5926),
    [aux_sym_preproc_else_token1] = ACTIONS(5926),
    [aux_sym_preproc_elif_token1] = ACTIONS(5924),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5926),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5926),
    [anon_sym_LPAREN2] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(5924),
    [anon_sym_PLUS] = ACTIONS(5924),
    [anon_sym_STAR] = ACTIONS(5924),
    [anon_sym_SLASH] = ACTIONS(5924),
    [anon_sym_PERCENT] = ACTIONS(5924),
    [anon_sym_PIPE_PIPE] = ACTIONS(5926),
    [anon_sym_AMP_AMP] = ACTIONS(5926),
    [anon_sym_PIPE] = ACTIONS(5924),
    [anon_sym_CARET] = ACTIONS(5924),
    [anon_sym_AMP] = ACTIONS(5924),
    [anon_sym_EQ_EQ] = ACTIONS(5926),
    [anon_sym_BANG_EQ] = ACTIONS(5926),
    [anon_sym_GT] = ACTIONS(5924),
    [anon_sym_GT_EQ] = ACTIONS(5926),
    [anon_sym_LT_EQ] = ACTIONS(5924),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_LT_LT] = ACTIONS(5924),
    [anon_sym_GT_GT] = ACTIONS(5924),
    [anon_sym_SEMI] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5924),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5926),
    [anon_sym_EQ] = ACTIONS(5924),
    [anon_sym_COLON] = ACTIONS(5926),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_STAR_EQ] = ACTIONS(5926),
    [anon_sym_SLASH_EQ] = ACTIONS(5926),
    [anon_sym_PERCENT_EQ] = ACTIONS(5926),
    [anon_sym_PLUS_EQ] = ACTIONS(5926),
    [anon_sym_DASH_EQ] = ACTIONS(5926),
    [anon_sym_LT_LT_EQ] = ACTIONS(5926),
    [anon_sym_GT_GT_EQ] = ACTIONS(5926),
    [anon_sym_AMP_EQ] = ACTIONS(5926),
    [anon_sym_CARET_EQ] = ACTIONS(5926),
    [anon_sym_PIPE_EQ] = ACTIONS(5926),
    [anon_sym_and_eq] = ACTIONS(5924),
    [anon_sym_or_eq] = ACTIONS(5924),
    [anon_sym_xor_eq] = ACTIONS(5924),
    [anon_sym_LT_EQ_GT] = ACTIONS(5926),
    [anon_sym_or] = ACTIONS(5924),
    [anon_sym_and] = ACTIONS(5924),
    [anon_sym_bitor] = ACTIONS(5924),
    [anon_sym_xor] = ACTIONS(5924),
    [anon_sym_bitand] = ACTIONS(5924),
    [anon_sym_not_eq] = ACTIONS(5924),
    [anon_sym_DASH_DASH] = ACTIONS(5926),
    [anon_sym_PLUS_PLUS] = ACTIONS(5926),
    [anon_sym_DOT] = ACTIONS(5924),
    [anon_sym_DOT_STAR] = ACTIONS(5926),
    [anon_sym_DASH_GT] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
  },
  [2387] = {
    [sym__declaration_modifiers] = STATE(4238),
    [sym_attribute_specifier] = STATE(4238),
    [sym_attribute_declaration] = STATE(4238),
    [sym_ms_declspec_modifier] = STATE(4238),
    [sym_storage_class_specifier] = STATE(4238),
    [sym_type_qualifier] = STATE(4238),
    [sym__type_specifier] = STATE(4810),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4238),
    [sym_alignas_specifier] = STATE(4238),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7363),
    [sym_qualified_type_identifier] = STATE(3622),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4238),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3951),
    [sym_identifier] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(4025),
    [anon_sym_unsigned] = ACTIONS(4025),
    [anon_sym_long] = ACTIONS(4025),
    [anon_sym_short] = ACTIONS(4025),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(4027),
    [anon_sym_enum] = ACTIONS(4029),
    [anon_sym_class] = ACTIONS(4031),
    [anon_sym_struct] = ACTIONS(4033),
    [anon_sym_union] = ACTIONS(4035),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(4037),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2388] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [anon_sym_RPAREN] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_SEMI] = ACTIONS(5378),
    [anon_sym_RBRACE] = ACTIONS(5378),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_RBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_COLON] = ACTIONS(5378),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [anon_sym_L_DQUOTE] = ACTIONS(5378),
    [anon_sym_u_DQUOTE] = ACTIONS(5378),
    [anon_sym_U_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8_DQUOTE] = ACTIONS(5378),
    [anon_sym_DQUOTE] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5378),
    [anon_sym_LR_DQUOTE] = ACTIONS(5378),
    [anon_sym_uR_DQUOTE] = ACTIONS(5378),
    [anon_sym_UR_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5378),
    [sym_literal_suffix] = ACTIONS(5376),
  },
  [2389] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5793),
    [anon_sym_SLASH_EQ] = ACTIONS(5793),
    [anon_sym_PERCENT_EQ] = ACTIONS(5793),
    [anon_sym_PLUS_EQ] = ACTIONS(5793),
    [anon_sym_DASH_EQ] = ACTIONS(5793),
    [anon_sym_LT_LT_EQ] = ACTIONS(5793),
    [anon_sym_GT_GT_EQ] = ACTIONS(5793),
    [anon_sym_AMP_EQ] = ACTIONS(5793),
    [anon_sym_CARET_EQ] = ACTIONS(5793),
    [anon_sym_PIPE_EQ] = ACTIONS(5793),
    [anon_sym_and_eq] = ACTIONS(5793),
    [anon_sym_or_eq] = ACTIONS(5793),
    [anon_sym_xor_eq] = ACTIONS(5793),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2390] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [2391] = {
    [sym_string_literal] = STATE(3042),
    [sym_template_argument_list] = STATE(4342),
    [sym_raw_string_literal] = STATE(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5936),
    [anon_sym_SLASH_EQ] = ACTIONS(5936),
    [anon_sym_PERCENT_EQ] = ACTIONS(5936),
    [anon_sym_PLUS_EQ] = ACTIONS(5936),
    [anon_sym_DASH_EQ] = ACTIONS(5936),
    [anon_sym_LT_LT_EQ] = ACTIONS(5936),
    [anon_sym_GT_GT_EQ] = ACTIONS(5936),
    [anon_sym_AMP_EQ] = ACTIONS(5936),
    [anon_sym_CARET_EQ] = ACTIONS(5936),
    [anon_sym_PIPE_EQ] = ACTIONS(5936),
    [anon_sym_and_eq] = ACTIONS(5936),
    [anon_sym_or_eq] = ACTIONS(5936),
    [anon_sym_xor_eq] = ACTIONS(5936),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(3711),
    [anon_sym_u_DQUOTE] = ACTIONS(3711),
    [anon_sym_U_DQUOTE] = ACTIONS(3711),
    [anon_sym_u8_DQUOTE] = ACTIONS(3711),
    [anon_sym_DQUOTE] = ACTIONS(3711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3715),
    [anon_sym_LR_DQUOTE] = ACTIONS(3715),
    [anon_sym_uR_DQUOTE] = ACTIONS(3715),
    [anon_sym_UR_DQUOTE] = ACTIONS(3715),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3715),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(3158),
    [aux_sym_preproc_def_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token1] = ACTIONS(3158),
    [aux_sym_preproc_if_token2] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3158),
    [aux_sym_preproc_else_token1] = ACTIONS(3158),
    [aux_sym_preproc_elif_token1] = ACTIONS(3158),
    [sym_preproc_directive] = ACTIONS(3158),
    [anon_sym_LPAREN2] = ACTIONS(3160),
    [anon_sym_TILDE] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3160),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3158),
    [anon_sym_typedef] = ACTIONS(3158),
    [anon_sym_extern] = ACTIONS(3158),
    [anon_sym___attribute__] = ACTIONS(3158),
    [anon_sym_COLON_COLON] = ACTIONS(3160),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3160),
    [anon_sym___declspec] = ACTIONS(3158),
    [anon_sym___based] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3158),
    [anon_sym_unsigned] = ACTIONS(3158),
    [anon_sym_long] = ACTIONS(3158),
    [anon_sym_short] = ACTIONS(3158),
    [anon_sym_LBRACK] = ACTIONS(3158),
    [anon_sym_static] = ACTIONS(3158),
    [anon_sym_register] = ACTIONS(3158),
    [anon_sym_inline] = ACTIONS(3158),
    [anon_sym___inline] = ACTIONS(3158),
    [anon_sym___inline__] = ACTIONS(3158),
    [anon_sym___forceinline] = ACTIONS(3158),
    [anon_sym_thread_local] = ACTIONS(3158),
    [anon_sym___thread] = ACTIONS(3158),
    [anon_sym_const] = ACTIONS(3158),
    [anon_sym_constexpr] = ACTIONS(3158),
    [anon_sym_volatile] = ACTIONS(3158),
    [anon_sym_restrict] = ACTIONS(3158),
    [anon_sym___restrict__] = ACTIONS(3158),
    [anon_sym__Atomic] = ACTIONS(3158),
    [anon_sym__Noreturn] = ACTIONS(3158),
    [anon_sym_noreturn] = ACTIONS(3158),
    [anon_sym_mutable] = ACTIONS(3158),
    [anon_sym_constinit] = ACTIONS(3158),
    [anon_sym_consteval] = ACTIONS(3158),
    [sym_primitive_type] = ACTIONS(3158),
    [anon_sym_enum] = ACTIONS(3158),
    [anon_sym_class] = ACTIONS(3158),
    [anon_sym_struct] = ACTIONS(3158),
    [anon_sym_union] = ACTIONS(3158),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3158),
    [anon_sym_decltype] = ACTIONS(3158),
    [anon_sym_virtual] = ACTIONS(3158),
    [anon_sym_alignas] = ACTIONS(3158),
    [anon_sym_explicit] = ACTIONS(3158),
    [anon_sym_typename] = ACTIONS(3158),
    [anon_sym_template] = ACTIONS(3158),
    [anon_sym_operator] = ACTIONS(3158),
    [anon_sym_friend] = ACTIONS(3158),
    [anon_sym_public] = ACTIONS(3158),
    [anon_sym_private] = ACTIONS(3158),
    [anon_sym_protected] = ACTIONS(3158),
    [anon_sym_using] = ACTIONS(3158),
    [anon_sym_static_assert] = ACTIONS(3158),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(3185),
    [aux_sym_preproc_def_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token1] = ACTIONS(3185),
    [aux_sym_preproc_if_token2] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3185),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3185),
    [aux_sym_preproc_else_token1] = ACTIONS(3185),
    [aux_sym_preproc_elif_token1] = ACTIONS(3185),
    [sym_preproc_directive] = ACTIONS(3185),
    [anon_sym_LPAREN2] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(3187),
    [anon_sym_STAR] = ACTIONS(3187),
    [anon_sym_AMP_AMP] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(3185),
    [anon_sym___extension__] = ACTIONS(3185),
    [anon_sym_typedef] = ACTIONS(3185),
    [anon_sym_extern] = ACTIONS(3185),
    [anon_sym___attribute__] = ACTIONS(3185),
    [anon_sym_COLON_COLON] = ACTIONS(3187),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3187),
    [anon_sym___declspec] = ACTIONS(3185),
    [anon_sym___based] = ACTIONS(3185),
    [anon_sym_signed] = ACTIONS(3185),
    [anon_sym_unsigned] = ACTIONS(3185),
    [anon_sym_long] = ACTIONS(3185),
    [anon_sym_short] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(3185),
    [anon_sym_static] = ACTIONS(3185),
    [anon_sym_register] = ACTIONS(3185),
    [anon_sym_inline] = ACTIONS(3185),
    [anon_sym___inline] = ACTIONS(3185),
    [anon_sym___inline__] = ACTIONS(3185),
    [anon_sym___forceinline] = ACTIONS(3185),
    [anon_sym_thread_local] = ACTIONS(3185),
    [anon_sym___thread] = ACTIONS(3185),
    [anon_sym_const] = ACTIONS(3185),
    [anon_sym_constexpr] = ACTIONS(3185),
    [anon_sym_volatile] = ACTIONS(3185),
    [anon_sym_restrict] = ACTIONS(3185),
    [anon_sym___restrict__] = ACTIONS(3185),
    [anon_sym__Atomic] = ACTIONS(3185),
    [anon_sym__Noreturn] = ACTIONS(3185),
    [anon_sym_noreturn] = ACTIONS(3185),
    [anon_sym_mutable] = ACTIONS(3185),
    [anon_sym_constinit] = ACTIONS(3185),
    [anon_sym_consteval] = ACTIONS(3185),
    [sym_primitive_type] = ACTIONS(3185),
    [anon_sym_enum] = ACTIONS(3185),
    [anon_sym_class] = ACTIONS(3185),
    [anon_sym_struct] = ACTIONS(3185),
    [anon_sym_union] = ACTIONS(3185),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3185),
    [anon_sym_decltype] = ACTIONS(3185),
    [anon_sym_virtual] = ACTIONS(3185),
    [anon_sym_alignas] = ACTIONS(3185),
    [anon_sym_explicit] = ACTIONS(3185),
    [anon_sym_typename] = ACTIONS(3185),
    [anon_sym_template] = ACTIONS(3185),
    [anon_sym_operator] = ACTIONS(3185),
    [anon_sym_friend] = ACTIONS(3185),
    [anon_sym_public] = ACTIONS(3185),
    [anon_sym_private] = ACTIONS(3185),
    [anon_sym_protected] = ACTIONS(3185),
    [anon_sym_using] = ACTIONS(3185),
    [anon_sym_static_assert] = ACTIONS(3185),
  },
  [2395] = {
    [sym__declaration_modifiers] = STATE(4238),
    [sym_attribute_specifier] = STATE(4238),
    [sym_attribute_declaration] = STATE(4238),
    [sym_ms_declspec_modifier] = STATE(4238),
    [sym_storage_class_specifier] = STATE(4238),
    [sym_type_qualifier] = STATE(4238),
    [sym__type_specifier] = STATE(2899),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4238),
    [sym_alignas_specifier] = STATE(4238),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4238),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(3150),
    [aux_sym_preproc_def_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token1] = ACTIONS(3150),
    [aux_sym_preproc_if_token2] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3150),
    [aux_sym_preproc_else_token1] = ACTIONS(3150),
    [aux_sym_preproc_elif_token1] = ACTIONS(3150),
    [sym_preproc_directive] = ACTIONS(3150),
    [anon_sym_LPAREN2] = ACTIONS(3152),
    [anon_sym_TILDE] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3150),
    [anon_sym_typedef] = ACTIONS(3150),
    [anon_sym_extern] = ACTIONS(3150),
    [anon_sym___attribute__] = ACTIONS(3150),
    [anon_sym_COLON_COLON] = ACTIONS(3152),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3152),
    [anon_sym___declspec] = ACTIONS(3150),
    [anon_sym___based] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3150),
    [anon_sym_unsigned] = ACTIONS(3150),
    [anon_sym_long] = ACTIONS(3150),
    [anon_sym_short] = ACTIONS(3150),
    [anon_sym_LBRACK] = ACTIONS(3150),
    [anon_sym_static] = ACTIONS(3150),
    [anon_sym_register] = ACTIONS(3150),
    [anon_sym_inline] = ACTIONS(3150),
    [anon_sym___inline] = ACTIONS(3150),
    [anon_sym___inline__] = ACTIONS(3150),
    [anon_sym___forceinline] = ACTIONS(3150),
    [anon_sym_thread_local] = ACTIONS(3150),
    [anon_sym___thread] = ACTIONS(3150),
    [anon_sym_const] = ACTIONS(3150),
    [anon_sym_constexpr] = ACTIONS(3150),
    [anon_sym_volatile] = ACTIONS(3150),
    [anon_sym_restrict] = ACTIONS(3150),
    [anon_sym___restrict__] = ACTIONS(3150),
    [anon_sym__Atomic] = ACTIONS(3150),
    [anon_sym__Noreturn] = ACTIONS(3150),
    [anon_sym_noreturn] = ACTIONS(3150),
    [anon_sym_mutable] = ACTIONS(3150),
    [anon_sym_constinit] = ACTIONS(3150),
    [anon_sym_consteval] = ACTIONS(3150),
    [sym_primitive_type] = ACTIONS(3150),
    [anon_sym_enum] = ACTIONS(3150),
    [anon_sym_class] = ACTIONS(3150),
    [anon_sym_struct] = ACTIONS(3150),
    [anon_sym_union] = ACTIONS(3150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3150),
    [anon_sym_decltype] = ACTIONS(3150),
    [anon_sym_virtual] = ACTIONS(3150),
    [anon_sym_alignas] = ACTIONS(3150),
    [anon_sym_explicit] = ACTIONS(3150),
    [anon_sym_typename] = ACTIONS(3150),
    [anon_sym_template] = ACTIONS(3150),
    [anon_sym_operator] = ACTIONS(3150),
    [anon_sym_friend] = ACTIONS(3150),
    [anon_sym_public] = ACTIONS(3150),
    [anon_sym_private] = ACTIONS(3150),
    [anon_sym_protected] = ACTIONS(3150),
    [anon_sym_using] = ACTIONS(3150),
    [anon_sym_static_assert] = ACTIONS(3150),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(3233),
    [aux_sym_preproc_def_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token1] = ACTIONS(3233),
    [aux_sym_preproc_if_token2] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3233),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3233),
    [aux_sym_preproc_else_token1] = ACTIONS(3233),
    [aux_sym_preproc_elif_token1] = ACTIONS(3233),
    [sym_preproc_directive] = ACTIONS(3233),
    [anon_sym_LPAREN2] = ACTIONS(3235),
    [anon_sym_TILDE] = ACTIONS(3235),
    [anon_sym_STAR] = ACTIONS(3235),
    [anon_sym_AMP_AMP] = ACTIONS(3235),
    [anon_sym_AMP] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3233),
    [anon_sym_typedef] = ACTIONS(3233),
    [anon_sym_extern] = ACTIONS(3233),
    [anon_sym___attribute__] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3235),
    [anon_sym___declspec] = ACTIONS(3233),
    [anon_sym___based] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3233),
    [anon_sym_unsigned] = ACTIONS(3233),
    [anon_sym_long] = ACTIONS(3233),
    [anon_sym_short] = ACTIONS(3233),
    [anon_sym_LBRACK] = ACTIONS(3233),
    [anon_sym_static] = ACTIONS(3233),
    [anon_sym_register] = ACTIONS(3233),
    [anon_sym_inline] = ACTIONS(3233),
    [anon_sym___inline] = ACTIONS(3233),
    [anon_sym___inline__] = ACTIONS(3233),
    [anon_sym___forceinline] = ACTIONS(3233),
    [anon_sym_thread_local] = ACTIONS(3233),
    [anon_sym___thread] = ACTIONS(3233),
    [anon_sym_const] = ACTIONS(3233),
    [anon_sym_constexpr] = ACTIONS(3233),
    [anon_sym_volatile] = ACTIONS(3233),
    [anon_sym_restrict] = ACTIONS(3233),
    [anon_sym___restrict__] = ACTIONS(3233),
    [anon_sym__Atomic] = ACTIONS(3233),
    [anon_sym__Noreturn] = ACTIONS(3233),
    [anon_sym_noreturn] = ACTIONS(3233),
    [anon_sym_mutable] = ACTIONS(3233),
    [anon_sym_constinit] = ACTIONS(3233),
    [anon_sym_consteval] = ACTIONS(3233),
    [sym_primitive_type] = ACTIONS(3233),
    [anon_sym_enum] = ACTIONS(3233),
    [anon_sym_class] = ACTIONS(3233),
    [anon_sym_struct] = ACTIONS(3233),
    [anon_sym_union] = ACTIONS(3233),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3233),
    [anon_sym_decltype] = ACTIONS(3233),
    [anon_sym_virtual] = ACTIONS(3233),
    [anon_sym_alignas] = ACTIONS(3233),
    [anon_sym_explicit] = ACTIONS(3233),
    [anon_sym_typename] = ACTIONS(3233),
    [anon_sym_template] = ACTIONS(3233),
    [anon_sym_operator] = ACTIONS(3233),
    [anon_sym_friend] = ACTIONS(3233),
    [anon_sym_public] = ACTIONS(3233),
    [anon_sym_private] = ACTIONS(3233),
    [anon_sym_protected] = ACTIONS(3233),
    [anon_sym_using] = ACTIONS(3233),
    [anon_sym_static_assert] = ACTIONS(3233),
  },
  [2398] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2111),
    [sym_identifier] = ACTIONS(5740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5737),
    [anon_sym_COMMA] = ACTIONS(5737),
    [aux_sym_preproc_if_token2] = ACTIONS(5737),
    [aux_sym_preproc_else_token1] = ACTIONS(5737),
    [aux_sym_preproc_elif_token1] = ACTIONS(5740),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5737),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5740),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5740),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_CARET] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5737),
    [anon_sym_BANG_EQ] = ACTIONS(5737),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5737),
    [anon_sym_LT_EQ] = ACTIONS(5740),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5740),
    [anon_sym_GT_GT] = ACTIONS(5740),
    [anon_sym___attribute__] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5737),
    [anon_sym_signed] = ACTIONS(5426),
    [anon_sym_unsigned] = ACTIONS(5426),
    [anon_sym_long] = ACTIONS(5426),
    [anon_sym_short] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5737),
    [anon_sym_EQ] = ACTIONS(5740),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5737),
    [anon_sym_STAR_EQ] = ACTIONS(5737),
    [anon_sym_SLASH_EQ] = ACTIONS(5737),
    [anon_sym_PERCENT_EQ] = ACTIONS(5737),
    [anon_sym_PLUS_EQ] = ACTIONS(5737),
    [anon_sym_DASH_EQ] = ACTIONS(5737),
    [anon_sym_LT_LT_EQ] = ACTIONS(5737),
    [anon_sym_GT_GT_EQ] = ACTIONS(5737),
    [anon_sym_AMP_EQ] = ACTIONS(5737),
    [anon_sym_CARET_EQ] = ACTIONS(5737),
    [anon_sym_PIPE_EQ] = ACTIONS(5737),
    [anon_sym_and_eq] = ACTIONS(5740),
    [anon_sym_or_eq] = ACTIONS(5740),
    [anon_sym_xor_eq] = ACTIONS(5740),
    [anon_sym_LT_EQ_GT] = ACTIONS(5737),
    [anon_sym_or] = ACTIONS(5740),
    [anon_sym_and] = ACTIONS(5740),
    [anon_sym_bitor] = ACTIONS(5740),
    [anon_sym_xor] = ACTIONS(5740),
    [anon_sym_bitand] = ACTIONS(5740),
    [anon_sym_not_eq] = ACTIONS(5740),
    [anon_sym_DASH_DASH] = ACTIONS(5737),
    [anon_sym_PLUS_PLUS] = ACTIONS(5737),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_DOT_STAR] = ACTIONS(5737),
    [anon_sym_DASH_GT] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5740),
    [anon_sym_decltype] = ACTIONS(5740),
  },
  [2399] = {
    [sym_identifier] = ACTIONS(3303),
    [aux_sym_preproc_def_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token1] = ACTIONS(3303),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3303),
    [aux_sym_preproc_else_token1] = ACTIONS(3303),
    [aux_sym_preproc_elif_token1] = ACTIONS(3303),
    [sym_preproc_directive] = ACTIONS(3303),
    [anon_sym_LPAREN2] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(3305),
    [anon_sym_STAR] = ACTIONS(3305),
    [anon_sym_AMP_AMP] = ACTIONS(3305),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym___extension__] = ACTIONS(3303),
    [anon_sym_typedef] = ACTIONS(3303),
    [anon_sym_extern] = ACTIONS(3303),
    [anon_sym___attribute__] = ACTIONS(3303),
    [anon_sym_COLON_COLON] = ACTIONS(3305),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3305),
    [anon_sym___declspec] = ACTIONS(3303),
    [anon_sym___based] = ACTIONS(3303),
    [anon_sym_signed] = ACTIONS(3303),
    [anon_sym_unsigned] = ACTIONS(3303),
    [anon_sym_long] = ACTIONS(3303),
    [anon_sym_short] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3303),
    [anon_sym_static] = ACTIONS(3303),
    [anon_sym_register] = ACTIONS(3303),
    [anon_sym_inline] = ACTIONS(3303),
    [anon_sym___inline] = ACTIONS(3303),
    [anon_sym___inline__] = ACTIONS(3303),
    [anon_sym___forceinline] = ACTIONS(3303),
    [anon_sym_thread_local] = ACTIONS(3303),
    [anon_sym___thread] = ACTIONS(3303),
    [anon_sym_const] = ACTIONS(3303),
    [anon_sym_constexpr] = ACTIONS(3303),
    [anon_sym_volatile] = ACTIONS(3303),
    [anon_sym_restrict] = ACTIONS(3303),
    [anon_sym___restrict__] = ACTIONS(3303),
    [anon_sym__Atomic] = ACTIONS(3303),
    [anon_sym__Noreturn] = ACTIONS(3303),
    [anon_sym_noreturn] = ACTIONS(3303),
    [anon_sym_mutable] = ACTIONS(3303),
    [anon_sym_constinit] = ACTIONS(3303),
    [anon_sym_consteval] = ACTIONS(3303),
    [sym_primitive_type] = ACTIONS(3303),
    [anon_sym_enum] = ACTIONS(3303),
    [anon_sym_class] = ACTIONS(3303),
    [anon_sym_struct] = ACTIONS(3303),
    [anon_sym_union] = ACTIONS(3303),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3303),
    [anon_sym_decltype] = ACTIONS(3303),
    [anon_sym_virtual] = ACTIONS(3303),
    [anon_sym_alignas] = ACTIONS(3303),
    [anon_sym_explicit] = ACTIONS(3303),
    [anon_sym_typename] = ACTIONS(3303),
    [anon_sym_template] = ACTIONS(3303),
    [anon_sym_operator] = ACTIONS(3303),
    [anon_sym_friend] = ACTIONS(3303),
    [anon_sym_public] = ACTIONS(3303),
    [anon_sym_private] = ACTIONS(3303),
    [anon_sym_protected] = ACTIONS(3303),
    [anon_sym_using] = ACTIONS(3303),
    [anon_sym_static_assert] = ACTIONS(3303),
  },
  [2400] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(5447),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(3309),
    [aux_sym_preproc_def_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token1] = ACTIONS(3309),
    [aux_sym_preproc_if_token2] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3309),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3309),
    [aux_sym_preproc_else_token1] = ACTIONS(3309),
    [aux_sym_preproc_elif_token1] = ACTIONS(3309),
    [sym_preproc_directive] = ACTIONS(3309),
    [anon_sym_LPAREN2] = ACTIONS(3311),
    [anon_sym_TILDE] = ACTIONS(3311),
    [anon_sym_STAR] = ACTIONS(3311),
    [anon_sym_AMP_AMP] = ACTIONS(3311),
    [anon_sym_AMP] = ACTIONS(3309),
    [anon_sym___extension__] = ACTIONS(3309),
    [anon_sym_typedef] = ACTIONS(3309),
    [anon_sym_extern] = ACTIONS(3309),
    [anon_sym___attribute__] = ACTIONS(3309),
    [anon_sym_COLON_COLON] = ACTIONS(3311),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3311),
    [anon_sym___declspec] = ACTIONS(3309),
    [anon_sym___based] = ACTIONS(3309),
    [anon_sym_signed] = ACTIONS(3309),
    [anon_sym_unsigned] = ACTIONS(3309),
    [anon_sym_long] = ACTIONS(3309),
    [anon_sym_short] = ACTIONS(3309),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_static] = ACTIONS(3309),
    [anon_sym_register] = ACTIONS(3309),
    [anon_sym_inline] = ACTIONS(3309),
    [anon_sym___inline] = ACTIONS(3309),
    [anon_sym___inline__] = ACTIONS(3309),
    [anon_sym___forceinline] = ACTIONS(3309),
    [anon_sym_thread_local] = ACTIONS(3309),
    [anon_sym___thread] = ACTIONS(3309),
    [anon_sym_const] = ACTIONS(3309),
    [anon_sym_constexpr] = ACTIONS(3309),
    [anon_sym_volatile] = ACTIONS(3309),
    [anon_sym_restrict] = ACTIONS(3309),
    [anon_sym___restrict__] = ACTIONS(3309),
    [anon_sym__Atomic] = ACTIONS(3309),
    [anon_sym__Noreturn] = ACTIONS(3309),
    [anon_sym_noreturn] = ACTIONS(3309),
    [anon_sym_mutable] = ACTIONS(3309),
    [anon_sym_constinit] = ACTIONS(3309),
    [anon_sym_consteval] = ACTIONS(3309),
    [sym_primitive_type] = ACTIONS(3309),
    [anon_sym_enum] = ACTIONS(3309),
    [anon_sym_class] = ACTIONS(3309),
    [anon_sym_struct] = ACTIONS(3309),
    [anon_sym_union] = ACTIONS(3309),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3309),
    [anon_sym_decltype] = ACTIONS(3309),
    [anon_sym_virtual] = ACTIONS(3309),
    [anon_sym_alignas] = ACTIONS(3309),
    [anon_sym_explicit] = ACTIONS(3309),
    [anon_sym_typename] = ACTIONS(3309),
    [anon_sym_template] = ACTIONS(3309),
    [anon_sym_operator] = ACTIONS(3309),
    [anon_sym_friend] = ACTIONS(3309),
    [anon_sym_public] = ACTIONS(3309),
    [anon_sym_private] = ACTIONS(3309),
    [anon_sym_protected] = ACTIONS(3309),
    [anon_sym_using] = ACTIONS(3309),
    [anon_sym_static_assert] = ACTIONS(3309),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_friend] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(3225),
    [aux_sym_preproc_def_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token1] = ACTIONS(3225),
    [aux_sym_preproc_if_token2] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3225),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3225),
    [aux_sym_preproc_else_token1] = ACTIONS(3225),
    [aux_sym_preproc_elif_token1] = ACTIONS(3225),
    [sym_preproc_directive] = ACTIONS(3225),
    [anon_sym_LPAREN2] = ACTIONS(3227),
    [anon_sym_TILDE] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3227),
    [anon_sym_AMP_AMP] = ACTIONS(3227),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3225),
    [anon_sym_typedef] = ACTIONS(3225),
    [anon_sym_extern] = ACTIONS(3225),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym_COLON_COLON] = ACTIONS(3227),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3227),
    [anon_sym___declspec] = ACTIONS(3225),
    [anon_sym___based] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3225),
    [anon_sym_unsigned] = ACTIONS(3225),
    [anon_sym_long] = ACTIONS(3225),
    [anon_sym_short] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3225),
    [anon_sym_static] = ACTIONS(3225),
    [anon_sym_register] = ACTIONS(3225),
    [anon_sym_inline] = ACTIONS(3225),
    [anon_sym___inline] = ACTIONS(3225),
    [anon_sym___inline__] = ACTIONS(3225),
    [anon_sym___forceinline] = ACTIONS(3225),
    [anon_sym_thread_local] = ACTIONS(3225),
    [anon_sym___thread] = ACTIONS(3225),
    [anon_sym_const] = ACTIONS(3225),
    [anon_sym_constexpr] = ACTIONS(3225),
    [anon_sym_volatile] = ACTIONS(3225),
    [anon_sym_restrict] = ACTIONS(3225),
    [anon_sym___restrict__] = ACTIONS(3225),
    [anon_sym__Atomic] = ACTIONS(3225),
    [anon_sym__Noreturn] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3225),
    [anon_sym_mutable] = ACTIONS(3225),
    [anon_sym_constinit] = ACTIONS(3225),
    [anon_sym_consteval] = ACTIONS(3225),
    [sym_primitive_type] = ACTIONS(3225),
    [anon_sym_enum] = ACTIONS(3225),
    [anon_sym_class] = ACTIONS(3225),
    [anon_sym_struct] = ACTIONS(3225),
    [anon_sym_union] = ACTIONS(3225),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3225),
    [anon_sym_decltype] = ACTIONS(3225),
    [anon_sym_virtual] = ACTIONS(3225),
    [anon_sym_alignas] = ACTIONS(3225),
    [anon_sym_explicit] = ACTIONS(3225),
    [anon_sym_typename] = ACTIONS(3225),
    [anon_sym_template] = ACTIONS(3225),
    [anon_sym_operator] = ACTIONS(3225),
    [anon_sym_friend] = ACTIONS(3225),
    [anon_sym_public] = ACTIONS(3225),
    [anon_sym_private] = ACTIONS(3225),
    [anon_sym_protected] = ACTIONS(3225),
    [anon_sym_using] = ACTIONS(3225),
    [anon_sym_static_assert] = ACTIONS(3225),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_friend] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(3221),
    [aux_sym_preproc_def_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token1] = ACTIONS(3221),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3221),
    [aux_sym_preproc_else_token1] = ACTIONS(3221),
    [aux_sym_preproc_elif_token1] = ACTIONS(3221),
    [sym_preproc_directive] = ACTIONS(3221),
    [anon_sym_LPAREN2] = ACTIONS(3223),
    [anon_sym_TILDE] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3223),
    [anon_sym_AMP_AMP] = ACTIONS(3223),
    [anon_sym_AMP] = ACTIONS(3221),
    [anon_sym___extension__] = ACTIONS(3221),
    [anon_sym_typedef] = ACTIONS(3221),
    [anon_sym_extern] = ACTIONS(3221),
    [anon_sym___attribute__] = ACTIONS(3221),
    [anon_sym_COLON_COLON] = ACTIONS(3223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3223),
    [anon_sym___declspec] = ACTIONS(3221),
    [anon_sym___based] = ACTIONS(3221),
    [anon_sym_signed] = ACTIONS(3221),
    [anon_sym_unsigned] = ACTIONS(3221),
    [anon_sym_long] = ACTIONS(3221),
    [anon_sym_short] = ACTIONS(3221),
    [anon_sym_LBRACK] = ACTIONS(3221),
    [anon_sym_static] = ACTIONS(3221),
    [anon_sym_register] = ACTIONS(3221),
    [anon_sym_inline] = ACTIONS(3221),
    [anon_sym___inline] = ACTIONS(3221),
    [anon_sym___inline__] = ACTIONS(3221),
    [anon_sym___forceinline] = ACTIONS(3221),
    [anon_sym_thread_local] = ACTIONS(3221),
    [anon_sym___thread] = ACTIONS(3221),
    [anon_sym_const] = ACTIONS(3221),
    [anon_sym_constexpr] = ACTIONS(3221),
    [anon_sym_volatile] = ACTIONS(3221),
    [anon_sym_restrict] = ACTIONS(3221),
    [anon_sym___restrict__] = ACTIONS(3221),
    [anon_sym__Atomic] = ACTIONS(3221),
    [anon_sym__Noreturn] = ACTIONS(3221),
    [anon_sym_noreturn] = ACTIONS(3221),
    [anon_sym_mutable] = ACTIONS(3221),
    [anon_sym_constinit] = ACTIONS(3221),
    [anon_sym_consteval] = ACTIONS(3221),
    [sym_primitive_type] = ACTIONS(3221),
    [anon_sym_enum] = ACTIONS(3221),
    [anon_sym_class] = ACTIONS(3221),
    [anon_sym_struct] = ACTIONS(3221),
    [anon_sym_union] = ACTIONS(3221),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3221),
    [anon_sym_decltype] = ACTIONS(3221),
    [anon_sym_virtual] = ACTIONS(3221),
    [anon_sym_alignas] = ACTIONS(3221),
    [anon_sym_explicit] = ACTIONS(3221),
    [anon_sym_typename] = ACTIONS(3221),
    [anon_sym_template] = ACTIONS(3221),
    [anon_sym_operator] = ACTIONS(3221),
    [anon_sym_friend] = ACTIONS(3221),
    [anon_sym_public] = ACTIONS(3221),
    [anon_sym_private] = ACTIONS(3221),
    [anon_sym_protected] = ACTIONS(3221),
    [anon_sym_using] = ACTIONS(3221),
    [anon_sym_static_assert] = ACTIONS(3221),
  },
  [2406] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2407] = {
    [sym_identifier] = ACTIONS(3211),
    [aux_sym_preproc_def_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token1] = ACTIONS(3211),
    [aux_sym_preproc_if_token2] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3211),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3211),
    [aux_sym_preproc_else_token1] = ACTIONS(3211),
    [aux_sym_preproc_elif_token1] = ACTIONS(3211),
    [sym_preproc_directive] = ACTIONS(3211),
    [anon_sym_LPAREN2] = ACTIONS(3213),
    [anon_sym_TILDE] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3213),
    [anon_sym_AMP_AMP] = ACTIONS(3213),
    [anon_sym_AMP] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3211),
    [anon_sym_typedef] = ACTIONS(3211),
    [anon_sym_extern] = ACTIONS(3211),
    [anon_sym___attribute__] = ACTIONS(3211),
    [anon_sym_COLON_COLON] = ACTIONS(3213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3213),
    [anon_sym___declspec] = ACTIONS(3211),
    [anon_sym___based] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3211),
    [anon_sym_unsigned] = ACTIONS(3211),
    [anon_sym_long] = ACTIONS(3211),
    [anon_sym_short] = ACTIONS(3211),
    [anon_sym_LBRACK] = ACTIONS(3211),
    [anon_sym_static] = ACTIONS(3211),
    [anon_sym_register] = ACTIONS(3211),
    [anon_sym_inline] = ACTIONS(3211),
    [anon_sym___inline] = ACTIONS(3211),
    [anon_sym___inline__] = ACTIONS(3211),
    [anon_sym___forceinline] = ACTIONS(3211),
    [anon_sym_thread_local] = ACTIONS(3211),
    [anon_sym___thread] = ACTIONS(3211),
    [anon_sym_const] = ACTIONS(3211),
    [anon_sym_constexpr] = ACTIONS(3211),
    [anon_sym_volatile] = ACTIONS(3211),
    [anon_sym_restrict] = ACTIONS(3211),
    [anon_sym___restrict__] = ACTIONS(3211),
    [anon_sym__Atomic] = ACTIONS(3211),
    [anon_sym__Noreturn] = ACTIONS(3211),
    [anon_sym_noreturn] = ACTIONS(3211),
    [anon_sym_mutable] = ACTIONS(3211),
    [anon_sym_constinit] = ACTIONS(3211),
    [anon_sym_consteval] = ACTIONS(3211),
    [sym_primitive_type] = ACTIONS(3211),
    [anon_sym_enum] = ACTIONS(3211),
    [anon_sym_class] = ACTIONS(3211),
    [anon_sym_struct] = ACTIONS(3211),
    [anon_sym_union] = ACTIONS(3211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3211),
    [anon_sym_decltype] = ACTIONS(3211),
    [anon_sym_virtual] = ACTIONS(3211),
    [anon_sym_alignas] = ACTIONS(3211),
    [anon_sym_explicit] = ACTIONS(3211),
    [anon_sym_typename] = ACTIONS(3211),
    [anon_sym_template] = ACTIONS(3211),
    [anon_sym_operator] = ACTIONS(3211),
    [anon_sym_friend] = ACTIONS(3211),
    [anon_sym_public] = ACTIONS(3211),
    [anon_sym_private] = ACTIONS(3211),
    [anon_sym_protected] = ACTIONS(3211),
    [anon_sym_using] = ACTIONS(3211),
    [anon_sym_static_assert] = ACTIONS(3211),
  },
  [2408] = {
    [sym_attribute_specifier] = STATE(2573),
    [sym_identifier] = ACTIONS(5938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [aux_sym_preproc_if_token2] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5940),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5940),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5938),
    [anon_sym_or_eq] = ACTIONS(5938),
    [anon_sym_xor_eq] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5938),
    [anon_sym_and] = ACTIONS(5938),
    [anon_sym_bitor] = ACTIONS(5938),
    [anon_sym_xor] = ACTIONS(5938),
    [anon_sym_bitand] = ACTIONS(5938),
    [anon_sym_not_eq] = ACTIONS(5938),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5938),
    [anon_sym_decltype] = ACTIONS(5938),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(3117),
    [aux_sym_preproc_def_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token1] = ACTIONS(3117),
    [aux_sym_preproc_if_token2] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3117),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3117),
    [aux_sym_preproc_else_token1] = ACTIONS(3117),
    [aux_sym_preproc_elif_token1] = ACTIONS(3117),
    [sym_preproc_directive] = ACTIONS(3117),
    [anon_sym_LPAREN2] = ACTIONS(3119),
    [anon_sym_TILDE] = ACTIONS(3119),
    [anon_sym_STAR] = ACTIONS(3119),
    [anon_sym_AMP_AMP] = ACTIONS(3119),
    [anon_sym_AMP] = ACTIONS(3117),
    [anon_sym___extension__] = ACTIONS(3117),
    [anon_sym_typedef] = ACTIONS(3117),
    [anon_sym_extern] = ACTIONS(3117),
    [anon_sym___attribute__] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(3119),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3119),
    [anon_sym___declspec] = ACTIONS(3117),
    [anon_sym___based] = ACTIONS(3117),
    [anon_sym_signed] = ACTIONS(3117),
    [anon_sym_unsigned] = ACTIONS(3117),
    [anon_sym_long] = ACTIONS(3117),
    [anon_sym_short] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(3117),
    [anon_sym_static] = ACTIONS(3117),
    [anon_sym_register] = ACTIONS(3117),
    [anon_sym_inline] = ACTIONS(3117),
    [anon_sym___inline] = ACTIONS(3117),
    [anon_sym___inline__] = ACTIONS(3117),
    [anon_sym___forceinline] = ACTIONS(3117),
    [anon_sym_thread_local] = ACTIONS(3117),
    [anon_sym___thread] = ACTIONS(3117),
    [anon_sym_const] = ACTIONS(3117),
    [anon_sym_constexpr] = ACTIONS(3117),
    [anon_sym_volatile] = ACTIONS(3117),
    [anon_sym_restrict] = ACTIONS(3117),
    [anon_sym___restrict__] = ACTIONS(3117),
    [anon_sym__Atomic] = ACTIONS(3117),
    [anon_sym__Noreturn] = ACTIONS(3117),
    [anon_sym_noreturn] = ACTIONS(3117),
    [anon_sym_mutable] = ACTIONS(3117),
    [anon_sym_constinit] = ACTIONS(3117),
    [anon_sym_consteval] = ACTIONS(3117),
    [sym_primitive_type] = ACTIONS(3117),
    [anon_sym_enum] = ACTIONS(3117),
    [anon_sym_class] = ACTIONS(3117),
    [anon_sym_struct] = ACTIONS(3117),
    [anon_sym_union] = ACTIONS(3117),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3117),
    [anon_sym_decltype] = ACTIONS(3117),
    [anon_sym_virtual] = ACTIONS(3117),
    [anon_sym_alignas] = ACTIONS(3117),
    [anon_sym_explicit] = ACTIONS(3117),
    [anon_sym_typename] = ACTIONS(3117),
    [anon_sym_template] = ACTIONS(3117),
    [anon_sym_operator] = ACTIONS(3117),
    [anon_sym_friend] = ACTIONS(3117),
    [anon_sym_public] = ACTIONS(3117),
    [anon_sym_private] = ACTIONS(3117),
    [anon_sym_protected] = ACTIONS(3117),
    [anon_sym_using] = ACTIONS(3117),
    [anon_sym_static_assert] = ACTIONS(3117),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(3007),
    [aux_sym_preproc_def_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token1] = ACTIONS(3007),
    [aux_sym_preproc_if_token2] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3007),
    [aux_sym_preproc_else_token1] = ACTIONS(3007),
    [aux_sym_preproc_elif_token1] = ACTIONS(3007),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3009),
    [anon_sym_STAR] = ACTIONS(3009),
    [anon_sym_AMP_AMP] = ACTIONS(3009),
    [anon_sym_AMP] = ACTIONS(3007),
    [anon_sym___extension__] = ACTIONS(3007),
    [anon_sym_typedef] = ACTIONS(3007),
    [anon_sym_extern] = ACTIONS(3007),
    [anon_sym___attribute__] = ACTIONS(3007),
    [anon_sym_COLON_COLON] = ACTIONS(3009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3009),
    [anon_sym___declspec] = ACTIONS(3007),
    [anon_sym___based] = ACTIONS(3007),
    [anon_sym_signed] = ACTIONS(3007),
    [anon_sym_unsigned] = ACTIONS(3007),
    [anon_sym_long] = ACTIONS(3007),
    [anon_sym_short] = ACTIONS(3007),
    [anon_sym_LBRACK] = ACTIONS(3007),
    [anon_sym_static] = ACTIONS(3007),
    [anon_sym_register] = ACTIONS(3007),
    [anon_sym_inline] = ACTIONS(3007),
    [anon_sym___inline] = ACTIONS(3007),
    [anon_sym___inline__] = ACTIONS(3007),
    [anon_sym___forceinline] = ACTIONS(3007),
    [anon_sym_thread_local] = ACTIONS(3007),
    [anon_sym___thread] = ACTIONS(3007),
    [anon_sym_const] = ACTIONS(3007),
    [anon_sym_constexpr] = ACTIONS(3007),
    [anon_sym_volatile] = ACTIONS(3007),
    [anon_sym_restrict] = ACTIONS(3007),
    [anon_sym___restrict__] = ACTIONS(3007),
    [anon_sym__Atomic] = ACTIONS(3007),
    [anon_sym__Noreturn] = ACTIONS(3007),
    [anon_sym_noreturn] = ACTIONS(3007),
    [anon_sym_mutable] = ACTIONS(3007),
    [anon_sym_constinit] = ACTIONS(3007),
    [anon_sym_consteval] = ACTIONS(3007),
    [sym_primitive_type] = ACTIONS(3007),
    [anon_sym_enum] = ACTIONS(3007),
    [anon_sym_class] = ACTIONS(3007),
    [anon_sym_struct] = ACTIONS(3007),
    [anon_sym_union] = ACTIONS(3007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3007),
    [anon_sym_decltype] = ACTIONS(3007),
    [anon_sym_virtual] = ACTIONS(3007),
    [anon_sym_alignas] = ACTIONS(3007),
    [anon_sym_explicit] = ACTIONS(3007),
    [anon_sym_typename] = ACTIONS(3007),
    [anon_sym_template] = ACTIONS(3007),
    [anon_sym_operator] = ACTIONS(3007),
    [anon_sym_friend] = ACTIONS(3007),
    [anon_sym_public] = ACTIONS(3007),
    [anon_sym_private] = ACTIONS(3007),
    [anon_sym_protected] = ACTIONS(3007),
    [anon_sym_using] = ACTIONS(3007),
    [anon_sym_static_assert] = ACTIONS(3007),
  },
  [2411] = {
    [sym_identifier] = ACTIONS(3203),
    [aux_sym_preproc_def_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token1] = ACTIONS(3203),
    [aux_sym_preproc_if_token2] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3203),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3203),
    [aux_sym_preproc_else_token1] = ACTIONS(3203),
    [aux_sym_preproc_elif_token1] = ACTIONS(3203),
    [sym_preproc_directive] = ACTIONS(3203),
    [anon_sym_LPAREN2] = ACTIONS(3205),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_AMP_AMP] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3203),
    [anon_sym_typedef] = ACTIONS(3203),
    [anon_sym_extern] = ACTIONS(3203),
    [anon_sym___attribute__] = ACTIONS(3203),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3205),
    [anon_sym___declspec] = ACTIONS(3203),
    [anon_sym___based] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3203),
    [anon_sym_unsigned] = ACTIONS(3203),
    [anon_sym_long] = ACTIONS(3203),
    [anon_sym_short] = ACTIONS(3203),
    [anon_sym_LBRACK] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_register] = ACTIONS(3203),
    [anon_sym_inline] = ACTIONS(3203),
    [anon_sym___inline] = ACTIONS(3203),
    [anon_sym___inline__] = ACTIONS(3203),
    [anon_sym___forceinline] = ACTIONS(3203),
    [anon_sym_thread_local] = ACTIONS(3203),
    [anon_sym___thread] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_constexpr] = ACTIONS(3203),
    [anon_sym_volatile] = ACTIONS(3203),
    [anon_sym_restrict] = ACTIONS(3203),
    [anon_sym___restrict__] = ACTIONS(3203),
    [anon_sym__Atomic] = ACTIONS(3203),
    [anon_sym__Noreturn] = ACTIONS(3203),
    [anon_sym_noreturn] = ACTIONS(3203),
    [anon_sym_mutable] = ACTIONS(3203),
    [anon_sym_constinit] = ACTIONS(3203),
    [anon_sym_consteval] = ACTIONS(3203),
    [sym_primitive_type] = ACTIONS(3203),
    [anon_sym_enum] = ACTIONS(3203),
    [anon_sym_class] = ACTIONS(3203),
    [anon_sym_struct] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3203),
    [anon_sym_decltype] = ACTIONS(3203),
    [anon_sym_virtual] = ACTIONS(3203),
    [anon_sym_alignas] = ACTIONS(3203),
    [anon_sym_explicit] = ACTIONS(3203),
    [anon_sym_typename] = ACTIONS(3203),
    [anon_sym_template] = ACTIONS(3203),
    [anon_sym_operator] = ACTIONS(3203),
    [anon_sym_friend] = ACTIONS(3203),
    [anon_sym_public] = ACTIONS(3203),
    [anon_sym_private] = ACTIONS(3203),
    [anon_sym_protected] = ACTIONS(3203),
    [anon_sym_using] = ACTIONS(3203),
    [anon_sym_static_assert] = ACTIONS(3203),
  },
  [2412] = {
    [sym_identifier] = ACTIONS(3199),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token2] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3199),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3199),
    [aux_sym_preproc_else_token1] = ACTIONS(3199),
    [aux_sym_preproc_elif_token1] = ACTIONS(3199),
    [sym_preproc_directive] = ACTIONS(3199),
    [anon_sym_LPAREN2] = ACTIONS(3201),
    [anon_sym_TILDE] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3201),
    [anon_sym_AMP_AMP] = ACTIONS(3201),
    [anon_sym_AMP] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3199),
    [anon_sym_typedef] = ACTIONS(3199),
    [anon_sym_extern] = ACTIONS(3199),
    [anon_sym___attribute__] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3201),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3201),
    [anon_sym___declspec] = ACTIONS(3199),
    [anon_sym___based] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3199),
    [anon_sym_unsigned] = ACTIONS(3199),
    [anon_sym_long] = ACTIONS(3199),
    [anon_sym_short] = ACTIONS(3199),
    [anon_sym_LBRACK] = ACTIONS(3199),
    [anon_sym_static] = ACTIONS(3199),
    [anon_sym_register] = ACTIONS(3199),
    [anon_sym_inline] = ACTIONS(3199),
    [anon_sym___inline] = ACTIONS(3199),
    [anon_sym___inline__] = ACTIONS(3199),
    [anon_sym___forceinline] = ACTIONS(3199),
    [anon_sym_thread_local] = ACTIONS(3199),
    [anon_sym___thread] = ACTIONS(3199),
    [anon_sym_const] = ACTIONS(3199),
    [anon_sym_constexpr] = ACTIONS(3199),
    [anon_sym_volatile] = ACTIONS(3199),
    [anon_sym_restrict] = ACTIONS(3199),
    [anon_sym___restrict__] = ACTIONS(3199),
    [anon_sym__Atomic] = ACTIONS(3199),
    [anon_sym__Noreturn] = ACTIONS(3199),
    [anon_sym_noreturn] = ACTIONS(3199),
    [anon_sym_mutable] = ACTIONS(3199),
    [anon_sym_constinit] = ACTIONS(3199),
    [anon_sym_consteval] = ACTIONS(3199),
    [sym_primitive_type] = ACTIONS(3199),
    [anon_sym_enum] = ACTIONS(3199),
    [anon_sym_class] = ACTIONS(3199),
    [anon_sym_struct] = ACTIONS(3199),
    [anon_sym_union] = ACTIONS(3199),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3199),
    [anon_sym_decltype] = ACTIONS(3199),
    [anon_sym_virtual] = ACTIONS(3199),
    [anon_sym_alignas] = ACTIONS(3199),
    [anon_sym_explicit] = ACTIONS(3199),
    [anon_sym_typename] = ACTIONS(3199),
    [anon_sym_template] = ACTIONS(3199),
    [anon_sym_operator] = ACTIONS(3199),
    [anon_sym_friend] = ACTIONS(3199),
    [anon_sym_public] = ACTIONS(3199),
    [anon_sym_private] = ACTIONS(3199),
    [anon_sym_protected] = ACTIONS(3199),
    [anon_sym_using] = ACTIONS(3199),
    [anon_sym_static_assert] = ACTIONS(3199),
  },
  [2413] = {
    [sym_decltype_auto] = STATE(2535),
    [sym_identifier] = ACTIONS(5550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5552),
    [anon_sym_COMMA] = ACTIONS(5552),
    [anon_sym_RPAREN] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5550),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5550),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_PIPE] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5550),
    [anon_sym_EQ_EQ] = ACTIONS(5552),
    [anon_sym_BANG_EQ] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5550),
    [anon_sym_GT_EQ] = ACTIONS(5552),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5550),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5552),
    [anon_sym_RBRACE] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_RBRACK] = ACTIONS(5552),
    [anon_sym_EQ] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_QMARK] = ACTIONS(5552),
    [anon_sym_STAR_EQ] = ACTIONS(5552),
    [anon_sym_SLASH_EQ] = ACTIONS(5552),
    [anon_sym_PERCENT_EQ] = ACTIONS(5552),
    [anon_sym_PLUS_EQ] = ACTIONS(5552),
    [anon_sym_DASH_EQ] = ACTIONS(5552),
    [anon_sym_LT_LT_EQ] = ACTIONS(5552),
    [anon_sym_GT_GT_EQ] = ACTIONS(5552),
    [anon_sym_AMP_EQ] = ACTIONS(5552),
    [anon_sym_CARET_EQ] = ACTIONS(5552),
    [anon_sym_PIPE_EQ] = ACTIONS(5552),
    [anon_sym_and_eq] = ACTIONS(5550),
    [anon_sym_or_eq] = ACTIONS(5550),
    [anon_sym_xor_eq] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5552),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5552),
    [anon_sym_PLUS_PLUS] = ACTIONS(5552),
    [anon_sym_DOT] = ACTIONS(5550),
    [anon_sym_DOT_STAR] = ACTIONS(5552),
    [anon_sym_DASH_GT] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5463),
    [anon_sym_decltype] = ACTIONS(5465),
  },
  [2414] = {
    [sym_attribute_declaration] = STATE(2517),
    [sym_parameter_list] = STATE(2563),
    [aux_sym_attributed_declarator_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [aux_sym_preproc_if_token2] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5944),
    [anon_sym_LPAREN2] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5942),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5944),
    [anon_sym_STAR_EQ] = ACTIONS(5944),
    [anon_sym_SLASH_EQ] = ACTIONS(5944),
    [anon_sym_PERCENT_EQ] = ACTIONS(5944),
    [anon_sym_PLUS_EQ] = ACTIONS(5944),
    [anon_sym_DASH_EQ] = ACTIONS(5944),
    [anon_sym_LT_LT_EQ] = ACTIONS(5944),
    [anon_sym_GT_GT_EQ] = ACTIONS(5944),
    [anon_sym_AMP_EQ] = ACTIONS(5944),
    [anon_sym_CARET_EQ] = ACTIONS(5944),
    [anon_sym_PIPE_EQ] = ACTIONS(5944),
    [anon_sym_and_eq] = ACTIONS(5942),
    [anon_sym_or_eq] = ACTIONS(5942),
    [anon_sym_xor_eq] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_DOT_STAR] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
  },
  [2415] = {
    [sym_identifier] = ACTIONS(2947),
    [aux_sym_preproc_def_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token1] = ACTIONS(2947),
    [aux_sym_preproc_if_token2] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2947),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2947),
    [aux_sym_preproc_else_token1] = ACTIONS(2947),
    [aux_sym_preproc_elif_token1] = ACTIONS(2947),
    [sym_preproc_directive] = ACTIONS(2947),
    [anon_sym_LPAREN2] = ACTIONS(2949),
    [anon_sym_TILDE] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2947),
    [anon_sym_typedef] = ACTIONS(2947),
    [anon_sym_extern] = ACTIONS(2947),
    [anon_sym___attribute__] = ACTIONS(2947),
    [anon_sym_COLON_COLON] = ACTIONS(2949),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2949),
    [anon_sym___declspec] = ACTIONS(2947),
    [anon_sym___based] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2947),
    [anon_sym_unsigned] = ACTIONS(2947),
    [anon_sym_long] = ACTIONS(2947),
    [anon_sym_short] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2947),
    [anon_sym_static] = ACTIONS(2947),
    [anon_sym_register] = ACTIONS(2947),
    [anon_sym_inline] = ACTIONS(2947),
    [anon_sym___inline] = ACTIONS(2947),
    [anon_sym___inline__] = ACTIONS(2947),
    [anon_sym___forceinline] = ACTIONS(2947),
    [anon_sym_thread_local] = ACTIONS(2947),
    [anon_sym___thread] = ACTIONS(2947),
    [anon_sym_const] = ACTIONS(2947),
    [anon_sym_constexpr] = ACTIONS(2947),
    [anon_sym_volatile] = ACTIONS(2947),
    [anon_sym_restrict] = ACTIONS(2947),
    [anon_sym___restrict__] = ACTIONS(2947),
    [anon_sym__Atomic] = ACTIONS(2947),
    [anon_sym__Noreturn] = ACTIONS(2947),
    [anon_sym_noreturn] = ACTIONS(2947),
    [anon_sym_mutable] = ACTIONS(2947),
    [anon_sym_constinit] = ACTIONS(2947),
    [anon_sym_consteval] = ACTIONS(2947),
    [sym_primitive_type] = ACTIONS(2947),
    [anon_sym_enum] = ACTIONS(2947),
    [anon_sym_class] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(2947),
    [anon_sym_union] = ACTIONS(2947),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2947),
    [anon_sym_decltype] = ACTIONS(2947),
    [anon_sym_virtual] = ACTIONS(2947),
    [anon_sym_alignas] = ACTIONS(2947),
    [anon_sym_explicit] = ACTIONS(2947),
    [anon_sym_typename] = ACTIONS(2947),
    [anon_sym_template] = ACTIONS(2947),
    [anon_sym_operator] = ACTIONS(2947),
    [anon_sym_friend] = ACTIONS(2947),
    [anon_sym_public] = ACTIONS(2947),
    [anon_sym_private] = ACTIONS(2947),
    [anon_sym_protected] = ACTIONS(2947),
    [anon_sym_using] = ACTIONS(2947),
    [anon_sym_static_assert] = ACTIONS(2947),
  },
  [2416] = {
    [sym_identifier] = ACTIONS(3146),
    [aux_sym_preproc_def_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token1] = ACTIONS(3146),
    [aux_sym_preproc_if_token2] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3146),
    [aux_sym_preproc_else_token1] = ACTIONS(3146),
    [aux_sym_preproc_elif_token1] = ACTIONS(3146),
    [sym_preproc_directive] = ACTIONS(3146),
    [anon_sym_LPAREN2] = ACTIONS(3148),
    [anon_sym_TILDE] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3146),
    [anon_sym_extern] = ACTIONS(3146),
    [anon_sym___attribute__] = ACTIONS(3146),
    [anon_sym_COLON_COLON] = ACTIONS(3148),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3148),
    [anon_sym___declspec] = ACTIONS(3146),
    [anon_sym___based] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3146),
    [anon_sym_unsigned] = ACTIONS(3146),
    [anon_sym_long] = ACTIONS(3146),
    [anon_sym_short] = ACTIONS(3146),
    [anon_sym_LBRACK] = ACTIONS(3146),
    [anon_sym_static] = ACTIONS(3146),
    [anon_sym_register] = ACTIONS(3146),
    [anon_sym_inline] = ACTIONS(3146),
    [anon_sym___inline] = ACTIONS(3146),
    [anon_sym___inline__] = ACTIONS(3146),
    [anon_sym___forceinline] = ACTIONS(3146),
    [anon_sym_thread_local] = ACTIONS(3146),
    [anon_sym___thread] = ACTIONS(3146),
    [anon_sym_const] = ACTIONS(3146),
    [anon_sym_constexpr] = ACTIONS(3146),
    [anon_sym_volatile] = ACTIONS(3146),
    [anon_sym_restrict] = ACTIONS(3146),
    [anon_sym___restrict__] = ACTIONS(3146),
    [anon_sym__Atomic] = ACTIONS(3146),
    [anon_sym__Noreturn] = ACTIONS(3146),
    [anon_sym_noreturn] = ACTIONS(3146),
    [anon_sym_mutable] = ACTIONS(3146),
    [anon_sym_constinit] = ACTIONS(3146),
    [anon_sym_consteval] = ACTIONS(3146),
    [sym_primitive_type] = ACTIONS(3146),
    [anon_sym_enum] = ACTIONS(3146),
    [anon_sym_class] = ACTIONS(3146),
    [anon_sym_struct] = ACTIONS(3146),
    [anon_sym_union] = ACTIONS(3146),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3146),
    [anon_sym_decltype] = ACTIONS(3146),
    [anon_sym_virtual] = ACTIONS(3146),
    [anon_sym_alignas] = ACTIONS(3146),
    [anon_sym_explicit] = ACTIONS(3146),
    [anon_sym_typename] = ACTIONS(3146),
    [anon_sym_template] = ACTIONS(3146),
    [anon_sym_operator] = ACTIONS(3146),
    [anon_sym_friend] = ACTIONS(3146),
    [anon_sym_public] = ACTIONS(3146),
    [anon_sym_private] = ACTIONS(3146),
    [anon_sym_protected] = ACTIONS(3146),
    [anon_sym_using] = ACTIONS(3146),
    [anon_sym_static_assert] = ACTIONS(3146),
  },
  [2417] = {
    [sym_attribute_specifier] = STATE(2576),
    [sym_identifier] = ACTIONS(5946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5948),
    [anon_sym_COMMA] = ACTIONS(5948),
    [anon_sym_RPAREN] = ACTIONS(5948),
    [aux_sym_preproc_if_token2] = ACTIONS(5948),
    [aux_sym_preproc_else_token1] = ACTIONS(5948),
    [aux_sym_preproc_elif_token1] = ACTIONS(5946),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5948),
    [anon_sym_LPAREN2] = ACTIONS(5948),
    [anon_sym_DASH] = ACTIONS(5946),
    [anon_sym_PLUS] = ACTIONS(5946),
    [anon_sym_STAR] = ACTIONS(5946),
    [anon_sym_SLASH] = ACTIONS(5946),
    [anon_sym_PERCENT] = ACTIONS(5946),
    [anon_sym_PIPE_PIPE] = ACTIONS(5948),
    [anon_sym_AMP_AMP] = ACTIONS(5948),
    [anon_sym_PIPE] = ACTIONS(5946),
    [anon_sym_CARET] = ACTIONS(5946),
    [anon_sym_AMP] = ACTIONS(5946),
    [anon_sym_EQ_EQ] = ACTIONS(5948),
    [anon_sym_BANG_EQ] = ACTIONS(5948),
    [anon_sym_GT] = ACTIONS(5946),
    [anon_sym_GT_EQ] = ACTIONS(5948),
    [anon_sym_LT_EQ] = ACTIONS(5946),
    [anon_sym_LT] = ACTIONS(5946),
    [anon_sym_LT_LT] = ACTIONS(5946),
    [anon_sym_GT_GT] = ACTIONS(5946),
    [anon_sym_SEMI] = ACTIONS(5948),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5948),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5948),
    [anon_sym_EQ] = ACTIONS(5946),
    [anon_sym_COLON] = ACTIONS(5948),
    [anon_sym_QMARK] = ACTIONS(5948),
    [anon_sym_STAR_EQ] = ACTIONS(5948),
    [anon_sym_SLASH_EQ] = ACTIONS(5948),
    [anon_sym_PERCENT_EQ] = ACTIONS(5948),
    [anon_sym_PLUS_EQ] = ACTIONS(5948),
    [anon_sym_DASH_EQ] = ACTIONS(5948),
    [anon_sym_LT_LT_EQ] = ACTIONS(5948),
    [anon_sym_GT_GT_EQ] = ACTIONS(5948),
    [anon_sym_AMP_EQ] = ACTIONS(5948),
    [anon_sym_CARET_EQ] = ACTIONS(5948),
    [anon_sym_PIPE_EQ] = ACTIONS(5948),
    [anon_sym_and_eq] = ACTIONS(5946),
    [anon_sym_or_eq] = ACTIONS(5946),
    [anon_sym_xor_eq] = ACTIONS(5946),
    [anon_sym_LT_EQ_GT] = ACTIONS(5948),
    [anon_sym_or] = ACTIONS(5946),
    [anon_sym_and] = ACTIONS(5946),
    [anon_sym_bitor] = ACTIONS(5946),
    [anon_sym_xor] = ACTIONS(5946),
    [anon_sym_bitand] = ACTIONS(5946),
    [anon_sym_not_eq] = ACTIONS(5946),
    [anon_sym_DASH_DASH] = ACTIONS(5948),
    [anon_sym_PLUS_PLUS] = ACTIONS(5948),
    [anon_sym_DOT] = ACTIONS(5946),
    [anon_sym_DOT_STAR] = ACTIONS(5948),
    [anon_sym_DASH_GT] = ACTIONS(5948),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5946),
    [anon_sym_decltype] = ACTIONS(5946),
  },
  [2418] = {
    [sym_identifier] = ACTIONS(3313),
    [aux_sym_preproc_def_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token1] = ACTIONS(3313),
    [aux_sym_preproc_if_token2] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3313),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3313),
    [aux_sym_preproc_else_token1] = ACTIONS(3313),
    [aux_sym_preproc_elif_token1] = ACTIONS(3313),
    [sym_preproc_directive] = ACTIONS(3313),
    [anon_sym_LPAREN2] = ACTIONS(3315),
    [anon_sym_TILDE] = ACTIONS(3315),
    [anon_sym_STAR] = ACTIONS(3315),
    [anon_sym_AMP_AMP] = ACTIONS(3315),
    [anon_sym_AMP] = ACTIONS(3313),
    [anon_sym___extension__] = ACTIONS(3313),
    [anon_sym_typedef] = ACTIONS(3313),
    [anon_sym_extern] = ACTIONS(3313),
    [anon_sym___attribute__] = ACTIONS(3313),
    [anon_sym_COLON_COLON] = ACTIONS(3315),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3315),
    [anon_sym___declspec] = ACTIONS(3313),
    [anon_sym___based] = ACTIONS(3313),
    [anon_sym_signed] = ACTIONS(3313),
    [anon_sym_unsigned] = ACTIONS(3313),
    [anon_sym_long] = ACTIONS(3313),
    [anon_sym_short] = ACTIONS(3313),
    [anon_sym_LBRACK] = ACTIONS(3313),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_register] = ACTIONS(3313),
    [anon_sym_inline] = ACTIONS(3313),
    [anon_sym___inline] = ACTIONS(3313),
    [anon_sym___inline__] = ACTIONS(3313),
    [anon_sym___forceinline] = ACTIONS(3313),
    [anon_sym_thread_local] = ACTIONS(3313),
    [anon_sym___thread] = ACTIONS(3313),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_constexpr] = ACTIONS(3313),
    [anon_sym_volatile] = ACTIONS(3313),
    [anon_sym_restrict] = ACTIONS(3313),
    [anon_sym___restrict__] = ACTIONS(3313),
    [anon_sym__Atomic] = ACTIONS(3313),
    [anon_sym__Noreturn] = ACTIONS(3313),
    [anon_sym_noreturn] = ACTIONS(3313),
    [anon_sym_mutable] = ACTIONS(3313),
    [anon_sym_constinit] = ACTIONS(3313),
    [anon_sym_consteval] = ACTIONS(3313),
    [sym_primitive_type] = ACTIONS(3313),
    [anon_sym_enum] = ACTIONS(3313),
    [anon_sym_class] = ACTIONS(3313),
    [anon_sym_struct] = ACTIONS(3313),
    [anon_sym_union] = ACTIONS(3313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3313),
    [anon_sym_decltype] = ACTIONS(3313),
    [anon_sym_virtual] = ACTIONS(3313),
    [anon_sym_alignas] = ACTIONS(3313),
    [anon_sym_explicit] = ACTIONS(3313),
    [anon_sym_typename] = ACTIONS(3313),
    [anon_sym_template] = ACTIONS(3313),
    [anon_sym_operator] = ACTIONS(3313),
    [anon_sym_friend] = ACTIONS(3313),
    [anon_sym_public] = ACTIONS(3313),
    [anon_sym_private] = ACTIONS(3313),
    [anon_sym_protected] = ACTIONS(3313),
    [anon_sym_using] = ACTIONS(3313),
    [anon_sym_static_assert] = ACTIONS(3313),
  },
  [2419] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [anon_sym_L_DQUOTE] = ACTIONS(5374),
    [anon_sym_u_DQUOTE] = ACTIONS(5374),
    [anon_sym_U_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8_DQUOTE] = ACTIONS(5374),
    [anon_sym_DQUOTE] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5374),
    [anon_sym_LR_DQUOTE] = ACTIONS(5374),
    [anon_sym_uR_DQUOTE] = ACTIONS(5374),
    [anon_sym_UR_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5374),
    [sym_literal_suffix] = ACTIONS(5372),
  },
  [2420] = {
    [sym_identifier] = ACTIONS(3340),
    [aux_sym_preproc_def_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token1] = ACTIONS(3340),
    [aux_sym_preproc_if_token2] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3340),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3340),
    [aux_sym_preproc_else_token1] = ACTIONS(3340),
    [aux_sym_preproc_elif_token1] = ACTIONS(3340),
    [sym_preproc_directive] = ACTIONS(3340),
    [anon_sym_LPAREN2] = ACTIONS(3342),
    [anon_sym_TILDE] = ACTIONS(3342),
    [anon_sym_STAR] = ACTIONS(3342),
    [anon_sym_AMP_AMP] = ACTIONS(3342),
    [anon_sym_AMP] = ACTIONS(3340),
    [anon_sym___extension__] = ACTIONS(3340),
    [anon_sym_typedef] = ACTIONS(3340),
    [anon_sym_extern] = ACTIONS(3340),
    [anon_sym___attribute__] = ACTIONS(3340),
    [anon_sym_COLON_COLON] = ACTIONS(3342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3342),
    [anon_sym___declspec] = ACTIONS(3340),
    [anon_sym___based] = ACTIONS(3340),
    [anon_sym_signed] = ACTIONS(3340),
    [anon_sym_unsigned] = ACTIONS(3340),
    [anon_sym_long] = ACTIONS(3340),
    [anon_sym_short] = ACTIONS(3340),
    [anon_sym_LBRACK] = ACTIONS(3340),
    [anon_sym_static] = ACTIONS(3340),
    [anon_sym_register] = ACTIONS(3340),
    [anon_sym_inline] = ACTIONS(3340),
    [anon_sym___inline] = ACTIONS(3340),
    [anon_sym___inline__] = ACTIONS(3340),
    [anon_sym___forceinline] = ACTIONS(3340),
    [anon_sym_thread_local] = ACTIONS(3340),
    [anon_sym___thread] = ACTIONS(3340),
    [anon_sym_const] = ACTIONS(3340),
    [anon_sym_constexpr] = ACTIONS(3340),
    [anon_sym_volatile] = ACTIONS(3340),
    [anon_sym_restrict] = ACTIONS(3340),
    [anon_sym___restrict__] = ACTIONS(3340),
    [anon_sym__Atomic] = ACTIONS(3340),
    [anon_sym__Noreturn] = ACTIONS(3340),
    [anon_sym_noreturn] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3340),
    [anon_sym_constinit] = ACTIONS(3340),
    [anon_sym_consteval] = ACTIONS(3340),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3340),
    [anon_sym_class] = ACTIONS(3340),
    [anon_sym_struct] = ACTIONS(3340),
    [anon_sym_union] = ACTIONS(3340),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3340),
    [anon_sym_decltype] = ACTIONS(3340),
    [anon_sym_virtual] = ACTIONS(3340),
    [anon_sym_alignas] = ACTIONS(3340),
    [anon_sym_explicit] = ACTIONS(3340),
    [anon_sym_typename] = ACTIONS(3340),
    [anon_sym_template] = ACTIONS(3340),
    [anon_sym_operator] = ACTIONS(3340),
    [anon_sym_friend] = ACTIONS(3340),
    [anon_sym_public] = ACTIONS(3340),
    [anon_sym_private] = ACTIONS(3340),
    [anon_sym_protected] = ACTIONS(3340),
    [anon_sym_using] = ACTIONS(3340),
    [anon_sym_static_assert] = ACTIONS(3340),
  },
  [2421] = {
    [sym_attribute_specifier] = STATE(2582),
    [sym_identifier] = ACTIONS(5950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5952),
    [anon_sym_COMMA] = ACTIONS(5952),
    [anon_sym_RPAREN] = ACTIONS(5952),
    [aux_sym_preproc_if_token2] = ACTIONS(5952),
    [aux_sym_preproc_else_token1] = ACTIONS(5952),
    [aux_sym_preproc_elif_token1] = ACTIONS(5950),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5952),
    [anon_sym_LPAREN2] = ACTIONS(5952),
    [anon_sym_DASH] = ACTIONS(5950),
    [anon_sym_PLUS] = ACTIONS(5950),
    [anon_sym_STAR] = ACTIONS(5950),
    [anon_sym_SLASH] = ACTIONS(5950),
    [anon_sym_PERCENT] = ACTIONS(5950),
    [anon_sym_PIPE_PIPE] = ACTIONS(5952),
    [anon_sym_AMP_AMP] = ACTIONS(5952),
    [anon_sym_PIPE] = ACTIONS(5950),
    [anon_sym_CARET] = ACTIONS(5950),
    [anon_sym_AMP] = ACTIONS(5950),
    [anon_sym_EQ_EQ] = ACTIONS(5952),
    [anon_sym_BANG_EQ] = ACTIONS(5952),
    [anon_sym_GT] = ACTIONS(5950),
    [anon_sym_GT_EQ] = ACTIONS(5952),
    [anon_sym_LT_EQ] = ACTIONS(5950),
    [anon_sym_LT] = ACTIONS(5950),
    [anon_sym_LT_LT] = ACTIONS(5950),
    [anon_sym_GT_GT] = ACTIONS(5950),
    [anon_sym_SEMI] = ACTIONS(5952),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5952),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_RBRACK] = ACTIONS(5952),
    [anon_sym_EQ] = ACTIONS(5950),
    [anon_sym_COLON] = ACTIONS(5952),
    [anon_sym_QMARK] = ACTIONS(5952),
    [anon_sym_STAR_EQ] = ACTIONS(5952),
    [anon_sym_SLASH_EQ] = ACTIONS(5952),
    [anon_sym_PERCENT_EQ] = ACTIONS(5952),
    [anon_sym_PLUS_EQ] = ACTIONS(5952),
    [anon_sym_DASH_EQ] = ACTIONS(5952),
    [anon_sym_LT_LT_EQ] = ACTIONS(5952),
    [anon_sym_GT_GT_EQ] = ACTIONS(5952),
    [anon_sym_AMP_EQ] = ACTIONS(5952),
    [anon_sym_CARET_EQ] = ACTIONS(5952),
    [anon_sym_PIPE_EQ] = ACTIONS(5952),
    [anon_sym_and_eq] = ACTIONS(5950),
    [anon_sym_or_eq] = ACTIONS(5950),
    [anon_sym_xor_eq] = ACTIONS(5950),
    [anon_sym_LT_EQ_GT] = ACTIONS(5952),
    [anon_sym_or] = ACTIONS(5950),
    [anon_sym_and] = ACTIONS(5950),
    [anon_sym_bitor] = ACTIONS(5950),
    [anon_sym_xor] = ACTIONS(5950),
    [anon_sym_bitand] = ACTIONS(5950),
    [anon_sym_not_eq] = ACTIONS(5950),
    [anon_sym_DASH_DASH] = ACTIONS(5952),
    [anon_sym_PLUS_PLUS] = ACTIONS(5952),
    [anon_sym_DOT] = ACTIONS(5950),
    [anon_sym_DOT_STAR] = ACTIONS(5952),
    [anon_sym_DASH_GT] = ACTIONS(5952),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5950),
    [anon_sym_decltype] = ACTIONS(5950),
  },
  [2422] = {
    [sym_attribute_specifier] = STATE(2583),
    [sym_identifier] = ACTIONS(5954),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5956),
    [anon_sym_COMMA] = ACTIONS(5956),
    [anon_sym_RPAREN] = ACTIONS(5956),
    [aux_sym_preproc_if_token2] = ACTIONS(5956),
    [aux_sym_preproc_else_token1] = ACTIONS(5956),
    [aux_sym_preproc_elif_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5956),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5956),
    [anon_sym_LPAREN2] = ACTIONS(5956),
    [anon_sym_DASH] = ACTIONS(5954),
    [anon_sym_PLUS] = ACTIONS(5954),
    [anon_sym_STAR] = ACTIONS(5954),
    [anon_sym_SLASH] = ACTIONS(5954),
    [anon_sym_PERCENT] = ACTIONS(5954),
    [anon_sym_PIPE_PIPE] = ACTIONS(5956),
    [anon_sym_AMP_AMP] = ACTIONS(5956),
    [anon_sym_PIPE] = ACTIONS(5954),
    [anon_sym_CARET] = ACTIONS(5954),
    [anon_sym_AMP] = ACTIONS(5954),
    [anon_sym_EQ_EQ] = ACTIONS(5956),
    [anon_sym_BANG_EQ] = ACTIONS(5956),
    [anon_sym_GT] = ACTIONS(5954),
    [anon_sym_GT_EQ] = ACTIONS(5956),
    [anon_sym_LT_EQ] = ACTIONS(5954),
    [anon_sym_LT] = ACTIONS(5954),
    [anon_sym_LT_LT] = ACTIONS(5954),
    [anon_sym_GT_GT] = ACTIONS(5954),
    [anon_sym_SEMI] = ACTIONS(5956),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5956),
    [anon_sym_RBRACE] = ACTIONS(5956),
    [anon_sym_LBRACK] = ACTIONS(5956),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_EQ] = ACTIONS(5954),
    [anon_sym_COLON] = ACTIONS(5956),
    [anon_sym_QMARK] = ACTIONS(5956),
    [anon_sym_STAR_EQ] = ACTIONS(5956),
    [anon_sym_SLASH_EQ] = ACTIONS(5956),
    [anon_sym_PERCENT_EQ] = ACTIONS(5956),
    [anon_sym_PLUS_EQ] = ACTIONS(5956),
    [anon_sym_DASH_EQ] = ACTIONS(5956),
    [anon_sym_LT_LT_EQ] = ACTIONS(5956),
    [anon_sym_GT_GT_EQ] = ACTIONS(5956),
    [anon_sym_AMP_EQ] = ACTIONS(5956),
    [anon_sym_CARET_EQ] = ACTIONS(5956),
    [anon_sym_PIPE_EQ] = ACTIONS(5956),
    [anon_sym_and_eq] = ACTIONS(5954),
    [anon_sym_or_eq] = ACTIONS(5954),
    [anon_sym_xor_eq] = ACTIONS(5954),
    [anon_sym_LT_EQ_GT] = ACTIONS(5956),
    [anon_sym_or] = ACTIONS(5954),
    [anon_sym_and] = ACTIONS(5954),
    [anon_sym_bitor] = ACTIONS(5954),
    [anon_sym_xor] = ACTIONS(5954),
    [anon_sym_bitand] = ACTIONS(5954),
    [anon_sym_not_eq] = ACTIONS(5954),
    [anon_sym_DASH_DASH] = ACTIONS(5956),
    [anon_sym_PLUS_PLUS] = ACTIONS(5956),
    [anon_sym_DOT] = ACTIONS(5954),
    [anon_sym_DOT_STAR] = ACTIONS(5956),
    [anon_sym_DASH_GT] = ACTIONS(5956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5954),
    [anon_sym_decltype] = ACTIONS(5954),
  },
  [2423] = {
    [sym_identifier] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym_typedef] = ACTIONS(5594),
    [anon_sym_extern] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5596),
    [anon_sym___declspec] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_static] = ACTIONS(5594),
    [anon_sym_register] = ACTIONS(5594),
    [anon_sym_inline] = ACTIONS(5594),
    [anon_sym___inline] = ACTIONS(5594),
    [anon_sym___inline__] = ACTIONS(5594),
    [anon_sym___forceinline] = ACTIONS(5594),
    [anon_sym_thread_local] = ACTIONS(5594),
    [anon_sym___thread] = ACTIONS(5594),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [sym_primitive_type] = ACTIONS(5594),
    [anon_sym_enum] = ACTIONS(5594),
    [anon_sym_class] = ACTIONS(5594),
    [anon_sym_struct] = ACTIONS(5594),
    [anon_sym_union] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_virtual] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym_explicit] = ACTIONS(5594),
    [anon_sym_typename] = ACTIONS(5594),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_friend] = ACTIONS(5594),
    [anon_sym_public] = ACTIONS(5594),
    [anon_sym_private] = ACTIONS(5594),
    [anon_sym_protected] = ACTIONS(5594),
    [anon_sym_using] = ACTIONS(5594),
    [anon_sym_static_assert] = ACTIONS(5594),
  },
  [2424] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2425] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2426] = {
    [sym_identifier] = ACTIONS(5598),
    [aux_sym_preproc_def_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token1] = ACTIONS(5598),
    [aux_sym_preproc_if_token2] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5598),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5598),
    [aux_sym_preproc_else_token1] = ACTIONS(5598),
    [aux_sym_preproc_elif_token1] = ACTIONS(5598),
    [sym_preproc_directive] = ACTIONS(5598),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_TILDE] = ACTIONS(5600),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5598),
    [anon_sym_typedef] = ACTIONS(5598),
    [anon_sym_extern] = ACTIONS(5598),
    [anon_sym___attribute__] = ACTIONS(5598),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5600),
    [anon_sym___declspec] = ACTIONS(5598),
    [anon_sym___based] = ACTIONS(5598),
    [anon_sym_signed] = ACTIONS(5598),
    [anon_sym_unsigned] = ACTIONS(5598),
    [anon_sym_long] = ACTIONS(5598),
    [anon_sym_short] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5598),
    [anon_sym_static] = ACTIONS(5598),
    [anon_sym_register] = ACTIONS(5598),
    [anon_sym_inline] = ACTIONS(5598),
    [anon_sym___inline] = ACTIONS(5598),
    [anon_sym___inline__] = ACTIONS(5598),
    [anon_sym___forceinline] = ACTIONS(5598),
    [anon_sym_thread_local] = ACTIONS(5598),
    [anon_sym___thread] = ACTIONS(5598),
    [anon_sym_const] = ACTIONS(5598),
    [anon_sym_constexpr] = ACTIONS(5598),
    [anon_sym_volatile] = ACTIONS(5598),
    [anon_sym_restrict] = ACTIONS(5598),
    [anon_sym___restrict__] = ACTIONS(5598),
    [anon_sym__Atomic] = ACTIONS(5598),
    [anon_sym__Noreturn] = ACTIONS(5598),
    [anon_sym_noreturn] = ACTIONS(5598),
    [anon_sym_mutable] = ACTIONS(5598),
    [anon_sym_constinit] = ACTIONS(5598),
    [anon_sym_consteval] = ACTIONS(5598),
    [sym_primitive_type] = ACTIONS(5598),
    [anon_sym_enum] = ACTIONS(5598),
    [anon_sym_class] = ACTIONS(5598),
    [anon_sym_struct] = ACTIONS(5598),
    [anon_sym_union] = ACTIONS(5598),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5598),
    [anon_sym_decltype] = ACTIONS(5598),
    [anon_sym_virtual] = ACTIONS(5598),
    [anon_sym_alignas] = ACTIONS(5598),
    [anon_sym_explicit] = ACTIONS(5598),
    [anon_sym_typename] = ACTIONS(5598),
    [anon_sym_template] = ACTIONS(5598),
    [anon_sym_operator] = ACTIONS(5598),
    [anon_sym_friend] = ACTIONS(5598),
    [anon_sym_public] = ACTIONS(5598),
    [anon_sym_private] = ACTIONS(5598),
    [anon_sym_protected] = ACTIONS(5598),
    [anon_sym_using] = ACTIONS(5598),
    [anon_sym_static_assert] = ACTIONS(5598),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(5594),
    [aux_sym_preproc_def_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token1] = ACTIONS(5594),
    [aux_sym_preproc_if_token2] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5594),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5594),
    [aux_sym_preproc_else_token1] = ACTIONS(5594),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [sym_preproc_directive] = ACTIONS(5594),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym_typedef] = ACTIONS(5594),
    [anon_sym_extern] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5596),
    [anon_sym___declspec] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_static] = ACTIONS(5594),
    [anon_sym_register] = ACTIONS(5594),
    [anon_sym_inline] = ACTIONS(5594),
    [anon_sym___inline] = ACTIONS(5594),
    [anon_sym___inline__] = ACTIONS(5594),
    [anon_sym___forceinline] = ACTIONS(5594),
    [anon_sym_thread_local] = ACTIONS(5594),
    [anon_sym___thread] = ACTIONS(5594),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [sym_primitive_type] = ACTIONS(5594),
    [anon_sym_enum] = ACTIONS(5594),
    [anon_sym_class] = ACTIONS(5594),
    [anon_sym_struct] = ACTIONS(5594),
    [anon_sym_union] = ACTIONS(5594),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_virtual] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym_explicit] = ACTIONS(5594),
    [anon_sym_typename] = ACTIONS(5594),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_friend] = ACTIONS(5594),
    [anon_sym_public] = ACTIONS(5594),
    [anon_sym_private] = ACTIONS(5594),
    [anon_sym_protected] = ACTIONS(5594),
    [anon_sym_using] = ACTIONS(5594),
    [anon_sym_static_assert] = ACTIONS(5594),
  },
  [2428] = {
    [sym_identifier] = ACTIONS(5590),
    [aux_sym_preproc_def_token1] = ACTIONS(5590),
    [aux_sym_preproc_if_token1] = ACTIONS(5590),
    [aux_sym_preproc_if_token2] = ACTIONS(5590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5590),
    [aux_sym_preproc_else_token1] = ACTIONS(5590),
    [aux_sym_preproc_elif_token1] = ACTIONS(5590),
    [sym_preproc_directive] = ACTIONS(5590),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_TILDE] = ACTIONS(5592),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5590),
    [anon_sym_typedef] = ACTIONS(5590),
    [anon_sym_extern] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym_COLON_COLON] = ACTIONS(5592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5592),
    [anon_sym___declspec] = ACTIONS(5590),
    [anon_sym___based] = ACTIONS(5590),
    [anon_sym_signed] = ACTIONS(5590),
    [anon_sym_unsigned] = ACTIONS(5590),
    [anon_sym_long] = ACTIONS(5590),
    [anon_sym_short] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5590),
    [anon_sym_static] = ACTIONS(5590),
    [anon_sym_register] = ACTIONS(5590),
    [anon_sym_inline] = ACTIONS(5590),
    [anon_sym___inline] = ACTIONS(5590),
    [anon_sym___inline__] = ACTIONS(5590),
    [anon_sym___forceinline] = ACTIONS(5590),
    [anon_sym_thread_local] = ACTIONS(5590),
    [anon_sym___thread] = ACTIONS(5590),
    [anon_sym_const] = ACTIONS(5590),
    [anon_sym_constexpr] = ACTIONS(5590),
    [anon_sym_volatile] = ACTIONS(5590),
    [anon_sym_restrict] = ACTIONS(5590),
    [anon_sym___restrict__] = ACTIONS(5590),
    [anon_sym__Atomic] = ACTIONS(5590),
    [anon_sym__Noreturn] = ACTIONS(5590),
    [anon_sym_noreturn] = ACTIONS(5590),
    [anon_sym_mutable] = ACTIONS(5590),
    [anon_sym_constinit] = ACTIONS(5590),
    [anon_sym_consteval] = ACTIONS(5590),
    [sym_primitive_type] = ACTIONS(5590),
    [anon_sym_enum] = ACTIONS(5590),
    [anon_sym_class] = ACTIONS(5590),
    [anon_sym_struct] = ACTIONS(5590),
    [anon_sym_union] = ACTIONS(5590),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
    [anon_sym_virtual] = ACTIONS(5590),
    [anon_sym_alignas] = ACTIONS(5590),
    [anon_sym_explicit] = ACTIONS(5590),
    [anon_sym_typename] = ACTIONS(5590),
    [anon_sym_template] = ACTIONS(5590),
    [anon_sym_operator] = ACTIONS(5590),
    [anon_sym_friend] = ACTIONS(5590),
    [anon_sym_public] = ACTIONS(5590),
    [anon_sym_private] = ACTIONS(5590),
    [anon_sym_protected] = ACTIONS(5590),
    [anon_sym_using] = ACTIONS(5590),
    [anon_sym_static_assert] = ACTIONS(5590),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_def_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5586),
    [sym_preproc_directive] = ACTIONS(5586),
    [anon_sym_LPAREN2] = ACTIONS(5588),
    [anon_sym_TILDE] = ACTIONS(5588),
    [anon_sym_STAR] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5588),
    [anon_sym_AMP] = ACTIONS(5586),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym_typedef] = ACTIONS(5586),
    [anon_sym_extern] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym_COLON_COLON] = ACTIONS(5588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5588),
    [anon_sym___declspec] = ACTIONS(5586),
    [anon_sym___based] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5586),
    [anon_sym_static] = ACTIONS(5586),
    [anon_sym_register] = ACTIONS(5586),
    [anon_sym_inline] = ACTIONS(5586),
    [anon_sym___inline] = ACTIONS(5586),
    [anon_sym___inline__] = ACTIONS(5586),
    [anon_sym___forceinline] = ACTIONS(5586),
    [anon_sym_thread_local] = ACTIONS(5586),
    [anon_sym___thread] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_mutable] = ACTIONS(5586),
    [anon_sym_constinit] = ACTIONS(5586),
    [anon_sym_consteval] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_class] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5586),
    [anon_sym_decltype] = ACTIONS(5586),
    [anon_sym_virtual] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym_explicit] = ACTIONS(5586),
    [anon_sym_typename] = ACTIONS(5586),
    [anon_sym_template] = ACTIONS(5586),
    [anon_sym_operator] = ACTIONS(5586),
    [anon_sym_friend] = ACTIONS(5586),
    [anon_sym_public] = ACTIONS(5586),
    [anon_sym_private] = ACTIONS(5586),
    [anon_sym_protected] = ACTIONS(5586),
    [anon_sym_using] = ACTIONS(5586),
    [anon_sym_static_assert] = ACTIONS(5586),
  },
  [2430] = {
    [sym_identifier] = ACTIONS(5659),
    [aux_sym_preproc_def_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token1] = ACTIONS(5659),
    [aux_sym_preproc_if_token2] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5659),
    [aux_sym_preproc_else_token1] = ACTIONS(5659),
    [aux_sym_preproc_elif_token1] = ACTIONS(5659),
    [sym_preproc_directive] = ACTIONS(5659),
    [anon_sym_LPAREN2] = ACTIONS(5661),
    [anon_sym_TILDE] = ACTIONS(5661),
    [anon_sym_STAR] = ACTIONS(5661),
    [anon_sym_AMP_AMP] = ACTIONS(5661),
    [anon_sym_AMP] = ACTIONS(5659),
    [anon_sym___extension__] = ACTIONS(5659),
    [anon_sym_typedef] = ACTIONS(5659),
    [anon_sym_extern] = ACTIONS(5659),
    [anon_sym___attribute__] = ACTIONS(5659),
    [anon_sym_COLON_COLON] = ACTIONS(5661),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5661),
    [anon_sym___declspec] = ACTIONS(5659),
    [anon_sym___based] = ACTIONS(5659),
    [anon_sym_signed] = ACTIONS(5659),
    [anon_sym_unsigned] = ACTIONS(5659),
    [anon_sym_long] = ACTIONS(5659),
    [anon_sym_short] = ACTIONS(5659),
    [anon_sym_LBRACK] = ACTIONS(5659),
    [anon_sym_static] = ACTIONS(5659),
    [anon_sym_register] = ACTIONS(5659),
    [anon_sym_inline] = ACTIONS(5659),
    [anon_sym___inline] = ACTIONS(5659),
    [anon_sym___inline__] = ACTIONS(5659),
    [anon_sym___forceinline] = ACTIONS(5659),
    [anon_sym_thread_local] = ACTIONS(5659),
    [anon_sym___thread] = ACTIONS(5659),
    [anon_sym_const] = ACTIONS(5659),
    [anon_sym_constexpr] = ACTIONS(5659),
    [anon_sym_volatile] = ACTIONS(5659),
    [anon_sym_restrict] = ACTIONS(5659),
    [anon_sym___restrict__] = ACTIONS(5659),
    [anon_sym__Atomic] = ACTIONS(5659),
    [anon_sym__Noreturn] = ACTIONS(5659),
    [anon_sym_noreturn] = ACTIONS(5659),
    [anon_sym_mutable] = ACTIONS(5659),
    [anon_sym_constinit] = ACTIONS(5659),
    [anon_sym_consteval] = ACTIONS(5659),
    [sym_primitive_type] = ACTIONS(5659),
    [anon_sym_enum] = ACTIONS(5659),
    [anon_sym_class] = ACTIONS(5659),
    [anon_sym_struct] = ACTIONS(5659),
    [anon_sym_union] = ACTIONS(5659),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5659),
    [anon_sym_decltype] = ACTIONS(5659),
    [anon_sym_virtual] = ACTIONS(5659),
    [anon_sym_alignas] = ACTIONS(5659),
    [anon_sym_explicit] = ACTIONS(5659),
    [anon_sym_typename] = ACTIONS(5659),
    [anon_sym_template] = ACTIONS(5659),
    [anon_sym_operator] = ACTIONS(5659),
    [anon_sym_friend] = ACTIONS(5659),
    [anon_sym_public] = ACTIONS(5659),
    [anon_sym_private] = ACTIONS(5659),
    [anon_sym_protected] = ACTIONS(5659),
    [anon_sym_using] = ACTIONS(5659),
    [anon_sym_static_assert] = ACTIONS(5659),
  },
  [2431] = {
    [sym_identifier] = ACTIONS(5578),
    [aux_sym_preproc_def_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token1] = ACTIONS(5578),
    [aux_sym_preproc_if_token2] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5578),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5578),
    [aux_sym_preproc_else_token1] = ACTIONS(5578),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [sym_preproc_directive] = ACTIONS(5578),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_TILDE] = ACTIONS(5580),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym___extension__] = ACTIONS(5578),
    [anon_sym_typedef] = ACTIONS(5578),
    [anon_sym_extern] = ACTIONS(5578),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym_COLON_COLON] = ACTIONS(5580),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5580),
    [anon_sym___declspec] = ACTIONS(5578),
    [anon_sym___based] = ACTIONS(5578),
    [anon_sym_signed] = ACTIONS(5578),
    [anon_sym_unsigned] = ACTIONS(5578),
    [anon_sym_long] = ACTIONS(5578),
    [anon_sym_short] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5578),
    [anon_sym_static] = ACTIONS(5578),
    [anon_sym_register] = ACTIONS(5578),
    [anon_sym_inline] = ACTIONS(5578),
    [anon_sym___inline] = ACTIONS(5578),
    [anon_sym___inline__] = ACTIONS(5578),
    [anon_sym___forceinline] = ACTIONS(5578),
    [anon_sym_thread_local] = ACTIONS(5578),
    [anon_sym___thread] = ACTIONS(5578),
    [anon_sym_const] = ACTIONS(5578),
    [anon_sym_constexpr] = ACTIONS(5578),
    [anon_sym_volatile] = ACTIONS(5578),
    [anon_sym_restrict] = ACTIONS(5578),
    [anon_sym___restrict__] = ACTIONS(5578),
    [anon_sym__Atomic] = ACTIONS(5578),
    [anon_sym__Noreturn] = ACTIONS(5578),
    [anon_sym_noreturn] = ACTIONS(5578),
    [anon_sym_mutable] = ACTIONS(5578),
    [anon_sym_constinit] = ACTIONS(5578),
    [anon_sym_consteval] = ACTIONS(5578),
    [sym_primitive_type] = ACTIONS(5578),
    [anon_sym_enum] = ACTIONS(5578),
    [anon_sym_class] = ACTIONS(5578),
    [anon_sym_struct] = ACTIONS(5578),
    [anon_sym_union] = ACTIONS(5578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
    [anon_sym_virtual] = ACTIONS(5578),
    [anon_sym_alignas] = ACTIONS(5578),
    [anon_sym_explicit] = ACTIONS(5578),
    [anon_sym_typename] = ACTIONS(5578),
    [anon_sym_template] = ACTIONS(5578),
    [anon_sym_operator] = ACTIONS(5578),
    [anon_sym_friend] = ACTIONS(5578),
    [anon_sym_public] = ACTIONS(5578),
    [anon_sym_private] = ACTIONS(5578),
    [anon_sym_protected] = ACTIONS(5578),
    [anon_sym_using] = ACTIONS(5578),
    [anon_sym_static_assert] = ACTIONS(5578),
  },
  [2432] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [anon_sym_RPAREN] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5380),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5380),
    [anon_sym_GT_GT] = ACTIONS(5380),
    [anon_sym_SEMI] = ACTIONS(5382),
    [anon_sym_RBRACE] = ACTIONS(5382),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_RBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_COLON] = ACTIONS(5382),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5380),
    [anon_sym_or_eq] = ACTIONS(5380),
    [anon_sym_xor_eq] = ACTIONS(5380),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [anon_sym_L_DQUOTE] = ACTIONS(5382),
    [anon_sym_u_DQUOTE] = ACTIONS(5382),
    [anon_sym_U_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8_DQUOTE] = ACTIONS(5382),
    [anon_sym_DQUOTE] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5382),
    [anon_sym_LR_DQUOTE] = ACTIONS(5382),
    [anon_sym_uR_DQUOTE] = ACTIONS(5382),
    [anon_sym_UR_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5382),
    [sym_literal_suffix] = ACTIONS(5380),
  },
  [2433] = {
    [sym_identifier] = ACTIONS(5655),
    [aux_sym_preproc_def_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token1] = ACTIONS(5655),
    [aux_sym_preproc_if_token2] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5655),
    [aux_sym_preproc_else_token1] = ACTIONS(5655),
    [aux_sym_preproc_elif_token1] = ACTIONS(5655),
    [sym_preproc_directive] = ACTIONS(5655),
    [anon_sym_LPAREN2] = ACTIONS(5657),
    [anon_sym_TILDE] = ACTIONS(5657),
    [anon_sym_STAR] = ACTIONS(5657),
    [anon_sym_AMP_AMP] = ACTIONS(5657),
    [anon_sym_AMP] = ACTIONS(5655),
    [anon_sym___extension__] = ACTIONS(5655),
    [anon_sym_typedef] = ACTIONS(5655),
    [anon_sym_extern] = ACTIONS(5655),
    [anon_sym___attribute__] = ACTIONS(5655),
    [anon_sym_COLON_COLON] = ACTIONS(5657),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5657),
    [anon_sym___declspec] = ACTIONS(5655),
    [anon_sym___based] = ACTIONS(5655),
    [anon_sym_signed] = ACTIONS(5655),
    [anon_sym_unsigned] = ACTIONS(5655),
    [anon_sym_long] = ACTIONS(5655),
    [anon_sym_short] = ACTIONS(5655),
    [anon_sym_LBRACK] = ACTIONS(5655),
    [anon_sym_static] = ACTIONS(5655),
    [anon_sym_register] = ACTIONS(5655),
    [anon_sym_inline] = ACTIONS(5655),
    [anon_sym___inline] = ACTIONS(5655),
    [anon_sym___inline__] = ACTIONS(5655),
    [anon_sym___forceinline] = ACTIONS(5655),
    [anon_sym_thread_local] = ACTIONS(5655),
    [anon_sym___thread] = ACTIONS(5655),
    [anon_sym_const] = ACTIONS(5655),
    [anon_sym_constexpr] = ACTIONS(5655),
    [anon_sym_volatile] = ACTIONS(5655),
    [anon_sym_restrict] = ACTIONS(5655),
    [anon_sym___restrict__] = ACTIONS(5655),
    [anon_sym__Atomic] = ACTIONS(5655),
    [anon_sym__Noreturn] = ACTIONS(5655),
    [anon_sym_noreturn] = ACTIONS(5655),
    [anon_sym_mutable] = ACTIONS(5655),
    [anon_sym_constinit] = ACTIONS(5655),
    [anon_sym_consteval] = ACTIONS(5655),
    [sym_primitive_type] = ACTIONS(5655),
    [anon_sym_enum] = ACTIONS(5655),
    [anon_sym_class] = ACTIONS(5655),
    [anon_sym_struct] = ACTIONS(5655),
    [anon_sym_union] = ACTIONS(5655),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5655),
    [anon_sym_decltype] = ACTIONS(5655),
    [anon_sym_virtual] = ACTIONS(5655),
    [anon_sym_alignas] = ACTIONS(5655),
    [anon_sym_explicit] = ACTIONS(5655),
    [anon_sym_typename] = ACTIONS(5655),
    [anon_sym_template] = ACTIONS(5655),
    [anon_sym_operator] = ACTIONS(5655),
    [anon_sym_friend] = ACTIONS(5655),
    [anon_sym_public] = ACTIONS(5655),
    [anon_sym_private] = ACTIONS(5655),
    [anon_sym_protected] = ACTIONS(5655),
    [anon_sym_using] = ACTIONS(5655),
    [anon_sym_static_assert] = ACTIONS(5655),
  },
  [2434] = {
    [sym_identifier] = ACTIONS(5651),
    [aux_sym_preproc_def_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token1] = ACTIONS(5651),
    [aux_sym_preproc_if_token2] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5651),
    [aux_sym_preproc_else_token1] = ACTIONS(5651),
    [aux_sym_preproc_elif_token1] = ACTIONS(5651),
    [sym_preproc_directive] = ACTIONS(5651),
    [anon_sym_LPAREN2] = ACTIONS(5653),
    [anon_sym_TILDE] = ACTIONS(5653),
    [anon_sym_STAR] = ACTIONS(5653),
    [anon_sym_AMP_AMP] = ACTIONS(5653),
    [anon_sym_AMP] = ACTIONS(5651),
    [anon_sym___extension__] = ACTIONS(5651),
    [anon_sym_typedef] = ACTIONS(5651),
    [anon_sym_extern] = ACTIONS(5651),
    [anon_sym___attribute__] = ACTIONS(5651),
    [anon_sym_COLON_COLON] = ACTIONS(5653),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5653),
    [anon_sym___declspec] = ACTIONS(5651),
    [anon_sym___based] = ACTIONS(5651),
    [anon_sym_signed] = ACTIONS(5651),
    [anon_sym_unsigned] = ACTIONS(5651),
    [anon_sym_long] = ACTIONS(5651),
    [anon_sym_short] = ACTIONS(5651),
    [anon_sym_LBRACK] = ACTIONS(5651),
    [anon_sym_static] = ACTIONS(5651),
    [anon_sym_register] = ACTIONS(5651),
    [anon_sym_inline] = ACTIONS(5651),
    [anon_sym___inline] = ACTIONS(5651),
    [anon_sym___inline__] = ACTIONS(5651),
    [anon_sym___forceinline] = ACTIONS(5651),
    [anon_sym_thread_local] = ACTIONS(5651),
    [anon_sym___thread] = ACTIONS(5651),
    [anon_sym_const] = ACTIONS(5651),
    [anon_sym_constexpr] = ACTIONS(5651),
    [anon_sym_volatile] = ACTIONS(5651),
    [anon_sym_restrict] = ACTIONS(5651),
    [anon_sym___restrict__] = ACTIONS(5651),
    [anon_sym__Atomic] = ACTIONS(5651),
    [anon_sym__Noreturn] = ACTIONS(5651),
    [anon_sym_noreturn] = ACTIONS(5651),
    [anon_sym_mutable] = ACTIONS(5651),
    [anon_sym_constinit] = ACTIONS(5651),
    [anon_sym_consteval] = ACTIONS(5651),
    [sym_primitive_type] = ACTIONS(5651),
    [anon_sym_enum] = ACTIONS(5651),
    [anon_sym_class] = ACTIONS(5651),
    [anon_sym_struct] = ACTIONS(5651),
    [anon_sym_union] = ACTIONS(5651),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5651),
    [anon_sym_decltype] = ACTIONS(5651),
    [anon_sym_virtual] = ACTIONS(5651),
    [anon_sym_alignas] = ACTIONS(5651),
    [anon_sym_explicit] = ACTIONS(5651),
    [anon_sym_typename] = ACTIONS(5651),
    [anon_sym_template] = ACTIONS(5651),
    [anon_sym_operator] = ACTIONS(5651),
    [anon_sym_friend] = ACTIONS(5651),
    [anon_sym_public] = ACTIONS(5651),
    [anon_sym_private] = ACTIONS(5651),
    [anon_sym_protected] = ACTIONS(5651),
    [anon_sym_using] = ACTIONS(5651),
    [anon_sym_static_assert] = ACTIONS(5651),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(3397),
    [aux_sym_preproc_def_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token1] = ACTIONS(3397),
    [aux_sym_preproc_if_token2] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3397),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3397),
    [aux_sym_preproc_else_token1] = ACTIONS(3397),
    [aux_sym_preproc_elif_token1] = ACTIONS(3397),
    [sym_preproc_directive] = ACTIONS(3397),
    [anon_sym_LPAREN2] = ACTIONS(3399),
    [anon_sym_TILDE] = ACTIONS(3399),
    [anon_sym_STAR] = ACTIONS(3399),
    [anon_sym_AMP_AMP] = ACTIONS(3399),
    [anon_sym_AMP] = ACTIONS(3397),
    [anon_sym___extension__] = ACTIONS(3397),
    [anon_sym_typedef] = ACTIONS(3397),
    [anon_sym_extern] = ACTIONS(3397),
    [anon_sym___attribute__] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(3399),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3399),
    [anon_sym___declspec] = ACTIONS(3397),
    [anon_sym___based] = ACTIONS(3397),
    [anon_sym_signed] = ACTIONS(3397),
    [anon_sym_unsigned] = ACTIONS(3397),
    [anon_sym_long] = ACTIONS(3397),
    [anon_sym_short] = ACTIONS(3397),
    [anon_sym_LBRACK] = ACTIONS(3397),
    [anon_sym_static] = ACTIONS(3397),
    [anon_sym_register] = ACTIONS(3397),
    [anon_sym_inline] = ACTIONS(3397),
    [anon_sym___inline] = ACTIONS(3397),
    [anon_sym___inline__] = ACTIONS(3397),
    [anon_sym___forceinline] = ACTIONS(3397),
    [anon_sym_thread_local] = ACTIONS(3397),
    [anon_sym___thread] = ACTIONS(3397),
    [anon_sym_const] = ACTIONS(3397),
    [anon_sym_constexpr] = ACTIONS(3397),
    [anon_sym_volatile] = ACTIONS(3397),
    [anon_sym_restrict] = ACTIONS(3397),
    [anon_sym___restrict__] = ACTIONS(3397),
    [anon_sym__Atomic] = ACTIONS(3397),
    [anon_sym__Noreturn] = ACTIONS(3397),
    [anon_sym_noreturn] = ACTIONS(3397),
    [anon_sym_mutable] = ACTIONS(3397),
    [anon_sym_constinit] = ACTIONS(3397),
    [anon_sym_consteval] = ACTIONS(3397),
    [sym_primitive_type] = ACTIONS(3397),
    [anon_sym_enum] = ACTIONS(3397),
    [anon_sym_class] = ACTIONS(3397),
    [anon_sym_struct] = ACTIONS(3397),
    [anon_sym_union] = ACTIONS(3397),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3397),
    [anon_sym_decltype] = ACTIONS(3397),
    [anon_sym_virtual] = ACTIONS(3397),
    [anon_sym_alignas] = ACTIONS(3397),
    [anon_sym_explicit] = ACTIONS(3397),
    [anon_sym_typename] = ACTIONS(3397),
    [anon_sym_template] = ACTIONS(3397),
    [anon_sym_operator] = ACTIONS(3397),
    [anon_sym_friend] = ACTIONS(3397),
    [anon_sym_public] = ACTIONS(3397),
    [anon_sym_private] = ACTIONS(3397),
    [anon_sym_protected] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3397),
    [anon_sym_static_assert] = ACTIONS(3397),
  },
  [2436] = {
    [sym_identifier] = ACTIONS(3389),
    [aux_sym_preproc_def_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token1] = ACTIONS(3389),
    [aux_sym_preproc_if_token2] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3389),
    [aux_sym_preproc_else_token1] = ACTIONS(3389),
    [aux_sym_preproc_elif_token1] = ACTIONS(3389),
    [sym_preproc_directive] = ACTIONS(3389),
    [anon_sym_LPAREN2] = ACTIONS(3391),
    [anon_sym_TILDE] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3391),
    [anon_sym_AMP_AMP] = ACTIONS(3391),
    [anon_sym_AMP] = ACTIONS(3389),
    [anon_sym___extension__] = ACTIONS(3389),
    [anon_sym_typedef] = ACTIONS(3389),
    [anon_sym_extern] = ACTIONS(3389),
    [anon_sym___attribute__] = ACTIONS(3389),
    [anon_sym_COLON_COLON] = ACTIONS(3391),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3391),
    [anon_sym___declspec] = ACTIONS(3389),
    [anon_sym___based] = ACTIONS(3389),
    [anon_sym_signed] = ACTIONS(3389),
    [anon_sym_unsigned] = ACTIONS(3389),
    [anon_sym_long] = ACTIONS(3389),
    [anon_sym_short] = ACTIONS(3389),
    [anon_sym_LBRACK] = ACTIONS(3389),
    [anon_sym_static] = ACTIONS(3389),
    [anon_sym_register] = ACTIONS(3389),
    [anon_sym_inline] = ACTIONS(3389),
    [anon_sym___inline] = ACTIONS(3389),
    [anon_sym___inline__] = ACTIONS(3389),
    [anon_sym___forceinline] = ACTIONS(3389),
    [anon_sym_thread_local] = ACTIONS(3389),
    [anon_sym___thread] = ACTIONS(3389),
    [anon_sym_const] = ACTIONS(3389),
    [anon_sym_constexpr] = ACTIONS(3389),
    [anon_sym_volatile] = ACTIONS(3389),
    [anon_sym_restrict] = ACTIONS(3389),
    [anon_sym___restrict__] = ACTIONS(3389),
    [anon_sym__Atomic] = ACTIONS(3389),
    [anon_sym__Noreturn] = ACTIONS(3389),
    [anon_sym_noreturn] = ACTIONS(3389),
    [anon_sym_mutable] = ACTIONS(3389),
    [anon_sym_constinit] = ACTIONS(3389),
    [anon_sym_consteval] = ACTIONS(3389),
    [sym_primitive_type] = ACTIONS(3389),
    [anon_sym_enum] = ACTIONS(3389),
    [anon_sym_class] = ACTIONS(3389),
    [anon_sym_struct] = ACTIONS(3389),
    [anon_sym_union] = ACTIONS(3389),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3389),
    [anon_sym_decltype] = ACTIONS(3389),
    [anon_sym_virtual] = ACTIONS(3389),
    [anon_sym_alignas] = ACTIONS(3389),
    [anon_sym_explicit] = ACTIONS(3389),
    [anon_sym_typename] = ACTIONS(3389),
    [anon_sym_template] = ACTIONS(3389),
    [anon_sym_operator] = ACTIONS(3389),
    [anon_sym_friend] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3389),
    [anon_sym_private] = ACTIONS(3389),
    [anon_sym_protected] = ACTIONS(3389),
    [anon_sym_using] = ACTIONS(3389),
    [anon_sym_static_assert] = ACTIONS(3389),
  },
  [2437] = {
    [sym_identifier] = ACTIONS(3381),
    [aux_sym_preproc_def_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token1] = ACTIONS(3381),
    [aux_sym_preproc_if_token2] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3381),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3381),
    [aux_sym_preproc_else_token1] = ACTIONS(3381),
    [aux_sym_preproc_elif_token1] = ACTIONS(3381),
    [sym_preproc_directive] = ACTIONS(3381),
    [anon_sym_LPAREN2] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(3383),
    [anon_sym_STAR] = ACTIONS(3383),
    [anon_sym_AMP_AMP] = ACTIONS(3383),
    [anon_sym_AMP] = ACTIONS(3381),
    [anon_sym___extension__] = ACTIONS(3381),
    [anon_sym_typedef] = ACTIONS(3381),
    [anon_sym_extern] = ACTIONS(3381),
    [anon_sym___attribute__] = ACTIONS(3381),
    [anon_sym_COLON_COLON] = ACTIONS(3383),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3383),
    [anon_sym___declspec] = ACTIONS(3381),
    [anon_sym___based] = ACTIONS(3381),
    [anon_sym_signed] = ACTIONS(3381),
    [anon_sym_unsigned] = ACTIONS(3381),
    [anon_sym_long] = ACTIONS(3381),
    [anon_sym_short] = ACTIONS(3381),
    [anon_sym_LBRACK] = ACTIONS(3381),
    [anon_sym_static] = ACTIONS(3381),
    [anon_sym_register] = ACTIONS(3381),
    [anon_sym_inline] = ACTIONS(3381),
    [anon_sym___inline] = ACTIONS(3381),
    [anon_sym___inline__] = ACTIONS(3381),
    [anon_sym___forceinline] = ACTIONS(3381),
    [anon_sym_thread_local] = ACTIONS(3381),
    [anon_sym___thread] = ACTIONS(3381),
    [anon_sym_const] = ACTIONS(3381),
    [anon_sym_constexpr] = ACTIONS(3381),
    [anon_sym_volatile] = ACTIONS(3381),
    [anon_sym_restrict] = ACTIONS(3381),
    [anon_sym___restrict__] = ACTIONS(3381),
    [anon_sym__Atomic] = ACTIONS(3381),
    [anon_sym__Noreturn] = ACTIONS(3381),
    [anon_sym_noreturn] = ACTIONS(3381),
    [anon_sym_mutable] = ACTIONS(3381),
    [anon_sym_constinit] = ACTIONS(3381),
    [anon_sym_consteval] = ACTIONS(3381),
    [sym_primitive_type] = ACTIONS(3381),
    [anon_sym_enum] = ACTIONS(3381),
    [anon_sym_class] = ACTIONS(3381),
    [anon_sym_struct] = ACTIONS(3381),
    [anon_sym_union] = ACTIONS(3381),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3381),
    [anon_sym_decltype] = ACTIONS(3381),
    [anon_sym_virtual] = ACTIONS(3381),
    [anon_sym_alignas] = ACTIONS(3381),
    [anon_sym_explicit] = ACTIONS(3381),
    [anon_sym_typename] = ACTIONS(3381),
    [anon_sym_template] = ACTIONS(3381),
    [anon_sym_operator] = ACTIONS(3381),
    [anon_sym_friend] = ACTIONS(3381),
    [anon_sym_public] = ACTIONS(3381),
    [anon_sym_private] = ACTIONS(3381),
    [anon_sym_protected] = ACTIONS(3381),
    [anon_sym_using] = ACTIONS(3381),
    [anon_sym_static_assert] = ACTIONS(3381),
  },
  [2438] = {
    [sym_identifier] = ACTIONS(3377),
    [aux_sym_preproc_def_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token1] = ACTIONS(3377),
    [aux_sym_preproc_if_token2] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3377),
    [aux_sym_preproc_else_token1] = ACTIONS(3377),
    [aux_sym_preproc_elif_token1] = ACTIONS(3377),
    [sym_preproc_directive] = ACTIONS(3377),
    [anon_sym_LPAREN2] = ACTIONS(3379),
    [anon_sym_TILDE] = ACTIONS(3379),
    [anon_sym_STAR] = ACTIONS(3379),
    [anon_sym_AMP_AMP] = ACTIONS(3379),
    [anon_sym_AMP] = ACTIONS(3377),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3377),
    [anon_sym_extern] = ACTIONS(3377),
    [anon_sym___attribute__] = ACTIONS(3377),
    [anon_sym_COLON_COLON] = ACTIONS(3379),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3379),
    [anon_sym___declspec] = ACTIONS(3377),
    [anon_sym___based] = ACTIONS(3377),
    [anon_sym_signed] = ACTIONS(3377),
    [anon_sym_unsigned] = ACTIONS(3377),
    [anon_sym_long] = ACTIONS(3377),
    [anon_sym_short] = ACTIONS(3377),
    [anon_sym_LBRACK] = ACTIONS(3377),
    [anon_sym_static] = ACTIONS(3377),
    [anon_sym_register] = ACTIONS(3377),
    [anon_sym_inline] = ACTIONS(3377),
    [anon_sym___inline] = ACTIONS(3377),
    [anon_sym___inline__] = ACTIONS(3377),
    [anon_sym___forceinline] = ACTIONS(3377),
    [anon_sym_thread_local] = ACTIONS(3377),
    [anon_sym___thread] = ACTIONS(3377),
    [anon_sym_const] = ACTIONS(3377),
    [anon_sym_constexpr] = ACTIONS(3377),
    [anon_sym_volatile] = ACTIONS(3377),
    [anon_sym_restrict] = ACTIONS(3377),
    [anon_sym___restrict__] = ACTIONS(3377),
    [anon_sym__Atomic] = ACTIONS(3377),
    [anon_sym__Noreturn] = ACTIONS(3377),
    [anon_sym_noreturn] = ACTIONS(3377),
    [anon_sym_mutable] = ACTIONS(3377),
    [anon_sym_constinit] = ACTIONS(3377),
    [anon_sym_consteval] = ACTIONS(3377),
    [sym_primitive_type] = ACTIONS(3377),
    [anon_sym_enum] = ACTIONS(3377),
    [anon_sym_class] = ACTIONS(3377),
    [anon_sym_struct] = ACTIONS(3377),
    [anon_sym_union] = ACTIONS(3377),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3377),
    [anon_sym_decltype] = ACTIONS(3377),
    [anon_sym_virtual] = ACTIONS(3377),
    [anon_sym_alignas] = ACTIONS(3377),
    [anon_sym_explicit] = ACTIONS(3377),
    [anon_sym_typename] = ACTIONS(3377),
    [anon_sym_template] = ACTIONS(3377),
    [anon_sym_operator] = ACTIONS(3377),
    [anon_sym_friend] = ACTIONS(3377),
    [anon_sym_public] = ACTIONS(3377),
    [anon_sym_private] = ACTIONS(3377),
    [anon_sym_protected] = ACTIONS(3377),
    [anon_sym_using] = ACTIONS(3377),
    [anon_sym_static_assert] = ACTIONS(3377),
  },
  [2439] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
  },
  [2440] = {
    [sym_identifier] = ACTIONS(5647),
    [aux_sym_preproc_def_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token1] = ACTIONS(5647),
    [aux_sym_preproc_if_token2] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5647),
    [aux_sym_preproc_else_token1] = ACTIONS(5647),
    [aux_sym_preproc_elif_token1] = ACTIONS(5647),
    [sym_preproc_directive] = ACTIONS(5647),
    [anon_sym_LPAREN2] = ACTIONS(5649),
    [anon_sym_TILDE] = ACTIONS(5649),
    [anon_sym_STAR] = ACTIONS(5649),
    [anon_sym_AMP_AMP] = ACTIONS(5649),
    [anon_sym_AMP] = ACTIONS(5647),
    [anon_sym___extension__] = ACTIONS(5647),
    [anon_sym_typedef] = ACTIONS(5647),
    [anon_sym_extern] = ACTIONS(5647),
    [anon_sym___attribute__] = ACTIONS(5647),
    [anon_sym_COLON_COLON] = ACTIONS(5649),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5649),
    [anon_sym___declspec] = ACTIONS(5647),
    [anon_sym___based] = ACTIONS(5647),
    [anon_sym_signed] = ACTIONS(5647),
    [anon_sym_unsigned] = ACTIONS(5647),
    [anon_sym_long] = ACTIONS(5647),
    [anon_sym_short] = ACTIONS(5647),
    [anon_sym_LBRACK] = ACTIONS(5647),
    [anon_sym_static] = ACTIONS(5647),
    [anon_sym_register] = ACTIONS(5647),
    [anon_sym_inline] = ACTIONS(5647),
    [anon_sym___inline] = ACTIONS(5647),
    [anon_sym___inline__] = ACTIONS(5647),
    [anon_sym___forceinline] = ACTIONS(5647),
    [anon_sym_thread_local] = ACTIONS(5647),
    [anon_sym___thread] = ACTIONS(5647),
    [anon_sym_const] = ACTIONS(5647),
    [anon_sym_constexpr] = ACTIONS(5647),
    [anon_sym_volatile] = ACTIONS(5647),
    [anon_sym_restrict] = ACTIONS(5647),
    [anon_sym___restrict__] = ACTIONS(5647),
    [anon_sym__Atomic] = ACTIONS(5647),
    [anon_sym__Noreturn] = ACTIONS(5647),
    [anon_sym_noreturn] = ACTIONS(5647),
    [anon_sym_mutable] = ACTIONS(5647),
    [anon_sym_constinit] = ACTIONS(5647),
    [anon_sym_consteval] = ACTIONS(5647),
    [sym_primitive_type] = ACTIONS(5647),
    [anon_sym_enum] = ACTIONS(5647),
    [anon_sym_class] = ACTIONS(5647),
    [anon_sym_struct] = ACTIONS(5647),
    [anon_sym_union] = ACTIONS(5647),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5647),
    [anon_sym_decltype] = ACTIONS(5647),
    [anon_sym_virtual] = ACTIONS(5647),
    [anon_sym_alignas] = ACTIONS(5647),
    [anon_sym_explicit] = ACTIONS(5647),
    [anon_sym_typename] = ACTIONS(5647),
    [anon_sym_template] = ACTIONS(5647),
    [anon_sym_operator] = ACTIONS(5647),
    [anon_sym_friend] = ACTIONS(5647),
    [anon_sym_public] = ACTIONS(5647),
    [anon_sym_private] = ACTIONS(5647),
    [anon_sym_protected] = ACTIONS(5647),
    [anon_sym_using] = ACTIONS(5647),
    [anon_sym_static_assert] = ACTIONS(5647),
  },
  [2441] = {
    [sym_identifier] = ACTIONS(5643),
    [aux_sym_preproc_def_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token1] = ACTIONS(5643),
    [aux_sym_preproc_if_token2] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5643),
    [aux_sym_preproc_else_token1] = ACTIONS(5643),
    [aux_sym_preproc_elif_token1] = ACTIONS(5643),
    [sym_preproc_directive] = ACTIONS(5643),
    [anon_sym_LPAREN2] = ACTIONS(5645),
    [anon_sym_TILDE] = ACTIONS(5645),
    [anon_sym_STAR] = ACTIONS(5645),
    [anon_sym_AMP_AMP] = ACTIONS(5645),
    [anon_sym_AMP] = ACTIONS(5643),
    [anon_sym___extension__] = ACTIONS(5643),
    [anon_sym_typedef] = ACTIONS(5643),
    [anon_sym_extern] = ACTIONS(5643),
    [anon_sym___attribute__] = ACTIONS(5643),
    [anon_sym_COLON_COLON] = ACTIONS(5645),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5645),
    [anon_sym___declspec] = ACTIONS(5643),
    [anon_sym___based] = ACTIONS(5643),
    [anon_sym_signed] = ACTIONS(5643),
    [anon_sym_unsigned] = ACTIONS(5643),
    [anon_sym_long] = ACTIONS(5643),
    [anon_sym_short] = ACTIONS(5643),
    [anon_sym_LBRACK] = ACTIONS(5643),
    [anon_sym_static] = ACTIONS(5643),
    [anon_sym_register] = ACTIONS(5643),
    [anon_sym_inline] = ACTIONS(5643),
    [anon_sym___inline] = ACTIONS(5643),
    [anon_sym___inline__] = ACTIONS(5643),
    [anon_sym___forceinline] = ACTIONS(5643),
    [anon_sym_thread_local] = ACTIONS(5643),
    [anon_sym___thread] = ACTIONS(5643),
    [anon_sym_const] = ACTIONS(5643),
    [anon_sym_constexpr] = ACTIONS(5643),
    [anon_sym_volatile] = ACTIONS(5643),
    [anon_sym_restrict] = ACTIONS(5643),
    [anon_sym___restrict__] = ACTIONS(5643),
    [anon_sym__Atomic] = ACTIONS(5643),
    [anon_sym__Noreturn] = ACTIONS(5643),
    [anon_sym_noreturn] = ACTIONS(5643),
    [anon_sym_mutable] = ACTIONS(5643),
    [anon_sym_constinit] = ACTIONS(5643),
    [anon_sym_consteval] = ACTIONS(5643),
    [sym_primitive_type] = ACTIONS(5643),
    [anon_sym_enum] = ACTIONS(5643),
    [anon_sym_class] = ACTIONS(5643),
    [anon_sym_struct] = ACTIONS(5643),
    [anon_sym_union] = ACTIONS(5643),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5643),
    [anon_sym_decltype] = ACTIONS(5643),
    [anon_sym_virtual] = ACTIONS(5643),
    [anon_sym_alignas] = ACTIONS(5643),
    [anon_sym_explicit] = ACTIONS(5643),
    [anon_sym_typename] = ACTIONS(5643),
    [anon_sym_template] = ACTIONS(5643),
    [anon_sym_operator] = ACTIONS(5643),
    [anon_sym_friend] = ACTIONS(5643),
    [anon_sym_public] = ACTIONS(5643),
    [anon_sym_private] = ACTIONS(5643),
    [anon_sym_protected] = ACTIONS(5643),
    [anon_sym_using] = ACTIONS(5643),
    [anon_sym_static_assert] = ACTIONS(5643),
  },
  [2442] = {
    [sym_identifier] = ACTIONS(3373),
    [aux_sym_preproc_def_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token1] = ACTIONS(3373),
    [aux_sym_preproc_if_token2] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3373),
    [aux_sym_preproc_else_token1] = ACTIONS(3373),
    [aux_sym_preproc_elif_token1] = ACTIONS(3373),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_LPAREN2] = ACTIONS(3375),
    [anon_sym_TILDE] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(3375),
    [anon_sym_AMP_AMP] = ACTIONS(3375),
    [anon_sym_AMP] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(3373),
    [anon_sym_typedef] = ACTIONS(3373),
    [anon_sym_extern] = ACTIONS(3373),
    [anon_sym___attribute__] = ACTIONS(3373),
    [anon_sym_COLON_COLON] = ACTIONS(3375),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3375),
    [anon_sym___declspec] = ACTIONS(3373),
    [anon_sym___based] = ACTIONS(3373),
    [anon_sym_signed] = ACTIONS(3373),
    [anon_sym_unsigned] = ACTIONS(3373),
    [anon_sym_long] = ACTIONS(3373),
    [anon_sym_short] = ACTIONS(3373),
    [anon_sym_LBRACK] = ACTIONS(3373),
    [anon_sym_static] = ACTIONS(3373),
    [anon_sym_register] = ACTIONS(3373),
    [anon_sym_inline] = ACTIONS(3373),
    [anon_sym___inline] = ACTIONS(3373),
    [anon_sym___inline__] = ACTIONS(3373),
    [anon_sym___forceinline] = ACTIONS(3373),
    [anon_sym_thread_local] = ACTIONS(3373),
    [anon_sym___thread] = ACTIONS(3373),
    [anon_sym_const] = ACTIONS(3373),
    [anon_sym_constexpr] = ACTIONS(3373),
    [anon_sym_volatile] = ACTIONS(3373),
    [anon_sym_restrict] = ACTIONS(3373),
    [anon_sym___restrict__] = ACTIONS(3373),
    [anon_sym__Atomic] = ACTIONS(3373),
    [anon_sym__Noreturn] = ACTIONS(3373),
    [anon_sym_noreturn] = ACTIONS(3373),
    [anon_sym_mutable] = ACTIONS(3373),
    [anon_sym_constinit] = ACTIONS(3373),
    [anon_sym_consteval] = ACTIONS(3373),
    [sym_primitive_type] = ACTIONS(3373),
    [anon_sym_enum] = ACTIONS(3373),
    [anon_sym_class] = ACTIONS(3373),
    [anon_sym_struct] = ACTIONS(3373),
    [anon_sym_union] = ACTIONS(3373),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3373),
    [anon_sym_decltype] = ACTIONS(3373),
    [anon_sym_virtual] = ACTIONS(3373),
    [anon_sym_alignas] = ACTIONS(3373),
    [anon_sym_explicit] = ACTIONS(3373),
    [anon_sym_typename] = ACTIONS(3373),
    [anon_sym_template] = ACTIONS(3373),
    [anon_sym_operator] = ACTIONS(3373),
    [anon_sym_friend] = ACTIONS(3373),
    [anon_sym_public] = ACTIONS(3373),
    [anon_sym_private] = ACTIONS(3373),
    [anon_sym_protected] = ACTIONS(3373),
    [anon_sym_using] = ACTIONS(3373),
    [anon_sym_static_assert] = ACTIONS(3373),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(5639),
    [aux_sym_preproc_def_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token1] = ACTIONS(5639),
    [aux_sym_preproc_if_token2] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5639),
    [aux_sym_preproc_else_token1] = ACTIONS(5639),
    [aux_sym_preproc_elif_token1] = ACTIONS(5639),
    [sym_preproc_directive] = ACTIONS(5639),
    [anon_sym_LPAREN2] = ACTIONS(5641),
    [anon_sym_TILDE] = ACTIONS(5641),
    [anon_sym_STAR] = ACTIONS(5641),
    [anon_sym_AMP_AMP] = ACTIONS(5641),
    [anon_sym_AMP] = ACTIONS(5639),
    [anon_sym___extension__] = ACTIONS(5639),
    [anon_sym_typedef] = ACTIONS(5639),
    [anon_sym_extern] = ACTIONS(5639),
    [anon_sym___attribute__] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5641),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5641),
    [anon_sym___declspec] = ACTIONS(5639),
    [anon_sym___based] = ACTIONS(5639),
    [anon_sym_signed] = ACTIONS(5639),
    [anon_sym_unsigned] = ACTIONS(5639),
    [anon_sym_long] = ACTIONS(5639),
    [anon_sym_short] = ACTIONS(5639),
    [anon_sym_LBRACK] = ACTIONS(5639),
    [anon_sym_static] = ACTIONS(5639),
    [anon_sym_register] = ACTIONS(5639),
    [anon_sym_inline] = ACTIONS(5639),
    [anon_sym___inline] = ACTIONS(5639),
    [anon_sym___inline__] = ACTIONS(5639),
    [anon_sym___forceinline] = ACTIONS(5639),
    [anon_sym_thread_local] = ACTIONS(5639),
    [anon_sym___thread] = ACTIONS(5639),
    [anon_sym_const] = ACTIONS(5639),
    [anon_sym_constexpr] = ACTIONS(5639),
    [anon_sym_volatile] = ACTIONS(5639),
    [anon_sym_restrict] = ACTIONS(5639),
    [anon_sym___restrict__] = ACTIONS(5639),
    [anon_sym__Atomic] = ACTIONS(5639),
    [anon_sym__Noreturn] = ACTIONS(5639),
    [anon_sym_noreturn] = ACTIONS(5639),
    [anon_sym_mutable] = ACTIONS(5639),
    [anon_sym_constinit] = ACTIONS(5639),
    [anon_sym_consteval] = ACTIONS(5639),
    [sym_primitive_type] = ACTIONS(5639),
    [anon_sym_enum] = ACTIONS(5639),
    [anon_sym_class] = ACTIONS(5639),
    [anon_sym_struct] = ACTIONS(5639),
    [anon_sym_union] = ACTIONS(5639),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5639),
    [anon_sym_decltype] = ACTIONS(5639),
    [anon_sym_virtual] = ACTIONS(5639),
    [anon_sym_alignas] = ACTIONS(5639),
    [anon_sym_explicit] = ACTIONS(5639),
    [anon_sym_typename] = ACTIONS(5639),
    [anon_sym_template] = ACTIONS(5639),
    [anon_sym_operator] = ACTIONS(5639),
    [anon_sym_friend] = ACTIONS(5639),
    [anon_sym_public] = ACTIONS(5639),
    [anon_sym_private] = ACTIONS(5639),
    [anon_sym_protected] = ACTIONS(5639),
    [anon_sym_using] = ACTIONS(5639),
    [anon_sym_static_assert] = ACTIONS(5639),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(3348),
    [aux_sym_preproc_def_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token1] = ACTIONS(3348),
    [aux_sym_preproc_if_token2] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3348),
    [aux_sym_preproc_else_token1] = ACTIONS(3348),
    [aux_sym_preproc_elif_token1] = ACTIONS(3348),
    [sym_preproc_directive] = ACTIONS(3348),
    [anon_sym_LPAREN2] = ACTIONS(3350),
    [anon_sym_TILDE] = ACTIONS(3350),
    [anon_sym_STAR] = ACTIONS(3350),
    [anon_sym_AMP_AMP] = ACTIONS(3350),
    [anon_sym_AMP] = ACTIONS(3348),
    [anon_sym___extension__] = ACTIONS(3348),
    [anon_sym_typedef] = ACTIONS(3348),
    [anon_sym_extern] = ACTIONS(3348),
    [anon_sym___attribute__] = ACTIONS(3348),
    [anon_sym_COLON_COLON] = ACTIONS(3350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3350),
    [anon_sym___declspec] = ACTIONS(3348),
    [anon_sym___based] = ACTIONS(3348),
    [anon_sym_signed] = ACTIONS(3348),
    [anon_sym_unsigned] = ACTIONS(3348),
    [anon_sym_long] = ACTIONS(3348),
    [anon_sym_short] = ACTIONS(3348),
    [anon_sym_LBRACK] = ACTIONS(3348),
    [anon_sym_static] = ACTIONS(3348),
    [anon_sym_register] = ACTIONS(3348),
    [anon_sym_inline] = ACTIONS(3348),
    [anon_sym___inline] = ACTIONS(3348),
    [anon_sym___inline__] = ACTIONS(3348),
    [anon_sym___forceinline] = ACTIONS(3348),
    [anon_sym_thread_local] = ACTIONS(3348),
    [anon_sym___thread] = ACTIONS(3348),
    [anon_sym_const] = ACTIONS(3348),
    [anon_sym_constexpr] = ACTIONS(3348),
    [anon_sym_volatile] = ACTIONS(3348),
    [anon_sym_restrict] = ACTIONS(3348),
    [anon_sym___restrict__] = ACTIONS(3348),
    [anon_sym__Atomic] = ACTIONS(3348),
    [anon_sym__Noreturn] = ACTIONS(3348),
    [anon_sym_noreturn] = ACTIONS(3348),
    [anon_sym_mutable] = ACTIONS(3348),
    [anon_sym_constinit] = ACTIONS(3348),
    [anon_sym_consteval] = ACTIONS(3348),
    [sym_primitive_type] = ACTIONS(3348),
    [anon_sym_enum] = ACTIONS(3348),
    [anon_sym_class] = ACTIONS(3348),
    [anon_sym_struct] = ACTIONS(3348),
    [anon_sym_union] = ACTIONS(3348),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3348),
    [anon_sym_decltype] = ACTIONS(3348),
    [anon_sym_virtual] = ACTIONS(3348),
    [anon_sym_alignas] = ACTIONS(3348),
    [anon_sym_explicit] = ACTIONS(3348),
    [anon_sym_typename] = ACTIONS(3348),
    [anon_sym_template] = ACTIONS(3348),
    [anon_sym_operator] = ACTIONS(3348),
    [anon_sym_friend] = ACTIONS(3348),
    [anon_sym_public] = ACTIONS(3348),
    [anon_sym_private] = ACTIONS(3348),
    [anon_sym_protected] = ACTIONS(3348),
    [anon_sym_using] = ACTIONS(3348),
    [anon_sym_static_assert] = ACTIONS(3348),
  },
  [2445] = {
    [sym_identifier] = ACTIONS(5834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5836),
    [anon_sym_COMMA] = ACTIONS(5836),
    [anon_sym_RPAREN] = ACTIONS(5836),
    [aux_sym_preproc_if_token2] = ACTIONS(5836),
    [aux_sym_preproc_else_token1] = ACTIONS(5836),
    [aux_sym_preproc_elif_token1] = ACTIONS(5834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5836),
    [anon_sym_LPAREN2] = ACTIONS(5836),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(5836),
    [anon_sym_SLASH] = ACTIONS(5834),
    [anon_sym_PERCENT] = ACTIONS(5836),
    [anon_sym_PIPE_PIPE] = ACTIONS(5836),
    [anon_sym_AMP_AMP] = ACTIONS(5836),
    [anon_sym_PIPE] = ACTIONS(5834),
    [anon_sym_CARET] = ACTIONS(5836),
    [anon_sym_AMP] = ACTIONS(5834),
    [anon_sym_EQ_EQ] = ACTIONS(5836),
    [anon_sym_BANG_EQ] = ACTIONS(5836),
    [anon_sym_GT] = ACTIONS(5834),
    [anon_sym_GT_EQ] = ACTIONS(5836),
    [anon_sym_LT_EQ] = ACTIONS(5834),
    [anon_sym_LT] = ACTIONS(5834),
    [anon_sym_LT_LT] = ACTIONS(5836),
    [anon_sym_GT_GT] = ACTIONS(5836),
    [anon_sym_SEMI] = ACTIONS(5836),
    [anon_sym___extension__] = ACTIONS(5834),
    [anon_sym___attribute__] = ACTIONS(5834),
    [anon_sym_LBRACE] = ACTIONS(5836),
    [anon_sym_RBRACE] = ACTIONS(5836),
    [anon_sym_LBRACK] = ACTIONS(5836),
    [anon_sym_RBRACK] = ACTIONS(5836),
    [anon_sym_const] = ACTIONS(5834),
    [anon_sym_constexpr] = ACTIONS(5834),
    [anon_sym_volatile] = ACTIONS(5834),
    [anon_sym_restrict] = ACTIONS(5834),
    [anon_sym___restrict__] = ACTIONS(5834),
    [anon_sym__Atomic] = ACTIONS(5834),
    [anon_sym__Noreturn] = ACTIONS(5834),
    [anon_sym_noreturn] = ACTIONS(5834),
    [anon_sym_mutable] = ACTIONS(5834),
    [anon_sym_constinit] = ACTIONS(5834),
    [anon_sym_consteval] = ACTIONS(5834),
    [anon_sym_COLON] = ACTIONS(5836),
    [anon_sym_QMARK] = ACTIONS(5836),
    [anon_sym_LT_EQ_GT] = ACTIONS(5836),
    [anon_sym_or] = ACTIONS(5834),
    [anon_sym_and] = ACTIONS(5834),
    [anon_sym_bitor] = ACTIONS(5834),
    [anon_sym_xor] = ACTIONS(5834),
    [anon_sym_bitand] = ACTIONS(5834),
    [anon_sym_not_eq] = ACTIONS(5834),
    [anon_sym_DASH_DASH] = ACTIONS(5836),
    [anon_sym_PLUS_PLUS] = ACTIONS(5836),
    [anon_sym_DOT] = ACTIONS(5834),
    [anon_sym_DOT_STAR] = ACTIONS(5836),
    [anon_sym_DASH_GT] = ACTIONS(5836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5834),
    [anon_sym_decltype] = ACTIONS(5834),
    [anon_sym_final] = ACTIONS(5834),
    [anon_sym_override] = ACTIONS(5834),
    [anon_sym_requires] = ACTIONS(5834),
  },
  [2446] = {
    [sym_identifier] = ACTIONS(3344),
    [aux_sym_preproc_def_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token1] = ACTIONS(3344),
    [aux_sym_preproc_if_token2] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3344),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3344),
    [aux_sym_preproc_else_token1] = ACTIONS(3344),
    [aux_sym_preproc_elif_token1] = ACTIONS(3344),
    [sym_preproc_directive] = ACTIONS(3344),
    [anon_sym_LPAREN2] = ACTIONS(3346),
    [anon_sym_TILDE] = ACTIONS(3346),
    [anon_sym_STAR] = ACTIONS(3346),
    [anon_sym_AMP_AMP] = ACTIONS(3346),
    [anon_sym_AMP] = ACTIONS(3344),
    [anon_sym___extension__] = ACTIONS(3344),
    [anon_sym_typedef] = ACTIONS(3344),
    [anon_sym_extern] = ACTIONS(3344),
    [anon_sym___attribute__] = ACTIONS(3344),
    [anon_sym_COLON_COLON] = ACTIONS(3346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3346),
    [anon_sym___declspec] = ACTIONS(3344),
    [anon_sym___based] = ACTIONS(3344),
    [anon_sym_signed] = ACTIONS(3344),
    [anon_sym_unsigned] = ACTIONS(3344),
    [anon_sym_long] = ACTIONS(3344),
    [anon_sym_short] = ACTIONS(3344),
    [anon_sym_LBRACK] = ACTIONS(3344),
    [anon_sym_static] = ACTIONS(3344),
    [anon_sym_register] = ACTIONS(3344),
    [anon_sym_inline] = ACTIONS(3344),
    [anon_sym___inline] = ACTIONS(3344),
    [anon_sym___inline__] = ACTIONS(3344),
    [anon_sym___forceinline] = ACTIONS(3344),
    [anon_sym_thread_local] = ACTIONS(3344),
    [anon_sym___thread] = ACTIONS(3344),
    [anon_sym_const] = ACTIONS(3344),
    [anon_sym_constexpr] = ACTIONS(3344),
    [anon_sym_volatile] = ACTIONS(3344),
    [anon_sym_restrict] = ACTIONS(3344),
    [anon_sym___restrict__] = ACTIONS(3344),
    [anon_sym__Atomic] = ACTIONS(3344),
    [anon_sym__Noreturn] = ACTIONS(3344),
    [anon_sym_noreturn] = ACTIONS(3344),
    [anon_sym_mutable] = ACTIONS(3344),
    [anon_sym_constinit] = ACTIONS(3344),
    [anon_sym_consteval] = ACTIONS(3344),
    [sym_primitive_type] = ACTIONS(3344),
    [anon_sym_enum] = ACTIONS(3344),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3344),
    [anon_sym_union] = ACTIONS(3344),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3344),
    [anon_sym_decltype] = ACTIONS(3344),
    [anon_sym_virtual] = ACTIONS(3344),
    [anon_sym_alignas] = ACTIONS(3344),
    [anon_sym_explicit] = ACTIONS(3344),
    [anon_sym_typename] = ACTIONS(3344),
    [anon_sym_template] = ACTIONS(3344),
    [anon_sym_operator] = ACTIONS(3344),
    [anon_sym_friend] = ACTIONS(3344),
    [anon_sym_public] = ACTIONS(3344),
    [anon_sym_private] = ACTIONS(3344),
    [anon_sym_protected] = ACTIONS(3344),
    [anon_sym_using] = ACTIONS(3344),
    [anon_sym_static_assert] = ACTIONS(3344),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(3174),
    [aux_sym_preproc_def_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token1] = ACTIONS(3174),
    [aux_sym_preproc_if_token2] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3174),
    [aux_sym_preproc_else_token1] = ACTIONS(3174),
    [aux_sym_preproc_elif_token1] = ACTIONS(3174),
    [sym_preproc_directive] = ACTIONS(3174),
    [anon_sym_LPAREN2] = ACTIONS(3176),
    [anon_sym_TILDE] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3176),
    [anon_sym_AMP_AMP] = ACTIONS(3176),
    [anon_sym_AMP] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3174),
    [anon_sym_typedef] = ACTIONS(3174),
    [anon_sym_extern] = ACTIONS(3174),
    [anon_sym___attribute__] = ACTIONS(3174),
    [anon_sym_COLON_COLON] = ACTIONS(3176),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3176),
    [anon_sym___declspec] = ACTIONS(3174),
    [anon_sym___based] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3174),
    [anon_sym_unsigned] = ACTIONS(3174),
    [anon_sym_long] = ACTIONS(3174),
    [anon_sym_short] = ACTIONS(3174),
    [anon_sym_LBRACK] = ACTIONS(3174),
    [anon_sym_static] = ACTIONS(3174),
    [anon_sym_register] = ACTIONS(3174),
    [anon_sym_inline] = ACTIONS(3174),
    [anon_sym___inline] = ACTIONS(3174),
    [anon_sym___inline__] = ACTIONS(3174),
    [anon_sym___forceinline] = ACTIONS(3174),
    [anon_sym_thread_local] = ACTIONS(3174),
    [anon_sym___thread] = ACTIONS(3174),
    [anon_sym_const] = ACTIONS(3174),
    [anon_sym_constexpr] = ACTIONS(3174),
    [anon_sym_volatile] = ACTIONS(3174),
    [anon_sym_restrict] = ACTIONS(3174),
    [anon_sym___restrict__] = ACTIONS(3174),
    [anon_sym__Atomic] = ACTIONS(3174),
    [anon_sym__Noreturn] = ACTIONS(3174),
    [anon_sym_noreturn] = ACTIONS(3174),
    [anon_sym_mutable] = ACTIONS(3174),
    [anon_sym_constinit] = ACTIONS(3174),
    [anon_sym_consteval] = ACTIONS(3174),
    [sym_primitive_type] = ACTIONS(3174),
    [anon_sym_enum] = ACTIONS(3174),
    [anon_sym_class] = ACTIONS(3174),
    [anon_sym_struct] = ACTIONS(3174),
    [anon_sym_union] = ACTIONS(3174),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3174),
    [anon_sym_decltype] = ACTIONS(3174),
    [anon_sym_virtual] = ACTIONS(3174),
    [anon_sym_alignas] = ACTIONS(3174),
    [anon_sym_explicit] = ACTIONS(3174),
    [anon_sym_typename] = ACTIONS(3174),
    [anon_sym_template] = ACTIONS(3174),
    [anon_sym_operator] = ACTIONS(3174),
    [anon_sym_friend] = ACTIONS(3174),
    [anon_sym_public] = ACTIONS(3174),
    [anon_sym_private] = ACTIONS(3174),
    [anon_sym_protected] = ACTIONS(3174),
    [anon_sym_using] = ACTIONS(3174),
    [anon_sym_static_assert] = ACTIONS(3174),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(5614),
    [aux_sym_preproc_def_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token1] = ACTIONS(5614),
    [aux_sym_preproc_if_token2] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5614),
    [aux_sym_preproc_else_token1] = ACTIONS(5614),
    [aux_sym_preproc_elif_token1] = ACTIONS(5614),
    [sym_preproc_directive] = ACTIONS(5614),
    [anon_sym_LPAREN2] = ACTIONS(5616),
    [anon_sym_TILDE] = ACTIONS(5616),
    [anon_sym_STAR] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5616),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5614),
    [anon_sym_typedef] = ACTIONS(5614),
    [anon_sym_extern] = ACTIONS(5614),
    [anon_sym___attribute__] = ACTIONS(5614),
    [anon_sym_COLON_COLON] = ACTIONS(5616),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5616),
    [anon_sym___declspec] = ACTIONS(5614),
    [anon_sym___based] = ACTIONS(5614),
    [anon_sym_signed] = ACTIONS(5614),
    [anon_sym_unsigned] = ACTIONS(5614),
    [anon_sym_long] = ACTIONS(5614),
    [anon_sym_short] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5614),
    [anon_sym_static] = ACTIONS(5614),
    [anon_sym_register] = ACTIONS(5614),
    [anon_sym_inline] = ACTIONS(5614),
    [anon_sym___inline] = ACTIONS(5614),
    [anon_sym___inline__] = ACTIONS(5614),
    [anon_sym___forceinline] = ACTIONS(5614),
    [anon_sym_thread_local] = ACTIONS(5614),
    [anon_sym___thread] = ACTIONS(5614),
    [anon_sym_const] = ACTIONS(5614),
    [anon_sym_constexpr] = ACTIONS(5614),
    [anon_sym_volatile] = ACTIONS(5614),
    [anon_sym_restrict] = ACTIONS(5614),
    [anon_sym___restrict__] = ACTIONS(5614),
    [anon_sym__Atomic] = ACTIONS(5614),
    [anon_sym__Noreturn] = ACTIONS(5614),
    [anon_sym_noreturn] = ACTIONS(5614),
    [anon_sym_mutable] = ACTIONS(5614),
    [anon_sym_constinit] = ACTIONS(5614),
    [anon_sym_consteval] = ACTIONS(5614),
    [sym_primitive_type] = ACTIONS(5614),
    [anon_sym_enum] = ACTIONS(5614),
    [anon_sym_class] = ACTIONS(5614),
    [anon_sym_struct] = ACTIONS(5614),
    [anon_sym_union] = ACTIONS(5614),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5614),
    [anon_sym_decltype] = ACTIONS(5614),
    [anon_sym_virtual] = ACTIONS(5614),
    [anon_sym_alignas] = ACTIONS(5614),
    [anon_sym_explicit] = ACTIONS(5614),
    [anon_sym_typename] = ACTIONS(5614),
    [anon_sym_template] = ACTIONS(5614),
    [anon_sym_operator] = ACTIONS(5614),
    [anon_sym_friend] = ACTIONS(5614),
    [anon_sym_public] = ACTIONS(5614),
    [anon_sym_private] = ACTIONS(5614),
    [anon_sym_protected] = ACTIONS(5614),
    [anon_sym_using] = ACTIONS(5614),
    [anon_sym_static_assert] = ACTIONS(5614),
  },
  [2449] = {
    [sym_attribute_specifier] = STATE(2600),
    [sym_identifier] = ACTIONS(5958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5960),
    [anon_sym_COMMA] = ACTIONS(5960),
    [anon_sym_RPAREN] = ACTIONS(5960),
    [aux_sym_preproc_if_token2] = ACTIONS(5960),
    [aux_sym_preproc_else_token1] = ACTIONS(5960),
    [aux_sym_preproc_elif_token1] = ACTIONS(5958),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5960),
    [anon_sym_LPAREN2] = ACTIONS(5960),
    [anon_sym_DASH] = ACTIONS(5958),
    [anon_sym_PLUS] = ACTIONS(5958),
    [anon_sym_STAR] = ACTIONS(5958),
    [anon_sym_SLASH] = ACTIONS(5958),
    [anon_sym_PERCENT] = ACTIONS(5958),
    [anon_sym_PIPE_PIPE] = ACTIONS(5960),
    [anon_sym_AMP_AMP] = ACTIONS(5960),
    [anon_sym_PIPE] = ACTIONS(5958),
    [anon_sym_CARET] = ACTIONS(5958),
    [anon_sym_AMP] = ACTIONS(5958),
    [anon_sym_EQ_EQ] = ACTIONS(5960),
    [anon_sym_BANG_EQ] = ACTIONS(5960),
    [anon_sym_GT] = ACTIONS(5958),
    [anon_sym_GT_EQ] = ACTIONS(5960),
    [anon_sym_LT_EQ] = ACTIONS(5958),
    [anon_sym_LT] = ACTIONS(5958),
    [anon_sym_LT_LT] = ACTIONS(5958),
    [anon_sym_GT_GT] = ACTIONS(5958),
    [anon_sym_SEMI] = ACTIONS(5960),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5960),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LBRACK] = ACTIONS(5960),
    [anon_sym_RBRACK] = ACTIONS(5960),
    [anon_sym_EQ] = ACTIONS(5958),
    [anon_sym_COLON] = ACTIONS(5960),
    [anon_sym_QMARK] = ACTIONS(5960),
    [anon_sym_STAR_EQ] = ACTIONS(5960),
    [anon_sym_SLASH_EQ] = ACTIONS(5960),
    [anon_sym_PERCENT_EQ] = ACTIONS(5960),
    [anon_sym_PLUS_EQ] = ACTIONS(5960),
    [anon_sym_DASH_EQ] = ACTIONS(5960),
    [anon_sym_LT_LT_EQ] = ACTIONS(5960),
    [anon_sym_GT_GT_EQ] = ACTIONS(5960),
    [anon_sym_AMP_EQ] = ACTIONS(5960),
    [anon_sym_CARET_EQ] = ACTIONS(5960),
    [anon_sym_PIPE_EQ] = ACTIONS(5960),
    [anon_sym_and_eq] = ACTIONS(5958),
    [anon_sym_or_eq] = ACTIONS(5958),
    [anon_sym_xor_eq] = ACTIONS(5958),
    [anon_sym_LT_EQ_GT] = ACTIONS(5960),
    [anon_sym_or] = ACTIONS(5958),
    [anon_sym_and] = ACTIONS(5958),
    [anon_sym_bitor] = ACTIONS(5958),
    [anon_sym_xor] = ACTIONS(5958),
    [anon_sym_bitand] = ACTIONS(5958),
    [anon_sym_not_eq] = ACTIONS(5958),
    [anon_sym_DASH_DASH] = ACTIONS(5960),
    [anon_sym_PLUS_PLUS] = ACTIONS(5960),
    [anon_sym_DOT] = ACTIONS(5958),
    [anon_sym_DOT_STAR] = ACTIONS(5960),
    [anon_sym_DASH_GT] = ACTIONS(5960),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5958),
    [anon_sym_decltype] = ACTIONS(5958),
  },
  [2450] = {
    [sym_identifier] = ACTIONS(5610),
    [aux_sym_preproc_def_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token1] = ACTIONS(5610),
    [aux_sym_preproc_if_token2] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5610),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5610),
    [aux_sym_preproc_else_token1] = ACTIONS(5610),
    [aux_sym_preproc_elif_token1] = ACTIONS(5610),
    [sym_preproc_directive] = ACTIONS(5610),
    [anon_sym_LPAREN2] = ACTIONS(5612),
    [anon_sym_TILDE] = ACTIONS(5612),
    [anon_sym_STAR] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5612),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(5610),
    [anon_sym_typedef] = ACTIONS(5610),
    [anon_sym_extern] = ACTIONS(5610),
    [anon_sym___attribute__] = ACTIONS(5610),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5612),
    [anon_sym___declspec] = ACTIONS(5610),
    [anon_sym___based] = ACTIONS(5610),
    [anon_sym_signed] = ACTIONS(5610),
    [anon_sym_unsigned] = ACTIONS(5610),
    [anon_sym_long] = ACTIONS(5610),
    [anon_sym_short] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5610),
    [anon_sym_static] = ACTIONS(5610),
    [anon_sym_register] = ACTIONS(5610),
    [anon_sym_inline] = ACTIONS(5610),
    [anon_sym___inline] = ACTIONS(5610),
    [anon_sym___inline__] = ACTIONS(5610),
    [anon_sym___forceinline] = ACTIONS(5610),
    [anon_sym_thread_local] = ACTIONS(5610),
    [anon_sym___thread] = ACTIONS(5610),
    [anon_sym_const] = ACTIONS(5610),
    [anon_sym_constexpr] = ACTIONS(5610),
    [anon_sym_volatile] = ACTIONS(5610),
    [anon_sym_restrict] = ACTIONS(5610),
    [anon_sym___restrict__] = ACTIONS(5610),
    [anon_sym__Atomic] = ACTIONS(5610),
    [anon_sym__Noreturn] = ACTIONS(5610),
    [anon_sym_noreturn] = ACTIONS(5610),
    [anon_sym_mutable] = ACTIONS(5610),
    [anon_sym_constinit] = ACTIONS(5610),
    [anon_sym_consteval] = ACTIONS(5610),
    [sym_primitive_type] = ACTIONS(5610),
    [anon_sym_enum] = ACTIONS(5610),
    [anon_sym_class] = ACTIONS(5610),
    [anon_sym_struct] = ACTIONS(5610),
    [anon_sym_union] = ACTIONS(5610),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5610),
    [anon_sym_decltype] = ACTIONS(5610),
    [anon_sym_virtual] = ACTIONS(5610),
    [anon_sym_alignas] = ACTIONS(5610),
    [anon_sym_explicit] = ACTIONS(5610),
    [anon_sym_typename] = ACTIONS(5610),
    [anon_sym_template] = ACTIONS(5610),
    [anon_sym_operator] = ACTIONS(5610),
    [anon_sym_friend] = ACTIONS(5610),
    [anon_sym_public] = ACTIONS(5610),
    [anon_sym_private] = ACTIONS(5610),
    [anon_sym_protected] = ACTIONS(5610),
    [anon_sym_using] = ACTIONS(5610),
    [anon_sym_static_assert] = ACTIONS(5610),
  },
  [2451] = {
    [sym_attribute_declaration] = STATE(2517),
    [sym_parameter_list] = STATE(2563),
    [aux_sym_attributed_declarator_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(5962),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(5964),
    [anon_sym_RPAREN] = ACTIONS(5964),
    [aux_sym_preproc_if_token2] = ACTIONS(5964),
    [aux_sym_preproc_else_token1] = ACTIONS(5964),
    [aux_sym_preproc_elif_token1] = ACTIONS(5962),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5964),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5964),
    [anon_sym_LPAREN2] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(5962),
    [anon_sym_PLUS] = ACTIONS(5962),
    [anon_sym_STAR] = ACTIONS(5962),
    [anon_sym_SLASH] = ACTIONS(5962),
    [anon_sym_PERCENT] = ACTIONS(5962),
    [anon_sym_PIPE_PIPE] = ACTIONS(5964),
    [anon_sym_AMP_AMP] = ACTIONS(5964),
    [anon_sym_PIPE] = ACTIONS(5962),
    [anon_sym_CARET] = ACTIONS(5962),
    [anon_sym_AMP] = ACTIONS(5962),
    [anon_sym_EQ_EQ] = ACTIONS(5964),
    [anon_sym_BANG_EQ] = ACTIONS(5964),
    [anon_sym_GT] = ACTIONS(5962),
    [anon_sym_GT_EQ] = ACTIONS(5964),
    [anon_sym_LT_EQ] = ACTIONS(5962),
    [anon_sym_LT] = ACTIONS(5962),
    [anon_sym_LT_LT] = ACTIONS(5962),
    [anon_sym_GT_GT] = ACTIONS(5962),
    [anon_sym_SEMI] = ACTIONS(5964),
    [anon_sym___attribute__] = ACTIONS(5962),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(5964),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5964),
    [anon_sym_EQ] = ACTIONS(5962),
    [anon_sym_COLON] = ACTIONS(5964),
    [anon_sym_QMARK] = ACTIONS(5964),
    [anon_sym_STAR_EQ] = ACTIONS(5964),
    [anon_sym_SLASH_EQ] = ACTIONS(5964),
    [anon_sym_PERCENT_EQ] = ACTIONS(5964),
    [anon_sym_PLUS_EQ] = ACTIONS(5964),
    [anon_sym_DASH_EQ] = ACTIONS(5964),
    [anon_sym_LT_LT_EQ] = ACTIONS(5964),
    [anon_sym_GT_GT_EQ] = ACTIONS(5964),
    [anon_sym_AMP_EQ] = ACTIONS(5964),
    [anon_sym_CARET_EQ] = ACTIONS(5964),
    [anon_sym_PIPE_EQ] = ACTIONS(5964),
    [anon_sym_and_eq] = ACTIONS(5962),
    [anon_sym_or_eq] = ACTIONS(5962),
    [anon_sym_xor_eq] = ACTIONS(5962),
    [anon_sym_LT_EQ_GT] = ACTIONS(5964),
    [anon_sym_or] = ACTIONS(5962),
    [anon_sym_and] = ACTIONS(5962),
    [anon_sym_bitor] = ACTIONS(5962),
    [anon_sym_xor] = ACTIONS(5962),
    [anon_sym_bitand] = ACTIONS(5962),
    [anon_sym_not_eq] = ACTIONS(5962),
    [anon_sym_DASH_DASH] = ACTIONS(5964),
    [anon_sym_PLUS_PLUS] = ACTIONS(5964),
    [anon_sym_DOT] = ACTIONS(5962),
    [anon_sym_DOT_STAR] = ACTIONS(5964),
    [anon_sym_DASH_GT] = ACTIONS(5964),
    [sym_comment] = ACTIONS(3),
  },
  [2452] = {
    [sym_identifier] = ACTIONS(5606),
    [aux_sym_preproc_def_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token1] = ACTIONS(5606),
    [aux_sym_preproc_if_token2] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5606),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5606),
    [aux_sym_preproc_else_token1] = ACTIONS(5606),
    [aux_sym_preproc_elif_token1] = ACTIONS(5606),
    [sym_preproc_directive] = ACTIONS(5606),
    [anon_sym_LPAREN2] = ACTIONS(5608),
    [anon_sym_TILDE] = ACTIONS(5608),
    [anon_sym_STAR] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5608),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5606),
    [anon_sym_typedef] = ACTIONS(5606),
    [anon_sym_extern] = ACTIONS(5606),
    [anon_sym___attribute__] = ACTIONS(5606),
    [anon_sym_COLON_COLON] = ACTIONS(5608),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5608),
    [anon_sym___declspec] = ACTIONS(5606),
    [anon_sym___based] = ACTIONS(5606),
    [anon_sym_signed] = ACTIONS(5606),
    [anon_sym_unsigned] = ACTIONS(5606),
    [anon_sym_long] = ACTIONS(5606),
    [anon_sym_short] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5606),
    [anon_sym_static] = ACTIONS(5606),
    [anon_sym_register] = ACTIONS(5606),
    [anon_sym_inline] = ACTIONS(5606),
    [anon_sym___inline] = ACTIONS(5606),
    [anon_sym___inline__] = ACTIONS(5606),
    [anon_sym___forceinline] = ACTIONS(5606),
    [anon_sym_thread_local] = ACTIONS(5606),
    [anon_sym___thread] = ACTIONS(5606),
    [anon_sym_const] = ACTIONS(5606),
    [anon_sym_constexpr] = ACTIONS(5606),
    [anon_sym_volatile] = ACTIONS(5606),
    [anon_sym_restrict] = ACTIONS(5606),
    [anon_sym___restrict__] = ACTIONS(5606),
    [anon_sym__Atomic] = ACTIONS(5606),
    [anon_sym__Noreturn] = ACTIONS(5606),
    [anon_sym_noreturn] = ACTIONS(5606),
    [anon_sym_mutable] = ACTIONS(5606),
    [anon_sym_constinit] = ACTIONS(5606),
    [anon_sym_consteval] = ACTIONS(5606),
    [sym_primitive_type] = ACTIONS(5606),
    [anon_sym_enum] = ACTIONS(5606),
    [anon_sym_class] = ACTIONS(5606),
    [anon_sym_struct] = ACTIONS(5606),
    [anon_sym_union] = ACTIONS(5606),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5606),
    [anon_sym_decltype] = ACTIONS(5606),
    [anon_sym_virtual] = ACTIONS(5606),
    [anon_sym_alignas] = ACTIONS(5606),
    [anon_sym_explicit] = ACTIONS(5606),
    [anon_sym_typename] = ACTIONS(5606),
    [anon_sym_template] = ACTIONS(5606),
    [anon_sym_operator] = ACTIONS(5606),
    [anon_sym_friend] = ACTIONS(5606),
    [anon_sym_public] = ACTIONS(5606),
    [anon_sym_private] = ACTIONS(5606),
    [anon_sym_protected] = ACTIONS(5606),
    [anon_sym_using] = ACTIONS(5606),
    [anon_sym_static_assert] = ACTIONS(5606),
  },
  [2453] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2945),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(3317),
    [aux_sym_preproc_def_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token1] = ACTIONS(3317),
    [aux_sym_preproc_if_token2] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3317),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3317),
    [aux_sym_preproc_else_token1] = ACTIONS(3317),
    [aux_sym_preproc_elif_token1] = ACTIONS(3317),
    [sym_preproc_directive] = ACTIONS(3317),
    [anon_sym_LPAREN2] = ACTIONS(3319),
    [anon_sym_TILDE] = ACTIONS(3319),
    [anon_sym_STAR] = ACTIONS(3319),
    [anon_sym_AMP_AMP] = ACTIONS(3319),
    [anon_sym_AMP] = ACTIONS(3317),
    [anon_sym___extension__] = ACTIONS(3317),
    [anon_sym_typedef] = ACTIONS(3317),
    [anon_sym_extern] = ACTIONS(3317),
    [anon_sym___attribute__] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(3319),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3319),
    [anon_sym___declspec] = ACTIONS(3317),
    [anon_sym___based] = ACTIONS(3317),
    [anon_sym_signed] = ACTIONS(3317),
    [anon_sym_unsigned] = ACTIONS(3317),
    [anon_sym_long] = ACTIONS(3317),
    [anon_sym_short] = ACTIONS(3317),
    [anon_sym_LBRACK] = ACTIONS(3317),
    [anon_sym_static] = ACTIONS(3317),
    [anon_sym_register] = ACTIONS(3317),
    [anon_sym_inline] = ACTIONS(3317),
    [anon_sym___inline] = ACTIONS(3317),
    [anon_sym___inline__] = ACTIONS(3317),
    [anon_sym___forceinline] = ACTIONS(3317),
    [anon_sym_thread_local] = ACTIONS(3317),
    [anon_sym___thread] = ACTIONS(3317),
    [anon_sym_const] = ACTIONS(3317),
    [anon_sym_constexpr] = ACTIONS(3317),
    [anon_sym_volatile] = ACTIONS(3317),
    [anon_sym_restrict] = ACTIONS(3317),
    [anon_sym___restrict__] = ACTIONS(3317),
    [anon_sym__Atomic] = ACTIONS(3317),
    [anon_sym__Noreturn] = ACTIONS(3317),
    [anon_sym_noreturn] = ACTIONS(3317),
    [anon_sym_mutable] = ACTIONS(3317),
    [anon_sym_constinit] = ACTIONS(3317),
    [anon_sym_consteval] = ACTIONS(3317),
    [sym_primitive_type] = ACTIONS(3317),
    [anon_sym_enum] = ACTIONS(3317),
    [anon_sym_class] = ACTIONS(3317),
    [anon_sym_struct] = ACTIONS(3317),
    [anon_sym_union] = ACTIONS(3317),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3317),
    [anon_sym_decltype] = ACTIONS(3317),
    [anon_sym_virtual] = ACTIONS(3317),
    [anon_sym_alignas] = ACTIONS(3317),
    [anon_sym_explicit] = ACTIONS(3317),
    [anon_sym_typename] = ACTIONS(3317),
    [anon_sym_template] = ACTIONS(3317),
    [anon_sym_operator] = ACTIONS(3317),
    [anon_sym_friend] = ACTIONS(3317),
    [anon_sym_public] = ACTIONS(3317),
    [anon_sym_private] = ACTIONS(3317),
    [anon_sym_protected] = ACTIONS(3317),
    [anon_sym_using] = ACTIONS(3317),
    [anon_sym_static_assert] = ACTIONS(3317),
  },
  [2455] = {
    [sym_identifier] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token2] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [aux_sym_preproc_else_token1] = ACTIONS(5602),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_TILDE] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_typedef] = ACTIONS(5602),
    [anon_sym_extern] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5604),
    [anon_sym___declspec] = ACTIONS(5602),
    [anon_sym___based] = ACTIONS(5602),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [anon_sym_static] = ACTIONS(5602),
    [anon_sym_register] = ACTIONS(5602),
    [anon_sym_inline] = ACTIONS(5602),
    [anon_sym___inline] = ACTIONS(5602),
    [anon_sym___inline__] = ACTIONS(5602),
    [anon_sym___forceinline] = ACTIONS(5602),
    [anon_sym_thread_local] = ACTIONS(5602),
    [anon_sym___thread] = ACTIONS(5602),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5602),
    [anon_sym_enum] = ACTIONS(5602),
    [anon_sym_class] = ACTIONS(5602),
    [anon_sym_struct] = ACTIONS(5602),
    [anon_sym_union] = ACTIONS(5602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_virtual] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5602),
    [anon_sym_explicit] = ACTIONS(5602),
    [anon_sym_typename] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5602),
    [anon_sym_operator] = ACTIONS(5602),
    [anon_sym_friend] = ACTIONS(5602),
    [anon_sym_public] = ACTIONS(5602),
    [anon_sym_private] = ACTIONS(5602),
    [anon_sym_protected] = ACTIONS(5602),
    [anon_sym_using] = ACTIONS(5602),
    [anon_sym_static_assert] = ACTIONS(5602),
  },
  [2456] = {
    [sym_attribute_specifier] = STATE(2602),
    [sym_identifier] = ACTIONS(5966),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5968),
    [anon_sym_COMMA] = ACTIONS(5968),
    [anon_sym_RPAREN] = ACTIONS(5968),
    [aux_sym_preproc_if_token2] = ACTIONS(5968),
    [aux_sym_preproc_else_token1] = ACTIONS(5968),
    [aux_sym_preproc_elif_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5968),
    [anon_sym_LPAREN2] = ACTIONS(5968),
    [anon_sym_DASH] = ACTIONS(5966),
    [anon_sym_PLUS] = ACTIONS(5966),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5966),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5968),
    [anon_sym_AMP_AMP] = ACTIONS(5968),
    [anon_sym_PIPE] = ACTIONS(5966),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5966),
    [anon_sym_EQ_EQ] = ACTIONS(5968),
    [anon_sym_BANG_EQ] = ACTIONS(5968),
    [anon_sym_GT] = ACTIONS(5966),
    [anon_sym_GT_EQ] = ACTIONS(5968),
    [anon_sym_LT_EQ] = ACTIONS(5966),
    [anon_sym_LT] = ACTIONS(5966),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5968),
    [anon_sym_RBRACE] = ACTIONS(5968),
    [anon_sym_LBRACK] = ACTIONS(5968),
    [anon_sym_RBRACK] = ACTIONS(5968),
    [anon_sym_EQ] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5968),
    [anon_sym_STAR_EQ] = ACTIONS(5968),
    [anon_sym_SLASH_EQ] = ACTIONS(5968),
    [anon_sym_PERCENT_EQ] = ACTIONS(5968),
    [anon_sym_PLUS_EQ] = ACTIONS(5968),
    [anon_sym_DASH_EQ] = ACTIONS(5968),
    [anon_sym_LT_LT_EQ] = ACTIONS(5968),
    [anon_sym_GT_GT_EQ] = ACTIONS(5968),
    [anon_sym_AMP_EQ] = ACTIONS(5968),
    [anon_sym_CARET_EQ] = ACTIONS(5968),
    [anon_sym_PIPE_EQ] = ACTIONS(5968),
    [anon_sym_and_eq] = ACTIONS(5966),
    [anon_sym_or_eq] = ACTIONS(5966),
    [anon_sym_xor_eq] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5968),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5968),
    [anon_sym_PLUS_PLUS] = ACTIONS(5968),
    [anon_sym_DOT] = ACTIONS(5966),
    [anon_sym_DOT_STAR] = ACTIONS(5968),
    [anon_sym_DASH_GT] = ACTIONS(5968),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
  },
  [2457] = {
    [sym_identifier] = ACTIONS(5602),
    [aux_sym_preproc_def_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token1] = ACTIONS(5602),
    [aux_sym_preproc_if_token2] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5602),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5602),
    [aux_sym_preproc_else_token1] = ACTIONS(5602),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [sym_preproc_directive] = ACTIONS(5602),
    [anon_sym_LPAREN2] = ACTIONS(5604),
    [anon_sym_TILDE] = ACTIONS(5604),
    [anon_sym_STAR] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5604),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym_typedef] = ACTIONS(5602),
    [anon_sym_extern] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5604),
    [anon_sym___declspec] = ACTIONS(5602),
    [anon_sym___based] = ACTIONS(5602),
    [anon_sym_signed] = ACTIONS(5602),
    [anon_sym_unsigned] = ACTIONS(5602),
    [anon_sym_long] = ACTIONS(5602),
    [anon_sym_short] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5602),
    [anon_sym_static] = ACTIONS(5602),
    [anon_sym_register] = ACTIONS(5602),
    [anon_sym_inline] = ACTIONS(5602),
    [anon_sym___inline] = ACTIONS(5602),
    [anon_sym___inline__] = ACTIONS(5602),
    [anon_sym___forceinline] = ACTIONS(5602),
    [anon_sym_thread_local] = ACTIONS(5602),
    [anon_sym___thread] = ACTIONS(5602),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5602),
    [anon_sym_enum] = ACTIONS(5602),
    [anon_sym_class] = ACTIONS(5602),
    [anon_sym_struct] = ACTIONS(5602),
    [anon_sym_union] = ACTIONS(5602),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_virtual] = ACTIONS(5602),
    [anon_sym_alignas] = ACTIONS(5602),
    [anon_sym_explicit] = ACTIONS(5602),
    [anon_sym_typename] = ACTIONS(5602),
    [anon_sym_template] = ACTIONS(5602),
    [anon_sym_operator] = ACTIONS(5602),
    [anon_sym_friend] = ACTIONS(5602),
    [anon_sym_public] = ACTIONS(5602),
    [anon_sym_private] = ACTIONS(5602),
    [anon_sym_protected] = ACTIONS(5602),
    [anon_sym_using] = ACTIONS(5602),
    [anon_sym_static_assert] = ACTIONS(5602),
  },
  [2458] = {
    [sym_attribute_specifier] = STATE(2589),
    [sym_identifier] = ACTIONS(5970),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5970),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5970),
    [anon_sym_PLUS] = ACTIONS(5970),
    [anon_sym_STAR] = ACTIONS(5970),
    [anon_sym_SLASH] = ACTIONS(5970),
    [anon_sym_PERCENT] = ACTIONS(5970),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5970),
    [anon_sym_CARET] = ACTIONS(5970),
    [anon_sym_AMP] = ACTIONS(5970),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5970),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5970),
    [anon_sym_LT] = ACTIONS(5970),
    [anon_sym_LT_LT] = ACTIONS(5970),
    [anon_sym_GT_GT] = ACTIONS(5970),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5970),
    [anon_sym_COLON] = ACTIONS(5972),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5970),
    [anon_sym_or_eq] = ACTIONS(5970),
    [anon_sym_xor_eq] = ACTIONS(5970),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5970),
    [anon_sym_and] = ACTIONS(5970),
    [anon_sym_bitor] = ACTIONS(5970),
    [anon_sym_xor] = ACTIONS(5970),
    [anon_sym_bitand] = ACTIONS(5970),
    [anon_sym_not_eq] = ACTIONS(5970),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5970),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5970),
    [anon_sym_decltype] = ACTIONS(5970),
  },
  [2459] = {
    [sym_attribute_specifier] = STATE(2587),
    [sym_identifier] = ACTIONS(5974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5976),
    [anon_sym_COMMA] = ACTIONS(5976),
    [anon_sym_RPAREN] = ACTIONS(5976),
    [aux_sym_preproc_if_token2] = ACTIONS(5976),
    [aux_sym_preproc_else_token1] = ACTIONS(5976),
    [aux_sym_preproc_elif_token1] = ACTIONS(5974),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5976),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5976),
    [anon_sym_LPAREN2] = ACTIONS(5976),
    [anon_sym_DASH] = ACTIONS(5974),
    [anon_sym_PLUS] = ACTIONS(5974),
    [anon_sym_STAR] = ACTIONS(5974),
    [anon_sym_SLASH] = ACTIONS(5974),
    [anon_sym_PERCENT] = ACTIONS(5974),
    [anon_sym_PIPE_PIPE] = ACTIONS(5976),
    [anon_sym_AMP_AMP] = ACTIONS(5976),
    [anon_sym_PIPE] = ACTIONS(5974),
    [anon_sym_CARET] = ACTIONS(5974),
    [anon_sym_AMP] = ACTIONS(5974),
    [anon_sym_EQ_EQ] = ACTIONS(5976),
    [anon_sym_BANG_EQ] = ACTIONS(5976),
    [anon_sym_GT] = ACTIONS(5974),
    [anon_sym_GT_EQ] = ACTIONS(5976),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_LT] = ACTIONS(5974),
    [anon_sym_LT_LT] = ACTIONS(5974),
    [anon_sym_GT_GT] = ACTIONS(5974),
    [anon_sym_SEMI] = ACTIONS(5976),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5976),
    [anon_sym_RBRACE] = ACTIONS(5976),
    [anon_sym_LBRACK] = ACTIONS(5976),
    [anon_sym_RBRACK] = ACTIONS(5976),
    [anon_sym_EQ] = ACTIONS(5974),
    [anon_sym_COLON] = ACTIONS(5976),
    [anon_sym_QMARK] = ACTIONS(5976),
    [anon_sym_STAR_EQ] = ACTIONS(5976),
    [anon_sym_SLASH_EQ] = ACTIONS(5976),
    [anon_sym_PERCENT_EQ] = ACTIONS(5976),
    [anon_sym_PLUS_EQ] = ACTIONS(5976),
    [anon_sym_DASH_EQ] = ACTIONS(5976),
    [anon_sym_LT_LT_EQ] = ACTIONS(5976),
    [anon_sym_GT_GT_EQ] = ACTIONS(5976),
    [anon_sym_AMP_EQ] = ACTIONS(5976),
    [anon_sym_CARET_EQ] = ACTIONS(5976),
    [anon_sym_PIPE_EQ] = ACTIONS(5976),
    [anon_sym_and_eq] = ACTIONS(5974),
    [anon_sym_or_eq] = ACTIONS(5974),
    [anon_sym_xor_eq] = ACTIONS(5974),
    [anon_sym_LT_EQ_GT] = ACTIONS(5976),
    [anon_sym_or] = ACTIONS(5974),
    [anon_sym_and] = ACTIONS(5974),
    [anon_sym_bitor] = ACTIONS(5974),
    [anon_sym_xor] = ACTIONS(5974),
    [anon_sym_bitand] = ACTIONS(5974),
    [anon_sym_not_eq] = ACTIONS(5974),
    [anon_sym_DASH_DASH] = ACTIONS(5976),
    [anon_sym_PLUS_PLUS] = ACTIONS(5976),
    [anon_sym_DOT] = ACTIONS(5974),
    [anon_sym_DOT_STAR] = ACTIONS(5976),
    [anon_sym_DASH_GT] = ACTIONS(5976),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
  },
  [2460] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_def_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token2] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5574),
    [aux_sym_preproc_else_token1] = ACTIONS(5574),
    [aux_sym_preproc_elif_token1] = ACTIONS(5574),
    [sym_preproc_directive] = ACTIONS(5574),
    [anon_sym_LPAREN2] = ACTIONS(5576),
    [anon_sym_TILDE] = ACTIONS(5576),
    [anon_sym_STAR] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5576),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym_typedef] = ACTIONS(5574),
    [anon_sym_extern] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym_COLON_COLON] = ACTIONS(5576),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5576),
    [anon_sym___declspec] = ACTIONS(5574),
    [anon_sym___based] = ACTIONS(5574),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5574),
    [anon_sym_static] = ACTIONS(5574),
    [anon_sym_register] = ACTIONS(5574),
    [anon_sym_inline] = ACTIONS(5574),
    [anon_sym___inline] = ACTIONS(5574),
    [anon_sym___inline__] = ACTIONS(5574),
    [anon_sym___forceinline] = ACTIONS(5574),
    [anon_sym_thread_local] = ACTIONS(5574),
    [anon_sym___thread] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_mutable] = ACTIONS(5574),
    [anon_sym_constinit] = ACTIONS(5574),
    [anon_sym_consteval] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_class] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5574),
    [anon_sym_decltype] = ACTIONS(5574),
    [anon_sym_virtual] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym_explicit] = ACTIONS(5574),
    [anon_sym_typename] = ACTIONS(5574),
    [anon_sym_template] = ACTIONS(5574),
    [anon_sym_operator] = ACTIONS(5574),
    [anon_sym_friend] = ACTIONS(5574),
    [anon_sym_public] = ACTIONS(5574),
    [anon_sym_private] = ACTIONS(5574),
    [anon_sym_protected] = ACTIONS(5574),
    [anon_sym_using] = ACTIONS(5574),
    [anon_sym_static_assert] = ACTIONS(5574),
  },
  [2461] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_LPAREN2] = ACTIONS(5572),
    [anon_sym_TILDE] = ACTIONS(5572),
    [anon_sym_STAR] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5572),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym_typedef] = ACTIONS(5570),
    [anon_sym_extern] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym_COLON_COLON] = ACTIONS(5572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5572),
    [anon_sym___declspec] = ACTIONS(5570),
    [anon_sym___based] = ACTIONS(5570),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5570),
    [anon_sym_static] = ACTIONS(5570),
    [anon_sym_register] = ACTIONS(5570),
    [anon_sym_inline] = ACTIONS(5570),
    [anon_sym___inline] = ACTIONS(5570),
    [anon_sym___inline__] = ACTIONS(5570),
    [anon_sym___forceinline] = ACTIONS(5570),
    [anon_sym_thread_local] = ACTIONS(5570),
    [anon_sym___thread] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_mutable] = ACTIONS(5570),
    [anon_sym_constinit] = ACTIONS(5570),
    [anon_sym_consteval] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_class] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5570),
    [anon_sym_decltype] = ACTIONS(5570),
    [anon_sym_virtual] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym_explicit] = ACTIONS(5570),
    [anon_sym_typename] = ACTIONS(5570),
    [anon_sym_template] = ACTIONS(5570),
    [anon_sym_operator] = ACTIONS(5570),
    [anon_sym_friend] = ACTIONS(5570),
    [anon_sym_public] = ACTIONS(5570),
    [anon_sym_private] = ACTIONS(5570),
    [anon_sym_protected] = ACTIONS(5570),
    [anon_sym_using] = ACTIONS(5570),
    [anon_sym_static_assert] = ACTIONS(5570),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(5566),
    [aux_sym_preproc_def_token1] = ACTIONS(5566),
    [aux_sym_preproc_if_token1] = ACTIONS(5566),
    [aux_sym_preproc_if_token2] = ACTIONS(5566),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5566),
    [aux_sym_preproc_else_token1] = ACTIONS(5566),
    [aux_sym_preproc_elif_token1] = ACTIONS(5566),
    [sym_preproc_directive] = ACTIONS(5566),
    [anon_sym_LPAREN2] = ACTIONS(5568),
    [anon_sym_TILDE] = ACTIONS(5568),
    [anon_sym_STAR] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5568),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5566),
    [anon_sym_typedef] = ACTIONS(5566),
    [anon_sym_extern] = ACTIONS(5566),
    [anon_sym___attribute__] = ACTIONS(5566),
    [anon_sym_COLON_COLON] = ACTIONS(5568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5568),
    [anon_sym___declspec] = ACTIONS(5566),
    [anon_sym___based] = ACTIONS(5566),
    [anon_sym_signed] = ACTIONS(5566),
    [anon_sym_unsigned] = ACTIONS(5566),
    [anon_sym_long] = ACTIONS(5566),
    [anon_sym_short] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_static] = ACTIONS(5566),
    [anon_sym_register] = ACTIONS(5566),
    [anon_sym_inline] = ACTIONS(5566),
    [anon_sym___inline] = ACTIONS(5566),
    [anon_sym___inline__] = ACTIONS(5566),
    [anon_sym___forceinline] = ACTIONS(5566),
    [anon_sym_thread_local] = ACTIONS(5566),
    [anon_sym___thread] = ACTIONS(5566),
    [anon_sym_const] = ACTIONS(5566),
    [anon_sym_constexpr] = ACTIONS(5566),
    [anon_sym_volatile] = ACTIONS(5566),
    [anon_sym_restrict] = ACTIONS(5566),
    [anon_sym___restrict__] = ACTIONS(5566),
    [anon_sym__Atomic] = ACTIONS(5566),
    [anon_sym__Noreturn] = ACTIONS(5566),
    [anon_sym_noreturn] = ACTIONS(5566),
    [anon_sym_mutable] = ACTIONS(5566),
    [anon_sym_constinit] = ACTIONS(5566),
    [anon_sym_consteval] = ACTIONS(5566),
    [sym_primitive_type] = ACTIONS(5566),
    [anon_sym_enum] = ACTIONS(5566),
    [anon_sym_class] = ACTIONS(5566),
    [anon_sym_struct] = ACTIONS(5566),
    [anon_sym_union] = ACTIONS(5566),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5566),
    [anon_sym_decltype] = ACTIONS(5566),
    [anon_sym_virtual] = ACTIONS(5566),
    [anon_sym_alignas] = ACTIONS(5566),
    [anon_sym_explicit] = ACTIONS(5566),
    [anon_sym_typename] = ACTIONS(5566),
    [anon_sym_template] = ACTIONS(5566),
    [anon_sym_operator] = ACTIONS(5566),
    [anon_sym_friend] = ACTIONS(5566),
    [anon_sym_public] = ACTIONS(5566),
    [anon_sym_private] = ACTIONS(5566),
    [anon_sym_protected] = ACTIONS(5566),
    [anon_sym_using] = ACTIONS(5566),
    [anon_sym_static_assert] = ACTIONS(5566),
  },
  [2463] = {
    [sym_identifier] = ACTIONS(5633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5635),
    [anon_sym_COMMA] = ACTIONS(5635),
    [anon_sym_RPAREN] = ACTIONS(5635),
    [aux_sym_preproc_if_token2] = ACTIONS(5635),
    [aux_sym_preproc_else_token1] = ACTIONS(5635),
    [aux_sym_preproc_elif_token1] = ACTIONS(5633),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5635),
    [anon_sym_LPAREN2] = ACTIONS(5635),
    [anon_sym_DASH] = ACTIONS(5633),
    [anon_sym_PLUS] = ACTIONS(5633),
    [anon_sym_STAR] = ACTIONS(5633),
    [anon_sym_SLASH] = ACTIONS(5633),
    [anon_sym_PERCENT] = ACTIONS(5633),
    [anon_sym_PIPE_PIPE] = ACTIONS(5635),
    [anon_sym_AMP_AMP] = ACTIONS(5635),
    [anon_sym_PIPE] = ACTIONS(5633),
    [anon_sym_CARET] = ACTIONS(5633),
    [anon_sym_AMP] = ACTIONS(5633),
    [anon_sym_EQ_EQ] = ACTIONS(5635),
    [anon_sym_BANG_EQ] = ACTIONS(5635),
    [anon_sym_GT] = ACTIONS(5633),
    [anon_sym_GT_EQ] = ACTIONS(5635),
    [anon_sym_LT_EQ] = ACTIONS(5633),
    [anon_sym_LT] = ACTIONS(5633),
    [anon_sym_LT_LT] = ACTIONS(5633),
    [anon_sym_GT_GT] = ACTIONS(5633),
    [anon_sym_SEMI] = ACTIONS(5635),
    [anon_sym___attribute__] = ACTIONS(5633),
    [anon_sym_COLON_COLON] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(5635),
    [anon_sym_RBRACE] = ACTIONS(5635),
    [anon_sym_LBRACK] = ACTIONS(5635),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_EQ] = ACTIONS(5633),
    [anon_sym_COLON] = ACTIONS(5633),
    [anon_sym_QMARK] = ACTIONS(5635),
    [anon_sym_STAR_EQ] = ACTIONS(5635),
    [anon_sym_SLASH_EQ] = ACTIONS(5635),
    [anon_sym_PERCENT_EQ] = ACTIONS(5635),
    [anon_sym_PLUS_EQ] = ACTIONS(5635),
    [anon_sym_DASH_EQ] = ACTIONS(5635),
    [anon_sym_LT_LT_EQ] = ACTIONS(5635),
    [anon_sym_GT_GT_EQ] = ACTIONS(5635),
    [anon_sym_AMP_EQ] = ACTIONS(5635),
    [anon_sym_CARET_EQ] = ACTIONS(5635),
    [anon_sym_PIPE_EQ] = ACTIONS(5635),
    [anon_sym_and_eq] = ACTIONS(5633),
    [anon_sym_or_eq] = ACTIONS(5633),
    [anon_sym_xor_eq] = ACTIONS(5633),
    [anon_sym_LT_EQ_GT] = ACTIONS(5635),
    [anon_sym_or] = ACTIONS(5633),
    [anon_sym_and] = ACTIONS(5633),
    [anon_sym_bitor] = ACTIONS(5633),
    [anon_sym_xor] = ACTIONS(5633),
    [anon_sym_bitand] = ACTIONS(5633),
    [anon_sym_not_eq] = ACTIONS(5633),
    [anon_sym_DASH_DASH] = ACTIONS(5635),
    [anon_sym_PLUS_PLUS] = ACTIONS(5635),
    [anon_sym_DOT] = ACTIONS(5633),
    [anon_sym_DOT_STAR] = ACTIONS(5635),
    [anon_sym_DASH_GT] = ACTIONS(5635),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5633),
    [anon_sym_decltype] = ACTIONS(5633),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(5562),
    [aux_sym_preproc_def_token1] = ACTIONS(5562),
    [aux_sym_preproc_if_token1] = ACTIONS(5562),
    [aux_sym_preproc_if_token2] = ACTIONS(5562),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5562),
    [aux_sym_preproc_else_token1] = ACTIONS(5562),
    [aux_sym_preproc_elif_token1] = ACTIONS(5562),
    [sym_preproc_directive] = ACTIONS(5562),
    [anon_sym_LPAREN2] = ACTIONS(5564),
    [anon_sym_TILDE] = ACTIONS(5564),
    [anon_sym_STAR] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5564),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym___extension__] = ACTIONS(5562),
    [anon_sym_typedef] = ACTIONS(5562),
    [anon_sym_extern] = ACTIONS(5562),
    [anon_sym___attribute__] = ACTIONS(5562),
    [anon_sym_COLON_COLON] = ACTIONS(5564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5564),
    [anon_sym___declspec] = ACTIONS(5562),
    [anon_sym___based] = ACTIONS(5562),
    [anon_sym_signed] = ACTIONS(5562),
    [anon_sym_unsigned] = ACTIONS(5562),
    [anon_sym_long] = ACTIONS(5562),
    [anon_sym_short] = ACTIONS(5562),
    [anon_sym_LBRACK] = ACTIONS(5562),
    [anon_sym_static] = ACTIONS(5562),
    [anon_sym_register] = ACTIONS(5562),
    [anon_sym_inline] = ACTIONS(5562),
    [anon_sym___inline] = ACTIONS(5562),
    [anon_sym___inline__] = ACTIONS(5562),
    [anon_sym___forceinline] = ACTIONS(5562),
    [anon_sym_thread_local] = ACTIONS(5562),
    [anon_sym___thread] = ACTIONS(5562),
    [anon_sym_const] = ACTIONS(5562),
    [anon_sym_constexpr] = ACTIONS(5562),
    [anon_sym_volatile] = ACTIONS(5562),
    [anon_sym_restrict] = ACTIONS(5562),
    [anon_sym___restrict__] = ACTIONS(5562),
    [anon_sym__Atomic] = ACTIONS(5562),
    [anon_sym__Noreturn] = ACTIONS(5562),
    [anon_sym_noreturn] = ACTIONS(5562),
    [anon_sym_mutable] = ACTIONS(5562),
    [anon_sym_constinit] = ACTIONS(5562),
    [anon_sym_consteval] = ACTIONS(5562),
    [sym_primitive_type] = ACTIONS(5562),
    [anon_sym_enum] = ACTIONS(5562),
    [anon_sym_class] = ACTIONS(5562),
    [anon_sym_struct] = ACTIONS(5562),
    [anon_sym_union] = ACTIONS(5562),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5562),
    [anon_sym_decltype] = ACTIONS(5562),
    [anon_sym_virtual] = ACTIONS(5562),
    [anon_sym_alignas] = ACTIONS(5562),
    [anon_sym_explicit] = ACTIONS(5562),
    [anon_sym_typename] = ACTIONS(5562),
    [anon_sym_template] = ACTIONS(5562),
    [anon_sym_operator] = ACTIONS(5562),
    [anon_sym_friend] = ACTIONS(5562),
    [anon_sym_public] = ACTIONS(5562),
    [anon_sym_private] = ACTIONS(5562),
    [anon_sym_protected] = ACTIONS(5562),
    [anon_sym_using] = ACTIONS(5562),
    [anon_sym_static_assert] = ACTIONS(5562),
  },
  [2465] = {
    [sym_identifier] = ACTIONS(5663),
    [aux_sym_preproc_def_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token1] = ACTIONS(5663),
    [aux_sym_preproc_if_token2] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5663),
    [aux_sym_preproc_else_token1] = ACTIONS(5663),
    [aux_sym_preproc_elif_token1] = ACTIONS(5663),
    [sym_preproc_directive] = ACTIONS(5663),
    [anon_sym_LPAREN2] = ACTIONS(5665),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_STAR] = ACTIONS(5665),
    [anon_sym_AMP_AMP] = ACTIONS(5665),
    [anon_sym_AMP] = ACTIONS(5663),
    [anon_sym___extension__] = ACTIONS(5663),
    [anon_sym_typedef] = ACTIONS(5663),
    [anon_sym_extern] = ACTIONS(5663),
    [anon_sym___attribute__] = ACTIONS(5663),
    [anon_sym_COLON_COLON] = ACTIONS(5665),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5665),
    [anon_sym___declspec] = ACTIONS(5663),
    [anon_sym___based] = ACTIONS(5663),
    [anon_sym_signed] = ACTIONS(5663),
    [anon_sym_unsigned] = ACTIONS(5663),
    [anon_sym_long] = ACTIONS(5663),
    [anon_sym_short] = ACTIONS(5663),
    [anon_sym_LBRACK] = ACTIONS(5663),
    [anon_sym_static] = ACTIONS(5663),
    [anon_sym_register] = ACTIONS(5663),
    [anon_sym_inline] = ACTIONS(5663),
    [anon_sym___inline] = ACTIONS(5663),
    [anon_sym___inline__] = ACTIONS(5663),
    [anon_sym___forceinline] = ACTIONS(5663),
    [anon_sym_thread_local] = ACTIONS(5663),
    [anon_sym___thread] = ACTIONS(5663),
    [anon_sym_const] = ACTIONS(5663),
    [anon_sym_constexpr] = ACTIONS(5663),
    [anon_sym_volatile] = ACTIONS(5663),
    [anon_sym_restrict] = ACTIONS(5663),
    [anon_sym___restrict__] = ACTIONS(5663),
    [anon_sym__Atomic] = ACTIONS(5663),
    [anon_sym__Noreturn] = ACTIONS(5663),
    [anon_sym_noreturn] = ACTIONS(5663),
    [anon_sym_mutable] = ACTIONS(5663),
    [anon_sym_constinit] = ACTIONS(5663),
    [anon_sym_consteval] = ACTIONS(5663),
    [sym_primitive_type] = ACTIONS(5663),
    [anon_sym_enum] = ACTIONS(5663),
    [anon_sym_class] = ACTIONS(5663),
    [anon_sym_struct] = ACTIONS(5663),
    [anon_sym_union] = ACTIONS(5663),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5663),
    [anon_sym_decltype] = ACTIONS(5663),
    [anon_sym_virtual] = ACTIONS(5663),
    [anon_sym_alignas] = ACTIONS(5663),
    [anon_sym_explicit] = ACTIONS(5663),
    [anon_sym_typename] = ACTIONS(5663),
    [anon_sym_template] = ACTIONS(5663),
    [anon_sym_operator] = ACTIONS(5663),
    [anon_sym_friend] = ACTIONS(5663),
    [anon_sym_public] = ACTIONS(5663),
    [anon_sym_private] = ACTIONS(5663),
    [anon_sym_protected] = ACTIONS(5663),
    [anon_sym_using] = ACTIONS(5663),
    [anon_sym_static_assert] = ACTIONS(5663),
  },
  [2466] = {
    [sym_identifier] = ACTIONS(5667),
    [aux_sym_preproc_def_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token1] = ACTIONS(5667),
    [aux_sym_preproc_if_token2] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5667),
    [aux_sym_preproc_else_token1] = ACTIONS(5667),
    [aux_sym_preproc_elif_token1] = ACTIONS(5667),
    [sym_preproc_directive] = ACTIONS(5667),
    [anon_sym_LPAREN2] = ACTIONS(5669),
    [anon_sym_TILDE] = ACTIONS(5669),
    [anon_sym_STAR] = ACTIONS(5669),
    [anon_sym_AMP_AMP] = ACTIONS(5669),
    [anon_sym_AMP] = ACTIONS(5667),
    [anon_sym___extension__] = ACTIONS(5667),
    [anon_sym_typedef] = ACTIONS(5667),
    [anon_sym_extern] = ACTIONS(5667),
    [anon_sym___attribute__] = ACTIONS(5667),
    [anon_sym_COLON_COLON] = ACTIONS(5669),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5669),
    [anon_sym___declspec] = ACTIONS(5667),
    [anon_sym___based] = ACTIONS(5667),
    [anon_sym_signed] = ACTIONS(5667),
    [anon_sym_unsigned] = ACTIONS(5667),
    [anon_sym_long] = ACTIONS(5667),
    [anon_sym_short] = ACTIONS(5667),
    [anon_sym_LBRACK] = ACTIONS(5667),
    [anon_sym_static] = ACTIONS(5667),
    [anon_sym_register] = ACTIONS(5667),
    [anon_sym_inline] = ACTIONS(5667),
    [anon_sym___inline] = ACTIONS(5667),
    [anon_sym___inline__] = ACTIONS(5667),
    [anon_sym___forceinline] = ACTIONS(5667),
    [anon_sym_thread_local] = ACTIONS(5667),
    [anon_sym___thread] = ACTIONS(5667),
    [anon_sym_const] = ACTIONS(5667),
    [anon_sym_constexpr] = ACTIONS(5667),
    [anon_sym_volatile] = ACTIONS(5667),
    [anon_sym_restrict] = ACTIONS(5667),
    [anon_sym___restrict__] = ACTIONS(5667),
    [anon_sym__Atomic] = ACTIONS(5667),
    [anon_sym__Noreturn] = ACTIONS(5667),
    [anon_sym_noreturn] = ACTIONS(5667),
    [anon_sym_mutable] = ACTIONS(5667),
    [anon_sym_constinit] = ACTIONS(5667),
    [anon_sym_consteval] = ACTIONS(5667),
    [sym_primitive_type] = ACTIONS(5667),
    [anon_sym_enum] = ACTIONS(5667),
    [anon_sym_class] = ACTIONS(5667),
    [anon_sym_struct] = ACTIONS(5667),
    [anon_sym_union] = ACTIONS(5667),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5667),
    [anon_sym_decltype] = ACTIONS(5667),
    [anon_sym_virtual] = ACTIONS(5667),
    [anon_sym_alignas] = ACTIONS(5667),
    [anon_sym_explicit] = ACTIONS(5667),
    [anon_sym_typename] = ACTIONS(5667),
    [anon_sym_template] = ACTIONS(5667),
    [anon_sym_operator] = ACTIONS(5667),
    [anon_sym_friend] = ACTIONS(5667),
    [anon_sym_public] = ACTIONS(5667),
    [anon_sym_private] = ACTIONS(5667),
    [anon_sym_protected] = ACTIONS(5667),
    [anon_sym_using] = ACTIONS(5667),
    [anon_sym_static_assert] = ACTIONS(5667),
  },
  [2467] = {
    [sym_identifier] = ACTIONS(5558),
    [aux_sym_preproc_def_token1] = ACTIONS(5558),
    [aux_sym_preproc_if_token1] = ACTIONS(5558),
    [aux_sym_preproc_if_token2] = ACTIONS(5558),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5558),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5558),
    [aux_sym_preproc_else_token1] = ACTIONS(5558),
    [aux_sym_preproc_elif_token1] = ACTIONS(5558),
    [sym_preproc_directive] = ACTIONS(5558),
    [anon_sym_LPAREN2] = ACTIONS(5560),
    [anon_sym_TILDE] = ACTIONS(5560),
    [anon_sym_STAR] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5560),
    [anon_sym_AMP] = ACTIONS(5558),
    [anon_sym___extension__] = ACTIONS(5558),
    [anon_sym_typedef] = ACTIONS(5558),
    [anon_sym_extern] = ACTIONS(5558),
    [anon_sym___attribute__] = ACTIONS(5558),
    [anon_sym_COLON_COLON] = ACTIONS(5560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5560),
    [anon_sym___declspec] = ACTIONS(5558),
    [anon_sym___based] = ACTIONS(5558),
    [anon_sym_signed] = ACTIONS(5558),
    [anon_sym_unsigned] = ACTIONS(5558),
    [anon_sym_long] = ACTIONS(5558),
    [anon_sym_short] = ACTIONS(5558),
    [anon_sym_LBRACK] = ACTIONS(5558),
    [anon_sym_static] = ACTIONS(5558),
    [anon_sym_register] = ACTIONS(5558),
    [anon_sym_inline] = ACTIONS(5558),
    [anon_sym___inline] = ACTIONS(5558),
    [anon_sym___inline__] = ACTIONS(5558),
    [anon_sym___forceinline] = ACTIONS(5558),
    [anon_sym_thread_local] = ACTIONS(5558),
    [anon_sym___thread] = ACTIONS(5558),
    [anon_sym_const] = ACTIONS(5558),
    [anon_sym_constexpr] = ACTIONS(5558),
    [anon_sym_volatile] = ACTIONS(5558),
    [anon_sym_restrict] = ACTIONS(5558),
    [anon_sym___restrict__] = ACTIONS(5558),
    [anon_sym__Atomic] = ACTIONS(5558),
    [anon_sym__Noreturn] = ACTIONS(5558),
    [anon_sym_noreturn] = ACTIONS(5558),
    [anon_sym_mutable] = ACTIONS(5558),
    [anon_sym_constinit] = ACTIONS(5558),
    [anon_sym_consteval] = ACTIONS(5558),
    [sym_primitive_type] = ACTIONS(5558),
    [anon_sym_enum] = ACTIONS(5558),
    [anon_sym_class] = ACTIONS(5558),
    [anon_sym_struct] = ACTIONS(5558),
    [anon_sym_union] = ACTIONS(5558),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5558),
    [anon_sym_decltype] = ACTIONS(5558),
    [anon_sym_virtual] = ACTIONS(5558),
    [anon_sym_alignas] = ACTIONS(5558),
    [anon_sym_explicit] = ACTIONS(5558),
    [anon_sym_typename] = ACTIONS(5558),
    [anon_sym_template] = ACTIONS(5558),
    [anon_sym_operator] = ACTIONS(5558),
    [anon_sym_friend] = ACTIONS(5558),
    [anon_sym_public] = ACTIONS(5558),
    [anon_sym_private] = ACTIONS(5558),
    [anon_sym_protected] = ACTIONS(5558),
    [anon_sym_using] = ACTIONS(5558),
    [anon_sym_static_assert] = ACTIONS(5558),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [2469] = {
    [sym_string_literal] = STATE(2473),
    [sym_template_argument_list] = STATE(3906),
    [sym_raw_string_literal] = STATE(2473),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4135),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5978),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4135),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4127),
    [anon_sym_or_eq] = ACTIONS(4127),
    [anon_sym_xor_eq] = ACTIONS(4127),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5981),
    [anon_sym_u_DQUOTE] = ACTIONS(5981),
    [anon_sym_U_DQUOTE] = ACTIONS(5981),
    [anon_sym_u8_DQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5981),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4127),
    [anon_sym_R_DQUOTE] = ACTIONS(5983),
    [anon_sym_LR_DQUOTE] = ACTIONS(5983),
    [anon_sym_uR_DQUOTE] = ACTIONS(5983),
    [anon_sym_UR_DQUOTE] = ACTIONS(5983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5983),
  },
  [2470] = {
    [sym_attribute_specifier] = STATE(2550),
    [sym_identifier] = ACTIONS(5985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5987),
    [anon_sym_COMMA] = ACTIONS(5987),
    [anon_sym_RPAREN] = ACTIONS(5987),
    [aux_sym_preproc_if_token2] = ACTIONS(5987),
    [aux_sym_preproc_else_token1] = ACTIONS(5987),
    [aux_sym_preproc_elif_token1] = ACTIONS(5985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5987),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5987),
    [anon_sym_LPAREN2] = ACTIONS(5987),
    [anon_sym_DASH] = ACTIONS(5985),
    [anon_sym_PLUS] = ACTIONS(5985),
    [anon_sym_STAR] = ACTIONS(5985),
    [anon_sym_SLASH] = ACTIONS(5985),
    [anon_sym_PERCENT] = ACTIONS(5985),
    [anon_sym_PIPE_PIPE] = ACTIONS(5987),
    [anon_sym_AMP_AMP] = ACTIONS(5987),
    [anon_sym_PIPE] = ACTIONS(5985),
    [anon_sym_CARET] = ACTIONS(5985),
    [anon_sym_AMP] = ACTIONS(5985),
    [anon_sym_EQ_EQ] = ACTIONS(5987),
    [anon_sym_BANG_EQ] = ACTIONS(5987),
    [anon_sym_GT] = ACTIONS(5985),
    [anon_sym_GT_EQ] = ACTIONS(5987),
    [anon_sym_LT_EQ] = ACTIONS(5985),
    [anon_sym_LT] = ACTIONS(5985),
    [anon_sym_LT_LT] = ACTIONS(5985),
    [anon_sym_GT_GT] = ACTIONS(5985),
    [anon_sym_SEMI] = ACTIONS(5987),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5987),
    [anon_sym_RBRACE] = ACTIONS(5987),
    [anon_sym_LBRACK] = ACTIONS(5987),
    [anon_sym_RBRACK] = ACTIONS(5987),
    [anon_sym_EQ] = ACTIONS(5985),
    [anon_sym_COLON] = ACTIONS(5987),
    [anon_sym_QMARK] = ACTIONS(5987),
    [anon_sym_STAR_EQ] = ACTIONS(5987),
    [anon_sym_SLASH_EQ] = ACTIONS(5987),
    [anon_sym_PERCENT_EQ] = ACTIONS(5987),
    [anon_sym_PLUS_EQ] = ACTIONS(5987),
    [anon_sym_DASH_EQ] = ACTIONS(5987),
    [anon_sym_LT_LT_EQ] = ACTIONS(5987),
    [anon_sym_GT_GT_EQ] = ACTIONS(5987),
    [anon_sym_AMP_EQ] = ACTIONS(5987),
    [anon_sym_CARET_EQ] = ACTIONS(5987),
    [anon_sym_PIPE_EQ] = ACTIONS(5987),
    [anon_sym_and_eq] = ACTIONS(5985),
    [anon_sym_or_eq] = ACTIONS(5985),
    [anon_sym_xor_eq] = ACTIONS(5985),
    [anon_sym_LT_EQ_GT] = ACTIONS(5987),
    [anon_sym_or] = ACTIONS(5985),
    [anon_sym_and] = ACTIONS(5985),
    [anon_sym_bitor] = ACTIONS(5985),
    [anon_sym_xor] = ACTIONS(5985),
    [anon_sym_bitand] = ACTIONS(5985),
    [anon_sym_not_eq] = ACTIONS(5985),
    [anon_sym_DASH_DASH] = ACTIONS(5987),
    [anon_sym_PLUS_PLUS] = ACTIONS(5987),
    [anon_sym_DOT] = ACTIONS(5985),
    [anon_sym_DOT_STAR] = ACTIONS(5987),
    [anon_sym_DASH_GT] = ACTIONS(5987),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5985),
    [anon_sym_decltype] = ACTIONS(5985),
  },
  [2471] = {
    [sym_attribute_specifier] = STATE(2545),
    [sym_identifier] = ACTIONS(5989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5991),
    [anon_sym_COMMA] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(5991),
    [aux_sym_preproc_if_token2] = ACTIONS(5991),
    [aux_sym_preproc_else_token1] = ACTIONS(5991),
    [aux_sym_preproc_elif_token1] = ACTIONS(5989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5991),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5991),
    [anon_sym_LPAREN2] = ACTIONS(5991),
    [anon_sym_DASH] = ACTIONS(5989),
    [anon_sym_PLUS] = ACTIONS(5989),
    [anon_sym_STAR] = ACTIONS(5989),
    [anon_sym_SLASH] = ACTIONS(5989),
    [anon_sym_PERCENT] = ACTIONS(5989),
    [anon_sym_PIPE_PIPE] = ACTIONS(5991),
    [anon_sym_AMP_AMP] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(5989),
    [anon_sym_CARET] = ACTIONS(5989),
    [anon_sym_AMP] = ACTIONS(5989),
    [anon_sym_EQ_EQ] = ACTIONS(5991),
    [anon_sym_BANG_EQ] = ACTIONS(5991),
    [anon_sym_GT] = ACTIONS(5989),
    [anon_sym_GT_EQ] = ACTIONS(5991),
    [anon_sym_LT_EQ] = ACTIONS(5989),
    [anon_sym_LT] = ACTIONS(5989),
    [anon_sym_LT_LT] = ACTIONS(5989),
    [anon_sym_GT_GT] = ACTIONS(5989),
    [anon_sym_SEMI] = ACTIONS(5991),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5991),
    [anon_sym_RBRACE] = ACTIONS(5991),
    [anon_sym_LBRACK] = ACTIONS(5991),
    [anon_sym_RBRACK] = ACTIONS(5991),
    [anon_sym_EQ] = ACTIONS(5989),
    [anon_sym_COLON] = ACTIONS(5991),
    [anon_sym_QMARK] = ACTIONS(5991),
    [anon_sym_STAR_EQ] = ACTIONS(5991),
    [anon_sym_SLASH_EQ] = ACTIONS(5991),
    [anon_sym_PERCENT_EQ] = ACTIONS(5991),
    [anon_sym_PLUS_EQ] = ACTIONS(5991),
    [anon_sym_DASH_EQ] = ACTIONS(5991),
    [anon_sym_LT_LT_EQ] = ACTIONS(5991),
    [anon_sym_GT_GT_EQ] = ACTIONS(5991),
    [anon_sym_AMP_EQ] = ACTIONS(5991),
    [anon_sym_CARET_EQ] = ACTIONS(5991),
    [anon_sym_PIPE_EQ] = ACTIONS(5991),
    [anon_sym_and_eq] = ACTIONS(5989),
    [anon_sym_or_eq] = ACTIONS(5989),
    [anon_sym_xor_eq] = ACTIONS(5989),
    [anon_sym_LT_EQ_GT] = ACTIONS(5991),
    [anon_sym_or] = ACTIONS(5989),
    [anon_sym_and] = ACTIONS(5989),
    [anon_sym_bitor] = ACTIONS(5989),
    [anon_sym_xor] = ACTIONS(5989),
    [anon_sym_bitand] = ACTIONS(5989),
    [anon_sym_not_eq] = ACTIONS(5989),
    [anon_sym_DASH_DASH] = ACTIONS(5991),
    [anon_sym_PLUS_PLUS] = ACTIONS(5991),
    [anon_sym_DOT] = ACTIONS(5989),
    [anon_sym_DOT_STAR] = ACTIONS(5991),
    [anon_sym_DASH_GT] = ACTIONS(5991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5989),
    [anon_sym_decltype] = ACTIONS(5989),
  },
  [2472] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5626),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5626),
    [anon_sym_volatile] = ACTIONS(5626),
    [anon_sym_restrict] = ACTIONS(5626),
    [anon_sym___restrict__] = ACTIONS(5626),
    [anon_sym__Atomic] = ACTIONS(5626),
    [anon_sym__Noreturn] = ACTIONS(5626),
    [anon_sym_noreturn] = ACTIONS(5626),
    [anon_sym_mutable] = ACTIONS(5626),
    [anon_sym_constinit] = ACTIONS(5626),
    [anon_sym_consteval] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_final] = ACTIONS(5626),
    [anon_sym_override] = ACTIONS(5626),
    [anon_sym_requires] = ACTIONS(5626),
  },
  [2473] = {
    [sym_string_literal] = STATE(2504),
    [sym_raw_string_literal] = STATE(2504),
    [aux_sym_concatenated_string_repeat1] = STATE(2504),
    [sym_identifier] = ACTIONS(5993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5327),
    [anon_sym_COMMA] = ACTIONS(5327),
    [anon_sym_LPAREN2] = ACTIONS(5327),
    [anon_sym_DASH] = ACTIONS(5329),
    [anon_sym_PLUS] = ACTIONS(5329),
    [anon_sym_STAR] = ACTIONS(5329),
    [anon_sym_SLASH] = ACTIONS(5329),
    [anon_sym_PERCENT] = ACTIONS(5329),
    [anon_sym_PIPE_PIPE] = ACTIONS(5327),
    [anon_sym_AMP_AMP] = ACTIONS(5327),
    [anon_sym_PIPE] = ACTIONS(5329),
    [anon_sym_CARET] = ACTIONS(5329),
    [anon_sym_AMP] = ACTIONS(5329),
    [anon_sym_EQ_EQ] = ACTIONS(5327),
    [anon_sym_BANG_EQ] = ACTIONS(5327),
    [anon_sym_GT] = ACTIONS(5329),
    [anon_sym_GT_EQ] = ACTIONS(5329),
    [anon_sym_LT_EQ] = ACTIONS(5329),
    [anon_sym_LT] = ACTIONS(5329),
    [anon_sym_LT_LT] = ACTIONS(5329),
    [anon_sym_GT_GT] = ACTIONS(5329),
    [anon_sym_LBRACK] = ACTIONS(5327),
    [anon_sym_EQ] = ACTIONS(5329),
    [anon_sym_QMARK] = ACTIONS(5327),
    [anon_sym_STAR_EQ] = ACTIONS(5327),
    [anon_sym_SLASH_EQ] = ACTIONS(5327),
    [anon_sym_PERCENT_EQ] = ACTIONS(5327),
    [anon_sym_PLUS_EQ] = ACTIONS(5327),
    [anon_sym_DASH_EQ] = ACTIONS(5327),
    [anon_sym_LT_LT_EQ] = ACTIONS(5327),
    [anon_sym_GT_GT_EQ] = ACTIONS(5329),
    [anon_sym_AMP_EQ] = ACTIONS(5327),
    [anon_sym_CARET_EQ] = ACTIONS(5327),
    [anon_sym_PIPE_EQ] = ACTIONS(5327),
    [anon_sym_and_eq] = ACTIONS(5329),
    [anon_sym_or_eq] = ACTIONS(5329),
    [anon_sym_xor_eq] = ACTIONS(5329),
    [anon_sym_LT_EQ_GT] = ACTIONS(5327),
    [anon_sym_or] = ACTIONS(5329),
    [anon_sym_and] = ACTIONS(5329),
    [anon_sym_bitor] = ACTIONS(5329),
    [anon_sym_xor] = ACTIONS(5329),
    [anon_sym_bitand] = ACTIONS(5329),
    [anon_sym_not_eq] = ACTIONS(5329),
    [anon_sym_DASH_DASH] = ACTIONS(5327),
    [anon_sym_PLUS_PLUS] = ACTIONS(5327),
    [anon_sym_DOT] = ACTIONS(5329),
    [anon_sym_DOT_STAR] = ACTIONS(5327),
    [anon_sym_DASH_GT] = ACTIONS(5327),
    [anon_sym_L_DQUOTE] = ACTIONS(5981),
    [anon_sym_u_DQUOTE] = ACTIONS(5981),
    [anon_sym_U_DQUOTE] = ACTIONS(5981),
    [anon_sym_u8_DQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5981),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5327),
    [anon_sym_R_DQUOTE] = ACTIONS(5983),
    [anon_sym_LR_DQUOTE] = ACTIONS(5983),
    [anon_sym_uR_DQUOTE] = ACTIONS(5983),
    [anon_sym_UR_DQUOTE] = ACTIONS(5983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5983),
    [sym_literal_suffix] = ACTIONS(5329),
  },
  [2474] = {
    [sym_identifier] = ACTIONS(3166),
    [aux_sym_preproc_def_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token1] = ACTIONS(3166),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3166),
    [aux_sym_preproc_else_token1] = ACTIONS(3166),
    [aux_sym_preproc_elif_token1] = ACTIONS(3166),
    [sym_preproc_directive] = ACTIONS(3166),
    [anon_sym_LPAREN2] = ACTIONS(3168),
    [anon_sym_TILDE] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3166),
    [anon_sym_typedef] = ACTIONS(3166),
    [anon_sym_extern] = ACTIONS(3166),
    [anon_sym___attribute__] = ACTIONS(3166),
    [anon_sym_COLON_COLON] = ACTIONS(3168),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3168),
    [anon_sym___declspec] = ACTIONS(3166),
    [anon_sym___based] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3166),
    [anon_sym_unsigned] = ACTIONS(3166),
    [anon_sym_long] = ACTIONS(3166),
    [anon_sym_short] = ACTIONS(3166),
    [anon_sym_LBRACK] = ACTIONS(3166),
    [anon_sym_static] = ACTIONS(3166),
    [anon_sym_register] = ACTIONS(3166),
    [anon_sym_inline] = ACTIONS(3166),
    [anon_sym___inline] = ACTIONS(3166),
    [anon_sym___inline__] = ACTIONS(3166),
    [anon_sym___forceinline] = ACTIONS(3166),
    [anon_sym_thread_local] = ACTIONS(3166),
    [anon_sym___thread] = ACTIONS(3166),
    [anon_sym_const] = ACTIONS(3166),
    [anon_sym_constexpr] = ACTIONS(3166),
    [anon_sym_volatile] = ACTIONS(3166),
    [anon_sym_restrict] = ACTIONS(3166),
    [anon_sym___restrict__] = ACTIONS(3166),
    [anon_sym__Atomic] = ACTIONS(3166),
    [anon_sym__Noreturn] = ACTIONS(3166),
    [anon_sym_noreturn] = ACTIONS(3166),
    [anon_sym_mutable] = ACTIONS(3166),
    [anon_sym_constinit] = ACTIONS(3166),
    [anon_sym_consteval] = ACTIONS(3166),
    [sym_primitive_type] = ACTIONS(3166),
    [anon_sym_enum] = ACTIONS(3166),
    [anon_sym_class] = ACTIONS(3166),
    [anon_sym_struct] = ACTIONS(3166),
    [anon_sym_union] = ACTIONS(3166),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3166),
    [anon_sym_decltype] = ACTIONS(3166),
    [anon_sym_virtual] = ACTIONS(3166),
    [anon_sym_alignas] = ACTIONS(3166),
    [anon_sym_explicit] = ACTIONS(3166),
    [anon_sym_typename] = ACTIONS(3166),
    [anon_sym_template] = ACTIONS(3166),
    [anon_sym_operator] = ACTIONS(3166),
    [anon_sym_friend] = ACTIONS(3166),
    [anon_sym_public] = ACTIONS(3166),
    [anon_sym_private] = ACTIONS(3166),
    [anon_sym_protected] = ACTIONS(3166),
    [anon_sym_using] = ACTIONS(3166),
    [anon_sym_static_assert] = ACTIONS(3166),
  },
  [2475] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_COMMA] = ACTIONS(5370),
    [anon_sym_RPAREN] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5368),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_PIPE] = ACTIONS(5368),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_EQ_EQ] = ACTIONS(5370),
    [anon_sym_BANG_EQ] = ACTIONS(5370),
    [anon_sym_GT] = ACTIONS(5368),
    [anon_sym_GT_EQ] = ACTIONS(5370),
    [anon_sym_LT_EQ] = ACTIONS(5368),
    [anon_sym_LT] = ACTIONS(5368),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(5370),
    [anon_sym_RBRACE] = ACTIONS(5370),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_RBRACK] = ACTIONS(5370),
    [anon_sym_EQ] = ACTIONS(5368),
    [anon_sym_COLON] = ACTIONS(5370),
    [anon_sym_QMARK] = ACTIONS(5370),
    [anon_sym_STAR_EQ] = ACTIONS(5370),
    [anon_sym_SLASH_EQ] = ACTIONS(5370),
    [anon_sym_PERCENT_EQ] = ACTIONS(5370),
    [anon_sym_PLUS_EQ] = ACTIONS(5370),
    [anon_sym_DASH_EQ] = ACTIONS(5370),
    [anon_sym_LT_LT_EQ] = ACTIONS(5370),
    [anon_sym_GT_GT_EQ] = ACTIONS(5370),
    [anon_sym_AMP_EQ] = ACTIONS(5370),
    [anon_sym_CARET_EQ] = ACTIONS(5370),
    [anon_sym_PIPE_EQ] = ACTIONS(5370),
    [anon_sym_and_eq] = ACTIONS(5368),
    [anon_sym_or_eq] = ACTIONS(5368),
    [anon_sym_xor_eq] = ACTIONS(5368),
    [anon_sym_LT_EQ_GT] = ACTIONS(5370),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [anon_sym_bitor] = ACTIONS(5368),
    [anon_sym_xor] = ACTIONS(5368),
    [anon_sym_bitand] = ACTIONS(5368),
    [anon_sym_not_eq] = ACTIONS(5368),
    [anon_sym_DASH_DASH] = ACTIONS(5370),
    [anon_sym_PLUS_PLUS] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_DOT_STAR] = ACTIONS(5370),
    [anon_sym_DASH_GT] = ACTIONS(5370),
    [anon_sym_L_DQUOTE] = ACTIONS(5370),
    [anon_sym_u_DQUOTE] = ACTIONS(5370),
    [anon_sym_U_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8_DQUOTE] = ACTIONS(5370),
    [anon_sym_DQUOTE] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5370),
    [anon_sym_LR_DQUOTE] = ACTIONS(5370),
    [anon_sym_uR_DQUOTE] = ACTIONS(5370),
    [anon_sym_UR_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5370),
    [sym_literal_suffix] = ACTIONS(5368),
  },
  [2476] = {
    [sym_template_argument_list] = STATE(2254),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2533),
    [sym_identifier] = ACTIONS(4125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4133),
    [anon_sym_COMMA] = ACTIONS(4133),
    [aux_sym_preproc_if_token2] = ACTIONS(4133),
    [aux_sym_preproc_else_token1] = ACTIONS(4133),
    [aux_sym_preproc_elif_token1] = ACTIONS(4125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4133),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4133),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4125),
    [anon_sym_PLUS] = ACTIONS(4125),
    [anon_sym_STAR] = ACTIONS(4125),
    [anon_sym_SLASH] = ACTIONS(4125),
    [anon_sym_PERCENT] = ACTIONS(4125),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_PIPE] = ACTIONS(4125),
    [anon_sym_CARET] = ACTIONS(4125),
    [anon_sym_AMP] = ACTIONS(4125),
    [anon_sym_EQ_EQ] = ACTIONS(4133),
    [anon_sym_BANG_EQ] = ACTIONS(4133),
    [anon_sym_GT] = ACTIONS(4125),
    [anon_sym_GT_EQ] = ACTIONS(4133),
    [anon_sym_LT_EQ] = ACTIONS(4125),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(4125),
    [anon_sym_GT_GT] = ACTIONS(4125),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(5799),
    [anon_sym_unsigned] = ACTIONS(5799),
    [anon_sym_long] = ACTIONS(5799),
    [anon_sym_short] = ACTIONS(5799),
    [anon_sym_LBRACK] = ACTIONS(4133),
    [anon_sym_EQ] = ACTIONS(4125),
    [anon_sym_QMARK] = ACTIONS(4133),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4125),
    [anon_sym_or_eq] = ACTIONS(4125),
    [anon_sym_xor_eq] = ACTIONS(4125),
    [anon_sym_LT_EQ_GT] = ACTIONS(4133),
    [anon_sym_or] = ACTIONS(4125),
    [anon_sym_and] = ACTIONS(4125),
    [anon_sym_bitor] = ACTIONS(4125),
    [anon_sym_xor] = ACTIONS(4125),
    [anon_sym_bitand] = ACTIONS(4125),
    [anon_sym_not_eq] = ACTIONS(4125),
    [anon_sym_DASH_DASH] = ACTIONS(4133),
    [anon_sym_PLUS_PLUS] = ACTIONS(4133),
    [anon_sym_DOT] = ACTIONS(4125),
    [anon_sym_DOT_STAR] = ACTIONS(4133),
    [anon_sym_DASH_GT] = ACTIONS(4133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4125),
    [anon_sym_decltype] = ACTIONS(4125),
  },
  [2477] = {
    [sym__declaration_modifiers] = STATE(4238),
    [sym_attribute_specifier] = STATE(4238),
    [sym_attribute_declaration] = STATE(4238),
    [sym_ms_declspec_modifier] = STATE(4238),
    [sym_storage_class_specifier] = STATE(4238),
    [sym_type_qualifier] = STATE(4238),
    [sym__type_specifier] = STATE(2899),
    [sym_sized_type_specifier] = STATE(3127),
    [sym_enum_specifier] = STATE(3127),
    [sym_struct_specifier] = STATE(3127),
    [sym_union_specifier] = STATE(3127),
    [sym_placeholder_type_specifier] = STATE(3127),
    [sym_decltype_auto] = STATE(3146),
    [sym_decltype] = STATE(3061),
    [sym_class_specifier] = STATE(3127),
    [sym_virtual] = STATE(4238),
    [sym_alignas_specifier] = STATE(4238),
    [sym_dependent_type] = STATE(3127),
    [sym_template_type] = STATE(3061),
    [sym_dependent_type_identifier] = STATE(9640),
    [sym__scope_resolution] = STATE(7357),
    [sym_qualified_type_identifier] = STATE(4081),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4238),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3151),
    [sym_identifier] = ACTIONS(5193),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3053),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3057),
    [anon_sym_union] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3061),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2478] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2111),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5737),
    [anon_sym_COMMA] = ACTIONS(5737),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_DASH] = ACTIONS(5740),
    [anon_sym_PLUS] = ACTIONS(5740),
    [anon_sym_STAR] = ACTIONS(5740),
    [anon_sym_SLASH] = ACTIONS(5740),
    [anon_sym_PERCENT] = ACTIONS(5740),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_PIPE] = ACTIONS(5740),
    [anon_sym_CARET] = ACTIONS(5740),
    [anon_sym_AMP] = ACTIONS(5740),
    [anon_sym_EQ_EQ] = ACTIONS(5737),
    [anon_sym_BANG_EQ] = ACTIONS(5737),
    [anon_sym_GT] = ACTIONS(5740),
    [anon_sym_GT_EQ] = ACTIONS(5737),
    [anon_sym_LT_EQ] = ACTIONS(5740),
    [anon_sym_LT] = ACTIONS(5740),
    [anon_sym_LT_LT] = ACTIONS(5740),
    [anon_sym_GT_GT] = ACTIONS(5740),
    [anon_sym_SEMI] = ACTIONS(5737),
    [anon_sym___attribute__] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5737),
    [anon_sym_RBRACE] = ACTIONS(5737),
    [anon_sym_signed] = ACTIONS(5426),
    [anon_sym_unsigned] = ACTIONS(5426),
    [anon_sym_long] = ACTIONS(5426),
    [anon_sym_short] = ACTIONS(5426),
    [anon_sym_LBRACK] = ACTIONS(5737),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_EQ] = ACTIONS(5740),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_COLON] = ACTIONS(5737),
    [anon_sym_QMARK] = ACTIONS(5737),
    [anon_sym_STAR_EQ] = ACTIONS(5737),
    [anon_sym_SLASH_EQ] = ACTIONS(5737),
    [anon_sym_PERCENT_EQ] = ACTIONS(5737),
    [anon_sym_PLUS_EQ] = ACTIONS(5737),
    [anon_sym_DASH_EQ] = ACTIONS(5737),
    [anon_sym_LT_LT_EQ] = ACTIONS(5737),
    [anon_sym_GT_GT_EQ] = ACTIONS(5737),
    [anon_sym_AMP_EQ] = ACTIONS(5737),
    [anon_sym_CARET_EQ] = ACTIONS(5737),
    [anon_sym_PIPE_EQ] = ACTIONS(5737),
    [anon_sym_and_eq] = ACTIONS(5740),
    [anon_sym_or_eq] = ACTIONS(5740),
    [anon_sym_xor_eq] = ACTIONS(5740),
    [anon_sym_LT_EQ_GT] = ACTIONS(5737),
    [anon_sym_or] = ACTIONS(5740),
    [anon_sym_and] = ACTIONS(5740),
    [anon_sym_bitor] = ACTIONS(5740),
    [anon_sym_xor] = ACTIONS(5740),
    [anon_sym_bitand] = ACTIONS(5740),
    [anon_sym_not_eq] = ACTIONS(5740),
    [anon_sym_DASH_DASH] = ACTIONS(5737),
    [anon_sym_PLUS_PLUS] = ACTIONS(5737),
    [anon_sym_DOT] = ACTIONS(5740),
    [anon_sym_DOT_STAR] = ACTIONS(5737),
    [anon_sym_DASH_GT] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5740),
    [anon_sym_decltype] = ACTIONS(5740),
  },
  [2479] = {
    [sym_identifier] = ACTIONS(3162),
    [aux_sym_preproc_def_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token1] = ACTIONS(3162),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3162),
    [aux_sym_preproc_else_token1] = ACTIONS(3162),
    [aux_sym_preproc_elif_token1] = ACTIONS(3162),
    [sym_preproc_directive] = ACTIONS(3162),
    [anon_sym_LPAREN2] = ACTIONS(3164),
    [anon_sym_TILDE] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3162),
    [anon_sym_typedef] = ACTIONS(3162),
    [anon_sym_extern] = ACTIONS(3162),
    [anon_sym___attribute__] = ACTIONS(3162),
    [anon_sym_COLON_COLON] = ACTIONS(3164),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3164),
    [anon_sym___declspec] = ACTIONS(3162),
    [anon_sym___based] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3162),
    [anon_sym_unsigned] = ACTIONS(3162),
    [anon_sym_long] = ACTIONS(3162),
    [anon_sym_short] = ACTIONS(3162),
    [anon_sym_LBRACK] = ACTIONS(3162),
    [anon_sym_static] = ACTIONS(3162),
    [anon_sym_register] = ACTIONS(3162),
    [anon_sym_inline] = ACTIONS(3162),
    [anon_sym___inline] = ACTIONS(3162),
    [anon_sym___inline__] = ACTIONS(3162),
    [anon_sym___forceinline] = ACTIONS(3162),
    [anon_sym_thread_local] = ACTIONS(3162),
    [anon_sym___thread] = ACTIONS(3162),
    [anon_sym_const] = ACTIONS(3162),
    [anon_sym_constexpr] = ACTIONS(3162),
    [anon_sym_volatile] = ACTIONS(3162),
    [anon_sym_restrict] = ACTIONS(3162),
    [anon_sym___restrict__] = ACTIONS(3162),
    [anon_sym__Atomic] = ACTIONS(3162),
    [anon_sym__Noreturn] = ACTIONS(3162),
    [anon_sym_noreturn] = ACTIONS(3162),
    [anon_sym_mutable] = ACTIONS(3162),
    [anon_sym_constinit] = ACTIONS(3162),
    [anon_sym_consteval] = ACTIONS(3162),
    [sym_primitive_type] = ACTIONS(3162),
    [anon_sym_enum] = ACTIONS(3162),
    [anon_sym_class] = ACTIONS(3162),
    [anon_sym_struct] = ACTIONS(3162),
    [anon_sym_union] = ACTIONS(3162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3162),
    [anon_sym_decltype] = ACTIONS(3162),
    [anon_sym_virtual] = ACTIONS(3162),
    [anon_sym_alignas] = ACTIONS(3162),
    [anon_sym_explicit] = ACTIONS(3162),
    [anon_sym_typename] = ACTIONS(3162),
    [anon_sym_template] = ACTIONS(3162),
    [anon_sym_operator] = ACTIONS(3162),
    [anon_sym_friend] = ACTIONS(3162),
    [anon_sym_public] = ACTIONS(3162),
    [anon_sym_private] = ACTIONS(3162),
    [anon_sym_protected] = ACTIONS(3162),
    [anon_sym_using] = ACTIONS(3162),
    [anon_sym_static_assert] = ACTIONS(3162),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_friend] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
  },
  [2481] = {
    [sym_attribute_specifier] = STATE(2525),
    [sym_identifier] = ACTIONS(5995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5997),
    [anon_sym_COMMA] = ACTIONS(5997),
    [anon_sym_RPAREN] = ACTIONS(5997),
    [aux_sym_preproc_if_token2] = ACTIONS(5997),
    [aux_sym_preproc_else_token1] = ACTIONS(5997),
    [aux_sym_preproc_elif_token1] = ACTIONS(5995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5997),
    [anon_sym_LPAREN2] = ACTIONS(5997),
    [anon_sym_DASH] = ACTIONS(5995),
    [anon_sym_PLUS] = ACTIONS(5995),
    [anon_sym_STAR] = ACTIONS(5995),
    [anon_sym_SLASH] = ACTIONS(5995),
    [anon_sym_PERCENT] = ACTIONS(5995),
    [anon_sym_PIPE_PIPE] = ACTIONS(5997),
    [anon_sym_AMP_AMP] = ACTIONS(5997),
    [anon_sym_PIPE] = ACTIONS(5995),
    [anon_sym_CARET] = ACTIONS(5995),
    [anon_sym_AMP] = ACTIONS(5995),
    [anon_sym_EQ_EQ] = ACTIONS(5997),
    [anon_sym_BANG_EQ] = ACTIONS(5997),
    [anon_sym_GT] = ACTIONS(5995),
    [anon_sym_GT_EQ] = ACTIONS(5997),
    [anon_sym_LT_EQ] = ACTIONS(5995),
    [anon_sym_LT] = ACTIONS(5995),
    [anon_sym_LT_LT] = ACTIONS(5995),
    [anon_sym_GT_GT] = ACTIONS(5995),
    [anon_sym_SEMI] = ACTIONS(5997),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(5997),
    [anon_sym_RBRACE] = ACTIONS(5997),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(5997),
    [anon_sym_EQ] = ACTIONS(5995),
    [anon_sym_COLON] = ACTIONS(5997),
    [anon_sym_QMARK] = ACTIONS(5997),
    [anon_sym_STAR_EQ] = ACTIONS(5997),
    [anon_sym_SLASH_EQ] = ACTIONS(5997),
    [anon_sym_PERCENT_EQ] = ACTIONS(5997),
    [anon_sym_PLUS_EQ] = ACTIONS(5997),
    [anon_sym_DASH_EQ] = ACTIONS(5997),
    [anon_sym_LT_LT_EQ] = ACTIONS(5997),
    [anon_sym_GT_GT_EQ] = ACTIONS(5997),
    [anon_sym_AMP_EQ] = ACTIONS(5997),
    [anon_sym_CARET_EQ] = ACTIONS(5997),
    [anon_sym_PIPE_EQ] = ACTIONS(5997),
    [anon_sym_and_eq] = ACTIONS(5995),
    [anon_sym_or_eq] = ACTIONS(5995),
    [anon_sym_xor_eq] = ACTIONS(5995),
    [anon_sym_LT_EQ_GT] = ACTIONS(5997),
    [anon_sym_or] = ACTIONS(5995),
    [anon_sym_and] = ACTIONS(5995),
    [anon_sym_bitor] = ACTIONS(5995),
    [anon_sym_xor] = ACTIONS(5995),
    [anon_sym_bitand] = ACTIONS(5995),
    [anon_sym_not_eq] = ACTIONS(5995),
    [anon_sym_DASH_DASH] = ACTIONS(5997),
    [anon_sym_PLUS_PLUS] = ACTIONS(5997),
    [anon_sym_DOT] = ACTIONS(5995),
    [anon_sym_DOT_STAR] = ACTIONS(5997),
    [anon_sym_DASH_GT] = ACTIONS(5997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5995),
    [anon_sym_decltype] = ACTIONS(5995),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(5546),
    [aux_sym_preproc_def_token1] = ACTIONS(5546),
    [aux_sym_preproc_if_token1] = ACTIONS(5546),
    [aux_sym_preproc_if_token2] = ACTIONS(5546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5546),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5546),
    [aux_sym_preproc_else_token1] = ACTIONS(5546),
    [aux_sym_preproc_elif_token1] = ACTIONS(5546),
    [sym_preproc_directive] = ACTIONS(5546),
    [anon_sym_LPAREN2] = ACTIONS(5548),
    [anon_sym_TILDE] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5546),
    [anon_sym___extension__] = ACTIONS(5546),
    [anon_sym_typedef] = ACTIONS(5546),
    [anon_sym_extern] = ACTIONS(5546),
    [anon_sym___attribute__] = ACTIONS(5546),
    [anon_sym_COLON_COLON] = ACTIONS(5548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5548),
    [anon_sym___declspec] = ACTIONS(5546),
    [anon_sym___based] = ACTIONS(5546),
    [anon_sym_signed] = ACTIONS(5546),
    [anon_sym_unsigned] = ACTIONS(5546),
    [anon_sym_long] = ACTIONS(5546),
    [anon_sym_short] = ACTIONS(5546),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_static] = ACTIONS(5546),
    [anon_sym_register] = ACTIONS(5546),
    [anon_sym_inline] = ACTIONS(5546),
    [anon_sym___inline] = ACTIONS(5546),
    [anon_sym___inline__] = ACTIONS(5546),
    [anon_sym___forceinline] = ACTIONS(5546),
    [anon_sym_thread_local] = ACTIONS(5546),
    [anon_sym___thread] = ACTIONS(5546),
    [anon_sym_const] = ACTIONS(5546),
    [anon_sym_constexpr] = ACTIONS(5546),
    [anon_sym_volatile] = ACTIONS(5546),
    [anon_sym_restrict] = ACTIONS(5546),
    [anon_sym___restrict__] = ACTIONS(5546),
    [anon_sym__Atomic] = ACTIONS(5546),
    [anon_sym__Noreturn] = ACTIONS(5546),
    [anon_sym_noreturn] = ACTIONS(5546),
    [anon_sym_mutable] = ACTIONS(5546),
    [anon_sym_constinit] = ACTIONS(5546),
    [anon_sym_consteval] = ACTIONS(5546),
    [sym_primitive_type] = ACTIONS(5546),
    [anon_sym_enum] = ACTIONS(5546),
    [anon_sym_class] = ACTIONS(5546),
    [anon_sym_struct] = ACTIONS(5546),
    [anon_sym_union] = ACTIONS(5546),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5546),
    [anon_sym_decltype] = ACTIONS(5546),
    [anon_sym_virtual] = ACTIONS(5546),
    [anon_sym_alignas] = ACTIONS(5546),
    [anon_sym_explicit] = ACTIONS(5546),
    [anon_sym_typename] = ACTIONS(5546),
    [anon_sym_template] = ACTIONS(5546),
    [anon_sym_operator] = ACTIONS(5546),
    [anon_sym_friend] = ACTIONS(5546),
    [anon_sym_public] = ACTIONS(5546),
    [anon_sym_private] = ACTIONS(5546),
    [anon_sym_protected] = ACTIONS(5546),
    [anon_sym_using] = ACTIONS(5546),
    [anon_sym_static_assert] = ACTIONS(5546),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym_typedef] = ACTIONS(5542),
    [anon_sym_extern] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym___declspec] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_static] = ACTIONS(5542),
    [anon_sym_register] = ACTIONS(5542),
    [anon_sym_inline] = ACTIONS(5542),
    [anon_sym___inline] = ACTIONS(5542),
    [anon_sym___inline__] = ACTIONS(5542),
    [anon_sym___forceinline] = ACTIONS(5542),
    [anon_sym_thread_local] = ACTIONS(5542),
    [anon_sym___thread] = ACTIONS(5542),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [sym_primitive_type] = ACTIONS(5542),
    [anon_sym_enum] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(5542),
    [anon_sym_struct] = ACTIONS(5542),
    [anon_sym_union] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_virtual] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym_explicit] = ACTIONS(5542),
    [anon_sym_typename] = ACTIONS(5542),
    [anon_sym_template] = ACTIONS(5542),
    [anon_sym_operator] = ACTIONS(5542),
    [anon_sym_friend] = ACTIONS(5542),
    [anon_sym_public] = ACTIONS(5542),
    [anon_sym_private] = ACTIONS(5542),
    [anon_sym_protected] = ACTIONS(5542),
    [anon_sym_using] = ACTIONS(5542),
    [anon_sym_static_assert] = ACTIONS(5542),
  },
  [2484] = {
    [sym_attribute_specifier] = STATE(2515),
    [sym_identifier] = ACTIONS(5999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6001),
    [anon_sym_COMMA] = ACTIONS(6001),
    [anon_sym_RPAREN] = ACTIONS(6001),
    [aux_sym_preproc_if_token2] = ACTIONS(6001),
    [aux_sym_preproc_else_token1] = ACTIONS(6001),
    [aux_sym_preproc_elif_token1] = ACTIONS(5999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(6001),
    [anon_sym_DASH] = ACTIONS(5999),
    [anon_sym_PLUS] = ACTIONS(5999),
    [anon_sym_STAR] = ACTIONS(5999),
    [anon_sym_SLASH] = ACTIONS(5999),
    [anon_sym_PERCENT] = ACTIONS(5999),
    [anon_sym_PIPE_PIPE] = ACTIONS(6001),
    [anon_sym_AMP_AMP] = ACTIONS(6001),
    [anon_sym_PIPE] = ACTIONS(5999),
    [anon_sym_CARET] = ACTIONS(5999),
    [anon_sym_AMP] = ACTIONS(5999),
    [anon_sym_EQ_EQ] = ACTIONS(6001),
    [anon_sym_BANG_EQ] = ACTIONS(6001),
    [anon_sym_GT] = ACTIONS(5999),
    [anon_sym_GT_EQ] = ACTIONS(6001),
    [anon_sym_LT_EQ] = ACTIONS(5999),
    [anon_sym_LT] = ACTIONS(5999),
    [anon_sym_LT_LT] = ACTIONS(5999),
    [anon_sym_GT_GT] = ACTIONS(5999),
    [anon_sym_SEMI] = ACTIONS(6001),
    [anon_sym___attribute__] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(6001),
    [anon_sym_RBRACE] = ACTIONS(6001),
    [anon_sym_LBRACK] = ACTIONS(6001),
    [anon_sym_RBRACK] = ACTIONS(6001),
    [anon_sym_EQ] = ACTIONS(5999),
    [anon_sym_COLON] = ACTIONS(6001),
    [anon_sym_QMARK] = ACTIONS(6001),
    [anon_sym_STAR_EQ] = ACTIONS(6001),
    [anon_sym_SLASH_EQ] = ACTIONS(6001),
    [anon_sym_PERCENT_EQ] = ACTIONS(6001),
    [anon_sym_PLUS_EQ] = ACTIONS(6001),
    [anon_sym_DASH_EQ] = ACTIONS(6001),
    [anon_sym_LT_LT_EQ] = ACTIONS(6001),
    [anon_sym_GT_GT_EQ] = ACTIONS(6001),
    [anon_sym_AMP_EQ] = ACTIONS(6001),
    [anon_sym_CARET_EQ] = ACTIONS(6001),
    [anon_sym_PIPE_EQ] = ACTIONS(6001),
    [anon_sym_and_eq] = ACTIONS(5999),
    [anon_sym_or_eq] = ACTIONS(5999),
    [anon_sym_xor_eq] = ACTIONS(5999),
    [anon_sym_LT_EQ_GT] = ACTIONS(6001),
    [anon_sym_or] = ACTIONS(5999),
    [anon_sym_and] = ACTIONS(5999),
    [anon_sym_bitor] = ACTIONS(5999),
    [anon_sym_xor] = ACTIONS(5999),
    [anon_sym_bitand] = ACTIONS(5999),
    [anon_sym_not_eq] = ACTIONS(5999),
    [anon_sym_DASH_DASH] = ACTIONS(6001),
    [anon_sym_PLUS_PLUS] = ACTIONS(6001),
    [anon_sym_DOT] = ACTIONS(5999),
    [anon_sym_DOT_STAR] = ACTIONS(6001),
    [anon_sym_DASH_GT] = ACTIONS(6001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5999),
    [anon_sym_decltype] = ACTIONS(5999),
  },
  [2485] = {
    [sym_identifier] = ACTIONS(5538),
    [aux_sym_preproc_def_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token2] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [sym_preproc_directive] = ACTIONS(5538),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_TILDE] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym_typedef] = ACTIONS(5538),
    [anon_sym_extern] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym_COLON_COLON] = ACTIONS(5540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5540),
    [anon_sym___declspec] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_static] = ACTIONS(5538),
    [anon_sym_register] = ACTIONS(5538),
    [anon_sym_inline] = ACTIONS(5538),
    [anon_sym___inline] = ACTIONS(5538),
    [anon_sym___inline__] = ACTIONS(5538),
    [anon_sym___forceinline] = ACTIONS(5538),
    [anon_sym_thread_local] = ACTIONS(5538),
    [anon_sym___thread] = ACTIONS(5538),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [sym_primitive_type] = ACTIONS(5538),
    [anon_sym_enum] = ACTIONS(5538),
    [anon_sym_class] = ACTIONS(5538),
    [anon_sym_struct] = ACTIONS(5538),
    [anon_sym_union] = ACTIONS(5538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_virtual] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym_explicit] = ACTIONS(5538),
    [anon_sym_typename] = ACTIONS(5538),
    [anon_sym_template] = ACTIONS(5538),
    [anon_sym_operator] = ACTIONS(5538),
    [anon_sym_friend] = ACTIONS(5538),
    [anon_sym_public] = ACTIONS(5538),
    [anon_sym_private] = ACTIONS(5538),
    [anon_sym_protected] = ACTIONS(5538),
    [anon_sym_using] = ACTIONS(5538),
    [anon_sym_static_assert] = ACTIONS(5538),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(2877),
    [aux_sym_preproc_def_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token1] = ACTIONS(2877),
    [aux_sym_preproc_if_token2] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2877),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2877),
    [aux_sym_preproc_else_token1] = ACTIONS(2877),
    [aux_sym_preproc_elif_token1] = ACTIONS(2877),
    [sym_preproc_directive] = ACTIONS(2877),
    [anon_sym_LPAREN2] = ACTIONS(2879),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2877),
    [anon_sym_typedef] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym___attribute__] = ACTIONS(2877),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2879),
    [anon_sym___declspec] = ACTIONS(2877),
    [anon_sym___based] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2877),
    [anon_sym_unsigned] = ACTIONS(2877),
    [anon_sym_long] = ACTIONS(2877),
    [anon_sym_short] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_register] = ACTIONS(2877),
    [anon_sym_inline] = ACTIONS(2877),
    [anon_sym___inline] = ACTIONS(2877),
    [anon_sym___inline__] = ACTIONS(2877),
    [anon_sym___forceinline] = ACTIONS(2877),
    [anon_sym_thread_local] = ACTIONS(2877),
    [anon_sym___thread] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_constexpr] = ACTIONS(2877),
    [anon_sym_volatile] = ACTIONS(2877),
    [anon_sym_restrict] = ACTIONS(2877),
    [anon_sym___restrict__] = ACTIONS(2877),
    [anon_sym__Atomic] = ACTIONS(2877),
    [anon_sym__Noreturn] = ACTIONS(2877),
    [anon_sym_noreturn] = ACTIONS(2877),
    [anon_sym_mutable] = ACTIONS(2877),
    [anon_sym_constinit] = ACTIONS(2877),
    [anon_sym_consteval] = ACTIONS(2877),
    [sym_primitive_type] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2877),
    [anon_sym_decltype] = ACTIONS(2877),
    [anon_sym_virtual] = ACTIONS(2877),
    [anon_sym_alignas] = ACTIONS(2877),
    [anon_sym_explicit] = ACTIONS(2877),
    [anon_sym_typename] = ACTIONS(2877),
    [anon_sym_template] = ACTIONS(2877),
    [anon_sym_operator] = ACTIONS(2877),
    [anon_sym_friend] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_static_assert] = ACTIONS(2877),
  },
  [2487] = {
    [sym_string_literal] = STATE(2487),
    [sym_raw_string_literal] = STATE(2487),
    [aux_sym_concatenated_string_repeat1] = STATE(2487),
    [sym_identifier] = ACTIONS(6003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5311),
    [anon_sym_COMMA] = ACTIONS(5311),
    [anon_sym_LPAREN2] = ACTIONS(5311),
    [anon_sym_DASH] = ACTIONS(5313),
    [anon_sym_PLUS] = ACTIONS(5313),
    [anon_sym_STAR] = ACTIONS(5313),
    [anon_sym_SLASH] = ACTIONS(5313),
    [anon_sym_PERCENT] = ACTIONS(5313),
    [anon_sym_PIPE_PIPE] = ACTIONS(5311),
    [anon_sym_AMP_AMP] = ACTIONS(5311),
    [anon_sym_PIPE] = ACTIONS(5313),
    [anon_sym_CARET] = ACTIONS(5313),
    [anon_sym_AMP] = ACTIONS(5313),
    [anon_sym_EQ_EQ] = ACTIONS(5311),
    [anon_sym_BANG_EQ] = ACTIONS(5311),
    [anon_sym_GT] = ACTIONS(5313),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5313),
    [anon_sym_LT] = ACTIONS(5313),
    [anon_sym_LT_LT] = ACTIONS(5313),
    [anon_sym_GT_GT] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5311),
    [anon_sym_EQ] = ACTIONS(5313),
    [anon_sym_QMARK] = ACTIONS(5311),
    [anon_sym_STAR_EQ] = ACTIONS(5311),
    [anon_sym_SLASH_EQ] = ACTIONS(5311),
    [anon_sym_PERCENT_EQ] = ACTIONS(5311),
    [anon_sym_PLUS_EQ] = ACTIONS(5311),
    [anon_sym_DASH_EQ] = ACTIONS(5311),
    [anon_sym_LT_LT_EQ] = ACTIONS(5311),
    [anon_sym_GT_GT_EQ] = ACTIONS(5313),
    [anon_sym_AMP_EQ] = ACTIONS(5311),
    [anon_sym_CARET_EQ] = ACTIONS(5311),
    [anon_sym_PIPE_EQ] = ACTIONS(5311),
    [anon_sym_and_eq] = ACTIONS(5313),
    [anon_sym_or_eq] = ACTIONS(5313),
    [anon_sym_xor_eq] = ACTIONS(5313),
    [anon_sym_LT_EQ_GT] = ACTIONS(5311),
    [anon_sym_or] = ACTIONS(5313),
    [anon_sym_and] = ACTIONS(5313),
    [anon_sym_bitor] = ACTIONS(5313),
    [anon_sym_xor] = ACTIONS(5313),
    [anon_sym_bitand] = ACTIONS(5313),
    [anon_sym_not_eq] = ACTIONS(5313),
    [anon_sym_DASH_DASH] = ACTIONS(5311),
    [anon_sym_PLUS_PLUS] = ACTIONS(5311),
    [anon_sym_DOT] = ACTIONS(5313),
    [anon_sym_DOT_STAR] = ACTIONS(5311),
    [anon_sym_DASH_GT] = ACTIONS(5311),
    [anon_sym_L_DQUOTE] = ACTIONS(6006),
    [anon_sym_u_DQUOTE] = ACTIONS(6006),
    [anon_sym_U_DQUOTE] = ACTIONS(6006),
    [anon_sym_u8_DQUOTE] = ACTIONS(6006),
    [anon_sym_DQUOTE] = ACTIONS(6006),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5311),
    [anon_sym_R_DQUOTE] = ACTIONS(6009),
    [anon_sym_LR_DQUOTE] = ACTIONS(6009),
    [anon_sym_uR_DQUOTE] = ACTIONS(6009),
    [anon_sym_UR_DQUOTE] = ACTIONS(6009),
    [anon_sym_u8R_DQUOTE] = ACTIONS(6009),
    [sym_literal_suffix] = ACTIONS(5313),
  },
  [2488] = {
    [sym_template_argument_list] = STATE(2052),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [anon_sym_RPAREN] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5795),
    [anon_sym_PLUS] = ACTIONS(5795),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_SLASH] = ACTIONS(5795),
    [anon_sym_PERCENT] = ACTIONS(5795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5795),
    [anon_sym_CARET] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5795),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5795),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5795),
    [anon_sym_LT] = ACTIONS(5795),
    [anon_sym_LT_LT] = ACTIONS(5795),
    [anon_sym_GT_GT] = ACTIONS(5795),
    [anon_sym_SEMI] = ACTIONS(5797),
    [anon_sym___attribute__] = ACTIONS(5797),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_RBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(6012),
    [anon_sym_unsigned] = ACTIONS(6012),
    [anon_sym_long] = ACTIONS(6012),
    [anon_sym_short] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_RBRACK] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5795),
    [anon_sym_COLON] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_STAR_EQ] = ACTIONS(5797),
    [anon_sym_SLASH_EQ] = ACTIONS(5797),
    [anon_sym_PERCENT_EQ] = ACTIONS(5797),
    [anon_sym_PLUS_EQ] = ACTIONS(5797),
    [anon_sym_DASH_EQ] = ACTIONS(5797),
    [anon_sym_LT_LT_EQ] = ACTIONS(5797),
    [anon_sym_GT_GT_EQ] = ACTIONS(5797),
    [anon_sym_AMP_EQ] = ACTIONS(5797),
    [anon_sym_CARET_EQ] = ACTIONS(5797),
    [anon_sym_PIPE_EQ] = ACTIONS(5797),
    [anon_sym_and_eq] = ACTIONS(5797),
    [anon_sym_or_eq] = ACTIONS(5797),
    [anon_sym_xor_eq] = ACTIONS(5797),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5795),
    [anon_sym_and] = ACTIONS(5795),
    [anon_sym_bitor] = ACTIONS(5797),
    [anon_sym_xor] = ACTIONS(5795),
    [anon_sym_bitand] = ACTIONS(5797),
    [anon_sym_not_eq] = ACTIONS(5797),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5795),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5797),
    [anon_sym_decltype] = ACTIONS(5797),
  },
  [2489] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_friend] = ACTIONS(2941),
    [anon_sym_public] = ACTIONS(2941),
    [anon_sym_private] = ACTIONS(2941),
    [anon_sym_protected] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
  },
  [2490] = {
    [sym_identifier] = ACTIONS(5542),
    [aux_sym_preproc_def_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token1] = ACTIONS(5542),
    [aux_sym_preproc_if_token2] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5542),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5542),
    [aux_sym_preproc_else_token1] = ACTIONS(5542),
    [aux_sym_preproc_elif_token1] = ACTIONS(5542),
    [sym_preproc_directive] = ACTIONS(5542),
    [anon_sym_LPAREN2] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5542),
    [anon_sym___extension__] = ACTIONS(5542),
    [anon_sym_typedef] = ACTIONS(5542),
    [anon_sym_extern] = ACTIONS(5542),
    [anon_sym___attribute__] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5544),
    [anon_sym___declspec] = ACTIONS(5542),
    [anon_sym___based] = ACTIONS(5542),
    [anon_sym_signed] = ACTIONS(5542),
    [anon_sym_unsigned] = ACTIONS(5542),
    [anon_sym_long] = ACTIONS(5542),
    [anon_sym_short] = ACTIONS(5542),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_static] = ACTIONS(5542),
    [anon_sym_register] = ACTIONS(5542),
    [anon_sym_inline] = ACTIONS(5542),
    [anon_sym___inline] = ACTIONS(5542),
    [anon_sym___inline__] = ACTIONS(5542),
    [anon_sym___forceinline] = ACTIONS(5542),
    [anon_sym_thread_local] = ACTIONS(5542),
    [anon_sym___thread] = ACTIONS(5542),
    [anon_sym_const] = ACTIONS(5542),
    [anon_sym_constexpr] = ACTIONS(5542),
    [anon_sym_volatile] = ACTIONS(5542),
    [anon_sym_restrict] = ACTIONS(5542),
    [anon_sym___restrict__] = ACTIONS(5542),
    [anon_sym__Atomic] = ACTIONS(5542),
    [anon_sym__Noreturn] = ACTIONS(5542),
    [anon_sym_noreturn] = ACTIONS(5542),
    [anon_sym_mutable] = ACTIONS(5542),
    [anon_sym_constinit] = ACTIONS(5542),
    [anon_sym_consteval] = ACTIONS(5542),
    [sym_primitive_type] = ACTIONS(5542),
    [anon_sym_enum] = ACTIONS(5542),
    [anon_sym_class] = ACTIONS(5542),
    [anon_sym_struct] = ACTIONS(5542),
    [anon_sym_union] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5542),
    [anon_sym_decltype] = ACTIONS(5542),
    [anon_sym_virtual] = ACTIONS(5542),
    [anon_sym_alignas] = ACTIONS(5542),
    [anon_sym_explicit] = ACTIONS(5542),
    [anon_sym_typename] = ACTIONS(5542),
    [anon_sym_template] = ACTIONS(5542),
    [anon_sym_operator] = ACTIONS(5542),
    [anon_sym_friend] = ACTIONS(5542),
    [anon_sym_public] = ACTIONS(5542),
    [anon_sym_private] = ACTIONS(5542),
    [anon_sym_protected] = ACTIONS(5542),
    [anon_sym_using] = ACTIONS(5542),
    [anon_sym_static_assert] = ACTIONS(5542),
  },
  [2491] = {
    [sym_attribute_declaration] = STATE(2517),
    [sym_parameter_list] = STATE(2563),
    [aux_sym_attributed_declarator_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(6014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6016),
    [anon_sym_COMMA] = ACTIONS(6016),
    [anon_sym_RPAREN] = ACTIONS(6016),
    [aux_sym_preproc_if_token2] = ACTIONS(6016),
    [aux_sym_preproc_else_token1] = ACTIONS(6016),
    [aux_sym_preproc_elif_token1] = ACTIONS(6014),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6016),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6016),
    [anon_sym_LPAREN2] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(6014),
    [anon_sym_PLUS] = ACTIONS(6014),
    [anon_sym_STAR] = ACTIONS(6014),
    [anon_sym_SLASH] = ACTIONS(6014),
    [anon_sym_PERCENT] = ACTIONS(6014),
    [anon_sym_PIPE_PIPE] = ACTIONS(6016),
    [anon_sym_AMP_AMP] = ACTIONS(6016),
    [anon_sym_PIPE] = ACTIONS(6014),
    [anon_sym_CARET] = ACTIONS(6014),
    [anon_sym_AMP] = ACTIONS(6014),
    [anon_sym_EQ_EQ] = ACTIONS(6016),
    [anon_sym_BANG_EQ] = ACTIONS(6016),
    [anon_sym_GT] = ACTIONS(6014),
    [anon_sym_GT_EQ] = ACTIONS(6016),
    [anon_sym_LT_EQ] = ACTIONS(6014),
    [anon_sym_LT] = ACTIONS(6014),
    [anon_sym_LT_LT] = ACTIONS(6014),
    [anon_sym_GT_GT] = ACTIONS(6014),
    [anon_sym_SEMI] = ACTIONS(6016),
    [anon_sym___attribute__] = ACTIONS(6014),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(6016),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(6016),
    [anon_sym_EQ] = ACTIONS(6014),
    [anon_sym_COLON] = ACTIONS(6016),
    [anon_sym_QMARK] = ACTIONS(6016),
    [anon_sym_STAR_EQ] = ACTIONS(6016),
    [anon_sym_SLASH_EQ] = ACTIONS(6016),
    [anon_sym_PERCENT_EQ] = ACTIONS(6016),
    [anon_sym_PLUS_EQ] = ACTIONS(6016),
    [anon_sym_DASH_EQ] = ACTIONS(6016),
    [anon_sym_LT_LT_EQ] = ACTIONS(6016),
    [anon_sym_GT_GT_EQ] = ACTIONS(6016),
    [anon_sym_AMP_EQ] = ACTIONS(6016),
    [anon_sym_CARET_EQ] = ACTIONS(6016),
    [anon_sym_PIPE_EQ] = ACTIONS(6016),
    [anon_sym_and_eq] = ACTIONS(6014),
    [anon_sym_or_eq] = ACTIONS(6014),
    [anon_sym_xor_eq] = ACTIONS(6014),
    [anon_sym_LT_EQ_GT] = ACTIONS(6016),
    [anon_sym_or] = ACTIONS(6014),
    [anon_sym_and] = ACTIONS(6014),
    [anon_sym_bitor] = ACTIONS(6014),
    [anon_sym_xor] = ACTIONS(6014),
    [anon_sym_bitand] = ACTIONS(6014),
    [anon_sym_not_eq] = ACTIONS(6014),
    [anon_sym_DASH_DASH] = ACTIONS(6016),
    [anon_sym_PLUS_PLUS] = ACTIONS(6016),
    [anon_sym_DOT] = ACTIONS(6014),
    [anon_sym_DOT_STAR] = ACTIONS(6016),
    [anon_sym_DASH_GT] = ACTIONS(6016),
    [sym_comment] = ACTIONS(3),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(5538),
    [aux_sym_preproc_def_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token1] = ACTIONS(5538),
    [aux_sym_preproc_if_token2] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5538),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5538),
    [aux_sym_preproc_else_token1] = ACTIONS(5538),
    [aux_sym_preproc_elif_token1] = ACTIONS(5538),
    [sym_preproc_directive] = ACTIONS(5538),
    [anon_sym_LPAREN2] = ACTIONS(5540),
    [anon_sym_TILDE] = ACTIONS(5540),
    [anon_sym_STAR] = ACTIONS(5540),
    [anon_sym_AMP_AMP] = ACTIONS(5540),
    [anon_sym_AMP] = ACTIONS(5538),
    [anon_sym___extension__] = ACTIONS(5538),
    [anon_sym_typedef] = ACTIONS(5538),
    [anon_sym_extern] = ACTIONS(5538),
    [anon_sym___attribute__] = ACTIONS(5538),
    [anon_sym_COLON_COLON] = ACTIONS(5540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5540),
    [anon_sym___declspec] = ACTIONS(5538),
    [anon_sym___based] = ACTIONS(5538),
    [anon_sym_signed] = ACTIONS(5538),
    [anon_sym_unsigned] = ACTIONS(5538),
    [anon_sym_long] = ACTIONS(5538),
    [anon_sym_short] = ACTIONS(5538),
    [anon_sym_LBRACK] = ACTIONS(5538),
    [anon_sym_static] = ACTIONS(5538),
    [anon_sym_register] = ACTIONS(5538),
    [anon_sym_inline] = ACTIONS(5538),
    [anon_sym___inline] = ACTIONS(5538),
    [anon_sym___inline__] = ACTIONS(5538),
    [anon_sym___forceinline] = ACTIONS(5538),
    [anon_sym_thread_local] = ACTIONS(5538),
    [anon_sym___thread] = ACTIONS(5538),
    [anon_sym_const] = ACTIONS(5538),
    [anon_sym_constexpr] = ACTIONS(5538),
    [anon_sym_volatile] = ACTIONS(5538),
    [anon_sym_restrict] = ACTIONS(5538),
    [anon_sym___restrict__] = ACTIONS(5538),
    [anon_sym__Atomic] = ACTIONS(5538),
    [anon_sym__Noreturn] = ACTIONS(5538),
    [anon_sym_noreturn] = ACTIONS(5538),
    [anon_sym_mutable] = ACTIONS(5538),
    [anon_sym_constinit] = ACTIONS(5538),
    [anon_sym_consteval] = ACTIONS(5538),
    [sym_primitive_type] = ACTIONS(5538),
    [anon_sym_enum] = ACTIONS(5538),
    [anon_sym_class] = ACTIONS(5538),
    [anon_sym_struct] = ACTIONS(5538),
    [anon_sym_union] = ACTIONS(5538),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5538),
    [anon_sym_decltype] = ACTIONS(5538),
    [anon_sym_virtual] = ACTIONS(5538),
    [anon_sym_alignas] = ACTIONS(5538),
    [anon_sym_explicit] = ACTIONS(5538),
    [anon_sym_typename] = ACTIONS(5538),
    [anon_sym_template] = ACTIONS(5538),
    [anon_sym_operator] = ACTIONS(5538),
    [anon_sym_friend] = ACTIONS(5538),
    [anon_sym_public] = ACTIONS(5538),
    [anon_sym_private] = ACTIONS(5538),
    [anon_sym_protected] = ACTIONS(5538),
    [anon_sym_using] = ACTIONS(5538),
    [anon_sym_static_assert] = ACTIONS(5538),
  },
  [2493] = {
    [sym_identifier] = ACTIONS(2963),
    [aux_sym_preproc_def_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token1] = ACTIONS(2963),
    [aux_sym_preproc_if_token2] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2963),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2963),
    [aux_sym_preproc_else_token1] = ACTIONS(2963),
    [aux_sym_preproc_elif_token1] = ACTIONS(2963),
    [sym_preproc_directive] = ACTIONS(2963),
    [anon_sym_LPAREN2] = ACTIONS(2965),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2965),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2963),
    [anon_sym_typedef] = ACTIONS(2963),
    [anon_sym_extern] = ACTIONS(2963),
    [anon_sym___attribute__] = ACTIONS(2963),
    [anon_sym_COLON_COLON] = ACTIONS(2965),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2965),
    [anon_sym___declspec] = ACTIONS(2963),
    [anon_sym___based] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2963),
    [anon_sym_unsigned] = ACTIONS(2963),
    [anon_sym_long] = ACTIONS(2963),
    [anon_sym_short] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2963),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_register] = ACTIONS(2963),
    [anon_sym_inline] = ACTIONS(2963),
    [anon_sym___inline] = ACTIONS(2963),
    [anon_sym___inline__] = ACTIONS(2963),
    [anon_sym___forceinline] = ACTIONS(2963),
    [anon_sym_thread_local] = ACTIONS(2963),
    [anon_sym___thread] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_constexpr] = ACTIONS(2963),
    [anon_sym_volatile] = ACTIONS(2963),
    [anon_sym_restrict] = ACTIONS(2963),
    [anon_sym___restrict__] = ACTIONS(2963),
    [anon_sym__Atomic] = ACTIONS(2963),
    [anon_sym__Noreturn] = ACTIONS(2963),
    [anon_sym_noreturn] = ACTIONS(2963),
    [anon_sym_mutable] = ACTIONS(2963),
    [anon_sym_constinit] = ACTIONS(2963),
    [anon_sym_consteval] = ACTIONS(2963),
    [sym_primitive_type] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_struct] = ACTIONS(2963),
    [anon_sym_union] = ACTIONS(2963),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2963),
    [anon_sym_decltype] = ACTIONS(2963),
    [anon_sym_virtual] = ACTIONS(2963),
    [anon_sym_alignas] = ACTIONS(2963),
    [anon_sym_explicit] = ACTIONS(2963),
    [anon_sym_typename] = ACTIONS(2963),
    [anon_sym_template] = ACTIONS(2963),
    [anon_sym_operator] = ACTIONS(2963),
    [anon_sym_friend] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_static_assert] = ACTIONS(2963),
  },
  [2494] = {
    [sym_identifier] = ACTIONS(3170),
    [aux_sym_preproc_def_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token1] = ACTIONS(3170),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3170),
    [aux_sym_preproc_else_token1] = ACTIONS(3170),
    [aux_sym_preproc_elif_token1] = ACTIONS(3170),
    [sym_preproc_directive] = ACTIONS(3170),
    [anon_sym_LPAREN2] = ACTIONS(3172),
    [anon_sym_TILDE] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3170),
    [anon_sym_typedef] = ACTIONS(3170),
    [anon_sym_extern] = ACTIONS(3170),
    [anon_sym___attribute__] = ACTIONS(3170),
    [anon_sym_COLON_COLON] = ACTIONS(3172),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3172),
    [anon_sym___declspec] = ACTIONS(3170),
    [anon_sym___based] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3170),
    [anon_sym_unsigned] = ACTIONS(3170),
    [anon_sym_long] = ACTIONS(3170),
    [anon_sym_short] = ACTIONS(3170),
    [anon_sym_LBRACK] = ACTIONS(3170),
    [anon_sym_static] = ACTIONS(3170),
    [anon_sym_register] = ACTIONS(3170),
    [anon_sym_inline] = ACTIONS(3170),
    [anon_sym___inline] = ACTIONS(3170),
    [anon_sym___inline__] = ACTIONS(3170),
    [anon_sym___forceinline] = ACTIONS(3170),
    [anon_sym_thread_local] = ACTIONS(3170),
    [anon_sym___thread] = ACTIONS(3170),
    [anon_sym_const] = ACTIONS(3170),
    [anon_sym_constexpr] = ACTIONS(3170),
    [anon_sym_volatile] = ACTIONS(3170),
    [anon_sym_restrict] = ACTIONS(3170),
    [anon_sym___restrict__] = ACTIONS(3170),
    [anon_sym__Atomic] = ACTIONS(3170),
    [anon_sym__Noreturn] = ACTIONS(3170),
    [anon_sym_noreturn] = ACTIONS(3170),
    [anon_sym_mutable] = ACTIONS(3170),
    [anon_sym_constinit] = ACTIONS(3170),
    [anon_sym_consteval] = ACTIONS(3170),
    [sym_primitive_type] = ACTIONS(3170),
    [anon_sym_enum] = ACTIONS(3170),
    [anon_sym_class] = ACTIONS(3170),
    [anon_sym_struct] = ACTIONS(3170),
    [anon_sym_union] = ACTIONS(3170),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3170),
    [anon_sym_decltype] = ACTIONS(3170),
    [anon_sym_virtual] = ACTIONS(3170),
    [anon_sym_alignas] = ACTIONS(3170),
    [anon_sym_explicit] = ACTIONS(3170),
    [anon_sym_typename] = ACTIONS(3170),
    [anon_sym_template] = ACTIONS(3170),
    [anon_sym_operator] = ACTIONS(3170),
    [anon_sym_friend] = ACTIONS(3170),
    [anon_sym_public] = ACTIONS(3170),
    [anon_sym_private] = ACTIONS(3170),
    [anon_sym_protected] = ACTIONS(3170),
    [anon_sym_using] = ACTIONS(3170),
    [anon_sym_static_assert] = ACTIONS(3170),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(5534),
    [aux_sym_preproc_def_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token1] = ACTIONS(5534),
    [aux_sym_preproc_if_token2] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5534),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5534),
    [aux_sym_preproc_else_token1] = ACTIONS(5534),
    [aux_sym_preproc_elif_token1] = ACTIONS(5534),
    [sym_preproc_directive] = ACTIONS(5534),
    [anon_sym_LPAREN2] = ACTIONS(5536),
    [anon_sym_TILDE] = ACTIONS(5536),
    [anon_sym_STAR] = ACTIONS(5536),
    [anon_sym_AMP_AMP] = ACTIONS(5536),
    [anon_sym_AMP] = ACTIONS(5534),
    [anon_sym___extension__] = ACTIONS(5534),
    [anon_sym_typedef] = ACTIONS(5534),
    [anon_sym_extern] = ACTIONS(5534),
    [anon_sym___attribute__] = ACTIONS(5534),
    [anon_sym_COLON_COLON] = ACTIONS(5536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5536),
    [anon_sym___declspec] = ACTIONS(5534),
    [anon_sym___based] = ACTIONS(5534),
    [anon_sym_signed] = ACTIONS(5534),
    [anon_sym_unsigned] = ACTIONS(5534),
    [anon_sym_long] = ACTIONS(5534),
    [anon_sym_short] = ACTIONS(5534),
    [anon_sym_LBRACK] = ACTIONS(5534),
    [anon_sym_static] = ACTIONS(5534),
    [anon_sym_register] = ACTIONS(5534),
    [anon_sym_inline] = ACTIONS(5534),
    [anon_sym___inline] = ACTIONS(5534),
    [anon_sym___inline__] = ACTIONS(5534),
    [anon_sym___forceinline] = ACTIONS(5534),
    [anon_sym_thread_local] = ACTIONS(5534),
    [anon_sym___thread] = ACTIONS(5534),
    [anon_sym_const] = ACTIONS(5534),
    [anon_sym_constexpr] = ACTIONS(5534),
    [anon_sym_volatile] = ACTIONS(5534),
    [anon_sym_restrict] = ACTIONS(5534),
    [anon_sym___restrict__] = ACTIONS(5534),
    [anon_sym__Atomic] = ACTIONS(5534),
    [anon_sym__Noreturn] = ACTIONS(5534),
    [anon_sym_noreturn] = ACTIONS(5534),
    [anon_sym_mutable] = ACTIONS(5534),
    [anon_sym_constinit] = ACTIONS(5534),
    [anon_sym_consteval] = ACTIONS(5534),
    [sym_primitive_type] = ACTIONS(5534),
    [anon_sym_enum] = ACTIONS(5534),
    [anon_sym_class] = ACTIONS(5534),
    [anon_sym_struct] = ACTIONS(5534),
    [anon_sym_union] = ACTIONS(5534),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5534),
    [anon_sym_decltype] = ACTIONS(5534),
    [anon_sym_virtual] = ACTIONS(5534),
    [anon_sym_alignas] = ACTIONS(5534),
    [anon_sym_explicit] = ACTIONS(5534),
    [anon_sym_typename] = ACTIONS(5534),
    [anon_sym_template] = ACTIONS(5534),
    [anon_sym_operator] = ACTIONS(5534),
    [anon_sym_friend] = ACTIONS(5534),
    [anon_sym_public] = ACTIONS(5534),
    [anon_sym_private] = ACTIONS(5534),
    [anon_sym_protected] = ACTIONS(5534),
    [anon_sym_using] = ACTIONS(5534),
    [anon_sym_static_assert] = ACTIONS(5534),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(5530),
    [aux_sym_preproc_def_token1] = ACTIONS(5530),
    [aux_sym_preproc_if_token1] = ACTIONS(5530),
    [aux_sym_preproc_if_token2] = ACTIONS(5530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5530),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5530),
    [aux_sym_preproc_else_token1] = ACTIONS(5530),
    [aux_sym_preproc_elif_token1] = ACTIONS(5530),
    [sym_preproc_directive] = ACTIONS(5530),
    [anon_sym_LPAREN2] = ACTIONS(5532),
    [anon_sym_TILDE] = ACTIONS(5532),
    [anon_sym_STAR] = ACTIONS(5532),
    [anon_sym_AMP_AMP] = ACTIONS(5532),
    [anon_sym_AMP] = ACTIONS(5530),
    [anon_sym___extension__] = ACTIONS(5530),
    [anon_sym_typedef] = ACTIONS(5530),
    [anon_sym_extern] = ACTIONS(5530),
    [anon_sym___attribute__] = ACTIONS(5530),
    [anon_sym_COLON_COLON] = ACTIONS(5532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5532),
    [anon_sym___declspec] = ACTIONS(5530),
    [anon_sym___based] = ACTIONS(5530),
    [anon_sym_signed] = ACTIONS(5530),
    [anon_sym_unsigned] = ACTIONS(5530),
    [anon_sym_long] = ACTIONS(5530),
    [anon_sym_short] = ACTIONS(5530),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_static] = ACTIONS(5530),
    [anon_sym_register] = ACTIONS(5530),
    [anon_sym_inline] = ACTIONS(5530),
    [anon_sym___inline] = ACTIONS(5530),
    [anon_sym___inline__] = ACTIONS(5530),
    [anon_sym___forceinline] = ACTIONS(5530),
    [anon_sym_thread_local] = ACTIONS(5530),
    [anon_sym___thread] = ACTIONS(5530),
    [anon_sym_const] = ACTIONS(5530),
    [anon_sym_constexpr] = ACTIONS(5530),
    [anon_sym_volatile] = ACTIONS(5530),
    [anon_sym_restrict] = ACTIONS(5530),
    [anon_sym___restrict__] = ACTIONS(5530),
    [anon_sym__Atomic] = ACTIONS(5530),
    [anon_sym__Noreturn] = ACTIONS(5530),
    [anon_sym_noreturn] = ACTIONS(5530),
    [anon_sym_mutable] = ACTIONS(5530),
    [anon_sym_constinit] = ACTIONS(5530),
    [anon_sym_consteval] = ACTIONS(5530),
    [sym_primitive_type] = ACTIONS(5530),
    [anon_sym_enum] = ACTIONS(5530),
    [anon_sym_class] = ACTIONS(5530),
    [anon_sym_struct] = ACTIONS(5530),
    [anon_sym_union] = ACTIONS(5530),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5530),
    [anon_sym_decltype] = ACTIONS(5530),
    [anon_sym_virtual] = ACTIONS(5530),
    [anon_sym_alignas] = ACTIONS(5530),
    [anon_sym_explicit] = ACTIONS(5530),
    [anon_sym_typename] = ACTIONS(5530),
    [anon_sym_template] = ACTIONS(5530),
    [anon_sym_operator] = ACTIONS(5530),
    [anon_sym_friend] = ACTIONS(5530),
    [anon_sym_public] = ACTIONS(5530),
    [anon_sym_private] = ACTIONS(5530),
    [anon_sym_protected] = ACTIONS(5530),
    [anon_sym_using] = ACTIONS(5530),
    [anon_sym_static_assert] = ACTIONS(5530),
  },
  [2497] = {
    [sym_attribute_declaration] = STATE(2517),
    [sym_parameter_list] = STATE(2563),
    [aux_sym_attributed_declarator_repeat1] = STATE(2517),
    [sym_identifier] = ACTIONS(6018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6020),
    [anon_sym_COMMA] = ACTIONS(6020),
    [anon_sym_RPAREN] = ACTIONS(6020),
    [aux_sym_preproc_if_token2] = ACTIONS(6020),
    [aux_sym_preproc_else_token1] = ACTIONS(6020),
    [aux_sym_preproc_elif_token1] = ACTIONS(6018),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6020),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6020),
    [anon_sym_LPAREN2] = ACTIONS(5928),
    [anon_sym_DASH] = ACTIONS(6018),
    [anon_sym_PLUS] = ACTIONS(6018),
    [anon_sym_STAR] = ACTIONS(6018),
    [anon_sym_SLASH] = ACTIONS(6018),
    [anon_sym_PERCENT] = ACTIONS(6018),
    [anon_sym_PIPE_PIPE] = ACTIONS(6020),
    [anon_sym_AMP_AMP] = ACTIONS(6020),
    [anon_sym_PIPE] = ACTIONS(6018),
    [anon_sym_CARET] = ACTIONS(6018),
    [anon_sym_AMP] = ACTIONS(6018),
    [anon_sym_EQ_EQ] = ACTIONS(6020),
    [anon_sym_BANG_EQ] = ACTIONS(6020),
    [anon_sym_GT] = ACTIONS(6018),
    [anon_sym_GT_EQ] = ACTIONS(6020),
    [anon_sym_LT_EQ] = ACTIONS(6018),
    [anon_sym_LT] = ACTIONS(6018),
    [anon_sym_LT_LT] = ACTIONS(6018),
    [anon_sym_GT_GT] = ACTIONS(6018),
    [anon_sym_SEMI] = ACTIONS(6020),
    [anon_sym___attribute__] = ACTIONS(6018),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(6020),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(6020),
    [anon_sym_EQ] = ACTIONS(6018),
    [anon_sym_COLON] = ACTIONS(6020),
    [anon_sym_QMARK] = ACTIONS(6020),
    [anon_sym_STAR_EQ] = ACTIONS(6020),
    [anon_sym_SLASH_EQ] = ACTIONS(6020),
    [anon_sym_PERCENT_EQ] = ACTIONS(6020),
    [anon_sym_PLUS_EQ] = ACTIONS(6020),
    [anon_sym_DASH_EQ] = ACTIONS(6020),
    [anon_sym_LT_LT_EQ] = ACTIONS(6020),
    [anon_sym_GT_GT_EQ] = ACTIONS(6020),
    [anon_sym_AMP_EQ] = ACTIONS(6020),
    [anon_sym_CARET_EQ] = ACTIONS(6020),
    [anon_sym_PIPE_EQ] = ACTIONS(6020),
    [anon_sym_and_eq] = ACTIONS(6018),
    [anon_sym_or_eq] = ACTIONS(6018),
    [anon_sym_xor_eq] = ACTIONS(6018),
    [anon_sym_LT_EQ_GT] = ACTIONS(6020),
    [anon_sym_or] = ACTIONS(6018),
    [anon_sym_and] = ACTIONS(6018),
    [anon_sym_bitor] = ACTIONS(6018),
    [anon_sym_xor] = ACTIONS(6018),
    [anon_sym_bitand] = ACTIONS(6018),
    [anon_sym_not_eq] = ACTIONS(6018),
    [anon_sym_DASH_DASH] = ACTIONS(6020),
    [anon_sym_PLUS_PLUS] = ACTIONS(6020),
    [anon_sym_DOT] = ACTIONS(6018),
    [anon_sym_DOT_STAR] = ACTIONS(6020),
    [anon_sym_DASH_GT] = ACTIONS(6020),
    [sym_comment] = ACTIONS(3),
  },
  [2498] = {
    [sym_identifier] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_TILDE] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym_typedef] = ACTIONS(5526),
    [anon_sym_extern] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym_COLON_COLON] = ACTIONS(5528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5528),
    [anon_sym___declspec] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_static] = ACTIONS(5526),
    [anon_sym_register] = ACTIONS(5526),
    [anon_sym_inline] = ACTIONS(5526),
    [anon_sym___inline] = ACTIONS(5526),
    [anon_sym___inline__] = ACTIONS(5526),
    [anon_sym___forceinline] = ACTIONS(5526),
    [anon_sym_thread_local] = ACTIONS(5526),
    [anon_sym___thread] = ACTIONS(5526),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [sym_primitive_type] = ACTIONS(5526),
    [anon_sym_enum] = ACTIONS(5526),
    [anon_sym_class] = ACTIONS(5526),
    [anon_sym_struct] = ACTIONS(5526),
    [anon_sym_union] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_virtual] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym_explicit] = ACTIONS(5526),
    [anon_sym_typename] = ACTIONS(5526),
    [anon_sym_template] = ACTIONS(5526),
    [anon_sym_operator] = ACTIONS(5526),
    [anon_sym_friend] = ACTIONS(5526),
    [anon_sym_public] = ACTIONS(5526),
    [anon_sym_private] = ACTIONS(5526),
    [anon_sym_protected] = ACTIONS(5526),
    [anon_sym_using] = ACTIONS(5526),
    [anon_sym_static_assert] = ACTIONS(5526),
  },
  [2499] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [anon_sym_RPAREN] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5805),
    [anon_sym_PLUS] = ACTIONS(5805),
    [anon_sym_STAR] = ACTIONS(5805),
    [anon_sym_SLASH] = ACTIONS(5805),
    [anon_sym_PERCENT] = ACTIONS(5805),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5805),
    [anon_sym_CARET] = ACTIONS(5805),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5805),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5805),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_LT_LT] = ACTIONS(5805),
    [anon_sym_GT_GT] = ACTIONS(5805),
    [anon_sym_SEMI] = ACTIONS(5803),
    [anon_sym___attribute__] = ACTIONS(5805),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_RBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(6024),
    [anon_sym_unsigned] = ACTIONS(6024),
    [anon_sym_long] = ACTIONS(6024),
    [anon_sym_short] = ACTIONS(6024),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_RBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5805),
    [sym_primitive_type] = ACTIONS(6026),
    [anon_sym_COLON] = ACTIONS(5803),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5805),
    [anon_sym_or_eq] = ACTIONS(5805),
    [anon_sym_xor_eq] = ACTIONS(5805),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5805),
    [anon_sym_and] = ACTIONS(5805),
    [anon_sym_bitor] = ACTIONS(5805),
    [anon_sym_xor] = ACTIONS(5805),
    [anon_sym_bitand] = ACTIONS(5805),
    [anon_sym_not_eq] = ACTIONS(5805),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5805),
    [anon_sym_decltype] = ACTIONS(5805),
  },
  [2500] = {
    [sym_identifier] = ACTIONS(5526),
    [aux_sym_preproc_def_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token1] = ACTIONS(5526),
    [aux_sym_preproc_if_token2] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5526),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5526),
    [aux_sym_preproc_else_token1] = ACTIONS(5526),
    [aux_sym_preproc_elif_token1] = ACTIONS(5526),
    [sym_preproc_directive] = ACTIONS(5526),
    [anon_sym_LPAREN2] = ACTIONS(5528),
    [anon_sym_TILDE] = ACTIONS(5528),
    [anon_sym_STAR] = ACTIONS(5528),
    [anon_sym_AMP_AMP] = ACTIONS(5528),
    [anon_sym_AMP] = ACTIONS(5526),
    [anon_sym___extension__] = ACTIONS(5526),
    [anon_sym_typedef] = ACTIONS(5526),
    [anon_sym_extern] = ACTIONS(5526),
    [anon_sym___attribute__] = ACTIONS(5526),
    [anon_sym_COLON_COLON] = ACTIONS(5528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5528),
    [anon_sym___declspec] = ACTIONS(5526),
    [anon_sym___based] = ACTIONS(5526),
    [anon_sym_signed] = ACTIONS(5526),
    [anon_sym_unsigned] = ACTIONS(5526),
    [anon_sym_long] = ACTIONS(5526),
    [anon_sym_short] = ACTIONS(5526),
    [anon_sym_LBRACK] = ACTIONS(5526),
    [anon_sym_static] = ACTIONS(5526),
    [anon_sym_register] = ACTIONS(5526),
    [anon_sym_inline] = ACTIONS(5526),
    [anon_sym___inline] = ACTIONS(5526),
    [anon_sym___inline__] = ACTIONS(5526),
    [anon_sym___forceinline] = ACTIONS(5526),
    [anon_sym_thread_local] = ACTIONS(5526),
    [anon_sym___thread] = ACTIONS(5526),
    [anon_sym_const] = ACTIONS(5526),
    [anon_sym_constexpr] = ACTIONS(5526),
    [anon_sym_volatile] = ACTIONS(5526),
    [anon_sym_restrict] = ACTIONS(5526),
    [anon_sym___restrict__] = ACTIONS(5526),
    [anon_sym__Atomic] = ACTIONS(5526),
    [anon_sym__Noreturn] = ACTIONS(5526),
    [anon_sym_noreturn] = ACTIONS(5526),
    [anon_sym_mutable] = ACTIONS(5526),
    [anon_sym_constinit] = ACTIONS(5526),
    [anon_sym_consteval] = ACTIONS(5526),
    [sym_primitive_type] = ACTIONS(5526),
    [anon_sym_enum] = ACTIONS(5526),
    [anon_sym_class] = ACTIONS(5526),
    [anon_sym_struct] = ACTIONS(5526),
    [anon_sym_union] = ACTIONS(5526),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5526),
    [anon_sym_decltype] = ACTIONS(5526),
    [anon_sym_virtual] = ACTIONS(5526),
    [anon_sym_alignas] = ACTIONS(5526),
    [anon_sym_explicit] = ACTIONS(5526),
    [anon_sym_typename] = ACTIONS(5526),
    [anon_sym_template] = ACTIONS(5526),
    [anon_sym_operator] = ACTIONS(5526),
    [anon_sym_friend] = ACTIONS(5526),
    [anon_sym_public] = ACTIONS(5526),
    [anon_sym_private] = ACTIONS(5526),
    [anon_sym_protected] = ACTIONS(5526),
    [anon_sym_using] = ACTIONS(5526),
    [anon_sym_static_assert] = ACTIONS(5526),
  },
  [2501] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_friend] = ACTIONS(2937),
    [anon_sym_public] = ACTIONS(2937),
    [anon_sym_private] = ACTIONS(2937),
    [anon_sym_protected] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
  },
  [2502] = {
    [sym_string_literal] = STATE(3964),
    [sym_template_argument_list] = STATE(5255),
    [sym_raw_string_literal] = STATE(3964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4135),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4151),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(5185),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(5187),
    [anon_sym_SLASH_EQ] = ACTIONS(5187),
    [anon_sym_PERCENT_EQ] = ACTIONS(5187),
    [anon_sym_PLUS_EQ] = ACTIONS(5187),
    [anon_sym_DASH_EQ] = ACTIONS(5187),
    [anon_sym_LT_LT_EQ] = ACTIONS(5187),
    [anon_sym_GT_GT_EQ] = ACTIONS(5185),
    [anon_sym_AMP_EQ] = ACTIONS(5187),
    [anon_sym_CARET_EQ] = ACTIONS(5187),
    [anon_sym_PIPE_EQ] = ACTIONS(5187),
    [anon_sym_and_eq] = ACTIONS(5187),
    [anon_sym_or_eq] = ACTIONS(5187),
    [anon_sym_xor_eq] = ACTIONS(5187),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4127),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4127),
    [anon_sym_not_eq] = ACTIONS(4127),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5189),
    [anon_sym_u_DQUOTE] = ACTIONS(5189),
    [anon_sym_U_DQUOTE] = ACTIONS(5189),
    [anon_sym_u8_DQUOTE] = ACTIONS(5189),
    [anon_sym_DQUOTE] = ACTIONS(5189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4127),
    [anon_sym_R_DQUOTE] = ACTIONS(5191),
    [anon_sym_LR_DQUOTE] = ACTIONS(5191),
    [anon_sym_uR_DQUOTE] = ACTIONS(5191),
    [anon_sym_UR_DQUOTE] = ACTIONS(5191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5191),
  },
  [2503] = {
    [sym_identifier] = ACTIONS(3525),
    [anon_sym_LPAREN2] = ACTIONS(3527),
    [anon_sym_BANG] = ACTIONS(3527),
    [anon_sym_TILDE] = ACTIONS(3527),
    [anon_sym_DASH] = ACTIONS(3525),
    [anon_sym_PLUS] = ACTIONS(3525),
    [anon_sym_STAR] = ACTIONS(3527),
    [anon_sym_AMP] = ACTIONS(3527),
    [anon_sym___extension__] = ACTIONS(3525),
    [anon_sym_COLON_COLON] = ACTIONS(3527),
    [anon_sym_LBRACK] = ACTIONS(3527),
    [anon_sym_RBRACK] = ACTIONS(3527),
    [anon_sym_const] = ACTIONS(3525),
    [anon_sym_constexpr] = ACTIONS(3525),
    [anon_sym_volatile] = ACTIONS(3525),
    [anon_sym_restrict] = ACTIONS(3525),
    [anon_sym___restrict__] = ACTIONS(3525),
    [anon_sym__Atomic] = ACTIONS(3525),
    [anon_sym__Noreturn] = ACTIONS(3525),
    [anon_sym_noreturn] = ACTIONS(3525),
    [anon_sym_mutable] = ACTIONS(3525),
    [anon_sym_constinit] = ACTIONS(3525),
    [anon_sym_consteval] = ACTIONS(3525),
    [sym_primitive_type] = ACTIONS(3525),
    [anon_sym_not] = ACTIONS(3525),
    [anon_sym_compl] = ACTIONS(3525),
    [anon_sym_DASH_DASH] = ACTIONS(3527),
    [anon_sym_PLUS_PLUS] = ACTIONS(3527),
    [anon_sym_sizeof] = ACTIONS(3525),
    [anon_sym___alignof__] = ACTIONS(3525),
    [anon_sym___alignof] = ACTIONS(3525),
    [anon_sym__alignof] = ACTIONS(3525),
    [anon_sym_alignof] = ACTIONS(3525),
    [anon_sym__Alignof] = ACTIONS(3525),
    [anon_sym_offsetof] = ACTIONS(3525),
    [anon_sym__Generic] = ACTIONS(3525),
    [anon_sym_asm] = ACTIONS(3525),
    [anon_sym___asm__] = ACTIONS(3525),
    [sym_number_literal] = ACTIONS(3527),
    [anon_sym_L_SQUOTE] = ACTIONS(3527),
    [anon_sym_u_SQUOTE] = ACTIONS(3527),
    [anon_sym_U_SQUOTE] = ACTIONS(3527),
    [anon_sym_u8_SQUOTE] = ACTIONS(3527),
    [anon_sym_SQUOTE] = ACTIONS(3527),
    [anon_sym_L_DQUOTE] = ACTIONS(3527),
    [anon_sym_u_DQUOTE] = ACTIONS(3527),
    [anon_sym_U_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8_DQUOTE] = ACTIONS(3527),
    [anon_sym_DQUOTE] = ACTIONS(3527),
    [sym_true] = ACTIONS(3525),
    [sym_false] = ACTIONS(3525),
    [anon_sym_NULL] = ACTIONS(3525),
    [anon_sym_nullptr] = ACTIONS(3525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3525),
    [anon_sym_template] = ACTIONS(3525),
    [anon_sym_delete] = ACTIONS(3525),
    [anon_sym_R_DQUOTE] = ACTIONS(3527),
    [anon_sym_LR_DQUOTE] = ACTIONS(3527),
    [anon_sym_uR_DQUOTE] = ACTIONS(3527),
    [anon_sym_UR_DQUOTE] = ACTIONS(3527),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3527),
    [anon_sym_co_await] = ACTIONS(3525),
    [anon_sym_new] = ACTIONS(3525),
    [anon_sym_requires] = ACTIONS(3525),
    [sym_this] = ACTIONS(3525),
  },
  [2504] = {
    [sym_string_literal] = STATE(2487),
    [sym_raw_string_literal] = STATE(2487),
    [aux_sym_concatenated_string_repeat1] = STATE(2487),
    [sym_identifier] = ACTIONS(6028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5270),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5270),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5981),
    [anon_sym_u_DQUOTE] = ACTIONS(5981),
    [anon_sym_U_DQUOTE] = ACTIONS(5981),
    [anon_sym_u8_DQUOTE] = ACTIONS(5981),
    [anon_sym_DQUOTE] = ACTIONS(5981),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5268),
    [anon_sym_R_DQUOTE] = ACTIONS(5983),
    [anon_sym_LR_DQUOTE] = ACTIONS(5983),
    [anon_sym_uR_DQUOTE] = ACTIONS(5983),
    [anon_sym_UR_DQUOTE] = ACTIONS(5983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5983),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2505] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2398),
    [sym_identifier] = ACTIONS(6030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5803),
    [anon_sym_COMMA] = ACTIONS(5803),
    [aux_sym_preproc_if_token2] = ACTIONS(5803),
    [aux_sym_preproc_else_token1] = ACTIONS(5803),
    [aux_sym_preproc_elif_token1] = ACTIONS(5805),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5803),
    [anon_sym_LPAREN2] = ACTIONS(5803),
    [anon_sym_DASH] = ACTIONS(5805),
    [anon_sym_PLUS] = ACTIONS(5805),
    [anon_sym_STAR] = ACTIONS(5805),
    [anon_sym_SLASH] = ACTIONS(5805),
    [anon_sym_PERCENT] = ACTIONS(5805),
    [anon_sym_PIPE_PIPE] = ACTIONS(5803),
    [anon_sym_AMP_AMP] = ACTIONS(5803),
    [anon_sym_PIPE] = ACTIONS(5805),
    [anon_sym_CARET] = ACTIONS(5805),
    [anon_sym_AMP] = ACTIONS(5805),
    [anon_sym_EQ_EQ] = ACTIONS(5803),
    [anon_sym_BANG_EQ] = ACTIONS(5803),
    [anon_sym_GT] = ACTIONS(5805),
    [anon_sym_GT_EQ] = ACTIONS(5803),
    [anon_sym_LT_EQ] = ACTIONS(5805),
    [anon_sym_LT] = ACTIONS(5805),
    [anon_sym_LT_LT] = ACTIONS(5805),
    [anon_sym_GT_GT] = ACTIONS(5805),
    [anon_sym___attribute__] = ACTIONS(5805),
    [anon_sym_LBRACE] = ACTIONS(5803),
    [anon_sym_signed] = ACTIONS(6033),
    [anon_sym_unsigned] = ACTIONS(6033),
    [anon_sym_long] = ACTIONS(6033),
    [anon_sym_short] = ACTIONS(6033),
    [anon_sym_LBRACK] = ACTIONS(5803),
    [anon_sym_EQ] = ACTIONS(5805),
    [sym_primitive_type] = ACTIONS(6035),
    [anon_sym_QMARK] = ACTIONS(5803),
    [anon_sym_STAR_EQ] = ACTIONS(5803),
    [anon_sym_SLASH_EQ] = ACTIONS(5803),
    [anon_sym_PERCENT_EQ] = ACTIONS(5803),
    [anon_sym_PLUS_EQ] = ACTIONS(5803),
    [anon_sym_DASH_EQ] = ACTIONS(5803),
    [anon_sym_LT_LT_EQ] = ACTIONS(5803),
    [anon_sym_GT_GT_EQ] = ACTIONS(5803),
    [anon_sym_AMP_EQ] = ACTIONS(5803),
    [anon_sym_CARET_EQ] = ACTIONS(5803),
    [anon_sym_PIPE_EQ] = ACTIONS(5803),
    [anon_sym_and_eq] = ACTIONS(5805),
    [anon_sym_or_eq] = ACTIONS(5805),
    [anon_sym_xor_eq] = ACTIONS(5805),
    [anon_sym_LT_EQ_GT] = ACTIONS(5803),
    [anon_sym_or] = ACTIONS(5805),
    [anon_sym_and] = ACTIONS(5805),
    [anon_sym_bitor] = ACTIONS(5805),
    [anon_sym_xor] = ACTIONS(5805),
    [anon_sym_bitand] = ACTIONS(5805),
    [anon_sym_not_eq] = ACTIONS(5805),
    [anon_sym_DASH_DASH] = ACTIONS(5803),
    [anon_sym_PLUS_PLUS] = ACTIONS(5803),
    [anon_sym_DOT] = ACTIONS(5805),
    [anon_sym_DOT_STAR] = ACTIONS(5803),
    [anon_sym_DASH_GT] = ACTIONS(5803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5805),
    [anon_sym_decltype] = ACTIONS(5805),
  },
  [2506] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_friend] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
  },
  [2507] = {
    [sym_identifier] = ACTIONS(2967),
    [aux_sym_preproc_def_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token1] = ACTIONS(2967),
    [aux_sym_preproc_if_token2] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2967),
    [aux_sym_preproc_else_token1] = ACTIONS(2967),
    [aux_sym_preproc_elif_token1] = ACTIONS(2967),
    [sym_preproc_directive] = ACTIONS(2967),
    [anon_sym_LPAREN2] = ACTIONS(2969),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2969),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2967),
    [anon_sym_typedef] = ACTIONS(2967),
    [anon_sym_extern] = ACTIONS(2967),
    [anon_sym___attribute__] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(2969),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2969),
    [anon_sym___declspec] = ACTIONS(2967),
    [anon_sym___based] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2967),
    [anon_sym_unsigned] = ACTIONS(2967),
    [anon_sym_long] = ACTIONS(2967),
    [anon_sym_short] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2967),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_register] = ACTIONS(2967),
    [anon_sym_inline] = ACTIONS(2967),
    [anon_sym___inline] = ACTIONS(2967),
    [anon_sym___inline__] = ACTIONS(2967),
    [anon_sym___forceinline] = ACTIONS(2967),
    [anon_sym_thread_local] = ACTIONS(2967),
    [anon_sym___thread] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_constexpr] = ACTIONS(2967),
    [anon_sym_volatile] = ACTIONS(2967),
    [anon_sym_restrict] = ACTIONS(2967),
    [anon_sym___restrict__] = ACTIONS(2967),
    [anon_sym__Atomic] = ACTIONS(2967),
    [anon_sym__Noreturn] = ACTIONS(2967),
    [anon_sym_noreturn] = ACTIONS(2967),
    [anon_sym_mutable] = ACTIONS(2967),
    [anon_sym_constinit] = ACTIONS(2967),
    [anon_sym_consteval] = ACTIONS(2967),
    [sym_primitive_type] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_struct] = ACTIONS(2967),
    [anon_sym_union] = ACTIONS(2967),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2967),
    [anon_sym_decltype] = ACTIONS(2967),
    [anon_sym_virtual] = ACTIONS(2967),
    [anon_sym_alignas] = ACTIONS(2967),
    [anon_sym_explicit] = ACTIONS(2967),
    [anon_sym_typename] = ACTIONS(2967),
    [anon_sym_template] = ACTIONS(2967),
    [anon_sym_operator] = ACTIONS(2967),
    [anon_sym_friend] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_static_assert] = ACTIONS(2967),
  },
  [2508] = {
    [sym_identifier] = ACTIONS(2873),
    [aux_sym_preproc_def_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token1] = ACTIONS(2873),
    [aux_sym_preproc_if_token2] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2873),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2873),
    [aux_sym_preproc_else_token1] = ACTIONS(2873),
    [aux_sym_preproc_elif_token1] = ACTIONS(2873),
    [sym_preproc_directive] = ACTIONS(2873),
    [anon_sym_LPAREN2] = ACTIONS(2875),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_AMP_AMP] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2873),
    [anon_sym_typedef] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym___attribute__] = ACTIONS(2873),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2875),
    [anon_sym___declspec] = ACTIONS(2873),
    [anon_sym___based] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2873),
    [anon_sym_unsigned] = ACTIONS(2873),
    [anon_sym_long] = ACTIONS(2873),
    [anon_sym_short] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_register] = ACTIONS(2873),
    [anon_sym_inline] = ACTIONS(2873),
    [anon_sym___inline] = ACTIONS(2873),
    [anon_sym___inline__] = ACTIONS(2873),
    [anon_sym___forceinline] = ACTIONS(2873),
    [anon_sym_thread_local] = ACTIONS(2873),
    [anon_sym___thread] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_constexpr] = ACTIONS(2873),
    [anon_sym_volatile] = ACTIONS(2873),
    [anon_sym_restrict] = ACTIONS(2873),
    [anon_sym___restrict__] = ACTIONS(2873),
    [anon_sym__Atomic] = ACTIONS(2873),
    [anon_sym__Noreturn] = ACTIONS(2873),
    [anon_sym_noreturn] = ACTIONS(2873),
    [anon_sym_mutable] = ACTIONS(2873),
    [anon_sym_constinit] = ACTIONS(2873),
    [anon_sym_consteval] = ACTIONS(2873),
    [sym_primitive_type] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2873),
    [anon_sym_decltype] = ACTIONS(2873),
    [anon_sym_virtual] = ACTIONS(2873),
    [anon_sym_alignas] = ACTIONS(2873),
    [anon_sym_explicit] = ACTIONS(2873),
    [anon_sym_typename] = ACTIONS(2873),
    [anon_sym_template] = ACTIONS(2873),
    [anon_sym_operator] = ACTIONS(2873),
    [anon_sym_friend] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_static_assert] = ACTIONS(2873),
  },
  [2509] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_COLON_COLON] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5626),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_and_eq] = ACTIONS(5626),
    [anon_sym_or_eq] = ACTIONS(5626),
    [anon_sym_xor_eq] = ACTIONS(5626),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
  },
  [2510] = {
    [sym_template_argument_list] = STATE(2254),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4133),
    [anon_sym_COMMA] = ACTIONS(4133),
    [anon_sym_RPAREN] = ACTIONS(4133),
    [anon_sym_LPAREN2] = ACTIONS(4133),
    [anon_sym_DASH] = ACTIONS(4125),
    [anon_sym_PLUS] = ACTIONS(4125),
    [anon_sym_STAR] = ACTIONS(4125),
    [anon_sym_SLASH] = ACTIONS(4125),
    [anon_sym_PERCENT] = ACTIONS(4125),
    [anon_sym_PIPE_PIPE] = ACTIONS(4133),
    [anon_sym_AMP_AMP] = ACTIONS(4133),
    [anon_sym_PIPE] = ACTIONS(4125),
    [anon_sym_CARET] = ACTIONS(4125),
    [anon_sym_AMP] = ACTIONS(4125),
    [anon_sym_EQ_EQ] = ACTIONS(4133),
    [anon_sym_BANG_EQ] = ACTIONS(4133),
    [anon_sym_GT] = ACTIONS(4125),
    [anon_sym_GT_EQ] = ACTIONS(4133),
    [anon_sym_LT_EQ] = ACTIONS(4125),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(4125),
    [anon_sym_GT_GT] = ACTIONS(4125),
    [anon_sym_SEMI] = ACTIONS(4133),
    [anon_sym___attribute__] = ACTIONS(4133),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(4133),
    [anon_sym_RBRACE] = ACTIONS(4133),
    [anon_sym_signed] = ACTIONS(6012),
    [anon_sym_unsigned] = ACTIONS(6012),
    [anon_sym_long] = ACTIONS(6012),
    [anon_sym_short] = ACTIONS(6012),
    [anon_sym_LBRACK] = ACTIONS(4133),
    [anon_sym_RBRACK] = ACTIONS(4133),
    [anon_sym_EQ] = ACTIONS(4125),
    [anon_sym_COLON] = ACTIONS(4125),
    [anon_sym_QMARK] = ACTIONS(4133),
    [anon_sym_STAR_EQ] = ACTIONS(4133),
    [anon_sym_SLASH_EQ] = ACTIONS(4133),
    [anon_sym_PERCENT_EQ] = ACTIONS(4133),
    [anon_sym_PLUS_EQ] = ACTIONS(4133),
    [anon_sym_DASH_EQ] = ACTIONS(4133),
    [anon_sym_LT_LT_EQ] = ACTIONS(4133),
    [anon_sym_GT_GT_EQ] = ACTIONS(4133),
    [anon_sym_AMP_EQ] = ACTIONS(4133),
    [anon_sym_CARET_EQ] = ACTIONS(4133),
    [anon_sym_PIPE_EQ] = ACTIONS(4133),
    [anon_sym_and_eq] = ACTIONS(4133),
    [anon_sym_or_eq] = ACTIONS(4133),
    [anon_sym_xor_eq] = ACTIONS(4133),
    [anon_sym_LT_EQ_GT] = ACTIONS(4133),
    [anon_sym_or] = ACTIONS(4125),
    [anon_sym_and] = ACTIONS(4125),
    [anon_sym_bitor] = ACTIONS(4133),
    [anon_sym_xor] = ACTIONS(4125),
    [anon_sym_bitand] = ACTIONS(4133),
    [anon_sym_not_eq] = ACTIONS(4133),
    [anon_sym_DASH_DASH] = ACTIONS(4133),
    [anon_sym_PLUS_PLUS] = ACTIONS(4133),
    [anon_sym_DOT] = ACTIONS(4125),
    [anon_sym_DOT_STAR] = ACTIONS(4133),
    [anon_sym_DASH_GT] = ACTIONS(4133),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4133),
    [anon_sym_decltype] = ACTIONS(4133),
  },
  [2511] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2512] = {
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5856),
    [anon_sym_COMMA] = ACTIONS(5856),
    [anon_sym_RPAREN] = ACTIONS(5856),
    [aux_sym_preproc_if_token2] = ACTIONS(5856),
    [aux_sym_preproc_else_token1] = ACTIONS(5856),
    [aux_sym_preproc_elif_token1] = ACTIONS(5854),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5856),
    [anon_sym_DASH] = ACTIONS(5854),
    [anon_sym_PLUS] = ACTIONS(5854),
    [anon_sym_STAR] = ACTIONS(5854),
    [anon_sym_SLASH] = ACTIONS(5854),
    [anon_sym_PERCENT] = ACTIONS(5854),
    [anon_sym_PIPE_PIPE] = ACTIONS(5856),
    [anon_sym_AMP_AMP] = ACTIONS(5856),
    [anon_sym_PIPE] = ACTIONS(5854),
    [anon_sym_CARET] = ACTIONS(5854),
    [anon_sym_AMP] = ACTIONS(5854),
    [anon_sym_EQ_EQ] = ACTIONS(5856),
    [anon_sym_BANG_EQ] = ACTIONS(5856),
    [anon_sym_GT] = ACTIONS(5854),
    [anon_sym_GT_EQ] = ACTIONS(5856),
    [anon_sym_LT_EQ] = ACTIONS(5854),
    [anon_sym_LT] = ACTIONS(5854),
    [anon_sym_LT_LT] = ACTIONS(5854),
    [anon_sym_GT_GT] = ACTIONS(5854),
    [anon_sym_SEMI] = ACTIONS(5856),
    [anon_sym___attribute__] = ACTIONS(5854),
    [anon_sym_LBRACE] = ACTIONS(5856),
    [anon_sym_RBRACE] = ACTIONS(5856),
    [anon_sym_LBRACK] = ACTIONS(5856),
    [anon_sym_RBRACK] = ACTIONS(5856),
    [anon_sym_EQ] = ACTIONS(5854),
    [anon_sym_COLON] = ACTIONS(5856),
    [anon_sym_QMARK] = ACTIONS(5856),
    [anon_sym_STAR_EQ] = ACTIONS(5856),
    [anon_sym_SLASH_EQ] = ACTIONS(5856),
    [anon_sym_PERCENT_EQ] = ACTIONS(5856),
    [anon_sym_PLUS_EQ] = ACTIONS(5856),
    [anon_sym_DASH_EQ] = ACTIONS(5856),
    [anon_sym_LT_LT_EQ] = ACTIONS(5856),
    [anon_sym_GT_GT_EQ] = ACTIONS(5856),
    [anon_sym_AMP_EQ] = ACTIONS(5856),
    [anon_sym_CARET_EQ] = ACTIONS(5856),
    [anon_sym_PIPE_EQ] = ACTIONS(5856),
    [anon_sym_and_eq] = ACTIONS(5854),
    [anon_sym_or_eq] = ACTIONS(5854),
    [anon_sym_xor_eq] = ACTIONS(5854),
    [anon_sym_LT_EQ_GT] = ACTIONS(5856),
    [anon_sym_or] = ACTIONS(5854),
    [anon_sym_and] = ACTIONS(5854),
    [anon_sym_bitor] = ACTIONS(5854),
    [anon_sym_xor] = ACTIONS(5854),
    [anon_sym_bitand] = ACTIONS(5854),
    [anon_sym_not_eq] = ACTIONS(5854),
    [anon_sym_DASH_DASH] = ACTIONS(5856),
    [anon_sym_PLUS_PLUS] = ACTIONS(5856),
    [anon_sym_DOT] = ACTIONS(5854),
    [anon_sym_DOT_STAR] = ACTIONS(5856),
    [anon_sym_DASH_GT] = ACTIONS(5856),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5854),
    [anon_sym_decltype] = ACTIONS(5854),
  },
  [2513] = {
    [sym_identifier] = ACTIONS(6037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6039),
    [anon_sym_COMMA] = ACTIONS(6039),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [aux_sym_preproc_if_token2] = ACTIONS(6039),
    [aux_sym_preproc_else_token1] = ACTIONS(6039),
    [aux_sym_preproc_elif_token1] = ACTIONS(6037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6039),
    [anon_sym_LPAREN2] = ACTIONS(6039),
    [anon_sym_DASH] = ACTIONS(6037),
    [anon_sym_PLUS] = ACTIONS(6037),
    [anon_sym_STAR] = ACTIONS(6037),
    [anon_sym_SLASH] = ACTIONS(6037),
    [anon_sym_PERCENT] = ACTIONS(6037),
    [anon_sym_PIPE_PIPE] = ACTIONS(6039),
    [anon_sym_AMP_AMP] = ACTIONS(6039),
    [anon_sym_PIPE] = ACTIONS(6037),
    [anon_sym_CARET] = ACTIONS(6037),
    [anon_sym_AMP] = ACTIONS(6037),
    [anon_sym_EQ_EQ] = ACTIONS(6039),
    [anon_sym_BANG_EQ] = ACTIONS(6039),
    [anon_sym_GT] = ACTIONS(6037),
    [anon_sym_GT_EQ] = ACTIONS(6039),
    [anon_sym_LT_EQ] = ACTIONS(6037),
    [anon_sym_LT] = ACTIONS(6037),
    [anon_sym_LT_LT] = ACTIONS(6037),
    [anon_sym_GT_GT] = ACTIONS(6037),
    [anon_sym_SEMI] = ACTIONS(6039),
    [anon_sym___attribute__] = ACTIONS(6037),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6039),
    [anon_sym_LBRACE] = ACTIONS(6039),
    [anon_sym_RBRACE] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(6037),
    [anon_sym_RBRACK] = ACTIONS(6039),
    [anon_sym_EQ] = ACTIONS(6037),
    [anon_sym_COLON] = ACTIONS(6039),
    [anon_sym_QMARK] = ACTIONS(6039),
    [anon_sym_STAR_EQ] = ACTIONS(6039),
    [anon_sym_SLASH_EQ] = ACTIONS(6039),
    [anon_sym_PERCENT_EQ] = ACTIONS(6039),
    [anon_sym_PLUS_EQ] = ACTIONS(6039),
    [anon_sym_DASH_EQ] = ACTIONS(6039),
    [anon_sym_LT_LT_EQ] = ACTIONS(6039),
    [anon_sym_GT_GT_EQ] = ACTIONS(6039),
    [anon_sym_AMP_EQ] = ACTIONS(6039),
    [anon_sym_CARET_EQ] = ACTIONS(6039),
    [anon_sym_PIPE_EQ] = ACTIONS(6039),
    [anon_sym_and_eq] = ACTIONS(6037),
    [anon_sym_or_eq] = ACTIONS(6037),
    [anon_sym_xor_eq] = ACTIONS(6037),
    [anon_sym_LT_EQ_GT] = ACTIONS(6039),
    [anon_sym_or] = ACTIONS(6037),
    [anon_sym_and] = ACTIONS(6037),
    [anon_sym_bitor] = ACTIONS(6037),
    [anon_sym_xor] = ACTIONS(6037),
    [anon_sym_bitand] = ACTIONS(6037),
    [anon_sym_not_eq] = ACTIONS(6037),
    [anon_sym_DASH_DASH] = ACTIONS(6039),
    [anon_sym_PLUS_PLUS] = ACTIONS(6039),
    [anon_sym_DOT] = ACTIONS(6037),
    [anon_sym_DOT_STAR] = ACTIONS(6039),
    [anon_sym_DASH_GT] = ACTIONS(6039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6037),
  },
  [2514] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_and_eq] = ACTIONS(5626),
    [anon_sym_or_eq] = ACTIONS(5626),
    [anon_sym_xor_eq] = ACTIONS(5626),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
  },
  [2515] = {
    [sym_identifier] = ACTIONS(5782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5784),
    [anon_sym_COMMA] = ACTIONS(5784),
    [anon_sym_RPAREN] = ACTIONS(5784),
    [aux_sym_preproc_if_token2] = ACTIONS(5784),
    [aux_sym_preproc_else_token1] = ACTIONS(5784),
    [aux_sym_preproc_elif_token1] = ACTIONS(5782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5784),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5784),
    [anon_sym_LPAREN2] = ACTIONS(5784),
    [anon_sym_DASH] = ACTIONS(5782),
    [anon_sym_PLUS] = ACTIONS(5782),
    [anon_sym_STAR] = ACTIONS(5782),
    [anon_sym_SLASH] = ACTIONS(5782),
    [anon_sym_PERCENT] = ACTIONS(5782),
    [anon_sym_PIPE_PIPE] = ACTIONS(5784),
    [anon_sym_AMP_AMP] = ACTIONS(5784),
    [anon_sym_PIPE] = ACTIONS(5782),
    [anon_sym_CARET] = ACTIONS(5782),
    [anon_sym_AMP] = ACTIONS(5782),
    [anon_sym_EQ_EQ] = ACTIONS(5784),
    [anon_sym_BANG_EQ] = ACTIONS(5784),
    [anon_sym_GT] = ACTIONS(5782),
    [anon_sym_GT_EQ] = ACTIONS(5784),
    [anon_sym_LT_EQ] = ACTIONS(5782),
    [anon_sym_LT] = ACTIONS(5782),
    [anon_sym_LT_LT] = ACTIONS(5782),
    [anon_sym_GT_GT] = ACTIONS(5782),
    [anon_sym_SEMI] = ACTIONS(5784),
    [anon_sym___attribute__] = ACTIONS(5782),
    [anon_sym_LBRACE] = ACTIONS(5784),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_LBRACK] = ACTIONS(5784),
    [anon_sym_RBRACK] = ACTIONS(5784),
    [anon_sym_EQ] = ACTIONS(5782),
    [anon_sym_COLON] = ACTIONS(5784),
    [anon_sym_QMARK] = ACTIONS(5784),
    [anon_sym_STAR_EQ] = ACTIONS(5784),
    [anon_sym_SLASH_EQ] = ACTIONS(5784),
    [anon_sym_PERCENT_EQ] = ACTIONS(5784),
    [anon_sym_PLUS_EQ] = ACTIONS(5784),
    [anon_sym_DASH_EQ] = ACTIONS(5784),
    [anon_sym_LT_LT_EQ] = ACTIONS(5784),
    [anon_sym_GT_GT_EQ] = ACTIONS(5784),
    [anon_sym_AMP_EQ] = ACTIONS(5784),
    [anon_sym_CARET_EQ] = ACTIONS(5784),
    [anon_sym_PIPE_EQ] = ACTIONS(5784),
    [anon_sym_and_eq] = ACTIONS(5782),
    [anon_sym_or_eq] = ACTIONS(5782),
    [anon_sym_xor_eq] = ACTIONS(5782),
    [anon_sym_LT_EQ_GT] = ACTIONS(5784),
    [anon_sym_or] = ACTIONS(5782),
    [anon_sym_and] = ACTIONS(5782),
    [anon_sym_bitor] = ACTIONS(5782),
    [anon_sym_xor] = ACTIONS(5782),
    [anon_sym_bitand] = ACTIONS(5782),
    [anon_sym_not_eq] = ACTIONS(5782),
    [anon_sym_DASH_DASH] = ACTIONS(5784),
    [anon_sym_PLUS_PLUS] = ACTIONS(5784),
    [anon_sym_DOT] = ACTIONS(5782),
    [anon_sym_DOT_STAR] = ACTIONS(5784),
    [anon_sym_DASH_GT] = ACTIONS(5784),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5782),
    [anon_sym_decltype] = ACTIONS(5782),
  },
  [2516] = {
    [sym_identifier] = ACTIONS(5822),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5824),
    [anon_sym_COMMA] = ACTIONS(5824),
    [anon_sym_RPAREN] = ACTIONS(5824),
    [aux_sym_preproc_if_token2] = ACTIONS(5824),
    [aux_sym_preproc_else_token1] = ACTIONS(5824),
    [aux_sym_preproc_elif_token1] = ACTIONS(5822),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5824),
    [anon_sym_LPAREN2] = ACTIONS(5824),
    [anon_sym_DASH] = ACTIONS(5822),
    [anon_sym_PLUS] = ACTIONS(5822),
    [anon_sym_STAR] = ACTIONS(5822),
    [anon_sym_SLASH] = ACTIONS(5822),
    [anon_sym_PERCENT] = ACTIONS(5822),
    [anon_sym_PIPE_PIPE] = ACTIONS(5824),
    [anon_sym_AMP_AMP] = ACTIONS(5824),
    [anon_sym_PIPE] = ACTIONS(5822),
    [anon_sym_CARET] = ACTIONS(5822),
    [anon_sym_AMP] = ACTIONS(5822),
    [anon_sym_EQ_EQ] = ACTIONS(5824),
    [anon_sym_BANG_EQ] = ACTIONS(5824),
    [anon_sym_GT] = ACTIONS(5822),
    [anon_sym_GT_EQ] = ACTIONS(5824),
    [anon_sym_LT_EQ] = ACTIONS(5822),
    [anon_sym_LT] = ACTIONS(5822),
    [anon_sym_LT_LT] = ACTIONS(5822),
    [anon_sym_GT_GT] = ACTIONS(5822),
    [anon_sym_SEMI] = ACTIONS(5824),
    [anon_sym___attribute__] = ACTIONS(5822),
    [anon_sym_LBRACE] = ACTIONS(5824),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_LBRACK] = ACTIONS(5824),
    [anon_sym_RBRACK] = ACTIONS(5824),
    [anon_sym_EQ] = ACTIONS(5822),
    [anon_sym_COLON] = ACTIONS(5824),
    [anon_sym_QMARK] = ACTIONS(5824),
    [anon_sym_STAR_EQ] = ACTIONS(5824),
    [anon_sym_SLASH_EQ] = ACTIONS(5824),
    [anon_sym_PERCENT_EQ] = ACTIONS(5824),
    [anon_sym_PLUS_EQ] = ACTIONS(5824),
    [anon_sym_DASH_EQ] = ACTIONS(5824),
    [anon_sym_LT_LT_EQ] = ACTIONS(5824),
    [anon_sym_GT_GT_EQ] = ACTIONS(5824),
    [anon_sym_AMP_EQ] = ACTIONS(5824),
    [anon_sym_CARET_EQ] = ACTIONS(5824),
    [anon_sym_PIPE_EQ] = ACTIONS(5824),
    [anon_sym_and_eq] = ACTIONS(5822),
    [anon_sym_or_eq] = ACTIONS(5822),
    [anon_sym_xor_eq] = ACTIONS(5822),
    [anon_sym_LT_EQ_GT] = ACTIONS(5824),
    [anon_sym_or] = ACTIONS(5822),
    [anon_sym_and] = ACTIONS(5822),
    [anon_sym_bitor] = ACTIONS(5822),
    [anon_sym_xor] = ACTIONS(5822),
    [anon_sym_bitand] = ACTIONS(5822),
    [anon_sym_not_eq] = ACTIONS(5822),
    [anon_sym_DASH_DASH] = ACTIONS(5824),
    [anon_sym_PLUS_PLUS] = ACTIONS(5824),
    [anon_sym_DOT] = ACTIONS(5822),
    [anon_sym_DOT_STAR] = ACTIONS(5824),
    [anon_sym_DASH_GT] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5822),
    [anon_sym_decltype] = ACTIONS(5822),
  },
  [2517] = {
    [sym_attribute_declaration] = STATE(2530),
    [aux_sym_attributed_declarator_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6043),
    [anon_sym_COMMA] = ACTIONS(6043),
    [anon_sym_RPAREN] = ACTIONS(6043),
    [aux_sym_preproc_if_token2] = ACTIONS(6043),
    [aux_sym_preproc_else_token1] = ACTIONS(6043),
    [aux_sym_preproc_elif_token1] = ACTIONS(6041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6043),
    [anon_sym_LPAREN2] = ACTIONS(6043),
    [anon_sym_DASH] = ACTIONS(6041),
    [anon_sym_PLUS] = ACTIONS(6041),
    [anon_sym_STAR] = ACTIONS(6041),
    [anon_sym_SLASH] = ACTIONS(6041),
    [anon_sym_PERCENT] = ACTIONS(6041),
    [anon_sym_PIPE_PIPE] = ACTIONS(6043),
    [anon_sym_AMP_AMP] = ACTIONS(6043),
    [anon_sym_PIPE] = ACTIONS(6041),
    [anon_sym_CARET] = ACTIONS(6041),
    [anon_sym_AMP] = ACTIONS(6041),
    [anon_sym_EQ_EQ] = ACTIONS(6043),
    [anon_sym_BANG_EQ] = ACTIONS(6043),
    [anon_sym_GT] = ACTIONS(6041),
    [anon_sym_GT_EQ] = ACTIONS(6043),
    [anon_sym_LT_EQ] = ACTIONS(6041),
    [anon_sym_LT] = ACTIONS(6041),
    [anon_sym_LT_LT] = ACTIONS(6041),
    [anon_sym_GT_GT] = ACTIONS(6041),
    [anon_sym_SEMI] = ACTIONS(6043),
    [anon_sym___attribute__] = ACTIONS(6041),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5930),
    [anon_sym_RBRACE] = ACTIONS(6043),
    [anon_sym_LBRACK] = ACTIONS(6041),
    [anon_sym_RBRACK] = ACTIONS(6043),
    [anon_sym_EQ] = ACTIONS(6041),
    [anon_sym_COLON] = ACTIONS(6043),
    [anon_sym_QMARK] = ACTIONS(6043),
    [anon_sym_STAR_EQ] = ACTIONS(6043),
    [anon_sym_SLASH_EQ] = ACTIONS(6043),
    [anon_sym_PERCENT_EQ] = ACTIONS(6043),
    [anon_sym_PLUS_EQ] = ACTIONS(6043),
    [anon_sym_DASH_EQ] = ACTIONS(6043),
    [anon_sym_LT_LT_EQ] = ACTIONS(6043),
    [anon_sym_GT_GT_EQ] = ACTIONS(6043),
    [anon_sym_AMP_EQ] = ACTIONS(6043),
    [anon_sym_CARET_EQ] = ACTIONS(6043),
    [anon_sym_PIPE_EQ] = ACTIONS(6043),
    [anon_sym_and_eq] = ACTIONS(6041),
    [anon_sym_or_eq] = ACTIONS(6041),
    [anon_sym_xor_eq] = ACTIONS(6041),
    [anon_sym_LT_EQ_GT] = ACTIONS(6043),
    [anon_sym_or] = ACTIONS(6041),
    [anon_sym_and] = ACTIONS(6041),
    [anon_sym_bitor] = ACTIONS(6041),
    [anon_sym_xor] = ACTIONS(6041),
    [anon_sym_bitand] = ACTIONS(6041),
    [anon_sym_not_eq] = ACTIONS(6041),
    [anon_sym_DASH_DASH] = ACTIONS(6043),
    [anon_sym_PLUS_PLUS] = ACTIONS(6043),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_DOT_STAR] = ACTIONS(6043),
    [anon_sym_DASH_GT] = ACTIONS(6043),
    [sym_comment] = ACTIONS(3),
  },
  [2518] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5628),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(6045),
    [anon_sym_unsigned] = ACTIONS(6045),
    [anon_sym_long] = ACTIONS(6045),
    [anon_sym_short] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5628),
    [anon_sym_volatile] = ACTIONS(5628),
    [anon_sym_restrict] = ACTIONS(5628),
    [anon_sym___restrict__] = ACTIONS(5628),
    [anon_sym__Atomic] = ACTIONS(5628),
    [anon_sym__Noreturn] = ACTIONS(5628),
    [anon_sym_noreturn] = ACTIONS(5628),
    [anon_sym_mutable] = ACTIONS(5628),
    [anon_sym_constinit] = ACTIONS(5628),
    [anon_sym_consteval] = ACTIONS(5628),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5628),
    [anon_sym_and] = ACTIONS(5628),
    [anon_sym_bitor] = ACTIONS(5628),
    [anon_sym_xor] = ACTIONS(5628),
    [anon_sym_bitand] = ACTIONS(5628),
    [anon_sym_not_eq] = ACTIONS(5628),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5628),
    [anon_sym_decltype] = ACTIONS(5628),
    [anon_sym_final] = ACTIONS(5628),
    [anon_sym_override] = ACTIONS(5628),
    [anon_sym_requires] = ACTIONS(5628),
  },
  [2519] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_and_eq] = ACTIONS(5626),
    [anon_sym_or_eq] = ACTIONS(5626),
    [anon_sym_xor_eq] = ACTIONS(5626),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
  },
  [2520] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(6047),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(6049),
    [aux_sym_preproc_if_token2] = ACTIONS(6049),
    [aux_sym_preproc_else_token1] = ACTIONS(6049),
    [aux_sym_preproc_elif_token1] = ACTIONS(6047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6049),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [anon_sym_DASH] = ACTIONS(6047),
    [anon_sym_PLUS] = ACTIONS(6047),
    [anon_sym_STAR] = ACTIONS(6047),
    [anon_sym_SLASH] = ACTIONS(6047),
    [anon_sym_PERCENT] = ACTIONS(6047),
    [anon_sym_PIPE_PIPE] = ACTIONS(6049),
    [anon_sym_AMP_AMP] = ACTIONS(6049),
    [anon_sym_PIPE] = ACTIONS(6047),
    [anon_sym_CARET] = ACTIONS(6047),
    [anon_sym_AMP] = ACTIONS(6047),
    [anon_sym_EQ_EQ] = ACTIONS(6049),
    [anon_sym_BANG_EQ] = ACTIONS(6049),
    [anon_sym_GT] = ACTIONS(6047),
    [anon_sym_GT_EQ] = ACTIONS(6049),
    [anon_sym_LT_EQ] = ACTIONS(6047),
    [anon_sym_LT] = ACTIONS(6047),
    [anon_sym_LT_LT] = ACTIONS(6047),
    [anon_sym_GT_GT] = ACTIONS(6047),
    [anon_sym___attribute__] = ACTIONS(6047),
    [anon_sym_LBRACE] = ACTIONS(6049),
    [anon_sym_signed] = ACTIONS(6051),
    [anon_sym_unsigned] = ACTIONS(6051),
    [anon_sym_long] = ACTIONS(6051),
    [anon_sym_short] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6049),
    [anon_sym_EQ] = ACTIONS(6047),
    [anon_sym_QMARK] = ACTIONS(6049),
    [anon_sym_STAR_EQ] = ACTIONS(6049),
    [anon_sym_SLASH_EQ] = ACTIONS(6049),
    [anon_sym_PERCENT_EQ] = ACTIONS(6049),
    [anon_sym_PLUS_EQ] = ACTIONS(6049),
    [anon_sym_DASH_EQ] = ACTIONS(6049),
    [anon_sym_LT_LT_EQ] = ACTIONS(6049),
    [anon_sym_GT_GT_EQ] = ACTIONS(6049),
    [anon_sym_AMP_EQ] = ACTIONS(6049),
    [anon_sym_CARET_EQ] = ACTIONS(6049),
    [anon_sym_PIPE_EQ] = ACTIONS(6049),
    [anon_sym_and_eq] = ACTIONS(6047),
    [anon_sym_or_eq] = ACTIONS(6047),
    [anon_sym_xor_eq] = ACTIONS(6047),
    [anon_sym_LT_EQ_GT] = ACTIONS(6049),
    [anon_sym_or] = ACTIONS(6047),
    [anon_sym_and] = ACTIONS(6047),
    [anon_sym_bitor] = ACTIONS(6047),
    [anon_sym_xor] = ACTIONS(6047),
    [anon_sym_bitand] = ACTIONS(6047),
    [anon_sym_not_eq] = ACTIONS(6047),
    [anon_sym_DASH_DASH] = ACTIONS(6049),
    [anon_sym_PLUS_PLUS] = ACTIONS(6049),
    [anon_sym_DOT] = ACTIONS(6047),
    [anon_sym_DOT_STAR] = ACTIONS(6049),
    [anon_sym_DASH_GT] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6047),
    [anon_sym_decltype] = ACTIONS(6047),
  },
  [2521] = {
    [sym_identifier] = ACTIONS(6053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6055),
    [anon_sym_COMMA] = ACTIONS(6055),
    [anon_sym_RPAREN] = ACTIONS(6055),
    [aux_sym_preproc_if_token2] = ACTIONS(6055),
    [aux_sym_preproc_else_token1] = ACTIONS(6055),
    [aux_sym_preproc_elif_token1] = ACTIONS(6053),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6055),
    [anon_sym_LPAREN2] = ACTIONS(6055),
    [anon_sym_DASH] = ACTIONS(6053),
    [anon_sym_PLUS] = ACTIONS(6053),
    [anon_sym_STAR] = ACTIONS(6053),
    [anon_sym_SLASH] = ACTIONS(6053),
    [anon_sym_PERCENT] = ACTIONS(6053),
    [anon_sym_PIPE_PIPE] = ACTIONS(6055),
    [anon_sym_AMP_AMP] = ACTIONS(6055),
    [anon_sym_PIPE] = ACTIONS(6053),
    [anon_sym_CARET] = ACTIONS(6053),
    [anon_sym_AMP] = ACTIONS(6053),
    [anon_sym_EQ_EQ] = ACTIONS(6055),
    [anon_sym_BANG_EQ] = ACTIONS(6055),
    [anon_sym_GT] = ACTIONS(6053),
    [anon_sym_GT_EQ] = ACTIONS(6055),
    [anon_sym_LT_EQ] = ACTIONS(6053),
    [anon_sym_LT] = ACTIONS(6053),
    [anon_sym_LT_LT] = ACTIONS(6053),
    [anon_sym_GT_GT] = ACTIONS(6053),
    [anon_sym_SEMI] = ACTIONS(6055),
    [anon_sym___attribute__] = ACTIONS(6053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6055),
    [anon_sym_LBRACE] = ACTIONS(6055),
    [anon_sym_RBRACE] = ACTIONS(6055),
    [anon_sym_LBRACK] = ACTIONS(6053),
    [anon_sym_RBRACK] = ACTIONS(6055),
    [anon_sym_EQ] = ACTIONS(6053),
    [anon_sym_COLON] = ACTIONS(6055),
    [anon_sym_QMARK] = ACTIONS(6055),
    [anon_sym_STAR_EQ] = ACTIONS(6055),
    [anon_sym_SLASH_EQ] = ACTIONS(6055),
    [anon_sym_PERCENT_EQ] = ACTIONS(6055),
    [anon_sym_PLUS_EQ] = ACTIONS(6055),
    [anon_sym_DASH_EQ] = ACTIONS(6055),
    [anon_sym_LT_LT_EQ] = ACTIONS(6055),
    [anon_sym_GT_GT_EQ] = ACTIONS(6055),
    [anon_sym_AMP_EQ] = ACTIONS(6055),
    [anon_sym_CARET_EQ] = ACTIONS(6055),
    [anon_sym_PIPE_EQ] = ACTIONS(6055),
    [anon_sym_and_eq] = ACTIONS(6053),
    [anon_sym_or_eq] = ACTIONS(6053),
    [anon_sym_xor_eq] = ACTIONS(6053),
    [anon_sym_LT_EQ_GT] = ACTIONS(6055),
    [anon_sym_or] = ACTIONS(6053),
    [anon_sym_and] = ACTIONS(6053),
    [anon_sym_bitor] = ACTIONS(6053),
    [anon_sym_xor] = ACTIONS(6053),
    [anon_sym_bitand] = ACTIONS(6053),
    [anon_sym_not_eq] = ACTIONS(6053),
    [anon_sym_DASH_DASH] = ACTIONS(6055),
    [anon_sym_PLUS_PLUS] = ACTIONS(6055),
    [anon_sym_DOT] = ACTIONS(6053),
    [anon_sym_DOT_STAR] = ACTIONS(6055),
    [anon_sym_DASH_GT] = ACTIONS(6055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6053),
  },
  [2522] = {
    [sym_identifier] = ACTIONS(6057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6059),
    [anon_sym_COMMA] = ACTIONS(6059),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [aux_sym_preproc_if_token2] = ACTIONS(6059),
    [aux_sym_preproc_else_token1] = ACTIONS(6059),
    [aux_sym_preproc_elif_token1] = ACTIONS(6057),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6059),
    [anon_sym_LPAREN2] = ACTIONS(6059),
    [anon_sym_DASH] = ACTIONS(6057),
    [anon_sym_PLUS] = ACTIONS(6057),
    [anon_sym_STAR] = ACTIONS(6057),
    [anon_sym_SLASH] = ACTIONS(6057),
    [anon_sym_PERCENT] = ACTIONS(6057),
    [anon_sym_PIPE_PIPE] = ACTIONS(6059),
    [anon_sym_AMP_AMP] = ACTIONS(6059),
    [anon_sym_PIPE] = ACTIONS(6057),
    [anon_sym_CARET] = ACTIONS(6057),
    [anon_sym_AMP] = ACTIONS(6057),
    [anon_sym_EQ_EQ] = ACTIONS(6059),
    [anon_sym_BANG_EQ] = ACTIONS(6059),
    [anon_sym_GT] = ACTIONS(6057),
    [anon_sym_GT_EQ] = ACTIONS(6059),
    [anon_sym_LT_EQ] = ACTIONS(6057),
    [anon_sym_LT] = ACTIONS(6057),
    [anon_sym_LT_LT] = ACTIONS(6057),
    [anon_sym_GT_GT] = ACTIONS(6057),
    [anon_sym_SEMI] = ACTIONS(6059),
    [anon_sym___attribute__] = ACTIONS(6057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6059),
    [anon_sym_LBRACE] = ACTIONS(6059),
    [anon_sym_RBRACE] = ACTIONS(6059),
    [anon_sym_LBRACK] = ACTIONS(6057),
    [anon_sym_RBRACK] = ACTIONS(6059),
    [anon_sym_EQ] = ACTIONS(6057),
    [anon_sym_COLON] = ACTIONS(6059),
    [anon_sym_QMARK] = ACTIONS(6059),
    [anon_sym_STAR_EQ] = ACTIONS(6059),
    [anon_sym_SLASH_EQ] = ACTIONS(6059),
    [anon_sym_PERCENT_EQ] = ACTIONS(6059),
    [anon_sym_PLUS_EQ] = ACTIONS(6059),
    [anon_sym_DASH_EQ] = ACTIONS(6059),
    [anon_sym_LT_LT_EQ] = ACTIONS(6059),
    [anon_sym_GT_GT_EQ] = ACTIONS(6059),
    [anon_sym_AMP_EQ] = ACTIONS(6059),
    [anon_sym_CARET_EQ] = ACTIONS(6059),
    [anon_sym_PIPE_EQ] = ACTIONS(6059),
    [anon_sym_and_eq] = ACTIONS(6057),
    [anon_sym_or_eq] = ACTIONS(6057),
    [anon_sym_xor_eq] = ACTIONS(6057),
    [anon_sym_LT_EQ_GT] = ACTIONS(6059),
    [anon_sym_or] = ACTIONS(6057),
    [anon_sym_and] = ACTIONS(6057),
    [anon_sym_bitor] = ACTIONS(6057),
    [anon_sym_xor] = ACTIONS(6057),
    [anon_sym_bitand] = ACTIONS(6057),
    [anon_sym_not_eq] = ACTIONS(6057),
    [anon_sym_DASH_DASH] = ACTIONS(6059),
    [anon_sym_PLUS_PLUS] = ACTIONS(6059),
    [anon_sym_DOT] = ACTIONS(6057),
    [anon_sym_DOT_STAR] = ACTIONS(6059),
    [anon_sym_DASH_GT] = ACTIONS(6059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6057),
  },
  [2523] = {
    [sym_identifier] = ACTIONS(6061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6063),
    [anon_sym_COMMA] = ACTIONS(6063),
    [anon_sym_RPAREN] = ACTIONS(6063),
    [aux_sym_preproc_if_token2] = ACTIONS(6063),
    [aux_sym_preproc_else_token1] = ACTIONS(6063),
    [aux_sym_preproc_elif_token1] = ACTIONS(6061),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6063),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(6063),
    [anon_sym_DASH] = ACTIONS(6061),
    [anon_sym_PLUS] = ACTIONS(6061),
    [anon_sym_STAR] = ACTIONS(6061),
    [anon_sym_SLASH] = ACTIONS(6061),
    [anon_sym_PERCENT] = ACTIONS(6061),
    [anon_sym_PIPE_PIPE] = ACTIONS(6063),
    [anon_sym_AMP_AMP] = ACTIONS(6063),
    [anon_sym_PIPE] = ACTIONS(6061),
    [anon_sym_CARET] = ACTIONS(6061),
    [anon_sym_AMP] = ACTIONS(6061),
    [anon_sym_EQ_EQ] = ACTIONS(6063),
    [anon_sym_BANG_EQ] = ACTIONS(6063),
    [anon_sym_GT] = ACTIONS(6061),
    [anon_sym_GT_EQ] = ACTIONS(6063),
    [anon_sym_LT_EQ] = ACTIONS(6061),
    [anon_sym_LT] = ACTIONS(6061),
    [anon_sym_LT_LT] = ACTIONS(6061),
    [anon_sym_GT_GT] = ACTIONS(6061),
    [anon_sym_SEMI] = ACTIONS(6063),
    [anon_sym___attribute__] = ACTIONS(6061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6063),
    [anon_sym_LBRACE] = ACTIONS(6063),
    [anon_sym_RBRACE] = ACTIONS(6063),
    [anon_sym_LBRACK] = ACTIONS(6061),
    [anon_sym_RBRACK] = ACTIONS(6063),
    [anon_sym_EQ] = ACTIONS(6061),
    [anon_sym_COLON] = ACTIONS(6063),
    [anon_sym_QMARK] = ACTIONS(6063),
    [anon_sym_STAR_EQ] = ACTIONS(6063),
    [anon_sym_SLASH_EQ] = ACTIONS(6063),
    [anon_sym_PERCENT_EQ] = ACTIONS(6063),
    [anon_sym_PLUS_EQ] = ACTIONS(6063),
    [anon_sym_DASH_EQ] = ACTIONS(6063),
    [anon_sym_LT_LT_EQ] = ACTIONS(6063),
    [anon_sym_GT_GT_EQ] = ACTIONS(6063),
    [anon_sym_AMP_EQ] = ACTIONS(6063),
    [anon_sym_CARET_EQ] = ACTIONS(6063),
    [anon_sym_PIPE_EQ] = ACTIONS(6063),
    [anon_sym_and_eq] = ACTIONS(6061),
    [anon_sym_or_eq] = ACTIONS(6061),
    [anon_sym_xor_eq] = ACTIONS(6061),
    [anon_sym_LT_EQ_GT] = ACTIONS(6063),
    [anon_sym_or] = ACTIONS(6061),
    [anon_sym_and] = ACTIONS(6061),
    [anon_sym_bitor] = ACTIONS(6061),
    [anon_sym_xor] = ACTIONS(6061),
    [anon_sym_bitand] = ACTIONS(6061),
    [anon_sym_not_eq] = ACTIONS(6061),
    [anon_sym_DASH_DASH] = ACTIONS(6063),
    [anon_sym_PLUS_PLUS] = ACTIONS(6063),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_DOT_STAR] = ACTIONS(6063),
    [anon_sym_DASH_GT] = ACTIONS(6063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6061),
  },
  [2524] = {
    [sym_identifier] = ACTIONS(5778),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5780),
    [anon_sym_COMMA] = ACTIONS(5780),
    [anon_sym_RPAREN] = ACTIONS(5780),
    [aux_sym_preproc_if_token2] = ACTIONS(5780),
    [aux_sym_preproc_else_token1] = ACTIONS(5780),
    [aux_sym_preproc_elif_token1] = ACTIONS(5778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5780),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5780),
    [anon_sym_LPAREN2] = ACTIONS(5780),
    [anon_sym_DASH] = ACTIONS(5778),
    [anon_sym_PLUS] = ACTIONS(5778),
    [anon_sym_STAR] = ACTIONS(5778),
    [anon_sym_SLASH] = ACTIONS(5778),
    [anon_sym_PERCENT] = ACTIONS(5778),
    [anon_sym_PIPE_PIPE] = ACTIONS(5780),
    [anon_sym_AMP_AMP] = ACTIONS(5780),
    [anon_sym_PIPE] = ACTIONS(5778),
    [anon_sym_CARET] = ACTIONS(5778),
    [anon_sym_AMP] = ACTIONS(5778),
    [anon_sym_EQ_EQ] = ACTIONS(5780),
    [anon_sym_BANG_EQ] = ACTIONS(5780),
    [anon_sym_GT] = ACTIONS(5778),
    [anon_sym_GT_EQ] = ACTIONS(5780),
    [anon_sym_LT_EQ] = ACTIONS(5778),
    [anon_sym_LT] = ACTIONS(5778),
    [anon_sym_LT_LT] = ACTIONS(5778),
    [anon_sym_GT_GT] = ACTIONS(5778),
    [anon_sym_SEMI] = ACTIONS(5780),
    [anon_sym___attribute__] = ACTIONS(5778),
    [anon_sym_LBRACE] = ACTIONS(5780),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_LBRACK] = ACTIONS(5780),
    [anon_sym_RBRACK] = ACTIONS(5780),
    [anon_sym_EQ] = ACTIONS(5778),
    [anon_sym_COLON] = ACTIONS(5780),
    [anon_sym_QMARK] = ACTIONS(5780),
    [anon_sym_STAR_EQ] = ACTIONS(5780),
    [anon_sym_SLASH_EQ] = ACTIONS(5780),
    [anon_sym_PERCENT_EQ] = ACTIONS(5780),
    [anon_sym_PLUS_EQ] = ACTIONS(5780),
    [anon_sym_DASH_EQ] = ACTIONS(5780),
    [anon_sym_LT_LT_EQ] = ACTIONS(5780),
    [anon_sym_GT_GT_EQ] = ACTIONS(5780),
    [anon_sym_AMP_EQ] = ACTIONS(5780),
    [anon_sym_CARET_EQ] = ACTIONS(5780),
    [anon_sym_PIPE_EQ] = ACTIONS(5780),
    [anon_sym_and_eq] = ACTIONS(5778),
    [anon_sym_or_eq] = ACTIONS(5778),
    [anon_sym_xor_eq] = ACTIONS(5778),
    [anon_sym_LT_EQ_GT] = ACTIONS(5780),
    [anon_sym_or] = ACTIONS(5778),
    [anon_sym_and] = ACTIONS(5778),
    [anon_sym_bitor] = ACTIONS(5778),
    [anon_sym_xor] = ACTIONS(5778),
    [anon_sym_bitand] = ACTIONS(5778),
    [anon_sym_not_eq] = ACTIONS(5778),
    [anon_sym_DASH_DASH] = ACTIONS(5780),
    [anon_sym_PLUS_PLUS] = ACTIONS(5780),
    [anon_sym_DOT] = ACTIONS(5778),
    [anon_sym_DOT_STAR] = ACTIONS(5780),
    [anon_sym_DASH_GT] = ACTIONS(5780),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5778),
    [anon_sym_decltype] = ACTIONS(5778),
  },
  [2525] = {
    [sym_identifier] = ACTIONS(5760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5762),
    [anon_sym_COMMA] = ACTIONS(5762),
    [anon_sym_RPAREN] = ACTIONS(5762),
    [aux_sym_preproc_if_token2] = ACTIONS(5762),
    [aux_sym_preproc_else_token1] = ACTIONS(5762),
    [aux_sym_preproc_elif_token1] = ACTIONS(5760),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5762),
    [anon_sym_LPAREN2] = ACTIONS(5762),
    [anon_sym_DASH] = ACTIONS(5760),
    [anon_sym_PLUS] = ACTIONS(5760),
    [anon_sym_STAR] = ACTIONS(5760),
    [anon_sym_SLASH] = ACTIONS(5760),
    [anon_sym_PERCENT] = ACTIONS(5760),
    [anon_sym_PIPE_PIPE] = ACTIONS(5762),
    [anon_sym_AMP_AMP] = ACTIONS(5762),
    [anon_sym_PIPE] = ACTIONS(5760),
    [anon_sym_CARET] = ACTIONS(5760),
    [anon_sym_AMP] = ACTIONS(5760),
    [anon_sym_EQ_EQ] = ACTIONS(5762),
    [anon_sym_BANG_EQ] = ACTIONS(5762),
    [anon_sym_GT] = ACTIONS(5760),
    [anon_sym_GT_EQ] = ACTIONS(5762),
    [anon_sym_LT_EQ] = ACTIONS(5760),
    [anon_sym_LT] = ACTIONS(5760),
    [anon_sym_LT_LT] = ACTIONS(5760),
    [anon_sym_GT_GT] = ACTIONS(5760),
    [anon_sym_SEMI] = ACTIONS(5762),
    [anon_sym___attribute__] = ACTIONS(5760),
    [anon_sym_LBRACE] = ACTIONS(5762),
    [anon_sym_RBRACE] = ACTIONS(5762),
    [anon_sym_LBRACK] = ACTIONS(5762),
    [anon_sym_RBRACK] = ACTIONS(5762),
    [anon_sym_EQ] = ACTIONS(5760),
    [anon_sym_COLON] = ACTIONS(5762),
    [anon_sym_QMARK] = ACTIONS(5762),
    [anon_sym_STAR_EQ] = ACTIONS(5762),
    [anon_sym_SLASH_EQ] = ACTIONS(5762),
    [anon_sym_PERCENT_EQ] = ACTIONS(5762),
    [anon_sym_PLUS_EQ] = ACTIONS(5762),
    [anon_sym_DASH_EQ] = ACTIONS(5762),
    [anon_sym_LT_LT_EQ] = ACTIONS(5762),
    [anon_sym_GT_GT_EQ] = ACTIONS(5762),
    [anon_sym_AMP_EQ] = ACTIONS(5762),
    [anon_sym_CARET_EQ] = ACTIONS(5762),
    [anon_sym_PIPE_EQ] = ACTIONS(5762),
    [anon_sym_and_eq] = ACTIONS(5760),
    [anon_sym_or_eq] = ACTIONS(5760),
    [anon_sym_xor_eq] = ACTIONS(5760),
    [anon_sym_LT_EQ_GT] = ACTIONS(5762),
    [anon_sym_or] = ACTIONS(5760),
    [anon_sym_and] = ACTIONS(5760),
    [anon_sym_bitor] = ACTIONS(5760),
    [anon_sym_xor] = ACTIONS(5760),
    [anon_sym_bitand] = ACTIONS(5760),
    [anon_sym_not_eq] = ACTIONS(5760),
    [anon_sym_DASH_DASH] = ACTIONS(5762),
    [anon_sym_PLUS_PLUS] = ACTIONS(5762),
    [anon_sym_DOT] = ACTIONS(5760),
    [anon_sym_DOT_STAR] = ACTIONS(5762),
    [anon_sym_DASH_GT] = ACTIONS(5762),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5760),
    [anon_sym_decltype] = ACTIONS(5760),
  },
  [2526] = {
    [sym_identifier] = ACTIONS(5774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5776),
    [anon_sym_COMMA] = ACTIONS(5776),
    [anon_sym_RPAREN] = ACTIONS(5776),
    [aux_sym_preproc_if_token2] = ACTIONS(5776),
    [aux_sym_preproc_else_token1] = ACTIONS(5776),
    [aux_sym_preproc_elif_token1] = ACTIONS(5774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5776),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5776),
    [anon_sym_LPAREN2] = ACTIONS(5776),
    [anon_sym_DASH] = ACTIONS(5774),
    [anon_sym_PLUS] = ACTIONS(5774),
    [anon_sym_STAR] = ACTIONS(5774),
    [anon_sym_SLASH] = ACTIONS(5774),
    [anon_sym_PERCENT] = ACTIONS(5774),
    [anon_sym_PIPE_PIPE] = ACTIONS(5776),
    [anon_sym_AMP_AMP] = ACTIONS(5776),
    [anon_sym_PIPE] = ACTIONS(5774),
    [anon_sym_CARET] = ACTIONS(5774),
    [anon_sym_AMP] = ACTIONS(5774),
    [anon_sym_EQ_EQ] = ACTIONS(5776),
    [anon_sym_BANG_EQ] = ACTIONS(5776),
    [anon_sym_GT] = ACTIONS(5774),
    [anon_sym_GT_EQ] = ACTIONS(5776),
    [anon_sym_LT_EQ] = ACTIONS(5774),
    [anon_sym_LT] = ACTIONS(5774),
    [anon_sym_LT_LT] = ACTIONS(5774),
    [anon_sym_GT_GT] = ACTIONS(5774),
    [anon_sym_SEMI] = ACTIONS(5776),
    [anon_sym___attribute__] = ACTIONS(5774),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_RBRACE] = ACTIONS(5776),
    [anon_sym_LBRACK] = ACTIONS(5776),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_EQ] = ACTIONS(5774),
    [anon_sym_COLON] = ACTIONS(5776),
    [anon_sym_QMARK] = ACTIONS(5776),
    [anon_sym_STAR_EQ] = ACTIONS(5776),
    [anon_sym_SLASH_EQ] = ACTIONS(5776),
    [anon_sym_PERCENT_EQ] = ACTIONS(5776),
    [anon_sym_PLUS_EQ] = ACTIONS(5776),
    [anon_sym_DASH_EQ] = ACTIONS(5776),
    [anon_sym_LT_LT_EQ] = ACTIONS(5776),
    [anon_sym_GT_GT_EQ] = ACTIONS(5776),
    [anon_sym_AMP_EQ] = ACTIONS(5776),
    [anon_sym_CARET_EQ] = ACTIONS(5776),
    [anon_sym_PIPE_EQ] = ACTIONS(5776),
    [anon_sym_and_eq] = ACTIONS(5774),
    [anon_sym_or_eq] = ACTIONS(5774),
    [anon_sym_xor_eq] = ACTIONS(5774),
    [anon_sym_LT_EQ_GT] = ACTIONS(5776),
    [anon_sym_or] = ACTIONS(5774),
    [anon_sym_and] = ACTIONS(5774),
    [anon_sym_bitor] = ACTIONS(5774),
    [anon_sym_xor] = ACTIONS(5774),
    [anon_sym_bitand] = ACTIONS(5774),
    [anon_sym_not_eq] = ACTIONS(5774),
    [anon_sym_DASH_DASH] = ACTIONS(5776),
    [anon_sym_PLUS_PLUS] = ACTIONS(5776),
    [anon_sym_DOT] = ACTIONS(5774),
    [anon_sym_DOT_STAR] = ACTIONS(5776),
    [anon_sym_DASH_GT] = ACTIONS(5776),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5774),
    [anon_sym_decltype] = ACTIONS(5774),
  },
  [2527] = {
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6067),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_RPAREN] = ACTIONS(6067),
    [aux_sym_preproc_if_token2] = ACTIONS(6067),
    [aux_sym_preproc_else_token1] = ACTIONS(6067),
    [aux_sym_preproc_elif_token1] = ACTIONS(6065),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6067),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6067),
    [anon_sym_LPAREN2] = ACTIONS(6067),
    [anon_sym_DASH] = ACTIONS(6065),
    [anon_sym_PLUS] = ACTIONS(6065),
    [anon_sym_STAR] = ACTIONS(6065),
    [anon_sym_SLASH] = ACTIONS(6065),
    [anon_sym_PERCENT] = ACTIONS(6065),
    [anon_sym_PIPE_PIPE] = ACTIONS(6067),
    [anon_sym_AMP_AMP] = ACTIONS(6067),
    [anon_sym_PIPE] = ACTIONS(6065),
    [anon_sym_CARET] = ACTIONS(6065),
    [anon_sym_AMP] = ACTIONS(6065),
    [anon_sym_EQ_EQ] = ACTIONS(6067),
    [anon_sym_BANG_EQ] = ACTIONS(6067),
    [anon_sym_GT] = ACTIONS(6065),
    [anon_sym_GT_EQ] = ACTIONS(6067),
    [anon_sym_LT_EQ] = ACTIONS(6065),
    [anon_sym_LT] = ACTIONS(6065),
    [anon_sym_LT_LT] = ACTIONS(6065),
    [anon_sym_GT_GT] = ACTIONS(6065),
    [anon_sym_SEMI] = ACTIONS(6067),
    [anon_sym___attribute__] = ACTIONS(6065),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6067),
    [anon_sym_LBRACE] = ACTIONS(6067),
    [anon_sym_RBRACE] = ACTIONS(6067),
    [anon_sym_LBRACK] = ACTIONS(6065),
    [anon_sym_RBRACK] = ACTIONS(6067),
    [anon_sym_EQ] = ACTIONS(6065),
    [anon_sym_COLON] = ACTIONS(6067),
    [anon_sym_QMARK] = ACTIONS(6067),
    [anon_sym_STAR_EQ] = ACTIONS(6067),
    [anon_sym_SLASH_EQ] = ACTIONS(6067),
    [anon_sym_PERCENT_EQ] = ACTIONS(6067),
    [anon_sym_PLUS_EQ] = ACTIONS(6067),
    [anon_sym_DASH_EQ] = ACTIONS(6067),
    [anon_sym_LT_LT_EQ] = ACTIONS(6067),
    [anon_sym_GT_GT_EQ] = ACTIONS(6067),
    [anon_sym_AMP_EQ] = ACTIONS(6067),
    [anon_sym_CARET_EQ] = ACTIONS(6067),
    [anon_sym_PIPE_EQ] = ACTIONS(6067),
    [anon_sym_and_eq] = ACTIONS(6065),
    [anon_sym_or_eq] = ACTIONS(6065),
    [anon_sym_xor_eq] = ACTIONS(6065),
    [anon_sym_LT_EQ_GT] = ACTIONS(6067),
    [anon_sym_or] = ACTIONS(6065),
    [anon_sym_and] = ACTIONS(6065),
    [anon_sym_bitor] = ACTIONS(6065),
    [anon_sym_xor] = ACTIONS(6065),
    [anon_sym_bitand] = ACTIONS(6065),
    [anon_sym_not_eq] = ACTIONS(6065),
    [anon_sym_DASH_DASH] = ACTIONS(6067),
    [anon_sym_PLUS_PLUS] = ACTIONS(6067),
    [anon_sym_DOT] = ACTIONS(6065),
    [anon_sym_DOT_STAR] = ACTIONS(6067),
    [anon_sym_DASH_GT] = ACTIONS(6067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6065),
  },
  [2528] = {
    [sym_template_argument_list] = STATE(2052),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_LPAREN2] = ACTIONS(5091),
    [anon_sym_TILDE] = ACTIONS(5091),
    [anon_sym_STAR] = ACTIONS(5091),
    [anon_sym_PIPE_PIPE] = ACTIONS(5091),
    [anon_sym_AMP_AMP] = ACTIONS(5091),
    [anon_sym_AMP] = ACTIONS(5084),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym___extension__] = ACTIONS(5084),
    [anon_sym_extern] = ACTIONS(5084),
    [anon_sym___attribute__] = ACTIONS(5084),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5091),
    [anon_sym___declspec] = ACTIONS(5084),
    [anon_sym___based] = ACTIONS(5084),
    [anon_sym___cdecl] = ACTIONS(5084),
    [anon_sym___clrcall] = ACTIONS(5084),
    [anon_sym___stdcall] = ACTIONS(5084),
    [anon_sym___fastcall] = ACTIONS(5084),
    [anon_sym___thiscall] = ACTIONS(5084),
    [anon_sym___vectorcall] = ACTIONS(5084),
    [anon_sym_signed] = ACTIONS(5084),
    [anon_sym_unsigned] = ACTIONS(5084),
    [anon_sym_long] = ACTIONS(5084),
    [anon_sym_short] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(5084),
    [anon_sym_static] = ACTIONS(5084),
    [anon_sym_register] = ACTIONS(5084),
    [anon_sym_inline] = ACTIONS(5084),
    [anon_sym___inline] = ACTIONS(5084),
    [anon_sym___inline__] = ACTIONS(5084),
    [anon_sym___forceinline] = ACTIONS(5084),
    [anon_sym_thread_local] = ACTIONS(5084),
    [anon_sym___thread] = ACTIONS(5084),
    [anon_sym_const] = ACTIONS(5084),
    [anon_sym_constexpr] = ACTIONS(5084),
    [anon_sym_volatile] = ACTIONS(5084),
    [anon_sym_restrict] = ACTIONS(5084),
    [anon_sym___restrict__] = ACTIONS(5084),
    [anon_sym__Atomic] = ACTIONS(5084),
    [anon_sym__Noreturn] = ACTIONS(5084),
    [anon_sym_noreturn] = ACTIONS(5084),
    [anon_sym_mutable] = ACTIONS(5084),
    [anon_sym_constinit] = ACTIONS(5084),
    [anon_sym_consteval] = ACTIONS(5084),
    [sym_primitive_type] = ACTIONS(5084),
    [anon_sym_enum] = ACTIONS(5084),
    [anon_sym_class] = ACTIONS(5084),
    [anon_sym_struct] = ACTIONS(5084),
    [anon_sym_union] = ACTIONS(5084),
    [anon_sym_or] = ACTIONS(5084),
    [anon_sym_and] = ACTIONS(5084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5084),
    [anon_sym_decltype] = ACTIONS(5084),
    [anon_sym_virtual] = ACTIONS(5084),
    [anon_sym_alignas] = ACTIONS(5084),
    [anon_sym_explicit] = ACTIONS(5084),
    [anon_sym_typename] = ACTIONS(5084),
    [anon_sym_template] = ACTIONS(5084),
    [anon_sym_operator] = ACTIONS(5084),
    [anon_sym_friend] = ACTIONS(5084),
    [anon_sym_using] = ACTIONS(5084),
    [anon_sym_concept] = ACTIONS(5084),
  },
  [2529] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token2] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_friend] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
  },
  [2530] = {
    [sym_attribute_declaration] = STATE(2530),
    [aux_sym_attributed_declarator_repeat1] = STATE(2530),
    [sym_identifier] = ACTIONS(6071),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6073),
    [anon_sym_COMMA] = ACTIONS(6073),
    [anon_sym_RPAREN] = ACTIONS(6073),
    [aux_sym_preproc_if_token2] = ACTIONS(6073),
    [aux_sym_preproc_else_token1] = ACTIONS(6073),
    [aux_sym_preproc_elif_token1] = ACTIONS(6071),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6073),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6073),
    [anon_sym_LPAREN2] = ACTIONS(6073),
    [anon_sym_DASH] = ACTIONS(6071),
    [anon_sym_PLUS] = ACTIONS(6071),
    [anon_sym_STAR] = ACTIONS(6071),
    [anon_sym_SLASH] = ACTIONS(6071),
    [anon_sym_PERCENT] = ACTIONS(6071),
    [anon_sym_PIPE_PIPE] = ACTIONS(6073),
    [anon_sym_AMP_AMP] = ACTIONS(6073),
    [anon_sym_PIPE] = ACTIONS(6071),
    [anon_sym_CARET] = ACTIONS(6071),
    [anon_sym_AMP] = ACTIONS(6071),
    [anon_sym_EQ_EQ] = ACTIONS(6073),
    [anon_sym_BANG_EQ] = ACTIONS(6073),
    [anon_sym_GT] = ACTIONS(6071),
    [anon_sym_GT_EQ] = ACTIONS(6073),
    [anon_sym_LT_EQ] = ACTIONS(6071),
    [anon_sym_LT] = ACTIONS(6071),
    [anon_sym_LT_LT] = ACTIONS(6071),
    [anon_sym_GT_GT] = ACTIONS(6071),
    [anon_sym_SEMI] = ACTIONS(6073),
    [anon_sym___attribute__] = ACTIONS(6071),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6075),
    [anon_sym_RBRACE] = ACTIONS(6073),
    [anon_sym_LBRACK] = ACTIONS(6071),
    [anon_sym_RBRACK] = ACTIONS(6073),
    [anon_sym_EQ] = ACTIONS(6071),
    [anon_sym_COLON] = ACTIONS(6073),
    [anon_sym_QMARK] = ACTIONS(6073),
    [anon_sym_STAR_EQ] = ACTIONS(6073),
    [anon_sym_SLASH_EQ] = ACTIONS(6073),
    [anon_sym_PERCENT_EQ] = ACTIONS(6073),
    [anon_sym_PLUS_EQ] = ACTIONS(6073),
    [anon_sym_DASH_EQ] = ACTIONS(6073),
    [anon_sym_LT_LT_EQ] = ACTIONS(6073),
    [anon_sym_GT_GT_EQ] = ACTIONS(6073),
    [anon_sym_AMP_EQ] = ACTIONS(6073),
    [anon_sym_CARET_EQ] = ACTIONS(6073),
    [anon_sym_PIPE_EQ] = ACTIONS(6073),
    [anon_sym_and_eq] = ACTIONS(6071),
    [anon_sym_or_eq] = ACTIONS(6071),
    [anon_sym_xor_eq] = ACTIONS(6071),
    [anon_sym_LT_EQ_GT] = ACTIONS(6073),
    [anon_sym_or] = ACTIONS(6071),
    [anon_sym_and] = ACTIONS(6071),
    [anon_sym_bitor] = ACTIONS(6071),
    [anon_sym_xor] = ACTIONS(6071),
    [anon_sym_bitand] = ACTIONS(6071),
    [anon_sym_not_eq] = ACTIONS(6071),
    [anon_sym_DASH_DASH] = ACTIONS(6073),
    [anon_sym_PLUS_PLUS] = ACTIONS(6073),
    [anon_sym_DOT] = ACTIONS(6071),
    [anon_sym_DOT_STAR] = ACTIONS(6073),
    [anon_sym_DASH_GT] = ACTIONS(6073),
    [sym_comment] = ACTIONS(3),
  },
  [2531] = {
    [sym_identifier] = ACTIONS(5770),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5772),
    [anon_sym_COMMA] = ACTIONS(5772),
    [anon_sym_RPAREN] = ACTIONS(5772),
    [aux_sym_preproc_if_token2] = ACTIONS(5772),
    [aux_sym_preproc_else_token1] = ACTIONS(5772),
    [aux_sym_preproc_elif_token1] = ACTIONS(5770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5772),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5772),
    [anon_sym_LPAREN2] = ACTIONS(5772),
    [anon_sym_DASH] = ACTIONS(5770),
    [anon_sym_PLUS] = ACTIONS(5770),
    [anon_sym_STAR] = ACTIONS(5770),
    [anon_sym_SLASH] = ACTIONS(5770),
    [anon_sym_PERCENT] = ACTIONS(5770),
    [anon_sym_PIPE_PIPE] = ACTIONS(5772),
    [anon_sym_AMP_AMP] = ACTIONS(5772),
    [anon_sym_PIPE] = ACTIONS(5770),
    [anon_sym_CARET] = ACTIONS(5770),
    [anon_sym_AMP] = ACTIONS(5770),
    [anon_sym_EQ_EQ] = ACTIONS(5772),
    [anon_sym_BANG_EQ] = ACTIONS(5772),
    [anon_sym_GT] = ACTIONS(5770),
    [anon_sym_GT_EQ] = ACTIONS(5772),
    [anon_sym_LT_EQ] = ACTIONS(5770),
    [anon_sym_LT] = ACTIONS(5770),
    [anon_sym_LT_LT] = ACTIONS(5770),
    [anon_sym_GT_GT] = ACTIONS(5770),
    [anon_sym_SEMI] = ACTIONS(5772),
    [anon_sym___attribute__] = ACTIONS(5770),
    [anon_sym_LBRACE] = ACTIONS(5772),
    [anon_sym_RBRACE] = ACTIONS(5772),
    [anon_sym_LBRACK] = ACTIONS(5772),
    [anon_sym_RBRACK] = ACTIONS(5772),
    [anon_sym_EQ] = ACTIONS(5770),
    [anon_sym_COLON] = ACTIONS(5772),
    [anon_sym_QMARK] = ACTIONS(5772),
    [anon_sym_STAR_EQ] = ACTIONS(5772),
    [anon_sym_SLASH_EQ] = ACTIONS(5772),
    [anon_sym_PERCENT_EQ] = ACTIONS(5772),
    [anon_sym_PLUS_EQ] = ACTIONS(5772),
    [anon_sym_DASH_EQ] = ACTIONS(5772),
    [anon_sym_LT_LT_EQ] = ACTIONS(5772),
    [anon_sym_GT_GT_EQ] = ACTIONS(5772),
    [anon_sym_AMP_EQ] = ACTIONS(5772),
    [anon_sym_CARET_EQ] = ACTIONS(5772),
    [anon_sym_PIPE_EQ] = ACTIONS(5772),
    [anon_sym_and_eq] = ACTIONS(5770),
    [anon_sym_or_eq] = ACTIONS(5770),
    [anon_sym_xor_eq] = ACTIONS(5770),
    [anon_sym_LT_EQ_GT] = ACTIONS(5772),
    [anon_sym_or] = ACTIONS(5770),
    [anon_sym_and] = ACTIONS(5770),
    [anon_sym_bitor] = ACTIONS(5770),
    [anon_sym_xor] = ACTIONS(5770),
    [anon_sym_bitand] = ACTIONS(5770),
    [anon_sym_not_eq] = ACTIONS(5770),
    [anon_sym_DASH_DASH] = ACTIONS(5772),
    [anon_sym_PLUS_PLUS] = ACTIONS(5772),
    [anon_sym_DOT] = ACTIONS(5770),
    [anon_sym_DOT_STAR] = ACTIONS(5772),
    [anon_sym_DASH_GT] = ACTIONS(5772),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5770),
    [anon_sym_decltype] = ACTIONS(5770),
  },
  [2532] = {
    [sym_identifier] = ACTIONS(5766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5768),
    [anon_sym_COMMA] = ACTIONS(5768),
    [anon_sym_RPAREN] = ACTIONS(5768),
    [aux_sym_preproc_if_token2] = ACTIONS(5768),
    [aux_sym_preproc_else_token1] = ACTIONS(5768),
    [aux_sym_preproc_elif_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5768),
    [anon_sym_LPAREN2] = ACTIONS(5768),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5768),
    [anon_sym_AMP_AMP] = ACTIONS(5768),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5768),
    [anon_sym_BANG_EQ] = ACTIONS(5768),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5768),
    [anon_sym_LT_EQ] = ACTIONS(5766),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5768),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(5768),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_LBRACK] = ACTIONS(5768),
    [anon_sym_RBRACK] = ACTIONS(5768),
    [anon_sym_EQ] = ACTIONS(5766),
    [anon_sym_COLON] = ACTIONS(5768),
    [anon_sym_QMARK] = ACTIONS(5768),
    [anon_sym_STAR_EQ] = ACTIONS(5768),
    [anon_sym_SLASH_EQ] = ACTIONS(5768),
    [anon_sym_PERCENT_EQ] = ACTIONS(5768),
    [anon_sym_PLUS_EQ] = ACTIONS(5768),
    [anon_sym_DASH_EQ] = ACTIONS(5768),
    [anon_sym_LT_LT_EQ] = ACTIONS(5768),
    [anon_sym_GT_GT_EQ] = ACTIONS(5768),
    [anon_sym_AMP_EQ] = ACTIONS(5768),
    [anon_sym_CARET_EQ] = ACTIONS(5768),
    [anon_sym_PIPE_EQ] = ACTIONS(5768),
    [anon_sym_and_eq] = ACTIONS(5766),
    [anon_sym_or_eq] = ACTIONS(5766),
    [anon_sym_xor_eq] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5768),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5768),
    [anon_sym_PLUS_PLUS] = ACTIONS(5768),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_DOT_STAR] = ACTIONS(5768),
    [anon_sym_DASH_GT] = ACTIONS(5768),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
  },
  [2533] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(6078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6080),
    [anon_sym_COMMA] = ACTIONS(6080),
    [aux_sym_preproc_if_token2] = ACTIONS(6080),
    [aux_sym_preproc_else_token1] = ACTIONS(6080),
    [aux_sym_preproc_elif_token1] = ACTIONS(6078),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6080),
    [anon_sym_LPAREN2] = ACTIONS(6080),
    [anon_sym_DASH] = ACTIONS(6078),
    [anon_sym_PLUS] = ACTIONS(6078),
    [anon_sym_STAR] = ACTIONS(6078),
    [anon_sym_SLASH] = ACTIONS(6078),
    [anon_sym_PERCENT] = ACTIONS(6078),
    [anon_sym_PIPE_PIPE] = ACTIONS(6080),
    [anon_sym_AMP_AMP] = ACTIONS(6080),
    [anon_sym_PIPE] = ACTIONS(6078),
    [anon_sym_CARET] = ACTIONS(6078),
    [anon_sym_AMP] = ACTIONS(6078),
    [anon_sym_EQ_EQ] = ACTIONS(6080),
    [anon_sym_BANG_EQ] = ACTIONS(6080),
    [anon_sym_GT] = ACTIONS(6078),
    [anon_sym_GT_EQ] = ACTIONS(6080),
    [anon_sym_LT_EQ] = ACTIONS(6078),
    [anon_sym_LT] = ACTIONS(6078),
    [anon_sym_LT_LT] = ACTIONS(6078),
    [anon_sym_GT_GT] = ACTIONS(6078),
    [anon_sym___attribute__] = ACTIONS(6078),
    [anon_sym_LBRACE] = ACTIONS(6080),
    [anon_sym_signed] = ACTIONS(6051),
    [anon_sym_unsigned] = ACTIONS(6051),
    [anon_sym_long] = ACTIONS(6051),
    [anon_sym_short] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6080),
    [anon_sym_EQ] = ACTIONS(6078),
    [anon_sym_QMARK] = ACTIONS(6080),
    [anon_sym_STAR_EQ] = ACTIONS(6080),
    [anon_sym_SLASH_EQ] = ACTIONS(6080),
    [anon_sym_PERCENT_EQ] = ACTIONS(6080),
    [anon_sym_PLUS_EQ] = ACTIONS(6080),
    [anon_sym_DASH_EQ] = ACTIONS(6080),
    [anon_sym_LT_LT_EQ] = ACTIONS(6080),
    [anon_sym_GT_GT_EQ] = ACTIONS(6080),
    [anon_sym_AMP_EQ] = ACTIONS(6080),
    [anon_sym_CARET_EQ] = ACTIONS(6080),
    [anon_sym_PIPE_EQ] = ACTIONS(6080),
    [anon_sym_and_eq] = ACTIONS(6078),
    [anon_sym_or_eq] = ACTIONS(6078),
    [anon_sym_xor_eq] = ACTIONS(6078),
    [anon_sym_LT_EQ_GT] = ACTIONS(6080),
    [anon_sym_or] = ACTIONS(6078),
    [anon_sym_and] = ACTIONS(6078),
    [anon_sym_bitor] = ACTIONS(6078),
    [anon_sym_xor] = ACTIONS(6078),
    [anon_sym_bitand] = ACTIONS(6078),
    [anon_sym_not_eq] = ACTIONS(6078),
    [anon_sym_DASH_DASH] = ACTIONS(6080),
    [anon_sym_PLUS_PLUS] = ACTIONS(6080),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_DOT_STAR] = ACTIONS(6080),
    [anon_sym_DASH_GT] = ACTIONS(6080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6078),
    [anon_sym_decltype] = ACTIONS(6078),
  },
  [2534] = {
    [sym_identifier] = ACTIONS(5834),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5836),
    [anon_sym_COMMA] = ACTIONS(5836),
    [anon_sym_RPAREN] = ACTIONS(5836),
    [aux_sym_preproc_if_token2] = ACTIONS(5836),
    [aux_sym_preproc_else_token1] = ACTIONS(5836),
    [aux_sym_preproc_elif_token1] = ACTIONS(5834),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5836),
    [anon_sym_LPAREN2] = ACTIONS(5836),
    [anon_sym_DASH] = ACTIONS(5834),
    [anon_sym_PLUS] = ACTIONS(5834),
    [anon_sym_STAR] = ACTIONS(5834),
    [anon_sym_SLASH] = ACTIONS(5834),
    [anon_sym_PERCENT] = ACTIONS(5834),
    [anon_sym_PIPE_PIPE] = ACTIONS(5836),
    [anon_sym_AMP_AMP] = ACTIONS(5836),
    [anon_sym_PIPE] = ACTIONS(5834),
    [anon_sym_CARET] = ACTIONS(5834),
    [anon_sym_AMP] = ACTIONS(5834),
    [anon_sym_EQ_EQ] = ACTIONS(5836),
    [anon_sym_BANG_EQ] = ACTIONS(5836),
    [anon_sym_GT] = ACTIONS(5834),
    [anon_sym_GT_EQ] = ACTIONS(5836),
    [anon_sym_LT_EQ] = ACTIONS(5834),
    [anon_sym_LT] = ACTIONS(5834),
    [anon_sym_LT_LT] = ACTIONS(5834),
    [anon_sym_GT_GT] = ACTIONS(5834),
    [anon_sym_SEMI] = ACTIONS(5836),
    [anon_sym___attribute__] = ACTIONS(5834),
    [anon_sym_LBRACE] = ACTIONS(5836),
    [anon_sym_RBRACE] = ACTIONS(5836),
    [anon_sym_LBRACK] = ACTIONS(5836),
    [anon_sym_RBRACK] = ACTIONS(5836),
    [anon_sym_EQ] = ACTIONS(5834),
    [anon_sym_COLON] = ACTIONS(5836),
    [anon_sym_QMARK] = ACTIONS(5836),
    [anon_sym_STAR_EQ] = ACTIONS(5836),
    [anon_sym_SLASH_EQ] = ACTIONS(5836),
    [anon_sym_PERCENT_EQ] = ACTIONS(5836),
    [anon_sym_PLUS_EQ] = ACTIONS(5836),
    [anon_sym_DASH_EQ] = ACTIONS(5836),
    [anon_sym_LT_LT_EQ] = ACTIONS(5836),
    [anon_sym_GT_GT_EQ] = ACTIONS(5836),
    [anon_sym_AMP_EQ] = ACTIONS(5836),
    [anon_sym_CARET_EQ] = ACTIONS(5836),
    [anon_sym_PIPE_EQ] = ACTIONS(5836),
    [anon_sym_and_eq] = ACTIONS(5834),
    [anon_sym_or_eq] = ACTIONS(5834),
    [anon_sym_xor_eq] = ACTIONS(5834),
    [anon_sym_LT_EQ_GT] = ACTIONS(5836),
    [anon_sym_or] = ACTIONS(5834),
    [anon_sym_and] = ACTIONS(5834),
    [anon_sym_bitor] = ACTIONS(5834),
    [anon_sym_xor] = ACTIONS(5834),
    [anon_sym_bitand] = ACTIONS(5834),
    [anon_sym_not_eq] = ACTIONS(5834),
    [anon_sym_DASH_DASH] = ACTIONS(5836),
    [anon_sym_PLUS_PLUS] = ACTIONS(5836),
    [anon_sym_DOT] = ACTIONS(5834),
    [anon_sym_DOT_STAR] = ACTIONS(5836),
    [anon_sym_DASH_GT] = ACTIONS(5836),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5834),
    [anon_sym_decltype] = ACTIONS(5834),
  },
  [2535] = {
    [sym_identifier] = ACTIONS(5750),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5752),
    [anon_sym_COMMA] = ACTIONS(5752),
    [anon_sym_RPAREN] = ACTIONS(5752),
    [aux_sym_preproc_if_token2] = ACTIONS(5752),
    [aux_sym_preproc_else_token1] = ACTIONS(5752),
    [aux_sym_preproc_elif_token1] = ACTIONS(5750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5752),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5752),
    [anon_sym_LPAREN2] = ACTIONS(5752),
    [anon_sym_DASH] = ACTIONS(5750),
    [anon_sym_PLUS] = ACTIONS(5750),
    [anon_sym_STAR] = ACTIONS(5750),
    [anon_sym_SLASH] = ACTIONS(5750),
    [anon_sym_PERCENT] = ACTIONS(5750),
    [anon_sym_PIPE_PIPE] = ACTIONS(5752),
    [anon_sym_AMP_AMP] = ACTIONS(5752),
    [anon_sym_PIPE] = ACTIONS(5750),
    [anon_sym_CARET] = ACTIONS(5750),
    [anon_sym_AMP] = ACTIONS(5750),
    [anon_sym_EQ_EQ] = ACTIONS(5752),
    [anon_sym_BANG_EQ] = ACTIONS(5752),
    [anon_sym_GT] = ACTIONS(5750),
    [anon_sym_GT_EQ] = ACTIONS(5752),
    [anon_sym_LT_EQ] = ACTIONS(5750),
    [anon_sym_LT] = ACTIONS(5750),
    [anon_sym_LT_LT] = ACTIONS(5750),
    [anon_sym_GT_GT] = ACTIONS(5750),
    [anon_sym_SEMI] = ACTIONS(5752),
    [anon_sym___attribute__] = ACTIONS(5750),
    [anon_sym_LBRACE] = ACTIONS(5752),
    [anon_sym_RBRACE] = ACTIONS(5752),
    [anon_sym_LBRACK] = ACTIONS(5752),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_EQ] = ACTIONS(5750),
    [anon_sym_COLON] = ACTIONS(5752),
    [anon_sym_QMARK] = ACTIONS(5752),
    [anon_sym_STAR_EQ] = ACTIONS(5752),
    [anon_sym_SLASH_EQ] = ACTIONS(5752),
    [anon_sym_PERCENT_EQ] = ACTIONS(5752),
    [anon_sym_PLUS_EQ] = ACTIONS(5752),
    [anon_sym_DASH_EQ] = ACTIONS(5752),
    [anon_sym_LT_LT_EQ] = ACTIONS(5752),
    [anon_sym_GT_GT_EQ] = ACTIONS(5752),
    [anon_sym_AMP_EQ] = ACTIONS(5752),
    [anon_sym_CARET_EQ] = ACTIONS(5752),
    [anon_sym_PIPE_EQ] = ACTIONS(5752),
    [anon_sym_and_eq] = ACTIONS(5750),
    [anon_sym_or_eq] = ACTIONS(5750),
    [anon_sym_xor_eq] = ACTIONS(5750),
    [anon_sym_LT_EQ_GT] = ACTIONS(5752),
    [anon_sym_or] = ACTIONS(5750),
    [anon_sym_and] = ACTIONS(5750),
    [anon_sym_bitor] = ACTIONS(5750),
    [anon_sym_xor] = ACTIONS(5750),
    [anon_sym_bitand] = ACTIONS(5750),
    [anon_sym_not_eq] = ACTIONS(5750),
    [anon_sym_DASH_DASH] = ACTIONS(5752),
    [anon_sym_PLUS_PLUS] = ACTIONS(5752),
    [anon_sym_DOT] = ACTIONS(5750),
    [anon_sym_DOT_STAR] = ACTIONS(5752),
    [anon_sym_DASH_GT] = ACTIONS(5752),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5750),
    [anon_sym_decltype] = ACTIONS(5750),
  },
  [2536] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2540),
    [sym_identifier] = ACTIONS(6082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6084),
    [anon_sym_COMMA] = ACTIONS(6084),
    [aux_sym_preproc_if_token2] = ACTIONS(6084),
    [aux_sym_preproc_else_token1] = ACTIONS(6084),
    [aux_sym_preproc_elif_token1] = ACTIONS(6082),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_STAR] = ACTIONS(6082),
    [anon_sym_SLASH] = ACTIONS(6082),
    [anon_sym_PERCENT] = ACTIONS(6082),
    [anon_sym_PIPE_PIPE] = ACTIONS(6084),
    [anon_sym_AMP_AMP] = ACTIONS(6084),
    [anon_sym_PIPE] = ACTIONS(6082),
    [anon_sym_CARET] = ACTIONS(6082),
    [anon_sym_AMP] = ACTIONS(6082),
    [anon_sym_EQ_EQ] = ACTIONS(6084),
    [anon_sym_BANG_EQ] = ACTIONS(6084),
    [anon_sym_GT] = ACTIONS(6082),
    [anon_sym_GT_EQ] = ACTIONS(6084),
    [anon_sym_LT_EQ] = ACTIONS(6082),
    [anon_sym_LT] = ACTIONS(6082),
    [anon_sym_LT_LT] = ACTIONS(6082),
    [anon_sym_GT_GT] = ACTIONS(6082),
    [anon_sym___attribute__] = ACTIONS(6082),
    [anon_sym_LBRACE] = ACTIONS(6084),
    [anon_sym_signed] = ACTIONS(6086),
    [anon_sym_unsigned] = ACTIONS(6086),
    [anon_sym_long] = ACTIONS(6086),
    [anon_sym_short] = ACTIONS(6086),
    [anon_sym_LBRACK] = ACTIONS(6084),
    [anon_sym_EQ] = ACTIONS(6082),
    [anon_sym_QMARK] = ACTIONS(6084),
    [anon_sym_STAR_EQ] = ACTIONS(6084),
    [anon_sym_SLASH_EQ] = ACTIONS(6084),
    [anon_sym_PERCENT_EQ] = ACTIONS(6084),
    [anon_sym_PLUS_EQ] = ACTIONS(6084),
    [anon_sym_DASH_EQ] = ACTIONS(6084),
    [anon_sym_LT_LT_EQ] = ACTIONS(6084),
    [anon_sym_GT_GT_EQ] = ACTIONS(6084),
    [anon_sym_AMP_EQ] = ACTIONS(6084),
    [anon_sym_CARET_EQ] = ACTIONS(6084),
    [anon_sym_PIPE_EQ] = ACTIONS(6084),
    [anon_sym_and_eq] = ACTIONS(6082),
    [anon_sym_or_eq] = ACTIONS(6082),
    [anon_sym_xor_eq] = ACTIONS(6082),
    [anon_sym_LT_EQ_GT] = ACTIONS(6084),
    [anon_sym_or] = ACTIONS(6082),
    [anon_sym_and] = ACTIONS(6082),
    [anon_sym_bitor] = ACTIONS(6082),
    [anon_sym_xor] = ACTIONS(6082),
    [anon_sym_bitand] = ACTIONS(6082),
    [anon_sym_not_eq] = ACTIONS(6082),
    [anon_sym_DASH_DASH] = ACTIONS(6084),
    [anon_sym_PLUS_PLUS] = ACTIONS(6084),
    [anon_sym_DOT] = ACTIONS(6082),
    [anon_sym_DOT_STAR] = ACTIONS(6084),
    [anon_sym_DASH_GT] = ACTIONS(6084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6082),
    [anon_sym_decltype] = ACTIONS(6082),
  },
  [2537] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2541),
    [sym_identifier] = ACTIONS(6088),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6090),
    [anon_sym_COMMA] = ACTIONS(6090),
    [aux_sym_preproc_if_token2] = ACTIONS(6090),
    [aux_sym_preproc_else_token1] = ACTIONS(6090),
    [aux_sym_preproc_elif_token1] = ACTIONS(6088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6090),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [anon_sym_DASH] = ACTIONS(6088),
    [anon_sym_PLUS] = ACTIONS(6088),
    [anon_sym_STAR] = ACTIONS(6088),
    [anon_sym_SLASH] = ACTIONS(6088),
    [anon_sym_PERCENT] = ACTIONS(6088),
    [anon_sym_PIPE_PIPE] = ACTIONS(6090),
    [anon_sym_AMP_AMP] = ACTIONS(6090),
    [anon_sym_PIPE] = ACTIONS(6088),
    [anon_sym_CARET] = ACTIONS(6088),
    [anon_sym_AMP] = ACTIONS(6088),
    [anon_sym_EQ_EQ] = ACTIONS(6090),
    [anon_sym_BANG_EQ] = ACTIONS(6090),
    [anon_sym_GT] = ACTIONS(6088),
    [anon_sym_GT_EQ] = ACTIONS(6090),
    [anon_sym_LT_EQ] = ACTIONS(6088),
    [anon_sym_LT] = ACTIONS(6088),
    [anon_sym_LT_LT] = ACTIONS(6088),
    [anon_sym_GT_GT] = ACTIONS(6088),
    [anon_sym___attribute__] = ACTIONS(6088),
    [anon_sym_LBRACE] = ACTIONS(6090),
    [anon_sym_signed] = ACTIONS(6092),
    [anon_sym_unsigned] = ACTIONS(6092),
    [anon_sym_long] = ACTIONS(6092),
    [anon_sym_short] = ACTIONS(6092),
    [anon_sym_LBRACK] = ACTIONS(6090),
    [anon_sym_EQ] = ACTIONS(6088),
    [anon_sym_QMARK] = ACTIONS(6090),
    [anon_sym_STAR_EQ] = ACTIONS(6090),
    [anon_sym_SLASH_EQ] = ACTIONS(6090),
    [anon_sym_PERCENT_EQ] = ACTIONS(6090),
    [anon_sym_PLUS_EQ] = ACTIONS(6090),
    [anon_sym_DASH_EQ] = ACTIONS(6090),
    [anon_sym_LT_LT_EQ] = ACTIONS(6090),
    [anon_sym_GT_GT_EQ] = ACTIONS(6090),
    [anon_sym_AMP_EQ] = ACTIONS(6090),
    [anon_sym_CARET_EQ] = ACTIONS(6090),
    [anon_sym_PIPE_EQ] = ACTIONS(6090),
    [anon_sym_and_eq] = ACTIONS(6088),
    [anon_sym_or_eq] = ACTIONS(6088),
    [anon_sym_xor_eq] = ACTIONS(6088),
    [anon_sym_LT_EQ_GT] = ACTIONS(6090),
    [anon_sym_or] = ACTIONS(6088),
    [anon_sym_and] = ACTIONS(6088),
    [anon_sym_bitor] = ACTIONS(6088),
    [anon_sym_xor] = ACTIONS(6088),
    [anon_sym_bitand] = ACTIONS(6088),
    [anon_sym_not_eq] = ACTIONS(6088),
    [anon_sym_DASH_DASH] = ACTIONS(6090),
    [anon_sym_PLUS_PLUS] = ACTIONS(6090),
    [anon_sym_DOT] = ACTIONS(6088),
    [anon_sym_DOT_STAR] = ACTIONS(6090),
    [anon_sym_DASH_GT] = ACTIONS(6090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6088),
    [anon_sym_decltype] = ACTIONS(6088),
  },
  [2538] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5363),
    [anon_sym_COMMA] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5361),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5361),
    [anon_sym_PLUS] = ACTIONS(5361),
    [anon_sym_STAR] = ACTIONS(5361),
    [anon_sym_SLASH] = ACTIONS(5361),
    [anon_sym_PERCENT] = ACTIONS(5361),
    [anon_sym_PIPE_PIPE] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_PIPE] = ACTIONS(5361),
    [anon_sym_CARET] = ACTIONS(5361),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_EQ_EQ] = ACTIONS(5363),
    [anon_sym_BANG_EQ] = ACTIONS(5363),
    [anon_sym_GT] = ACTIONS(5361),
    [anon_sym_GT_EQ] = ACTIONS(5363),
    [anon_sym_LT_EQ] = ACTIONS(5361),
    [anon_sym_LT] = ACTIONS(5361),
    [anon_sym_LT_LT] = ACTIONS(5361),
    [anon_sym_GT_GT] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(6094),
    [anon_sym_unsigned] = ACTIONS(6094),
    [anon_sym_long] = ACTIONS(6094),
    [anon_sym_short] = ACTIONS(6094),
    [anon_sym_LBRACK] = ACTIONS(5363),
    [anon_sym_EQ] = ACTIONS(5361),
    [anon_sym_QMARK] = ACTIONS(5363),
    [anon_sym_STAR_EQ] = ACTIONS(5363),
    [anon_sym_SLASH_EQ] = ACTIONS(5363),
    [anon_sym_PERCENT_EQ] = ACTIONS(5363),
    [anon_sym_PLUS_EQ] = ACTIONS(5363),
    [anon_sym_DASH_EQ] = ACTIONS(5363),
    [anon_sym_LT_LT_EQ] = ACTIONS(5363),
    [anon_sym_GT_GT_EQ] = ACTIONS(5363),
    [anon_sym_AMP_EQ] = ACTIONS(5363),
    [anon_sym_CARET_EQ] = ACTIONS(5363),
    [anon_sym_PIPE_EQ] = ACTIONS(5363),
    [anon_sym_and_eq] = ACTIONS(5361),
    [anon_sym_or_eq] = ACTIONS(5361),
    [anon_sym_xor_eq] = ACTIONS(5361),
    [anon_sym_LT_EQ_GT] = ACTIONS(5363),
    [anon_sym_or] = ACTIONS(5361),
    [anon_sym_and] = ACTIONS(5361),
    [anon_sym_bitor] = ACTIONS(5361),
    [anon_sym_xor] = ACTIONS(5361),
    [anon_sym_bitand] = ACTIONS(5361),
    [anon_sym_not_eq] = ACTIONS(5361),
    [anon_sym_DASH_DASH] = ACTIONS(5363),
    [anon_sym_PLUS_PLUS] = ACTIONS(5363),
    [anon_sym_DOT] = ACTIONS(5361),
    [anon_sym_DOT_STAR] = ACTIONS(5363),
    [anon_sym_DASH_GT] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
  },
  [2539] = {
    [sym_template_argument_list] = STATE(2052),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2852),
    [sym_identifier] = ACTIONS(5795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5797),
    [anon_sym_COMMA] = ACTIONS(5797),
    [aux_sym_preproc_if_token2] = ACTIONS(5797),
    [aux_sym_preproc_else_token1] = ACTIONS(5797),
    [aux_sym_preproc_elif_token1] = ACTIONS(5797),
    [anon_sym_LPAREN2] = ACTIONS(5797),
    [anon_sym_DASH] = ACTIONS(5795),
    [anon_sym_PLUS] = ACTIONS(5795),
    [anon_sym_STAR] = ACTIONS(5795),
    [anon_sym_SLASH] = ACTIONS(5795),
    [anon_sym_PERCENT] = ACTIONS(5795),
    [anon_sym_PIPE_PIPE] = ACTIONS(5797),
    [anon_sym_AMP_AMP] = ACTIONS(5797),
    [anon_sym_PIPE] = ACTIONS(5795),
    [anon_sym_CARET] = ACTIONS(5795),
    [anon_sym_AMP] = ACTIONS(5795),
    [anon_sym_EQ_EQ] = ACTIONS(5797),
    [anon_sym_BANG_EQ] = ACTIONS(5797),
    [anon_sym_GT] = ACTIONS(5795),
    [anon_sym_GT_EQ] = ACTIONS(5797),
    [anon_sym_LT_EQ] = ACTIONS(5795),
    [anon_sym_LT] = ACTIONS(5795),
    [anon_sym_LT_LT] = ACTIONS(5795),
    [anon_sym_GT_GT] = ACTIONS(5795),
    [anon_sym___attribute__] = ACTIONS(5795),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5797),
    [anon_sym_signed] = ACTIONS(6097),
    [anon_sym_unsigned] = ACTIONS(6097),
    [anon_sym_long] = ACTIONS(6097),
    [anon_sym_short] = ACTIONS(6097),
    [anon_sym_LBRACK] = ACTIONS(5797),
    [anon_sym_EQ] = ACTIONS(5795),
    [anon_sym_QMARK] = ACTIONS(5797),
    [anon_sym_STAR_EQ] = ACTIONS(5797),
    [anon_sym_SLASH_EQ] = ACTIONS(5797),
    [anon_sym_PERCENT_EQ] = ACTIONS(5797),
    [anon_sym_PLUS_EQ] = ACTIONS(5797),
    [anon_sym_DASH_EQ] = ACTIONS(5797),
    [anon_sym_LT_LT_EQ] = ACTIONS(5797),
    [anon_sym_GT_GT_EQ] = ACTIONS(5797),
    [anon_sym_AMP_EQ] = ACTIONS(5797),
    [anon_sym_CARET_EQ] = ACTIONS(5797),
    [anon_sym_PIPE_EQ] = ACTIONS(5797),
    [anon_sym_and_eq] = ACTIONS(5795),
    [anon_sym_or_eq] = ACTIONS(5795),
    [anon_sym_xor_eq] = ACTIONS(5795),
    [anon_sym_LT_EQ_GT] = ACTIONS(5797),
    [anon_sym_or] = ACTIONS(5795),
    [anon_sym_and] = ACTIONS(5795),
    [anon_sym_bitor] = ACTIONS(5795),
    [anon_sym_xor] = ACTIONS(5795),
    [anon_sym_bitand] = ACTIONS(5795),
    [anon_sym_not_eq] = ACTIONS(5795),
    [anon_sym_DASH_DASH] = ACTIONS(5797),
    [anon_sym_PLUS_PLUS] = ACTIONS(5797),
    [anon_sym_DOT] = ACTIONS(5795),
    [anon_sym_DOT_STAR] = ACTIONS(5797),
    [anon_sym_DASH_GT] = ACTIONS(5797),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5795),
    [anon_sym_decltype] = ACTIONS(5795),
  },
  [2540] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(6099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [aux_sym_preproc_if_token2] = ACTIONS(6101),
    [aux_sym_preproc_else_token1] = ACTIONS(6101),
    [aux_sym_preproc_elif_token1] = ACTIONS(6099),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6101),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6099),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6099),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6099),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6099),
    [anon_sym_GT_GT] = ACTIONS(6099),
    [anon_sym___attribute__] = ACTIONS(6099),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_signed] = ACTIONS(6051),
    [anon_sym_unsigned] = ACTIONS(6051),
    [anon_sym_long] = ACTIONS(6051),
    [anon_sym_short] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_EQ] = ACTIONS(6099),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_STAR_EQ] = ACTIONS(6101),
    [anon_sym_SLASH_EQ] = ACTIONS(6101),
    [anon_sym_PERCENT_EQ] = ACTIONS(6101),
    [anon_sym_PLUS_EQ] = ACTIONS(6101),
    [anon_sym_DASH_EQ] = ACTIONS(6101),
    [anon_sym_LT_LT_EQ] = ACTIONS(6101),
    [anon_sym_GT_GT_EQ] = ACTIONS(6101),
    [anon_sym_AMP_EQ] = ACTIONS(6101),
    [anon_sym_CARET_EQ] = ACTIONS(6101),
    [anon_sym_PIPE_EQ] = ACTIONS(6101),
    [anon_sym_and_eq] = ACTIONS(6099),
    [anon_sym_or_eq] = ACTIONS(6099),
    [anon_sym_xor_eq] = ACTIONS(6099),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6099),
    [anon_sym_and] = ACTIONS(6099),
    [anon_sym_bitor] = ACTIONS(6099),
    [anon_sym_xor] = ACTIONS(6099),
    [anon_sym_bitand] = ACTIONS(6099),
    [anon_sym_not_eq] = ACTIONS(6099),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6099),
    [anon_sym_decltype] = ACTIONS(6099),
  },
  [2541] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(6103),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [aux_sym_preproc_if_token2] = ACTIONS(6105),
    [aux_sym_preproc_else_token1] = ACTIONS(6105),
    [aux_sym_preproc_elif_token1] = ACTIONS(6103),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6105),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_STAR] = ACTIONS(6103),
    [anon_sym_SLASH] = ACTIONS(6103),
    [anon_sym_PERCENT] = ACTIONS(6103),
    [anon_sym_PIPE_PIPE] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_PIPE] = ACTIONS(6103),
    [anon_sym_CARET] = ACTIONS(6103),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_EQ_EQ] = ACTIONS(6105),
    [anon_sym_BANG_EQ] = ACTIONS(6105),
    [anon_sym_GT] = ACTIONS(6103),
    [anon_sym_GT_EQ] = ACTIONS(6105),
    [anon_sym_LT_EQ] = ACTIONS(6103),
    [anon_sym_LT] = ACTIONS(6103),
    [anon_sym_LT_LT] = ACTIONS(6103),
    [anon_sym_GT_GT] = ACTIONS(6103),
    [anon_sym___attribute__] = ACTIONS(6103),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_signed] = ACTIONS(6051),
    [anon_sym_unsigned] = ACTIONS(6051),
    [anon_sym_long] = ACTIONS(6051),
    [anon_sym_short] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6105),
    [anon_sym_EQ] = ACTIONS(6103),
    [anon_sym_QMARK] = ACTIONS(6105),
    [anon_sym_STAR_EQ] = ACTIONS(6105),
    [anon_sym_SLASH_EQ] = ACTIONS(6105),
    [anon_sym_PERCENT_EQ] = ACTIONS(6105),
    [anon_sym_PLUS_EQ] = ACTIONS(6105),
    [anon_sym_DASH_EQ] = ACTIONS(6105),
    [anon_sym_LT_LT_EQ] = ACTIONS(6105),
    [anon_sym_GT_GT_EQ] = ACTIONS(6105),
    [anon_sym_AMP_EQ] = ACTIONS(6105),
    [anon_sym_CARET_EQ] = ACTIONS(6105),
    [anon_sym_PIPE_EQ] = ACTIONS(6105),
    [anon_sym_and_eq] = ACTIONS(6103),
    [anon_sym_or_eq] = ACTIONS(6103),
    [anon_sym_xor_eq] = ACTIONS(6103),
    [anon_sym_LT_EQ_GT] = ACTIONS(6105),
    [anon_sym_or] = ACTIONS(6103),
    [anon_sym_and] = ACTIONS(6103),
    [anon_sym_bitor] = ACTIONS(6103),
    [anon_sym_xor] = ACTIONS(6103),
    [anon_sym_bitand] = ACTIONS(6103),
    [anon_sym_not_eq] = ACTIONS(6103),
    [anon_sym_DASH_DASH] = ACTIONS(6105),
    [anon_sym_PLUS_PLUS] = ACTIONS(6105),
    [anon_sym_DOT] = ACTIONS(6103),
    [anon_sym_DOT_STAR] = ACTIONS(6105),
    [anon_sym_DASH_GT] = ACTIONS(6105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6103),
    [anon_sym_decltype] = ACTIONS(6103),
  },
  [2542] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2520),
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [aux_sym_preproc_if_token2] = ACTIONS(5876),
    [aux_sym_preproc_else_token1] = ACTIONS(5876),
    [aux_sym_preproc_elif_token1] = ACTIONS(5874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5874),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5874),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5874),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5874),
    [anon_sym_GT_GT] = ACTIONS(5874),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_signed] = ACTIONS(6107),
    [anon_sym_unsigned] = ACTIONS(6107),
    [anon_sym_long] = ACTIONS(6107),
    [anon_sym_short] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_EQ] = ACTIONS(5874),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_STAR_EQ] = ACTIONS(5876),
    [anon_sym_SLASH_EQ] = ACTIONS(5876),
    [anon_sym_PERCENT_EQ] = ACTIONS(5876),
    [anon_sym_PLUS_EQ] = ACTIONS(5876),
    [anon_sym_DASH_EQ] = ACTIONS(5876),
    [anon_sym_LT_LT_EQ] = ACTIONS(5876),
    [anon_sym_GT_GT_EQ] = ACTIONS(5876),
    [anon_sym_AMP_EQ] = ACTIONS(5876),
    [anon_sym_CARET_EQ] = ACTIONS(5876),
    [anon_sym_PIPE_EQ] = ACTIONS(5876),
    [anon_sym_and_eq] = ACTIONS(5874),
    [anon_sym_or_eq] = ACTIONS(5874),
    [anon_sym_xor_eq] = ACTIONS(5874),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5874),
    [anon_sym_and] = ACTIONS(5874),
    [anon_sym_bitor] = ACTIONS(5874),
    [anon_sym_xor] = ACTIONS(5874),
    [anon_sym_bitand] = ACTIONS(5874),
    [anon_sym_not_eq] = ACTIONS(5874),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
  },
  [2543] = {
    [sym_identifier] = ACTIONS(5733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5735),
    [anon_sym_COMMA] = ACTIONS(5735),
    [anon_sym_RPAREN] = ACTIONS(5735),
    [aux_sym_preproc_if_token2] = ACTIONS(5735),
    [aux_sym_preproc_else_token1] = ACTIONS(5735),
    [aux_sym_preproc_elif_token1] = ACTIONS(5733),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5735),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5735),
    [anon_sym_LPAREN2] = ACTIONS(5735),
    [anon_sym_DASH] = ACTIONS(5733),
    [anon_sym_PLUS] = ACTIONS(5733),
    [anon_sym_STAR] = ACTIONS(5733),
    [anon_sym_SLASH] = ACTIONS(5733),
    [anon_sym_PERCENT] = ACTIONS(5733),
    [anon_sym_PIPE_PIPE] = ACTIONS(5735),
    [anon_sym_AMP_AMP] = ACTIONS(5735),
    [anon_sym_PIPE] = ACTIONS(5733),
    [anon_sym_CARET] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(5733),
    [anon_sym_EQ_EQ] = ACTIONS(5735),
    [anon_sym_BANG_EQ] = ACTIONS(5735),
    [anon_sym_GT] = ACTIONS(5733),
    [anon_sym_GT_EQ] = ACTIONS(5735),
    [anon_sym_LT_EQ] = ACTIONS(5733),
    [anon_sym_LT] = ACTIONS(5733),
    [anon_sym_LT_LT] = ACTIONS(5733),
    [anon_sym_GT_GT] = ACTIONS(5733),
    [anon_sym_SEMI] = ACTIONS(5735),
    [anon_sym___attribute__] = ACTIONS(5733),
    [anon_sym_LBRACE] = ACTIONS(5735),
    [anon_sym_RBRACE] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5735),
    [anon_sym_RBRACK] = ACTIONS(5735),
    [anon_sym_EQ] = ACTIONS(5733),
    [anon_sym_COLON] = ACTIONS(5735),
    [anon_sym_QMARK] = ACTIONS(5735),
    [anon_sym_STAR_EQ] = ACTIONS(5735),
    [anon_sym_SLASH_EQ] = ACTIONS(5735),
    [anon_sym_PERCENT_EQ] = ACTIONS(5735),
    [anon_sym_PLUS_EQ] = ACTIONS(5735),
    [anon_sym_DASH_EQ] = ACTIONS(5735),
    [anon_sym_LT_LT_EQ] = ACTIONS(5735),
    [anon_sym_GT_GT_EQ] = ACTIONS(5735),
    [anon_sym_AMP_EQ] = ACTIONS(5735),
    [anon_sym_CARET_EQ] = ACTIONS(5735),
    [anon_sym_PIPE_EQ] = ACTIONS(5735),
    [anon_sym_and_eq] = ACTIONS(5733),
    [anon_sym_or_eq] = ACTIONS(5733),
    [anon_sym_xor_eq] = ACTIONS(5733),
    [anon_sym_LT_EQ_GT] = ACTIONS(5735),
    [anon_sym_or] = ACTIONS(5733),
    [anon_sym_and] = ACTIONS(5733),
    [anon_sym_bitor] = ACTIONS(5733),
    [anon_sym_xor] = ACTIONS(5733),
    [anon_sym_bitand] = ACTIONS(5733),
    [anon_sym_not_eq] = ACTIONS(5733),
    [anon_sym_DASH_DASH] = ACTIONS(5735),
    [anon_sym_PLUS_PLUS] = ACTIONS(5735),
    [anon_sym_DOT] = ACTIONS(5733),
    [anon_sym_DOT_STAR] = ACTIONS(5735),
    [anon_sym_DASH_GT] = ACTIONS(5735),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5733),
    [anon_sym_decltype] = ACTIONS(5733),
  },
  [2544] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [anon_sym_RPAREN] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5876),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5876),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5876),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5876),
    [anon_sym_GT_GT] = ACTIONS(5876),
    [anon_sym_SEMI] = ACTIONS(5876),
    [anon_sym___extension__] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5876),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_signed] = ACTIONS(6045),
    [anon_sym_unsigned] = ACTIONS(6045),
    [anon_sym_long] = ACTIONS(6045),
    [anon_sym_short] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_RBRACK] = ACTIONS(5876),
    [anon_sym_const] = ACTIONS(5874),
    [anon_sym_constexpr] = ACTIONS(5876),
    [anon_sym_volatile] = ACTIONS(5876),
    [anon_sym_restrict] = ACTIONS(5876),
    [anon_sym___restrict__] = ACTIONS(5876),
    [anon_sym__Atomic] = ACTIONS(5876),
    [anon_sym__Noreturn] = ACTIONS(5876),
    [anon_sym_noreturn] = ACTIONS(5876),
    [anon_sym_mutable] = ACTIONS(5876),
    [anon_sym_constinit] = ACTIONS(5876),
    [anon_sym_consteval] = ACTIONS(5876),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5876),
    [anon_sym_and] = ACTIONS(5876),
    [anon_sym_bitor] = ACTIONS(5876),
    [anon_sym_xor] = ACTIONS(5876),
    [anon_sym_bitand] = ACTIONS(5876),
    [anon_sym_not_eq] = ACTIONS(5876),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5876),
    [anon_sym_decltype] = ACTIONS(5876),
    [anon_sym_final] = ACTIONS(5876),
    [anon_sym_override] = ACTIONS(5876),
    [anon_sym_requires] = ACTIONS(5876),
  },
  [2545] = {
    [sym_identifier] = ACTIONS(5729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5731),
    [anon_sym_COMMA] = ACTIONS(5731),
    [anon_sym_RPAREN] = ACTIONS(5731),
    [aux_sym_preproc_if_token2] = ACTIONS(5731),
    [aux_sym_preproc_else_token1] = ACTIONS(5731),
    [aux_sym_preproc_elif_token1] = ACTIONS(5729),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5731),
    [anon_sym_LPAREN2] = ACTIONS(5731),
    [anon_sym_DASH] = ACTIONS(5729),
    [anon_sym_PLUS] = ACTIONS(5729),
    [anon_sym_STAR] = ACTIONS(5729),
    [anon_sym_SLASH] = ACTIONS(5729),
    [anon_sym_PERCENT] = ACTIONS(5729),
    [anon_sym_PIPE_PIPE] = ACTIONS(5731),
    [anon_sym_AMP_AMP] = ACTIONS(5731),
    [anon_sym_PIPE] = ACTIONS(5729),
    [anon_sym_CARET] = ACTIONS(5729),
    [anon_sym_AMP] = ACTIONS(5729),
    [anon_sym_EQ_EQ] = ACTIONS(5731),
    [anon_sym_BANG_EQ] = ACTIONS(5731),
    [anon_sym_GT] = ACTIONS(5729),
    [anon_sym_GT_EQ] = ACTIONS(5731),
    [anon_sym_LT_EQ] = ACTIONS(5729),
    [anon_sym_LT] = ACTIONS(5729),
    [anon_sym_LT_LT] = ACTIONS(5729),
    [anon_sym_GT_GT] = ACTIONS(5729),
    [anon_sym_SEMI] = ACTIONS(5731),
    [anon_sym___attribute__] = ACTIONS(5729),
    [anon_sym_LBRACE] = ACTIONS(5731),
    [anon_sym_RBRACE] = ACTIONS(5731),
    [anon_sym_LBRACK] = ACTIONS(5731),
    [anon_sym_RBRACK] = ACTIONS(5731),
    [anon_sym_EQ] = ACTIONS(5729),
    [anon_sym_COLON] = ACTIONS(5731),
    [anon_sym_QMARK] = ACTIONS(5731),
    [anon_sym_STAR_EQ] = ACTIONS(5731),
    [anon_sym_SLASH_EQ] = ACTIONS(5731),
    [anon_sym_PERCENT_EQ] = ACTIONS(5731),
    [anon_sym_PLUS_EQ] = ACTIONS(5731),
    [anon_sym_DASH_EQ] = ACTIONS(5731),
    [anon_sym_LT_LT_EQ] = ACTIONS(5731),
    [anon_sym_GT_GT_EQ] = ACTIONS(5731),
    [anon_sym_AMP_EQ] = ACTIONS(5731),
    [anon_sym_CARET_EQ] = ACTIONS(5731),
    [anon_sym_PIPE_EQ] = ACTIONS(5731),
    [anon_sym_and_eq] = ACTIONS(5729),
    [anon_sym_or_eq] = ACTIONS(5729),
    [anon_sym_xor_eq] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(5731),
    [anon_sym_or] = ACTIONS(5729),
    [anon_sym_and] = ACTIONS(5729),
    [anon_sym_bitor] = ACTIONS(5729),
    [anon_sym_xor] = ACTIONS(5729),
    [anon_sym_bitand] = ACTIONS(5729),
    [anon_sym_not_eq] = ACTIONS(5729),
    [anon_sym_DASH_DASH] = ACTIONS(5731),
    [anon_sym_PLUS_PLUS] = ACTIONS(5731),
    [anon_sym_DOT] = ACTIONS(5729),
    [anon_sym_DOT_STAR] = ACTIONS(5731),
    [anon_sym_DASH_GT] = ACTIONS(5731),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5729),
    [anon_sym_decltype] = ACTIONS(5729),
  },
  [2546] = {
    [sym_identifier] = ACTIONS(5687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(5689),
    [anon_sym_RPAREN] = ACTIONS(5689),
    [aux_sym_preproc_if_token2] = ACTIONS(5689),
    [aux_sym_preproc_else_token1] = ACTIONS(5689),
    [aux_sym_preproc_elif_token1] = ACTIONS(5687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_DASH] = ACTIONS(5687),
    [anon_sym_PLUS] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_SLASH] = ACTIONS(5687),
    [anon_sym_PERCENT] = ACTIONS(5687),
    [anon_sym_PIPE_PIPE] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_PIPE] = ACTIONS(5687),
    [anon_sym_CARET] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym_EQ_EQ] = ACTIONS(5689),
    [anon_sym_BANG_EQ] = ACTIONS(5689),
    [anon_sym_GT] = ACTIONS(5687),
    [anon_sym_GT_EQ] = ACTIONS(5689),
    [anon_sym_LT_EQ] = ACTIONS(5687),
    [anon_sym_LT] = ACTIONS(5687),
    [anon_sym_LT_LT] = ACTIONS(5687),
    [anon_sym_GT_GT] = ACTIONS(5687),
    [anon_sym_SEMI] = ACTIONS(5689),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_RBRACE] = ACTIONS(5689),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_COLON] = ACTIONS(5689),
    [anon_sym_QMARK] = ACTIONS(5689),
    [anon_sym_STAR_EQ] = ACTIONS(5689),
    [anon_sym_SLASH_EQ] = ACTIONS(5689),
    [anon_sym_PERCENT_EQ] = ACTIONS(5689),
    [anon_sym_PLUS_EQ] = ACTIONS(5689),
    [anon_sym_DASH_EQ] = ACTIONS(5689),
    [anon_sym_LT_LT_EQ] = ACTIONS(5689),
    [anon_sym_GT_GT_EQ] = ACTIONS(5689),
    [anon_sym_AMP_EQ] = ACTIONS(5689),
    [anon_sym_CARET_EQ] = ACTIONS(5689),
    [anon_sym_PIPE_EQ] = ACTIONS(5689),
    [anon_sym_and_eq] = ACTIONS(5687),
    [anon_sym_or_eq] = ACTIONS(5687),
    [anon_sym_xor_eq] = ACTIONS(5687),
    [anon_sym_LT_EQ_GT] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5687),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5687),
    [anon_sym_not_eq] = ACTIONS(5687),
    [anon_sym_DASH_DASH] = ACTIONS(5689),
    [anon_sym_PLUS_PLUS] = ACTIONS(5689),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_DOT_STAR] = ACTIONS(5689),
    [anon_sym_DASH_GT] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
  },
  [2547] = {
    [sym_identifier] = ACTIONS(2861),
    [aux_sym_preproc_def_token1] = ACTIONS(2861),
    [aux_sym_preproc_if_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2861),
    [sym_preproc_directive] = ACTIONS(2861),
    [anon_sym_LPAREN2] = ACTIONS(2863),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2861),
    [anon_sym___extension__] = ACTIONS(2861),
    [anon_sym_typedef] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym___attribute__] = ACTIONS(2861),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2863),
    [anon_sym___declspec] = ACTIONS(2861),
    [anon_sym___based] = ACTIONS(2861),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_signed] = ACTIONS(2861),
    [anon_sym_unsigned] = ACTIONS(2861),
    [anon_sym_long] = ACTIONS(2861),
    [anon_sym_short] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_register] = ACTIONS(2861),
    [anon_sym_inline] = ACTIONS(2861),
    [anon_sym___inline] = ACTIONS(2861),
    [anon_sym___inline__] = ACTIONS(2861),
    [anon_sym___forceinline] = ACTIONS(2861),
    [anon_sym_thread_local] = ACTIONS(2861),
    [anon_sym___thread] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_constexpr] = ACTIONS(2861),
    [anon_sym_volatile] = ACTIONS(2861),
    [anon_sym_restrict] = ACTIONS(2861),
    [anon_sym___restrict__] = ACTIONS(2861),
    [anon_sym__Atomic] = ACTIONS(2861),
    [anon_sym__Noreturn] = ACTIONS(2861),
    [anon_sym_noreturn] = ACTIONS(2861),
    [anon_sym_mutable] = ACTIONS(2861),
    [anon_sym_constinit] = ACTIONS(2861),
    [anon_sym_consteval] = ACTIONS(2861),
    [sym_primitive_type] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2861),
    [anon_sym_decltype] = ACTIONS(2861),
    [anon_sym_virtual] = ACTIONS(2861),
    [anon_sym_alignas] = ACTIONS(2861),
    [anon_sym_explicit] = ACTIONS(2861),
    [anon_sym_typename] = ACTIONS(2861),
    [anon_sym_template] = ACTIONS(2861),
    [anon_sym_operator] = ACTIONS(2861),
    [anon_sym_friend] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_static_assert] = ACTIONS(2861),
    [anon_sym_catch] = ACTIONS(2861),
  },
  [2548] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [aux_sym_preproc_if_token2] = ACTIONS(5725),
    [aux_sym_preproc_else_token1] = ACTIONS(5725),
    [aux_sym_preproc_elif_token1] = ACTIONS(5723),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5723),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5723),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5723),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5723),
    [anon_sym_GT_GT] = ACTIONS(5723),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_EQ] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_STAR_EQ] = ACTIONS(5725),
    [anon_sym_SLASH_EQ] = ACTIONS(5725),
    [anon_sym_PERCENT_EQ] = ACTIONS(5725),
    [anon_sym_PLUS_EQ] = ACTIONS(5725),
    [anon_sym_DASH_EQ] = ACTIONS(5725),
    [anon_sym_LT_LT_EQ] = ACTIONS(5725),
    [anon_sym_GT_GT_EQ] = ACTIONS(5725),
    [anon_sym_AMP_EQ] = ACTIONS(5725),
    [anon_sym_CARET_EQ] = ACTIONS(5725),
    [anon_sym_PIPE_EQ] = ACTIONS(5725),
    [anon_sym_and_eq] = ACTIONS(5723),
    [anon_sym_or_eq] = ACTIONS(5723),
    [anon_sym_xor_eq] = ACTIONS(5723),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
  },
  [2549] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2550] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [aux_sym_preproc_if_token2] = ACTIONS(5721),
    [aux_sym_preproc_else_token1] = ACTIONS(5721),
    [aux_sym_preproc_elif_token1] = ACTIONS(5719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5719),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5719),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5719),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5719),
    [anon_sym_GT_GT] = ACTIONS(5719),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_STAR_EQ] = ACTIONS(5721),
    [anon_sym_SLASH_EQ] = ACTIONS(5721),
    [anon_sym_PERCENT_EQ] = ACTIONS(5721),
    [anon_sym_PLUS_EQ] = ACTIONS(5721),
    [anon_sym_DASH_EQ] = ACTIONS(5721),
    [anon_sym_LT_LT_EQ] = ACTIONS(5721),
    [anon_sym_GT_GT_EQ] = ACTIONS(5721),
    [anon_sym_AMP_EQ] = ACTIONS(5721),
    [anon_sym_CARET_EQ] = ACTIONS(5721),
    [anon_sym_PIPE_EQ] = ACTIONS(5721),
    [anon_sym_and_eq] = ACTIONS(5719),
    [anon_sym_or_eq] = ACTIONS(5719),
    [anon_sym_xor_eq] = ACTIONS(5719),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
  },
  [2551] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [aux_sym_preproc_if_token2] = ACTIONS(5717),
    [aux_sym_preproc_else_token1] = ACTIONS(5717),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5715),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5715),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5715),
    [anon_sym_GT_GT] = ACTIONS(5715),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_STAR_EQ] = ACTIONS(5717),
    [anon_sym_SLASH_EQ] = ACTIONS(5717),
    [anon_sym_PERCENT_EQ] = ACTIONS(5717),
    [anon_sym_PLUS_EQ] = ACTIONS(5717),
    [anon_sym_DASH_EQ] = ACTIONS(5717),
    [anon_sym_LT_LT_EQ] = ACTIONS(5717),
    [anon_sym_GT_GT_EQ] = ACTIONS(5717),
    [anon_sym_AMP_EQ] = ACTIONS(5717),
    [anon_sym_CARET_EQ] = ACTIONS(5717),
    [anon_sym_PIPE_EQ] = ACTIONS(5717),
    [anon_sym_and_eq] = ACTIONS(5715),
    [anon_sym_or_eq] = ACTIONS(5715),
    [anon_sym_xor_eq] = ACTIONS(5715),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
  },
  [2552] = {
    [sym_identifier] = ACTIONS(5380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5382),
    [anon_sym_COMMA] = ACTIONS(5382),
    [aux_sym_preproc_if_token2] = ACTIONS(5382),
    [aux_sym_preproc_else_token1] = ACTIONS(5382),
    [aux_sym_preproc_elif_token1] = ACTIONS(5382),
    [anon_sym_LPAREN2] = ACTIONS(5382),
    [anon_sym_DASH] = ACTIONS(5380),
    [anon_sym_PLUS] = ACTIONS(5380),
    [anon_sym_STAR] = ACTIONS(5380),
    [anon_sym_SLASH] = ACTIONS(5380),
    [anon_sym_PERCENT] = ACTIONS(5380),
    [anon_sym_PIPE_PIPE] = ACTIONS(5382),
    [anon_sym_AMP_AMP] = ACTIONS(5382),
    [anon_sym_PIPE] = ACTIONS(5380),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_AMP] = ACTIONS(5380),
    [anon_sym_EQ_EQ] = ACTIONS(5382),
    [anon_sym_BANG_EQ] = ACTIONS(5382),
    [anon_sym_GT] = ACTIONS(5380),
    [anon_sym_GT_EQ] = ACTIONS(5382),
    [anon_sym_LT_EQ] = ACTIONS(5380),
    [anon_sym_LT] = ACTIONS(5380),
    [anon_sym_LT_LT] = ACTIONS(5380),
    [anon_sym_GT_GT] = ACTIONS(5380),
    [anon_sym_LBRACK] = ACTIONS(5382),
    [anon_sym_EQ] = ACTIONS(5380),
    [anon_sym_QMARK] = ACTIONS(5382),
    [anon_sym_STAR_EQ] = ACTIONS(5382),
    [anon_sym_SLASH_EQ] = ACTIONS(5382),
    [anon_sym_PERCENT_EQ] = ACTIONS(5382),
    [anon_sym_PLUS_EQ] = ACTIONS(5382),
    [anon_sym_DASH_EQ] = ACTIONS(5382),
    [anon_sym_LT_LT_EQ] = ACTIONS(5382),
    [anon_sym_GT_GT_EQ] = ACTIONS(5382),
    [anon_sym_AMP_EQ] = ACTIONS(5382),
    [anon_sym_CARET_EQ] = ACTIONS(5382),
    [anon_sym_PIPE_EQ] = ACTIONS(5382),
    [anon_sym_and_eq] = ACTIONS(5380),
    [anon_sym_or_eq] = ACTIONS(5380),
    [anon_sym_xor_eq] = ACTIONS(5380),
    [anon_sym_LT_EQ_GT] = ACTIONS(5382),
    [anon_sym_or] = ACTIONS(5380),
    [anon_sym_and] = ACTIONS(5380),
    [anon_sym_bitor] = ACTIONS(5380),
    [anon_sym_xor] = ACTIONS(5380),
    [anon_sym_bitand] = ACTIONS(5380),
    [anon_sym_not_eq] = ACTIONS(5380),
    [anon_sym_DASH_DASH] = ACTIONS(5382),
    [anon_sym_PLUS_PLUS] = ACTIONS(5382),
    [anon_sym_DOT] = ACTIONS(5380),
    [anon_sym_DOT_STAR] = ACTIONS(5382),
    [anon_sym_DASH_GT] = ACTIONS(5382),
    [anon_sym_L_DQUOTE] = ACTIONS(5382),
    [anon_sym_u_DQUOTE] = ACTIONS(5382),
    [anon_sym_U_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8_DQUOTE] = ACTIONS(5382),
    [anon_sym_DQUOTE] = ACTIONS(5382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5382),
    [anon_sym_LR_DQUOTE] = ACTIONS(5382),
    [anon_sym_uR_DQUOTE] = ACTIONS(5382),
    [anon_sym_UR_DQUOTE] = ACTIONS(5382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5382),
    [sym_literal_suffix] = ACTIONS(5380),
  },
  [2553] = {
    [sym_identifier] = ACTIONS(5706),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5708),
    [anon_sym_COMMA] = ACTIONS(5708),
    [anon_sym_RPAREN] = ACTIONS(5708),
    [aux_sym_preproc_if_token2] = ACTIONS(5708),
    [aux_sym_preproc_else_token1] = ACTIONS(5708),
    [aux_sym_preproc_elif_token1] = ACTIONS(5706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5708),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5708),
    [anon_sym_LPAREN2] = ACTIONS(5708),
    [anon_sym_DASH] = ACTIONS(5706),
    [anon_sym_PLUS] = ACTIONS(5706),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_SLASH] = ACTIONS(5706),
    [anon_sym_PERCENT] = ACTIONS(5706),
    [anon_sym_PIPE_PIPE] = ACTIONS(5708),
    [anon_sym_AMP_AMP] = ACTIONS(5708),
    [anon_sym_PIPE] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5706),
    [anon_sym_AMP] = ACTIONS(5706),
    [anon_sym_EQ_EQ] = ACTIONS(5708),
    [anon_sym_BANG_EQ] = ACTIONS(5708),
    [anon_sym_GT] = ACTIONS(5706),
    [anon_sym_GT_EQ] = ACTIONS(5708),
    [anon_sym_LT_EQ] = ACTIONS(5706),
    [anon_sym_LT] = ACTIONS(5706),
    [anon_sym_LT_LT] = ACTIONS(5706),
    [anon_sym_GT_GT] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(5708),
    [anon_sym___attribute__] = ACTIONS(5706),
    [anon_sym_LBRACE] = ACTIONS(5708),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LBRACK] = ACTIONS(5708),
    [anon_sym_RBRACK] = ACTIONS(5708),
    [anon_sym_EQ] = ACTIONS(5706),
    [anon_sym_COLON] = ACTIONS(5708),
    [anon_sym_QMARK] = ACTIONS(5708),
    [anon_sym_STAR_EQ] = ACTIONS(5708),
    [anon_sym_SLASH_EQ] = ACTIONS(5708),
    [anon_sym_PERCENT_EQ] = ACTIONS(5708),
    [anon_sym_PLUS_EQ] = ACTIONS(5708),
    [anon_sym_DASH_EQ] = ACTIONS(5708),
    [anon_sym_LT_LT_EQ] = ACTIONS(5708),
    [anon_sym_GT_GT_EQ] = ACTIONS(5708),
    [anon_sym_AMP_EQ] = ACTIONS(5708),
    [anon_sym_CARET_EQ] = ACTIONS(5708),
    [anon_sym_PIPE_EQ] = ACTIONS(5708),
    [anon_sym_and_eq] = ACTIONS(5706),
    [anon_sym_or_eq] = ACTIONS(5706),
    [anon_sym_xor_eq] = ACTIONS(5706),
    [anon_sym_LT_EQ_GT] = ACTIONS(5708),
    [anon_sym_or] = ACTIONS(5706),
    [anon_sym_and] = ACTIONS(5706),
    [anon_sym_bitor] = ACTIONS(5706),
    [anon_sym_xor] = ACTIONS(5706),
    [anon_sym_bitand] = ACTIONS(5706),
    [anon_sym_not_eq] = ACTIONS(5706),
    [anon_sym_DASH_DASH] = ACTIONS(5708),
    [anon_sym_PLUS_PLUS] = ACTIONS(5708),
    [anon_sym_DOT] = ACTIONS(5706),
    [anon_sym_DOT_STAR] = ACTIONS(5708),
    [anon_sym_DASH_GT] = ACTIONS(5708),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5706),
    [anon_sym_decltype] = ACTIONS(5706),
  },
  [2554] = {
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5374),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_LBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [anon_sym_L_DQUOTE] = ACTIONS(5374),
    [anon_sym_u_DQUOTE] = ACTIONS(5374),
    [anon_sym_U_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8_DQUOTE] = ACTIONS(5374),
    [anon_sym_DQUOTE] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5374),
    [anon_sym_LR_DQUOTE] = ACTIONS(5374),
    [anon_sym_uR_DQUOTE] = ACTIONS(5374),
    [anon_sym_UR_DQUOTE] = ACTIONS(5374),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5374),
    [sym_literal_suffix] = ACTIONS(5372),
  },
  [2555] = {
    [sym_string_literal] = STATE(2329),
    [sym_raw_string_literal] = STATE(2329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5449),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_SEMI] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5449),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5451),
    [anon_sym_STAR_EQ] = ACTIONS(5451),
    [anon_sym_SLASH_EQ] = ACTIONS(5451),
    [anon_sym_PERCENT_EQ] = ACTIONS(5451),
    [anon_sym_PLUS_EQ] = ACTIONS(5451),
    [anon_sym_DASH_EQ] = ACTIONS(5451),
    [anon_sym_LT_LT_EQ] = ACTIONS(5451),
    [anon_sym_GT_GT_EQ] = ACTIONS(5451),
    [anon_sym_AMP_EQ] = ACTIONS(5451),
    [anon_sym_CARET_EQ] = ACTIONS(5451),
    [anon_sym_PIPE_EQ] = ACTIONS(5451),
    [anon_sym_and_eq] = ACTIONS(5449),
    [anon_sym_or_eq] = ACTIONS(5449),
    [anon_sym_xor_eq] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_DOT_STAR] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5451),
    [anon_sym_L_DQUOTE] = ACTIONS(5756),
    [anon_sym_u_DQUOTE] = ACTIONS(5756),
    [anon_sym_U_DQUOTE] = ACTIONS(5756),
    [anon_sym_u8_DQUOTE] = ACTIONS(5756),
    [anon_sym_DQUOTE] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5758),
    [anon_sym_LR_DQUOTE] = ACTIONS(5758),
    [anon_sym_uR_DQUOTE] = ACTIONS(5758),
    [anon_sym_UR_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5758),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2556] = {
    [sym_string_literal] = STATE(2329),
    [sym_raw_string_literal] = STATE(2329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4135),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4127),
    [anon_sym_L_DQUOTE] = ACTIONS(5756),
    [anon_sym_u_DQUOTE] = ACTIONS(5756),
    [anon_sym_U_DQUOTE] = ACTIONS(5756),
    [anon_sym_u8_DQUOTE] = ACTIONS(5756),
    [anon_sym_DQUOTE] = ACTIONS(5756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5758),
    [anon_sym_LR_DQUOTE] = ACTIONS(5758),
    [anon_sym_uR_DQUOTE] = ACTIONS(5758),
    [anon_sym_UR_DQUOTE] = ACTIONS(5758),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5758),
    [sym_literal_suffix] = ACTIONS(5453),
  },
  [2557] = {
    [sym_argument_list] = STATE(2951),
    [sym_initializer_list] = STATE(2951),
    [sym_identifier] = ACTIONS(6109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6111),
    [anon_sym_COMMA] = ACTIONS(6111),
    [anon_sym_RPAREN] = ACTIONS(6111),
    [aux_sym_preproc_if_token2] = ACTIONS(6111),
    [aux_sym_preproc_else_token1] = ACTIONS(6111),
    [aux_sym_preproc_elif_token1] = ACTIONS(6109),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6111),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6111),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(6109),
    [anon_sym_PLUS] = ACTIONS(6109),
    [anon_sym_STAR] = ACTIONS(6109),
    [anon_sym_SLASH] = ACTIONS(6109),
    [anon_sym_PERCENT] = ACTIONS(6109),
    [anon_sym_PIPE_PIPE] = ACTIONS(6111),
    [anon_sym_AMP_AMP] = ACTIONS(6111),
    [anon_sym_PIPE] = ACTIONS(6109),
    [anon_sym_CARET] = ACTIONS(6109),
    [anon_sym_AMP] = ACTIONS(6109),
    [anon_sym_EQ_EQ] = ACTIONS(6111),
    [anon_sym_BANG_EQ] = ACTIONS(6111),
    [anon_sym_GT] = ACTIONS(6109),
    [anon_sym_GT_EQ] = ACTIONS(6111),
    [anon_sym_LT_EQ] = ACTIONS(6109),
    [anon_sym_LT] = ACTIONS(6109),
    [anon_sym_LT_LT] = ACTIONS(6109),
    [anon_sym_GT_GT] = ACTIONS(6109),
    [anon_sym_SEMI] = ACTIONS(6111),
    [anon_sym___attribute__] = ACTIONS(6109),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6111),
    [anon_sym_LBRACK] = ACTIONS(6111),
    [anon_sym_RBRACK] = ACTIONS(6111),
    [anon_sym_EQ] = ACTIONS(6109),
    [anon_sym_COLON] = ACTIONS(6111),
    [anon_sym_QMARK] = ACTIONS(6111),
    [anon_sym_STAR_EQ] = ACTIONS(6111),
    [anon_sym_SLASH_EQ] = ACTIONS(6111),
    [anon_sym_PERCENT_EQ] = ACTIONS(6111),
    [anon_sym_PLUS_EQ] = ACTIONS(6111),
    [anon_sym_DASH_EQ] = ACTIONS(6111),
    [anon_sym_LT_LT_EQ] = ACTIONS(6111),
    [anon_sym_GT_GT_EQ] = ACTIONS(6111),
    [anon_sym_AMP_EQ] = ACTIONS(6111),
    [anon_sym_CARET_EQ] = ACTIONS(6111),
    [anon_sym_PIPE_EQ] = ACTIONS(6111),
    [anon_sym_and_eq] = ACTIONS(6109),
    [anon_sym_or_eq] = ACTIONS(6109),
    [anon_sym_xor_eq] = ACTIONS(6109),
    [anon_sym_LT_EQ_GT] = ACTIONS(6111),
    [anon_sym_or] = ACTIONS(6109),
    [anon_sym_and] = ACTIONS(6109),
    [anon_sym_bitor] = ACTIONS(6109),
    [anon_sym_xor] = ACTIONS(6109),
    [anon_sym_bitand] = ACTIONS(6109),
    [anon_sym_not_eq] = ACTIONS(6109),
    [anon_sym_DASH_DASH] = ACTIONS(6111),
    [anon_sym_PLUS_PLUS] = ACTIONS(6111),
    [anon_sym_DOT] = ACTIONS(6109),
    [anon_sym_DOT_STAR] = ACTIONS(6111),
    [anon_sym_DASH_GT] = ACTIONS(6111),
    [sym_comment] = ACTIONS(3),
  },
  [2558] = {
    [sym_argument_list] = STATE(2912),
    [sym_initializer_list] = STATE(2912),
    [sym_identifier] = ACTIONS(6113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6115),
    [anon_sym_COMMA] = ACTIONS(6115),
    [anon_sym_RPAREN] = ACTIONS(6115),
    [aux_sym_preproc_if_token2] = ACTIONS(6115),
    [aux_sym_preproc_else_token1] = ACTIONS(6115),
    [aux_sym_preproc_elif_token1] = ACTIONS(6113),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6115),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6115),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(6113),
    [anon_sym_PLUS] = ACTIONS(6113),
    [anon_sym_STAR] = ACTIONS(6113),
    [anon_sym_SLASH] = ACTIONS(6113),
    [anon_sym_PERCENT] = ACTIONS(6113),
    [anon_sym_PIPE_PIPE] = ACTIONS(6115),
    [anon_sym_AMP_AMP] = ACTIONS(6115),
    [anon_sym_PIPE] = ACTIONS(6113),
    [anon_sym_CARET] = ACTIONS(6113),
    [anon_sym_AMP] = ACTIONS(6113),
    [anon_sym_EQ_EQ] = ACTIONS(6115),
    [anon_sym_BANG_EQ] = ACTIONS(6115),
    [anon_sym_GT] = ACTIONS(6113),
    [anon_sym_GT_EQ] = ACTIONS(6115),
    [anon_sym_LT_EQ] = ACTIONS(6113),
    [anon_sym_LT] = ACTIONS(6113),
    [anon_sym_LT_LT] = ACTIONS(6113),
    [anon_sym_GT_GT] = ACTIONS(6113),
    [anon_sym_SEMI] = ACTIONS(6115),
    [anon_sym___attribute__] = ACTIONS(6113),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6115),
    [anon_sym_LBRACK] = ACTIONS(6115),
    [anon_sym_RBRACK] = ACTIONS(6115),
    [anon_sym_EQ] = ACTIONS(6113),
    [anon_sym_COLON] = ACTIONS(6115),
    [anon_sym_QMARK] = ACTIONS(6115),
    [anon_sym_STAR_EQ] = ACTIONS(6115),
    [anon_sym_SLASH_EQ] = ACTIONS(6115),
    [anon_sym_PERCENT_EQ] = ACTIONS(6115),
    [anon_sym_PLUS_EQ] = ACTIONS(6115),
    [anon_sym_DASH_EQ] = ACTIONS(6115),
    [anon_sym_LT_LT_EQ] = ACTIONS(6115),
    [anon_sym_GT_GT_EQ] = ACTIONS(6115),
    [anon_sym_AMP_EQ] = ACTIONS(6115),
    [anon_sym_CARET_EQ] = ACTIONS(6115),
    [anon_sym_PIPE_EQ] = ACTIONS(6115),
    [anon_sym_and_eq] = ACTIONS(6113),
    [anon_sym_or_eq] = ACTIONS(6113),
    [anon_sym_xor_eq] = ACTIONS(6113),
    [anon_sym_LT_EQ_GT] = ACTIONS(6115),
    [anon_sym_or] = ACTIONS(6113),
    [anon_sym_and] = ACTIONS(6113),
    [anon_sym_bitor] = ACTIONS(6113),
    [anon_sym_xor] = ACTIONS(6113),
    [anon_sym_bitand] = ACTIONS(6113),
    [anon_sym_not_eq] = ACTIONS(6113),
    [anon_sym_DASH_DASH] = ACTIONS(6115),
    [anon_sym_PLUS_PLUS] = ACTIONS(6115),
    [anon_sym_DOT] = ACTIONS(6113),
    [anon_sym_DOT_STAR] = ACTIONS(6115),
    [anon_sym_DASH_GT] = ACTIONS(6115),
    [sym_comment] = ACTIONS(3),
  },
  [2559] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2559),
    [sym_identifier] = ACTIONS(5361),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5363),
    [anon_sym_COMMA] = ACTIONS(5363),
    [anon_sym_RPAREN] = ACTIONS(5363),
    [anon_sym_LPAREN2] = ACTIONS(5363),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_STAR] = ACTIONS(5363),
    [anon_sym_AMP_AMP] = ACTIONS(5363),
    [anon_sym_AMP] = ACTIONS(5361),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym___extension__] = ACTIONS(5361),
    [anon_sym_extern] = ACTIONS(5361),
    [anon_sym___attribute__] = ACTIONS(5361),
    [anon_sym_COLON_COLON] = ACTIONS(5363),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5363),
    [anon_sym___declspec] = ACTIONS(5361),
    [anon_sym___based] = ACTIONS(5361),
    [anon_sym___cdecl] = ACTIONS(5361),
    [anon_sym___clrcall] = ACTIONS(5361),
    [anon_sym___stdcall] = ACTIONS(5361),
    [anon_sym___fastcall] = ACTIONS(5361),
    [anon_sym___thiscall] = ACTIONS(5361),
    [anon_sym___vectorcall] = ACTIONS(5361),
    [anon_sym_LBRACE] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(6117),
    [anon_sym_unsigned] = ACTIONS(6117),
    [anon_sym_long] = ACTIONS(6117),
    [anon_sym_short] = ACTIONS(6117),
    [anon_sym_LBRACK] = ACTIONS(5361),
    [anon_sym_EQ] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5361),
    [anon_sym_register] = ACTIONS(5361),
    [anon_sym_inline] = ACTIONS(5361),
    [anon_sym___inline] = ACTIONS(5361),
    [anon_sym___inline__] = ACTIONS(5361),
    [anon_sym___forceinline] = ACTIONS(5361),
    [anon_sym_thread_local] = ACTIONS(5361),
    [anon_sym___thread] = ACTIONS(5361),
    [anon_sym_const] = ACTIONS(5361),
    [anon_sym_constexpr] = ACTIONS(5361),
    [anon_sym_volatile] = ACTIONS(5361),
    [anon_sym_restrict] = ACTIONS(5361),
    [anon_sym___restrict__] = ACTIONS(5361),
    [anon_sym__Atomic] = ACTIONS(5361),
    [anon_sym__Noreturn] = ACTIONS(5361),
    [anon_sym_noreturn] = ACTIONS(5361),
    [anon_sym_mutable] = ACTIONS(5361),
    [anon_sym_constinit] = ACTIONS(5361),
    [anon_sym_consteval] = ACTIONS(5361),
    [sym_primitive_type] = ACTIONS(5361),
    [anon_sym_asm] = ACTIONS(5361),
    [anon_sym___asm__] = ACTIONS(5361),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5361),
    [anon_sym_decltype] = ACTIONS(5361),
    [anon_sym_final] = ACTIONS(5361),
    [anon_sym_override] = ACTIONS(5361),
    [anon_sym_virtual] = ACTIONS(5361),
    [anon_sym_alignas] = ACTIONS(5361),
    [anon_sym_template] = ACTIONS(5361),
    [anon_sym_GT2] = ACTIONS(5363),
    [anon_sym_operator] = ACTIONS(5361),
    [anon_sym_try] = ACTIONS(5361),
    [anon_sym_requires] = ACTIONS(5361),
  },
  [2560] = {
    [sym_template_argument_list] = STATE(2052),
    [sym_identifier] = ACTIONS(5486),
    [anon_sym_LPAREN2] = ACTIONS(4151),
    [anon_sym_TILDE] = ACTIONS(4151),
    [anon_sym_STAR] = ACTIONS(4151),
    [anon_sym_PIPE_PIPE] = ACTIONS(4151),
    [anon_sym_AMP_AMP] = ACTIONS(4151),
    [anon_sym_AMP] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(6069),
    [anon_sym___extension__] = ACTIONS(5486),
    [anon_sym_extern] = ACTIONS(5486),
    [anon_sym___attribute__] = ACTIONS(5486),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4151),
    [anon_sym___declspec] = ACTIONS(5486),
    [anon_sym___based] = ACTIONS(5486),
    [anon_sym___cdecl] = ACTIONS(5486),
    [anon_sym___clrcall] = ACTIONS(5486),
    [anon_sym___stdcall] = ACTIONS(5486),
    [anon_sym___fastcall] = ACTIONS(5486),
    [anon_sym___thiscall] = ACTIONS(5486),
    [anon_sym___vectorcall] = ACTIONS(5486),
    [anon_sym_signed] = ACTIONS(5486),
    [anon_sym_unsigned] = ACTIONS(5486),
    [anon_sym_long] = ACTIONS(5486),
    [anon_sym_short] = ACTIONS(5486),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_static] = ACTIONS(5486),
    [anon_sym_register] = ACTIONS(5486),
    [anon_sym_inline] = ACTIONS(5486),
    [anon_sym___inline] = ACTIONS(5486),
    [anon_sym___inline__] = ACTIONS(5486),
    [anon_sym___forceinline] = ACTIONS(5486),
    [anon_sym_thread_local] = ACTIONS(5486),
    [anon_sym___thread] = ACTIONS(5486),
    [anon_sym_const] = ACTIONS(5486),
    [anon_sym_constexpr] = ACTIONS(5486),
    [anon_sym_volatile] = ACTIONS(5486),
    [anon_sym_restrict] = ACTIONS(5486),
    [anon_sym___restrict__] = ACTIONS(5486),
    [anon_sym__Atomic] = ACTIONS(5486),
    [anon_sym__Noreturn] = ACTIONS(5486),
    [anon_sym_noreturn] = ACTIONS(5486),
    [anon_sym_mutable] = ACTIONS(5486),
    [anon_sym_constinit] = ACTIONS(5486),
    [anon_sym_consteval] = ACTIONS(5486),
    [sym_primitive_type] = ACTIONS(5486),
    [anon_sym_enum] = ACTIONS(5486),
    [anon_sym_class] = ACTIONS(5486),
    [anon_sym_struct] = ACTIONS(5486),
    [anon_sym_union] = ACTIONS(5486),
    [anon_sym_or] = ACTIONS(5486),
    [anon_sym_and] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5486),
    [anon_sym_decltype] = ACTIONS(5486),
    [anon_sym_virtual] = ACTIONS(5486),
    [anon_sym_alignas] = ACTIONS(5486),
    [anon_sym_explicit] = ACTIONS(5486),
    [anon_sym_typename] = ACTIONS(5486),
    [anon_sym_template] = ACTIONS(5486),
    [anon_sym_operator] = ACTIONS(5486),
    [anon_sym_friend] = ACTIONS(5486),
    [anon_sym_using] = ACTIONS(5486),
    [anon_sym_concept] = ACTIONS(5486),
  },
  [2561] = {
    [sym_identifier] = ACTIONS(5376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5378),
    [anon_sym_COMMA] = ACTIONS(5378),
    [aux_sym_preproc_if_token2] = ACTIONS(5378),
    [aux_sym_preproc_else_token1] = ACTIONS(5378),
    [aux_sym_preproc_elif_token1] = ACTIONS(5378),
    [anon_sym_LPAREN2] = ACTIONS(5378),
    [anon_sym_DASH] = ACTIONS(5376),
    [anon_sym_PLUS] = ACTIONS(5376),
    [anon_sym_STAR] = ACTIONS(5376),
    [anon_sym_SLASH] = ACTIONS(5376),
    [anon_sym_PERCENT] = ACTIONS(5376),
    [anon_sym_PIPE_PIPE] = ACTIONS(5378),
    [anon_sym_AMP_AMP] = ACTIONS(5378),
    [anon_sym_PIPE] = ACTIONS(5376),
    [anon_sym_CARET] = ACTIONS(5376),
    [anon_sym_AMP] = ACTIONS(5376),
    [anon_sym_EQ_EQ] = ACTIONS(5378),
    [anon_sym_BANG_EQ] = ACTIONS(5378),
    [anon_sym_GT] = ACTIONS(5376),
    [anon_sym_GT_EQ] = ACTIONS(5378),
    [anon_sym_LT_EQ] = ACTIONS(5376),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5376),
    [anon_sym_GT_GT] = ACTIONS(5376),
    [anon_sym_LBRACK] = ACTIONS(5378),
    [anon_sym_EQ] = ACTIONS(5376),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_STAR_EQ] = ACTIONS(5378),
    [anon_sym_SLASH_EQ] = ACTIONS(5378),
    [anon_sym_PERCENT_EQ] = ACTIONS(5378),
    [anon_sym_PLUS_EQ] = ACTIONS(5378),
    [anon_sym_DASH_EQ] = ACTIONS(5378),
    [anon_sym_LT_LT_EQ] = ACTIONS(5378),
    [anon_sym_GT_GT_EQ] = ACTIONS(5378),
    [anon_sym_AMP_EQ] = ACTIONS(5378),
    [anon_sym_CARET_EQ] = ACTIONS(5378),
    [anon_sym_PIPE_EQ] = ACTIONS(5378),
    [anon_sym_and_eq] = ACTIONS(5376),
    [anon_sym_or_eq] = ACTIONS(5376),
    [anon_sym_xor_eq] = ACTIONS(5376),
    [anon_sym_LT_EQ_GT] = ACTIONS(5378),
    [anon_sym_or] = ACTIONS(5376),
    [anon_sym_and] = ACTIONS(5376),
    [anon_sym_bitor] = ACTIONS(5376),
    [anon_sym_xor] = ACTIONS(5376),
    [anon_sym_bitand] = ACTIONS(5376),
    [anon_sym_not_eq] = ACTIONS(5376),
    [anon_sym_DASH_DASH] = ACTIONS(5378),
    [anon_sym_PLUS_PLUS] = ACTIONS(5378),
    [anon_sym_DOT] = ACTIONS(5376),
    [anon_sym_DOT_STAR] = ACTIONS(5378),
    [anon_sym_DASH_GT] = ACTIONS(5378),
    [anon_sym_L_DQUOTE] = ACTIONS(5378),
    [anon_sym_u_DQUOTE] = ACTIONS(5378),
    [anon_sym_U_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8_DQUOTE] = ACTIONS(5378),
    [anon_sym_DQUOTE] = ACTIONS(5378),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5378),
    [anon_sym_LR_DQUOTE] = ACTIONS(5378),
    [anon_sym_uR_DQUOTE] = ACTIONS(5378),
    [anon_sym_UR_DQUOTE] = ACTIONS(5378),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5378),
    [sym_literal_suffix] = ACTIONS(5376),
  },
  [2562] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
  },
  [2563] = {
    [sym_identifier] = ACTIONS(6120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6122),
    [anon_sym_COMMA] = ACTIONS(6122),
    [anon_sym_RPAREN] = ACTIONS(6122),
    [aux_sym_preproc_if_token2] = ACTIONS(6122),
    [aux_sym_preproc_else_token1] = ACTIONS(6122),
    [aux_sym_preproc_elif_token1] = ACTIONS(6120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6122),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6122),
    [anon_sym_LPAREN2] = ACTIONS(6122),
    [anon_sym_DASH] = ACTIONS(6120),
    [anon_sym_PLUS] = ACTIONS(6120),
    [anon_sym_STAR] = ACTIONS(6120),
    [anon_sym_SLASH] = ACTIONS(6120),
    [anon_sym_PERCENT] = ACTIONS(6120),
    [anon_sym_PIPE_PIPE] = ACTIONS(6122),
    [anon_sym_AMP_AMP] = ACTIONS(6122),
    [anon_sym_PIPE] = ACTIONS(6120),
    [anon_sym_CARET] = ACTIONS(6120),
    [anon_sym_AMP] = ACTIONS(6120),
    [anon_sym_EQ_EQ] = ACTIONS(6122),
    [anon_sym_BANG_EQ] = ACTIONS(6122),
    [anon_sym_GT] = ACTIONS(6120),
    [anon_sym_GT_EQ] = ACTIONS(6122),
    [anon_sym_LT_EQ] = ACTIONS(6120),
    [anon_sym_LT] = ACTIONS(6120),
    [anon_sym_LT_LT] = ACTIONS(6120),
    [anon_sym_GT_GT] = ACTIONS(6120),
    [anon_sym_SEMI] = ACTIONS(6122),
    [anon_sym___attribute__] = ACTIONS(6120),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6122),
    [anon_sym_LBRACE] = ACTIONS(6122),
    [anon_sym_RBRACE] = ACTIONS(6122),
    [anon_sym_LBRACK] = ACTIONS(6120),
    [anon_sym_RBRACK] = ACTIONS(6122),
    [anon_sym_EQ] = ACTIONS(6120),
    [anon_sym_COLON] = ACTIONS(6122),
    [anon_sym_QMARK] = ACTIONS(6122),
    [anon_sym_STAR_EQ] = ACTIONS(6122),
    [anon_sym_SLASH_EQ] = ACTIONS(6122),
    [anon_sym_PERCENT_EQ] = ACTIONS(6122),
    [anon_sym_PLUS_EQ] = ACTIONS(6122),
    [anon_sym_DASH_EQ] = ACTIONS(6122),
    [anon_sym_LT_LT_EQ] = ACTIONS(6122),
    [anon_sym_GT_GT_EQ] = ACTIONS(6122),
    [anon_sym_AMP_EQ] = ACTIONS(6122),
    [anon_sym_CARET_EQ] = ACTIONS(6122),
    [anon_sym_PIPE_EQ] = ACTIONS(6122),
    [anon_sym_and_eq] = ACTIONS(6120),
    [anon_sym_or_eq] = ACTIONS(6120),
    [anon_sym_xor_eq] = ACTIONS(6120),
    [anon_sym_LT_EQ_GT] = ACTIONS(6122),
    [anon_sym_or] = ACTIONS(6120),
    [anon_sym_and] = ACTIONS(6120),
    [anon_sym_bitor] = ACTIONS(6120),
    [anon_sym_xor] = ACTIONS(6120),
    [anon_sym_bitand] = ACTIONS(6120),
    [anon_sym_not_eq] = ACTIONS(6120),
    [anon_sym_DASH_DASH] = ACTIONS(6122),
    [anon_sym_PLUS_PLUS] = ACTIONS(6122),
    [anon_sym_DOT] = ACTIONS(6120),
    [anon_sym_DOT_STAR] = ACTIONS(6122),
    [anon_sym_DASH_GT] = ACTIONS(6122),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6120),
  },
  [2564] = {
    [sym_identifier] = ACTIONS(6124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6126),
    [anon_sym_COMMA] = ACTIONS(6126),
    [anon_sym_RPAREN] = ACTIONS(6126),
    [aux_sym_preproc_if_token2] = ACTIONS(6126),
    [aux_sym_preproc_else_token1] = ACTIONS(6126),
    [aux_sym_preproc_elif_token1] = ACTIONS(6124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6126),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6126),
    [anon_sym_LPAREN2] = ACTIONS(6126),
    [anon_sym_DASH] = ACTIONS(6124),
    [anon_sym_PLUS] = ACTIONS(6124),
    [anon_sym_STAR] = ACTIONS(6124),
    [anon_sym_SLASH] = ACTIONS(6124),
    [anon_sym_PERCENT] = ACTIONS(6124),
    [anon_sym_PIPE_PIPE] = ACTIONS(6126),
    [anon_sym_AMP_AMP] = ACTIONS(6126),
    [anon_sym_PIPE] = ACTIONS(6124),
    [anon_sym_CARET] = ACTIONS(6124),
    [anon_sym_AMP] = ACTIONS(6124),
    [anon_sym_EQ_EQ] = ACTIONS(6126),
    [anon_sym_BANG_EQ] = ACTIONS(6126),
    [anon_sym_GT] = ACTIONS(6124),
    [anon_sym_GT_EQ] = ACTIONS(6126),
    [anon_sym_LT_EQ] = ACTIONS(6124),
    [anon_sym_LT] = ACTIONS(6124),
    [anon_sym_LT_LT] = ACTIONS(6124),
    [anon_sym_GT_GT] = ACTIONS(6124),
    [anon_sym_SEMI] = ACTIONS(6126),
    [anon_sym___attribute__] = ACTIONS(6124),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6126),
    [anon_sym_LBRACE] = ACTIONS(6126),
    [anon_sym_RBRACE] = ACTIONS(6126),
    [anon_sym_LBRACK] = ACTIONS(6124),
    [anon_sym_RBRACK] = ACTIONS(6126),
    [anon_sym_EQ] = ACTIONS(6124),
    [anon_sym_COLON] = ACTIONS(6126),
    [anon_sym_QMARK] = ACTIONS(6126),
    [anon_sym_STAR_EQ] = ACTIONS(6126),
    [anon_sym_SLASH_EQ] = ACTIONS(6126),
    [anon_sym_PERCENT_EQ] = ACTIONS(6126),
    [anon_sym_PLUS_EQ] = ACTIONS(6126),
    [anon_sym_DASH_EQ] = ACTIONS(6126),
    [anon_sym_LT_LT_EQ] = ACTIONS(6126),
    [anon_sym_GT_GT_EQ] = ACTIONS(6126),
    [anon_sym_AMP_EQ] = ACTIONS(6126),
    [anon_sym_CARET_EQ] = ACTIONS(6126),
    [anon_sym_PIPE_EQ] = ACTIONS(6126),
    [anon_sym_and_eq] = ACTIONS(6124),
    [anon_sym_or_eq] = ACTIONS(6124),
    [anon_sym_xor_eq] = ACTIONS(6124),
    [anon_sym_LT_EQ_GT] = ACTIONS(6126),
    [anon_sym_or] = ACTIONS(6124),
    [anon_sym_and] = ACTIONS(6124),
    [anon_sym_bitor] = ACTIONS(6124),
    [anon_sym_xor] = ACTIONS(6124),
    [anon_sym_bitand] = ACTIONS(6124),
    [anon_sym_not_eq] = ACTIONS(6124),
    [anon_sym_DASH_DASH] = ACTIONS(6126),
    [anon_sym_PLUS_PLUS] = ACTIONS(6126),
    [anon_sym_DOT] = ACTIONS(6124),
    [anon_sym_DOT_STAR] = ACTIONS(6126),
    [anon_sym_DASH_GT] = ACTIONS(6126),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6124),
  },
  [2565] = {
    [sym_identifier] = ACTIONS(6128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6130),
    [anon_sym_COMMA] = ACTIONS(6130),
    [anon_sym_RPAREN] = ACTIONS(6130),
    [aux_sym_preproc_if_token2] = ACTIONS(6130),
    [aux_sym_preproc_else_token1] = ACTIONS(6130),
    [aux_sym_preproc_elif_token1] = ACTIONS(6128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6130),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6130),
    [anon_sym_LPAREN2] = ACTIONS(6130),
    [anon_sym_DASH] = ACTIONS(6128),
    [anon_sym_PLUS] = ACTIONS(6128),
    [anon_sym_STAR] = ACTIONS(6128),
    [anon_sym_SLASH] = ACTIONS(6128),
    [anon_sym_PERCENT] = ACTIONS(6128),
    [anon_sym_PIPE_PIPE] = ACTIONS(6130),
    [anon_sym_AMP_AMP] = ACTIONS(6130),
    [anon_sym_PIPE] = ACTIONS(6128),
    [anon_sym_CARET] = ACTIONS(6128),
    [anon_sym_AMP] = ACTIONS(6128),
    [anon_sym_EQ_EQ] = ACTIONS(6130),
    [anon_sym_BANG_EQ] = ACTIONS(6130),
    [anon_sym_GT] = ACTIONS(6128),
    [anon_sym_GT_EQ] = ACTIONS(6130),
    [anon_sym_LT_EQ] = ACTIONS(6128),
    [anon_sym_LT] = ACTIONS(6128),
    [anon_sym_LT_LT] = ACTIONS(6128),
    [anon_sym_GT_GT] = ACTIONS(6128),
    [anon_sym_SEMI] = ACTIONS(6130),
    [anon_sym___attribute__] = ACTIONS(6128),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6130),
    [anon_sym_LBRACE] = ACTIONS(6130),
    [anon_sym_RBRACE] = ACTIONS(6130),
    [anon_sym_LBRACK] = ACTIONS(6128),
    [anon_sym_RBRACK] = ACTIONS(6130),
    [anon_sym_EQ] = ACTIONS(6128),
    [anon_sym_COLON] = ACTIONS(6130),
    [anon_sym_QMARK] = ACTIONS(6130),
    [anon_sym_STAR_EQ] = ACTIONS(6130),
    [anon_sym_SLASH_EQ] = ACTIONS(6130),
    [anon_sym_PERCENT_EQ] = ACTIONS(6130),
    [anon_sym_PLUS_EQ] = ACTIONS(6130),
    [anon_sym_DASH_EQ] = ACTIONS(6130),
    [anon_sym_LT_LT_EQ] = ACTIONS(6130),
    [anon_sym_GT_GT_EQ] = ACTIONS(6130),
    [anon_sym_AMP_EQ] = ACTIONS(6130),
    [anon_sym_CARET_EQ] = ACTIONS(6130),
    [anon_sym_PIPE_EQ] = ACTIONS(6130),
    [anon_sym_and_eq] = ACTIONS(6128),
    [anon_sym_or_eq] = ACTIONS(6128),
    [anon_sym_xor_eq] = ACTIONS(6128),
    [anon_sym_LT_EQ_GT] = ACTIONS(6130),
    [anon_sym_or] = ACTIONS(6128),
    [anon_sym_and] = ACTIONS(6128),
    [anon_sym_bitor] = ACTIONS(6128),
    [anon_sym_xor] = ACTIONS(6128),
    [anon_sym_bitand] = ACTIONS(6128),
    [anon_sym_not_eq] = ACTIONS(6128),
    [anon_sym_DASH_DASH] = ACTIONS(6130),
    [anon_sym_PLUS_PLUS] = ACTIONS(6130),
    [anon_sym_DOT] = ACTIONS(6128),
    [anon_sym_DOT_STAR] = ACTIONS(6130),
    [anon_sym_DASH_GT] = ACTIONS(6130),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6128),
  },
  [2566] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token2] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2567] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6105),
    [anon_sym_COMMA] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(6105),
    [anon_sym_LPAREN2] = ACTIONS(6105),
    [anon_sym_DASH] = ACTIONS(6103),
    [anon_sym_PLUS] = ACTIONS(6103),
    [anon_sym_STAR] = ACTIONS(6105),
    [anon_sym_SLASH] = ACTIONS(6103),
    [anon_sym_PERCENT] = ACTIONS(6105),
    [anon_sym_PIPE_PIPE] = ACTIONS(6105),
    [anon_sym_AMP_AMP] = ACTIONS(6105),
    [anon_sym_PIPE] = ACTIONS(6103),
    [anon_sym_CARET] = ACTIONS(6105),
    [anon_sym_AMP] = ACTIONS(6103),
    [anon_sym_EQ_EQ] = ACTIONS(6105),
    [anon_sym_BANG_EQ] = ACTIONS(6105),
    [anon_sym_GT] = ACTIONS(6103),
    [anon_sym_GT_EQ] = ACTIONS(6105),
    [anon_sym_LT_EQ] = ACTIONS(6103),
    [anon_sym_LT] = ACTIONS(6103),
    [anon_sym_LT_LT] = ACTIONS(6105),
    [anon_sym_GT_GT] = ACTIONS(6105),
    [anon_sym_SEMI] = ACTIONS(6105),
    [anon_sym___extension__] = ACTIONS(6105),
    [anon_sym___attribute__] = ACTIONS(6105),
    [anon_sym_LBRACE] = ACTIONS(6105),
    [anon_sym_RBRACE] = ACTIONS(6105),
    [anon_sym_signed] = ACTIONS(6132),
    [anon_sym_unsigned] = ACTIONS(6132),
    [anon_sym_long] = ACTIONS(6132),
    [anon_sym_short] = ACTIONS(6132),
    [anon_sym_LBRACK] = ACTIONS(6105),
    [anon_sym_RBRACK] = ACTIONS(6105),
    [anon_sym_const] = ACTIONS(6103),
    [anon_sym_constexpr] = ACTIONS(6105),
    [anon_sym_volatile] = ACTIONS(6105),
    [anon_sym_restrict] = ACTIONS(6105),
    [anon_sym___restrict__] = ACTIONS(6105),
    [anon_sym__Atomic] = ACTIONS(6105),
    [anon_sym__Noreturn] = ACTIONS(6105),
    [anon_sym_noreturn] = ACTIONS(6105),
    [anon_sym_mutable] = ACTIONS(6105),
    [anon_sym_constinit] = ACTIONS(6105),
    [anon_sym_consteval] = ACTIONS(6105),
    [anon_sym_COLON] = ACTIONS(6105),
    [anon_sym_QMARK] = ACTIONS(6105),
    [anon_sym_LT_EQ_GT] = ACTIONS(6105),
    [anon_sym_or] = ACTIONS(6105),
    [anon_sym_and] = ACTIONS(6105),
    [anon_sym_bitor] = ACTIONS(6105),
    [anon_sym_xor] = ACTIONS(6105),
    [anon_sym_bitand] = ACTIONS(6105),
    [anon_sym_not_eq] = ACTIONS(6105),
    [anon_sym_DASH_DASH] = ACTIONS(6105),
    [anon_sym_PLUS_PLUS] = ACTIONS(6105),
    [anon_sym_DOT] = ACTIONS(6103),
    [anon_sym_DOT_STAR] = ACTIONS(6105),
    [anon_sym_DASH_GT] = ACTIONS(6105),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6105),
    [anon_sym_decltype] = ACTIONS(6105),
    [anon_sym_final] = ACTIONS(6105),
    [anon_sym_override] = ACTIONS(6105),
    [anon_sym_requires] = ACTIONS(6105),
  },
  [2568] = {
    [sym_identifier] = ACTIONS(6134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6136),
    [anon_sym_COMMA] = ACTIONS(6136),
    [anon_sym_RPAREN] = ACTIONS(6136),
    [aux_sym_preproc_if_token2] = ACTIONS(6136),
    [aux_sym_preproc_else_token1] = ACTIONS(6136),
    [aux_sym_preproc_elif_token1] = ACTIONS(6134),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6136),
    [anon_sym_LPAREN2] = ACTIONS(6136),
    [anon_sym_DASH] = ACTIONS(6134),
    [anon_sym_PLUS] = ACTIONS(6134),
    [anon_sym_STAR] = ACTIONS(6134),
    [anon_sym_SLASH] = ACTIONS(6134),
    [anon_sym_PERCENT] = ACTIONS(6134),
    [anon_sym_PIPE_PIPE] = ACTIONS(6136),
    [anon_sym_AMP_AMP] = ACTIONS(6136),
    [anon_sym_PIPE] = ACTIONS(6134),
    [anon_sym_CARET] = ACTIONS(6134),
    [anon_sym_AMP] = ACTIONS(6134),
    [anon_sym_EQ_EQ] = ACTIONS(6136),
    [anon_sym_BANG_EQ] = ACTIONS(6136),
    [anon_sym_GT] = ACTIONS(6134),
    [anon_sym_GT_EQ] = ACTIONS(6136),
    [anon_sym_LT_EQ] = ACTIONS(6134),
    [anon_sym_LT] = ACTIONS(6134),
    [anon_sym_LT_LT] = ACTIONS(6134),
    [anon_sym_GT_GT] = ACTIONS(6134),
    [anon_sym_SEMI] = ACTIONS(6136),
    [anon_sym___attribute__] = ACTIONS(6134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6136),
    [anon_sym_LBRACE] = ACTIONS(6136),
    [anon_sym_RBRACE] = ACTIONS(6136),
    [anon_sym_LBRACK] = ACTIONS(6134),
    [anon_sym_RBRACK] = ACTIONS(6136),
    [anon_sym_EQ] = ACTIONS(6134),
    [anon_sym_COLON] = ACTIONS(6136),
    [anon_sym_QMARK] = ACTIONS(6136),
    [anon_sym_STAR_EQ] = ACTIONS(6136),
    [anon_sym_SLASH_EQ] = ACTIONS(6136),
    [anon_sym_PERCENT_EQ] = ACTIONS(6136),
    [anon_sym_PLUS_EQ] = ACTIONS(6136),
    [anon_sym_DASH_EQ] = ACTIONS(6136),
    [anon_sym_LT_LT_EQ] = ACTIONS(6136),
    [anon_sym_GT_GT_EQ] = ACTIONS(6136),
    [anon_sym_AMP_EQ] = ACTIONS(6136),
    [anon_sym_CARET_EQ] = ACTIONS(6136),
    [anon_sym_PIPE_EQ] = ACTIONS(6136),
    [anon_sym_and_eq] = ACTIONS(6134),
    [anon_sym_or_eq] = ACTIONS(6134),
    [anon_sym_xor_eq] = ACTIONS(6134),
    [anon_sym_LT_EQ_GT] = ACTIONS(6136),
    [anon_sym_or] = ACTIONS(6134),
    [anon_sym_and] = ACTIONS(6134),
    [anon_sym_bitor] = ACTIONS(6134),
    [anon_sym_xor] = ACTIONS(6134),
    [anon_sym_bitand] = ACTIONS(6134),
    [anon_sym_not_eq] = ACTIONS(6134),
    [anon_sym_DASH_DASH] = ACTIONS(6136),
    [anon_sym_PLUS_PLUS] = ACTIONS(6136),
    [anon_sym_DOT] = ACTIONS(6134),
    [anon_sym_DOT_STAR] = ACTIONS(6136),
    [anon_sym_DASH_GT] = ACTIONS(6136),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6134),
  },
  [2569] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6101),
    [anon_sym_COMMA] = ACTIONS(6101),
    [anon_sym_RPAREN] = ACTIONS(6101),
    [anon_sym_LPAREN2] = ACTIONS(6101),
    [anon_sym_DASH] = ACTIONS(6099),
    [anon_sym_PLUS] = ACTIONS(6099),
    [anon_sym_STAR] = ACTIONS(6101),
    [anon_sym_SLASH] = ACTIONS(6099),
    [anon_sym_PERCENT] = ACTIONS(6101),
    [anon_sym_PIPE_PIPE] = ACTIONS(6101),
    [anon_sym_AMP_AMP] = ACTIONS(6101),
    [anon_sym_PIPE] = ACTIONS(6099),
    [anon_sym_CARET] = ACTIONS(6101),
    [anon_sym_AMP] = ACTIONS(6099),
    [anon_sym_EQ_EQ] = ACTIONS(6101),
    [anon_sym_BANG_EQ] = ACTIONS(6101),
    [anon_sym_GT] = ACTIONS(6099),
    [anon_sym_GT_EQ] = ACTIONS(6101),
    [anon_sym_LT_EQ] = ACTIONS(6099),
    [anon_sym_LT] = ACTIONS(6099),
    [anon_sym_LT_LT] = ACTIONS(6101),
    [anon_sym_GT_GT] = ACTIONS(6101),
    [anon_sym_SEMI] = ACTIONS(6101),
    [anon_sym___extension__] = ACTIONS(6101),
    [anon_sym___attribute__] = ACTIONS(6101),
    [anon_sym_LBRACE] = ACTIONS(6101),
    [anon_sym_RBRACE] = ACTIONS(6101),
    [anon_sym_signed] = ACTIONS(6132),
    [anon_sym_unsigned] = ACTIONS(6132),
    [anon_sym_long] = ACTIONS(6132),
    [anon_sym_short] = ACTIONS(6132),
    [anon_sym_LBRACK] = ACTIONS(6101),
    [anon_sym_RBRACK] = ACTIONS(6101),
    [anon_sym_const] = ACTIONS(6099),
    [anon_sym_constexpr] = ACTIONS(6101),
    [anon_sym_volatile] = ACTIONS(6101),
    [anon_sym_restrict] = ACTIONS(6101),
    [anon_sym___restrict__] = ACTIONS(6101),
    [anon_sym__Atomic] = ACTIONS(6101),
    [anon_sym__Noreturn] = ACTIONS(6101),
    [anon_sym_noreturn] = ACTIONS(6101),
    [anon_sym_mutable] = ACTIONS(6101),
    [anon_sym_constinit] = ACTIONS(6101),
    [anon_sym_consteval] = ACTIONS(6101),
    [anon_sym_COLON] = ACTIONS(6101),
    [anon_sym_QMARK] = ACTIONS(6101),
    [anon_sym_LT_EQ_GT] = ACTIONS(6101),
    [anon_sym_or] = ACTIONS(6101),
    [anon_sym_and] = ACTIONS(6101),
    [anon_sym_bitor] = ACTIONS(6101),
    [anon_sym_xor] = ACTIONS(6101),
    [anon_sym_bitand] = ACTIONS(6101),
    [anon_sym_not_eq] = ACTIONS(6101),
    [anon_sym_DASH_DASH] = ACTIONS(6101),
    [anon_sym_PLUS_PLUS] = ACTIONS(6101),
    [anon_sym_DOT] = ACTIONS(6099),
    [anon_sym_DOT_STAR] = ACTIONS(6101),
    [anon_sym_DASH_GT] = ACTIONS(6101),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6101),
    [anon_sym_decltype] = ACTIONS(6101),
    [anon_sym_final] = ACTIONS(6101),
    [anon_sym_override] = ACTIONS(6101),
    [anon_sym_requires] = ACTIONS(6101),
  },
  [2570] = {
    [sym_string_literal] = STATE(2314),
    [sym_raw_string_literal] = STATE(2314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5451),
    [anon_sym_COMMA] = ACTIONS(5451),
    [anon_sym_RPAREN] = ACTIONS(5451),
    [anon_sym_LPAREN2] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5449),
    [anon_sym_PLUS] = ACTIONS(5449),
    [anon_sym_STAR] = ACTIONS(5449),
    [anon_sym_SLASH] = ACTIONS(5449),
    [anon_sym_PERCENT] = ACTIONS(5449),
    [anon_sym_PIPE_PIPE] = ACTIONS(5451),
    [anon_sym_AMP_AMP] = ACTIONS(5451),
    [anon_sym_PIPE] = ACTIONS(5449),
    [anon_sym_CARET] = ACTIONS(5449),
    [anon_sym_AMP] = ACTIONS(5449),
    [anon_sym_EQ_EQ] = ACTIONS(5451),
    [anon_sym_BANG_EQ] = ACTIONS(5451),
    [anon_sym_GT] = ACTIONS(5449),
    [anon_sym_GT_EQ] = ACTIONS(5451),
    [anon_sym_LT_EQ] = ACTIONS(5449),
    [anon_sym_LT] = ACTIONS(5449),
    [anon_sym_LT_LT] = ACTIONS(5449),
    [anon_sym_GT_GT] = ACTIONS(5449),
    [anon_sym_LBRACK] = ACTIONS(5451),
    [anon_sym_EQ] = ACTIONS(5449),
    [anon_sym_QMARK] = ACTIONS(5451),
    [anon_sym_STAR_EQ] = ACTIONS(5451),
    [anon_sym_SLASH_EQ] = ACTIONS(5451),
    [anon_sym_PERCENT_EQ] = ACTIONS(5451),
    [anon_sym_PLUS_EQ] = ACTIONS(5451),
    [anon_sym_DASH_EQ] = ACTIONS(5451),
    [anon_sym_LT_LT_EQ] = ACTIONS(5451),
    [anon_sym_GT_GT_EQ] = ACTIONS(5451),
    [anon_sym_AMP_EQ] = ACTIONS(5451),
    [anon_sym_CARET_EQ] = ACTIONS(5451),
    [anon_sym_PIPE_EQ] = ACTIONS(5451),
    [anon_sym_and_eq] = ACTIONS(5449),
    [anon_sym_or_eq] = ACTIONS(5449),
    [anon_sym_xor_eq] = ACTIONS(5449),
    [anon_sym_LT_EQ_GT] = ACTIONS(5451),
    [anon_sym_or] = ACTIONS(5449),
    [anon_sym_and] = ACTIONS(5449),
    [anon_sym_bitor] = ACTIONS(5449),
    [anon_sym_xor] = ACTIONS(5449),
    [anon_sym_bitand] = ACTIONS(5449),
    [anon_sym_not_eq] = ACTIONS(5449),
    [anon_sym_DASH_DASH] = ACTIONS(5451),
    [anon_sym_PLUS_PLUS] = ACTIONS(5451),
    [anon_sym_DOT] = ACTIONS(5449),
    [anon_sym_DOT_STAR] = ACTIONS(5451),
    [anon_sym_DASH_GT] = ACTIONS(5449),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5451),
    [sym_literal_suffix] = ACTIONS(6138),
  },
  [2571] = {
    [sym_string_literal] = STATE(2314),
    [sym_raw_string_literal] = STATE(2314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4127),
    [anon_sym_COMMA] = ACTIONS(4127),
    [anon_sym_RPAREN] = ACTIONS(4127),
    [anon_sym_LPAREN2] = ACTIONS(4127),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4127),
    [anon_sym_AMP_AMP] = ACTIONS(4127),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4127),
    [anon_sym_BANG_EQ] = ACTIONS(4127),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4127),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(4135),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_LBRACK] = ACTIONS(4127),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4127),
    [anon_sym_STAR_EQ] = ACTIONS(4127),
    [anon_sym_SLASH_EQ] = ACTIONS(4127),
    [anon_sym_PERCENT_EQ] = ACTIONS(4127),
    [anon_sym_PLUS_EQ] = ACTIONS(4127),
    [anon_sym_DASH_EQ] = ACTIONS(4127),
    [anon_sym_LT_LT_EQ] = ACTIONS(4127),
    [anon_sym_GT_GT_EQ] = ACTIONS(4127),
    [anon_sym_AMP_EQ] = ACTIONS(4127),
    [anon_sym_CARET_EQ] = ACTIONS(4127),
    [anon_sym_PIPE_EQ] = ACTIONS(4127),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4127),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4127),
    [anon_sym_PLUS_PLUS] = ACTIONS(4127),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4127),
    [anon_sym_DASH_GT] = ACTIONS(4135),
    [anon_sym_L_DQUOTE] = ACTIONS(5173),
    [anon_sym_u_DQUOTE] = ACTIONS(5173),
    [anon_sym_U_DQUOTE] = ACTIONS(5173),
    [anon_sym_u8_DQUOTE] = ACTIONS(5173),
    [anon_sym_DQUOTE] = ACTIONS(5173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5175),
    [anon_sym_LR_DQUOTE] = ACTIONS(5175),
    [anon_sym_uR_DQUOTE] = ACTIONS(5175),
    [anon_sym_UR_DQUOTE] = ACTIONS(5175),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5175),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4127),
    [sym_literal_suffix] = ACTIONS(6138),
  },
  [2572] = {
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [aux_sym_preproc_if_token2] = ACTIONS(5864),
    [aux_sym_preproc_else_token1] = ACTIONS(5864),
    [aux_sym_preproc_elif_token1] = ACTIONS(5862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5862),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5862),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5862),
    [anon_sym_GT_GT] = ACTIONS(5862),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5862),
    [anon_sym_LBRACE] = ACTIONS(5864),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_EQ] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_STAR_EQ] = ACTIONS(5864),
    [anon_sym_SLASH_EQ] = ACTIONS(5864),
    [anon_sym_PERCENT_EQ] = ACTIONS(5864),
    [anon_sym_PLUS_EQ] = ACTIONS(5864),
    [anon_sym_DASH_EQ] = ACTIONS(5864),
    [anon_sym_LT_LT_EQ] = ACTIONS(5864),
    [anon_sym_GT_GT_EQ] = ACTIONS(5864),
    [anon_sym_AMP_EQ] = ACTIONS(5864),
    [anon_sym_CARET_EQ] = ACTIONS(5864),
    [anon_sym_PIPE_EQ] = ACTIONS(5864),
    [anon_sym_and_eq] = ACTIONS(5862),
    [anon_sym_or_eq] = ACTIONS(5862),
    [anon_sym_xor_eq] = ACTIONS(5862),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5862),
    [anon_sym_bitor] = ACTIONS(5862),
    [anon_sym_xor] = ACTIONS(5862),
    [anon_sym_bitand] = ACTIONS(5862),
    [anon_sym_not_eq] = ACTIONS(5862),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
  },
  [2573] = {
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5868),
    [anon_sym_COMMA] = ACTIONS(5868),
    [anon_sym_RPAREN] = ACTIONS(5868),
    [aux_sym_preproc_if_token2] = ACTIONS(5868),
    [aux_sym_preproc_else_token1] = ACTIONS(5868),
    [aux_sym_preproc_elif_token1] = ACTIONS(5866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5868),
    [anon_sym_LPAREN2] = ACTIONS(5868),
    [anon_sym_DASH] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5866),
    [anon_sym_STAR] = ACTIONS(5866),
    [anon_sym_SLASH] = ACTIONS(5866),
    [anon_sym_PERCENT] = ACTIONS(5866),
    [anon_sym_PIPE_PIPE] = ACTIONS(5868),
    [anon_sym_AMP_AMP] = ACTIONS(5868),
    [anon_sym_PIPE] = ACTIONS(5866),
    [anon_sym_CARET] = ACTIONS(5866),
    [anon_sym_AMP] = ACTIONS(5866),
    [anon_sym_EQ_EQ] = ACTIONS(5868),
    [anon_sym_BANG_EQ] = ACTIONS(5868),
    [anon_sym_GT] = ACTIONS(5866),
    [anon_sym_GT_EQ] = ACTIONS(5868),
    [anon_sym_LT_EQ] = ACTIONS(5866),
    [anon_sym_LT] = ACTIONS(5866),
    [anon_sym_LT_LT] = ACTIONS(5866),
    [anon_sym_GT_GT] = ACTIONS(5866),
    [anon_sym_SEMI] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5866),
    [anon_sym_LBRACE] = ACTIONS(5868),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(5868),
    [anon_sym_EQ] = ACTIONS(5866),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_STAR_EQ] = ACTIONS(5868),
    [anon_sym_SLASH_EQ] = ACTIONS(5868),
    [anon_sym_PERCENT_EQ] = ACTIONS(5868),
    [anon_sym_PLUS_EQ] = ACTIONS(5868),
    [anon_sym_DASH_EQ] = ACTIONS(5868),
    [anon_sym_LT_LT_EQ] = ACTIONS(5868),
    [anon_sym_GT_GT_EQ] = ACTIONS(5868),
    [anon_sym_AMP_EQ] = ACTIONS(5868),
    [anon_sym_CARET_EQ] = ACTIONS(5868),
    [anon_sym_PIPE_EQ] = ACTIONS(5868),
    [anon_sym_and_eq] = ACTIONS(5866),
    [anon_sym_or_eq] = ACTIONS(5866),
    [anon_sym_xor_eq] = ACTIONS(5866),
    [anon_sym_LT_EQ_GT] = ACTIONS(5868),
    [anon_sym_or] = ACTIONS(5866),
    [anon_sym_and] = ACTIONS(5866),
    [anon_sym_bitor] = ACTIONS(5866),
    [anon_sym_xor] = ACTIONS(5866),
    [anon_sym_bitand] = ACTIONS(5866),
    [anon_sym_not_eq] = ACTIONS(5866),
    [anon_sym_DASH_DASH] = ACTIONS(5868),
    [anon_sym_PLUS_PLUS] = ACTIONS(5868),
    [anon_sym_DOT] = ACTIONS(5866),
    [anon_sym_DOT_STAR] = ACTIONS(5868),
    [anon_sym_DASH_GT] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5866),
    [anon_sym_decltype] = ACTIONS(5866),
  },
  [2574] = {
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5872),
    [anon_sym_COMMA] = ACTIONS(5872),
    [anon_sym_RPAREN] = ACTIONS(5872),
    [aux_sym_preproc_if_token2] = ACTIONS(5872),
    [aux_sym_preproc_else_token1] = ACTIONS(5872),
    [aux_sym_preproc_elif_token1] = ACTIONS(5870),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5872),
    [anon_sym_LPAREN2] = ACTIONS(5872),
    [anon_sym_DASH] = ACTIONS(5870),
    [anon_sym_PLUS] = ACTIONS(5870),
    [anon_sym_STAR] = ACTIONS(5870),
    [anon_sym_SLASH] = ACTIONS(5870),
    [anon_sym_PERCENT] = ACTIONS(5870),
    [anon_sym_PIPE_PIPE] = ACTIONS(5872),
    [anon_sym_AMP_AMP] = ACTIONS(5872),
    [anon_sym_PIPE] = ACTIONS(5870),
    [anon_sym_CARET] = ACTIONS(5870),
    [anon_sym_AMP] = ACTIONS(5870),
    [anon_sym_EQ_EQ] = ACTIONS(5872),
    [anon_sym_BANG_EQ] = ACTIONS(5872),
    [anon_sym_GT] = ACTIONS(5870),
    [anon_sym_GT_EQ] = ACTIONS(5872),
    [anon_sym_LT_EQ] = ACTIONS(5870),
    [anon_sym_LT] = ACTIONS(5870),
    [anon_sym_LT_LT] = ACTIONS(5870),
    [anon_sym_GT_GT] = ACTIONS(5870),
    [anon_sym_SEMI] = ACTIONS(5872),
    [anon_sym___attribute__] = ACTIONS(5870),
    [anon_sym_LBRACE] = ACTIONS(5872),
    [anon_sym_RBRACE] = ACTIONS(5872),
    [anon_sym_LBRACK] = ACTIONS(5872),
    [anon_sym_RBRACK] = ACTIONS(5872),
    [anon_sym_EQ] = ACTIONS(5870),
    [anon_sym_COLON] = ACTIONS(5872),
    [anon_sym_QMARK] = ACTIONS(5872),
    [anon_sym_STAR_EQ] = ACTIONS(5872),
    [anon_sym_SLASH_EQ] = ACTIONS(5872),
    [anon_sym_PERCENT_EQ] = ACTIONS(5872),
    [anon_sym_PLUS_EQ] = ACTIONS(5872),
    [anon_sym_DASH_EQ] = ACTIONS(5872),
    [anon_sym_LT_LT_EQ] = ACTIONS(5872),
    [anon_sym_GT_GT_EQ] = ACTIONS(5872),
    [anon_sym_AMP_EQ] = ACTIONS(5872),
    [anon_sym_CARET_EQ] = ACTIONS(5872),
    [anon_sym_PIPE_EQ] = ACTIONS(5872),
    [anon_sym_and_eq] = ACTIONS(5870),
    [anon_sym_or_eq] = ACTIONS(5870),
    [anon_sym_xor_eq] = ACTIONS(5870),
    [anon_sym_LT_EQ_GT] = ACTIONS(5872),
    [anon_sym_or] = ACTIONS(5870),
    [anon_sym_and] = ACTIONS(5870),
    [anon_sym_bitor] = ACTIONS(5870),
    [anon_sym_xor] = ACTIONS(5870),
    [anon_sym_bitand] = ACTIONS(5870),
    [anon_sym_not_eq] = ACTIONS(5870),
    [anon_sym_DASH_DASH] = ACTIONS(5872),
    [anon_sym_PLUS_PLUS] = ACTIONS(5872),
    [anon_sym_DOT] = ACTIONS(5870),
    [anon_sym_DOT_STAR] = ACTIONS(5872),
    [anon_sym_DASH_GT] = ACTIONS(5872),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5870),
    [anon_sym_decltype] = ACTIONS(5870),
  },
  [2575] = {
    [sym_identifier] = ACTIONS(5874),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5876),
    [anon_sym_COMMA] = ACTIONS(5876),
    [anon_sym_RPAREN] = ACTIONS(5876),
    [aux_sym_preproc_if_token2] = ACTIONS(5876),
    [aux_sym_preproc_else_token1] = ACTIONS(5876),
    [aux_sym_preproc_elif_token1] = ACTIONS(5874),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5876),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5876),
    [anon_sym_LPAREN2] = ACTIONS(5876),
    [anon_sym_DASH] = ACTIONS(5874),
    [anon_sym_PLUS] = ACTIONS(5874),
    [anon_sym_STAR] = ACTIONS(5874),
    [anon_sym_SLASH] = ACTIONS(5874),
    [anon_sym_PERCENT] = ACTIONS(5874),
    [anon_sym_PIPE_PIPE] = ACTIONS(5876),
    [anon_sym_AMP_AMP] = ACTIONS(5876),
    [anon_sym_PIPE] = ACTIONS(5874),
    [anon_sym_CARET] = ACTIONS(5874),
    [anon_sym_AMP] = ACTIONS(5874),
    [anon_sym_EQ_EQ] = ACTIONS(5876),
    [anon_sym_BANG_EQ] = ACTIONS(5876),
    [anon_sym_GT] = ACTIONS(5874),
    [anon_sym_GT_EQ] = ACTIONS(5876),
    [anon_sym_LT_EQ] = ACTIONS(5874),
    [anon_sym_LT] = ACTIONS(5874),
    [anon_sym_LT_LT] = ACTIONS(5874),
    [anon_sym_GT_GT] = ACTIONS(5874),
    [anon_sym_SEMI] = ACTIONS(5876),
    [anon_sym___attribute__] = ACTIONS(5874),
    [anon_sym_LBRACE] = ACTIONS(5876),
    [anon_sym_RBRACE] = ACTIONS(5876),
    [anon_sym_LBRACK] = ACTIONS(5876),
    [anon_sym_RBRACK] = ACTIONS(5876),
    [anon_sym_EQ] = ACTIONS(5874),
    [anon_sym_COLON] = ACTIONS(5876),
    [anon_sym_QMARK] = ACTIONS(5876),
    [anon_sym_STAR_EQ] = ACTIONS(5876),
    [anon_sym_SLASH_EQ] = ACTIONS(5876),
    [anon_sym_PERCENT_EQ] = ACTIONS(5876),
    [anon_sym_PLUS_EQ] = ACTIONS(5876),
    [anon_sym_DASH_EQ] = ACTIONS(5876),
    [anon_sym_LT_LT_EQ] = ACTIONS(5876),
    [anon_sym_GT_GT_EQ] = ACTIONS(5876),
    [anon_sym_AMP_EQ] = ACTIONS(5876),
    [anon_sym_CARET_EQ] = ACTIONS(5876),
    [anon_sym_PIPE_EQ] = ACTIONS(5876),
    [anon_sym_and_eq] = ACTIONS(5874),
    [anon_sym_or_eq] = ACTIONS(5874),
    [anon_sym_xor_eq] = ACTIONS(5874),
    [anon_sym_LT_EQ_GT] = ACTIONS(5876),
    [anon_sym_or] = ACTIONS(5874),
    [anon_sym_and] = ACTIONS(5874),
    [anon_sym_bitor] = ACTIONS(5874),
    [anon_sym_xor] = ACTIONS(5874),
    [anon_sym_bitand] = ACTIONS(5874),
    [anon_sym_not_eq] = ACTIONS(5874),
    [anon_sym_DASH_DASH] = ACTIONS(5876),
    [anon_sym_PLUS_PLUS] = ACTIONS(5876),
    [anon_sym_DOT] = ACTIONS(5874),
    [anon_sym_DOT_STAR] = ACTIONS(5876),
    [anon_sym_DASH_GT] = ACTIONS(5876),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5874),
    [anon_sym_decltype] = ACTIONS(5874),
  },
  [2576] = {
    [sym_identifier] = ACTIONS(5878),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5880),
    [anon_sym_COMMA] = ACTIONS(5880),
    [anon_sym_RPAREN] = ACTIONS(5880),
    [aux_sym_preproc_if_token2] = ACTIONS(5880),
    [aux_sym_preproc_else_token1] = ACTIONS(5880),
    [aux_sym_preproc_elif_token1] = ACTIONS(5878),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5880),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5880),
    [anon_sym_LPAREN2] = ACTIONS(5880),
    [anon_sym_DASH] = ACTIONS(5878),
    [anon_sym_PLUS] = ACTIONS(5878),
    [anon_sym_STAR] = ACTIONS(5878),
    [anon_sym_SLASH] = ACTIONS(5878),
    [anon_sym_PERCENT] = ACTIONS(5878),
    [anon_sym_PIPE_PIPE] = ACTIONS(5880),
    [anon_sym_AMP_AMP] = ACTIONS(5880),
    [anon_sym_PIPE] = ACTIONS(5878),
    [anon_sym_CARET] = ACTIONS(5878),
    [anon_sym_AMP] = ACTIONS(5878),
    [anon_sym_EQ_EQ] = ACTIONS(5880),
    [anon_sym_BANG_EQ] = ACTIONS(5880),
    [anon_sym_GT] = ACTIONS(5878),
    [anon_sym_GT_EQ] = ACTIONS(5880),
    [anon_sym_LT_EQ] = ACTIONS(5878),
    [anon_sym_LT] = ACTIONS(5878),
    [anon_sym_LT_LT] = ACTIONS(5878),
    [anon_sym_GT_GT] = ACTIONS(5878),
    [anon_sym_SEMI] = ACTIONS(5880),
    [anon_sym___attribute__] = ACTIONS(5878),
    [anon_sym_LBRACE] = ACTIONS(5880),
    [anon_sym_RBRACE] = ACTIONS(5880),
    [anon_sym_LBRACK] = ACTIONS(5880),
    [anon_sym_RBRACK] = ACTIONS(5880),
    [anon_sym_EQ] = ACTIONS(5878),
    [anon_sym_COLON] = ACTIONS(5880),
    [anon_sym_QMARK] = ACTIONS(5880),
    [anon_sym_STAR_EQ] = ACTIONS(5880),
    [anon_sym_SLASH_EQ] = ACTIONS(5880),
    [anon_sym_PERCENT_EQ] = ACTIONS(5880),
    [anon_sym_PLUS_EQ] = ACTIONS(5880),
    [anon_sym_DASH_EQ] = ACTIONS(5880),
    [anon_sym_LT_LT_EQ] = ACTIONS(5880),
    [anon_sym_GT_GT_EQ] = ACTIONS(5880),
    [anon_sym_AMP_EQ] = ACTIONS(5880),
    [anon_sym_CARET_EQ] = ACTIONS(5880),
    [anon_sym_PIPE_EQ] = ACTIONS(5880),
    [anon_sym_and_eq] = ACTIONS(5878),
    [anon_sym_or_eq] = ACTIONS(5878),
    [anon_sym_xor_eq] = ACTIONS(5878),
    [anon_sym_LT_EQ_GT] = ACTIONS(5880),
    [anon_sym_or] = ACTIONS(5878),
    [anon_sym_and] = ACTIONS(5878),
    [anon_sym_bitor] = ACTIONS(5878),
    [anon_sym_xor] = ACTIONS(5878),
    [anon_sym_bitand] = ACTIONS(5878),
    [anon_sym_not_eq] = ACTIONS(5878),
    [anon_sym_DASH_DASH] = ACTIONS(5880),
    [anon_sym_PLUS_PLUS] = ACTIONS(5880),
    [anon_sym_DOT] = ACTIONS(5878),
    [anon_sym_DOT_STAR] = ACTIONS(5880),
    [anon_sym_DASH_GT] = ACTIONS(5880),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5878),
    [anon_sym_decltype] = ACTIONS(5878),
  },
  [2577] = {
    [sym_identifier] = ACTIONS(5882),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5884),
    [anon_sym_COMMA] = ACTIONS(5884),
    [anon_sym_RPAREN] = ACTIONS(5884),
    [aux_sym_preproc_if_token2] = ACTIONS(5884),
    [aux_sym_preproc_else_token1] = ACTIONS(5884),
    [aux_sym_preproc_elif_token1] = ACTIONS(5882),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5884),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5884),
    [anon_sym_LPAREN2] = ACTIONS(5884),
    [anon_sym_DASH] = ACTIONS(5882),
    [anon_sym_PLUS] = ACTIONS(5882),
    [anon_sym_STAR] = ACTIONS(5882),
    [anon_sym_SLASH] = ACTIONS(5882),
    [anon_sym_PERCENT] = ACTIONS(5882),
    [anon_sym_PIPE_PIPE] = ACTIONS(5884),
    [anon_sym_AMP_AMP] = ACTIONS(5884),
    [anon_sym_PIPE] = ACTIONS(5882),
    [anon_sym_CARET] = ACTIONS(5882),
    [anon_sym_AMP] = ACTIONS(5882),
    [anon_sym_EQ_EQ] = ACTIONS(5884),
    [anon_sym_BANG_EQ] = ACTIONS(5884),
    [anon_sym_GT] = ACTIONS(5882),
    [anon_sym_GT_EQ] = ACTIONS(5884),
    [anon_sym_LT_EQ] = ACTIONS(5882),
    [anon_sym_LT] = ACTIONS(5882),
    [anon_sym_LT_LT] = ACTIONS(5882),
    [anon_sym_GT_GT] = ACTIONS(5882),
    [anon_sym_SEMI] = ACTIONS(5884),
    [anon_sym___attribute__] = ACTIONS(5882),
    [anon_sym_LBRACE] = ACTIONS(5884),
    [anon_sym_RBRACE] = ACTIONS(5884),
    [anon_sym_LBRACK] = ACTIONS(5884),
    [anon_sym_RBRACK] = ACTIONS(5884),
    [anon_sym_EQ] = ACTIONS(5882),
    [anon_sym_COLON] = ACTIONS(5884),
    [anon_sym_QMARK] = ACTIONS(5884),
    [anon_sym_STAR_EQ] = ACTIONS(5884),
    [anon_sym_SLASH_EQ] = ACTIONS(5884),
    [anon_sym_PERCENT_EQ] = ACTIONS(5884),
    [anon_sym_PLUS_EQ] = ACTIONS(5884),
    [anon_sym_DASH_EQ] = ACTIONS(5884),
    [anon_sym_LT_LT_EQ] = ACTIONS(5884),
    [anon_sym_GT_GT_EQ] = ACTIONS(5884),
    [anon_sym_AMP_EQ] = ACTIONS(5884),
    [anon_sym_CARET_EQ] = ACTIONS(5884),
    [anon_sym_PIPE_EQ] = ACTIONS(5884),
    [anon_sym_and_eq] = ACTIONS(5882),
    [anon_sym_or_eq] = ACTIONS(5882),
    [anon_sym_xor_eq] = ACTIONS(5882),
    [anon_sym_LT_EQ_GT] = ACTIONS(5884),
    [anon_sym_or] = ACTIONS(5882),
    [anon_sym_and] = ACTIONS(5882),
    [anon_sym_bitor] = ACTIONS(5882),
    [anon_sym_xor] = ACTIONS(5882),
    [anon_sym_bitand] = ACTIONS(5882),
    [anon_sym_not_eq] = ACTIONS(5882),
    [anon_sym_DASH_DASH] = ACTIONS(5884),
    [anon_sym_PLUS_PLUS] = ACTIONS(5884),
    [anon_sym_DOT] = ACTIONS(5882),
    [anon_sym_DOT_STAR] = ACTIONS(5884),
    [anon_sym_DASH_GT] = ACTIONS(5884),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5882),
    [anon_sym_decltype] = ACTIONS(5882),
  },
  [2578] = {
    [sym_identifier] = ACTIONS(2208),
    [aux_sym_preproc_def_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token1] = ACTIONS(2208),
    [aux_sym_preproc_if_token2] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2208),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2208),
    [sym_preproc_directive] = ACTIONS(2208),
    [anon_sym_LPAREN2] = ACTIONS(2206),
    [anon_sym_TILDE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_AMP_AMP] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2208),
    [anon_sym___extension__] = ACTIONS(2208),
    [anon_sym_typedef] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym___attribute__] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2206),
    [anon_sym___declspec] = ACTIONS(2208),
    [anon_sym___based] = ACTIONS(2208),
    [anon_sym_signed] = ACTIONS(2208),
    [anon_sym_unsigned] = ACTIONS(2208),
    [anon_sym_long] = ACTIONS(2208),
    [anon_sym_short] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_register] = ACTIONS(2208),
    [anon_sym_inline] = ACTIONS(2208),
    [anon_sym___inline] = ACTIONS(2208),
    [anon_sym___inline__] = ACTIONS(2208),
    [anon_sym___forceinline] = ACTIONS(2208),
    [anon_sym_thread_local] = ACTIONS(2208),
    [anon_sym___thread] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_constexpr] = ACTIONS(2208),
    [anon_sym_volatile] = ACTIONS(2208),
    [anon_sym_restrict] = ACTIONS(2208),
    [anon_sym___restrict__] = ACTIONS(2208),
    [anon_sym__Atomic] = ACTIONS(2208),
    [anon_sym__Noreturn] = ACTIONS(2208),
    [anon_sym_noreturn] = ACTIONS(2208),
    [anon_sym_mutable] = ACTIONS(2208),
    [anon_sym_constinit] = ACTIONS(2208),
    [anon_sym_consteval] = ACTIONS(2208),
    [sym_primitive_type] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2208),
    [anon_sym_decltype] = ACTIONS(2208),
    [anon_sym_virtual] = ACTIONS(2208),
    [anon_sym_alignas] = ACTIONS(2208),
    [anon_sym_explicit] = ACTIONS(2208),
    [anon_sym_typename] = ACTIONS(2208),
    [anon_sym_template] = ACTIONS(2208),
    [anon_sym_operator] = ACTIONS(2208),
    [anon_sym_friend] = ACTIONS(2208),
    [anon_sym_public] = ACTIONS(2208),
    [anon_sym_private] = ACTIONS(2208),
    [anon_sym_protected] = ACTIONS(2208),
    [anon_sym_using] = ACTIONS(2208),
    [anon_sym_static_assert] = ACTIONS(2208),
    [anon_sym_catch] = ACTIONS(2208),
  },
  [2579] = {
    [sym_argument_list] = STATE(2965),
    [sym_initializer_list] = STATE(2965),
    [sym_identifier] = ACTIONS(6140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6142),
    [anon_sym_COMMA] = ACTIONS(6142),
    [anon_sym_RPAREN] = ACTIONS(6142),
    [aux_sym_preproc_if_token2] = ACTIONS(6142),
    [aux_sym_preproc_else_token1] = ACTIONS(6142),
    [aux_sym_preproc_elif_token1] = ACTIONS(6140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6142),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(6140),
    [anon_sym_STAR] = ACTIONS(6140),
    [anon_sym_SLASH] = ACTIONS(6140),
    [anon_sym_PERCENT] = ACTIONS(6140),
    [anon_sym_PIPE_PIPE] = ACTIONS(6142),
    [anon_sym_AMP_AMP] = ACTIONS(6142),
    [anon_sym_PIPE] = ACTIONS(6140),
    [anon_sym_CARET] = ACTIONS(6140),
    [anon_sym_AMP] = ACTIONS(6140),
    [anon_sym_EQ_EQ] = ACTIONS(6142),
    [anon_sym_BANG_EQ] = ACTIONS(6142),
    [anon_sym_GT] = ACTIONS(6140),
    [anon_sym_GT_EQ] = ACTIONS(6142),
    [anon_sym_LT_EQ] = ACTIONS(6140),
    [anon_sym_LT] = ACTIONS(6140),
    [anon_sym_LT_LT] = ACTIONS(6140),
    [anon_sym_GT_GT] = ACTIONS(6140),
    [anon_sym_SEMI] = ACTIONS(6142),
    [anon_sym___attribute__] = ACTIONS(6140),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6142),
    [anon_sym_LBRACK] = ACTIONS(6142),
    [anon_sym_RBRACK] = ACTIONS(6142),
    [anon_sym_EQ] = ACTIONS(6140),
    [anon_sym_COLON] = ACTIONS(6142),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_STAR_EQ] = ACTIONS(6142),
    [anon_sym_SLASH_EQ] = ACTIONS(6142),
    [anon_sym_PERCENT_EQ] = ACTIONS(6142),
    [anon_sym_PLUS_EQ] = ACTIONS(6142),
    [anon_sym_DASH_EQ] = ACTIONS(6142),
    [anon_sym_LT_LT_EQ] = ACTIONS(6142),
    [anon_sym_GT_GT_EQ] = ACTIONS(6142),
    [anon_sym_AMP_EQ] = ACTIONS(6142),
    [anon_sym_CARET_EQ] = ACTIONS(6142),
    [anon_sym_PIPE_EQ] = ACTIONS(6142),
    [anon_sym_and_eq] = ACTIONS(6140),
    [anon_sym_or_eq] = ACTIONS(6140),
    [anon_sym_xor_eq] = ACTIONS(6140),
    [anon_sym_LT_EQ_GT] = ACTIONS(6142),
    [anon_sym_or] = ACTIONS(6140),
    [anon_sym_and] = ACTIONS(6140),
    [anon_sym_bitor] = ACTIONS(6140),
    [anon_sym_xor] = ACTIONS(6140),
    [anon_sym_bitand] = ACTIONS(6140),
    [anon_sym_not_eq] = ACTIONS(6140),
    [anon_sym_DASH_DASH] = ACTIONS(6142),
    [anon_sym_PLUS_PLUS] = ACTIONS(6142),
    [anon_sym_DOT] = ACTIONS(6140),
    [anon_sym_DOT_STAR] = ACTIONS(6142),
    [anon_sym_DASH_GT] = ACTIONS(6142),
    [sym_comment] = ACTIONS(3),
  },
  [2580] = {
    [sym_identifier] = ACTIONS(5886),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5888),
    [anon_sym_COMMA] = ACTIONS(5888),
    [anon_sym_RPAREN] = ACTIONS(5888),
    [aux_sym_preproc_if_token2] = ACTIONS(5888),
    [aux_sym_preproc_else_token1] = ACTIONS(5888),
    [aux_sym_preproc_elif_token1] = ACTIONS(5886),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5888),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5888),
    [anon_sym_LPAREN2] = ACTIONS(5888),
    [anon_sym_DASH] = ACTIONS(5886),
    [anon_sym_PLUS] = ACTIONS(5886),
    [anon_sym_STAR] = ACTIONS(5886),
    [anon_sym_SLASH] = ACTIONS(5886),
    [anon_sym_PERCENT] = ACTIONS(5886),
    [anon_sym_PIPE_PIPE] = ACTIONS(5888),
    [anon_sym_AMP_AMP] = ACTIONS(5888),
    [anon_sym_PIPE] = ACTIONS(5886),
    [anon_sym_CARET] = ACTIONS(5886),
    [anon_sym_AMP] = ACTIONS(5886),
    [anon_sym_EQ_EQ] = ACTIONS(5888),
    [anon_sym_BANG_EQ] = ACTIONS(5888),
    [anon_sym_GT] = ACTIONS(5886),
    [anon_sym_GT_EQ] = ACTIONS(5888),
    [anon_sym_LT_EQ] = ACTIONS(5886),
    [anon_sym_LT] = ACTIONS(5886),
    [anon_sym_LT_LT] = ACTIONS(5886),
    [anon_sym_GT_GT] = ACTIONS(5886),
    [anon_sym_SEMI] = ACTIONS(5888),
    [anon_sym___attribute__] = ACTIONS(5886),
    [anon_sym_LBRACE] = ACTIONS(5888),
    [anon_sym_RBRACE] = ACTIONS(5888),
    [anon_sym_LBRACK] = ACTIONS(5888),
    [anon_sym_RBRACK] = ACTIONS(5888),
    [anon_sym_EQ] = ACTIONS(5886),
    [anon_sym_COLON] = ACTIONS(5888),
    [anon_sym_QMARK] = ACTIONS(5888),
    [anon_sym_STAR_EQ] = ACTIONS(5888),
    [anon_sym_SLASH_EQ] = ACTIONS(5888),
    [anon_sym_PERCENT_EQ] = ACTIONS(5888),
    [anon_sym_PLUS_EQ] = ACTIONS(5888),
    [anon_sym_DASH_EQ] = ACTIONS(5888),
    [anon_sym_LT_LT_EQ] = ACTIONS(5888),
    [anon_sym_GT_GT_EQ] = ACTIONS(5888),
    [anon_sym_AMP_EQ] = ACTIONS(5888),
    [anon_sym_CARET_EQ] = ACTIONS(5888),
    [anon_sym_PIPE_EQ] = ACTIONS(5888),
    [anon_sym_and_eq] = ACTIONS(5886),
    [anon_sym_or_eq] = ACTIONS(5886),
    [anon_sym_xor_eq] = ACTIONS(5886),
    [anon_sym_LT_EQ_GT] = ACTIONS(5888),
    [anon_sym_or] = ACTIONS(5886),
    [anon_sym_and] = ACTIONS(5886),
    [anon_sym_bitor] = ACTIONS(5886),
    [anon_sym_xor] = ACTIONS(5886),
    [anon_sym_bitand] = ACTIONS(5886),
    [anon_sym_not_eq] = ACTIONS(5886),
    [anon_sym_DASH_DASH] = ACTIONS(5888),
    [anon_sym_PLUS_PLUS] = ACTIONS(5888),
    [anon_sym_DOT] = ACTIONS(5886),
    [anon_sym_DOT_STAR] = ACTIONS(5888),
    [anon_sym_DASH_GT] = ACTIONS(5888),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5886),
    [anon_sym_decltype] = ACTIONS(5886),
  },
  [2581] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [aux_sym_preproc_if_token2] = ACTIONS(5892),
    [aux_sym_preproc_else_token1] = ACTIONS(5892),
    [aux_sym_preproc_elif_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5890),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5890),
    [anon_sym_GT_GT] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_STAR_EQ] = ACTIONS(5892),
    [anon_sym_SLASH_EQ] = ACTIONS(5892),
    [anon_sym_PERCENT_EQ] = ACTIONS(5892),
    [anon_sym_PLUS_EQ] = ACTIONS(5892),
    [anon_sym_DASH_EQ] = ACTIONS(5892),
    [anon_sym_LT_LT_EQ] = ACTIONS(5892),
    [anon_sym_GT_GT_EQ] = ACTIONS(5892),
    [anon_sym_AMP_EQ] = ACTIONS(5892),
    [anon_sym_CARET_EQ] = ACTIONS(5892),
    [anon_sym_PIPE_EQ] = ACTIONS(5892),
    [anon_sym_and_eq] = ACTIONS(5890),
    [anon_sym_or_eq] = ACTIONS(5890),
    [anon_sym_xor_eq] = ACTIONS(5890),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
  },
  [2582] = {
    [sym_identifier] = ACTIONS(5894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5896),
    [anon_sym_COMMA] = ACTIONS(5896),
    [anon_sym_RPAREN] = ACTIONS(5896),
    [aux_sym_preproc_if_token2] = ACTIONS(5896),
    [aux_sym_preproc_else_token1] = ACTIONS(5896),
    [aux_sym_preproc_elif_token1] = ACTIONS(5894),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5896),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5896),
    [anon_sym_LPAREN2] = ACTIONS(5896),
    [anon_sym_DASH] = ACTIONS(5894),
    [anon_sym_PLUS] = ACTIONS(5894),
    [anon_sym_STAR] = ACTIONS(5894),
    [anon_sym_SLASH] = ACTIONS(5894),
    [anon_sym_PERCENT] = ACTIONS(5894),
    [anon_sym_PIPE_PIPE] = ACTIONS(5896),
    [anon_sym_AMP_AMP] = ACTIONS(5896),
    [anon_sym_PIPE] = ACTIONS(5894),
    [anon_sym_CARET] = ACTIONS(5894),
    [anon_sym_AMP] = ACTIONS(5894),
    [anon_sym_EQ_EQ] = ACTIONS(5896),
    [anon_sym_BANG_EQ] = ACTIONS(5896),
    [anon_sym_GT] = ACTIONS(5894),
    [anon_sym_GT_EQ] = ACTIONS(5896),
    [anon_sym_LT_EQ] = ACTIONS(5894),
    [anon_sym_LT] = ACTIONS(5894),
    [anon_sym_LT_LT] = ACTIONS(5894),
    [anon_sym_GT_GT] = ACTIONS(5894),
    [anon_sym_SEMI] = ACTIONS(5896),
    [anon_sym___attribute__] = ACTIONS(5894),
    [anon_sym_LBRACE] = ACTIONS(5896),
    [anon_sym_RBRACE] = ACTIONS(5896),
    [anon_sym_LBRACK] = ACTIONS(5896),
    [anon_sym_RBRACK] = ACTIONS(5896),
    [anon_sym_EQ] = ACTIONS(5894),
    [anon_sym_COLON] = ACTIONS(5896),
    [anon_sym_QMARK] = ACTIONS(5896),
    [anon_sym_STAR_EQ] = ACTIONS(5896),
    [anon_sym_SLASH_EQ] = ACTIONS(5896),
    [anon_sym_PERCENT_EQ] = ACTIONS(5896),
    [anon_sym_PLUS_EQ] = ACTIONS(5896),
    [anon_sym_DASH_EQ] = ACTIONS(5896),
    [anon_sym_LT_LT_EQ] = ACTIONS(5896),
    [anon_sym_GT_GT_EQ] = ACTIONS(5896),
    [anon_sym_AMP_EQ] = ACTIONS(5896),
    [anon_sym_CARET_EQ] = ACTIONS(5896),
    [anon_sym_PIPE_EQ] = ACTIONS(5896),
    [anon_sym_and_eq] = ACTIONS(5894),
    [anon_sym_or_eq] = ACTIONS(5894),
    [anon_sym_xor_eq] = ACTIONS(5894),
    [anon_sym_LT_EQ_GT] = ACTIONS(5896),
    [anon_sym_or] = ACTIONS(5894),
    [anon_sym_and] = ACTIONS(5894),
    [anon_sym_bitor] = ACTIONS(5894),
    [anon_sym_xor] = ACTIONS(5894),
    [anon_sym_bitand] = ACTIONS(5894),
    [anon_sym_not_eq] = ACTIONS(5894),
    [anon_sym_DASH_DASH] = ACTIONS(5896),
    [anon_sym_PLUS_PLUS] = ACTIONS(5896),
    [anon_sym_DOT] = ACTIONS(5894),
    [anon_sym_DOT_STAR] = ACTIONS(5896),
    [anon_sym_DASH_GT] = ACTIONS(5896),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5894),
    [anon_sym_decltype] = ACTIONS(5894),
  },
  [2583] = {
    [sym_identifier] = ACTIONS(5691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5693),
    [anon_sym_COMMA] = ACTIONS(5693),
    [anon_sym_RPAREN] = ACTIONS(5693),
    [aux_sym_preproc_if_token2] = ACTIONS(5693),
    [aux_sym_preproc_else_token1] = ACTIONS(5693),
    [aux_sym_preproc_elif_token1] = ACTIONS(5691),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5693),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5693),
    [anon_sym_LPAREN2] = ACTIONS(5693),
    [anon_sym_DASH] = ACTIONS(5691),
    [anon_sym_PLUS] = ACTIONS(5691),
    [anon_sym_STAR] = ACTIONS(5691),
    [anon_sym_SLASH] = ACTIONS(5691),
    [anon_sym_PERCENT] = ACTIONS(5691),
    [anon_sym_PIPE_PIPE] = ACTIONS(5693),
    [anon_sym_AMP_AMP] = ACTIONS(5693),
    [anon_sym_PIPE] = ACTIONS(5691),
    [anon_sym_CARET] = ACTIONS(5691),
    [anon_sym_AMP] = ACTIONS(5691),
    [anon_sym_EQ_EQ] = ACTIONS(5693),
    [anon_sym_BANG_EQ] = ACTIONS(5693),
    [anon_sym_GT] = ACTIONS(5691),
    [anon_sym_GT_EQ] = ACTIONS(5693),
    [anon_sym_LT_EQ] = ACTIONS(5691),
    [anon_sym_LT] = ACTIONS(5691),
    [anon_sym_LT_LT] = ACTIONS(5691),
    [anon_sym_GT_GT] = ACTIONS(5691),
    [anon_sym_SEMI] = ACTIONS(5693),
    [anon_sym___attribute__] = ACTIONS(5691),
    [anon_sym_LBRACE] = ACTIONS(5693),
    [anon_sym_RBRACE] = ACTIONS(5693),
    [anon_sym_LBRACK] = ACTIONS(5693),
    [anon_sym_RBRACK] = ACTIONS(5693),
    [anon_sym_EQ] = ACTIONS(5691),
    [anon_sym_COLON] = ACTIONS(5693),
    [anon_sym_QMARK] = ACTIONS(5693),
    [anon_sym_STAR_EQ] = ACTIONS(5693),
    [anon_sym_SLASH_EQ] = ACTIONS(5693),
    [anon_sym_PERCENT_EQ] = ACTIONS(5693),
    [anon_sym_PLUS_EQ] = ACTIONS(5693),
    [anon_sym_DASH_EQ] = ACTIONS(5693),
    [anon_sym_LT_LT_EQ] = ACTIONS(5693),
    [anon_sym_GT_GT_EQ] = ACTIONS(5693),
    [anon_sym_AMP_EQ] = ACTIONS(5693),
    [anon_sym_CARET_EQ] = ACTIONS(5693),
    [anon_sym_PIPE_EQ] = ACTIONS(5693),
    [anon_sym_and_eq] = ACTIONS(5691),
    [anon_sym_or_eq] = ACTIONS(5691),
    [anon_sym_xor_eq] = ACTIONS(5691),
    [anon_sym_LT_EQ_GT] = ACTIONS(5693),
    [anon_sym_or] = ACTIONS(5691),
    [anon_sym_and] = ACTIONS(5691),
    [anon_sym_bitor] = ACTIONS(5691),
    [anon_sym_xor] = ACTIONS(5691),
    [anon_sym_bitand] = ACTIONS(5691),
    [anon_sym_not_eq] = ACTIONS(5691),
    [anon_sym_DASH_DASH] = ACTIONS(5693),
    [anon_sym_PLUS_PLUS] = ACTIONS(5693),
    [anon_sym_DOT] = ACTIONS(5691),
    [anon_sym_DOT_STAR] = ACTIONS(5693),
    [anon_sym_DASH_GT] = ACTIONS(5693),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5691),
    [anon_sym_decltype] = ACTIONS(5691),
  },
  [2584] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2567),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6090),
    [anon_sym_COMMA] = ACTIONS(6090),
    [anon_sym_RPAREN] = ACTIONS(6090),
    [anon_sym_LPAREN2] = ACTIONS(6090),
    [anon_sym_DASH] = ACTIONS(6088),
    [anon_sym_PLUS] = ACTIONS(6088),
    [anon_sym_STAR] = ACTIONS(6090),
    [anon_sym_SLASH] = ACTIONS(6088),
    [anon_sym_PERCENT] = ACTIONS(6090),
    [anon_sym_PIPE_PIPE] = ACTIONS(6090),
    [anon_sym_AMP_AMP] = ACTIONS(6090),
    [anon_sym_PIPE] = ACTIONS(6088),
    [anon_sym_CARET] = ACTIONS(6090),
    [anon_sym_AMP] = ACTIONS(6088),
    [anon_sym_EQ_EQ] = ACTIONS(6090),
    [anon_sym_BANG_EQ] = ACTIONS(6090),
    [anon_sym_GT] = ACTIONS(6088),
    [anon_sym_GT_EQ] = ACTIONS(6090),
    [anon_sym_LT_EQ] = ACTIONS(6088),
    [anon_sym_LT] = ACTIONS(6088),
    [anon_sym_LT_LT] = ACTIONS(6090),
    [anon_sym_GT_GT] = ACTIONS(6090),
    [anon_sym_SEMI] = ACTIONS(6090),
    [anon_sym___extension__] = ACTIONS(6090),
    [anon_sym___attribute__] = ACTIONS(6090),
    [anon_sym_LBRACE] = ACTIONS(6090),
    [anon_sym_RBRACE] = ACTIONS(6090),
    [anon_sym_signed] = ACTIONS(6144),
    [anon_sym_unsigned] = ACTIONS(6144),
    [anon_sym_long] = ACTIONS(6144),
    [anon_sym_short] = ACTIONS(6144),
    [anon_sym_LBRACK] = ACTIONS(6090),
    [anon_sym_RBRACK] = ACTIONS(6090),
    [anon_sym_const] = ACTIONS(6088),
    [anon_sym_constexpr] = ACTIONS(6090),
    [anon_sym_volatile] = ACTIONS(6090),
    [anon_sym_restrict] = ACTIONS(6090),
    [anon_sym___restrict__] = ACTIONS(6090),
    [anon_sym__Atomic] = ACTIONS(6090),
    [anon_sym__Noreturn] = ACTIONS(6090),
    [anon_sym_noreturn] = ACTIONS(6090),
    [anon_sym_mutable] = ACTIONS(6090),
    [anon_sym_constinit] = ACTIONS(6090),
    [anon_sym_consteval] = ACTIONS(6090),
    [anon_sym_COLON] = ACTIONS(6090),
    [anon_sym_QMARK] = ACTIONS(6090),
    [anon_sym_LT_EQ_GT] = ACTIONS(6090),
    [anon_sym_or] = ACTIONS(6090),
    [anon_sym_and] = ACTIONS(6090),
    [anon_sym_bitor] = ACTIONS(6090),
    [anon_sym_xor] = ACTIONS(6090),
    [anon_sym_bitand] = ACTIONS(6090),
    [anon_sym_not_eq] = ACTIONS(6090),
    [anon_sym_DASH_DASH] = ACTIONS(6090),
    [anon_sym_PLUS_PLUS] = ACTIONS(6090),
    [anon_sym_DOT] = ACTIONS(6088),
    [anon_sym_DOT_STAR] = ACTIONS(6090),
    [anon_sym_DASH_GT] = ACTIONS(6090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6090),
    [anon_sym_decltype] = ACTIONS(6090),
    [anon_sym_final] = ACTIONS(6090),
    [anon_sym_override] = ACTIONS(6090),
    [anon_sym_requires] = ACTIONS(6090),
  },
  [2585] = {
    [sym_identifier] = ACTIONS(5826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5828),
    [anon_sym_COMMA] = ACTIONS(5828),
    [anon_sym_RPAREN] = ACTIONS(5828),
    [aux_sym_preproc_if_token2] = ACTIONS(5828),
    [aux_sym_preproc_else_token1] = ACTIONS(5828),
    [aux_sym_preproc_elif_token1] = ACTIONS(5826),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5828),
    [anon_sym_LPAREN2] = ACTIONS(5828),
    [anon_sym_DASH] = ACTIONS(5826),
    [anon_sym_PLUS] = ACTIONS(5826),
    [anon_sym_STAR] = ACTIONS(5826),
    [anon_sym_SLASH] = ACTIONS(5826),
    [anon_sym_PERCENT] = ACTIONS(5826),
    [anon_sym_PIPE_PIPE] = ACTIONS(5828),
    [anon_sym_AMP_AMP] = ACTIONS(5828),
    [anon_sym_PIPE] = ACTIONS(5826),
    [anon_sym_CARET] = ACTIONS(5826),
    [anon_sym_AMP] = ACTIONS(5826),
    [anon_sym_EQ_EQ] = ACTIONS(5828),
    [anon_sym_BANG_EQ] = ACTIONS(5828),
    [anon_sym_GT] = ACTIONS(5826),
    [anon_sym_GT_EQ] = ACTIONS(5828),
    [anon_sym_LT_EQ] = ACTIONS(5826),
    [anon_sym_LT] = ACTIONS(5826),
    [anon_sym_LT_LT] = ACTIONS(5826),
    [anon_sym_GT_GT] = ACTIONS(5826),
    [anon_sym_SEMI] = ACTIONS(5828),
    [anon_sym___attribute__] = ACTIONS(5826),
    [anon_sym_LBRACE] = ACTIONS(5828),
    [anon_sym_RBRACE] = ACTIONS(5828),
    [anon_sym_LBRACK] = ACTIONS(5828),
    [anon_sym_RBRACK] = ACTIONS(5828),
    [anon_sym_EQ] = ACTIONS(5826),
    [anon_sym_COLON] = ACTIONS(5828),
    [anon_sym_QMARK] = ACTIONS(5828),
    [anon_sym_STAR_EQ] = ACTIONS(5828),
    [anon_sym_SLASH_EQ] = ACTIONS(5828),
    [anon_sym_PERCENT_EQ] = ACTIONS(5828),
    [anon_sym_PLUS_EQ] = ACTIONS(5828),
    [anon_sym_DASH_EQ] = ACTIONS(5828),
    [anon_sym_LT_LT_EQ] = ACTIONS(5828),
    [anon_sym_GT_GT_EQ] = ACTIONS(5828),
    [anon_sym_AMP_EQ] = ACTIONS(5828),
    [anon_sym_CARET_EQ] = ACTIONS(5828),
    [anon_sym_PIPE_EQ] = ACTIONS(5828),
    [anon_sym_and_eq] = ACTIONS(5826),
    [anon_sym_or_eq] = ACTIONS(5826),
    [anon_sym_xor_eq] = ACTIONS(5826),
    [anon_sym_LT_EQ_GT] = ACTIONS(5828),
    [anon_sym_or] = ACTIONS(5826),
    [anon_sym_and] = ACTIONS(5826),
    [anon_sym_bitor] = ACTIONS(5826),
    [anon_sym_xor] = ACTIONS(5826),
    [anon_sym_bitand] = ACTIONS(5826),
    [anon_sym_not_eq] = ACTIONS(5826),
    [anon_sym_DASH_DASH] = ACTIONS(5828),
    [anon_sym_PLUS_PLUS] = ACTIONS(5828),
    [anon_sym_DOT] = ACTIONS(5826),
    [anon_sym_DOT_STAR] = ACTIONS(5828),
    [anon_sym_DASH_GT] = ACTIONS(5828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5826),
    [anon_sym_decltype] = ACTIONS(5826),
  },
  [2586] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6084),
    [anon_sym_COMMA] = ACTIONS(6084),
    [anon_sym_RPAREN] = ACTIONS(6084),
    [anon_sym_LPAREN2] = ACTIONS(6084),
    [anon_sym_DASH] = ACTIONS(6082),
    [anon_sym_PLUS] = ACTIONS(6082),
    [anon_sym_STAR] = ACTIONS(6084),
    [anon_sym_SLASH] = ACTIONS(6082),
    [anon_sym_PERCENT] = ACTIONS(6084),
    [anon_sym_PIPE_PIPE] = ACTIONS(6084),
    [anon_sym_AMP_AMP] = ACTIONS(6084),
    [anon_sym_PIPE] = ACTIONS(6082),
    [anon_sym_CARET] = ACTIONS(6084),
    [anon_sym_AMP] = ACTIONS(6082),
    [anon_sym_EQ_EQ] = ACTIONS(6084),
    [anon_sym_BANG_EQ] = ACTIONS(6084),
    [anon_sym_GT] = ACTIONS(6082),
    [anon_sym_GT_EQ] = ACTIONS(6084),
    [anon_sym_LT_EQ] = ACTIONS(6082),
    [anon_sym_LT] = ACTIONS(6082),
    [anon_sym_LT_LT] = ACTIONS(6084),
    [anon_sym_GT_GT] = ACTIONS(6084),
    [anon_sym_SEMI] = ACTIONS(6084),
    [anon_sym___extension__] = ACTIONS(6084),
    [anon_sym___attribute__] = ACTIONS(6084),
    [anon_sym_LBRACE] = ACTIONS(6084),
    [anon_sym_RBRACE] = ACTIONS(6084),
    [anon_sym_signed] = ACTIONS(6146),
    [anon_sym_unsigned] = ACTIONS(6146),
    [anon_sym_long] = ACTIONS(6146),
    [anon_sym_short] = ACTIONS(6146),
    [anon_sym_LBRACK] = ACTIONS(6084),
    [anon_sym_RBRACK] = ACTIONS(6084),
    [anon_sym_const] = ACTIONS(6082),
    [anon_sym_constexpr] = ACTIONS(6084),
    [anon_sym_volatile] = ACTIONS(6084),
    [anon_sym_restrict] = ACTIONS(6084),
    [anon_sym___restrict__] = ACTIONS(6084),
    [anon_sym__Atomic] = ACTIONS(6084),
    [anon_sym__Noreturn] = ACTIONS(6084),
    [anon_sym_noreturn] = ACTIONS(6084),
    [anon_sym_mutable] = ACTIONS(6084),
    [anon_sym_constinit] = ACTIONS(6084),
    [anon_sym_consteval] = ACTIONS(6084),
    [anon_sym_COLON] = ACTIONS(6084),
    [anon_sym_QMARK] = ACTIONS(6084),
    [anon_sym_LT_EQ_GT] = ACTIONS(6084),
    [anon_sym_or] = ACTIONS(6084),
    [anon_sym_and] = ACTIONS(6084),
    [anon_sym_bitor] = ACTIONS(6084),
    [anon_sym_xor] = ACTIONS(6084),
    [anon_sym_bitand] = ACTIONS(6084),
    [anon_sym_not_eq] = ACTIONS(6084),
    [anon_sym_DASH_DASH] = ACTIONS(6084),
    [anon_sym_PLUS_PLUS] = ACTIONS(6084),
    [anon_sym_DOT] = ACTIONS(6082),
    [anon_sym_DOT_STAR] = ACTIONS(6084),
    [anon_sym_DASH_GT] = ACTIONS(6084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6084),
    [anon_sym_decltype] = ACTIONS(6084),
    [anon_sym_final] = ACTIONS(6084),
    [anon_sym_override] = ACTIONS(6084),
    [anon_sym_requires] = ACTIONS(6084),
  },
  [2587] = {
    [sym_identifier] = ACTIONS(5830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5832),
    [anon_sym_COMMA] = ACTIONS(5832),
    [anon_sym_RPAREN] = ACTIONS(5832),
    [aux_sym_preproc_if_token2] = ACTIONS(5832),
    [aux_sym_preproc_else_token1] = ACTIONS(5832),
    [aux_sym_preproc_elif_token1] = ACTIONS(5830),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5832),
    [anon_sym_LPAREN2] = ACTIONS(5832),
    [anon_sym_DASH] = ACTIONS(5830),
    [anon_sym_PLUS] = ACTIONS(5830),
    [anon_sym_STAR] = ACTIONS(5830),
    [anon_sym_SLASH] = ACTIONS(5830),
    [anon_sym_PERCENT] = ACTIONS(5830),
    [anon_sym_PIPE_PIPE] = ACTIONS(5832),
    [anon_sym_AMP_AMP] = ACTIONS(5832),
    [anon_sym_PIPE] = ACTIONS(5830),
    [anon_sym_CARET] = ACTIONS(5830),
    [anon_sym_AMP] = ACTIONS(5830),
    [anon_sym_EQ_EQ] = ACTIONS(5832),
    [anon_sym_BANG_EQ] = ACTIONS(5832),
    [anon_sym_GT] = ACTIONS(5830),
    [anon_sym_GT_EQ] = ACTIONS(5832),
    [anon_sym_LT_EQ] = ACTIONS(5830),
    [anon_sym_LT] = ACTIONS(5830),
    [anon_sym_LT_LT] = ACTIONS(5830),
    [anon_sym_GT_GT] = ACTIONS(5830),
    [anon_sym_SEMI] = ACTIONS(5832),
    [anon_sym___attribute__] = ACTIONS(5830),
    [anon_sym_LBRACE] = ACTIONS(5832),
    [anon_sym_RBRACE] = ACTIONS(5832),
    [anon_sym_LBRACK] = ACTIONS(5832),
    [anon_sym_RBRACK] = ACTIONS(5832),
    [anon_sym_EQ] = ACTIONS(5830),
    [anon_sym_COLON] = ACTIONS(5832),
    [anon_sym_QMARK] = ACTIONS(5832),
    [anon_sym_STAR_EQ] = ACTIONS(5832),
    [anon_sym_SLASH_EQ] = ACTIONS(5832),
    [anon_sym_PERCENT_EQ] = ACTIONS(5832),
    [anon_sym_PLUS_EQ] = ACTIONS(5832),
    [anon_sym_DASH_EQ] = ACTIONS(5832),
    [anon_sym_LT_LT_EQ] = ACTIONS(5832),
    [anon_sym_GT_GT_EQ] = ACTIONS(5832),
    [anon_sym_AMP_EQ] = ACTIONS(5832),
    [anon_sym_CARET_EQ] = ACTIONS(5832),
    [anon_sym_PIPE_EQ] = ACTIONS(5832),
    [anon_sym_and_eq] = ACTIONS(5830),
    [anon_sym_or_eq] = ACTIONS(5830),
    [anon_sym_xor_eq] = ACTIONS(5830),
    [anon_sym_LT_EQ_GT] = ACTIONS(5832),
    [anon_sym_or] = ACTIONS(5830),
    [anon_sym_and] = ACTIONS(5830),
    [anon_sym_bitor] = ACTIONS(5830),
    [anon_sym_xor] = ACTIONS(5830),
    [anon_sym_bitand] = ACTIONS(5830),
    [anon_sym_not_eq] = ACTIONS(5830),
    [anon_sym_DASH_DASH] = ACTIONS(5832),
    [anon_sym_PLUS_PLUS] = ACTIONS(5832),
    [anon_sym_DOT] = ACTIONS(5830),
    [anon_sym_DOT_STAR] = ACTIONS(5832),
    [anon_sym_DASH_GT] = ACTIONS(5832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5830),
    [anon_sym_decltype] = ACTIONS(5830),
  },
  [2588] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(6049),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [anon_sym_LPAREN2] = ACTIONS(6049),
    [anon_sym_DASH] = ACTIONS(6047),
    [anon_sym_PLUS] = ACTIONS(6047),
    [anon_sym_STAR] = ACTIONS(6049),
    [anon_sym_SLASH] = ACTIONS(6047),
    [anon_sym_PERCENT] = ACTIONS(6049),
    [anon_sym_PIPE_PIPE] = ACTIONS(6049),
    [anon_sym_AMP_AMP] = ACTIONS(6049),
    [anon_sym_PIPE] = ACTIONS(6047),
    [anon_sym_CARET] = ACTIONS(6049),
    [anon_sym_AMP] = ACTIONS(6047),
    [anon_sym_EQ_EQ] = ACTIONS(6049),
    [anon_sym_BANG_EQ] = ACTIONS(6049),
    [anon_sym_GT] = ACTIONS(6047),
    [anon_sym_GT_EQ] = ACTIONS(6049),
    [anon_sym_LT_EQ] = ACTIONS(6047),
    [anon_sym_LT] = ACTIONS(6047),
    [anon_sym_LT_LT] = ACTIONS(6049),
    [anon_sym_GT_GT] = ACTIONS(6049),
    [anon_sym_SEMI] = ACTIONS(6049),
    [anon_sym___extension__] = ACTIONS(6049),
    [anon_sym___attribute__] = ACTIONS(6049),
    [anon_sym_LBRACE] = ACTIONS(6049),
    [anon_sym_RBRACE] = ACTIONS(6049),
    [anon_sym_signed] = ACTIONS(6132),
    [anon_sym_unsigned] = ACTIONS(6132),
    [anon_sym_long] = ACTIONS(6132),
    [anon_sym_short] = ACTIONS(6132),
    [anon_sym_LBRACK] = ACTIONS(6049),
    [anon_sym_RBRACK] = ACTIONS(6049),
    [anon_sym_const] = ACTIONS(6047),
    [anon_sym_constexpr] = ACTIONS(6049),
    [anon_sym_volatile] = ACTIONS(6049),
    [anon_sym_restrict] = ACTIONS(6049),
    [anon_sym___restrict__] = ACTIONS(6049),
    [anon_sym__Atomic] = ACTIONS(6049),
    [anon_sym__Noreturn] = ACTIONS(6049),
    [anon_sym_noreturn] = ACTIONS(6049),
    [anon_sym_mutable] = ACTIONS(6049),
    [anon_sym_constinit] = ACTIONS(6049),
    [anon_sym_consteval] = ACTIONS(6049),
    [anon_sym_COLON] = ACTIONS(6049),
    [anon_sym_QMARK] = ACTIONS(6049),
    [anon_sym_LT_EQ_GT] = ACTIONS(6049),
    [anon_sym_or] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(6049),
    [anon_sym_bitor] = ACTIONS(6049),
    [anon_sym_xor] = ACTIONS(6049),
    [anon_sym_bitand] = ACTIONS(6049),
    [anon_sym_not_eq] = ACTIONS(6049),
    [anon_sym_DASH_DASH] = ACTIONS(6049),
    [anon_sym_PLUS_PLUS] = ACTIONS(6049),
    [anon_sym_DOT] = ACTIONS(6047),
    [anon_sym_DOT_STAR] = ACTIONS(6049),
    [anon_sym_DASH_GT] = ACTIONS(6049),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6049),
    [anon_sym_decltype] = ACTIONS(6049),
    [anon_sym_final] = ACTIONS(6049),
    [anon_sym_override] = ACTIONS(6049),
    [anon_sym_requires] = ACTIONS(6049),
  },
  [2589] = {
    [sym_identifier] = ACTIONS(5838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5840),
    [anon_sym_COMMA] = ACTIONS(5840),
    [anon_sym_RPAREN] = ACTIONS(5840),
    [aux_sym_preproc_if_token2] = ACTIONS(5840),
    [aux_sym_preproc_else_token1] = ACTIONS(5840),
    [aux_sym_preproc_elif_token1] = ACTIONS(5838),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5840),
    [anon_sym_LPAREN2] = ACTIONS(5840),
    [anon_sym_DASH] = ACTIONS(5838),
    [anon_sym_PLUS] = ACTIONS(5838),
    [anon_sym_STAR] = ACTIONS(5838),
    [anon_sym_SLASH] = ACTIONS(5838),
    [anon_sym_PERCENT] = ACTIONS(5838),
    [anon_sym_PIPE_PIPE] = ACTIONS(5840),
    [anon_sym_AMP_AMP] = ACTIONS(5840),
    [anon_sym_PIPE] = ACTIONS(5838),
    [anon_sym_CARET] = ACTIONS(5838),
    [anon_sym_AMP] = ACTIONS(5838),
    [anon_sym_EQ_EQ] = ACTIONS(5840),
    [anon_sym_BANG_EQ] = ACTIONS(5840),
    [anon_sym_GT] = ACTIONS(5838),
    [anon_sym_GT_EQ] = ACTIONS(5840),
    [anon_sym_LT_EQ] = ACTIONS(5838),
    [anon_sym_LT] = ACTIONS(5838),
    [anon_sym_LT_LT] = ACTIONS(5838),
    [anon_sym_GT_GT] = ACTIONS(5838),
    [anon_sym_SEMI] = ACTIONS(5840),
    [anon_sym___attribute__] = ACTIONS(5838),
    [anon_sym_LBRACE] = ACTIONS(5840),
    [anon_sym_RBRACE] = ACTIONS(5840),
    [anon_sym_LBRACK] = ACTIONS(5840),
    [anon_sym_RBRACK] = ACTIONS(5840),
    [anon_sym_EQ] = ACTIONS(5838),
    [anon_sym_COLON] = ACTIONS(5840),
    [anon_sym_QMARK] = ACTIONS(5840),
    [anon_sym_STAR_EQ] = ACTIONS(5840),
    [anon_sym_SLASH_EQ] = ACTIONS(5840),
    [anon_sym_PERCENT_EQ] = ACTIONS(5840),
    [anon_sym_PLUS_EQ] = ACTIONS(5840),
    [anon_sym_DASH_EQ] = ACTIONS(5840),
    [anon_sym_LT_LT_EQ] = ACTIONS(5840),
    [anon_sym_GT_GT_EQ] = ACTIONS(5840),
    [anon_sym_AMP_EQ] = ACTIONS(5840),
    [anon_sym_CARET_EQ] = ACTIONS(5840),
    [anon_sym_PIPE_EQ] = ACTIONS(5840),
    [anon_sym_and_eq] = ACTIONS(5838),
    [anon_sym_or_eq] = ACTIONS(5838),
    [anon_sym_xor_eq] = ACTIONS(5838),
    [anon_sym_LT_EQ_GT] = ACTIONS(5840),
    [anon_sym_or] = ACTIONS(5838),
    [anon_sym_and] = ACTIONS(5838),
    [anon_sym_bitor] = ACTIONS(5838),
    [anon_sym_xor] = ACTIONS(5838),
    [anon_sym_bitand] = ACTIONS(5838),
    [anon_sym_not_eq] = ACTIONS(5838),
    [anon_sym_DASH_DASH] = ACTIONS(5840),
    [anon_sym_PLUS_PLUS] = ACTIONS(5840),
    [anon_sym_DOT] = ACTIONS(5838),
    [anon_sym_DOT_STAR] = ACTIONS(5840),
    [anon_sym_DASH_GT] = ACTIONS(5840),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5838),
    [anon_sym_decltype] = ACTIONS(5838),
  },
  [2590] = {
    [sym_template_argument_list] = STATE(2657),
    [sym_identifier] = ACTIONS(5093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5086),
    [anon_sym_COMMA] = ACTIONS(5086),
    [anon_sym_RPAREN] = ACTIONS(5086),
    [aux_sym_preproc_if_token2] = ACTIONS(5086),
    [aux_sym_preproc_else_token1] = ACTIONS(5086),
    [aux_sym_preproc_elif_token1] = ACTIONS(5093),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(5086),
    [anon_sym_DASH] = ACTIONS(5093),
    [anon_sym_PLUS] = ACTIONS(5093),
    [anon_sym_STAR] = ACTIONS(5093),
    [anon_sym_SLASH] = ACTIONS(5093),
    [anon_sym_PERCENT] = ACTIONS(5093),
    [anon_sym_PIPE_PIPE] = ACTIONS(5086),
    [anon_sym_AMP_AMP] = ACTIONS(5086),
    [anon_sym_PIPE] = ACTIONS(5093),
    [anon_sym_CARET] = ACTIONS(5093),
    [anon_sym_AMP] = ACTIONS(5093),
    [anon_sym_EQ_EQ] = ACTIONS(5086),
    [anon_sym_BANG_EQ] = ACTIONS(5086),
    [anon_sym_GT] = ACTIONS(5093),
    [anon_sym_GT_EQ] = ACTIONS(5086),
    [anon_sym_LT_EQ] = ACTIONS(5093),
    [anon_sym_LT] = ACTIONS(6148),
    [anon_sym_LT_LT] = ACTIONS(5093),
    [anon_sym_GT_GT] = ACTIONS(5093),
    [anon_sym_SEMI] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5093),
    [anon_sym_COLON_COLON] = ACTIONS(4146),
    [anon_sym_LBRACE] = ACTIONS(5091),
    [anon_sym_RBRACE] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(5086),
    [anon_sym_RBRACK] = ACTIONS(5086),
    [anon_sym_EQ] = ACTIONS(5093),
    [anon_sym_COLON] = ACTIONS(5093),
    [anon_sym_QMARK] = ACTIONS(5086),
    [anon_sym_STAR_EQ] = ACTIONS(5086),
    [anon_sym_SLASH_EQ] = ACTIONS(5086),
    [anon_sym_PERCENT_EQ] = ACTIONS(5086),
    [anon_sym_PLUS_EQ] = ACTIONS(5086),
    [anon_sym_DASH_EQ] = ACTIONS(5086),
    [anon_sym_LT_LT_EQ] = ACTIONS(5086),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5086),
    [anon_sym_CARET_EQ] = ACTIONS(5086),
    [anon_sym_PIPE_EQ] = ACTIONS(5086),
    [anon_sym_and_eq] = ACTIONS(5093),
    [anon_sym_or_eq] = ACTIONS(5093),
    [anon_sym_xor_eq] = ACTIONS(5093),
    [anon_sym_LT_EQ_GT] = ACTIONS(5086),
    [anon_sym_or] = ACTIONS(5093),
    [anon_sym_and] = ACTIONS(5093),
    [anon_sym_bitor] = ACTIONS(5093),
    [anon_sym_xor] = ACTIONS(5093),
    [anon_sym_bitand] = ACTIONS(5093),
    [anon_sym_not_eq] = ACTIONS(5093),
    [anon_sym_DASH_DASH] = ACTIONS(5086),
    [anon_sym_PLUS_PLUS] = ACTIONS(5086),
    [anon_sym_DOT] = ACTIONS(5093),
    [anon_sym_DOT_STAR] = ACTIONS(5086),
    [anon_sym_DASH_GT] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
  },
  [2591] = {
    [sym_identifier] = ACTIONS(5890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5892),
    [anon_sym_COMMA] = ACTIONS(5892),
    [anon_sym_RPAREN] = ACTIONS(5892),
    [aux_sym_preproc_if_token2] = ACTIONS(5892),
    [aux_sym_preproc_else_token1] = ACTIONS(5892),
    [aux_sym_preproc_elif_token1] = ACTIONS(5890),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5892),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5892),
    [anon_sym_LPAREN2] = ACTIONS(5892),
    [anon_sym_DASH] = ACTIONS(5890),
    [anon_sym_PLUS] = ACTIONS(5890),
    [anon_sym_STAR] = ACTIONS(5890),
    [anon_sym_SLASH] = ACTIONS(5890),
    [anon_sym_PERCENT] = ACTIONS(5890),
    [anon_sym_PIPE_PIPE] = ACTIONS(5892),
    [anon_sym_AMP_AMP] = ACTIONS(5892),
    [anon_sym_PIPE] = ACTIONS(5890),
    [anon_sym_CARET] = ACTIONS(5890),
    [anon_sym_AMP] = ACTIONS(5890),
    [anon_sym_EQ_EQ] = ACTIONS(5892),
    [anon_sym_BANG_EQ] = ACTIONS(5892),
    [anon_sym_GT] = ACTIONS(5890),
    [anon_sym_GT_EQ] = ACTIONS(5892),
    [anon_sym_LT_EQ] = ACTIONS(5890),
    [anon_sym_LT] = ACTIONS(5890),
    [anon_sym_LT_LT] = ACTIONS(5890),
    [anon_sym_GT_GT] = ACTIONS(5890),
    [anon_sym_SEMI] = ACTIONS(5892),
    [anon_sym___attribute__] = ACTIONS(5890),
    [anon_sym_LBRACE] = ACTIONS(5892),
    [anon_sym_RBRACE] = ACTIONS(5892),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(5892),
    [anon_sym_EQ] = ACTIONS(5890),
    [anon_sym_COLON] = ACTIONS(5892),
    [anon_sym_QMARK] = ACTIONS(5892),
    [anon_sym_STAR_EQ] = ACTIONS(5892),
    [anon_sym_SLASH_EQ] = ACTIONS(5892),
    [anon_sym_PERCENT_EQ] = ACTIONS(5892),
    [anon_sym_PLUS_EQ] = ACTIONS(5892),
    [anon_sym_DASH_EQ] = ACTIONS(5892),
    [anon_sym_LT_LT_EQ] = ACTIONS(5892),
    [anon_sym_GT_GT_EQ] = ACTIONS(5892),
    [anon_sym_AMP_EQ] = ACTIONS(5892),
    [anon_sym_CARET_EQ] = ACTIONS(5892),
    [anon_sym_PIPE_EQ] = ACTIONS(5892),
    [anon_sym_and_eq] = ACTIONS(5890),
    [anon_sym_or_eq] = ACTIONS(5890),
    [anon_sym_xor_eq] = ACTIONS(5890),
    [anon_sym_LT_EQ_GT] = ACTIONS(5892),
    [anon_sym_or] = ACTIONS(5890),
    [anon_sym_and] = ACTIONS(5890),
    [anon_sym_bitor] = ACTIONS(5890),
    [anon_sym_xor] = ACTIONS(5890),
    [anon_sym_bitand] = ACTIONS(5890),
    [anon_sym_not_eq] = ACTIONS(5890),
    [anon_sym_DASH_DASH] = ACTIONS(5892),
    [anon_sym_PLUS_PLUS] = ACTIONS(5892),
    [anon_sym_DOT] = ACTIONS(5890),
    [anon_sym_DOT_STAR] = ACTIONS(5892),
    [anon_sym_DASH_GT] = ACTIONS(5892),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5890),
    [anon_sym_decltype] = ACTIONS(5890),
  },
  [2592] = {
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5914),
    [anon_sym_COMMA] = ACTIONS(5914),
    [anon_sym_RPAREN] = ACTIONS(5914),
    [aux_sym_preproc_if_token2] = ACTIONS(5914),
    [aux_sym_preproc_else_token1] = ACTIONS(5914),
    [aux_sym_preproc_elif_token1] = ACTIONS(5912),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5914),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5914),
    [anon_sym_LPAREN2] = ACTIONS(5914),
    [anon_sym_DASH] = ACTIONS(5912),
    [anon_sym_PLUS] = ACTIONS(5912),
    [anon_sym_STAR] = ACTIONS(5912),
    [anon_sym_SLASH] = ACTIONS(5912),
    [anon_sym_PERCENT] = ACTIONS(5912),
    [anon_sym_PIPE_PIPE] = ACTIONS(5914),
    [anon_sym_AMP_AMP] = ACTIONS(5914),
    [anon_sym_PIPE] = ACTIONS(5912),
    [anon_sym_CARET] = ACTIONS(5912),
    [anon_sym_AMP] = ACTIONS(5912),
    [anon_sym_EQ_EQ] = ACTIONS(5914),
    [anon_sym_BANG_EQ] = ACTIONS(5914),
    [anon_sym_GT] = ACTIONS(5912),
    [anon_sym_GT_EQ] = ACTIONS(5914),
    [anon_sym_LT_EQ] = ACTIONS(5912),
    [anon_sym_LT] = ACTIONS(5912),
    [anon_sym_LT_LT] = ACTIONS(5912),
    [anon_sym_GT_GT] = ACTIONS(5912),
    [anon_sym_SEMI] = ACTIONS(5914),
    [anon_sym___attribute__] = ACTIONS(5912),
    [anon_sym_LBRACE] = ACTIONS(5914),
    [anon_sym_RBRACE] = ACTIONS(5914),
    [anon_sym_LBRACK] = ACTIONS(5914),
    [anon_sym_RBRACK] = ACTIONS(5914),
    [anon_sym_EQ] = ACTIONS(5912),
    [anon_sym_COLON] = ACTIONS(5914),
    [anon_sym_QMARK] = ACTIONS(5914),
    [anon_sym_STAR_EQ] = ACTIONS(5914),
    [anon_sym_SLASH_EQ] = ACTIONS(5914),
    [anon_sym_PERCENT_EQ] = ACTIONS(5914),
    [anon_sym_PLUS_EQ] = ACTIONS(5914),
    [anon_sym_DASH_EQ] = ACTIONS(5914),
    [anon_sym_LT_LT_EQ] = ACTIONS(5914),
    [anon_sym_GT_GT_EQ] = ACTIONS(5914),
    [anon_sym_AMP_EQ] = ACTIONS(5914),
    [anon_sym_CARET_EQ] = ACTIONS(5914),
    [anon_sym_PIPE_EQ] = ACTIONS(5914),
    [anon_sym_and_eq] = ACTIONS(5912),
    [anon_sym_or_eq] = ACTIONS(5912),
    [anon_sym_xor_eq] = ACTIONS(5912),
    [anon_sym_LT_EQ_GT] = ACTIONS(5914),
    [anon_sym_or] = ACTIONS(5912),
    [anon_sym_and] = ACTIONS(5912),
    [anon_sym_bitor] = ACTIONS(5912),
    [anon_sym_xor] = ACTIONS(5912),
    [anon_sym_bitand] = ACTIONS(5912),
    [anon_sym_not_eq] = ACTIONS(5912),
    [anon_sym_DASH_DASH] = ACTIONS(5914),
    [anon_sym_PLUS_PLUS] = ACTIONS(5914),
    [anon_sym_DOT] = ACTIONS(5912),
    [anon_sym_DOT_STAR] = ACTIONS(5914),
    [anon_sym_DASH_GT] = ACTIONS(5914),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5912),
    [anon_sym_decltype] = ACTIONS(5912),
  },
  [2593] = {
    [sym_attribute_specifier] = STATE(3304),
    [sym_field_declaration_list] = STATE(3133),
    [sym_virtual_specifier] = STATE(7679),
    [sym_base_class_clause] = STATE(8586),
    [sym_identifier] = ACTIONS(5414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5416),
    [anon_sym_COMMA] = ACTIONS(5416),
    [aux_sym_preproc_if_token2] = ACTIONS(5416),
    [aux_sym_preproc_else_token1] = ACTIONS(5416),
    [aux_sym_preproc_elif_token1] = ACTIONS(5416),
    [anon_sym_LPAREN2] = ACTIONS(5416),
    [anon_sym_DASH] = ACTIONS(5414),
    [anon_sym_PLUS] = ACTIONS(5414),
    [anon_sym_STAR] = ACTIONS(5414),
    [anon_sym_SLASH] = ACTIONS(5414),
    [anon_sym_PERCENT] = ACTIONS(5414),
    [anon_sym_PIPE_PIPE] = ACTIONS(5416),
    [anon_sym_AMP_AMP] = ACTIONS(5416),
    [anon_sym_PIPE] = ACTIONS(5414),
    [anon_sym_CARET] = ACTIONS(5414),
    [anon_sym_AMP] = ACTIONS(5414),
    [anon_sym_EQ_EQ] = ACTIONS(5416),
    [anon_sym_BANG_EQ] = ACTIONS(5416),
    [anon_sym_GT] = ACTIONS(5414),
    [anon_sym_GT_EQ] = ACTIONS(5416),
    [anon_sym_LT_EQ] = ACTIONS(5414),
    [anon_sym_LT] = ACTIONS(5414),
    [anon_sym_LT_LT] = ACTIONS(5414),
    [anon_sym_GT_GT] = ACTIONS(5414),
    [anon_sym___attribute__] = ACTIONS(6151),
    [anon_sym_LBRACE] = ACTIONS(6153),
    [anon_sym_LBRACK] = ACTIONS(5416),
    [anon_sym_EQ] = ACTIONS(5414),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5416),
    [anon_sym_STAR_EQ] = ACTIONS(5416),
    [anon_sym_SLASH_EQ] = ACTIONS(5416),
    [anon_sym_PERCENT_EQ] = ACTIONS(5416),
    [anon_sym_PLUS_EQ] = ACTIONS(5416),
    [anon_sym_DASH_EQ] = ACTIONS(5416),
    [anon_sym_LT_LT_EQ] = ACTIONS(5416),
    [anon_sym_GT_GT_EQ] = ACTIONS(5416),
    [anon_sym_AMP_EQ] = ACTIONS(5416),
    [anon_sym_CARET_EQ] = ACTIONS(5416),
    [anon_sym_PIPE_EQ] = ACTIONS(5416),
    [anon_sym_and_eq] = ACTIONS(5414),
    [anon_sym_or_eq] = ACTIONS(5414),
    [anon_sym_xor_eq] = ACTIONS(5414),
    [anon_sym_LT_EQ_GT] = ACTIONS(5416),
    [anon_sym_or] = ACTIONS(5414),
    [anon_sym_and] = ACTIONS(5414),
    [anon_sym_bitor] = ACTIONS(5414),
    [anon_sym_xor] = ACTIONS(5414),
    [anon_sym_bitand] = ACTIONS(5414),
    [anon_sym_not_eq] = ACTIONS(5414),
    [anon_sym_DASH_DASH] = ACTIONS(5416),
    [anon_sym_PLUS_PLUS] = ACTIONS(5416),
    [anon_sym_DOT] = ACTIONS(5414),
    [anon_sym_DOT_STAR] = ACTIONS(5416),
    [anon_sym_DASH_GT] = ACTIONS(5416),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5414),
    [anon_sym_decltype] = ACTIONS(5414),
    [anon_sym_final] = ACTIONS(5424),
    [anon_sym_override] = ACTIONS(5424),
  },
  [2594] = {
    [sym_identifier] = ACTIONS(6155),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6157),
    [anon_sym_COMMA] = ACTIONS(6157),
    [anon_sym_RPAREN] = ACTIONS(6157),
    [aux_sym_preproc_if_token2] = ACTIONS(6157),
    [aux_sym_preproc_else_token1] = ACTIONS(6157),
    [aux_sym_preproc_elif_token1] = ACTIONS(6155),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6157),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6157),
    [anon_sym_LPAREN2] = ACTIONS(6157),
    [anon_sym_DASH] = ACTIONS(6155),
    [anon_sym_PLUS] = ACTIONS(6155),
    [anon_sym_STAR] = ACTIONS(6155),
    [anon_sym_SLASH] = ACTIONS(6155),
    [anon_sym_PERCENT] = ACTIONS(6155),
    [anon_sym_PIPE_PIPE] = ACTIONS(6157),
    [anon_sym_AMP_AMP] = ACTIONS(6157),
    [anon_sym_PIPE] = ACTIONS(6155),
    [anon_sym_CARET] = ACTIONS(6155),
    [anon_sym_AMP] = ACTIONS(6155),
    [anon_sym_EQ_EQ] = ACTIONS(6157),
    [anon_sym_BANG_EQ] = ACTIONS(6157),
    [anon_sym_GT] = ACTIONS(6155),
    [anon_sym_GT_EQ] = ACTIONS(6157),
    [anon_sym_LT_EQ] = ACTIONS(6155),
    [anon_sym_LT] = ACTIONS(6155),
    [anon_sym_LT_LT] = ACTIONS(6155),
    [anon_sym_GT_GT] = ACTIONS(6155),
    [anon_sym_SEMI] = ACTIONS(6157),
    [anon_sym___attribute__] = ACTIONS(6155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6157),
    [anon_sym_LBRACE] = ACTIONS(6157),
    [anon_sym_RBRACE] = ACTIONS(6157),
    [anon_sym_LBRACK] = ACTIONS(6155),
    [anon_sym_RBRACK] = ACTIONS(6157),
    [anon_sym_EQ] = ACTIONS(6155),
    [anon_sym_COLON] = ACTIONS(6157),
    [anon_sym_QMARK] = ACTIONS(6157),
    [anon_sym_STAR_EQ] = ACTIONS(6157),
    [anon_sym_SLASH_EQ] = ACTIONS(6157),
    [anon_sym_PERCENT_EQ] = ACTIONS(6157),
    [anon_sym_PLUS_EQ] = ACTIONS(6157),
    [anon_sym_DASH_EQ] = ACTIONS(6157),
    [anon_sym_LT_LT_EQ] = ACTIONS(6157),
    [anon_sym_GT_GT_EQ] = ACTIONS(6157),
    [anon_sym_AMP_EQ] = ACTIONS(6157),
    [anon_sym_CARET_EQ] = ACTIONS(6157),
    [anon_sym_PIPE_EQ] = ACTIONS(6157),
    [anon_sym_and_eq] = ACTIONS(6155),
    [anon_sym_or_eq] = ACTIONS(6155),
    [anon_sym_xor_eq] = ACTIONS(6155),
    [anon_sym_LT_EQ_GT] = ACTIONS(6157),
    [anon_sym_or] = ACTIONS(6155),
    [anon_sym_and] = ACTIONS(6155),
    [anon_sym_bitor] = ACTIONS(6155),
    [anon_sym_xor] = ACTIONS(6155),
    [anon_sym_bitand] = ACTIONS(6155),
    [anon_sym_not_eq] = ACTIONS(6155),
    [anon_sym_DASH_DASH] = ACTIONS(6157),
    [anon_sym_PLUS_PLUS] = ACTIONS(6157),
    [anon_sym_DOT] = ACTIONS(6155),
    [anon_sym_DOT_STAR] = ACTIONS(6157),
    [anon_sym_DASH_GT] = ACTIONS(6157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6155),
  },
  [2595] = {
    [sym_identifier] = ACTIONS(2212),
    [aux_sym_preproc_def_token1] = ACTIONS(2212),
    [aux_sym_preproc_if_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2212),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2212),
    [sym_preproc_directive] = ACTIONS(2212),
    [anon_sym_LPAREN2] = ACTIONS(2210),
    [anon_sym_TILDE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_AMP_AMP] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2212),
    [anon_sym___extension__] = ACTIONS(2212),
    [anon_sym_typedef] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym___attribute__] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2210),
    [anon_sym___declspec] = ACTIONS(2212),
    [anon_sym___based] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_signed] = ACTIONS(2212),
    [anon_sym_unsigned] = ACTIONS(2212),
    [anon_sym_long] = ACTIONS(2212),
    [anon_sym_short] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_register] = ACTIONS(2212),
    [anon_sym_inline] = ACTIONS(2212),
    [anon_sym___inline] = ACTIONS(2212),
    [anon_sym___inline__] = ACTIONS(2212),
    [anon_sym___forceinline] = ACTIONS(2212),
    [anon_sym_thread_local] = ACTIONS(2212),
    [anon_sym___thread] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_constexpr] = ACTIONS(2212),
    [anon_sym_volatile] = ACTIONS(2212),
    [anon_sym_restrict] = ACTIONS(2212),
    [anon_sym___restrict__] = ACTIONS(2212),
    [anon_sym__Atomic] = ACTIONS(2212),
    [anon_sym__Noreturn] = ACTIONS(2212),
    [anon_sym_noreturn] = ACTIONS(2212),
    [anon_sym_mutable] = ACTIONS(2212),
    [anon_sym_constinit] = ACTIONS(2212),
    [anon_sym_consteval] = ACTIONS(2212),
    [sym_primitive_type] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2212),
    [anon_sym_decltype] = ACTIONS(2212),
    [anon_sym_virtual] = ACTIONS(2212),
    [anon_sym_alignas] = ACTIONS(2212),
    [anon_sym_explicit] = ACTIONS(2212),
    [anon_sym_typename] = ACTIONS(2212),
    [anon_sym_template] = ACTIONS(2212),
    [anon_sym_operator] = ACTIONS(2212),
    [anon_sym_friend] = ACTIONS(2212),
    [anon_sym_public] = ACTIONS(2212),
    [anon_sym_private] = ACTIONS(2212),
    [anon_sym_protected] = ACTIONS(2212),
    [anon_sym_using] = ACTIONS(2212),
    [anon_sym_static_assert] = ACTIONS(2212),
    [anon_sym_catch] = ACTIONS(2212),
  },
  [2596] = {
    [sym_identifier] = ACTIONS(5368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5370),
    [anon_sym_COMMA] = ACTIONS(5370),
    [aux_sym_preproc_if_token2] = ACTIONS(5370),
    [aux_sym_preproc_else_token1] = ACTIONS(5370),
    [aux_sym_preproc_elif_token1] = ACTIONS(5370),
    [anon_sym_LPAREN2] = ACTIONS(5370),
    [anon_sym_DASH] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5368),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(5370),
    [anon_sym_AMP_AMP] = ACTIONS(5370),
    [anon_sym_PIPE] = ACTIONS(5368),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_EQ_EQ] = ACTIONS(5370),
    [anon_sym_BANG_EQ] = ACTIONS(5370),
    [anon_sym_GT] = ACTIONS(5368),
    [anon_sym_GT_EQ] = ACTIONS(5370),
    [anon_sym_LT_EQ] = ACTIONS(5368),
    [anon_sym_LT] = ACTIONS(5368),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5370),
    [anon_sym_EQ] = ACTIONS(5368),
    [anon_sym_QMARK] = ACTIONS(5370),
    [anon_sym_STAR_EQ] = ACTIONS(5370),
    [anon_sym_SLASH_EQ] = ACTIONS(5370),
    [anon_sym_PERCENT_EQ] = ACTIONS(5370),
    [anon_sym_PLUS_EQ] = ACTIONS(5370),
    [anon_sym_DASH_EQ] = ACTIONS(5370),
    [anon_sym_LT_LT_EQ] = ACTIONS(5370),
    [anon_sym_GT_GT_EQ] = ACTIONS(5370),
    [anon_sym_AMP_EQ] = ACTIONS(5370),
    [anon_sym_CARET_EQ] = ACTIONS(5370),
    [anon_sym_PIPE_EQ] = ACTIONS(5370),
    [anon_sym_and_eq] = ACTIONS(5368),
    [anon_sym_or_eq] = ACTIONS(5368),
    [anon_sym_xor_eq] = ACTIONS(5368),
    [anon_sym_LT_EQ_GT] = ACTIONS(5370),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [anon_sym_bitor] = ACTIONS(5368),
    [anon_sym_xor] = ACTIONS(5368),
    [anon_sym_bitand] = ACTIONS(5368),
    [anon_sym_not_eq] = ACTIONS(5368),
    [anon_sym_DASH_DASH] = ACTIONS(5370),
    [anon_sym_PLUS_PLUS] = ACTIONS(5370),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_DOT_STAR] = ACTIONS(5370),
    [anon_sym_DASH_GT] = ACTIONS(5370),
    [anon_sym_L_DQUOTE] = ACTIONS(5370),
    [anon_sym_u_DQUOTE] = ACTIONS(5370),
    [anon_sym_U_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8_DQUOTE] = ACTIONS(5370),
    [anon_sym_DQUOTE] = ACTIONS(5370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5370),
    [anon_sym_LR_DQUOTE] = ACTIONS(5370),
    [anon_sym_uR_DQUOTE] = ACTIONS(5370),
    [anon_sym_UR_DQUOTE] = ACTIONS(5370),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5370),
    [sym_literal_suffix] = ACTIONS(5368),
  },
  [2597] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6080),
    [anon_sym_COMMA] = ACTIONS(6080),
    [anon_sym_RPAREN] = ACTIONS(6080),
    [anon_sym_LPAREN2] = ACTIONS(6080),
    [anon_sym_DASH] = ACTIONS(6078),
    [anon_sym_PLUS] = ACTIONS(6078),
    [anon_sym_STAR] = ACTIONS(6080),
    [anon_sym_SLASH] = ACTIONS(6078),
    [anon_sym_PERCENT] = ACTIONS(6080),
    [anon_sym_PIPE_PIPE] = ACTIONS(6080),
    [anon_sym_AMP_AMP] = ACTIONS(6080),
    [anon_sym_PIPE] = ACTIONS(6078),
    [anon_sym_CARET] = ACTIONS(6080),
    [anon_sym_AMP] = ACTIONS(6078),
    [anon_sym_EQ_EQ] = ACTIONS(6080),
    [anon_sym_BANG_EQ] = ACTIONS(6080),
    [anon_sym_GT] = ACTIONS(6078),
    [anon_sym_GT_EQ] = ACTIONS(6080),
    [anon_sym_LT_EQ] = ACTIONS(6078),
    [anon_sym_LT] = ACTIONS(6078),
    [anon_sym_LT_LT] = ACTIONS(6080),
    [anon_sym_GT_GT] = ACTIONS(6080),
    [anon_sym_SEMI] = ACTIONS(6080),
    [anon_sym___extension__] = ACTIONS(6080),
    [anon_sym___attribute__] = ACTIONS(6080),
    [anon_sym_LBRACE] = ACTIONS(6080),
    [anon_sym_RBRACE] = ACTIONS(6080),
    [anon_sym_signed] = ACTIONS(6132),
    [anon_sym_unsigned] = ACTIONS(6132),
    [anon_sym_long] = ACTIONS(6132),
    [anon_sym_short] = ACTIONS(6132),
    [anon_sym_LBRACK] = ACTIONS(6080),
    [anon_sym_RBRACK] = ACTIONS(6080),
    [anon_sym_const] = ACTIONS(6078),
    [anon_sym_constexpr] = ACTIONS(6080),
    [anon_sym_volatile] = ACTIONS(6080),
    [anon_sym_restrict] = ACTIONS(6080),
    [anon_sym___restrict__] = ACTIONS(6080),
    [anon_sym__Atomic] = ACTIONS(6080),
    [anon_sym__Noreturn] = ACTIONS(6080),
    [anon_sym_noreturn] = ACTIONS(6080),
    [anon_sym_mutable] = ACTIONS(6080),
    [anon_sym_constinit] = ACTIONS(6080),
    [anon_sym_consteval] = ACTIONS(6080),
    [anon_sym_COLON] = ACTIONS(6080),
    [anon_sym_QMARK] = ACTIONS(6080),
    [anon_sym_LT_EQ_GT] = ACTIONS(6080),
    [anon_sym_or] = ACTIONS(6080),
    [anon_sym_and] = ACTIONS(6080),
    [anon_sym_bitor] = ACTIONS(6080),
    [anon_sym_xor] = ACTIONS(6080),
    [anon_sym_bitand] = ACTIONS(6080),
    [anon_sym_not_eq] = ACTIONS(6080),
    [anon_sym_DASH_DASH] = ACTIONS(6080),
    [anon_sym_PLUS_PLUS] = ACTIONS(6080),
    [anon_sym_DOT] = ACTIONS(6078),
    [anon_sym_DOT_STAR] = ACTIONS(6080),
    [anon_sym_DASH_GT] = ACTIONS(6080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6080),
    [anon_sym_decltype] = ACTIONS(6080),
    [anon_sym_final] = ACTIONS(6080),
    [anon_sym_override] = ACTIONS(6080),
    [anon_sym_requires] = ACTIONS(6080),
  },
  [2598] = {
    [sym_identifier] = ACTIONS(5846),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5848),
    [anon_sym_COMMA] = ACTIONS(5848),
    [anon_sym_RPAREN] = ACTIONS(5848),
    [aux_sym_preproc_if_token2] = ACTIONS(5848),
    [aux_sym_preproc_else_token1] = ACTIONS(5848),
    [aux_sym_preproc_elif_token1] = ACTIONS(5846),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5848),
    [anon_sym_LPAREN2] = ACTIONS(5848),
    [anon_sym_DASH] = ACTIONS(5846),
    [anon_sym_PLUS] = ACTIONS(5846),
    [anon_sym_STAR] = ACTIONS(5846),
    [anon_sym_SLASH] = ACTIONS(5846),
    [anon_sym_PERCENT] = ACTIONS(5846),
    [anon_sym_PIPE_PIPE] = ACTIONS(5848),
    [anon_sym_AMP_AMP] = ACTIONS(5848),
    [anon_sym_PIPE] = ACTIONS(5846),
    [anon_sym_CARET] = ACTIONS(5846),
    [anon_sym_AMP] = ACTIONS(5846),
    [anon_sym_EQ_EQ] = ACTIONS(5848),
    [anon_sym_BANG_EQ] = ACTIONS(5848),
    [anon_sym_GT] = ACTIONS(5846),
    [anon_sym_GT_EQ] = ACTIONS(5848),
    [anon_sym_LT_EQ] = ACTIONS(5846),
    [anon_sym_LT] = ACTIONS(5846),
    [anon_sym_LT_LT] = ACTIONS(5846),
    [anon_sym_GT_GT] = ACTIONS(5846),
    [anon_sym_SEMI] = ACTIONS(5848),
    [anon_sym___attribute__] = ACTIONS(5846),
    [anon_sym_LBRACE] = ACTIONS(5848),
    [anon_sym_RBRACE] = ACTIONS(5848),
    [anon_sym_LBRACK] = ACTIONS(5848),
    [anon_sym_RBRACK] = ACTIONS(5848),
    [anon_sym_EQ] = ACTIONS(5846),
    [anon_sym_COLON] = ACTIONS(5848),
    [anon_sym_QMARK] = ACTIONS(5848),
    [anon_sym_STAR_EQ] = ACTIONS(5848),
    [anon_sym_SLASH_EQ] = ACTIONS(5848),
    [anon_sym_PERCENT_EQ] = ACTIONS(5848),
    [anon_sym_PLUS_EQ] = ACTIONS(5848),
    [anon_sym_DASH_EQ] = ACTIONS(5848),
    [anon_sym_LT_LT_EQ] = ACTIONS(5848),
    [anon_sym_GT_GT_EQ] = ACTIONS(5848),
    [anon_sym_AMP_EQ] = ACTIONS(5848),
    [anon_sym_CARET_EQ] = ACTIONS(5848),
    [anon_sym_PIPE_EQ] = ACTIONS(5848),
    [anon_sym_and_eq] = ACTIONS(5846),
    [anon_sym_or_eq] = ACTIONS(5846),
    [anon_sym_xor_eq] = ACTIONS(5846),
    [anon_sym_LT_EQ_GT] = ACTIONS(5848),
    [anon_sym_or] = ACTIONS(5846),
    [anon_sym_and] = ACTIONS(5846),
    [anon_sym_bitor] = ACTIONS(5846),
    [anon_sym_xor] = ACTIONS(5846),
    [anon_sym_bitand] = ACTIONS(5846),
    [anon_sym_not_eq] = ACTIONS(5846),
    [anon_sym_DASH_DASH] = ACTIONS(5848),
    [anon_sym_PLUS_PLUS] = ACTIONS(5848),
    [anon_sym_DOT] = ACTIONS(5846),
    [anon_sym_DOT_STAR] = ACTIONS(5848),
    [anon_sym_DASH_GT] = ACTIONS(5848),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5846),
    [anon_sym_decltype] = ACTIONS(5846),
  },
  [2599] = {
    [sym_argument_list] = STATE(2973),
    [sym_initializer_list] = STATE(2973),
    [sym_identifier] = ACTIONS(6159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6161),
    [anon_sym_COMMA] = ACTIONS(6161),
    [anon_sym_RPAREN] = ACTIONS(6161),
    [aux_sym_preproc_if_token2] = ACTIONS(6161),
    [aux_sym_preproc_else_token1] = ACTIONS(6161),
    [aux_sym_preproc_elif_token1] = ACTIONS(6159),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6161),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6161),
    [anon_sym_LPAREN2] = ACTIONS(5459),
    [anon_sym_DASH] = ACTIONS(6159),
    [anon_sym_PLUS] = ACTIONS(6159),
    [anon_sym_STAR] = ACTIONS(6159),
    [anon_sym_SLASH] = ACTIONS(6159),
    [anon_sym_PERCENT] = ACTIONS(6159),
    [anon_sym_PIPE_PIPE] = ACTIONS(6161),
    [anon_sym_AMP_AMP] = ACTIONS(6161),
    [anon_sym_PIPE] = ACTIONS(6159),
    [anon_sym_CARET] = ACTIONS(6159),
    [anon_sym_AMP] = ACTIONS(6159),
    [anon_sym_EQ_EQ] = ACTIONS(6161),
    [anon_sym_BANG_EQ] = ACTIONS(6161),
    [anon_sym_GT] = ACTIONS(6159),
    [anon_sym_GT_EQ] = ACTIONS(6161),
    [anon_sym_LT_EQ] = ACTIONS(6159),
    [anon_sym_LT] = ACTIONS(6159),
    [anon_sym_LT_LT] = ACTIONS(6159),
    [anon_sym_GT_GT] = ACTIONS(6159),
    [anon_sym_SEMI] = ACTIONS(6161),
    [anon_sym___attribute__] = ACTIONS(6159),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(6161),
    [anon_sym_LBRACK] = ACTIONS(6161),
    [anon_sym_RBRACK] = ACTIONS(6161),
    [anon_sym_EQ] = ACTIONS(6159),
    [anon_sym_COLON] = ACTIONS(6161),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_STAR_EQ] = ACTIONS(6161),
    [anon_sym_SLASH_EQ] = ACTIONS(6161),
    [anon_sym_PERCENT_EQ] = ACTIONS(6161),
    [anon_sym_PLUS_EQ] = ACTIONS(6161),
    [anon_sym_DASH_EQ] = ACTIONS(6161),
    [anon_sym_LT_LT_EQ] = ACTIONS(6161),
    [anon_sym_GT_GT_EQ] = ACTIONS(6161),
    [anon_sym_AMP_EQ] = ACTIONS(6161),
    [anon_sym_CARET_EQ] = ACTIONS(6161),
    [anon_sym_PIPE_EQ] = ACTIONS(6161),
    [anon_sym_and_eq] = ACTIONS(6159),
    [anon_sym_or_eq] = ACTIONS(6159),
    [anon_sym_xor_eq] = ACTIONS(6159),
    [anon_sym_LT_EQ_GT] = ACTIONS(6161),
    [anon_sym_or] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(6159),
    [anon_sym_bitor] = ACTIONS(6159),
    [anon_sym_xor] = ACTIONS(6159),
    [anon_sym_bitand] = ACTIONS(6159),
    [anon_sym_not_eq] = ACTIONS(6159),
    [anon_sym_DASH_DASH] = ACTIONS(6161),
    [anon_sym_PLUS_PLUS] = ACTIONS(6161),
    [anon_sym_DOT] = ACTIONS(6159),
    [anon_sym_DOT_STAR] = ACTIONS(6161),
    [anon_sym_DASH_GT] = ACTIONS(6161),
    [sym_comment] = ACTIONS(3),
  },
  [2600] = {
    [sym_identifier] = ACTIONS(5850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5852),
    [anon_sym_COMMA] = ACTIONS(5852),
    [anon_sym_RPAREN] = ACTIONS(5852),
    [aux_sym_preproc_if_token2] = ACTIONS(5852),
    [aux_sym_preproc_else_token1] = ACTIONS(5852),
    [aux_sym_preproc_elif_token1] = ACTIONS(5850),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5852),
    [anon_sym_LPAREN2] = ACTIONS(5852),
    [anon_sym_DASH] = ACTIONS(5850),
    [anon_sym_PLUS] = ACTIONS(5850),
    [anon_sym_STAR] = ACTIONS(5850),
    [anon_sym_SLASH] = ACTIONS(5850),
    [anon_sym_PERCENT] = ACTIONS(5850),
    [anon_sym_PIPE_PIPE] = ACTIONS(5852),
    [anon_sym_AMP_AMP] = ACTIONS(5852),
    [anon_sym_PIPE] = ACTIONS(5850),
    [anon_sym_CARET] = ACTIONS(5850),
    [anon_sym_AMP] = ACTIONS(5850),
    [anon_sym_EQ_EQ] = ACTIONS(5852),
    [anon_sym_BANG_EQ] = ACTIONS(5852),
    [anon_sym_GT] = ACTIONS(5850),
    [anon_sym_GT_EQ] = ACTIONS(5852),
    [anon_sym_LT_EQ] = ACTIONS(5850),
    [anon_sym_LT] = ACTIONS(5850),
    [anon_sym_LT_LT] = ACTIONS(5850),
    [anon_sym_GT_GT] = ACTIONS(5850),
    [anon_sym_SEMI] = ACTIONS(5852),
    [anon_sym___attribute__] = ACTIONS(5850),
    [anon_sym_LBRACE] = ACTIONS(5852),
    [anon_sym_RBRACE] = ACTIONS(5852),
    [anon_sym_LBRACK] = ACTIONS(5852),
    [anon_sym_RBRACK] = ACTIONS(5852),
    [anon_sym_EQ] = ACTIONS(5850),
    [anon_sym_COLON] = ACTIONS(5852),
    [anon_sym_QMARK] = ACTIONS(5852),
    [anon_sym_STAR_EQ] = ACTIONS(5852),
    [anon_sym_SLASH_EQ] = ACTIONS(5852),
    [anon_sym_PERCENT_EQ] = ACTIONS(5852),
    [anon_sym_PLUS_EQ] = ACTIONS(5852),
    [anon_sym_DASH_EQ] = ACTIONS(5852),
    [anon_sym_LT_LT_EQ] = ACTIONS(5852),
    [anon_sym_GT_GT_EQ] = ACTIONS(5852),
    [anon_sym_AMP_EQ] = ACTIONS(5852),
    [anon_sym_CARET_EQ] = ACTIONS(5852),
    [anon_sym_PIPE_EQ] = ACTIONS(5852),
    [anon_sym_and_eq] = ACTIONS(5850),
    [anon_sym_or_eq] = ACTIONS(5850),
    [anon_sym_xor_eq] = ACTIONS(5850),
    [anon_sym_LT_EQ_GT] = ACTIONS(5852),
    [anon_sym_or] = ACTIONS(5850),
    [anon_sym_and] = ACTIONS(5850),
    [anon_sym_bitor] = ACTIONS(5850),
    [anon_sym_xor] = ACTIONS(5850),
    [anon_sym_bitand] = ACTIONS(5850),
    [anon_sym_not_eq] = ACTIONS(5850),
    [anon_sym_DASH_DASH] = ACTIONS(5852),
    [anon_sym_PLUS_PLUS] = ACTIONS(5852),
    [anon_sym_DOT] = ACTIONS(5850),
    [anon_sym_DOT_STAR] = ACTIONS(5852),
    [anon_sym_DASH_GT] = ACTIONS(5852),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5850),
    [anon_sym_decltype] = ACTIONS(5850),
  },
  [2601] = {
    [sym_identifier] = ACTIONS(6163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6165),
    [anon_sym_COMMA] = ACTIONS(6165),
    [anon_sym_RPAREN] = ACTIONS(6165),
    [aux_sym_preproc_if_token2] = ACTIONS(6165),
    [aux_sym_preproc_else_token1] = ACTIONS(6165),
    [aux_sym_preproc_elif_token1] = ACTIONS(6163),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6165),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6165),
    [anon_sym_LPAREN2] = ACTIONS(6165),
    [anon_sym_DASH] = ACTIONS(6163),
    [anon_sym_PLUS] = ACTIONS(6163),
    [anon_sym_STAR] = ACTIONS(6163),
    [anon_sym_SLASH] = ACTIONS(6163),
    [anon_sym_PERCENT] = ACTIONS(6163),
    [anon_sym_PIPE_PIPE] = ACTIONS(6165),
    [anon_sym_AMP_AMP] = ACTIONS(6165),
    [anon_sym_PIPE] = ACTIONS(6163),
    [anon_sym_CARET] = ACTIONS(6163),
    [anon_sym_AMP] = ACTIONS(6163),
    [anon_sym_EQ_EQ] = ACTIONS(6165),
    [anon_sym_BANG_EQ] = ACTIONS(6165),
    [anon_sym_GT] = ACTIONS(6163),
    [anon_sym_GT_EQ] = ACTIONS(6165),
    [anon_sym_LT_EQ] = ACTIONS(6163),
    [anon_sym_LT] = ACTIONS(6163),
    [anon_sym_LT_LT] = ACTIONS(6163),
    [anon_sym_GT_GT] = ACTIONS(6163),
    [anon_sym_SEMI] = ACTIONS(6165),
    [anon_sym___attribute__] = ACTIONS(6163),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6165),
    [anon_sym_LBRACE] = ACTIONS(6165),
    [anon_sym_RBRACE] = ACTIONS(6165),
    [anon_sym_LBRACK] = ACTIONS(6163),
    [anon_sym_RBRACK] = ACTIONS(6165),
    [anon_sym_EQ] = ACTIONS(6163),
    [anon_sym_COLON] = ACTIONS(6165),
    [anon_sym_QMARK] = ACTIONS(6165),
    [anon_sym_STAR_EQ] = ACTIONS(6165),
    [anon_sym_SLASH_EQ] = ACTIONS(6165),
    [anon_sym_PERCENT_EQ] = ACTIONS(6165),
    [anon_sym_PLUS_EQ] = ACTIONS(6165),
    [anon_sym_DASH_EQ] = ACTIONS(6165),
    [anon_sym_LT_LT_EQ] = ACTIONS(6165),
    [anon_sym_GT_GT_EQ] = ACTIONS(6165),
    [anon_sym_AMP_EQ] = ACTIONS(6165),
    [anon_sym_CARET_EQ] = ACTIONS(6165),
    [anon_sym_PIPE_EQ] = ACTIONS(6165),
    [anon_sym_and_eq] = ACTIONS(6163),
    [anon_sym_or_eq] = ACTIONS(6163),
    [anon_sym_xor_eq] = ACTIONS(6163),
    [anon_sym_LT_EQ_GT] = ACTIONS(6165),
    [anon_sym_or] = ACTIONS(6163),
    [anon_sym_and] = ACTIONS(6163),
    [anon_sym_bitor] = ACTIONS(6163),
    [anon_sym_xor] = ACTIONS(6163),
    [anon_sym_bitand] = ACTIONS(6163),
    [anon_sym_not_eq] = ACTIONS(6163),
    [anon_sym_DASH_DASH] = ACTIONS(6165),
    [anon_sym_PLUS_PLUS] = ACTIONS(6165),
    [anon_sym_DOT] = ACTIONS(6163),
    [anon_sym_DOT_STAR] = ACTIONS(6165),
    [anon_sym_DASH_GT] = ACTIONS(6165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6163),
  },
  [2602] = {
    [sym_identifier] = ACTIONS(5842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5844),
    [anon_sym_COMMA] = ACTIONS(5844),
    [anon_sym_RPAREN] = ACTIONS(5844),
    [aux_sym_preproc_if_token2] = ACTIONS(5844),
    [aux_sym_preproc_else_token1] = ACTIONS(5844),
    [aux_sym_preproc_elif_token1] = ACTIONS(5842),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5844),
    [anon_sym_LPAREN2] = ACTIONS(5844),
    [anon_sym_DASH] = ACTIONS(5842),
    [anon_sym_PLUS] = ACTIONS(5842),
    [anon_sym_STAR] = ACTIONS(5842),
    [anon_sym_SLASH] = ACTIONS(5842),
    [anon_sym_PERCENT] = ACTIONS(5842),
    [anon_sym_PIPE_PIPE] = ACTIONS(5844),
    [anon_sym_AMP_AMP] = ACTIONS(5844),
    [anon_sym_PIPE] = ACTIONS(5842),
    [anon_sym_CARET] = ACTIONS(5842),
    [anon_sym_AMP] = ACTIONS(5842),
    [anon_sym_EQ_EQ] = ACTIONS(5844),
    [anon_sym_BANG_EQ] = ACTIONS(5844),
    [anon_sym_GT] = ACTIONS(5842),
    [anon_sym_GT_EQ] = ACTIONS(5844),
    [anon_sym_LT_EQ] = ACTIONS(5842),
    [anon_sym_LT] = ACTIONS(5842),
    [anon_sym_LT_LT] = ACTIONS(5842),
    [anon_sym_GT_GT] = ACTIONS(5842),
    [anon_sym_SEMI] = ACTIONS(5844),
    [anon_sym___attribute__] = ACTIONS(5842),
    [anon_sym_LBRACE] = ACTIONS(5844),
    [anon_sym_RBRACE] = ACTIONS(5844),
    [anon_sym_LBRACK] = ACTIONS(5844),
    [anon_sym_RBRACK] = ACTIONS(5844),
    [anon_sym_EQ] = ACTIONS(5842),
    [anon_sym_COLON] = ACTIONS(5844),
    [anon_sym_QMARK] = ACTIONS(5844),
    [anon_sym_STAR_EQ] = ACTIONS(5844),
    [anon_sym_SLASH_EQ] = ACTIONS(5844),
    [anon_sym_PERCENT_EQ] = ACTIONS(5844),
    [anon_sym_PLUS_EQ] = ACTIONS(5844),
    [anon_sym_DASH_EQ] = ACTIONS(5844),
    [anon_sym_LT_LT_EQ] = ACTIONS(5844),
    [anon_sym_GT_GT_EQ] = ACTIONS(5844),
    [anon_sym_AMP_EQ] = ACTIONS(5844),
    [anon_sym_CARET_EQ] = ACTIONS(5844),
    [anon_sym_PIPE_EQ] = ACTIONS(5844),
    [anon_sym_and_eq] = ACTIONS(5842),
    [anon_sym_or_eq] = ACTIONS(5842),
    [anon_sym_xor_eq] = ACTIONS(5842),
    [anon_sym_LT_EQ_GT] = ACTIONS(5844),
    [anon_sym_or] = ACTIONS(5842),
    [anon_sym_and] = ACTIONS(5842),
    [anon_sym_bitor] = ACTIONS(5842),
    [anon_sym_xor] = ACTIONS(5842),
    [anon_sym_bitand] = ACTIONS(5842),
    [anon_sym_not_eq] = ACTIONS(5842),
    [anon_sym_DASH_DASH] = ACTIONS(5844),
    [anon_sym_PLUS_PLUS] = ACTIONS(5844),
    [anon_sym_DOT] = ACTIONS(5842),
    [anon_sym_DOT_STAR] = ACTIONS(5844),
    [anon_sym_DASH_GT] = ACTIONS(5844),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5842),
    [anon_sym_decltype] = ACTIONS(5842),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5667), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [71] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6167), 1,
      sym_identifier,
    ACTIONS(6172), 1,
      sym_primitive_type,
    STATE(2706), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6170), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3170), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5594), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2941), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2941), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5590), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5586), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5663), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3092), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3117), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5614), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5578), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3088), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5534), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5641), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5639), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3170), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5530), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3313), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [1570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2941), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2937), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5526), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3340), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2967), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2963), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3162), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3166), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5526), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5645), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5643), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3174), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2947), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5647), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3199), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3203), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3007), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6080), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3317), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5538), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5542), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3211), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3225), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2735), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6176), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6084), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [3211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3211), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3233), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3007), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5598), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    STATE(2473), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5981), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5983), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [3574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6180), 1,
      sym_identifier,
    STATE(2717), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4480), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4482), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5329), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5327), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [3653] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_attribute_specifier,
    STATE(3014), 1,
      sym_field_declaration_list,
    STATE(7641), 1,
      sym_virtual_specifier,
    STATE(8509), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5416), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [3740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3205), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3203), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3241), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5131), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [3955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3199), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3397), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3221), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5647), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3375), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3373), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5598), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5594), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3389), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2937), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3383), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3381), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3377), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5538), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4807] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    STATE(2473), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5981), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5983), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5451), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5449), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [4886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5542), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3174), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5659), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3117), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3375), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3373), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3348), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6049), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [5387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5546), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3303), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5663), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5669), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5667), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [5742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3166), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3162), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5651), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3344), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6107), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6188), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6190), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5598), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2941), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2877), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2877), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3150), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5655), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3297), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3295), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3291), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [6813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3287), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3160), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3158), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5661), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5659), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3283), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3279), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3275), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2893), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_primitive_type,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6192), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5740), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [7458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3275), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4103), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [7600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3279), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3283), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3287), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3291), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3297), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3295), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2873), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3185), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3303), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6195), 1,
      sym_identifier,
    STATE(2816), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4480), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4482), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5270), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5268), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [8247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2947), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3088), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [8460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3225), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3146), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3217), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5616), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5614), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5612), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5610), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3117), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3315), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3313), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3340), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5653), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5651), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2877), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3317), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5560), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5558), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3117), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5562), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2967), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9600] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5418), 1,
      anon_sym___attribute__,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    STATE(2327), 1,
      sym__enum_base_clause,
    STATE(2449), 1,
      sym_enumerator_list,
    STATE(2574), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6199), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5418), 1,
      anon_sym___attribute__,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(6201), 1,
      anon_sym_COLON,
    STATE(2348), 1,
      sym__enum_base_clause,
    STATE(2417), 1,
      sym_enumerator_list,
    STATE(2546), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6205), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2877), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2747), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6207), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6090), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [9912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5566), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6192), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3092), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5606), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6209), 1,
      anon_sym_LT,
    STATE(2852), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3005), 1,
      sym_template_argument_list,
    ACTIONS(6097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4133), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3193), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6174), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3193), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5598), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5876), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [10644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3207), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5602), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5570), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5576), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5574), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5602), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5602), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3209), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3207), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5526), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5528), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5526), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5655), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3346), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3344), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5606), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3193), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5612), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5610), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3348), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4107), 49,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [11780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [11851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3309), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2677), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6211), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [11997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5578), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3233), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5604), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5602), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3221), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3152), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3150), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3219), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3217), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5576), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5574), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5594), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5532), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5530), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5572), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5570), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5536), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5534), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5538), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3397), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12920] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(6213), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6215), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [12997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5542), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5568), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5566), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3389), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5540), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5538), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3185), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5544), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5542), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3160), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3158), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3193), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5598), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5600), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5598), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5564), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5562), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2893), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5546), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3309), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3146), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [14133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5647), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3383), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3381), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3377), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5649), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5647), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5560), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5558), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5645), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5643), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5594), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5590), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(6217), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6219), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5641), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5639), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [14849] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3423), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6223), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [14972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5586), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3211), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3213), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3211), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5461), 1,
      anon_sym_LBRACK,
    STATE(2854), 1,
      sym_new_declarator,
    ACTIONS(6235), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15260] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7178), 1,
      sym__declarator,
    STATE(7218), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(2810), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3422), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6239), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [15383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      sym_identifier,
    STATE(2816), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6244), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6247), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5313), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5311), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [15462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3221), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3223), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3221), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3241), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2963), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [15746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2863), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6252), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5622), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [15966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6254), 1,
      anon_sym_LT,
    STATE(3005), 1,
      sym_template_argument_list,
    ACTIONS(5091), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5084), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [16042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [16112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6263), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [16194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6277), 1,
      anon_sym_and,
    ACTIONS(6273), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6271), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5507), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2212), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5361), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [16554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5507), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [16624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16764] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [16918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3017), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [16996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5582), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [17066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [17276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [17346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6292), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5582), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17486] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6296), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [17568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2208), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6298), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6049), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6209), 1,
      anon_sym_LT,
    STATE(3005), 1,
      sym_template_argument_list,
    ACTIONS(4151), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5486), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [17788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6279), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5740), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [17864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5507), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5740), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6298), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5507), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18228] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3333), 1,
      sym_field_declaration_list,
    STATE(3516), 1,
      sym_attribute_specifier,
    STATE(7665), 1,
      sym_virtual_specifier,
    STATE(8540), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5416), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [18314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6313), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18384] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6315), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6317), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [18468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5507), 48,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [18610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [18754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6300), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5361), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6298), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18902] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [18986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4105), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2860), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6298), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6105), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [19620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2847), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5125), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5117), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5507), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [19974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6277), 1,
      anon_sym_and,
    ACTIONS(6348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6350), 1,
      anon_sym_or,
    ACTIONS(6346), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6344), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5101), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5115), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5113), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5111), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5109), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [20332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5105), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5121), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 1,
      sym_identifier,
    ACTIONS(6356), 1,
      sym_primitive_type,
    STATE(2851), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6354), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5805), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [20550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6362), 1,
      sym_identifier,
    ACTIONS(6366), 1,
      sym_primitive_type,
    STATE(2849), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6364), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5805), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [20698] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6370), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [20782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5622), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [20854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20926] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6380), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [21010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6386), 1,
      anon_sym_LT,
    STATE(2657), 1,
      sym_template_argument_list,
    ACTIONS(6382), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6384), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5349), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5361), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [21364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3082), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6406), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6404), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [21524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21593] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6420), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7445), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [21714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [21783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6424), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6428), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6432), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6436), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22197] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6420), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7178), 1,
      sym__declarator,
    STATE(7482), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2901), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5274), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6460), 1,
      anon_sym_and,
    ACTIONS(6271), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5302), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6480), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23219] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6484), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [23310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5378), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6504), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_attribute_specifier,
    STATE(3021), 1,
      sym_enumerator_list,
    ACTIONS(5858), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5860), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [23801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2945), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5382), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym___attribute__,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    STATE(2327), 1,
      sym__enum_base_clause,
    STATE(2449), 1,
      sym_enumerator_list,
    STATE(2574), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6199), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [24227] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5507), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5507), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2206), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3054), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5797), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5337), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5584), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5582), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6460), 1,
      anon_sym_and,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or,
    ACTIONS(6344), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5370), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [25351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5513), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5345), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25489] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6550), 1,
      sym_identifier,
    ACTIONS(6554), 1,
      sym_primitive_type,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6552), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5805), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [25566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5125), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [25635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    STATE(3080), 1,
      sym__enum_base_clause,
    STATE(3115), 1,
      sym_enumerator_list,
    STATE(3294), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6205), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5306), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4009), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5341), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26061] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    STATE(2653), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4480), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4482), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5451), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [26138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26276] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(6574), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6576), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7178), 1,
      sym__declarator,
    STATE(7462), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6239), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(2971), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3761), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    ACTIONS(6558), 1,
      anon_sym_COLON,
    STATE(3070), 1,
      sym__enum_base_clause,
    STATE(3131), 1,
      sym_enumerator_list,
    STATE(3313), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6199), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5740), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [26553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26691] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(6574), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6576), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6223), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    STATE(2653), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4480), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4482), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [27027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5278), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27372] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3449), 1,
      sym_field_declaration_list,
    STATE(3800), 1,
      sym_attribute_specifier,
    STATE(7762), 1,
      sym_virtual_specifier,
    STATE(8604), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5416), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [27457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5117), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5101), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5115), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5113), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      sym_attribute_specifier,
    STATE(3008), 1,
      sym_enumerator_list,
    ACTIONS(5814), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5816), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5111), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5109), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [27948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5105), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [28017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6608), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6612), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6616), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6618), 1,
      anon_sym_LT,
    STATE(3017), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3059), 1,
      sym_template_argument_list,
    ACTIONS(6288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6626), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5323), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5333), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5622), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [28857] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(6520), 1,
      anon_sym___attribute__,
    ACTIONS(6522), 1,
      anon_sym_COLON,
    STATE(2348), 1,
      sym__enum_base_clause,
    STATE(2417), 1,
      sym_enumerator_list,
    STATE(2546), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6205), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [28938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2847), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5121), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [29080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5129), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [29218] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_RPAREN,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7272), 1,
      sym__declarator,
    STATE(7445), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3843), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [29338] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6632), 1,
      anon_sym_LBRACK,
    ACTIONS(6634), 1,
      sym_auto,
    ACTIONS(6636), 1,
      anon_sym_decltype,
    STATE(3292), 1,
      sym_new_declarator,
    STATE(3357), 1,
      sym_decltype_auto,
    STATE(3642), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5502), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2310), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5997), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6638), 1,
      anon_sym_LT,
    STATE(3059), 1,
      sym_template_argument_list,
    ACTIONS(5084), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5091), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6641), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6049), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2319), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6001), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29780] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3232), 1,
      sym_field_declaration_list,
    STATE(3498), 1,
      sym_attribute_specifier,
    STATE(7719), 1,
      sym_virtual_specifier,
    STATE(8515), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5416), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [29864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2359), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5952), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2342), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6049), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6641), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6080), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6651), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6649), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [30220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5876), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30292] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6632), 1,
      anon_sym_LBRACK,
    ACTIONS(6634), 1,
      sym_auto,
    ACTIONS(6636), 1,
      anon_sym_decltype,
    STATE(3258), 1,
      sym_new_declarator,
    STATE(3357), 1,
      sym_decltype_auto,
    STATE(3623), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5457), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2339), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [30448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6080), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30520] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6655), 1,
      anon_sym_LT,
    STATE(3054), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3142), 1,
      sym_template_argument_list,
    ACTIONS(6532), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4133), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6105), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6647), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6101), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3049), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3050), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6659), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6090), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30886] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6632), 1,
      anon_sym_LBRACK,
    ACTIONS(6634), 1,
      sym_auto,
    ACTIONS(6636), 1,
      anon_sym_decltype,
    STATE(3325), 1,
      sym_new_declarator,
    STATE(3357), 1,
      sym_decltype_auto,
    STATE(3666), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5478), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3025), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6661), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6084), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6663), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6090), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [31250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6667), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6665), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [31318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2352), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5940), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31390] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6632), 1,
      anon_sym_LBRACK,
    ACTIONS(6634), 1,
      sym_auto,
    ACTIONS(6636), 1,
      anon_sym_decltype,
    STATE(3341), 1,
      sym_new_declarator,
    STATE(3357), 1,
      sym_decltype_auto,
    STATE(3614), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5471), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2338), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5972), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [31682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6669), 1,
      sym_identifier,
    STATE(3039), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6672), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6675), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5313), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5311), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2355), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5948), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2298), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5991), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [31902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      sym_identifier,
    STATE(3051), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5329), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5327), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2292), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5987), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [32050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2284), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5956), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [32122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6682), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6680), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [32190] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6239), 1,
      anon_sym_RPAREN,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7217), 1,
      sym__declarator,
    STATE(7482), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3006), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(3831), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [32310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6618), 1,
      anon_sym_LT,
    STATE(3059), 1,
      sym_template_argument_list,
    ACTIONS(5486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4151), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    STATE(2336), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5976), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [32456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6641), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2831), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6641), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32600] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 1,
      sym_identifier,
    STATE(3039), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5270), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6686), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [32748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6688), 1,
      sym_identifier,
    ACTIONS(6692), 1,
      sym_primitive_type,
    STATE(3085), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6080), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3077), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6696), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5876), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32965] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3204), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5797), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6105), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6700), 1,
      anon_sym_LT,
    STATE(3142), 1,
      sym_template_argument_list,
    ACTIONS(5084), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5091), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5136), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33251] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3089), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6705), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6703), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [33334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5628), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      anon_sym_COLON,
    STATE(3217), 1,
      sym__enum_base_clause,
    STATE(3347), 1,
      sym_enumerator_list,
    STATE(3539), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6205), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33482] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6711), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(5552), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5550), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6101), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5382), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [33764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5584), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [33831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5635), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5633), 46,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [33898] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3810), 1,
      sym_field_declaration_list,
    STATE(4115), 1,
      sym_attribute_specifier,
    STATE(7849), 1,
      sym_virtual_specifier,
    STATE(8634), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5416), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33981] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    STATE(3099), 1,
      sym_enumerator_list,
    STATE(3274), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5816), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5378), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [34123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [34206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [34275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5370), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [34342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5795), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [34419] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      anon_sym_COLON,
    STATE(3210), 1,
      sym__enum_base_clause,
    STATE(3361), 1,
      sym_enumerator_list,
    STATE(3587), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [34498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6694), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6049), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3057), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6724), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6090), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6655), 1,
      anon_sym_LT,
    STATE(3142), 1,
      sym_template_argument_list,
    ACTIONS(5486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4151), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [34713] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    STATE(3138), 1,
      sym_enumerator_list,
    STATE(3282), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5860), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6726), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6084), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [34859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3089), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6730), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6728), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [34942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3010), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6686), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [35082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6711), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5740), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [35155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5374), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [35222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [35291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [35362] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym___attribute__,
    ACTIONS(6745), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6748), 1,
      anon_sym___declspec,
    ACTIONS(6751), 1,
      anon_sym_virtual,
    ACTIONS(6754), 1,
      anon_sym_alignas,
    ACTIONS(6739), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3089), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6734), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6736), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6732), 13,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [35445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5733), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5850), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      anon_sym_COLON,
    STATE(3296), 1,
      sym__enum_base_clause,
    STATE(3388), 1,
      sym_enumerator_list,
    STATE(3805), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6205), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [35655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5826), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5729), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6761), 1,
      anon_sym_LT,
    STATE(3326), 1,
      sym_template_argument_list,
    ACTIONS(4151), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5486), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [35859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5689), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5687), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5846), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [35991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5723), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3246), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5997), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5890), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5509), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5854), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5509), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36395] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      sym_auto,
    ACTIONS(6769), 1,
      anon_sym_decltype,
    STATE(3475), 1,
      sym_decltype_auto,
    STATE(3568), 1,
      sym_new_declarator,
    STATE(4004), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5471), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [36477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5886), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3327), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5940), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5838), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [36679] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_LPAREN2,
    STATE(2977), 1,
      sym_argument_list,
    STATE(3191), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4500), 1,
      sym_initializer_list,
    ACTIONS(6774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [36757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5584), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [36823] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6776), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    STATE(3204), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6698), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4133), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [36899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6761), 1,
      anon_sym_LT,
    STATE(3326), 1,
      sym_template_argument_list,
    ACTIONS(5091), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5084), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [36971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5624), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [37039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5882), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5894), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3288), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5691), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5874), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5719), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3077), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6696), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [37575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3238), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37645] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      sym_auto,
    ACTIONS(6769), 1,
      anon_sym_decltype,
    STATE(3475), 1,
      sym_decltype_auto,
    STATE(3560), 1,
      sym_new_declarator,
    STATE(4096), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [37727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5780), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5778), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5774), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [37859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3343), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5976), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3247), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6001), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5628), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5772), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5770), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5766), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5842), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3295), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38333] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      sym_auto,
    ACTIONS(6769), 1,
      anon_sym_decltype,
    STATE(3475), 1,
      sym_decltype_auto,
    STATE(3514), 1,
      sym_new_declarator,
    STATE(4146), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3261), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5952), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5136), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [38551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3235), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38621] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      sym_auto,
    ACTIONS(6769), 1,
      anon_sym_decltype,
    STATE(3475), 1,
      sym_decltype_auto,
    STATE(3584), 1,
      sym_new_declarator,
    STATE(4135), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [38703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5892), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5890), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3243), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5866), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5715), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [38971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5750), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5136), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [39103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3293), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5991), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39239] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6151), 1,
      anon_sym___attribute__,
    STATE(3298), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5987), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5822), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5706), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39441] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      anon_sym_COLON,
    STATE(3237), 1,
      sym__enum_base_clause,
    STATE(3375), 1,
      sym_enumerator_list,
    STATE(3768), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5870), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5762), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5760), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39651] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6778), 1,
      sym_identifier,
    ACTIONS(6783), 1,
      sym_primitive_type,
    STATE(3157), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6781), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5805), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [39725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5782), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5878), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5914), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5912), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5862), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [40055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_primitive_type,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6117), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5740), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [40127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5830), 45,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [40193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5856), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40258] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6785), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6787), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40367] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_parameter_list,
    STATE(3245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6018), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6020), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3209), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6825), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6082), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [40511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3211), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6090), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6088), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [40580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5115), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40645] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6634), 1,
      sym_auto,
    ACTIONS(6636), 1,
      anon_sym_decltype,
    STATE(3357), 1,
      sym_decltype_auto,
    ACTIONS(5550), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5552), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    STATE(3353), 1,
      sym_enumerator_list,
    STATE(3565), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5816), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_parameter_list,
    STATE(3245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5926), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5111), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40929] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_parameter_list,
    STATE(3245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5962), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5964), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5107), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5103), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3231), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6080), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6078), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [41268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5119), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_parameter_list,
    STATE(3245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6014), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6016), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5127), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3208), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41542] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_LPAREN2,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6823), 1,
      anon_sym_LBRACK,
    STATE(3597), 1,
      sym_parameter_list,
    STATE(3245), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5942), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5944), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    STATE(3271), 1,
      sym_enumerator_list,
    STATE(3557), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5860), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [41755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6101), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41889] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6837), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6839), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41998] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      sym_auto,
    ACTIONS(6847), 1,
      anon_sym_decltype,
    STATE(3612), 1,
      sym_decltype_auto,
    STATE(3617), 1,
      sym_new_declarator,
    STATE(4227), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5478), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [42079] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6855), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6849), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6853), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      sym_auto,
    ACTIONS(6847), 1,
      anon_sym_decltype,
    STATE(3612), 1,
      sym_decltype_auto,
    STATE(3633), 1,
      sym_new_declarator,
    STATE(4326), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5502), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [42273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5136), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5123), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6857), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(5084), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5091), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3231), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6049), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6047), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [42608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3212), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6090), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3182), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6862), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6084), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [42811] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      sym_auto,
    ACTIONS(6847), 1,
      anon_sym_decltype,
    STATE(3612), 1,
      sym_decltype_auto,
    STATE(3654), 1,
      sym_new_declarator,
    STATE(4301), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5457), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [42892] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42979] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43070] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43165] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43262] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43462] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6855), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6864), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6866), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6080), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5624), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6776), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(5486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4151), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [43887] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    ACTIONS(6845), 1,
      sym_auto,
    ACTIONS(6847), 1,
      anon_sym_decltype,
    STATE(3612), 1,
      sym_decltype_auto,
    STATE(3671), 1,
      sym_new_declarator,
    STATE(4275), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5471), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [43968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6049), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3231), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6101), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6099), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [44106] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3367), 1,
      sym_enumerator_list,
    STATE(3591), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3231), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6105), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6103), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [44248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3063), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6835), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6105), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5509), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [44579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    STATE(3334), 1,
      sym_enumerator_list,
    STATE(3527), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44652] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6855), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6422), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6424), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3191), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5876), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5874), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [44834] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [44915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [44980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [45063] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [45148] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6868), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6870), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45322] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6795), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6807), 1,
      anon_sym_GT_EQ,
    ACTIONS(6811), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6813), 1,
      anon_sym_or,
    ACTIONS(6815), 1,
      anon_sym_and,
    ACTIONS(6817), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6789), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6797), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6799), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6801), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6803), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6809), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6791), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6805), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6872), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6874), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5735), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5509), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5584), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5509), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3231), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6876), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5361), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [45764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3525), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5952), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45832] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6879), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [45920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5693), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(3441), 1,
      sym_enumerator_list,
    STATE(3723), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5816), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [46184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5115), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5113), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [46376] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      anon_sym_COLON,
    STATE(3508), 1,
      sym__enum_base_clause,
    STATE(3784), 1,
      sym_enumerator_list,
    STATE(4122), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6205), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5844), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6041), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6043), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5762), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5784), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [46906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    ACTIONS(6883), 1,
      anon_sym_COLON,
    STATE(3594), 1,
      sym__enum_base_clause,
    STATE(3625), 1,
      sym_enumerator_list,
    STATE(3981), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6199), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5119), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5103), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5111), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5109), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [47174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3540), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [47434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5115), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3650), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6142), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5111), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5624), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5127), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3577), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5960), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [47958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5105), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [48022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2039), 1,
      sym_string_literal,
    ACTIONS(6889), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [48090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48154] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6891), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [48242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5123), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [48306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3602), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5976), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3563), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5968), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3471), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [48510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5914), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5848), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [48638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6893), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6895), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [48702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2040), 1,
      sym_string_literal,
    ACTIONS(6889), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [48770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5101), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [48834] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6897), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [48922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5119), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5117), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [48986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5127), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5125), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3606), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5123), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5121), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [49246] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6899), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [49334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6622), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6620), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [49398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5768), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5834), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [49526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5131), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3486), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5956), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [49724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6901), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6903), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [49788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3615), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6161), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5731), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5689), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5852), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    STATE(3383), 1,
      sym_enumerator_list,
    STATE(3764), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5860), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6530), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6528), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [50314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2999), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(3001), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [50378] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6905), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [50466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3534), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5972), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6909), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [50598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3558), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5948), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6911), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6913), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [50922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6915), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5772), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2038), 1,
      sym_string_literal,
    ACTIONS(6889), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [51206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6917), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6514), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6512), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [51422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3571), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5940), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [51490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [51556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5127), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [51620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6919), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [51708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5119), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [51772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [51838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [51904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3512), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5976), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [51972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5584), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [52036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3624), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6115), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5136), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [52170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6923), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [52298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5836), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6925), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6071), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6073), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [52430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2041), 1,
      sym_string_literal,
    ACTIONS(6889), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3553), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3526), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5952), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3609), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2042), 1,
      sym_string_literal,
    ACTIONS(6889), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [52770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5103), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [52834] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6408), 1,
      sym_auto,
    ACTIONS(6410), 1,
      anon_sym_decltype,
    ACTIONS(6928), 1,
      anon_sym_SEMI,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6484), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(5433), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3060), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5431), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6482), 12,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
  [52922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3487), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6001), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5107), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3656), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6111), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6604), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6602), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [53252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5832), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5509), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5584), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5780), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3541), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5091), 1,
      anon_sym_LBRACE,
    ACTIONS(6930), 1,
      anon_sym_LT,
    STATE(3450), 1,
      sym_template_argument_list,
    ACTIONS(5093), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [53648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5507), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [53714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2935), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [53778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3507), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6626), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [53910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3478), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5997), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [53978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5509), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5507), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [54044] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3496), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5987), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    STATE(3482), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5991), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5622), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [54310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3208), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6833), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3605), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5115), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5111), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5107), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5509), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5123), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3503), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5997), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [54898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6935), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [54962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3191), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [55030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6307), 1,
      anon_sym___attribute__,
    STATE(3530), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6001), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55098] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6868), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6870), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55205] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6872), 1,
      anon_sym_EQ,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [55314] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55407] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3724), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5960), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55563] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_LPAREN2,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    STATE(3891), 1,
      sym_parameter_list,
    STATE(3517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5962), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5964), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55636] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3801), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5987), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [55703] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55800] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55994] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    ACTIONS(7015), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      sym_auto,
    ACTIONS(7019), 1,
      anon_sym_decltype,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(4149), 1,
      sym_new_declarator,
    STATE(4455), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5471), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [56073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3807), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5991), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3721), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5968), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3720), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3719), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5976), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56341] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [56444] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [56523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3767), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5948), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3770), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5940), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56657] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56740] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6263), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [56896] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [56981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_LPAREN2,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    STATE(3891), 1,
      sym_parameter_list,
    STATE(3517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5926), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [57054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [57143] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6785), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6787), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [57250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6317), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6315), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [57327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5856), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [57475] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7023), 1,
      anon_sym_COMMA,
    ACTIONS(7025), 1,
      anon_sym_RPAREN,
    ACTIONS(7027), 1,
      anon_sym_DASH,
    ACTIONS(7029), 1,
      anon_sym_PLUS,
    ACTIONS(7031), 1,
      anon_sym_STAR,
    ACTIONS(7033), 1,
      anon_sym_SLASH,
    ACTIONS(7035), 1,
      anon_sym_PERCENT,
    ACTIONS(7037), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7039), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7041), 1,
      anon_sym_PIPE,
    ACTIONS(7043), 1,
      anon_sym_CARET,
    ACTIONS(7045), 1,
      anon_sym_AMP,
    ACTIONS(7047), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7049), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_GT_EQ,
    ACTIONS(7055), 1,
      anon_sym_LT_EQ,
    ACTIONS(7057), 1,
      anon_sym_LT,
    ACTIONS(7059), 1,
      anon_sym_LT_LT,
    ACTIONS(7061), 1,
      anon_sym_GT_GT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7065), 1,
      anon_sym_EQ,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7069), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7071), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7073), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7075), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7077), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7083), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7085), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7087), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7093), 1,
      anon_sym_or,
    ACTIONS(7095), 1,
      anon_sym_and,
    ACTIONS(7097), 1,
      anon_sym_bitor,
    ACTIONS(7099), 1,
      anon_sym_xor,
    ACTIONS(7101), 1,
      anon_sym_bitand,
    ACTIONS(7103), 1,
      anon_sym_not_eq,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [57636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5129), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [57699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5864), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6209), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
    ACTIONS(6217), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6219), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5091), 1,
      anon_sym_LBRACE,
    ACTIONS(5163), 1,
      anon_sym_LT,
    STATE(3566), 1,
      sym_template_argument_list,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5735), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58158] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6284), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6282), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [58235] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6837), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6839), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [58342] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6370), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6368), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [58419] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6849), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    ACTIONS(7113), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [58532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6209), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
    ACTIONS(6213), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6215), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5876), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58664] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5509), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [58792] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6872), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6874), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [58899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6296), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [58974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5888), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59100] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    ACTIONS(7015), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      sym_auto,
    ACTIONS(7019), 1,
      anon_sym_decltype,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(4100), 1,
      sym_new_declarator,
    STATE(4418), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5457), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [59179] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6223), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59286] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7173), 1,
      sym__declarator,
    STATE(7273), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7115), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [59393] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [59484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5409), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4135), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [59551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3760), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5956), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59618] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [59713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59776] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_QMARK,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6422), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6424), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [59887] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [59984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5856), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60047] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60148] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60253] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7023), 1,
      anon_sym_COMMA,
    ACTIONS(7027), 1,
      anon_sym_DASH,
    ACTIONS(7029), 1,
      anon_sym_PLUS,
    ACTIONS(7031), 1,
      anon_sym_STAR,
    ACTIONS(7033), 1,
      anon_sym_SLASH,
    ACTIONS(7035), 1,
      anon_sym_PERCENT,
    ACTIONS(7037), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7039), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7041), 1,
      anon_sym_PIPE,
    ACTIONS(7043), 1,
      anon_sym_CARET,
    ACTIONS(7045), 1,
      anon_sym_AMP,
    ACTIONS(7047), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7049), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_GT_EQ,
    ACTIONS(7055), 1,
      anon_sym_LT_EQ,
    ACTIONS(7057), 1,
      anon_sym_LT,
    ACTIONS(7059), 1,
      anon_sym_LT_LT,
    ACTIONS(7061), 1,
      anon_sym_GT_GT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7065), 1,
      anon_sym_EQ,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7069), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7071), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7073), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7075), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7077), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7083), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7085), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7087), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7093), 1,
      anon_sym_or,
    ACTIONS(7095), 1,
      anon_sym_and,
    ACTIONS(7097), 1,
      anon_sym_bitor,
    ACTIONS(7099), 1,
      anon_sym_xor,
    ACTIONS(7101), 1,
      anon_sym_bitand,
    ACTIONS(7103), 1,
      anon_sym_not_eq,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7121), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_LPAREN2,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    STATE(3891), 1,
      sym_parameter_list,
    STATE(3517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5942), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60487] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [60596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_LPAREN2,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    STATE(3891), 1,
      sym_parameter_list,
    STATE(3517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6018), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6020), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    STATE(3511), 1,
      sym_decltype_auto,
    ACTIONS(5550), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5552), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6767), 1,
      sym_auto,
    ACTIONS(6769), 1,
      anon_sym_decltype,
    STATE(3475), 1,
      sym_decltype_auto,
    ACTIONS(5550), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60807] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_QMARK,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6849), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6853), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [60918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3709), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5997), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7129), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7127), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [61048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7007), 1,
      anon_sym_LPAREN2,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7011), 1,
      anon_sym_LBRACK,
    STATE(3891), 1,
      sym_parameter_list,
    STATE(3517), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6014), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6016), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61186] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    ACTIONS(7015), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      sym_auto,
    ACTIONS(7019), 1,
      anon_sym_decltype,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(4163), 1,
      sym_new_declarator,
    STATE(4448), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5478), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61265] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [61346] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5091), 1,
      anon_sym_LBRACE,
    ACTIONS(5098), 1,
      anon_sym_LT,
    STATE(3289), 1,
      sym_template_argument_list,
    ACTIONS(5093), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61417] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6941), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6943), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6955), 1,
      anon_sym_GT_EQ,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6961), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6963), 1,
      anon_sym_or,
    ACTIONS(6965), 1,
      anon_sym_and,
    ACTIONS(6967), 1,
      anon_sym_not_eq,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(7117), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7119), 1,
      anon_sym_QMARK,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6945), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6947), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6949), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6953), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6864), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6866), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [61528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3762), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5952), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5131), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6935), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 1,
      anon_sym___attribute__,
    STATE(3708), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6001), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61790] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    ACTIONS(7015), 1,
      anon_sym_LBRACK,
    ACTIONS(7017), 1,
      sym_auto,
    ACTIONS(7019), 1,
      anon_sym_decltype,
    STATE(3967), 1,
      sym_new_declarator,
    STATE(4062), 1,
      sym_decltype_auto,
    STATE(4385), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5502), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [61869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5735), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5635), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7131), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [62058] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7023), 1,
      anon_sym_COMMA,
    ACTIONS(7027), 1,
      anon_sym_DASH,
    ACTIONS(7029), 1,
      anon_sym_PLUS,
    ACTIONS(7031), 1,
      anon_sym_STAR,
    ACTIONS(7033), 1,
      anon_sym_SLASH,
    ACTIONS(7035), 1,
      anon_sym_PERCENT,
    ACTIONS(7037), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7039), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7041), 1,
      anon_sym_PIPE,
    ACTIONS(7043), 1,
      anon_sym_CARET,
    ACTIONS(7045), 1,
      anon_sym_AMP,
    ACTIONS(7047), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7049), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_GT_EQ,
    ACTIONS(7055), 1,
      anon_sym_LT_EQ,
    ACTIONS(7057), 1,
      anon_sym_LT,
    ACTIONS(7059), 1,
      anon_sym_LT_LT,
    ACTIONS(7061), 1,
      anon_sym_GT_GT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7065), 1,
      anon_sym_EQ,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7069), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7071), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7073), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7075), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7077), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7083), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7085), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7087), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7093), 1,
      anon_sym_or,
    ACTIONS(7095), 1,
      anon_sym_and,
    ACTIONS(7097), 1,
      anon_sym_bitor,
    ACTIONS(7099), 1,
      anon_sym_xor,
    ACTIONS(7101), 1,
      anon_sym_bitand,
    ACTIONS(7103), 1,
      anon_sym_not_eq,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7135), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5725), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62282] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62391] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6422), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    ACTIONS(7113), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62504] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6322), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [62581] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6864), 1,
      anon_sym_EQ,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    ACTIONS(7113), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [62694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62757] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6632), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_new_declarator,
    ACTIONS(6235), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62824] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6937), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6957), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6939), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [62907] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6969), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6380), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6378), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [62984] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7023), 1,
      anon_sym_COMMA,
    ACTIONS(7027), 1,
      anon_sym_DASH,
    ACTIONS(7029), 1,
      anon_sym_PLUS,
    ACTIONS(7031), 1,
      anon_sym_STAR,
    ACTIONS(7033), 1,
      anon_sym_SLASH,
    ACTIONS(7035), 1,
      anon_sym_PERCENT,
    ACTIONS(7037), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7039), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7041), 1,
      anon_sym_PIPE,
    ACTIONS(7043), 1,
      anon_sym_CARET,
    ACTIONS(7045), 1,
      anon_sym_AMP,
    ACTIONS(7047), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7049), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7051), 1,
      anon_sym_GT,
    ACTIONS(7053), 1,
      anon_sym_GT_EQ,
    ACTIONS(7055), 1,
      anon_sym_LT_EQ,
    ACTIONS(7057), 1,
      anon_sym_LT,
    ACTIONS(7059), 1,
      anon_sym_LT_LT,
    ACTIONS(7061), 1,
      anon_sym_GT_GT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7065), 1,
      anon_sym_EQ,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7069), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7071), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7073), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7075), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7077), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7079), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7081), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7083), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7085), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7087), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7093), 1,
      anon_sym_or,
    ACTIONS(7095), 1,
      anon_sym_and,
    ACTIONS(7097), 1,
      anon_sym_bitor,
    ACTIONS(7099), 1,
      anon_sym_xor,
    ACTIONS(7101), 1,
      anon_sym_bitand,
    ACTIONS(7103), 1,
      anon_sym_not_eq,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7137), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7089), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63145] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [63224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_EQ,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [63396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4109), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63582] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7139), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4045), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4043), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [63648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5091), 1,
      anon_sym_LBRACE,
    ACTIONS(5483), 1,
      anon_sym_LT,
    STATE(3692), 1,
      sym_template_argument_list,
    ACTIONS(5093), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [63780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5119), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5762), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63904] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7141), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [63984] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_LPAREN2,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4007), 1,
      sym_parameter_list,
    STATE(3781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6018), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6020), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7155), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7153), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7151), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7149), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [64122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5731), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64184] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    STATE(3097), 1,
      sym_attribute_specifier,
    STATE(3933), 1,
      sym_enumerator_list,
    ACTIONS(5816), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5814), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [64254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5689), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5123), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5693), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5784), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [64502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6157), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6165), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6055), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6067), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 1,
      sym_auto,
    ACTIONS(6847), 1,
      anon_sym_decltype,
    STATE(3612), 1,
      sym_decltype_auto,
    ACTIONS(5550), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5552), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5721), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65068] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7161), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [65148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5717), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5725), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5828), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5762), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5103), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_LPAREN2,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4007), 1,
      sym_parameter_list,
    STATE(3781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6014), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6016), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [65654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65780] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    STATE(3630), 1,
      sym_enumerator_list,
    STATE(3994), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [65850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5708), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [65974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5752), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5832), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6039), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(4013), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6161), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7009), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3608), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6041), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6043), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4041), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7163), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(4021), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(4019), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [66484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6134), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6136), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6130), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6126), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7171), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7169), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7167), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7165), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [66798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5896), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [66922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [66984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5856), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5784), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4105), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5768), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5840), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5824), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [67604] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7173), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [67684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5731), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [67932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_LPAREN2,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4007), 1,
      sym_parameter_list,
    STATE(3781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5962), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5964), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [68004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6063), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5115), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6059), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5768), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5111), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5892), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5772), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7175), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [68500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5107), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5693), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6935), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6360), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7183), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7181), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7179), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [68876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5884), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [68938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5880), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6188), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6190), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(4161), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6142), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5844), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5848), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69506] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7187), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(4120), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6111), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [69654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5836), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5868), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5776), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [69902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5780), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [70026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    STATE(3113), 1,
      sym_attribute_specifier,
    STATE(3849), 1,
      sym_enumerator_list,
    ACTIONS(5860), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5858), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5735), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5852), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [70220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_LPAREN2,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4007), 1,
      sym_parameter_list,
    STATE(3781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5944), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7195), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7193), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7191), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7189), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [70420] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7197), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7205), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(7203), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(7201), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(7199), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [70566] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7207), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [70646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(4097), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6115), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5914), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [70776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      anon_sym_LPAREN2,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7147), 1,
      anon_sym_LBRACK,
    STATE(4007), 1,
      sym_parameter_list,
    STATE(3781), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5926), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [70972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [71034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3042), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5848), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    ACTIONS(5449), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5888), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    STATE(3705), 1,
      sym_enumerator_list,
    STATE(4088), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5816), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    ACTIONS(4135), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71426] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7209), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [71506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6122), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5828), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5836), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5876), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7211), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [71834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5832), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [71896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7213), 1,
      anon_sym_SEMI,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [71976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5872), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [72038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5852), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5840), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3042), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3608), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6071), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6073), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [72298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5844), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [72360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5635), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7218), 1,
      anon_sym_LT,
    STATE(3450), 1,
      sym_template_argument_list,
    ACTIONS(6382), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6384), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5752), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [72549] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [72628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      anon_sym_LT,
    STATE(3289), 1,
      sym_template_argument_list,
    ACTIONS(6382), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4302), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6115), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72882] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(6574), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6576), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7173), 1,
      sym__declarator,
    STATE(7471), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(7115), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [72987] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6420), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7445), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(6223), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [73092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4130), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5991), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4117), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5987), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5628), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5626), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [73283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4112), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5960), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73470] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6420), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7173), 1,
      sym__declarator,
    STATE(7451), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(7115), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [73575] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7230), 1,
      sym_identifier,
    STATE(3811), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3777), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3785), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5329), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5327), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4085), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5968), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4279), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [74022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4050), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6504), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4049), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5976), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [74564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5836), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6608), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(3566), 1,
      sym_template_argument_list,
    ACTIONS(6382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [74812] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6872), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [74919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5274), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      sym_identifier,
    STATE(3648), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7298), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7301), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5313), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5311), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5302), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75232] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75309] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4221), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [75455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5278), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75699] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [75780] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6849), 1,
      anon_sym_EQ,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [75891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6428), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6440), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6432), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4205), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6111), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [76568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6424), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2206), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2945), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5323), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5333), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6292), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6313), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      anon_sym_LT,
    STATE(1995), 1,
      sym_template_argument_list,
    ACTIONS(6382), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7306), 1,
      anon_sym_and,
    ACTIONS(6271), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4009), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6864), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    ACTIONS(7308), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [77892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6480), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78016] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3042), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3042), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3711), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3715), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78154] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6378), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6380), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5341), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5345), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78412] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6261), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6263), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [78485] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6315), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6317), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [78560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5091), 1,
      anon_sym_LBRACE,
    ACTIONS(5630), 1,
      anon_sym_LT,
    STATE(3906), 1,
      sym_template_argument_list,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(2128), 1,
      sym_template_argument_list,
    ACTIONS(6382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78694] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4125), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [78765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4046), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5997), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [78830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5784), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5762), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4058), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6001), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79214] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6368), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6370), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [79289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [79396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79518] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6872), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [79625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6294), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6296), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [79698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5828), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5832), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5840), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5844), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [79942] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6868), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [80049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5848), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [80110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5852), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [80171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80232] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6422), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    ACTIONS(7308), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [80343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6612), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6616), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6618), 1,
      anon_sym_LT,
    STATE(3916), 1,
      sym_template_argument_list,
    ACTIONS(6213), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6215), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80593] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [80674] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6849), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    ACTIONS(7308), 1,
      anon_sym_QMARK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [80785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5824), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [80846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [80929] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [81016] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [81105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [81166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5496), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5498), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4135), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [81231] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [81324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7310), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81387] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [81482] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [81581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [81684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6765), 1,
      anon_sym_LBRACK,
    STATE(3832), 1,
      sym_new_declarator,
    ACTIONS(6235), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81749] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6322), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [81824] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [81901] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4151), 1,
      anon_sym_SEMI,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4125), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [81974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5306), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5780), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5776), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5772), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5768), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82340] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [82443] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [82542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [82637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5914), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [82791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5693), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [82913] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(6574), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6576), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7177), 1,
      sym__declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(6223), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [83018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5896), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5892), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5884), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83262] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4551), 1,
      sym_template_argument_list,
    ACTIONS(4148), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4133), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [83337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5880), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5872), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [83520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5868), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83581] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [83670] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [83757] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7271), 1,
      anon_sym_PIPE,
    ACTIONS(7275), 1,
      anon_sym_AMP,
    ACTIONS(7281), 1,
      anon_sym_GT_EQ,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7287), 1,
      anon_sym_or,
    ACTIONS(7289), 1,
      anon_sym_and,
    ACTIONS(7291), 1,
      anon_sym_bitor,
    ACTIONS(7293), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7273), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7277), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7279), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [83864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [83925] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7285), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7263), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [84008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5349), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84069] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6864), 1,
      anon_sym_EQ,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [84180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(3979), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6510), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84367] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3803), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6041), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6043), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [84432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6626), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7304), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7306), 1,
      anon_sym_and,
    ACTIONS(7315), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7317), 1,
      anon_sym_or,
    ACTIONS(6344), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(3986), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5948), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [84627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [84932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [85039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6618), 1,
      anon_sym_LT,
    STATE(3916), 1,
      sym_template_argument_list,
    ACTIONS(6217), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6219), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5337), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6336), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6436), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6518), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5795), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [85604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5717), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5721), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5708), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3803), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6071), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6073), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [85852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5086), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [85974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4016), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5956), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5731), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [86100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5513), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86161] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_EQ,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7021), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_QMARK,
    ACTIONS(7091), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7238), 1,
      anon_sym_PIPE,
    ACTIONS(7242), 1,
      anon_sym_AMP,
    ACTIONS(7248), 1,
      anon_sym_GT_EQ,
    ACTIONS(7252), 1,
      anon_sym_or,
    ACTIONS(7254), 1,
      anon_sym_and,
    ACTIONS(7256), 1,
      anon_sym_bitor,
    ACTIONS(7258), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7105), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7221), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7240), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7250), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7223), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7244), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7246), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [86272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym___attribute__,
    STATE(4005), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5952), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [86337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7324), 1,
      sym_identifier,
    STATE(3648), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3777), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3785), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4105), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3116), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5954), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [86530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3114), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5950), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [86594] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3091), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5958), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [86658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6655), 1,
      anon_sym_LT,
    STATE(4043), 1,
      sym_template_argument_list,
    ACTIONS(6217), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6219), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86784] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7330), 1,
      anon_sym_RPAREN,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [86940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(5091), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5084), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [87066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6067), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6055), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6134), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6136), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6165), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87366] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6864), 1,
      anon_sym_EQ,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_QMARK,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [87476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6130), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6157), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6126), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6868), 1,
      anon_sym_EQ,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [87762] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6223), 1,
      anon_sym_RPAREN,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7272), 1,
      sym__declarator,
    STATE(7445), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6305), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6263), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [87998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(4280), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5797), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5735), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [88126] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7454), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [88282] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_QMARK,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [88392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4109), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [88558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6039), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6518), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5517), 1,
      anon_sym_LPAREN2,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88744] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7115), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7195), 1,
      sym__declarator,
    STATE(7451), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88848] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6378), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6380), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [88922] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7456), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89124] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3130), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5966), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [89270] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [89356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5513), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [89416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [89504] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7458), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [89660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6655), 1,
      anon_sym_LT,
    STATE(4043), 1,
      sym_template_argument_list,
    ACTIONS(6213), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6215), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89726] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [89818] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [89892] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6370), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [89966] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [90060] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90158] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90260] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [90334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [90410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6422), 1,
      anon_sym_EQ,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7430), 1,
      anon_sym_QMARK,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 15,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90580] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6872), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [90684] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [90790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6296), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [90862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6296), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [90934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6872), 1,
      anon_sym_EQ,
    ACTIONS(7412), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7414), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7416), 1,
      anon_sym_PIPE,
    ACTIONS(7420), 1,
      anon_sym_AMP,
    ACTIONS(7426), 1,
      anon_sym_GT_EQ,
    ACTIONS(7432), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7434), 1,
      anon_sym_or,
    ACTIONS(7436), 1,
      anon_sym_and,
    ACTIONS(7438), 1,
      anon_sym_bitor,
    ACTIONS(7440), 1,
      anon_sym_bitand,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7418), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7428), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7422), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7424), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [91040] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6368), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6370), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91114] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6282), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6284), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [91188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6263), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [91260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [91404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3154), 1,
      sym_attribute_specifier,
    ACTIONS(5948), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5946), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [91648] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7492), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [91804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6935), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_LT,
    STATE(2214), 1,
      sym_template_argument_list,
    ACTIONS(6382), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91928] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7497), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [92084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5507), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [92144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6626), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3139), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5938), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5856), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [92328] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7501), 1,
      anon_sym_QMARK,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6864), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [92436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 1,
      anon_sym_const,
    ACTIONS(5140), 1,
      anon_sym_AMP,
    ACTIONS(5133), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5138), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5136), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5131), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [92504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(5517), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4135), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6843), 1,
      anon_sym_LBRACK,
    STATE(4174), 1,
      sym_new_declarator,
    ACTIONS(6235), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6237), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [92634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6122), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6360), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92754] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3107), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5970), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3158), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5974), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7260), 1,
      anon_sym_LT,
    STATE(2010), 1,
      sym_template_argument_list,
    ACTIONS(6382), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    ACTIONS(4163), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93010] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4576), 1,
      sym_field_declaration_list,
    STATE(4764), 1,
      sym_attribute_specifier,
    STATE(7819), 1,
      sym_virtual_specifier,
    STATE(8798), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5416), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3119), 1,
      sym_attribute_specifier,
    ACTIONS(5987), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5985), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [93150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6935), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93210] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7507), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [93366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(5517), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4135), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93432] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6851), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6979), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6983), 1,
      anon_sym_PIPE,
    ACTIONS(6987), 1,
      anon_sym_AMP,
    ACTIONS(6993), 1,
      anon_sym_GT_EQ,
    ACTIONS(6997), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6999), 1,
      anon_sym_or,
    ACTIONS(7001), 1,
      anon_sym_and,
    ACTIONS(7003), 1,
      anon_sym_bitor,
    ACTIONS(7005), 1,
      anon_sym_bitand,
    ACTIONS(7113), 1,
      anon_sym_QMARK,
    ACTIONS(7121), 1,
      anon_sym_RPAREN,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(7511), 1,
      anon_sym_EQ,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6975), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6985), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6995), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6977), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6989), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6991), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(7089), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [93546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5517), 1,
      anon_sym_LPAREN2,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(4163), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5513), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      sym_identifier,
    STATE(3913), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5920), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5922), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5329), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5327), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [93744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5131), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [93806] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6785), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [93910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    ACTIONS(5449), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5451), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    ACTIONS(4135), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6117), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5740), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [94100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      sym_identifier,
    STATE(3939), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5920), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5922), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5270), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94292] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6868), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [94396] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5517), 1,
      anon_sym_LPAREN2,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6188), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6190), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3094), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5989), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [94588] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7501), 1,
      anon_sym_QMARK,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6849), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [94696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(4151), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5486), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [94762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7408), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7410), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [94840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      anon_sym_LT,
    STATE(2011), 1,
      sym_template_argument_list,
    ACTIONS(6382), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7494), 1,
      anon_sym_LT,
    STATE(3692), 1,
      sym_template_argument_list,
    ACTIONS(6382), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3153), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5999), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [95092] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6315), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6317), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [95166] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6837), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [95270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6059), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5635), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95390] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    STATE(3627), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3777), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3785), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    STATE(3627), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3777), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3785), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [95526] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7517), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [95682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6286), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6315), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6317), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [95756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    STATE(3150), 1,
      sym_attribute_specifier,
    ACTIONS(5997), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5995), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [95820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6063), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95880] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7519), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [96036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5888), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96158] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [96240] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7521), 1,
      sym_identifier,
    STATE(3939), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7524), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7527), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5313), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5311), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 1,
      sym_auto,
    ACTIONS(7019), 1,
      anon_sym_decltype,
    STATE(4062), 1,
      sym_decltype_auto,
    ACTIONS(5550), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5552), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96434] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7466), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7484), 1,
      anon_sym_or,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    ACTIONS(7499), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7501), 1,
      anon_sym_QMARK,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6422), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [96542] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [96620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7532), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7530), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [96680] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7534), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [96836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5876), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96956] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97096] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7536), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [97252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7538), 1,
      sym_identifier,
    ACTIONS(7542), 1,
      sym_primitive_type,
    STATE(3910), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7540), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5805), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [97320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6380), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97470] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [97544] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7109), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7111), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7328), 1,
      anon_sym_COMMA,
    ACTIONS(7332), 1,
      anon_sym_DASH,
    ACTIONS(7334), 1,
      anon_sym_PLUS,
    ACTIONS(7336), 1,
      anon_sym_STAR,
    ACTIONS(7338), 1,
      anon_sym_SLASH,
    ACTIONS(7340), 1,
      anon_sym_PERCENT,
    ACTIONS(7342), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7344), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7346), 1,
      anon_sym_PIPE,
    ACTIONS(7348), 1,
      anon_sym_CARET,
    ACTIONS(7350), 1,
      anon_sym_AMP,
    ACTIONS(7352), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7354), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7356), 1,
      anon_sym_GT,
    ACTIONS(7358), 1,
      anon_sym_GT_EQ,
    ACTIONS(7360), 1,
      anon_sym_LT_EQ,
    ACTIONS(7362), 1,
      anon_sym_LT,
    ACTIONS(7364), 1,
      anon_sym_LT_LT,
    ACTIONS(7366), 1,
      anon_sym_GT_GT,
    ACTIONS(7368), 1,
      anon_sym_EQ,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7372), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7374), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7376), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7378), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7380), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7382), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7384), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7386), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7388), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7390), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7394), 1,
      anon_sym_or,
    ACTIONS(7396), 1,
      anon_sym_and,
    ACTIONS(7398), 1,
      anon_sym_bitor,
    ACTIONS(7400), 1,
      anon_sym_xor,
    ACTIONS(7402), 1,
      anon_sym_bitand,
    ACTIONS(7404), 1,
      anon_sym_not_eq,
    ACTIONS(7544), 1,
      anon_sym_RPAREN,
    STATE(1723), 1,
      sym__binary_fold_operator,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    STATE(9110), 1,
      sym__fold_operator,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [97700] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7468), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7486), 1,
      anon_sym_and,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [97800] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7470), 1,
      anon_sym_PIPE,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7488), 1,
      anon_sym_bitor,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6322), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [97896] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7472), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [97988] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7474), 1,
      anon_sym_AMP,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7490), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [98078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(7482), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7460), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7462), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7480), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7464), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7476), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7478), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [98164] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7546), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7548), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7550), 1,
      anon_sym_or,
    ACTIONS(7552), 1,
      anon_sym_and,
    ACTIONS(6344), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6432), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7554), 1,
      sym_identifier,
    STATE(3977), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5189), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5191), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5329), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5327), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98475] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6928), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4804), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    STATE(4454), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6161), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6444), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_primitive_type,
    STATE(2079), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5365), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5740), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [98883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6880), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4142), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4767), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7572), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [99163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7574), 1,
      sym_identifier,
    STATE(4054), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5189), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5191), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5270), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99289] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4775), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99449] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6969), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4812), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5872), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(2597), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5171), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5797), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [99676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5768), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5772), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5776), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5880), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99912] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7178), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4053), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4781), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5374), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7592), 1,
      anon_sym_LT,
    STATE(2345), 1,
      sym_template_argument_list,
    ACTIONS(6382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [100135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5836), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5780), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5884), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4125), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [100499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6292), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2206), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2206), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100676] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7439), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4035), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4779), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6468), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5896), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6122), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [101249] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7173), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4782), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7605), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [101470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6626), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101708] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6966), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3966), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4799), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5693), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [101927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5892), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5345), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5824), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5370), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [102382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6360), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5382), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [102559] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7607), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    STATE(2597), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5171), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4133), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [102628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7609), 1,
      anon_sym_namespace,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [102689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4109), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [102809] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7217), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4044), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4818), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7592), 1,
      anon_sym_LT,
    STATE(3906), 1,
      sym_template_argument_list,
    ACTIONS(6382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103032] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7443), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4770), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2945), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103192] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4019), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4808), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6372), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 1,
      anon_sym_namespace,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [103415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6414), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6188), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6190), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [103653] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4808), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6504), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5762), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5828), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5349), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5832), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [104049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5840), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [104108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5306), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [104167] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4060), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4775), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7177), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7617), 1,
      sym_identifier,
    STATE(4054), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7620), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7623), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5313), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5311), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5513), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104495] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6929), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3980), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4825), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5784), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [104714] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6919), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4172), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4806), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4771), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7626), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [104977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5752), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6604), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105095] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7650), 1,
      anon_sym_requires,
    STATE(5536), 1,
      sym__function_attributes_start,
    STATE(5682), 1,
      sym_ref_qualifier,
    STATE(6639), 1,
      sym__function_attributes_end,
    STATE(6785), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6066), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6510), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6332), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5914), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6336), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6336), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6336), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [105731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [105849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [105908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7652), 1,
      anon_sym_namespace,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [105969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6428), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6440), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6440), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5628), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6424), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3525), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [106323] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_COLON,
    STATE(3096), 1,
      sym_attribute_specifier,
    STATE(3575), 1,
      sym__enum_base_clause,
    STATE(3878), 1,
      sym_enumerator_list,
    ACTIONS(6205), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5844), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 1,
      anon_sym_EQ,
    ACTIONS(5918), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5848), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [106634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5302), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106752] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7177), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4008), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4787), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7548), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7552), 1,
      anon_sym_and,
    ACTIONS(6271), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5286), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [106975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5274), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6039), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107211] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7408), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4131), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4788), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    STATE(4383), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6142), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107436] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7659), 1,
      anon_sym_requires,
    STATE(5514), 1,
      sym__function_attributes_start,
    STATE(5645), 1,
      sym_ref_qualifier,
    STATE(6637), 1,
      sym__function_attributes_end,
    STATE(6747), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7656), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6093), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [107541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5274), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7662), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [107661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6134), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6136), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6130), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6126), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6436), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6402), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107956] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7664), 1,
      anon_sym_LPAREN2,
    STATE(3191), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4080), 1,
      sym_argument_list,
    STATE(4393), 1,
      sym_initializer_list,
    ACTIONS(6774), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5626), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7667), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [108088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5852), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [108206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_LBRACE,
    ACTIONS(5628), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7669), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    STATE(4280), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7452), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4133), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [108395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    ACTIONS(4127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [108456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [108515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5708), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [108574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 1,
      anon_sym_LBRACE,
    ACTIONS(5628), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    ACTIONS(5451), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5449), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [108757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [108816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5306), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [108934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6933), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [108993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5378), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [109111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 1,
      anon_sym_LT,
    STATE(2021), 1,
      sym_template_argument_list,
    ACTIONS(6382), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6384), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6518), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5731), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [109292] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7439), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4779), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6480), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6562), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [109690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      sym_identifier,
    ACTIONS(7678), 1,
      sym_primitive_type,
    STATE(3971), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7676), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [109816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5345), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5341), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [109993] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6929), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4825), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6059), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6063), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4105), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6600), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5341), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    STATE(4440), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6111), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110631] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7217), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3978), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4784), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6608), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [110850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [110911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7654), 1,
      anon_sym_COLON,
    STATE(3149), 1,
      sym_attribute_specifier,
    STATE(3483), 1,
      sym__enum_base_clause,
    STATE(3815), 1,
      sym_enumerator_list,
    ACTIONS(6199), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6197), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [110982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6067), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5286), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6055), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6570), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7682), 1,
      anon_sym_namespace,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [111338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      anon_sym_LPAREN2,
    STATE(4415), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6115), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6165), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5302), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6157), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6464), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6885), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [111816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5086), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [111875] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6966), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4799), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6305), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7684), 1,
      anon_sym_namespace,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [112155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5323), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5333), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7686), 1,
      anon_sym_typedef,
    ACTIONS(3527), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [112393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5323), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6616), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5333), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6612), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [112629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6444), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6440), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5337), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6088), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7688), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6090), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [112924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6452), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112982] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7700), 1,
      anon_sym___attribute__,
    ACTIONS(7703), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7706), 1,
      anon_sym___declspec,
    ACTIONS(7709), 1,
      anon_sym_virtual,
    ACTIONS(7712), 1,
      anon_sym_alignas,
    ACTIONS(7715), 1,
      anon_sym_explicit,
    ACTIONS(7692), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7690), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7697), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4190), 11,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7694), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113058] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7720), 1,
      anon_sym___attribute__,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    STATE(5590), 1,
      sym__function_attributes_start,
    STATE(5762), 1,
      sym_ref_qualifier,
    STATE(6561), 1,
      sym__function_attributes_end,
    STATE(6608), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6125), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4288), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7732), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [113224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5513), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6566), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113340] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [113414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6496), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3905), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5920), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5922), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5349), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113596] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    STATE(3905), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5920), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5922), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 1,
      anon_sym_EQ,
    ACTIONS(5936), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [113724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6526), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6612), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6548), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6616), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6424), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114188] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6380), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7736), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7740), 1,
      anon_sym_or,
    ACTIONS(7742), 1,
      anon_sym_and,
    ACTIONS(6344), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6346), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114326] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6370), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114456] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7720), 1,
      anon_sym___attribute__,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7747), 1,
      anon_sym_requires,
    STATE(5600), 1,
      sym__function_attributes_start,
    STATE(5722), 1,
      sym_ref_qualifier,
    STATE(6508), 1,
      sym__function_attributes_end,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6111), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4105), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4103), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [114618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6530), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114676] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [114778] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [114880] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [114952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6604), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6570), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7669), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5486), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4151), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115190] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4734), 1,
      sym_field_declaration_list,
    STATE(4835), 1,
      sym_attribute_specifier,
    STATE(7744), 1,
      sym_virtual_specifier,
    STATE(8686), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5416), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5086), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7175), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [115380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5187), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4127), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [115442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6540), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115500] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym_EQ,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [115600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4286), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6105), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2206), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(4151), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5486), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [115784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [115842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7742), 1,
      anon_sym_and,
    ACTIONS(6271), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6273), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [115962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6588), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116082] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [116154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7790), 1,
      anon_sym___attribute__,
    ACTIONS(7793), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7796), 1,
      anon_sym___declspec,
    ACTIONS(7799), 1,
      anon_sym_virtual,
    ACTIONS(7802), 1,
      anon_sym_alignas,
    ACTIONS(7787), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4238), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7784), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(6732), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [116228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7812), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7808), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7810), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7815), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7805), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [116292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6395), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5345), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116524] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym_EQ,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [116622] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [116716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6332), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [116774] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6849), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [116880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [116940] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [117030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6391), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117146] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [117232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6414), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6464), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6324), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [117486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5282), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117602] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [117678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5341), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4286), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4286), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6049), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117860] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6324), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [117938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6514), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6438), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6440), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6478), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6480), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6436), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7817), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5084), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5091), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118234] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [118336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4261), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7820), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(4424), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5797), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6430), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6432), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2945), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6468), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(4545), 1,
      sym_field_declaration_list,
    STATE(7836), 1,
      sym_virtual_specifier,
    STATE(8465), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5416), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [118770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6428), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5302), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6592), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [118944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4286), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119006] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6324), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [119090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6476), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5306), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6472), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6448), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4286), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7824), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5290), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6099), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6101), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5278), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119562] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7829), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4321), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5874), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5876), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6103), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6105), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [119748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6488), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6492), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [119864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7129), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7127), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [119922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(5091), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5084), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [119986] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(4148), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4125), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [120058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5286), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6887), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6885), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [120174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4321), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5626), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7831), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [120236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6536), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6456), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6518), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2210), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6311), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6313), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6290), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6292), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7133), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7131), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [120642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6402), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_EQ,
    ACTIONS(5793), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6294), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6296), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [120890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6336), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [120948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6622), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6336), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6580), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4109), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4107), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [121180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6502), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6504), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6584), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6078), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6080), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121358] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6872), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [121460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6047), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7827), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6049), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [121522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6334), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6336), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6562), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121638] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(7833), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4125), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121710] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6261), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6263), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [121780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6600), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [121838] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(6864), 1,
      anon_sym_EQ,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [121944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6510), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6608), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6626), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122118] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      anon_sym_EQ,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    ACTIONS(7063), 1,
      anon_sym_LBRACK,
    ACTIONS(7225), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7326), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7370), 1,
      anon_sym_QMARK,
    ACTIONS(7392), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7756), 1,
      anon_sym_PIPE,
    ACTIONS(7758), 1,
      anon_sym_CARET,
    ACTIONS(7760), 1,
      anon_sym_AMP,
    ACTIONS(7766), 1,
      anon_sym_GT_EQ,
    ACTIONS(7770), 1,
      anon_sym_bitor,
    ACTIONS(7772), 1,
      anon_sym_xor,
    ACTIONS(7774), 1,
      anon_sym_bitand,
    STATE(3963), 1,
      sym_subscript_argument_list,
    STATE(4079), 1,
      sym_argument_list,
    ACTIONS(7107), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7406), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7750), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7752), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7754), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7768), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7734), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7762), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7764), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [122224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5323), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 1,
      anon_sym_LBRACK,
    STATE(4360), 1,
      sym_new_declarator,
    ACTIONS(6235), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6237), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5333), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5274), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6328), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [122518] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7837), 1,
      anon_sym_COLON,
    STATE(3149), 1,
      sym_attribute_specifier,
    STATE(3483), 1,
      sym__enum_base_clause,
    STATE(3815), 1,
      sym_enumerator_list,
    ACTIONS(6199), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6197), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [122587] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    STATE(5612), 1,
      sym__function_attributes_start,
    STATE(5793), 1,
      sym_ref_qualifier,
    STATE(6608), 1,
      sym_trailing_return_type,
    STATE(6713), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6154), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [122690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5107), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    ACTIONS(7845), 1,
      anon_sym_COLON,
    STATE(4526), 1,
      sym__enum_base_clause,
    STATE(4573), 1,
      sym_enumerator_list,
    STATE(4761), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6205), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6935), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5131), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122932] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    STATE(5624), 1,
      sym__function_attributes_start,
    STATE(5803), 1,
      sym_ref_qualifier,
    STATE(6516), 1,
      sym__function_attributes_end,
    STATE(6629), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7850), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6153), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    ACTIONS(4135), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    ACTIONS(7845), 1,
      anon_sym_COLON,
    STATE(4506), 1,
      sym__enum_base_clause,
    STATE(4541), 1,
      sym_enumerator_list,
    STATE(4723), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6199), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123220] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7857), 1,
      anon_sym_requires,
    STATE(5608), 1,
      sym__function_attributes_start,
    STATE(5808), 1,
      sym_ref_qualifier,
    STATE(6521), 1,
      sym__function_attributes_end,
    STATE(6615), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7850), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6151), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [123323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5624), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123382] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    STATE(3401), 1,
      sym_template_argument_list,
    ACTIONS(7833), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4151), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5486), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5361), 1,
      sym_primitive_type,
    STATE(4359), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5740), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(5486), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4151), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [123575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5123), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [123746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5111), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      sym_literal_suffix,
    ACTIONS(5449), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5451), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123862] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7863), 1,
      sym_identifier,
    ACTIONS(7868), 1,
      sym_primitive_type,
    STATE(4350), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7866), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5803), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5115), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [123984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4359), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7860), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6305), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7837), 1,
      anon_sym_COLON,
    STATE(3096), 1,
      sym_attribute_specifier,
    STATE(3575), 1,
      sym__enum_base_clause,
    STATE(3878), 1,
      sym_enumerator_list,
    ACTIONS(6205), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6203), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5103), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5119), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124460] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    STATE(5621), 1,
      sym__function_attributes_start,
    STATE(5776), 1,
      sym_ref_qualifier,
    STATE(6629), 1,
      sym_trailing_return_type,
    STATE(6663), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6138), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    STATE(4387), 1,
      sym_new_declarator,
    ACTIONS(6235), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4262), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7829), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124742] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    STATE(5628), 1,
      sym__function_attributes_start,
    STATE(5784), 1,
      sym_ref_qualifier,
    STATE(6608), 1,
      sym_trailing_return_type,
    STATE(6628), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7850), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6163), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [124845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124902] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7747), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    STATE(5627), 1,
      sym__function_attributes_start,
    STATE(5814), 1,
      sym_ref_qualifier,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6531), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7850), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6159), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    STATE(3964), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5189), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5191), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [125070] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7876), 1,
      anon_sym_LT,
    STATE(4424), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4483), 1,
      sym_template_argument_list,
    ACTIONS(7822), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4133), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    STATE(3964), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5189), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5191), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5449), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [125202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(5084), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5091), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [125265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7857), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    STATE(5610), 1,
      sym__function_attributes_start,
    STATE(5791), 1,
      sym_ref_qualifier,
    STATE(6615), 1,
      sym_trailing_return_type,
    STATE(6674), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6164), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125368] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7747), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    STATE(5607), 1,
      sym__function_attributes_start,
    STATE(5799), 1,
      sym_ref_qualifier,
    STATE(6520), 1,
      sym_trailing_return_type,
    STATE(6700), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6150), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2206), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6452), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6608), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6570), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6588), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6600), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5372), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [125863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6622), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [125975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6424), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4429), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7878), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5874), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6562), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6395), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4427), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7880), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2210), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6391), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6464), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7884), 1,
      anon_sym_requires,
    STATE(5669), 1,
      sym__function_attributes_start,
    STATE(5846), 1,
      sym_ref_qualifier,
    STATE(6790), 1,
      sym__function_attributes_end,
    STATE(6984), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6168), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5337), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5274), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6271), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5302), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6402), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6436), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [126983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6580), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5382), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4436), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7889), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6084), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6584), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127267] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4125), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [127333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6263), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [127401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7891), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5084), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5091), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [127463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6456), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6566), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5306), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6536), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5382), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5380), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [127799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5286), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5323), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [127911] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    STATE(5693), 1,
      sym__function_attributes_start,
    STATE(5818), 1,
      sym_ref_qualifier,
    STATE(6841), 1,
      sym__function_attributes_end,
    STATE(6914), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6173), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6296), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [128081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7898), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6080), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5333), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5349), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7898), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6105), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5095), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(4551), 1,
      sym_template_argument_list,
    ACTIONS(5088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5091), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5084), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7898), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6049), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5290), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2945), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7900), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5361), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5363), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128611] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7847), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    STATE(5675), 1,
      sym__function_attributes_start,
    STATE(5873), 1,
      sym_ref_qualifier,
    STATE(6788), 1,
      sym__function_attributes_end,
    STATE(6961), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6177), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [128713] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [128783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7907), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6344), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6346), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [128843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4432), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7898), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6101), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7911), 1,
      sym_auto,
    ACTIONS(7913), 1,
      anon_sym_decltype,
    STATE(4544), 1,
      sym_new_declarator,
    STATE(4748), 1,
      sym_decltype_auto,
    STATE(4485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5457), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5341), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4009), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6548), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5278), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5345), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5282), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129423] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7911), 1,
      sym_auto,
    ACTIONS(7913), 1,
      anon_sym_decltype,
    STATE(4543), 1,
      sym_new_declarator,
    STATE(4748), 1,
      sym_decltype_auto,
    STATE(4530), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5478), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5370), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6540), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5382), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5378), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5370), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [129775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6530), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6514), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6592), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6468), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [129999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6526), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2945), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6604), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7915), 1,
      anon_sym_LT,
    STATE(4483), 1,
      sym_template_argument_list,
    ACTIONS(5084), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5091), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6500), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7607), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5486), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4151), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [130347] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6380), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [130417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5374), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [130473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5378), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [130585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6448), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7876), 1,
      anon_sym_LT,
    STATE(4483), 1,
      sym_template_argument_list,
    ACTIONS(5486), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4151), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130703] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7911), 1,
      sym_auto,
    ACTIONS(7913), 1,
      anon_sym_decltype,
    STATE(4572), 1,
      sym_new_declarator,
    STATE(4748), 1,
      sym_decltype_auto,
    STATE(4539), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5502), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6496), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6444), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6492), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6488), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [130999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6414), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [131055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6428), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [131111] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [131181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7918), 1,
      anon_sym_requires,
    STATE(5667), 1,
      sym__function_attributes_start,
    STATE(5886), 1,
      sym_ref_qualifier,
    STATE(6842), 1,
      sym__function_attributes_end,
    STATE(6960), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7656), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6172), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6476), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [131339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6472), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [131395] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7911), 1,
      sym_auto,
    ACTIONS(7913), 1,
      anon_sym_decltype,
    STATE(4546), 1,
      sym_new_declarator,
    STATE(4748), 1,
      sym_decltype_auto,
    STATE(4484), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5471), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6370), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [131537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5136), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5123), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5107), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5370), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [132197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5111), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(7921), 1,
      anon_sym_COLON,
    STATE(2283), 1,
      sym_attribute_specifier,
    STATE(2930), 1,
      sym__enum_base_clause,
    STATE(3040), 1,
      sym_enumerator_list,
    ACTIONS(6203), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6205), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [132319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132374] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7925), 1,
      anon_sym_COLON,
    STATE(4654), 1,
      sym__enum_base_clause,
    STATE(4696), 1,
      sym_enumerator_list,
    STATE(4832), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6205), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132441] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    STATE(5697), 1,
      sym__function_attributes_start,
    STATE(6036), 1,
      sym_ref_qualifier,
    STATE(7005), 1,
      sym__function_attributes_end,
    STATE(7152), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6191), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5115), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6608), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5624), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5103), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    STATE(4550), 1,
      sym_enumerator_list,
    STATE(4707), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5816), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133047] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7931), 1,
      anon_sym_requires,
    STATE(5705), 1,
      sym__function_attributes_start,
    STATE(6054), 1,
      sym_ref_qualifier,
    STATE(6979), 1,
      sym__function_attributes_end,
    STATE(7192), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7656), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4973), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6199), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7628), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5169), 1,
      anon_sym_SEMI,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(7312), 1,
      anon_sym_LBRACK,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(4148), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4133), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [133219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(7921), 1,
      anon_sym_COLON,
    STATE(2353), 1,
      sym_attribute_specifier,
    STATE(2986), 1,
      sym__enum_base_clause,
    STATE(3015), 1,
      sym_enumerator_list,
    ACTIONS(6197), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6199), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [133286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5119), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5374), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [133453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5584), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133620] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3113), 1,
      sym_attribute_specifier,
    STATE(4566), 1,
      sym_enumerator_list,
    ACTIONS(5858), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5860), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [133683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5382), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [133958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6436), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4429), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7878), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134182] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    STATE(4560), 1,
      sym_enumerator_list,
    STATE(4720), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5860), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6424), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3097), 1,
      sym_attribute_specifier,
    STATE(4581), 1,
      sym_enumerator_list,
    ACTIONS(5814), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5816), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [134418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5378), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [134528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134583] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5795), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5797), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [134646] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7925), 1,
      anon_sym_COLON,
    STATE(4661), 1,
      sym__enum_base_clause,
    STATE(4705), 1,
      sym_enumerator_list,
    STATE(4868), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6199), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6428), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134988] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7941), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7938), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7936), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(7934), 28,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [135051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4706), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7946), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7944), 41,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [135163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    STATE(4488), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6115), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    STATE(4503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6142), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135283] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3114), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5952), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    STATE(4520), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6111), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135401] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_auto,
    ACTIONS(7954), 1,
      anon_sym_decltype,
    STATE(4844), 1,
      sym_new_declarator,
    STATE(4866), 1,
      sym_decltype_auto,
    STATE(5036), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5471), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135471] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4830), 1,
      sym_new_declarator,
    STATE(4484), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5471), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135541] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_auto,
    ACTIONS(7954), 1,
      anon_sym_decltype,
    STATE(4866), 1,
      sym_decltype_auto,
    STATE(4869), 1,
      sym_new_declarator,
    STATE(5136), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5502), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4742), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5997), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_LBRACK,
    ACTIONS(5133), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5136), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5129), 38,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [135727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5509), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3154), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5948), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [135839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4714), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5976), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4712), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4744), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6001), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3091), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5960), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7962), 1,
      anon_sym_LT,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(5183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4133), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [136135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_auto,
    ACTIONS(7954), 1,
      anon_sym_decltype,
    STATE(4866), 1,
      sym_decltype_auto,
    STATE(4870), 1,
      sym_new_declarator,
    STATE(5071), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5478), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4709), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3139), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5940), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4758), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5991), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4766), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5987), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3107), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5972), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136495] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6819), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4569), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5304), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3130), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5968), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    ACTIONS(7952), 1,
      sym_auto,
    ACTIONS(7954), 1,
      anon_sym_decltype,
    STATE(4862), 1,
      sym_new_declarator,
    STATE(4866), 1,
      sym_decltype_auto,
    STATE(5161), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5457), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3116), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5956), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [136767] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6812), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5296), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136853] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6866), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4575), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5331), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136939] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4724), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5940), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    STATE(4517), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6161), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4721), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_SEMI,
    ACTIONS(5628), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [137171] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4716), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5952), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      anon_sym___attribute__,
    STATE(4713), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3153), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6001), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137431] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6847), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4586), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5258), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137517] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7994), 1,
      anon_sym_RPAREN,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8192), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3150), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5997), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137673] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4872), 1,
      sym_new_declarator,
    STATE(4539), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5502), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3119), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5987), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [137801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 1,
      anon_sym_SEMI,
    ACTIONS(5628), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [137859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4841), 1,
      sym_new_declarator,
    STATE(4485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5457), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [137929] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3158), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5976), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(3094), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5991), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [138131] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4865), 1,
      sym_new_declarator,
    STATE(4530), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5478), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [138201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9451), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9203), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138391] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9306), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138486] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9183), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138581] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9560), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138676] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9402), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138771] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9097), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5065), 1,
      sym__type_specifier,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4753), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138961] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9281), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139056] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8880), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139151] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9243), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7911), 1,
      sym_auto,
    ACTIONS(7913), 1,
      anon_sym_decltype,
    STATE(4748), 1,
      sym_decltype_auto,
    ACTIONS(5550), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5552), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8887), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8022), 1,
      anon_sym_LT,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(5084), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5091), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [139459] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8941), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139554] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8810), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139649] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9598), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139744] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9366), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139839] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7918), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(5901), 1,
      sym__function_attributes_start,
    STATE(6128), 1,
      sym_ref_qualifier,
    STATE(6960), 1,
      sym_trailing_return_type,
    STATE(7191), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7628), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7656), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6221), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139938] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9521), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140033] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9463), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140128] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5623), 1,
      sym__type_specifier,
    STATE(6885), 1,
      sym_type_descriptor,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4755), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140223] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6443), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140318] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6437), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140413] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(5868), 1,
      sym__function_attributes_start,
    STATE(6126), 1,
      sym_ref_qualifier,
    STATE(6914), 1,
      sym_trailing_return_type,
    STATE(7148), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7628), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6927), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6254), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140512] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9479), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140607] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(3173), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5322), 1,
      sym_template_argument_list,
    ACTIONS(4148), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4133), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [140674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9309), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140769] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9287), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140864] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9118), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140959] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9516), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141054] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4017), 1,
      sym_identifier,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(4029), 1,
      anon_sym_enum,
    ACTIONS(4031), 1,
      anon_sym_class,
    ACTIONS(4033), 1,
      anon_sym_struct,
    ACTIONS(4035), 1,
      anon_sym_union,
    ACTIONS(4037), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5337), 1,
      sym__type_specifier,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4701), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5735), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141202] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9503), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141297] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(4911), 1,
      sym__type_specifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4752), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141392] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9112), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141487] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4960), 1,
      sym__type_specifier,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4698), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141582] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9534), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141677] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9484), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141772] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8873), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141867] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9592), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7962), 1,
      anon_sym_LT,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(5486), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4151), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [142021] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6932), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4673), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5484), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6417), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142201] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6465), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6464), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6463), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142539] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9473), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142634] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(4921), 1,
      sym__type_specifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4762), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142729] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8975), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142877] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6481), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143025] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6446), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6462), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8077), 1,
      sym_identifier,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8081), 1,
      anon_sym_enum,
    ACTIONS(8083), 1,
      anon_sym_class,
    ACTIONS(8085), 1,
      anon_sym_struct,
    ACTIONS(8087), 1,
      anon_sym_union,
    ACTIONS(8089), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5596), 1,
      sym__type_specifier,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4741), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143310] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143405] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6404), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143553] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6386), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6398), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143743] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8811), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143838] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9457), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    STATE(4693), 1,
      sym_enumerator_list,
    STATE(4876), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5860), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143994] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8914), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144089] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9434), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144184] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6447), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144334] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8091), 1,
      sym_identifier,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8099), 1,
      anon_sym_enum,
    ACTIONS(8101), 1,
      anon_sym_class,
    ACTIONS(8103), 1,
      anon_sym_struct,
    ACTIONS(8105), 1,
      anon_sym_union,
    ACTIONS(8107), 1,
      sym_auto,
    ACTIONS(8109), 1,
      anon_sym_decltype,
    ACTIONS(8111), 1,
      anon_sym_typename,
    STATE(4976), 1,
      sym__type_specifier,
    STATE(5441), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6000), 1,
      sym_decltype_auto,
    STATE(6050), 1,
      sym_qualified_type_identifier,
    STATE(6885), 1,
      sym_type_descriptor,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4728), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5825), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144429] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9193), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144524] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    STATE(4694), 1,
      sym_enumerator_list,
    STATE(4863), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5816), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144585] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5068), 1,
      sym__type_specifier,
    STATE(6712), 1,
      sym_type_descriptor,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(4757), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5856), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144733] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6438), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144828] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8115), 1,
      anon_sym_requires,
    STATE(5851), 1,
      sym__function_attributes_start,
    STATE(6113), 1,
      sym_ref_qualifier,
    STATE(7030), 1,
      sym__function_attributes_end,
    STATE(7267), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7628), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7744), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6232), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144927] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9237), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145022] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6472), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145117] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6426), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145212] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6407), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145307] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8926), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145402] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6391), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145497] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3425), 1,
      anon_sym_enum,
    ACTIONS(3427), 1,
      anon_sym_class,
    ACTIONS(3429), 1,
      anon_sym_struct,
    ACTIONS(3431), 1,
      anon_sym_union,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(3459), 1,
      anon_sym_typename,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8122), 1,
      sym_primitive_type,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(5551), 1,
      sym__type_specifier,
    STATE(6885), 1,
      sym_type_descriptor,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    STATE(4727), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6899), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5468), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145677] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5095), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(5088), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5091), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(5084), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [145740] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7638), 1,
      anon_sym_LBRACK,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7723), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    STATE(5875), 1,
      sym__function_attributes_start,
    STATE(6119), 1,
      sym_ref_qualifier,
    STATE(7053), 1,
      sym__function_attributes_end,
    STATE(7238), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7628), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6719), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6207), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145839] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9235), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145934] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9527), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146029] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9436), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9458), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8863), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9498), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146409] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6457), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146504] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9079), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146599] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(8716), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146694] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6488), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146789] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6402), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146884] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5651), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9376), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146979] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6096), 1,
      sym__type_specifier,
    STATE(6495), 1,
      sym__type_definition_type,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4732), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147074] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5387), 1,
      sym__type_specifier,
    STATE(6885), 1,
      sym_type_descriptor,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4722), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147169] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9441), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147317] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5769), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9539), 1,
      sym_type_descriptor,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(4729), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4871), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5968), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4850), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5997), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147524] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3425), 1,
      anon_sym_enum,
    ACTIONS(3427), 1,
      anon_sym_class,
    ACTIONS(3429), 1,
      anon_sym_struct,
    ACTIONS(3431), 1,
      anon_sym_union,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(3459), 1,
      anon_sym_typename,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8122), 1,
      sym_primitive_type,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(5694), 1,
      sym__type_specifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4875), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5948), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4867), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5940), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147728] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4943), 1,
      sym__type_specifier,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4861), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5956), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147876] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5692), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147968] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4017), 1,
      sym_identifier,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(4029), 1,
      anon_sym_enum,
    ACTIONS(4031), 1,
      anon_sym_class,
    ACTIONS(4033), 1,
      anon_sym_struct,
    ACTIONS(4035), 1,
      anon_sym_union,
    ACTIONS(4037), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5327), 1,
      sym__type_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8128), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(8126), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8132), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(8130), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [148164] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4543), 1,
      sym_new_declarator,
    STATE(4530), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5478), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4860), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5960), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5852), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5848), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5914), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5844), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148496] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7026), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4737), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5525), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5693), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5832), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4829), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4873), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5976), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149160] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5490), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149356] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(8140), 1,
      anon_sym_COLON,
    STATE(3180), 1,
      sym__enum_base_clause,
    STATE(3306), 1,
      sym_enumerator_list,
    STATE(3484), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6205), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [149420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(8140), 1,
      anon_sym_COLON,
    STATE(3166), 1,
      sym__enum_base_clause,
    STATE(3264), 1,
      sym_enumerator_list,
    STATE(3604), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6199), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [149484] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3425), 1,
      anon_sym_enum,
    ACTIONS(3427), 1,
      anon_sym_class,
    ACTIONS(3429), 1,
      anon_sym_struct,
    ACTIONS(3431), 1,
      anon_sym_union,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(3459), 1,
      anon_sym_typename,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8122), 1,
      sym_primitive_type,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(5563), 1,
      sym__type_specifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149576] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8091), 1,
      sym_identifier,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8099), 1,
      anon_sym_enum,
    ACTIONS(8101), 1,
      anon_sym_class,
    ACTIONS(8103), 1,
      anon_sym_struct,
    ACTIONS(8105), 1,
      anon_sym_union,
    ACTIONS(8107), 1,
      sym_auto,
    ACTIONS(8109), 1,
      anon_sym_decltype,
    ACTIONS(8111), 1,
      anon_sym_typename,
    STATE(4965), 1,
      sym__type_specifier,
    STATE(5441), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6000), 1,
      sym_decltype_auto,
    STATE(6050), 1,
      sym_qualified_type_identifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5825), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149668] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5786), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149864] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(6090), 1,
      sym__type_specifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5780), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4859), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5952), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4849), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6001), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5131), 1,
      anon_sym_SEMI,
    ACTIONS(5140), 1,
      anon_sym_LBRACK,
    ACTIONS(5133), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5136), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(5129), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [150178] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7077), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5511), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5772), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5768), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150418] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8077), 1,
      sym_identifier,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8081), 1,
      anon_sym_enum,
    ACTIONS(8083), 1,
      anon_sym_class,
    ACTIONS(8085), 1,
      anon_sym_struct,
    ACTIONS(8087), 1,
      anon_sym_union,
    ACTIONS(8089), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5584), 1,
      sym__type_specifier,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [150510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5762), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8142), 1,
      anon_sym_COLON,
    STATE(3149), 1,
      sym_attribute_specifier,
    STATE(4529), 1,
      sym__enum_base_clause,
    STATE(4557), 1,
      sym_enumerator_list,
    ACTIONS(6197), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6199), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [150626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5784), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4572), 1,
      sym_new_declarator,
    STATE(4539), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5502), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4834), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5987), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150802] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4546), 1,
      sym_new_declarator,
    STATE(4484), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5471), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7776), 1,
      anon_sym___attribute__,
    STATE(4836), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5991), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150978] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3140), 1,
      sym_attribute_specifier,
    STATE(3814), 1,
      sym_field_declaration_list,
    STATE(7871), 1,
      sym_virtual_specifier,
    STATE(8762), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5414), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [151046] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7055), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4756), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5521), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151130] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(4933), 1,
      sym__type_specifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151222] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5016), 1,
      sym__type_specifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8142), 1,
      anon_sym_COLON,
    STATE(3096), 1,
      sym_attribute_specifier,
    STATE(4516), 1,
      sym__enum_base_clause,
    STATE(4553), 1,
      sym_enumerator_list,
    ACTIONS(6203), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6205), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [151378] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(5619), 1,
      sym__type_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151470] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7040), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5532), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151554] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5062), 1,
      sym__type_specifier,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5731), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151698] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7872), 1,
      anon_sym_LBRACK,
    ACTIONS(7909), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4544), 1,
      sym_new_declarator,
    STATE(4485), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5457), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5689), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151870] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(4908), 1,
      sym__type_specifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [151962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152170] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6929), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152255] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8156), 1,
      anon_sym_AMP,
    ACTIONS(8158), 1,
      anon_sym_EQ,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7318), 1,
      sym__declarator,
    STATE(7500), 1,
      sym__abstract_declarator,
    STATE(7608), 1,
      sym_abstract_reference_declarator,
    STATE(7959), 1,
      sym_variadic_declarator,
    STATE(8230), 1,
      sym_variadic_reference_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(8152), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [152356] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8186), 1,
      anon_sym_QMARK,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6422), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [152459] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7386), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7214), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152680] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8186), 1,
      anon_sym_QMARK,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8198), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8200), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [152783] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6785), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [152882] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [152967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153069] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(8150), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7189), 1,
      sym__declarator,
    STATE(7219), 1,
      sym__abstract_declarator,
    STATE(8050), 1,
      sym_variadic_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8202), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [153164] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7443), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153249] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [153318] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7177), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153403] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7165), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153488] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7214), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153573] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [153709] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [153780] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7173), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153865] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7439), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [153950] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [154045] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [154136] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [154225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7952), 1,
      sym_auto,
    ACTIONS(7954), 1,
      anon_sym_decltype,
    STATE(4866), 1,
      sym_decltype_auto,
    ACTIONS(5550), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5552), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154282] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8186), 1,
      anon_sym_QMARK,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6864), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [154385] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6324), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [154470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [154543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5856), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154594] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7125), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4803), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5599), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6928), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [154815] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6324), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [154898] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [154977] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(8150), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8154), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8156), 1,
      anon_sym_AMP,
    ACTIONS(8210), 1,
      anon_sym_EQ,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7281), 1,
      sym__declarator,
    STATE(7524), 1,
      sym__abstract_declarator,
    STATE(7634), 1,
      sym_abstract_reference_declarator,
    STATE(7959), 1,
      sym_variadic_declarator,
    STATE(8230), 1,
      sym_variadic_reference_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(8152), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [155078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7146), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5586), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155161] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6946), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155246] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6872), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [155345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6966), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(8215), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8212), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7936), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7934), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [155489] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7195), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5888), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155625] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8220), 1,
      anon_sym___declspec,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    ACTIONS(8226), 1,
      anon_sym_virtual,
    ACTIONS(8228), 1,
      anon_sym_alignas,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6404), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6406), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4979), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5876), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155753] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6985), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [155838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5635), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155940] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8220), 1,
      anon_sym___declspec,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    ACTIONS(8226), 1,
      anon_sym_virtual,
    ACTIONS(8228), 1,
      anon_sym_alignas,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(6482), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6484), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4972), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156017] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6837), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [156116] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [156191] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7272), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156276] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    ACTIONS(8232), 1,
      anon_sym_LBRACK,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(5186), 1,
      sym_new_declarator,
    STATE(5545), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5500), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5502), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    ACTIONS(8232), 1,
      anon_sym_LBRACK,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(5184), 1,
      sym_new_declarator,
    STATE(5556), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5455), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5457), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156410] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    ACTIONS(8232), 1,
      anon_sym_LBRACK,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(5160), 1,
      sym_new_declarator,
    STATE(5520), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5476), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5478), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156477] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6868), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [156576] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8166), 1,
      anon_sym_SLASH,
    ACTIONS(8168), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8170), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8174), 1,
      anon_sym_CARET,
    ACTIONS(8182), 1,
      anon_sym_GT_EQ,
    ACTIONS(8186), 1,
      anon_sym_QMARK,
    ACTIONS(8188), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8190), 1,
      anon_sym_or,
    ACTIONS(8192), 1,
      anon_sym_and,
    ACTIONS(8194), 1,
      anon_sym_xor,
    ACTIONS(8196), 1,
      anon_sym_not_eq,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6849), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8162), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8164), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8172), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8176), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8178), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8184), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8180), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [156679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5735), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6969), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    ACTIONS(8232), 1,
      anon_sym_LBRACK,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(5163), 1,
      sym_new_declarator,
    STATE(5498), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5469), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5471), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [156882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6935), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [156983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5840), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(4520), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6111), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5689), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5731), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5086), 1,
      anon_sym_SEMI,
    ACTIONS(5095), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(5088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5091), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5084), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [157453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5708), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5836), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(4503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6142), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8234), 1,
      anon_sym_typedef,
    ACTIONS(3527), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [157711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5824), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    STATE(5181), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6111), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157867] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7226), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5780), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5776), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5784), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5762), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158149] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7247), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4846), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5636), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5772), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5768), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5828), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_typedef,
    ACTIONS(3527), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [158535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5896), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5852), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5693), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    STATE(5116), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6142), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5848), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5892), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(4488), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6115), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5752), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5872), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    STATE(5033), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6161), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(7948), 1,
      anon_sym_LPAREN2,
    STATE(5154), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6115), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5844), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(4517), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5832), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5914), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5880), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5884), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159515] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3169), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5674), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2873), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [159645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8260), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8262), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6344), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6346), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159698] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3542), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8942), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4883), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5649), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159779] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3542), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8942), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5649), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159860] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3588), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8942), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4881), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5658), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159941] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3505), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8942), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5653), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160022] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2386), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9250), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4909), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5639), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160103] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6864), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8292), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [160204] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8358), 1,
      anon_sym_SEMI,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7620), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9086), 1,
      sym_attribute_specifier,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(6271), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160360] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8198), 1,
      sym_identifier,
    ACTIONS(8292), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8200), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [160461] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6868), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [160558] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6872), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [160655] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6852), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5686), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160736] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    ACTIONS(8386), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7592), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9026), 1,
      sym_attribute_specifier,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160839] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7172), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5650), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160920] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7095), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5688), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161001] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6849), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8292), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [161102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7950), 1,
      anon_sym_LBRACK,
    STATE(4987), 1,
      sym_new_declarator,
    ACTIONS(6235), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6237), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6380), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161218] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2491), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9250), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5680), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161370] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6838), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4891), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161451] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6837), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [161548] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6838), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5646), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161629] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161698] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161765] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7100), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5681), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161846] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7107), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4927), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5657), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161927] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [161990] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6859), 1,
      sym__abstract_declarator,
    STATE(5329), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8400), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [162067] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2451), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9250), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162148] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3169), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4912), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5674), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162229] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6822), 1,
      sym__abstract_declarator,
    STATE(5315), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8406), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162306] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3175), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [162387] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [162460] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6324), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [162537] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [162618] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [162701] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [162788] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [162877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5131), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162928] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6322), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [163021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6869), 1,
      sym__abstract_declarator,
    STATE(5332), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8406), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [163098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8262), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6271), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6273), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163149] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    ACTIONS(8408), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7598), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9175), 1,
      sym_attribute_specifier,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163252] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 1,
      sym_identifier,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8292), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [163353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_COLON,
    STATE(3096), 1,
      sym_attribute_specifier,
    STATE(3575), 1,
      sym__enum_base_clause,
    STATE(3878), 1,
      sym_enumerator_list,
    ACTIONS(6205), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6203), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [163414] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3167), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4877), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5679), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163495] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7100), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5681), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_COLON,
    STATE(3149), 1,
      sym_attribute_specifier,
    STATE(3483), 1,
      sym__enum_base_clause,
    STATE(3815), 1,
      sym_enumerator_list,
    ACTIONS(6199), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6197), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [163688] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6785), 1,
      sym_identifier,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8300), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8302), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8306), 1,
      anon_sym_CARET,
    ACTIONS(8314), 1,
      anon_sym_GT_EQ,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_or,
    ACTIONS(8324), 1,
      anon_sym_and,
    ACTIONS(8326), 1,
      anon_sym_xor,
    ACTIONS(8328), 1,
      anon_sym_not_eq,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8304), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8308), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8310), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8316), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [163785] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3394), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8838), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4944), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5689), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [163866] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_and,
    ACTIONS(8426), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8428), 1,
      anon_sym_or,
    ACTIONS(6344), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163923] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6815), 1,
      sym__abstract_declarator,
    STATE(5300), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8400), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164000] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7127), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4959), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5644), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164081] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6296), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [164142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6284), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [164205] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8330), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6370), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [164268] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7449), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5638), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164349] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3444), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8838), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5647), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164430] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    ACTIONS(6959), 1,
      anon_sym_LBRACK,
    ACTIONS(6971), 1,
      anon_sym_DOT,
    STATE(3665), 1,
      sym_argument_list,
    STATE(3667), 1,
      sym_subscript_argument_list,
    ACTIONS(6973), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6263), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [164491] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7491), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4938), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164572] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7491), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5641), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164653] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6855), 1,
      sym__abstract_declarator,
    STATE(5256), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8400), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164730] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3376), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8838), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164811] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3376), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8838), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4939), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6935), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3241), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [164990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3101), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [165039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165090] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7315), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4952), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5683), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6239), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2893), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [165220] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7311), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5676), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165301] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6225), 1,
      anon_sym_STAR,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_AMP,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7189), 1,
      sym__declarator,
    STATE(7219), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8202), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165390] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    ACTIONS(8442), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7602), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9182), 1,
      sym_attribute_specifier,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165493] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7476), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4942), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3170), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [165623] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7129), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4893), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5637), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2967), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [165753] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7129), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5637), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165834] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6856), 1,
      sym__abstract_declarator,
    STATE(5292), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8406), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [165911] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6797), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4902), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5691), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2963), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [166041] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2451), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9250), 1,
      sym_ms_based_modifier,
    ACTIONS(8254), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4898), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5671), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7972), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6853), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [166216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8476), 1,
      sym_auto,
    ACTIONS(8478), 1,
      anon_sym_decltype,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(5976), 1,
      sym_decltype_auto,
    STATE(6923), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5470), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166292] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [166380] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [166466] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [166550] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [166632] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7361), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4982), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5706), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6239), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166712] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(4319), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4125), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [166770] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8220), 1,
      anon_sym___declspec,
    ACTIONS(8226), 1,
      anon_sym_virtual,
    ACTIONS(8228), 1,
      anon_sym_alignas,
    ACTIONS(6703), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6705), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4992), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8488), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5534), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8486), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [166896] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [166986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [167076] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8476), 1,
      sym_auto,
    ACTIONS(8478), 1,
      anon_sym_decltype,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(5976), 1,
      sym_decltype_auto,
    STATE(6980), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5457), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [167230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [167302] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8220), 1,
      anon_sym___declspec,
    ACTIONS(8226), 1,
      anon_sym_virtual,
    ACTIONS(8228), 1,
      anon_sym_alignas,
    ACTIONS(6728), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6730), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8218), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4992), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167370] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [167438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6424), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [167532] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7972), 1,
      sym_ms_restrict_modifier,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(4702), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7321), 1,
      sym__abstract_declarator,
    ACTIONS(7974), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(7976), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4540), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5695), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [167612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8132), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8130), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [167660] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(5322), 1,
      sym_template_argument_list,
    ACTIONS(5088), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5091), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5084), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [167718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8128), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(8126), 27,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [167766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(5415), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5795), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [167824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6305), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(5486), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4151), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [167926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6935), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(5415), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4125), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [168032] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168108] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7784), 1,
      anon_sym_const,
    ACTIONS(7787), 1,
      anon_sym___inline,
    ACTIONS(8498), 1,
      anon_sym___attribute__,
    ACTIONS(8501), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8504), 1,
      anon_sym___declspec,
    ACTIONS(8507), 1,
      anon_sym_virtual,
    ACTIONS(8510), 1,
      anon_sym_alignas,
    ACTIONS(6732), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6734), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8495), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4992), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8492), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168176] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [168266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    ACTIONS(4135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4127), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6866), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [168410] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8513), 1,
      anon_sym_COMMA,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8207), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168510] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 1,
      sym_literal_suffix,
    ACTIONS(5449), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5451), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168626] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [168716] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [168786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(5084), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5091), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [168840] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7218), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5060), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5809), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6239), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [168919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6492), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168966] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8527), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8095), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169063] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8249), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169160] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8531), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8557), 1,
      anon_sym_RBRACK,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8118), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8569), 1,
      anon_sym_LPAREN2,
    ACTIONS(8571), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8567), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [169306] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8575), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8352), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169403] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8177), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169500] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8531), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8579), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8581), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7994), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169597] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8583), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8161), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169694] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8589), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8238), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169791] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8629), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8157), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169888] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6424), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169981] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8631), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(7973), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170078] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7108), 1,
      sym__abstract_declarator,
    STATE(5504), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170153] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8133), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170250] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8252), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170347] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8639), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8346), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170444] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8641), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8366), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170541] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8643), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8260), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5361), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [170689] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
    ACTIONS(8650), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170786] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8652), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8276), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2206), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170930] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8654), 1,
      anon_sym_COMMA,
    ACTIONS(8656), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8290), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5337), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8658), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8660), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8662), 1,
      anon_sym_or,
    ACTIONS(8664), 1,
      anon_sym_and,
    ACTIONS(6344), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6346), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171129] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8291), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171226] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8668), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8232), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      sym_identifier,
    ACTIONS(8674), 1,
      sym_primitive_type,
    STATE(5080), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5805), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [171378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5349), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6592), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6395), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171519] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8117), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6468), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171663] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6978), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5168), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5815), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6414), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171787] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8531), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8688), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7994), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171884] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8690), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8376), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6428), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5282), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8660), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8664), 1,
      anon_sym_and,
    ACTIONS(6271), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172220] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8312), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172317] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7987), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4009), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8698), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8696), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [172508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6444), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6448), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172602] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8700), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8227), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6566), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [172746] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8702), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8216), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172843] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8706), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8202), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172940] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8708), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8162), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173037] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 1,
      anon_sym_STAR,
    ACTIONS(6418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6420), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7189), 1,
      sym__declarator,
    STATE(7481), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(8202), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [173124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [173213] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8710), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8081), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173310] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7228), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5790), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2945), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173436] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7041), 1,
      sym__abstract_declarator,
    STATE(5506), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173511] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8712), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6500), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173653] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7088), 1,
      sym__abstract_declarator,
    STATE(5554), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6472), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6476), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173822] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7056), 1,
      sym__abstract_declarator,
    STATE(5547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5345), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6424), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [173991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6540), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5341), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174085] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8716), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8037), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174182] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8718), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8191), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174279] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    ACTIONS(8720), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8207), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174376] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8722), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8243), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174473] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8724), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8329), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6895), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5811), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6391), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5740), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [174747] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8726), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6452), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [174889] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8728), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8165), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174986] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7430), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5143), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5797), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175063] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8746), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6141), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7417), 1,
      sym__abstract_declarator,
    ACTIONS(8748), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8750), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5178), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5801), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6239), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5333), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5323), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175236] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8754), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8094), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175333] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8758), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8113), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175430] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    ACTIONS(8760), 1,
      anon_sym_COMMA,
    ACTIONS(8763), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6588), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175574] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8765), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8326), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6488), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175718] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6853), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175811] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8767), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [175904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6530), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [175951] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [176040] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [176105] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8769), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8305), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176202] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8297), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6496), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176346] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8773), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8379), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176443] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8399), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176540] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8394), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176637] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8781), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8003), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6514), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176781] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8783), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8380), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6622), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176925] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [177012] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8193), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177109] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8154), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177206] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [177291] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8789), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8386), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177388] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8791), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8234), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6970), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5078), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6570), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [177692] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8793), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8088), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177789] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [177870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [177947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5274), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [177994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5286), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178041] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5302), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178163] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178301] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8795), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8284), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178398] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [178487] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [178556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6604), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178603] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8152), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5278), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5290), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1679), 1,
      sym__fold_operator,
    ACTIONS(8801), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8799), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [178843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6608), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6600), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [178937] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8803), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [179030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6562), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179077] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8055), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6580), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6584), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [179315] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7395), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5813), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5337), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179439] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8807), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8116), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179536] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [179625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5349), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179672] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7395), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5151), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5813), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5306), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179843] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7381), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5807), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [179967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5282), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6456), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5306), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6436), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180155] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8809), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8109), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180252] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    ACTIONS(8811), 1,
      anon_sym_GT2,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    STATE(8079), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180349] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6572), 1,
      anon_sym_STAR,
    ACTIONS(6574), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6576), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7189), 1,
      sym__declarator,
    STATE(7463), 1,
      sym__abstract_declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    ACTIONS(8202), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [180436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    STATE(5555), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6113), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6115), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6536), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180536] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8044), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    STATE(5546), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6109), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6111), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [180686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5345), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5341), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [180780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6464), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6526), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180874] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6970), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    ACTIONS(3521), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5783), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3519), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180951] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8817), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8060), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5290), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5278), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5628), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5626), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [181191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5274), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2210), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [181285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2210), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2206), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181379] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(8058), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181476] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8746), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6141), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7434), 1,
      sym__abstract_declarator,
    ACTIONS(8748), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8750), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5812), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(6223), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5323), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5302), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6548), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [181696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5286), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [181743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8338), 1,
      anon_sym_SLASH,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    ACTIONS(8348), 1,
      anon_sym_AMP,
    ACTIONS(8354), 1,
      anon_sym_GT_EQ,
    ACTIONS(8360), 1,
      anon_sym_QMARK,
    ACTIONS(8362), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8364), 1,
      anon_sym_bitor,
    ACTIONS(8366), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8334), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8336), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8340), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8342), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8346), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8356), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6866), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8350), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8352), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    STATE(5509), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6140), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6142), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [181889] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(8230), 1,
      anon_sym_LPAREN2,
    STATE(5538), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6159), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6161), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [182039] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8726), 1,
      anon_sym_SEMI,
    ACTIONS(8823), 1,
      anon_sym_COMMA,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5333), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [182183] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [182251] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182343] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(5585), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5795), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [182399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(8488), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5630), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5635), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6642), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8486), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [182455] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182549] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8860), 1,
      anon_sym_COLON,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182643] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8870), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182737] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6839), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182825] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [182913] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6424), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183005] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6380), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [183065] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8872), 1,
      anon_sym_COMMA,
    ACTIONS(8874), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183159] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8876), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183253] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [183317] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6378), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6380), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183377] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8878), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183471] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [183531] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [183617] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [183701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [183783] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183853] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183919] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [184065] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [184145] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [184221] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [184301] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [184383] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [184467] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [184553] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [184613] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6322), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [184677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [184753] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [184827] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [184897] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7445), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5856), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [184975] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [185041] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6870), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185129] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [185217] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7482), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5224), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5876), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6239), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [185295] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [185363] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8726), 1,
      anon_sym_COLON,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5517), 1,
      anon_sym_LPAREN2,
    ACTIONS(5523), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4127), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [185509] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8880), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185603] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [185691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8200), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185783] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8882), 1,
      anon_sym_COMMA,
    ACTIONS(8884), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185877] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6424), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185969] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186063] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186155] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [186243] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6866), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6935), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [186381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8232), 1,
      anon_sym_LBRACK,
    STATE(5486), 1,
      sym_new_declarator,
    ACTIONS(6235), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6237), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [186431] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8888), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8890), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186615] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6296), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [186761] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8892), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186855] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8894), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186949] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6864), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187017] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6370), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187077] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6284), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187137] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(8898), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6263), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [187289] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8900), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5138), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5131), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [187431] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6862), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8902), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [187499] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6866), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187591] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6857), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [187659] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8904), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187753] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187847] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187941] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6874), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [188029] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8908), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188123] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(5449), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [188263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6294), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6296), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [188321] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6874), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188409] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8910), 1,
      anon_sym_COMMA,
    ACTIONS(8912), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6368), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6370), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [188563] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6282), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6284), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [188623] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188717] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6866), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6261), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6263), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [188867] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6870), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [188955] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7462), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5279), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5820), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6239), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189033] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189125] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6853), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6839), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [189305] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(3519), 1,
      sym_ms_restrict_modifier,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(4985), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    ACTIONS(8071), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8073), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4807), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5822), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [189383] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189449] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6322), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [189519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5453), 1,
      sym_literal_suffix,
    ACTIONS(4135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [189567] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8924), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [189737] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [189817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6322), 1,
      anon_sym_PIPE,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [189899] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [189983] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [190069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8836), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6322), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [190225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8836), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190317] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6796), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8926), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [190385] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6424), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190477] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6787), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [190565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8928), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190657] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6810), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8932), 1,
      anon_sym_COMMA,
    ACTIONS(8934), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190911] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8936), 1,
      anon_sym_COMMA,
    ACTIONS(8938), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6811), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8902), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [191073] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8940), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191167] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8942), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6812), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [191421] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8944), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191513] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191605] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8946), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191699] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8948), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191793] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8650), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6322), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6324), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [191961] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192055] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8952), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192149] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8954), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192241] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8956), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192335] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6816), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8926), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [192403] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8958), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192497] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8960), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192591] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8962), 1,
      anon_sym_COMMA,
    ACTIONS(8964), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192685] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8966), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192779] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8968), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192873] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_LBRACK,
    ACTIONS(5133), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5136), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5129), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [193017] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8972), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193111] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8974), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193205] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193299] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8978), 1,
      anon_sym_COMMA,
    ACTIONS(8980), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193393] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7157), 1,
      sym__abstract_declarator,
    STATE(5605), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193467] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6849), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193535] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6850), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8902), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [193603] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193697] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6858), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6863), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8926), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [193833] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8984), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193925] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8712), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194017] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194111] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8202), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7227), 1,
      sym__declarator,
    STATE(7481), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [194197] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7174), 1,
      sym__abstract_declarator,
    STATE(5592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194271] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8988), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194365] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8990), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194459] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(7509), 1,
      anon_sym_COMMA,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    ACTIONS(7446), 1,
      anon_sym_LBRACK,
    ACTIONS(7448), 1,
      anon_sym_DOT,
    ACTIONS(8591), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8599), 1,
      anon_sym_SLASH,
    ACTIONS(8605), 1,
      anon_sym_PIPE,
    ACTIONS(8609), 1,
      anon_sym_AMP,
    ACTIONS(8615), 1,
      anon_sym_LT_LT,
    ACTIONS(8617), 1,
      anon_sym_GT_GT,
    ACTIONS(8619), 1,
      anon_sym_QMARK,
    ACTIONS(8621), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8623), 1,
      anon_sym_bitor,
    ACTIONS(8625), 1,
      anon_sym_bitand,
    STATE(4265), 1,
      sym_argument_list,
    STATE(4273), 1,
      sym_subscript_argument_list,
    ACTIONS(7450), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8595), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8597), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8601), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8603), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8607), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8627), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8944), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8611), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8613), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194645] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8994), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194739] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8842), 1,
      anon_sym_COMMA,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(8996), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194833] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8998), 1,
      anon_sym_COMMA,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194927] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8836), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195019] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(8714), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5475), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6088), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9002), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6090), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [195159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9006), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195341] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9008), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195432] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9010), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195523] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9012), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    ACTIONS(5449), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(5451), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [195661] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9014), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195752] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195843] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9016), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(5941), 1,
      sym_ms_call_modifier,
    STATE(6441), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8156), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [196106] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9020), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196197] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9022), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196288] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9024), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196379] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9026), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196470] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9028), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196561] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4975), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5363), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5361), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9037), 1,
      anon_sym_LT,
    STATE(5585), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5593), 1,
      sym_template_argument_list,
    ACTIONS(4125), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8838), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [196938] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9039), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197029] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9041), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197120] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9043), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9045), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9047), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197484] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9049), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197575] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197666] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9053), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197757] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197848] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197939] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9055), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5388), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5626), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9059), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9061), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198534] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7274), 1,
      sym__abstract_declarator,
    STATE(5611), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6047), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6049), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [198656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9069), 1,
      anon_sym_RBRACE,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198747] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(5945), 1,
      sym_ms_call_modifier,
    STATE(6484), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7985), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [198828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9037), 1,
      anon_sym_LT,
    STATE(5593), 1,
      sym_template_argument_list,
    ACTIONS(5486), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4151), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [198879] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9071), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198970] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4278), 1,
      anon_sym_LPAREN2,
    ACTIONS(4280), 1,
      anon_sym_STAR,
    ACTIONS(4282), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6233), 1,
      anon_sym_LBRACK,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7438), 1,
      sym__declarator,
    STATE(7604), 1,
      sym__abstract_declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [199053] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9073), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199144] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199235] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9075), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5361), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(9034), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5737), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5740), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [199377] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9077), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199468] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9079), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9081), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199650] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9083), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199832] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [199923] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9085), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9087), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200105] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9089), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200196] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9091), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9093), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200378] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6046), 1,
      sym_ms_call_modifier,
    STATE(6492), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8142), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [200459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4825), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200550] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200641] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9095), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200732] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200823] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9097), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [200914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6078), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6080), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [200963] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9099), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9101), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      sym_literal_suffix,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4127), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201192] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9103), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201283] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9105), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201374] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9107), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201465] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201556] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9109), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9037), 1,
      anon_sym_LT,
    STATE(5593), 1,
      sym_template_argument_list,
    ACTIONS(5084), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5091), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201698] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9111), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201789] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(5989), 1,
      sym_ms_call_modifier,
    STATE(6429), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8353), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [201870] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [201961] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9115), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202052] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9117), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202143] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9119), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202234] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9121), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202325] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9126), 1,
      anon_sym_const,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9123), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5673), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(8579), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9129), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202558] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9131), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202740] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202831] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [202922] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9133), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203013] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9135), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203104] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9137), 1,
      sym_identifier,
    ACTIONS(9141), 1,
      sym_primitive_type,
    STATE(5397), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5803), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5805), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [203157] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9143), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203248] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203339] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9145), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203430] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(5912), 1,
      sym_ms_call_modifier,
    STATE(6421), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8205), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [203511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6024), 1,
      sym_ms_call_modifier,
    STATE(6451), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7950), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [203592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9147), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203683] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9149), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6935), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [203819] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9151), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [203910] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9153), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204001] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9155), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204092] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(9157), 1,
      anon_sym_COLON,
    STATE(3096), 1,
      sym_attribute_specifier,
    STATE(4516), 1,
      sym__enum_base_clause,
    STATE(4553), 1,
      sym_enumerator_list,
    ACTIONS(6203), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6205), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(9157), 1,
      anon_sym_COLON,
    STATE(3149), 1,
      sym_attribute_specifier,
    STATE(4529), 1,
      sym__enum_base_clause,
    STATE(4557), 1,
      sym_enumerator_list,
    ACTIONS(6197), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6199), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5476), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9159), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204255] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9161), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204346] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6924), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204413] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9163), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204504] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9165), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204595] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204686] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9167), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204777] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4873), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204868] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9169), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [204959] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9171), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205050] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6015), 1,
      sym_ms_call_modifier,
    STATE(6473), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8153), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [205131] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9173), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205222] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    ACTIONS(9175), 1,
      anon_sym_RBRACK,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205313] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6891), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205380] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9177), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6898), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9179), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5388), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5874), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5876), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205678] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9181), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205769] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9183), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [205860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6103), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6105), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6099), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6101), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9185), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206049] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9187), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206140] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9189), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206231] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9191), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206322] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9193), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206413] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206504] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6033), 1,
      sym_ms_call_modifier,
    STATE(6399), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8042), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [206585] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6899), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206652] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9195), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6303), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6305), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [206788] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9197), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206879] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9199), 1,
      anon_sym_COMMA,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [206970] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9201), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207061] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7216), 1,
      sym__abstract_declarator,
    STATE(5625), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207134] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9203), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9205), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207316] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9207), 1,
      anon_sym_SEMI,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207407] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    ACTIONS(9209), 1,
      anon_sym_RPAREN,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207498] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_RBRACK,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8537), 1,
      anon_sym_SLASH,
    ACTIONS(8543), 1,
      anon_sym_PIPE,
    ACTIONS(8547), 1,
      anon_sym_AMP,
    ACTIONS(8553), 1,
      anon_sym_GT_EQ,
    ACTIONS(8559), 1,
      anon_sym_QMARK,
    ACTIONS(8561), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8563), 1,
      anon_sym_bitor,
    ACTIONS(8565), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8533), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8535), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8539), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8541), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8545), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8555), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8549), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8551), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207589] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(7442), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8832), 1,
      anon_sym_SLASH,
    ACTIONS(8848), 1,
      anon_sym_PIPE,
    ACTIONS(8852), 1,
      anon_sym_AMP,
    ACTIONS(8858), 1,
      anon_sym_GT_EQ,
    ACTIONS(8862), 1,
      anon_sym_QMARK,
    ACTIONS(8864), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8866), 1,
      anon_sym_bitor,
    ACTIONS(8868), 1,
      anon_sym_bitand,
    ACTIONS(9211), 1,
      anon_sym_COLON,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(7444), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8828), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8830), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8844), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8846), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8850), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8854), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8856), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [207680] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6048), 1,
      sym_ms_call_modifier,
    STATE(6494), 1,
      sym__declarator,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(8319), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [207761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6466), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6468), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6450), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6452), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [207849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(2597), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5795), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5171), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [207903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5670), 1,
      sym_field_declaration_list,
    STATE(5767), 1,
      sym_attribute_specifier,
    STATE(7755), 1,
      sym_virtual_specifier,
    STATE(8506), 1,
      sym_base_class_clause,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5414), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5416), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [207963] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(5962), 1,
      sym_ms_call_modifier,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7384), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6486), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6488), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7045), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6027), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7271), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208229] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7036), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208295] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(6265), 1,
      anon_sym_LBRACK,
    ACTIONS(6267), 1,
      anon_sym_DOT,
    ACTIONS(8160), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8448), 1,
      anon_sym_SLASH,
    ACTIONS(8454), 1,
      anon_sym_PIPE,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(8464), 1,
      anon_sym_GT_EQ,
    ACTIONS(8468), 1,
      anon_sym_QMARK,
    ACTIONS(8470), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8472), 1,
      anon_sym_bitor,
    ACTIONS(8474), 1,
      anon_sym_bitand,
    STATE(2905), 1,
      sym_subscript_argument_list,
    STATE(2907), 1,
      sym_argument_list,
    ACTIONS(6269), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7905), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8444), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8446), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8450), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8452), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8456), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8466), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8460), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8462), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [208383] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6018), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7263), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [208461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6568), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6570), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6604), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208549] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7109), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [208615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6490), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6492), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5447), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2945), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208703] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9222), 1,
      anon_sym_requires,
    STATE(5687), 1,
      sym_ref_qualifier,
    STATE(6643), 1,
      sym__function_attributes_end,
    STATE(6753), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [208785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6512), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6514), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6578), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6494), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6496), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6584), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [208961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6422), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6424), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6538), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6540), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209049] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7040), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6588), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6528), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6530), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6524), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6526), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209247] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7077), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6474), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6476), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6622), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209401] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(6239), 1,
      anon_sym_COLON,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8746), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6141), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7600), 1,
      sym__abstract_declarator,
    ACTIONS(8748), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8750), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5542), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6065), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6498), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6500), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8488), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8486), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [209571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6470), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6472), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [209615] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7027), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [209681] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6037), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7210), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(9233), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9231), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [209809] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6029), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7196), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [209887] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(5652), 1,
      sym_ref_qualifier,
    STATE(6647), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [209969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6566), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6592), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4013), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4009), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210101] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(5957), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7266), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210179] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(5916), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7235), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [210257] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(6223), 1,
      anon_sym_COLON,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8746), 1,
      sym_ms_restrict_modifier,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6141), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7574), 1,
      sym__abstract_declarator,
    ACTIONS(8748), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8750), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(6105), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9235), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9237), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6344), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6346), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6608), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6600), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6546), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6548), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210513] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7043), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6462), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6464), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6389), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6391), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6560), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6562), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210711] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7300), 1,
      sym__abstract_declarator,
    STATE(5684), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8406), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6402), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6434), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6436), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210871] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7018), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6454), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6456), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [210981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6534), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6536), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6393), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6395), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211069] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(5988), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7257), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211147] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6003), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7236), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211225] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(5969), 1,
      sym_ms_call_modifier,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7277), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6428), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6414), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7313), 1,
      sym__abstract_declarator,
    STATE(5678), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8400), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6442), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6444), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6446), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6448), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9237), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6271), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6273), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [211597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9243), 1,
      anon_sym___attribute__,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9241), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9239), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5836), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [211688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6047), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9246), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6049), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5127), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5119), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5103), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5115), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5111), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5107), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5569), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5874), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9248), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5876), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5509), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6103), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9246), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6105), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6099), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9246), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6101), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5509), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5123), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5578), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6088), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9250), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6090), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5579), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6082), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9252), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6084), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212361] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7359), 1,
      sym__abstract_declarator,
    STATE(5707), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8400), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5367), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6078), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9246), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6080), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7143), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212544] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON,
    STATE(5620), 1,
      sym__enum_base_clause,
    STATE(5643), 1,
      sym_enumerator_list,
    STATE(5756), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6199), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5582), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5584), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5795), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5797), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [212695] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5741), 1,
      sym_ref_qualifier,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6109), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212776] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9256), 1,
      anon_sym_COLON,
    STATE(5617), 1,
      sym__enum_base_clause,
    STATE(5655), 1,
      sym_enumerator_list,
    STATE(5755), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6205), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [212831] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7154), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5129), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5136), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9264), 1,
      anon_sym_SEMI,
    ACTIONS(6389), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6391), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [212984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5622), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5624), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213029] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(5732), 1,
      sym_decltype_auto,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7334), 1,
      sym__abstract_declarator,
    STATE(5700), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8406), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    STATE(2597), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4125), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5171), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [213196] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7146), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(5698), 1,
      sym_ref_qualifier,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9277), 1,
      anon_sym_const,
    ACTIONS(5671), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9274), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5673), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [213391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3527), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3525), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [213434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [213477] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5780), 1,
      sym_field_declaration_list,
    STATE(5903), 1,
      sym_attribute_specifier,
    STATE(7911), 1,
      sym_virtual_specifier,
    STATE(8701), 1,
      sym_base_class_clause,
    ACTIONS(5414), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213536] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7144), 1,
      sym__abstract_declarator,
    STATE(5433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7634), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6360), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [213644] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(5804), 1,
      sym_ref_qualifier,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6136), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [213724] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(5789), 1,
      sym_ref_qualifier,
    STATE(6523), 1,
      sym__function_attributes_end,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6137), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [213804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5486), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4151), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213852] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(5796), 1,
      sym_ref_qualifier,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(6675), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6165), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [213932] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7223), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213996] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5792), 1,
      sym_ref_qualifier,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6708), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6155), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7258), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
    ACTIONS(5084), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5091), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [214188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5507), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5509), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214230] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    ACTIONS(9295), 1,
      anon_sym_COLON,
    STATE(5747), 1,
      sym__enum_base_clause,
    STATE(5775), 1,
      sym_enumerator_list,
    STATE(5955), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6205), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214284] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    STATE(5660), 1,
      sym_enumerator_list,
    STATE(5750), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5860), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_attribute_specifier,
    STATE(6122), 1,
      sym_field_declaration_list,
    STATE(7667), 1,
      sym_virtual_specifier,
    STATE(8548), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5416), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5414), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [214392] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7424), 1,
      sym__abstract_declarator,
    STATE(5806), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8400), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    STATE(5672), 1,
      sym_enumerator_list,
    STATE(5738), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5816), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [214512] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5794), 1,
      sym_ref_qualifier,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(6664), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6148), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [214592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(8488), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8486), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [214640] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7392), 1,
      sym__abstract_declarator,
    STATE(5800), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8406), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214710] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5798), 1,
      sym_ref_qualifier,
    STATE(6514), 1,
      sym__function_attributes_end,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6157), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214790] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7201), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9297), 1,
      anon_sym_LT,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(5084), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5091), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [214902] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(5772), 1,
      sym_ref_qualifier,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6529), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6145), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214982] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5788), 1,
      sym_ref_qualifier,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6587), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6162), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [215062] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    ACTIONS(9295), 1,
      anon_sym_COLON,
    STATE(5719), 1,
      sym__enum_base_clause,
    STATE(5795), 1,
      sym_enumerator_list,
    STATE(5926), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6199), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9299), 1,
      anon_sym___attribute__,
    STATE(5630), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9241), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9239), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [215162] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9302), 1,
      sym_identifier,
    ACTIONS(9304), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9308), 1,
      anon_sym_EQ,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4081), 1,
      sym_qualified_type_identifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    ACTIONS(9306), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5673), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(9126), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5671), 16,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [215292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5569), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9248), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9297), 1,
      anon_sym_LT,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(5486), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4151), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(9233), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9231), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [215434] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7226), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215498] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7172), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215563] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7486), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215628] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2451), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9297), 1,
      anon_sym_LT,
    STATE(3022), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3187), 1,
      sym_template_argument_list,
    ACTIONS(4125), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [215744] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7449), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3444), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5739), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5960), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [215919] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7129), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215984] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9222), 1,
      anon_sym_requires,
    STATE(6643), 1,
      sym__function_attributes_end,
    STATE(6753), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6098), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [216057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(6852), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216122] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3435), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5744), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5956), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216232] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3505), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(8942), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216297] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7133), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216362] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7454), 1,
      sym__abstract_declarator,
    STATE(5842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216431] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6646), 1,
      sym__function_attributes_end,
    STATE(6774), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6083), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [216504] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3578), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(8942), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216569] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7491), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5751), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5948), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(5091), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5084), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [216726] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7100), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3542), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(8942), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5759), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5940), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5737), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5968), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8402), 1,
      sym_auto,
    ACTIONS(8404), 1,
      anon_sym_decltype,
    STATE(5732), 1,
      sym_decltype_auto,
    ACTIONS(5550), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5552), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [216993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5754), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5991), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5764), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5987), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5736), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5972), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5735), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5976), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    ACTIONS(4151), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5486), 26,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [217220] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(5883), 1,
      sym_ref_qualifier,
    STATE(6843), 1,
      sym__function_attributes_end,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6187), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [217299] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3178), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217364] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(5819), 1,
      sym_ref_qualifier,
    STATE(6795), 1,
      sym__function_attributes_end,
    STATE(6973), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6179), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5745), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5952), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217488] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2491), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5729), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5997), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    STATE(5712), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6001), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [217643] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3175), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217708] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5844), 1,
      sym_ref_qualifier,
    STATE(6780), 1,
      sym__function_attributes_end,
    STATE(6981), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6181), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [217787] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7316), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7115), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3527), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [217891] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7278), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8902), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217954] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3169), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218019] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2414), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218084] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7095), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218149] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6647), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6107), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [218222] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7311), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6223), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218285] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7317), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8926), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218348] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7489), 1,
      sym__abstract_declarator,
    STATE(5847), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8406), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218417] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(6839), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218482] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9323), 1,
      anon_sym_requires,
    STATE(6634), 1,
      sym__function_attributes_end,
    STATE(6741), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6069), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [218555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7094), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218620] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3376), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218685] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9304), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9308), 1,
      anon_sym_EQ,
    ACTIONS(9326), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6369), 1,
      sym_ms_declspec_modifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9306), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6072), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [218774] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(6838), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218839] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7496), 1,
      sym__abstract_declarator,
    STATE(5821), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8400), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218908] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(5839), 1,
      sym_ref_qualifier,
    STATE(6861), 1,
      sym__function_attributes_end,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6189), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218987] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7123), 1,
      sym_auto,
    ACTIONS(7125), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(3511), 1,
      sym_decltype_auto,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7446), 1,
      sym__abstract_declarator,
    STATE(5892), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8400), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219056] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7348), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7115), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5628), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [219158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6044), 1,
      sym_ref_qualifier,
    STATE(7003), 1,
      sym__function_attributes_end,
    STATE(7160), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6190), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219236] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9328), 1,
      anon_sym___attribute__,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6511), 1,
      sym__function_attributes_end,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6110), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [219308] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      sym_identifier,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9346), 1,
      sym_primitive_type,
    ACTIONS(9348), 1,
      anon_sym_enum,
    ACTIONS(9350), 1,
      anon_sym_class,
    ACTIONS(9352), 1,
      anon_sym_struct,
    ACTIONS(9354), 1,
      anon_sym_union,
    ACTIONS(9356), 1,
      sym_auto,
    ACTIONS(9358), 1,
      anon_sym_decltype,
    ACTIONS(9360), 1,
      anon_sym_typename,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3184), 1,
      sym__type_specifier,
    STATE(3733), 1,
      sym_decltype_auto,
    STATE(3774), 1,
      sym_qualified_type_identifier,
    STATE(5884), 1,
      sym_argument_list,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3506), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7360), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8926), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219450] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(8122), 1,
      sym_primitive_type,
    ACTIONS(9362), 1,
      sym_identifier,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9366), 1,
      anon_sym_enum,
    ACTIONS(9368), 1,
      anon_sym_class,
    ACTIONS(9370), 1,
      anon_sym_struct,
    ACTIONS(9372), 1,
      anon_sym_union,
    ACTIONS(9374), 1,
      anon_sym_typename,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(4819), 1,
      sym__type_specifier,
    STATE(5831), 1,
      sym_argument_list,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219530] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4704), 1,
      sym__type_specifier,
    STATE(5897), 1,
      sym_argument_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219610] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4745), 1,
      sym__type_specifier,
    STATE(5888), 1,
      sym_argument_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219690] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(8122), 1,
      sym_primitive_type,
    ACTIONS(9362), 1,
      sym_identifier,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9366), 1,
      anon_sym_enum,
    ACTIONS(9368), 1,
      anon_sym_class,
    ACTIONS(9370), 1,
      anon_sym_struct,
    ACTIONS(9372), 1,
      anon_sym_union,
    ACTIONS(9374), 1,
      anon_sym_typename,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(4821), 1,
      sym__type_specifier,
    STATE(5827), 1,
      sym_argument_list,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219770] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6063), 1,
      sym_ref_qualifier,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7141), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6197), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [219848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7321), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219910] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_const,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7346), 1,
      sym__abstract_declarator,
    STATE(5601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8902), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7718), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219972] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_primitive_type,
    ACTIONS(9401), 1,
      anon_sym_enum,
    ACTIONS(9403), 1,
      anon_sym_class,
    ACTIONS(9405), 1,
      anon_sym_struct,
    ACTIONS(9407), 1,
      anon_sym_union,
    ACTIONS(9409), 1,
      sym_auto,
    ACTIONS(9411), 1,
      anon_sym_decltype,
    ACTIONS(9413), 1,
      anon_sym_typename,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3132), 1,
      sym__type_specifier,
    STATE(3562), 1,
      sym_decltype_auto,
    STATE(3586), 1,
      sym_qualified_type_identifier,
    STATE(5828), 1,
      sym_argument_list,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3403), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3569), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220052] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9421), 1,
      sym_primitive_type,
    ACTIONS(9423), 1,
      anon_sym_enum,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9435), 1,
      anon_sym_typename,
    STATE(2138), 1,
      sym__type_specifier,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(5833), 1,
      sym_argument_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220132] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9421), 1,
      sym_primitive_type,
    ACTIONS(9423), 1,
      anon_sym_enum,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9435), 1,
      anon_sym_typename,
    STATE(2147), 1,
      sym__type_specifier,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(5817), 1,
      sym_argument_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220212] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_primitive_type,
    ACTIONS(9445), 1,
      anon_sym_enum,
    ACTIONS(9447), 1,
      anon_sym_class,
    ACTIONS(9449), 1,
      anon_sym_struct,
    ACTIONS(9451), 1,
      anon_sym_union,
    ACTIONS(9453), 1,
      sym_auto,
    ACTIONS(9455), 1,
      anon_sym_decltype,
    ACTIONS(9457), 1,
      anon_sym_typename,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4549), 1,
      sym__type_specifier,
    STATE(4843), 1,
      sym_decltype_auto,
    STATE(4856), 1,
      sym_qualified_type_identifier,
    STATE(5832), 1,
      sym_argument_list,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4845), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5784), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220332] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4589), 1,
      sym__type_specifier,
    STATE(5830), 1,
      sym_argument_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220412] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_primitive_type,
    ACTIONS(9445), 1,
      anon_sym_enum,
    ACTIONS(9447), 1,
      anon_sym_class,
    ACTIONS(9449), 1,
      anon_sym_struct,
    ACTIONS(9451), 1,
      anon_sym_union,
    ACTIONS(9453), 1,
      sym_auto,
    ACTIONS(9455), 1,
      anon_sym_decltype,
    ACTIONS(9457), 1,
      anon_sym_typename,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4559), 1,
      sym__type_specifier,
    STATE(4843), 1,
      sym_decltype_auto,
    STATE(4856), 1,
      sym_qualified_type_identifier,
    STATE(5834), 1,
      sym_argument_list,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4845), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(5415), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4125), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8490), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4133), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [220542] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_primitive_type,
    ACTIONS(9465), 1,
      anon_sym_enum,
    ACTIONS(9467), 1,
      anon_sym_typename,
    STATE(2138), 1,
      sym__type_specifier,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(5878), 1,
      sym_argument_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220622] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_primitive_type,
    ACTIONS(9477), 1,
      anon_sym_enum,
    ACTIONS(9479), 1,
      anon_sym_class,
    ACTIONS(9481), 1,
      anon_sym_struct,
    ACTIONS(9483), 1,
      anon_sym_union,
    ACTIONS(9485), 1,
      sym_auto,
    ACTIONS(9487), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_typename,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3445), 1,
      sym__type_specifier,
    STATE(4021), 1,
      sym_decltype_auto,
    STATE(4074), 1,
      sym_qualified_type_identifier,
    STATE(5859), 1,
      sym_argument_list,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3936), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4012), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220702] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_primitive_type,
    ACTIONS(9465), 1,
      anon_sym_enum,
    ACTIONS(9467), 1,
      anon_sym_typename,
    STATE(2147), 1,
      sym__type_specifier,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(5874), 1,
      sym_argument_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    STATE(5785), 1,
      sym_enumerator_list,
    STATE(5909), 1,
      sym_attribute_specifier,
    ACTIONS(5814), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5816), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9491), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6358), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6360), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [220872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5824), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [220912] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6117), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [220984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5780), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5772), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221064] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4582), 1,
      sym__type_specifier,
    STATE(5850), 1,
      sym_argument_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221144] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_primitive_type,
    ACTIONS(9401), 1,
      anon_sym_enum,
    ACTIONS(9403), 1,
      anon_sym_class,
    ACTIONS(9405), 1,
      anon_sym_struct,
    ACTIONS(9407), 1,
      anon_sym_union,
    ACTIONS(9409), 1,
      sym_auto,
    ACTIONS(9411), 1,
      anon_sym_decltype,
    ACTIONS(9413), 1,
      anon_sym_typename,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3136), 1,
      sym__type_specifier,
    STATE(3562), 1,
      sym_decltype_auto,
    STATE(3586), 1,
      sym_qualified_type_identifier,
    STATE(5869), 1,
      sym_argument_list,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3403), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3569), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221224] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9340), 1,
      sym_identifier,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9346), 1,
      sym_primitive_type,
    ACTIONS(9348), 1,
      anon_sym_enum,
    ACTIONS(9350), 1,
      anon_sym_class,
    ACTIONS(9352), 1,
      anon_sym_struct,
    ACTIONS(9354), 1,
      anon_sym_union,
    ACTIONS(9356), 1,
      sym_auto,
    ACTIONS(9358), 1,
      anon_sym_decltype,
    ACTIONS(9360), 1,
      anon_sym_typename,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3186), 1,
      sym__type_specifier,
    STATE(3733), 1,
      sym_decltype_auto,
    STATE(3774), 1,
      sym_qualified_type_identifier,
    STATE(5841), 1,
      sym_argument_list,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3506), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5768), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5762), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221384] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9494), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_primitive_type,
    ACTIONS(9502), 1,
      anon_sym_enum,
    ACTIONS(9504), 1,
      anon_sym_class,
    ACTIONS(9506), 1,
      anon_sym_struct,
    ACTIONS(9508), 1,
      anon_sym_union,
    ACTIONS(9510), 1,
      sym_auto,
    ACTIONS(9512), 1,
      anon_sym_decltype,
    ACTIONS(9514), 1,
      anon_sym_typename,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4446), 1,
      sym__type_specifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(5865), 1,
      sym_argument_list,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4658), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5828), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5752), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221544] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_primitive_type,
    ACTIONS(9524), 1,
      anon_sym_enum,
    ACTIONS(9526), 1,
      anon_sym_class,
    ACTIONS(9528), 1,
      anon_sym_struct,
    ACTIONS(9530), 1,
      anon_sym_union,
    ACTIONS(9532), 1,
      sym_auto,
    ACTIONS(9534), 1,
      anon_sym_decltype,
    ACTIONS(9536), 1,
      anon_sym_typename,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3028), 1,
      sym__type_specifier,
    STATE(3239), 1,
      sym_decltype_auto,
    STATE(3360), 1,
      sym_qualified_type_identifier,
    STATE(5854), 1,
      sym_argument_list,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3213), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3236), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221624] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_primitive_type,
    ACTIONS(9524), 1,
      anon_sym_enum,
    ACTIONS(9526), 1,
      anon_sym_class,
    ACTIONS(9528), 1,
      anon_sym_struct,
    ACTIONS(9530), 1,
      anon_sym_union,
    ACTIONS(9532), 1,
      sym_auto,
    ACTIONS(9534), 1,
      anon_sym_decltype,
    ACTIONS(9536), 1,
      anon_sym_typename,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3007), 1,
      sym__type_specifier,
    STATE(3239), 1,
      sym_decltype_auto,
    STATE(3360), 1,
      sym_qualified_type_identifier,
    STATE(5858), 1,
      sym_argument_list,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3213), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3236), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5832), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5840), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5844), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5848), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5852), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5856), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [221944] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9328), 1,
      anon_sym___attribute__,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6540), 1,
      sym__function_attributes_end,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6120), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5914), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5892), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5693), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5896), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5892), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222216] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    STATE(5782), 1,
      sym_enumerator_list,
    STATE(5922), 1,
      sym_attribute_specifier,
    ACTIONS(5858), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5860), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [222264] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_primitive_type,
    ACTIONS(9477), 1,
      anon_sym_enum,
    ACTIONS(9479), 1,
      anon_sym_class,
    ACTIONS(9481), 1,
      anon_sym_struct,
    ACTIONS(9483), 1,
      anon_sym_union,
    ACTIONS(9485), 1,
      sym_auto,
    ACTIONS(9487), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_typename,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3453), 1,
      sym__type_specifier,
    STATE(4021), 1,
      sym_decltype_auto,
    STATE(4074), 1,
      sym_qualified_type_identifier,
    STATE(5860), 1,
      sym_argument_list,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3936), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4012), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [222344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5888), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5884), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5880), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5735), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5876), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5731), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5689), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5872), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5725), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222704] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(9494), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_primitive_type,
    ACTIONS(9502), 1,
      anon_sym_enum,
    ACTIONS(9504), 1,
      anon_sym_class,
    ACTIONS(9506), 1,
      anon_sym_struct,
    ACTIONS(9508), 1,
      anon_sym_union,
    ACTIONS(9510), 1,
      sym_auto,
    ACTIONS(9512), 1,
      anon_sym_decltype,
    ACTIONS(9514), 1,
      anon_sym_typename,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4468), 1,
      sym__type_specifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(5864), 1,
      sym_argument_list,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4658), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [222784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5868), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5864), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5776), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [222904] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6109), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [222976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5708), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5721), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5708), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5708), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5717), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [223176] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(6082), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5797), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5795), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223223] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8406), 1,
      anon_sym_COLON,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7633), 1,
      sym__abstract_declarator,
    STATE(6073), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223290] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9538), 1,
      anon_sym_COLON,
    STATE(2283), 1,
      sym_attribute_specifier,
    STATE(2930), 1,
      sym__enum_base_clause,
    STATE(3040), 1,
      sym_enumerator_list,
    ACTIONS(6203), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6205), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [223341] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_COLON,
    STATE(2353), 1,
      sym_attribute_specifier,
    STATE(6055), 1,
      sym__enum_base_clause,
    STATE(6123), 1,
      sym_enumerator_list,
    ACTIONS(6199), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6197), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [223392] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym__function_attributes_end,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6140), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [223463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9545), 1,
      anon_sym_COLON,
    STATE(3180), 1,
      sym__enum_base_clause,
    STATE(3306), 1,
      sym_enumerator_list,
    STATE(3484), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6205), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [223514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5927), 1,
      sym_attribute_specifier,
    ACTIONS(5938), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5940), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5923), 1,
      sym_attribute_specifier,
    ACTIONS(5946), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5948), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223600] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(6664), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6148), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [223671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6643), 1,
      anon_sym___attribute__,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9545), 1,
      anon_sym_COLON,
    STATE(3166), 1,
      sym__enum_base_clause,
    STATE(3264), 1,
      sym_enumerator_list,
    STATE(3604), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6199), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [223722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5950), 1,
      sym_attribute_specifier,
    ACTIONS(5985), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5987), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5965), 1,
      sym_attribute_specifier,
    ACTIONS(5999), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6001), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5919), 1,
      sym_attribute_specifier,
    ACTIONS(5950), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5952), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5918), 1,
      sym_attribute_specifier,
    ACTIONS(5954), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5956), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5908), 1,
      sym_attribute_specifier,
    ACTIONS(5966), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5968), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(6895), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [223998] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6587), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6162), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [224069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5964), 1,
      sym_attribute_specifier,
    ACTIONS(5995), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5997), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224112] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7958), 1,
      sym_auto,
    ACTIONS(7960), 1,
      anon_sym_decltype,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8400), 1,
      anon_sym_COLON,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7570), 1,
      sym__abstract_declarator,
    STATE(6104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5956), 1,
      sym_attribute_specifier,
    ACTIONS(5989), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5991), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224222] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6585), 1,
      sym__function_attributes_end,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6160), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [224293] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6524), 1,
      sym__function_attributes_end,
    STATE(6618), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6156), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224364] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7273), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7115), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224425] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(6675), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6165), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224496] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(6679), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6146), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224567] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6708), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6155), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [224638] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6581), 1,
      sym_trailing_return_type,
    STATE(6665), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6149), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224709] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5910), 1,
      sym_attribute_specifier,
    ACTIONS(5958), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5960), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224752] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_trailing_return_type,
    STATE(6676), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6135), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [224823] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(7395), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [224884] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6499), 1,
      sym__function_attributes_end,
    STATE(6581), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6152), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [224955] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6136), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225026] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7423), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8926), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225087] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7434), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5952), 1,
      sym_attribute_specifier,
    ACTIONS(5974), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5976), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225191] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6514), 1,
      sym__function_attributes_end,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6157), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [225262] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(6711), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6144), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [225333] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9538), 1,
      anon_sym_COLON,
    STATE(2353), 1,
      sym_attribute_specifier,
    STATE(2986), 1,
      sym__enum_base_clause,
    STATE(3015), 1,
      sym_enumerator_list,
    ACTIONS(6197), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6199), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [225384] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7431), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8902), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(7394), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225506] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6523), 1,
      sym__function_attributes_end,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6137), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [225577] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7228), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9280), 1,
      anon_sym___attribute__,
    STATE(5951), 1,
      sym_attribute_specifier,
    ACTIONS(5970), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5972), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225681] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(6920), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225742] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    ACTIONS(8752), 1,
      anon_sym_const,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7420), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7115), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225803] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(7381), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225864] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6529), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6145), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [225935] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(6970), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3517), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [225996] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9540), 1,
      anon_sym_COLON,
    STATE(2283), 1,
      sym_attribute_specifier,
    STATE(6064), 1,
      sym__enum_base_clause,
    STATE(6133), 1,
      sym_enumerator_list,
    ACTIONS(6205), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(6203), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9421), 1,
      sym_primitive_type,
    ACTIONS(9423), 1,
      anon_sym_enum,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9435), 1,
      anon_sym_typename,
    STATE(2136), 1,
      sym__type_specifier,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226121] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6861), 1,
      sym__function_attributes_end,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6189), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [226191] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9553), 1,
      anon_sym_requires,
    STATE(6784), 1,
      sym__function_attributes_end,
    STATE(6954), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6180), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [226261] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226321] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7492), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8902), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226381] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7471), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7115), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [226441] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6635), 1,
      sym__declarator,
    STATE(7964), 1,
      sym_init_declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226511] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9340), 1,
      sym_identifier,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9346), 1,
      sym_primitive_type,
    ACTIONS(9348), 1,
      anon_sym_enum,
    ACTIONS(9350), 1,
      anon_sym_class,
    ACTIONS(9352), 1,
      anon_sym_struct,
    ACTIONS(9354), 1,
      anon_sym_union,
    ACTIONS(9356), 1,
      sym_auto,
    ACTIONS(9358), 1,
      anon_sym_decltype,
    ACTIONS(9360), 1,
      anon_sym_typename,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3494), 1,
      sym__type_specifier,
    STATE(3733), 1,
      sym_decltype_auto,
    STATE(3774), 1,
      sym_qualified_type_identifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3506), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226625] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_primitive_type,
    ACTIONS(9465), 1,
      anon_sym_enum,
    ACTIONS(9467), 1,
      anon_sym_typename,
    STATE(2413), 1,
      sym__type_specifier,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226699] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(8122), 1,
      sym_primitive_type,
    ACTIONS(9362), 1,
      sym_identifier,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9366), 1,
      anon_sym_enum,
    ACTIONS(9368), 1,
      anon_sym_class,
    ACTIONS(9370), 1,
      anon_sym_struct,
    ACTIONS(9372), 1,
      anon_sym_union,
    ACTIONS(9374), 1,
      anon_sym_typename,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(4820), 1,
      sym__type_specifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226773] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_primitive_type,
    ACTIONS(9401), 1,
      anon_sym_enum,
    ACTIONS(9403), 1,
      anon_sym_class,
    ACTIONS(9405), 1,
      anon_sym_struct,
    ACTIONS(9407), 1,
      anon_sym_union,
    ACTIONS(9409), 1,
      sym_auto,
    ACTIONS(9411), 1,
      anon_sym_decltype,
    ACTIONS(9413), 1,
      anon_sym_typename,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3104), 1,
      sym__type_specifier,
    STATE(3562), 1,
      sym_decltype_auto,
    STATE(3586), 1,
      sym_qualified_type_identifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3403), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3569), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(7567), 1,
      sym__type_specifier,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4585), 1,
      sym__type_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [226995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(8122), 1,
      sym_primitive_type,
    ACTIONS(9362), 1,
      sym_identifier,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9366), 1,
      anon_sym_enum,
    ACTIONS(9368), 1,
      anon_sym_class,
    ACTIONS(9370), 1,
      anon_sym_struct,
    ACTIONS(9372), 1,
      anon_sym_union,
    ACTIONS(9374), 1,
      anon_sym_typename,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(4826), 1,
      sym__type_specifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227069] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_primitive_type,
    ACTIONS(9445), 1,
      anon_sym_enum,
    ACTIONS(9447), 1,
      anon_sym_class,
    ACTIONS(9449), 1,
      anon_sym_struct,
    ACTIONS(9451), 1,
      anon_sym_union,
    ACTIONS(9453), 1,
      sym_auto,
    ACTIONS(9455), 1,
      anon_sym_decltype,
    ACTIONS(9457), 1,
      anon_sym_typename,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4547), 1,
      sym__type_specifier,
    STATE(4843), 1,
      sym_decltype_auto,
    STATE(4856), 1,
      sym_qualified_type_identifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4845), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227143] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9421), 1,
      sym_primitive_type,
    ACTIONS(9423), 1,
      anon_sym_enum,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9435), 1,
      anon_sym_typename,
    STATE(2132), 1,
      sym__type_specifier,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227217] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_primitive_type,
    ACTIONS(9445), 1,
      anon_sym_enum,
    ACTIONS(9447), 1,
      anon_sym_class,
    ACTIONS(9449), 1,
      anon_sym_struct,
    ACTIONS(9451), 1,
      anon_sym_union,
    ACTIONS(9453), 1,
      sym_auto,
    ACTIONS(9455), 1,
      anon_sym_decltype,
    ACTIONS(9457), 1,
      anon_sym_typename,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4567), 1,
      sym__type_specifier,
    STATE(4843), 1,
      sym_decltype_auto,
    STATE(4856), 1,
      sym_qualified_type_identifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4845), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227291] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6725), 1,
      sym__declarator,
    STATE(8319), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9421), 1,
      sym_primitive_type,
    ACTIONS(9423), 1,
      anon_sym_enum,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9435), 1,
      anon_sym_typename,
    STATE(2413), 1,
      sym__type_specifier,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227509] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_primitive_type,
    ACTIONS(9401), 1,
      anon_sym_enum,
    ACTIONS(9403), 1,
      anon_sym_class,
    ACTIONS(9405), 1,
      anon_sym_struct,
    ACTIONS(9407), 1,
      anon_sym_union,
    ACTIONS(9409), 1,
      sym_auto,
    ACTIONS(9411), 1,
      anon_sym_decltype,
    ACTIONS(9413), 1,
      anon_sym_typename,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3439), 1,
      sym__type_specifier,
    STATE(3562), 1,
      sym_decltype_auto,
    STATE(3586), 1,
      sym_qualified_type_identifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3403), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3569), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227583] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6828), 1,
      sym__function_attributes_end,
    STATE(6974), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6169), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [227653] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2192), 1,
      sym__type_specifier,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227727] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9340), 1,
      sym_identifier,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9346), 1,
      sym_primitive_type,
    ACTIONS(9348), 1,
      anon_sym_enum,
    ACTIONS(9350), 1,
      anon_sym_class,
    ACTIONS(9352), 1,
      anon_sym_struct,
    ACTIONS(9354), 1,
      anon_sym_union,
    ACTIONS(9356), 1,
      sym_auto,
    ACTIONS(9358), 1,
      anon_sym_decltype,
    ACTIONS(9360), 1,
      anon_sym_typename,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3207), 1,
      sym__type_specifier,
    STATE(3733), 1,
      sym_decltype_auto,
    STATE(3774), 1,
      sym_qualified_type_identifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3506), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [227801] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7466), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8926), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [227861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5633), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5635), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227899] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6729), 1,
      sym__function_attributes_end,
    STATE(6983), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6176), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [227969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5845), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5671), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5673), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9556), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228011] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(6795), 1,
      sym__function_attributes_end,
    STATE(6973), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6179), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [228081] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7448), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8926), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8091), 1,
      sym_identifier,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8097), 1,
      sym_primitive_type,
    ACTIONS(8099), 1,
      anon_sym_enum,
    ACTIONS(8101), 1,
      anon_sym_class,
    ACTIONS(8103), 1,
      anon_sym_struct,
    ACTIONS(8105), 1,
      anon_sym_union,
    ACTIONS(8107), 1,
      sym_auto,
    ACTIONS(8109), 1,
      anon_sym_decltype,
    ACTIONS(8111), 1,
      anon_sym_typename,
    STATE(5441), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5855), 1,
      sym__type_specifier,
    STATE(6000), 1,
      sym_decltype_auto,
    STATE(6050), 1,
      sym_qualified_type_identifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(5825), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5996), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228215] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(8122), 1,
      sym_primitive_type,
    ACTIONS(9362), 1,
      sym_identifier,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9366), 1,
      anon_sym_enum,
    ACTIONS(9368), 1,
      anon_sym_class,
    ACTIONS(9370), 1,
      anon_sym_struct,
    ACTIONS(9372), 1,
      anon_sym_union,
    ACTIONS(9374), 1,
      anon_sym_typename,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3438), 1,
      sym__type_specifier,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4548), 1,
      sym__type_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228363] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9559), 1,
      anon_sym_requires,
    STATE(6114), 1,
      sym_ref_qualifier,
    STATE(7023), 1,
      sym__function_attributes_end,
    STATE(7259), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6231), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [228439] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3425), 1,
      anon_sym_enum,
    ACTIONS(3427), 1,
      anon_sym_class,
    ACTIONS(3429), 1,
      anon_sym_struct,
    ACTIONS(3431), 1,
      anon_sym_union,
    ACTIONS(3455), 1,
      sym_auto,
    ACTIONS(3457), 1,
      anon_sym_decltype,
    ACTIONS(3459), 1,
      anon_sym_typename,
    ACTIONS(8118), 1,
      sym_identifier,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8122), 1,
      sym_primitive_type,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3438), 1,
      sym__type_specifier,
    STATE(3524), 1,
      sym_qualified_type_identifier,
    STATE(3536), 1,
      sym_decltype_auto,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3443), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3589), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8077), 1,
      sym_identifier,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8081), 1,
      anon_sym_enum,
    ACTIONS(8083), 1,
      anon_sym_class,
    ACTIONS(8085), 1,
      anon_sym_struct,
    ACTIONS(8087), 1,
      anon_sym_union,
    ACTIONS(8089), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5661), 1,
      sym__type_specifier,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_primitive_type,
    ACTIONS(9524), 1,
      anon_sym_enum,
    ACTIONS(9526), 1,
      anon_sym_class,
    ACTIONS(9528), 1,
      anon_sym_struct,
    ACTIONS(9530), 1,
      anon_sym_union,
    ACTIONS(9532), 1,
      sym_auto,
    ACTIONS(9534), 1,
      anon_sym_decltype,
    ACTIONS(9536), 1,
      anon_sym_typename,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3020), 1,
      sym__type_specifier,
    STATE(3239), 1,
      sym_decltype_auto,
    STATE(3360), 1,
      sym_qualified_type_identifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3213), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3236), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8476), 1,
      sym_auto,
    ACTIONS(8478), 1,
      anon_sym_decltype,
    STATE(5976), 1,
      sym_decltype_auto,
    ACTIONS(5550), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5552), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7451), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7115), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [228765] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6671), 1,
      sym__declarator,
    STATE(8142), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228835] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_primitive_type,
    ACTIONS(9524), 1,
      anon_sym_enum,
    ACTIONS(9526), 1,
      anon_sym_class,
    ACTIONS(9528), 1,
      anon_sym_struct,
    ACTIONS(9530), 1,
      anon_sym_union,
    ACTIONS(9532), 1,
      sym_auto,
    ACTIONS(9534), 1,
      anon_sym_decltype,
    ACTIONS(9536), 1,
      anon_sym_typename,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3035), 1,
      sym__type_specifier,
    STATE(3239), 1,
      sym_decltype_auto,
    STATE(3360), 1,
      sym_qualified_type_identifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3213), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3236), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228909] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_primitive_type,
    ACTIONS(9477), 1,
      anon_sym_enum,
    ACTIONS(9479), 1,
      anon_sym_class,
    ACTIONS(9481), 1,
      anon_sym_struct,
    ACTIONS(9483), 1,
      anon_sym_union,
    ACTIONS(9485), 1,
      sym_auto,
    ACTIONS(9487), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_typename,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3421), 1,
      sym__type_specifier,
    STATE(4021), 1,
      sym_decltype_auto,
    STATE(4074), 1,
      sym_qualified_type_identifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3936), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4012), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [228983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_primitive_type,
    ACTIONS(9477), 1,
      anon_sym_enum,
    ACTIONS(9479), 1,
      anon_sym_class,
    ACTIONS(9481), 1,
      anon_sym_struct,
    ACTIONS(9483), 1,
      anon_sym_union,
    ACTIONS(9485), 1,
      sym_auto,
    ACTIONS(9487), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_typename,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3381), 1,
      sym__type_specifier,
    STATE(4021), 1,
      sym_decltype_auto,
    STATE(4074), 1,
      sym_qualified_type_identifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3936), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4012), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229057] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6722), 1,
      sym__declarator,
    STATE(8156), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229127] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6658), 1,
      sym__declarator,
    STATE(7964), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_AMP,
    ACTIONS(9556), 1,
      anon_sym_const,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9562), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5673), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229241] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9494), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_primitive_type,
    ACTIONS(9502), 1,
      anon_sym_enum,
    ACTIONS(9504), 1,
      anon_sym_class,
    ACTIONS(9506), 1,
      anon_sym_struct,
    ACTIONS(9508), 1,
      anon_sym_union,
    ACTIONS(9510), 1,
      sym_auto,
    ACTIONS(9512), 1,
      anon_sym_decltype,
    ACTIONS(9514), 1,
      anon_sym_typename,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4479), 1,
      sym__type_specifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4658), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229315] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9494), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_primitive_type,
    ACTIONS(9502), 1,
      anon_sym_enum,
    ACTIONS(9504), 1,
      anon_sym_class,
    ACTIONS(9506), 1,
      anon_sym_struct,
    ACTIONS(9508), 1,
      anon_sym_union,
    ACTIONS(9510), 1,
      sym_auto,
    ACTIONS(9512), 1,
      anon_sym_decltype,
    ACTIONS(9514), 1,
      anon_sym_typename,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4437), 1,
      sym__type_specifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4658), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229389] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6656), 1,
      sym__declarator,
    STATE(8205), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5735), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229497] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6132), 1,
      sym_ref_qualifier,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7149), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6264), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [229573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9393), 1,
      sym_identifier,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9399), 1,
      sym_primitive_type,
    ACTIONS(9401), 1,
      anon_sym_enum,
    ACTIONS(9403), 1,
      anon_sym_class,
    ACTIONS(9405), 1,
      anon_sym_struct,
    ACTIONS(9407), 1,
      anon_sym_union,
    ACTIONS(9409), 1,
      sym_auto,
    ACTIONS(9411), 1,
      anon_sym_decltype,
    ACTIONS(9413), 1,
      anon_sym_typename,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3122), 1,
      sym__type_specifier,
    STATE(3562), 1,
      sym_decltype_auto,
    STATE(3586), 1,
      sym_qualified_type_identifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3403), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3569), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229647] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2088), 1,
      anon_sym_enum,
    ACTIONS(2090), 1,
      anon_sym_class,
    ACTIONS(2092), 1,
      anon_sym_struct,
    ACTIONS(2094), 1,
      anon_sym_union,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(2122), 1,
      anon_sym_typename,
    ACTIONS(7992), 1,
      sym_identifier,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7998), 1,
      sym_primitive_type,
    STATE(2192), 1,
      sym__type_specifier,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229721] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6666), 1,
      sym__declarator,
    STATE(7964), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5725), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229829] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6780), 1,
      sym__function_attributes_end,
    STATE(6981), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6181), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [229899] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_primitive_type,
    ACTIONS(9465), 1,
      anon_sym_enum,
    ACTIONS(9467), 1,
      anon_sym_typename,
    STATE(2136), 1,
      sym__type_specifier,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [229973] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6108), 1,
      sym_ref_qualifier,
    STATE(7047), 1,
      sym__function_attributes_end,
    STATE(7275), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6247), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [230049] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7445), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6223), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [230109] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4017), 1,
      sym_identifier,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(4029), 1,
      anon_sym_enum,
    ACTIONS(4031), 1,
      anon_sym_class,
    ACTIONS(4033), 1,
      anon_sym_struct,
    ACTIONS(4035), 1,
      anon_sym_union,
    ACTIONS(4037), 1,
      anon_sym_typename,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230183] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9425), 1,
      anon_sym_class,
    ACTIONS(9427), 1,
      anon_sym_struct,
    ACTIONS(9429), 1,
      anon_sym_union,
    ACTIONS(9431), 1,
      sym_auto,
    ACTIONS(9433), 1,
      anon_sym_decltype,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(9463), 1,
      sym_primitive_type,
    ACTIONS(9465), 1,
      anon_sym_enum,
    ACTIONS(9467), 1,
      anon_sym_typename,
    STATE(2132), 1,
      sym__type_specifier,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2516), 1,
      sym_decltype_auto,
    STATE(2519), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2509), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2514), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(9565), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4186), 1,
      sym_argument_list,
    STATE(5557), 1,
      sym_initializer_list,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [230307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9469), 1,
      sym_identifier,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9475), 1,
      sym_primitive_type,
    ACTIONS(9477), 1,
      anon_sym_enum,
    ACTIONS(9479), 1,
      anon_sym_class,
    ACTIONS(9481), 1,
      anon_sym_struct,
    ACTIONS(9483), 1,
      anon_sym_union,
    ACTIONS(9485), 1,
      sym_auto,
    ACTIONS(9487), 1,
      anon_sym_decltype,
    ACTIONS(9489), 1,
      anon_sym_typename,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3941), 1,
      sym__type_specifier,
    STATE(4021), 1,
      sym_decltype_auto,
    STATE(4074), 1,
      sym_qualified_type_identifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3936), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4012), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5876), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230419] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9516), 1,
      sym_identifier,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9522), 1,
      sym_primitive_type,
    ACTIONS(9524), 1,
      anon_sym_enum,
    ACTIONS(9526), 1,
      anon_sym_class,
    ACTIONS(9528), 1,
      anon_sym_struct,
    ACTIONS(9530), 1,
      anon_sym_union,
    ACTIONS(9532), 1,
      sym_auto,
    ACTIONS(9534), 1,
      anon_sym_decltype,
    ACTIONS(9536), 1,
      anon_sym_typename,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3165), 1,
      sym__type_specifier,
    STATE(3239), 1,
      sym_decltype_auto,
    STATE(3360), 1,
      sym_qualified_type_identifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3213), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3236), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230493] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym__function_attributes_end,
    STATE(7000), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6185), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [230563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9340), 1,
      sym_identifier,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9346), 1,
      sym_primitive_type,
    ACTIONS(9348), 1,
      anon_sym_enum,
    ACTIONS(9350), 1,
      anon_sym_class,
    ACTIONS(9352), 1,
      anon_sym_struct,
    ACTIONS(9354), 1,
      anon_sym_union,
    ACTIONS(9356), 1,
      sym_auto,
    ACTIONS(9358), 1,
      anon_sym_decltype,
    ACTIONS(9360), 1,
      anon_sym_typename,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3195), 1,
      sym__type_specifier,
    STATE(3733), 1,
      sym_decltype_auto,
    STATE(3774), 1,
      sym_qualified_type_identifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3506), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3737), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(8029), 1,
      sym_identifier,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8035), 1,
      sym_primitive_type,
    ACTIONS(8037), 1,
      anon_sym_enum,
    ACTIONS(8039), 1,
      anon_sym_class,
    ACTIONS(8041), 1,
      anon_sym_struct,
    ACTIONS(8043), 1,
      anon_sym_union,
    ACTIONS(8045), 1,
      anon_sym_typename,
    STATE(2192), 1,
      sym__type_specifier,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230711] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6843), 1,
      sym__function_attributes_end,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6187), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [230781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5856), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230819] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4747), 1,
      sym__type_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230893] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5193), 1,
      sym_identifier,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4081), 1,
      sym_qualified_type_identifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [230967] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8006), 1,
      sym_primitive_type,
    ACTIONS(8008), 1,
      anon_sym_enum,
    ACTIONS(8010), 1,
      anon_sym_class,
    ACTIONS(8012), 1,
      anon_sym_struct,
    ACTIONS(8014), 1,
      anon_sym_union,
    ACTIONS(8016), 1,
      sym_auto,
    ACTIONS(8018), 1,
      anon_sym_decltype,
    ACTIONS(8020), 1,
      anon_sym_typename,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5661), 1,
      sym__type_specifier,
    STATE(5721), 1,
      sym_decltype_auto,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5696), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(3053), 1,
      anon_sym_enum,
    ACTIONS(3055), 1,
      anon_sym_class,
    ACTIONS(3057), 1,
      anon_sym_struct,
    ACTIONS(3059), 1,
      anon_sym_union,
    ACTIONS(3061), 1,
      anon_sym_typename,
    ACTIONS(5193), 1,
      sym_identifier,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4081), 1,
      sym_qualified_type_identifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231115] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_const,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7479), 1,
      sym__abstract_declarator,
    STATE(5863), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8902), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8069), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [231175] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9437), 1,
      sym_identifier,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_primitive_type,
    ACTIONS(9445), 1,
      anon_sym_enum,
    ACTIONS(9447), 1,
      anon_sym_class,
    ACTIONS(9449), 1,
      anon_sym_struct,
    ACTIONS(9451), 1,
      anon_sym_union,
    ACTIONS(9453), 1,
      sym_auto,
    ACTIONS(9455), 1,
      anon_sym_decltype,
    ACTIONS(9457), 1,
      anon_sym_typename,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4792), 1,
      sym__type_specifier,
    STATE(4843), 1,
      sym_decltype_auto,
    STATE(4856), 1,
      sym_qualified_type_identifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4798), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4845), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5864), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231287] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9494), 1,
      sym_identifier,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9500), 1,
      sym_primitive_type,
    ACTIONS(9502), 1,
      anon_sym_enum,
    ACTIONS(9504), 1,
      anon_sym_class,
    ACTIONS(9506), 1,
      anon_sym_struct,
    ACTIONS(9508), 1,
      anon_sym_union,
    ACTIONS(9510), 1,
      sym_auto,
    ACTIONS(9512), 1,
      anon_sym_decltype,
    ACTIONS(9514), 1,
      anon_sym_typename,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4601), 1,
      sym__type_specifier,
    STATE(4731), 1,
      sym_decltype_auto,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(4658), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4730), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(4027), 1,
      sym_primitive_type,
    ACTIONS(8049), 1,
      sym_identifier,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8053), 1,
      anon_sym_enum,
    ACTIONS(8055), 1,
      anon_sym_class,
    ACTIONS(8057), 1,
      anon_sym_struct,
    ACTIONS(8059), 1,
      anon_sym_union,
    ACTIONS(8061), 1,
      anon_sym_typename,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3622), 1,
      sym_qualified_type_identifier,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(7615), 1,
      sym__type_specifier,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2118), 1,
      sym_auto,
    ACTIONS(2120), 1,
      anon_sym_decltype,
    ACTIONS(7998), 1,
      sym_primitive_type,
    ACTIONS(9376), 1,
      sym_identifier,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9380), 1,
      anon_sym_enum,
    ACTIONS(9382), 1,
      anon_sym_class,
    ACTIONS(9384), 1,
      anon_sym_struct,
    ACTIONS(9386), 1,
      anon_sym_union,
    ACTIONS(9388), 1,
      anon_sym_typename,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2334), 1,
      sym_decltype_auto,
    STATE(2472), 1,
      sym_qualified_type_identifier,
    STATE(4759), 1,
      sym__type_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(2232), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2330), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231509] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6768), 1,
      sym__declarator,
    STATE(8518), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231579] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6681), 1,
      sym__declarator,
    STATE(7985), 1,
      sym_init_declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2012), 1,
      anon_sym_enum,
    ACTIONS(2014), 1,
      anon_sym_class,
    ACTIONS(2016), 1,
      anon_sym_struct,
    ACTIONS(2018), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_typename,
    ACTIONS(3051), 1,
      sym_primitive_type,
    ACTIONS(5143), 1,
      sym_identifier,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    STATE(3064), 1,
      sym__type_specifier,
    STATE(3146), 1,
      sym_decltype_auto,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4081), 1,
      sym_qualified_type_identifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_dependent_type_identifier,
    STATE(3061), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3127), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [231723] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7630), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7632), 1,
      anon_sym_AMP,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6129), 1,
      sym_ref_qualifier,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7140), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6222), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [231799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5888), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5717), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231874] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5728), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6284), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6074), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2526), 1,
      sym__class_declaration_item,
    STATE(2532), 1,
      sym__class_declaration,
    STATE(6314), 1,
      sym_ms_declspec_modifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6315), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6077), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232032] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2526), 1,
      sym__class_declaration_item,
    STATE(2531), 1,
      sym__class_declaration,
    STATE(6314), 1,
      sym_ms_declspec_modifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6315), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6077), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232111] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2524), 1,
      sym__class_declaration,
    STATE(2526), 1,
      sym__class_declaration_item,
    STATE(6314), 1,
      sym_ms_declspec_modifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6315), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6077), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5844), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5848), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5852), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232301] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(6306), 1,
      sym_ms_declspec_modifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6094), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232380] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7229), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7556), 1,
      anon_sym_STAR,
    ACTIONS(7558), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(6916), 1,
      sym__declarator,
    STATE(9733), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5914), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232551] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2316), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(6306), 1,
      sym_ms_declspec_modifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6094), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7239), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5691), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5693), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5896), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5892), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7440), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [232912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5884), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5880), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [232986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3537), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233065] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3537), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5872), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5868), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233218] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3537), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233297] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7189), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233364] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(2318), 1,
      sym__class_declaration,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(6306), 1,
      sym_ms_declspec_modifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6308), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6094), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5836), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [233480] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6369), 1,
      sym_ms_declspec_modifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6072), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7399), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [233626] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3286), 1,
      sym__class_declaration,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(6355), 1,
      sym_ms_declspec_modifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6078), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233705] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3310), 1,
      sym__class_declaration,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(6355), 1,
      sym_ms_declspec_modifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6078), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233784] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3533), 1,
      sym__class_declaration,
    STATE(3564), 1,
      sym__class_declaration_item,
    STATE(6312), 1,
      sym_ms_declspec_modifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6092), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233863] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3535), 1,
      sym__class_declaration,
    STATE(3564), 1,
      sym__class_declaration_item,
    STATE(6312), 1,
      sym_ms_declspec_modifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6092), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233942] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3552), 1,
      sym__class_declaration,
    STATE(3564), 1,
      sym__class_declaration_item,
    STATE(6312), 1,
      sym_ms_declspec_modifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6309), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6092), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234021] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234100] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3311), 1,
      sym__class_declaration_item,
    STATE(3346), 1,
      sym__class_declaration,
    STATE(6355), 1,
      sym_ms_declspec_modifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6356), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6078), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234179] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7244), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234246] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7427), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234313] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234392] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234471] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7270), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5708), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5708), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234612] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7227), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6369), 1,
      sym_ms_declspec_modifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6072), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5721), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5838), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5840), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5832), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234869] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7586), 1,
      anon_sym_STAR,
    ACTIONS(7588), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7590), 1,
      anon_sym_AMP,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7306), 1,
      sym__declarator,
    STATE(8961), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [234936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5826), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5828), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [234973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5687), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5689), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5731), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235047] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7203), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235114] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4848), 1,
      sym__class_declaration_item,
    STATE(4853), 1,
      sym__class_declaration,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6326), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6100), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235193] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7380), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4848), 1,
      sym__class_declaration_item,
    STATE(4852), 1,
      sym__class_declaration,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6326), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6100), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235339] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4847), 1,
      sym__class_declaration,
    STATE(4848), 1,
      sym__class_declaration_item,
    STATE(6324), 1,
      sym_ms_declspec_modifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6326), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6100), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235418] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7438), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235485] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7227), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5760), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5762), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5784), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [235626] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5728), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6070), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235705] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5724), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6070), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235784] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9589), 1,
      sym_ms_restrict_modifier,
    STATE(6141), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(7934), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9592), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9595), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5968), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(7936), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [235831] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7213), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [235898] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [235977] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5723), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6325), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6323), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6070), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236056] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236135] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6221), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 1,
      anon_sym_STAR,
    ACTIONS(7566), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7568), 1,
      anon_sym_AMP,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(6933), 1,
      sym__declarator,
    STATE(8877), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236202] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3479), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7597), 1,
      anon_sym_STAR,
    ACTIONS(7599), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7601), 1,
      anon_sym_AMP,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(7404), 1,
      sym__declarator,
    STATE(9024), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [236348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5752), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(6082), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4133), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9598), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4125), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [236432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5708), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236469] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4738), 1,
      sym__class_declaration_item,
    STATE(4740), 1,
      sym__class_declaration,
    STATE(6359), 1,
      sym_ms_declspec_modifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6102), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5768), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5770), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5772), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5776), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3567), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5778), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5780), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [236775] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3567), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236854] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3567), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [236933] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4738), 1,
      sym__class_declaration_item,
    STATE(4739), 1,
      sym__class_declaration,
    STATE(6359), 1,
      sym_ms_declspec_modifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6102), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237012] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7198), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [237079] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7231), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [237146] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4733), 1,
      sym__class_declaration,
    STATE(4738), 1,
      sym__class_declaration_item,
    STATE(6359), 1,
      sym_ms_declspec_modifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6348), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6102), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237225] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5980), 1,
      sym__class_declaration,
    STATE(5982), 1,
      sym__class_declaration_item,
    STATE(6338), 1,
      sym_ms_declspec_modifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6106), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237304] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5981), 1,
      sym__class_declaration,
    STATE(5982), 1,
      sym__class_declaration_item,
    STATE(6338), 1,
      sym_ms_declspec_modifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6106), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237383] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6274), 1,
      sym_ms_declspec_modifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6079), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237462] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2316), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6274), 1,
      sym_ms_declspec_modifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6079), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237541] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(2318), 1,
      sym__class_declaration,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6274), 1,
      sym_ms_declspec_modifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6275), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6079), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237657] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5982), 1,
      sym__class_declaration_item,
    STATE(5984), 1,
      sym__class_declaration,
    STATE(6338), 1,
      sym_ms_declspec_modifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6310), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6106), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237736] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2315), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6341), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6084), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2316), 1,
      sym__class_declaration,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6341), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6084), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [237894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5824), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [237931] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3603), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238010] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6097), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238089] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7264), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [238156] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6097), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238235] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3603), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238314] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6335), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6336), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6097), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238393] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3603), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7407), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [238539] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3581), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238618] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3581), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238697] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3581), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2317), 1,
      sym__class_declaration_item,
    STATE(2318), 1,
      sym__class_declaration,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6341), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6305), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6084), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6089), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [238934] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3601), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239013] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7261), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [239080] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3601), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239159] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3601), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7269), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [239305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3750), 1,
      sym__class_declaration_item,
    STATE(3753), 1,
      sym__class_declaration,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6080), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239384] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3596), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239463] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3596), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3596), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239621] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6089), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7224), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [239767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6301), 1,
      sym_ms_declspec_modifier,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6303), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6089), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239846] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3750), 1,
      sym__class_declaration_item,
    STATE(3752), 1,
      sym__class_declaration,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6080), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [239925] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7254), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [239992] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3749), 1,
      sym__class_declaration,
    STATE(3750), 1,
      sym__class_declaration_item,
    STATE(6285), 1,
      sym_ms_declspec_modifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6286), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6080), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240071] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7206), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [240138] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3497), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240217] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3497), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240296] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3497), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240375] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7209), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [240442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5724), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6284), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6074), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240521] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5723), 1,
      sym__class_declaration,
    STATE(5761), 1,
      sym__class_declaration_item,
    STATE(6284), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6282), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6074), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240600] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__function_attributes_end,
    STATE(7160), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6190), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [240669] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7212), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [240736] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(3983), 1,
      sym__class_declaration,
    STATE(3985), 1,
      sym__class_declaration_item,
    STATE(6350), 1,
      sym_ms_declspec_modifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6099), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240815] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3583), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240894] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3583), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [240973] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6373), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3583), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6101), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241052] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(3984), 1,
      sym__class_declaration,
    STATE(3985), 1,
      sym__class_declaration_item,
    STATE(6350), 1,
      sym_ms_declspec_modifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6099), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241131] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(3985), 1,
      sym__class_declaration_item,
    STATE(3991), 1,
      sym__class_declaration,
    STATE(6350), 1,
      sym_ms_declspec_modifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6360), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6099), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241210] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(7001), 1,
      sym__function_attributes_end,
    STATE(7164), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6195), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [241279] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3546), 1,
      sym__class_declaration,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym_ms_declspec_modifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6067), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241358] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7237), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [241425] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3549), 1,
      sym__class_declaration,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(6332), 1,
      sym_ms_declspec_modifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6067), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241504] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    ACTIONS(7576), 1,
      sym_identifier,
    ACTIONS(7578), 1,
      anon_sym_STAR,
    ACTIONS(7580), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7582), 1,
      anon_sym_AMP,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(7268), 1,
      sym__declarator,
    STATE(8884), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [241571] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(3574), 1,
      sym__class_declaration,
    STATE(6332), 1,
      sym_ms_declspec_modifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6067), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [241650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241687] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3035), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3039), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      anon_sym_AMP,
    ACTIONS(5429), 1,
      sym_identifier,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 1,
      anon_sym_LBRACK,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym__declarator,
    STATE(9651), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(7049), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [241754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_COLON,
    STATE(5617), 1,
      sym__enum_base_clause,
    STATE(5655), 1,
      sym_enumerator_list,
    STATE(5755), 1,
      sym_attribute_specifier,
    ACTIONS(6203), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6205), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241803] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_COLON,
    STATE(5620), 1,
      sym__enum_base_clause,
    STATE(5643), 1,
      sym_enumerator_list,
    STATE(5756), 1,
      sym_attribute_specifier,
    ACTIONS(6197), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6199), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [241852] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7141), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6197), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [241921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      sym_attribute_specifier,
    STATE(6115), 1,
      sym_enumerator_list,
    ACTIONS(5816), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5814), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [241966] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3546), 1,
      sym__class_declaration,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(6375), 1,
      sym_ms_declspec_modifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6076), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242045] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3549), 1,
      sym__class_declaration,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(6375), 1,
      sym_ms_declspec_modifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6076), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3572), 1,
      sym__class_declaration_item,
    STATE(3574), 1,
      sym__class_declaration,
    STATE(6375), 1,
      sym_ms_declspec_modifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6372), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6076), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242203] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6369), 1,
      sym_ms_declspec_modifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6365), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6072), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242282] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3123), 1,
      sym__class_declaration,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6382), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6380), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6091), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242361] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3128), 1,
      sym__class_declaration,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6382), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6380), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6091), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3124), 1,
      sym__class_declaration_item,
    STATE(3129), 1,
      sym__class_declaration,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6382), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6380), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6091), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242519] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(6957), 1,
      sym__function_attributes_end,
    STATE(7167), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6200), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9310), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [242588] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    STATE(2356), 1,
      sym_attribute_specifier,
    STATE(6118), 1,
      sym_enumerator_list,
    ACTIONS(5860), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5858), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [242633] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(6223), 1,
      anon_sym_COLON,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7574), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [242691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6647), 1,
      sym__function_attributes_end,
    STATE(6779), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242753] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3510), 1,
      sym__class_declaration_item,
    STATE(6290), 1,
      sym_ms_declspec_modifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [242829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(7664), 1,
      anon_sym_LPAREN2,
    STATE(2588), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3962), 1,
      sym_initializer_list,
    STATE(4080), 1,
      sym_argument_list,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6045), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5628), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [242877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9630), 1,
      anon_sym_requires,
    STATE(6638), 1,
      sym__function_attributes_end,
    STATE(6738), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [242939] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5765), 1,
      sym__class_declaration_item,
    STATE(6289), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9633), 1,
      sym_identifier,
    ACTIONS(9639), 1,
      sym_primitive_type,
    STATE(6088), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5803), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9636), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5805), 17,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [243059] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3147), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6352), 1,
      sym_ms_declspec_modifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6353), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243135] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(8926), 1,
      anon_sym_COLON,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7576), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [243193] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5765), 1,
      sym__class_declaration_item,
    STATE(6280), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6049), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9642), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6047), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243309] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3510), 1,
      sym__class_declaration_item,
    STATE(6379), 1,
      sym_ms_declspec_modifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6381), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243385] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2511), 1,
      sym__class_declaration_item,
    STATE(6319), 1,
      sym_ms_declspec_modifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243461] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3307), 1,
      sym__class_declaration_item,
    STATE(6361), 1,
      sym_ms_declspec_modifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6358), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243537] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2288), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6277), 1,
      sym_ms_declspec_modifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243613] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3797), 1,
      sym__class_declaration_item,
    STATE(6294), 1,
      sym_ms_declspec_modifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6293), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6075), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5876), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(5874), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6080), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9645), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6078), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6644), 1,
      sym__function_attributes_end,
    STATE(6765), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [243829] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2288), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(6304), 1,
      sym_ms_declspec_modifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [243905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9648), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6073), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6071), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [243945] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6103), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6084), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9651), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6082), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [243985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6095), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6090), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9654), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6088), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [244025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5737), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9657), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5740), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [244065] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3147), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6370), 1,
      sym_ms_declspec_modifier,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244141] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym_auto,
    ACTIONS(5556), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(6166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9663), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9661), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [244187] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3147), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6345), 1,
      sym_ms_declspec_modifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244263] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3493), 1,
      sym__class_declaration_item,
    STATE(6272), 1,
      sym_ms_declspec_modifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9222), 1,
      anon_sym_requires,
    STATE(6643), 1,
      sym__function_attributes_end,
    STATE(6753), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244401] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2288), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(6331), 1,
      sym_ms_declspec_modifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6343), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6105), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6103), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [244517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 1,
      sym_auto,
    ACTIONS(5556), 1,
      anon_sym_decltype,
    STATE(2307), 1,
      sym_decltype_auto,
    STATE(6184), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9670), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9668), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [244563] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3147), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(6351), 1,
      sym_ms_declspec_modifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6349), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244639] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9323), 1,
      anon_sym_requires,
    STATE(6634), 1,
      sym__function_attributes_end,
    STATE(6741), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [244701] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4070), 1,
      sym__class_declaration_item,
    STATE(6374), 1,
      sym_ms_declspec_modifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244777] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4839), 1,
      sym__class_declaration_item,
    STATE(6333), 1,
      sym_ms_declspec_modifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244853] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3147), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(6288), 1,
      sym_ms_declspec_modifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [244929] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4760), 1,
      sym__class_declaration_item,
    STATE(6329), 1,
      sym_ms_declspec_modifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [245005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2559), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6101), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
    ACTIONS(9672), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6099), 19,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245045] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(8902), 1,
      anon_sym_COLON,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7575), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [245103] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(7115), 1,
      anon_sym_COLON,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      anon_sym_const,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7583), 1,
      sym__abstract_declarator,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8744), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [245161] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5435), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5441), 1,
      anon_sym___declspec,
    ACTIONS(5445), 1,
      anon_sym_alignas,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5946), 1,
      sym__class_declaration_item,
    STATE(6313), 1,
      sym_ms_declspec_modifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [245237] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6646), 1,
      sym__function_attributes_end,
    STATE(6774), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [245299] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7038), 1,
      sym__function_attributes_end,
    STATE(7256), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6246), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [245366] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9328), 1,
      anon_sym___attribute__,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6540), 1,
      sym__function_attributes_end,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym___attribute__,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6513), 1,
      sym__function_attributes_end,
    STATE(6517), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245488] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6509), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2284), 1,
      sym_attribute_specifier,
    ACTIONS(5956), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5954), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245588] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9559), 1,
      anon_sym_requires,
    STATE(7023), 1,
      sym__function_attributes_end,
    STATE(7259), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6231), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [245655] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9687), 1,
      anon_sym_requires,
    STATE(7021), 1,
      sym__function_attributes_end,
    STATE(7250), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6227), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [245722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2310), 1,
      sym_attribute_specifier,
    ACTIONS(5997), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5995), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2352), 1,
      sym_attribute_specifier,
    ACTIONS(5940), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5938), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245800] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9328), 1,
      anon_sym___attribute__,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6511), 1,
      sym__function_attributes_end,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [245861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2339), 1,
      sym_attribute_specifier,
    ACTIONS(5968), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5966), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [245900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7047), 1,
      sym__function_attributes_end,
    STATE(7275), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6247), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [245967] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9675), 1,
      anon_sym___attribute__,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(6560), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2336), 1,
      sym_attribute_specifier,
    ACTIONS(5976), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5974), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2359), 1,
      sym_attribute_specifier,
    ACTIONS(5952), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5950), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2342), 1,
      sym_attribute_specifier,
    ACTIONS(5960), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5958), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2298), 1,
      sym_attribute_specifier,
    ACTIONS(5991), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5989), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246184] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9258), 1,
      anon_sym___attribute__,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6545), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246245] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7149), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6264), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [246312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2292), 1,
      sym_attribute_specifier,
    ACTIONS(5987), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5985), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246351] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7140), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6222), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [246418] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(7000), 1,
      sym_trailing_return_type,
    STATE(7145), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6223), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [246485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2319), 1,
      sym_attribute_specifier,
    ACTIONS(6001), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5999), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2338), 1,
      sym_attribute_specifier,
    ACTIONS(5972), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5970), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246563] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 1,
      anon_sym_noexcept,
    ACTIONS(7648), 1,
      anon_sym_throw,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6974), 1,
      sym_trailing_return_type,
    STATE(7150), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6265), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [246630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2355), 1,
      sym_attribute_specifier,
    ACTIONS(5948), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5946), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6075), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5628), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9690), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5626), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [246707] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_requires,
    STATE(6619), 1,
      sym_trailing_return_type,
    STATE(6677), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [246767] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(6711), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [246827] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6524), 1,
      sym__function_attributes_end,
    STATE(6618), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [246887] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(6664), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [246947] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(6583), 1,
      sym_ms_call_modifier,
    STATE(7447), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [247005] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6517), 1,
      sym_trailing_return_type,
    STATE(6519), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [247065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8126), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8128), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247099] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(6504), 1,
      sym_ms_call_modifier,
    STATE(7495), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [247157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8130), 3,
      anon_sym_AMP,
      sym_ms_restrict_modifier,
      anon_sym_const,
    ACTIONS(8132), 23,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [247191] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6517), 1,
      sym_trailing_return_type,
    STATE(6706), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [247251] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6522), 1,
      sym__function_attributes_end,
    STATE(6565), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [247311] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6560), 1,
      sym_trailing_return_type,
    STATE(6701), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [247371] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(6630), 1,
      sym_ms_call_modifier,
    STATE(7488), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [247429] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6581), 1,
      sym_trailing_return_type,
    STATE(6665), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [247489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(6668), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [247549] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6702), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [247609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6523), 1,
      sym__function_attributes_end,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6502), 1,
      sym__function_attributes_end,
    STATE(6557), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6514), 1,
      sym__function_attributes_end,
    STATE(6586), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6708), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [247849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(6679), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [247909] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_requires,
    STATE(6525), 1,
      sym__function_attributes_end,
    STATE(6619), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [247969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6499), 1,
      sym__function_attributes_end,
    STATE(6581), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [248029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(6558), 1,
      sym_ms_call_modifier,
    STATE(7453), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [248087] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    STATE(6529), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [248147] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6552), 1,
      sym__function_attributes_end,
    STATE(6560), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9699), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [248207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(6577), 1,
      sym_ms_call_modifier,
    STATE(7473), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
    ACTIONS(49), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [248265] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6585), 1,
      sym__function_attributes_end,
    STATE(6607), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9542), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [248325] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    STATE(6587), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9287), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [248385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6617), 1,
      sym_trailing_return_type,
    STATE(6675), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [248445] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_trailing_return_type,
    STATE(6676), 1,
      sym__function_attributes_end,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [248505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9704), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9702), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [248542] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    ACTIONS(9706), 1,
      anon_sym_LPAREN2,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    ACTIONS(9712), 1,
      anon_sym_requires,
    STATE(3262), 1,
      sym_template_type,
    STATE(4400), 1,
      sym_requirement_seq,
    STATE(6672), 1,
      sym_lambda_capture_specifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(8598), 1,
      sym_requires_parameter_list,
    ACTIONS(9710), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4435), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [248603] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(6795), 1,
      sym__function_attributes_end,
    STATE(6973), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [248662] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6868), 1,
      sym__function_attributes_end,
    STATE(6893), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [248721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    ACTIONS(9714), 1,
      anon_sym_LPAREN2,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    ACTIONS(9720), 1,
      anon_sym_requires,
    STATE(3073), 1,
      sym_template_type,
    STATE(3970), 1,
      sym_requirement_seq,
    STATE(6707), 1,
      sym_lambda_capture_specifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(8620), 1,
      sym_requires_parameter_list,
    ACTIONS(9718), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3961), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [248782] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    ACTIONS(9722), 1,
      anon_sym_LPAREN2,
    ACTIONS(9724), 1,
      anon_sym_LBRACE,
    ACTIONS(9728), 1,
      anon_sym_requires,
    STATE(4504), 1,
      sym_template_type,
    STATE(5027), 1,
      sym_requirement_seq,
    STATE(6651), 1,
      sym_lambda_capture_specifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(8784), 1,
      sym_requires_parameter_list,
    ACTIONS(9726), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5028), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [248843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6843), 1,
      sym__function_attributes_end,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [248902] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6861), 1,
      sym__function_attributes_end,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [248961] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    ACTIONS(9730), 1,
      anon_sym_LPAREN2,
    ACTIONS(9732), 1,
      anon_sym_LBRACE,
    ACTIONS(9736), 1,
      anon_sym_requires,
    STATE(3205), 1,
      sym_template_type,
    STATE(5144), 1,
      sym_requirement_seq,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(8720), 1,
      sym_requires_parameter_list,
    ACTIONS(9734), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5543), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5624), 1,
      anon_sym_LBRACE,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [249059] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6754), 1,
      sym__function_attributes_end,
    STATE(6986), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [249118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9284), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6780), 1,
      sym__function_attributes_end,
    STATE(6981), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [249177] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    ACTIONS(9738), 1,
      anon_sym_LPAREN2,
    ACTIONS(9740), 1,
      anon_sym_LBRACE,
    ACTIONS(9744), 1,
      anon_sym_requires,
    STATE(3000), 1,
      sym_template_type,
    STATE(3792), 1,
      sym_requirement_seq,
    STATE(6727), 1,
      sym_lambda_capture_specifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(8712), 1,
      sym_requires_parameter_list,
    ACTIONS(9742), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3783), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249238] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9553), 1,
      anon_sym_requires,
    STATE(6784), 1,
      sym__function_attributes_end,
    STATE(6954), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [249297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9693), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_requires,
    STATE(6757), 1,
      sym__function_attributes_end,
    STATE(6953), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [249356] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9547), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6729), 1,
      sym__function_attributes_end,
    STATE(6983), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [249415] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9755), 1,
      anon_sym_requires,
    STATE(2229), 1,
      sym_template_type,
    STATE(4017), 1,
      sym_requirement_seq,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(8597), 1,
      sym_requires_parameter_list,
    ACTIONS(9753), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4879), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249476] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    ACTIONS(9757), 1,
      anon_sym_LPAREN2,
    ACTIONS(9759), 1,
      anon_sym_LBRACE,
    ACTIONS(9763), 1,
      anon_sym_requires,
    STATE(2282), 1,
      sym_template_type,
    STATE(2946), 1,
      sym_requirement_seq,
    STATE(6699), 1,
      sym_lambda_capture_specifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(8481), 1,
      sym_requires_parameter_list,
    ACTIONS(9761), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2950), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5632), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9767), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(9765), 8,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [249574] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(6873), 1,
      sym__function_attributes_end,
    STATE(6934), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [249633] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(9755), 1,
      anon_sym_requires,
    STATE(4017), 1,
      sym_requirement_seq,
    STATE(4348), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(8597), 1,
      sym_requires_parameter_list,
    ACTIONS(9772), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4932), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249694] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(6860), 1,
      sym__function_attributes_end,
    STATE(7000), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [249753] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    ACTIONS(9774), 1,
      anon_sym_LPAREN2,
    ACTIONS(9776), 1,
      anon_sym_LBRACE,
    ACTIONS(9780), 1,
      anon_sym_requires,
    STATE(3112), 1,
      sym_template_type,
    STATE(4187), 1,
      sym_requirement_seq,
    STATE(6704), 1,
      sym_lambda_capture_specifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(8676), 1,
      sym_requires_parameter_list,
    ACTIONS(9778), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4210), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [249814] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6828), 1,
      sym__function_attributes_end,
    STATE(6974), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [249873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(7001), 1,
      sym__function_attributes_end,
    STATE(7164), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [249931] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(7003), 1,
      sym__function_attributes_end,
    STATE(7160), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [249989] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_STAR,
    ACTIONS(7988), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6814), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250037] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_STAR,
    ACTIONS(7982), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7984), 1,
      anon_sym_AMP,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6865), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [250085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      anon_sym_LBRACE,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [250119] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6998), 1,
      sym__function_attributes_end,
    STATE(7166), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [250177] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7966), 1,
      anon_sym_STAR,
    ACTIONS(7968), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7970), 1,
      anon_sym_AMP,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(6818), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [250225] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(6957), 1,
      sym__function_attributes_end,
    STATE(7167), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [250283] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(6721), 1,
      sym_ms_call_modifier,
    STATE(7385), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    ACTIONS(2080), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [250337] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(6976), 1,
      sym__function_attributes_end,
    STATE(7141), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [250395] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9782), 1,
      anon_sym_requires,
    STATE(6955), 1,
      sym__function_attributes_end,
    STATE(7169), 1,
      sym_trailing_return_type,
    STATE(7533), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6233), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6553), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [250453] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9787), 1,
      anon_sym_SEMI,
    ACTIONS(9789), 1,
      anon_sym_LBRACE,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(9793), 1,
      anon_sym_EQ,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    ACTIONS(9797), 1,
      anon_sym_try,
    STATE(2423), 1,
      sym_try_statement,
    STATE(2424), 1,
      sym_pure_virtual_clause,
    STATE(2425), 1,
      sym_delete_method_clause,
    STATE(2426), 1,
      sym_default_method_clause,
    STATE(2427), 1,
      sym_compound_statement,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7568), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7569), 1,
      sym_initializer_list,
    STATE(7571), 1,
      sym_bitfield_clause,
    STATE(9264), 1,
      sym_attribute_specifier,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250524] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    ACTIONS(9799), 1,
      anon_sym_SEMI,
    ACTIONS(9801), 1,
      anon_sym_LBRACE,
    ACTIONS(9803), 1,
      anon_sym_EQ,
    ACTIONS(9805), 1,
      anon_sym_try,
    STATE(2202), 1,
      sym_compound_statement,
    STATE(2203), 1,
      sym_default_method_clause,
    STATE(2204), 1,
      sym_delete_method_clause,
    STATE(2205), 1,
      sym_pure_virtual_clause,
    STATE(2206), 1,
      sym_try_statement,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7566), 1,
      sym_bitfield_clause,
    STATE(7596), 1,
      sym_initializer_list,
    STATE(7609), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8973), 1,
      sym_attribute_specifier,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5671), 1,
      anon_sym_AMP,
    ACTIONS(9810), 1,
      anon_sym_const,
    STATE(6203), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5673), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9807), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [250632] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8063), 1,
      anon_sym_STAR,
    ACTIONS(8065), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8067), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6930), 1,
      sym__abstract_declarator,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [250679] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    ACTIONS(9813), 1,
      anon_sym_SEMI,
    ACTIONS(9815), 1,
      anon_sym_LBRACE,
    ACTIONS(9817), 1,
      anon_sym_EQ,
    ACTIONS(9819), 1,
      anon_sym_try,
    STATE(2606), 1,
      sym_compound_statement,
    STATE(2651), 1,
      sym_delete_method_clause,
    STATE(2663), 1,
      sym_pure_virtual_clause,
    STATE(2664), 1,
      sym_try_statement,
    STATE(2749), 1,
      sym_default_method_clause,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7578), 1,
      sym_bitfield_clause,
    STATE(7579), 1,
      sym_initializer_list,
    STATE(7582), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8964), 1,
      sym_attribute_specifier,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250750] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    ACTIONS(9821), 1,
      anon_sym_SEMI,
    ACTIONS(9823), 1,
      anon_sym_LBRACE,
    ACTIONS(9825), 1,
      anon_sym_EQ,
    ACTIONS(9827), 1,
      anon_sym_try,
    STATE(2689), 1,
      sym_pure_virtual_clause,
    STATE(2777), 1,
      sym_try_statement,
    STATE(2792), 1,
      sym_delete_method_clause,
    STATE(2793), 1,
      sym_default_method_clause,
    STATE(2806), 1,
      sym_compound_statement,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7625), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7627), 1,
      sym_initializer_list,
    STATE(7628), 1,
      sym_bitfield_clause,
    STATE(8985), 1,
      sym_attribute_specifier,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [250821] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7047), 1,
      sym__function_attributes_end,
    STATE(7275), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
  [250877] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    ACTIONS(9780), 1,
      anon_sym_requires,
    ACTIONS(9829), 1,
      anon_sym_LPAREN2,
    STATE(3112), 1,
      sym_template_type,
    STATE(6704), 1,
      sym_lambda_capture_specifier,
    STATE(7352), 1,
      sym__scope_resolution,
    ACTIONS(9831), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4278), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250929] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    ACTIONS(9728), 1,
      anon_sym_requires,
    ACTIONS(9833), 1,
      anon_sym_LPAREN2,
    STATE(4504), 1,
      sym_template_type,
    STATE(6651), 1,
      sym_lambda_capture_specifier,
    STATE(7365), 1,
      sym__scope_resolution,
    ACTIONS(9835), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5124), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [250981] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    ACTIONS(9728), 1,
      anon_sym_requires,
    ACTIONS(9833), 1,
      anon_sym_LPAREN2,
    STATE(4504), 1,
      sym_template_type,
    STATE(6651), 1,
      sym_lambda_capture_specifier,
    STATE(7365), 1,
      sym__scope_resolution,
    ACTIONS(9837), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5045), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251033] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    ACTIONS(9763), 1,
      anon_sym_requires,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2282), 1,
      sym_template_type,
    STATE(6699), 1,
      sym_lambda_capture_specifier,
    STATE(7337), 1,
      sym__scope_resolution,
    ACTIONS(9841), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2915), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9843), 1,
      sym_identifier,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7347), 1,
      sym__scope_resolution,
    ACTIONS(9849), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6937), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251137] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(4348), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7364), 1,
      sym__scope_resolution,
    ACTIONS(9851), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4887), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251189] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(4348), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7364), 1,
      sym__scope_resolution,
    ACTIONS(9853), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4167), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251241] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    ACTIONS(9763), 1,
      anon_sym_requires,
    ACTIONS(9839), 1,
      anon_sym_LPAREN2,
    STATE(2282), 1,
      sym_template_type,
    STATE(6699), 1,
      sym_lambda_capture_specifier,
    STATE(7337), 1,
      sym__scope_resolution,
    ACTIONS(9855), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2918), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251293] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    ACTIONS(9744), 1,
      anon_sym_requires,
    ACTIONS(9857), 1,
      anon_sym_LPAREN2,
    STATE(3000), 1,
      sym_template_type,
    STATE(6727), 1,
      sym_lambda_capture_specifier,
    STATE(7370), 1,
      sym__scope_resolution,
    ACTIONS(9859), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3687), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    ACTIONS(9744), 1,
      anon_sym_requires,
    ACTIONS(9857), 1,
      anon_sym_LPAREN2,
    STATE(3000), 1,
      sym_template_type,
    STATE(6727), 1,
      sym_lambda_capture_specifier,
    STATE(7370), 1,
      sym__scope_resolution,
    ACTIONS(9861), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3651), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_LPAREN2,
    ACTIONS(9867), 1,
      anon_sym_requires,
    STATE(5595), 1,
      sym_template_type,
    STATE(6659), 1,
      sym_lambda_capture_specifier,
    STATE(7358), 1,
      sym__scope_resolution,
    ACTIONS(9865), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6755), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251449] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7356), 1,
      sym__scope_resolution,
    ACTIONS(9871), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6596), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251501] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9875), 1,
      anon_sym_LPAREN2,
    STATE(3073), 1,
      sym_template_type,
    STATE(6707), 1,
      sym_lambda_capture_specifier,
    STATE(7350), 1,
      sym__scope_resolution,
    ACTIONS(9877), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4090), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6977), 1,
      sym_trailing_return_type,
    STATE(7140), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251609] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(7000), 1,
      sym_trailing_return_type,
    STATE(7145), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251665] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(6934), 1,
      sym_trailing_return_type,
    STATE(7170), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    ACTIONS(9720), 1,
      anon_sym_requires,
    ACTIONS(9875), 1,
      anon_sym_LPAREN2,
    STATE(3073), 1,
      sym_template_type,
    STATE(6707), 1,
      sym_lambda_capture_specifier,
    STATE(7350), 1,
      sym__scope_resolution,
    ACTIONS(9879), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4092), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7341), 1,
      sym__scope_resolution,
    ACTIONS(9883), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6562), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251825] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_requires,
    ACTIONS(9887), 1,
      anon_sym_LPAREN2,
    STATE(3205), 1,
      sym_template_type,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7343), 1,
      sym__scope_resolution,
    ACTIONS(9889), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(7016), 1,
      sym__function_attributes_end,
    STATE(7243), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
  [251933] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_requires,
    ACTIONS(9887), 1,
      anon_sym_LPAREN2,
    STATE(3205), 1,
      sym_template_type,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7339), 1,
      sym__scope_resolution,
    ACTIONS(9889), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5180), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [251985] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9843), 1,
      sym_identifier,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7347), 1,
      sym__scope_resolution,
    ACTIONS(9853), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4167), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252037] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_requires,
    ACTIONS(9887), 1,
      anon_sym_LPAREN2,
    STATE(3205), 1,
      sym_template_type,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7339), 1,
      sym__scope_resolution,
    ACTIONS(9894), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7156), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9687), 1,
      anon_sym_requires,
    STATE(7021), 1,
      sym__function_attributes_end,
    STATE(7250), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
  [252145] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9261), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9559), 1,
      anon_sym_requires,
    STATE(7023), 1,
      sym__function_attributes_end,
    STATE(7259), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
  [252201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(9898), 1,
      anon_sym_LBRACK,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9896), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252239] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7356), 1,
      sym__scope_resolution,
    ACTIONS(9900), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2061), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252291] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7356), 1,
      sym__scope_resolution,
    ACTIONS(9902), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6543), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6599), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9904), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [252381] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_requires,
    ACTIONS(9887), 1,
      anon_sym_LPAREN2,
    STATE(3205), 1,
      sym_template_type,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7343), 1,
      sym__scope_resolution,
    ACTIONS(9908), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5566), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    ACTIONS(9900), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2061), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7368), 1,
      sym__scope_resolution,
    ACTIONS(9910), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6580), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252537] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    ACTIONS(9912), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6935), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252589] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7368), 1,
      sym__scope_resolution,
    ACTIONS(9914), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7253), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252641] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8134), 1,
      anon_sym_STAR,
    ACTIONS(8136), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8138), 1,
      anon_sym_AMP,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7017), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9918), 1,
      anon_sym_LPAREN2,
    STATE(6424), 1,
      sym_preproc_argument_list,
    ACTIONS(9920), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9916), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [252721] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7368), 1,
      sym__scope_resolution,
    ACTIONS(9922), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7215), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252773] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    ACTIONS(9924), 1,
      sym_identifier,
    ACTIONS(9926), 1,
      anon_sym_COLON_COLON,
    STATE(2890), 1,
      sym_template_type,
    STATE(6714), 1,
      sym_lambda_capture_specifier,
    STATE(7324), 1,
      sym__scope_resolution,
    ACTIONS(9928), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2879), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7031), 1,
      sym__function_attributes_end,
    STATE(7249), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9623), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
  [252881] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9331), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(7038), 1,
      sym__function_attributes_end,
    STATE(7256), 1,
      sym_trailing_return_type,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
  [252937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    ACTIONS(9924), 1,
      sym_identifier,
    ACTIONS(9926), 1,
      anon_sym_COLON_COLON,
    STATE(2890), 1,
      sym_template_type,
    STATE(6714), 1,
      sym_lambda_capture_specifier,
    STATE(7324), 1,
      sym__scope_resolution,
    ACTIONS(9930), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2828), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [252989] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    ACTIONS(9924), 1,
      sym_identifier,
    ACTIONS(9926), 1,
      anon_sym_COLON_COLON,
    STATE(2890), 1,
      sym_template_type,
    STATE(6714), 1,
      sym_lambda_capture_specifier,
    STATE(7324), 1,
      sym__scope_resolution,
    ACTIONS(9900), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2061), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253041] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    ACTIONS(9869), 1,
      anon_sym_LPAREN2,
    ACTIONS(9873), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6678), 1,
      sym_lambda_capture_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    ACTIONS(9932), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6947), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253093] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(9934), 1,
      sym_identifier,
    ACTIONS(9936), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6251), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_operator_cast,
    STATE(7803), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [253163] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    ACTIONS(9938), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4922), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7327), 1,
      sym__scope_resolution,
    ACTIONS(9853), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4167), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253267] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6903), 1,
      sym_trailing_return_type,
    STATE(7149), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9215), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
  [253323] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_LPAREN2,
    ACTIONS(9867), 1,
      anon_sym_requires,
    STATE(5595), 1,
      sym_template_type,
    STATE(6659), 1,
      sym_lambda_capture_specifier,
    STATE(7358), 1,
      sym__scope_resolution,
    ACTIONS(9940), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6778), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253375] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9602), 1,
      sym_identifier,
    ACTIONS(9863), 1,
      anon_sym_LPAREN2,
    ACTIONS(9867), 1,
      anon_sym_requires,
    STATE(5595), 1,
      sym_template_type,
    STATE(6659), 1,
      sym_lambda_capture_specifier,
    STATE(7358), 1,
      sym__scope_resolution,
    ACTIONS(9942), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6733), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253427] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(3047), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(9944), 1,
      sym_identifier,
    ACTIONS(9946), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_operator_cast,
    STATE(7803), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [253497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8144), 1,
      anon_sym_STAR,
    ACTIONS(8146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8148), 1,
      anon_sym_AMP,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7044), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [253543] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(9853), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4167), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253595] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(9948), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7378), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253647] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    ACTIONS(9736), 1,
      anon_sym_requires,
    ACTIONS(9887), 1,
      anon_sym_LPAREN2,
    STATE(3205), 1,
      sym_template_type,
    STATE(6655), 1,
      sym_lambda_capture_specifier,
    STATE(7339), 1,
      sym__scope_resolution,
    ACTIONS(9950), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7139), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253699] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    ACTIONS(9712), 1,
      anon_sym_requires,
    ACTIONS(9952), 1,
      anon_sym_LPAREN2,
    STATE(3262), 1,
      sym_template_type,
    STATE(6672), 1,
      sym_lambda_capture_specifier,
    STATE(7326), 1,
      sym__scope_resolution,
    ACTIONS(9954), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4402), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253751] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    ACTIONS(9712), 1,
      anon_sym_requires,
    ACTIONS(9952), 1,
      anon_sym_LPAREN2,
    STATE(3262), 1,
      sym_template_type,
    STATE(6672), 1,
      sym_lambda_capture_specifier,
    STATE(7326), 1,
      sym__scope_resolution,
    ACTIONS(9956), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4403), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253803] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6974), 1,
      sym_trailing_return_type,
    STATE(7150), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9310), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
  [253859] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6893), 1,
      sym_trailing_return_type,
    STATE(7151), 1,
      sym__function_attributes_end,
    STATE(7553), 1,
      sym_gnu_asm_expression,
    ACTIONS(7640), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9623), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6486), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6640), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
  [253915] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    ACTIONS(9780), 1,
      anon_sym_requires,
    ACTIONS(9829), 1,
      anon_sym_LPAREN2,
    STATE(3112), 1,
      sym_template_type,
    STATE(6704), 1,
      sym_lambda_capture_specifier,
    STATE(7352), 1,
      sym__scope_resolution,
    ACTIONS(9958), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4233), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [253967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7341), 1,
      sym__scope_resolution,
    ACTIONS(9960), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6579), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [254019] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(9962), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7362), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [254071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(9964), 1,
      sym_identifier,
    ACTIONS(9966), 1,
      anon_sym_TILDE,
    ACTIONS(9968), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9970), 1,
      anon_sym_template,
    ACTIONS(9972), 1,
      anon_sym_operator,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6269), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_operator_cast,
    STATE(7803), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [254141] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    ACTIONS(9881), 1,
      anon_sym_LPAREN2,
    ACTIONS(9885), 1,
      anon_sym_requires,
    STATE(2823), 1,
      sym_template_type,
    STATE(6716), 1,
      sym_lambda_capture_specifier,
    STATE(7341), 1,
      sym__scope_resolution,
    ACTIONS(9910), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6580), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [254193] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(2840), 1,
      anon_sym_LBRACK,
    ACTIONS(9755), 1,
      anon_sym_requires,
    ACTIONS(9843), 1,
      sym_identifier,
    ACTIONS(9845), 1,
      anon_sym_LPAREN2,
    ACTIONS(9847), 1,
      anon_sym_COLON_COLON,
    STATE(2229), 1,
      sym_template_type,
    STATE(6687), 1,
      sym_lambda_capture_specifier,
    STATE(7347), 1,
      sym__scope_resolution,
    ACTIONS(9974), 2,
      sym_true,
      sym_false,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6995), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [254245] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3561), 1,
      sym__class_declaration_item,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6300), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254304] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3093), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254363] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2293), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6279), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2290), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254481] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8204), 1,
      anon_sym_STAR,
    ACTIONS(8206), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8208), 1,
      anon_sym_AMP,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7131), 1,
      sym__abstract_declarator,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254526] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2362), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6296), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5746), 1,
      sym__class_declaration_item,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2358), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254703] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5743), 1,
      sym__class_declaration_item,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6297), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3502), 1,
      sym__class_declaration_item,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254821] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5766), 1,
      sym__class_declaration_item,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254880] = 5,
    ACTIONS(9916), 1,
      anon_sym_LF,
    ACTIONS(9976), 1,
      anon_sym_LPAREN2,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(6496), 1,
      sym_preproc_argument_list,
    ACTIONS(9920), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5763), 1,
      sym__class_declaration_item,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6278), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [254972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3802), 1,
      sym__class_declaration_item,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6293), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255031] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3798), 1,
      sym__class_declaration_item,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255149] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3137), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6340), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255208] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5743), 1,
      sym__class_declaration_item,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6366), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255267] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3532), 1,
      sym__class_declaration_item,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6281), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255326] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3548), 1,
      sym__class_declaration_item,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255385] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5746), 1,
      sym__class_declaration_item,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3763), 1,
      sym__class_declaration_item,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255503] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3759), 1,
      sym__class_declaration_item,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6295), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3377), 1,
      sym_field_declaration_list,
    STATE(3718), 1,
      sym__class_declaration_item,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(7720), 1,
      sym_virtual_specifier,
    STATE(8569), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2980), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255621] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2335), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255680] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5731), 1,
      sym__class_declaration_item,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255739] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2335), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2358), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255857] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3598), 1,
      sym__class_declaration_item,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255916] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [255975] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3519), 1,
      sym__class_declaration_item,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3143), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256093] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2362), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2290), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256211] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2293), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6343), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4715), 1,
      sym__class_declaration_item,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2290), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256388] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3500), 1,
      sym__class_declaration_item,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256447] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5947), 1,
      sym__class_declaration_item,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256506] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5920), 1,
      sym__class_declaration_item,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3272), 1,
      sym_field_declaration_list,
    STATE(3538), 1,
      sym__class_declaration_item,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(7846), 1,
      sym_virtual_specifier,
    STATE(8459), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2855), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6302), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5917), 1,
      sym__class_declaration_item,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6316), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256683] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2549), 1,
      sym__class_declaration_item,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6318), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256742] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2553), 1,
      sym__class_declaration_item,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256801] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5954), 1,
      sym__class_declaration_item,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256860] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      anon_sym_RPAREN,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(9992), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6337), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [256903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2581), 1,
      sym__class_declaration_item,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [256962] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2591), 1,
      sym__class_declaration_item,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6320), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257021] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2470), 1,
      sym_field_declaration_list,
    STATE(2585), 1,
      sym__class_declaration_item,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(7905), 1,
      sym_virtual_specifier,
    STATE(8692), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2109), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257080] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3509), 1,
      sym__class_declaration_item,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257139] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(9996), 1,
      anon_sym_RPAREN,
    ACTIONS(9998), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6371), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [257182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5766), 1,
      sym__class_declaration_item,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257241] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4833), 1,
      sym__class_declaration_item,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6330), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257300] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5763), 1,
      sym__class_declaration_item,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6292), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257359] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4838), 1,
      sym__class_declaration_item,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257418] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10000), 1,
      sym_identifier,
    ACTIONS(10002), 1,
      anon_sym_template,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6327), 1,
      sym__scope_resolution,
    STATE(7802), 1,
      sym_operator_cast,
    STATE(7803), 1,
      sym_qualified_operator_cast_identifier,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257481] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4719), 1,
      sym__class_declaration_item,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4711), 1,
      sym__class_declaration_item,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6307), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257599] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4858), 1,
      sym__class_declaration_item,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2362), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6368), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257717] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3495), 1,
      sym__class_declaration_item,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6291), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257776] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4864), 1,
      sym__class_declaration_item,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6334), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4746), 1,
      sym_field_declaration_list,
    STATE(4854), 1,
      sym__class_declaration_item,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(7765), 1,
      sym_virtual_specifier,
    STATE(8718), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4223), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257894] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6349), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [257953] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3143), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(10006), 1,
      anon_sym_RPAREN,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    STATE(8145), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258067] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5778), 1,
      sym_field_declaration_list,
    STATE(5978), 1,
      sym__class_declaration_item,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(7891), 1,
      sym_virtual_specifier,
    STATE(8664), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5604), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6311), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258126] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4047), 1,
      sym__class_declaration_item,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258185] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3093), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258244] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2293), 1,
      sym__class_declaration_item,
    STATE(3043), 1,
      sym_field_declaration_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(7806), 1,
      sym_virtual_specifier,
    STATE(8487), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2654), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6299), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258303] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3093), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258362] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2358), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258421] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3093), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258480] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3137), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258539] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10032), 1,
      anon_sym_RPAREN,
    STATE(8125), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258594] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258653] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4763), 1,
      sym__class_declaration_item,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258712] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258771] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4118), 1,
      sym__class_declaration_item,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3137), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6273), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258889] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3137), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6344), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [258948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259007] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10034), 1,
      anon_sym_RPAREN,
    ACTIONS(10036), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6346), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [259050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3297), 1,
      sym__class_declaration_item,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6358), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259109] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3305), 1,
      sym__class_declaration_item,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259168] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3093), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3267), 1,
      sym__class_declaration_item,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4765), 1,
      sym__class_declaration_item,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(7859), 1,
      sym_virtual_specifier,
    STATE(8783), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3897), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6328), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4075), 1,
      sym__class_declaration_item,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259404] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3260), 1,
      sym__class_declaration_item,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6362), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259463] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3145), 1,
      sym_field_declaration_list,
    STATE(3340), 1,
      sym__class_declaration_item,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(7689), 1,
      sym_virtual_specifier,
    STATE(8601), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2593), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3527), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [259551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10040), 1,
      anon_sym_LBRACK,
    ACTIONS(10038), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [259580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3143), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259639] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5663), 1,
      sym_field_declaration_list,
    STATE(5731), 1,
      sym__class_declaration_item,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7855), 1,
      sym_virtual_specifier,
    STATE(8456), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5501), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4001), 1,
      sym__class_declaration_item,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(2335), 1,
      sym__class_declaration_item,
    STATE(6127), 1,
      sym_field_declaration_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(7673), 1,
      sym_virtual_specifier,
    STATE(8550), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5618), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259816] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6353), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259875] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3137), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6342), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [259934] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10042), 1,
      anon_sym_RPAREN,
    STATE(7941), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [259989] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3509), 1,
      sym__class_declaration_item,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260048] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6287), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260107] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3621), 1,
      sym_field_declaration_list,
    STATE(4018), 1,
      sym__class_declaration_item,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(7800), 1,
      sym_virtual_specifier,
    STATE(8764), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3069), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6339), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260166] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3495), 1,
      sym__class_declaration_item,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6381), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260225] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3502), 1,
      sym__class_declaration_item,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260284] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3100), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4750), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260343] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3143), 1,
      sym__class_declaration_item,
    STATE(3898), 1,
      sym_field_declaration_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(7640), 1,
      sym_virtual_specifier,
    STATE(8512), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3072), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260402] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3532), 1,
      sym__class_declaration_item,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260461] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3143), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260520] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3355), 1,
      sym_field_declaration_list,
    STATE(3548), 1,
      sym__class_declaration_item,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(7715), 1,
      sym_virtual_specifier,
    STATE(8627), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3013), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260579] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    ACTIONS(6720), 1,
      anon_sym_COLON,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(4583), 1,
      sym_field_declaration_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(7822), 1,
      sym_virtual_specifier,
    STATE(8471), 1,
      sym_base_class_clause,
    ACTIONS(5424), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6347), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [260638] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(10044), 1,
      sym_identifier,
    ACTIONS(10046), 1,
      anon_sym_TILDE,
    ACTIONS(10048), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10050), 1,
      anon_sym_template,
    ACTIONS(10052), 1,
      anon_sym_operator,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(2975), 1,
      sym_pointer_type_declarator,
    STATE(2978), 1,
      sym_operator_name,
    STATE(2989), 1,
      sym_template_function,
    STATE(2993), 1,
      sym_destructor_name,
    STATE(2994), 1,
      sym_dependent_identifier,
    STATE(3004), 1,
      sym_qualified_identifier,
    STATE(6383), 1,
      sym__scope_resolution,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [260702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10056), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10054), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [260730] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(9966), 1,
      anon_sym_TILDE,
    ACTIONS(10058), 1,
      sym_identifier,
    ACTIONS(10060), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10062), 1,
      anon_sym_template,
    ACTIONS(10064), 1,
      anon_sym_operator,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6385), 1,
      sym__scope_resolution,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [260794] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7653), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [260844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10076), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6526), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10080), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6631), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10082), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6616), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [260964] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(10046), 1,
      anon_sym_TILDE,
    ACTIONS(10052), 1,
      anon_sym_operator,
    ACTIONS(10084), 1,
      sym_identifier,
    ACTIONS(10086), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10088), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(2975), 1,
      sym_pointer_type_declarator,
    STATE(2978), 1,
      sym_operator_name,
    STATE(2989), 1,
      sym_template_function,
    STATE(2993), 1,
      sym_destructor_name,
    STATE(2994), 1,
      sym_dependent_identifier,
    STATE(3004), 1,
      sym_qualified_identifier,
    STATE(6390), 1,
      sym__scope_resolution,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [261028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7692), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [261078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10090), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6609), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261118] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(4286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10092), 1,
      sym_identifier,
    ACTIONS(10094), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6393), 1,
      sym__scope_resolution,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [261182] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    ACTIONS(10096), 1,
      anon_sym_SEMI,
    STATE(6201), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9324), 1,
      sym_attribute_specifier,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [261234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10100), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10098), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(10102), 1,
      sym_identifier,
    ACTIONS(10104), 1,
      anon_sym_TILDE,
    ACTIONS(10106), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10108), 1,
      anon_sym_template,
    ACTIONS(10110), 1,
      anon_sym_operator,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3785), 1,
      sym_pointer_type_declarator,
    STATE(3787), 1,
      sym_template_function,
    STATE(3788), 1,
      sym_destructor_name,
    STATE(3789), 1,
      sym_dependent_identifier,
    STATE(3796), 1,
      sym_qualified_identifier,
    STATE(3804), 1,
      sym_operator_name,
    STATE(6396), 1,
      sym__scope_resolution,
    STATE(9322), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [261326] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10112), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6528), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261366] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7714), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [261416] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10118), 1,
      anon_sym_SEMI,
    ACTIONS(10120), 1,
      anon_sym_LBRACE,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    STATE(2613), 1,
      sym_compound_statement,
    STATE(2674), 1,
      sym_try_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8068), 1,
      sym_gnu_asm_expression,
    STATE(8069), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [261474] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(10046), 1,
      anon_sym_TILDE,
    ACTIONS(10052), 1,
      anon_sym_operator,
    ACTIONS(10128), 1,
      sym_identifier,
    ACTIONS(10130), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10132), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(2975), 1,
      sym_pointer_type_declarator,
    STATE(2978), 1,
      sym_operator_name,
    STATE(2989), 1,
      sym_template_function,
    STATE(2993), 1,
      sym_destructor_name,
    STATE(2994), 1,
      sym_dependent_identifier,
    STATE(3004), 1,
      sym_qualified_identifier,
    STATE(6400), 1,
      sym__scope_resolution,
    STATE(9250), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [261538] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10134), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6582), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261578] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7672), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [261628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10138), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10136), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [261662] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7636), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [261712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10138), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10136), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [261748] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10140), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6584), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [261788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7745), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [261838] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10138), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10136), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [261878] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10138), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(10136), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [261920] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10138), 1,
      anon_sym_PIPE,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10136), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [261964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10142), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6603), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262004] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10138), 1,
      anon_sym_PIPE,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10136), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [262050] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10136), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [262096] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10136), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [262144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10138), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10136), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262172] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10144), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6384), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262212] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7876), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [262262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10138), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10136), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10146), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6415), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10150), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10148), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262362] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10152), 1,
      anon_sym_SEMI,
    ACTIONS(10154), 1,
      anon_sym_LBRACE,
    ACTIONS(10156), 1,
      anon_sym_try,
    STATE(593), 1,
      sym_try_statement,
    STATE(594), 1,
      sym_compound_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8349), 1,
      sym_gnu_asm_expression,
    STATE(8354), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [262420] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10158), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6604), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10162), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10160), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10166), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10164), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10170), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10168), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [262544] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7795), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [262594] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(5630), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6641), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9904), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(10172), 1,
      sym_identifier,
    ACTIONS(10174), 1,
      anon_sym_TILDE,
    ACTIONS(10176), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10178), 1,
      anon_sym_template,
    ACTIONS(10180), 1,
      anon_sym_operator,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(4123), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4141), 1,
      sym_destructor_name,
    STATE(4157), 1,
      sym_dependent_identifier,
    STATE(4165), 1,
      sym_qualified_identifier,
    STATE(4171), 1,
      sym_operator_name,
    STATE(6428), 1,
      sym__scope_resolution,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [262694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10182), 1,
      anon_sym_SEMI,
    ACTIONS(10184), 1,
      anon_sym_LBRACE,
    STATE(2726), 1,
      sym_compound_statement,
    STATE(2733), 1,
      sym_try_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8298), 1,
      aux_sym_declaration_repeat1,
    STATE(8301), 1,
      sym_gnu_asm_expression,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [262752] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    ACTIONS(10186), 1,
      anon_sym_SEMI,
    STATE(6202), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(9635), 1,
      sym_attribute_specifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10188), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6501), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10190), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6498), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262884] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    ACTIONS(10192), 1,
      anon_sym_SEMI,
    STATE(6206), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9519), 1,
      sym_attribute_specifier,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10194), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6403), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [262976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10196), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6405), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10198), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6575), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263056] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7701), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [263106] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7904), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [263156] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10200), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6566), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263196] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10202), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6505), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263236] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_SEMI,
    ACTIONS(10206), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_try,
    STATE(953), 1,
      sym_try_statement,
    STATE(954), 1,
      sym_compound_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8303), 1,
      sym_gnu_asm_expression,
    STATE(8401), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [263294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10210), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6408), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263334] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7827), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [263384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10212), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6409), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263424] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10214), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6568), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263464] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7848), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [263514] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7927), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [263564] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10216), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6569), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263604] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10218), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6571), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263644] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    ACTIONS(10220), 1,
      anon_sym_SEMI,
    STATE(6205), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(8829), 1,
      sym_attribute_specifier,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [263696] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10222), 1,
      anon_sym_SEMI,
    ACTIONS(10224), 1,
      anon_sym_LBRACE,
    STATE(2402), 1,
      sym_try_statement,
    STATE(2409), 1,
      sym_compound_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7946), 1,
      sym_gnu_asm_expression,
    STATE(7947), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [263754] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10226), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6410), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10228), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6578), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263834] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(10174), 1,
      anon_sym_TILDE,
    ACTIONS(10180), 1,
      anon_sym_operator,
    ACTIONS(10230), 1,
      sym_identifier,
    ACTIONS(10232), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10234), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(4123), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4141), 1,
      sym_destructor_name,
    STATE(4157), 1,
      sym_dependent_identifier,
    STATE(4165), 1,
      sym_qualified_identifier,
    STATE(4171), 1,
      sym_operator_name,
    STATE(6454), 1,
      sym__scope_resolution,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [263898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10236), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6547), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10238), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6593), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [263978] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7794), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10240), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6597), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10242), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6611), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10244), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6613), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264148] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10246), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6576), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264188] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7831), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264238] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7810), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264288] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7750), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264338] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7729), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8236), 1,
      anon_sym_STAR,
    ACTIONS(8238), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8240), 1,
      anon_sym_AMP,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7241), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [264432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10248), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6536), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6935), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [264500] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10250), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6614), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264540] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10252), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6623), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264580] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(10254), 1,
      sym_identifier,
    ACTIONS(10256), 1,
      anon_sym_TILDE,
    ACTIONS(10258), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10260), 1,
      anon_sym_template,
    ACTIONS(10262), 1,
      anon_sym_operator,
    STATE(3228), 1,
      sym_dependent_type_identifier,
    STATE(3230), 1,
      sym_template_type,
    STATE(3365), 1,
      sym_qualified_type_identifier,
    STATE(4201), 1,
      sym_pointer_type_declarator,
    STATE(4203), 1,
      sym_template_function,
    STATE(4206), 1,
      sym_destructor_name,
    STATE(4212), 1,
      sym_dependent_identifier,
    STATE(4220), 1,
      sym_qualified_identifier,
    STATE(4224), 1,
      sym_operator_name,
    STATE(6471), 1,
      sym__scope_resolution,
    STATE(8942), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [264644] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7895), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [264694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10264), 1,
      anon_sym_SEMI,
    ACTIONS(10266), 1,
      anon_sym_LBRACE,
    STATE(2149), 1,
      sym_compound_statement,
    STATE(2236), 1,
      sym_try_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8111), 1,
      aux_sym_declaration_repeat1,
    STATE(8112), 1,
      sym_gnu_asm_expression,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [264752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10268), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6412), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(5161), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10270), 1,
      sym_identifier,
    ACTIONS(10272), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6475), 1,
      sym__scope_resolution,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [264856] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(10274), 1,
      sym_identifier,
    ACTIONS(10276), 1,
      anon_sym_TILDE,
    ACTIONS(10278), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10280), 1,
      anon_sym_template,
    ACTIONS(10282), 1,
      anon_sym_operator,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(3819), 1,
      sym_qualified_identifier,
    STATE(3846), 1,
      sym_operator_name,
    STATE(3873), 1,
      sym_dependent_identifier,
    STATE(3875), 1,
      sym_destructor_name,
    STATE(3876), 1,
      sym_template_function,
    STATE(3877), 1,
      sym_pointer_type_declarator,
    STATE(6476), 1,
      sym__scope_resolution,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [264920] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10284), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6413), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [264960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10286), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6414), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [265000] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10288), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6600), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [265040] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10290), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [265090] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7934), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [265140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10292), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6480), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [265180] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10066), 1,
      sym_identifier,
    ACTIONS(10068), 1,
      anon_sym_LPAREN2,
    ACTIONS(10070), 1,
      anon_sym_defined,
    ACTIONS(10294), 1,
      sym_number_literal,
    ACTIONS(10072), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(10074), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10078), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6551), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [265220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10296), 1,
      anon_sym_SEMI,
    ACTIONS(10298), 1,
      anon_sym_LBRACE,
    ACTIONS(10300), 1,
      anon_sym_try,
    STATE(906), 1,
      sym_try_statement,
    STATE(907), 1,
      sym_compound_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8114), 1,
      sym_gnu_asm_expression,
    STATE(8115), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [265278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(10174), 1,
      anon_sym_TILDE,
    ACTIONS(10180), 1,
      anon_sym_operator,
    ACTIONS(10302), 1,
      sym_identifier,
    ACTIONS(10304), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10306), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(4123), 1,
      sym_pointer_type_declarator,
    STATE(4126), 1,
      sym_template_function,
    STATE(4141), 1,
      sym_destructor_name,
    STATE(4157), 1,
      sym_dependent_identifier,
    STATE(4165), 1,
      sym_qualified_identifier,
    STATE(4171), 1,
      sym_operator_name,
    STATE(6485), 1,
      sym__scope_resolution,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [265342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_LBRACK,
    STATE(5630), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6642), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9896), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10310), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10308), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265406] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7695), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [265456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(10256), 1,
      anon_sym_TILDE,
    ACTIONS(10262), 1,
      anon_sym_operator,
    ACTIONS(10312), 1,
      sym_identifier,
    ACTIONS(10314), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10316), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(4201), 1,
      sym_pointer_type_declarator,
    STATE(4203), 1,
      sym_template_function,
    STATE(4206), 1,
      sym_destructor_name,
    STATE(4212), 1,
      sym_dependent_identifier,
    STATE(4220), 1,
      sym_qualified_identifier,
    STATE(4224), 1,
      sym_operator_name,
    STATE(6489), 1,
      sym__scope_resolution,
    STATE(8942), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [265520] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(10276), 1,
      anon_sym_TILDE,
    ACTIONS(10282), 1,
      anon_sym_operator,
    ACTIONS(10318), 1,
      sym_identifier,
    ACTIONS(10320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10322), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3819), 1,
      sym_qualified_identifier,
    STATE(3846), 1,
      sym_operator_name,
    STATE(3873), 1,
      sym_dependent_identifier,
    STATE(3875), 1,
      sym_destructor_name,
    STATE(3876), 1,
      sym_template_function,
    STATE(3877), 1,
      sym_pointer_type_declarator,
    STATE(6490), 1,
      sym__scope_resolution,
    STATE(8838), 1,
      sym_ms_based_modifier,
    STATE(9640), 1,
      sym_decltype,
  [265584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9984), 1,
      anon_sym_LPAREN2,
    ACTIONS(9986), 1,
      anon_sym_defined,
    ACTIONS(10324), 1,
      sym_number_literal,
    ACTIONS(9988), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9990), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9994), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6418), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [265624] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10326), 1,
      anon_sym_SEMI,
    ACTIONS(10328), 1,
      anon_sym_try,
    STATE(1039), 1,
      sym_compound_statement,
    STATE(1044), 1,
      sym_try_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8313), 1,
      sym_gnu_asm_expression,
    STATE(8323), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [265682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10332), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10330), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10334), 1,
      anon_sym_SEMI,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_try,
    STATE(364), 1,
      sym_compound_statement,
    STATE(419), 1,
      sym_try_statement,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8199), 1,
      aux_sym_declaration_repeat1,
    STATE(8217), 1,
      sym_gnu_asm_expression,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [265768] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7304), 1,
      sym__type_declarator,
    STATE(7896), 1,
      sym__type_definition_declarators,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [265818] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_LF,
    ACTIONS(10166), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [265880] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10138), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [265911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6557), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [265950] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(6996), 1,
      sym_virtual,
    STATE(7175), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8131), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [266001] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10346), 1,
      anon_sym_LF,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6542), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266120] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7494), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [266167] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10368), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10372), 1,
      anon_sym_LBRACK,
    ACTIONS(10370), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266266] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [266305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6565), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [266344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10374), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [266371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6517), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [266410] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_LF,
    ACTIONS(10150), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [266437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_requires,
    STATE(6537), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [266476] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6581), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6586), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_requires,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5343), 1,
      anon_sym_LBRACK,
    ACTIONS(5345), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_requires,
    STATE(6537), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266717] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6617), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6517), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [266795] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_requires,
    STATE(6619), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7853), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10384), 1,
      anon_sym_requires,
    STATE(6620), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [266912] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10387), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [266957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(6989), 1,
      sym_virtual,
    STATE(7135), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(6500), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7956), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [267008] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10389), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6565), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [267092] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10160), 1,
      anon_sym_LF,
    ACTIONS(10162), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [267158] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7603), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(10000), 1,
      sym_identifier,
    ACTIONS(10002), 1,
      anon_sym_template,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6532), 1,
      sym__scope_resolution,
    STATE(9433), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 1,
      anon_sym_LBRACK,
    ACTIONS(5282), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267242] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7379), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [267289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5339), 1,
      anon_sym_LBRACK,
    ACTIONS(5341), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267316] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10391), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 1,
      anon_sym_requires,
    ACTIONS(10397), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [267396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9904), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6625), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267466] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6560), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267505] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10000), 1,
      sym_identifier,
    ACTIONS(10002), 1,
      anon_sym_template,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6541), 1,
      sym__scope_resolution,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [267562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10407), 1,
      anon_sym_LBRACK,
    ACTIONS(10409), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6544), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10405), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267657] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6607), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267696] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8384), 1,
      sym_primitive_type,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(8396), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8398), 1,
      anon_sym_AMP,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(7103), 1,
      sym__type_declarator,
    STATE(8967), 1,
      sym_ms_based_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [267743] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10412), 1,
      anon_sym_RPAREN,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267792] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_LF,
    ACTIONS(10332), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [267819] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8412), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_LPAREN2,
    ACTIONS(8416), 1,
      anon_sym_STAR,
    ACTIONS(8418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8420), 1,
      anon_sym_AMP,
    ACTIONS(8424), 1,
      sym_primitive_type,
    STATE(3437), 1,
      sym__type_declarator,
    STATE(3821), 1,
      sym_pointer_type_declarator,
    STATE(8838), 1,
      sym_ms_based_modifier,
    ACTIONS(8422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3825), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [267866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5304), 1,
      anon_sym_LBRACK,
    ACTIONS(5306), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [267893] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10414), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [267938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6625), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [267977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_LBRACK,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9896), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268008] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(6936), 1,
      sym_virtual,
    STATE(7186), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [268059] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(6904), 1,
      sym_virtual,
    STATE(7159), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(6554), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7888), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [268110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5331), 1,
      anon_sym_LBRACK,
    ACTIONS(5333), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [268172] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7484), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [268219] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_LF,
    ACTIONS(10100), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [268246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [268281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [268320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LBRACK,
    ACTIONS(10416), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10418), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6346), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5288), 1,
      anon_sym_LBRACK,
    ACTIONS(5290), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5321), 1,
      anon_sym_LBRACK,
    ACTIONS(5323), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [268440] = 7,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10138), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [268475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5347), 1,
      anon_sym_LBRACK,
    ACTIONS(5349), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268502] = 8,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(10138), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [268539] = 9,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10138), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [268578] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7147), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [268625] = 10,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10138), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [268666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5272), 1,
      anon_sym_LBRACK,
    ACTIONS(5274), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8282), 1,
      anon_sym_STAR,
    ACTIONS(8284), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8286), 1,
      anon_sym_AMP,
    ACTIONS(8290), 1,
      sym_primitive_type,
    STATE(2497), 1,
      sym__type_declarator,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(9250), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [268740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5335), 1,
      anon_sym_LBRACK,
    ACTIONS(5337), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268767] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10420), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [268812] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10054), 1,
      anon_sym_LF,
    ACTIONS(10056), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [268839] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7483), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [268886] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10422), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [268931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(10418), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5300), 1,
      anon_sym_LBRACK,
    ACTIONS(5302), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269022] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10012), 1,
      anon_sym_SLASH,
    ACTIONS(10014), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10016), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10018), 1,
      anon_sym_PIPE,
    ACTIONS(10020), 1,
      anon_sym_CARET,
    ACTIONS(10022), 1,
      anon_sym_AMP,
    ACTIONS(10424), 1,
      anon_sym_RPAREN,
    ACTIONS(10008), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10010), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(10024), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10026), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(10030), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [269071] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7480), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [269118] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10426), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6560), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269202] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [269237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6607), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269276] = 3,
    ACTIONS(6935), 1,
      anon_sym_LF,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(6933), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [269303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10430), 1,
      anon_sym_LBRACK,
    ACTIONS(10428), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7570), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8394), 1,
      anon_sym_STAR,
    ACTIONS(10432), 1,
      sym_identifier,
    ACTIONS(10434), 1,
      anon_sym_template,
    STATE(6590), 1,
      sym__scope_resolution,
    STATE(7099), 1,
      sym_pointer_type_declarator,
    STATE(7105), 1,
      sym_operator_name,
    STATE(7106), 1,
      sym_qualified_identifier,
    STATE(7111), 1,
      sym_template_function,
    STATE(7117), 1,
      sym_dependent_identifier,
    STATE(7124), 1,
      sym_destructor_name,
    STATE(8967), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [269387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5276), 1,
      anon_sym_LBRACK,
    ACTIONS(5278), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2212), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269441] = 11,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10138), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5284), 1,
      anon_sym_LBRACK,
    ACTIONS(5286), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_LBRACK,
    ACTIONS(2206), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LBRACK,
    ACTIONS(10403), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10436), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6346), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269569] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10138), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10440), 1,
      anon_sym_LPAREN2,
    ACTIONS(10442), 1,
      anon_sym_LBRACK,
    ACTIONS(10438), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10446), 1,
      anon_sym_LBRACK,
    STATE(6085), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10444), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269674] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10448), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269719] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10308), 1,
      anon_sym_LF,
    ACTIONS(10310), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [269746] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_STAR,
    ACTIONS(8438), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8440), 1,
      anon_sym_AMP,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7308), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8202), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [269789] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10450), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269834] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10452), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [269879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10456), 1,
      anon_sym_LBRACK,
    ACTIONS(10454), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269906] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8264), 1,
      sym_identifier,
    ACTIONS(8266), 1,
      anon_sym_LPAREN2,
    ACTIONS(8268), 1,
      anon_sym_STAR,
    ACTIONS(8270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8272), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      sym_primitive_type,
    STATE(3480), 1,
      sym__type_declarator,
    STATE(4158), 1,
      sym_pointer_type_declarator,
    STATE(8942), 1,
      sym_ms_based_modifier,
    ACTIONS(8274), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4166), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [269953] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [269988] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [270023] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10458), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [270068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10462), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6544), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10460), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270099] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10138), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [270126] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8372), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_LPAREN2,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(8378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8380), 1,
      anon_sym_AMP,
    ACTIONS(8384), 1,
      sym_primitive_type,
    STATE(6817), 1,
      sym__type_declarator,
    STATE(7073), 1,
      sym_pointer_type_declarator,
    STATE(9490), 1,
      sym_ms_based_modifier,
    ACTIONS(8382), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(7069), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [270173] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10138), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [270202] = 6,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10136), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10138), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [270235] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270270] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10464), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [270315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_requires,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10384), 1,
      anon_sym_requires,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(10466), 1,
      anon_sym_requires,
    ACTIONS(10397), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270455] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(7584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10469), 1,
      sym_identifier,
    ACTIONS(10471), 1,
      anon_sym_template,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6621), 1,
      sym__scope_resolution,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270512] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(10473), 1,
      sym_identifier,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      anon_sym_template,
    STATE(3234), 1,
      sym_pointer_type_declarator,
    STATE(3242), 1,
      sym_template_function,
    STATE(3248), 1,
      sym_destructor_name,
    STATE(3253), 1,
      sym_dependent_identifier,
    STATE(3255), 1,
      sym_qualified_identifier,
    STATE(3256), 1,
      sym_operator_name,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9275), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270569] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10479), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [270614] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8244), 1,
      sym_identifier,
    ACTIONS(8246), 1,
      anon_sym_LPAREN2,
    ACTIONS(8248), 1,
      anon_sym_STAR,
    ACTIONS(8250), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8252), 1,
      anon_sym_AMP,
    ACTIONS(8258), 1,
      sym_primitive_type,
    STATE(3161), 1,
      sym__type_declarator,
    STATE(3491), 1,
      sym_pointer_type_declarator,
    STATE(9322), 1,
      sym_ms_based_modifier,
    ACTIONS(8256), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3489), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [270661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [270696] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8430), 1,
      anon_sym_STAR,
    ACTIONS(8432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8434), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7490), 1,
      sym__type_declarator,
    STATE(9433), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [270743] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(3037), 1,
      anon_sym_TILDE,
    ACTIONS(6231), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8376), 1,
      anon_sym_STAR,
    ACTIONS(10432), 1,
      sym_identifier,
    ACTIONS(10434), 1,
      anon_sym_template,
    STATE(6627), 1,
      sym__scope_resolution,
    STATE(7099), 1,
      sym_pointer_type_declarator,
    STATE(7105), 1,
      sym_operator_name,
    STATE(7106), 1,
      sym_qualified_identifier,
    STATE(7111), 1,
      sym_template_function,
    STATE(7117), 1,
      sym_dependent_identifier,
    STATE(7124), 1,
      sym_destructor_name,
    STATE(9490), 1,
      sym_ms_based_modifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [270800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7874), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [270839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270874] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8278), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_LPAREN2,
    ACTIONS(8290), 1,
      sym_primitive_type,
    ACTIONS(8388), 1,
      anon_sym_STAR,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_AMP,
    STATE(2527), 1,
      sym_pointer_type_declarator,
    STATE(7450), 1,
      sym__type_declarator,
    STATE(9275), 1,
      sym_ms_based_modifier,
    ACTIONS(8288), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2601), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_reference_type_declarator,
  [270921] = 12,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10352), 1,
      anon_sym_PIPE,
    ACTIONS(10354), 1,
      anon_sym_CARET,
    ACTIONS(10356), 1,
      anon_sym_AMP,
    ACTIONS(10481), 1,
      anon_sym_LF,
    ACTIONS(10340), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10362), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10342), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10360), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [270966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10485), 1,
      anon_sym_LBRACK,
    ACTIONS(10483), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270993] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10168), 1,
      anon_sym_LF,
    ACTIONS(10170), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [271020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9630), 1,
      anon_sym_requires,
    STATE(6738), 1,
      sym_trailing_return_type,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271056] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10487), 1,
      anon_sym_SEMI,
    ACTIONS(10489), 1,
      anon_sym_COLON,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8024), 1,
      sym_gnu_asm_expression,
    STATE(8026), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [271108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_LBRACK,
    ACTIONS(10491), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6073), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271138] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9222), 1,
      anon_sym_requires,
    STATE(6753), 1,
      sym_trailing_return_type,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271174] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(10497), 1,
      anon_sym_requires,
    STATE(6770), 1,
      sym_trailing_return_type,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    STATE(6779), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9896), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10446), 1,
      anon_sym_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10444), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9904), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9323), 1,
      anon_sym_requires,
    STATE(6741), 1,
      sym_trailing_return_type,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    STATE(6744), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7964), 1,
      anon_sym_LPAREN2,
    ACTIONS(7978), 1,
      anon_sym_LBRACK,
    ACTIONS(8480), 1,
      anon_sym_STAR,
    ACTIONS(8482), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8484), 1,
      anon_sym_AMP,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6648), 1,
      sym__function_declarator_seq,
    STATE(7376), 1,
      sym__abstract_declarator,
    ACTIONS(8202), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6684), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    STATE(6765), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7642), 1,
      anon_sym_DASH_GT,
    ACTIONS(7650), 1,
      anon_sym_requires,
    STATE(6774), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [271522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10502), 1,
      anon_sym_LBRACK,
    ACTIONS(10500), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10506), 1,
      anon_sym_LBRACK,
    ACTIONS(10504), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10510), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5032), 1,
      sym_compound_statement,
    STATE(6688), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7754), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271646] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    ACTIONS(10518), 1,
      anon_sym_requires,
    STATE(4332), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6874), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7711), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10522), 1,
      anon_sym_LBRACK,
    ACTIONS(10520), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [271720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      sym_identifier,
    ACTIONS(5327), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6669), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271751] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5147), 1,
      sym_compound_statement,
    STATE(6723), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7929), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271800] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10152), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8349), 1,
      sym_gnu_asm_expression,
    STATE(8354), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [271849] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10532), 1,
      sym_identifier,
    ACTIONS(5311), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6657), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10535), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10538), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271880] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10487), 1,
      anon_sym_SEMI,
    ACTIONS(10541), 1,
      anon_sym_EQ,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8024), 1,
      sym_gnu_asm_expression,
    STATE(8026), 1,
      aux_sym_declaration_repeat1,
    STATE(8031), 1,
      sym_initializer_list,
    STATE(8496), 1,
      sym_argument_list,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [271931] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6660), 1,
      sym_template_parameter_list,
    STATE(6756), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7837), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271980] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6792), 1,
      sym_compound_statement,
    STATE(6808), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7811), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(4177), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6807), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7817), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5486), 1,
      anon_sym_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(4151), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272109] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6586), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6581), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272183] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6557), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272220] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10487), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8024), 1,
      sym_gnu_asm_expression,
    STATE(8026), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [272269] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7219), 1,
      sym__abstract_declarator,
    ACTIONS(8202), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272310] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7855), 1,
      anon_sym_requires,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6542), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10547), 1,
      sym_identifier,
    ACTIONS(5268), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6657), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272378] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4180), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6876), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7638), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10326), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8313), 1,
      sym_gnu_asm_expression,
    STATE(8323), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [272476] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4426), 1,
      sym_compound_statement,
    STATE(6691), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7684), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10555), 1,
      anon_sym_LBRACK,
    ACTIONS(10553), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9290), 1,
      anon_sym_requires,
    STATE(6617), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272587] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(6618), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9696), 1,
      anon_sym_requires,
    STATE(6619), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272661] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7870), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10384), 1,
      anon_sym_requires,
    STATE(6620), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [272698] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    STATE(2071), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6693), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7901), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [272747] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6560), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [272784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10559), 1,
      anon_sym_LBRACK,
    ACTIONS(10557), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272809] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10296), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8114), 1,
      sym_gnu_asm_expression,
    STATE(8115), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [272858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10563), 1,
      anon_sym_LBRACK,
    ACTIONS(10561), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10567), 1,
      anon_sym_LBRACK,
    ACTIONS(10565), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10571), 1,
      anon_sym_LBRACK,
    ACTIONS(10569), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5084), 1,
      anon_sym_COLON,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
    ACTIONS(5091), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [272964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10575), 1,
      anon_sym_LBRACK,
    ACTIONS(10573), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [272989] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4048), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6670), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7785), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273038] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    ACTIONS(10518), 1,
      anon_sym_requires,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5087), 1,
      sym_compound_statement,
    STATE(6837), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7731), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10579), 1,
      anon_sym_LBRACK,
    ACTIONS(10577), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    ACTIONS(10583), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(7737), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273147] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4421), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6840), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7872), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10585), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273221] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    STATE(2064), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6851), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7925), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2064), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6846), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7694), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273319] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(7412), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [273362] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6564), 1,
      sym_compound_statement,
    STATE(6830), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7791), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10595), 1,
      anon_sym_LBRACK,
    ACTIONS(10593), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273461] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2895), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6703), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7704), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273510] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9271), 1,
      anon_sym_requires,
    STATE(6503), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6625), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273584] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9337), 1,
      anon_sym_requires,
    STATE(6565), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273621] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2998), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6825), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7707), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273670] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    STATE(4198), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6652), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7920), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9310), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10381), 1,
      anon_sym_requires,
    STATE(6537), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273781] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(3965), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6661), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7814), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [273830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6607), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273867] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(7012), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [273910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(10599), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9684), 1,
      anon_sym_requires,
    STATE(6517), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [273972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10605), 1,
      anon_sym_LBRACK,
    ACTIONS(10603), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [273997] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_requires,
    ACTIONS(7841), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6497), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [274034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6694), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7820), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274083] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8682), 1,
      anon_sym_STAR,
    ACTIONS(8684), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8686), 1,
      anon_sym_AMP,
    STATE(6804), 1,
      sym__field_declarator,
    STATE(7183), 1,
      sym_operator_name,
    STATE(9536), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [274126] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6567), 1,
      sym_compound_statement,
    STATE(6696), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7738), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10609), 1,
      anon_sym_LBRACK,
    ACTIONS(10607), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9623), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274250] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8738), 1,
      anon_sym_STAR,
    ACTIONS(8740), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8742), 1,
      anon_sym_AMP,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7418), 1,
      sym__abstract_declarator,
    ACTIONS(8202), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274291] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(8680), 1,
      anon_sym_LPAREN2,
    ACTIONS(8730), 1,
      sym_identifier,
    ACTIONS(8732), 1,
      anon_sym_STAR,
    ACTIONS(8734), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8736), 1,
      anon_sym_AMP,
    STATE(7390), 1,
      sym__field_declarator,
    STATE(7542), 1,
      sym_operator_name,
    STATE(9384), 1,
      sym_ms_based_modifier,
    STATE(7251), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [274334] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10204), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8303), 1,
      sym_gnu_asm_expression,
    STATE(8401), 1,
      aux_sym_declaration_repeat1,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [274383] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5179), 1,
      sym_compound_statement,
    STATE(6833), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7838), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(10393), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274457] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    ACTIONS(10334), 1,
      anon_sym_SEMI,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8199), 1,
      aux_sym_declaration_repeat1,
    STATE(8217), 1,
      sym_gnu_asm_expression,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [274506] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10518), 1,
      anon_sym_requires,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3681), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6875), 1,
      sym_requires_clause,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7664), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274555] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10512), 1,
      anon_sym_LT,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3776), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6726), 1,
      sym_template_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7685), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274604] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7481), 1,
      sym__abstract_declarator,
    ACTIONS(8202), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [274644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(6986), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [274680] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10613), 1,
      sym_identifier,
    ACTIONS(10615), 1,
      sym_primitive_type,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(2354), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274720] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10617), 1,
      sym_identifier,
    ACTIONS(10619), 1,
      sym_primitive_type,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(5753), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [274806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10623), 1,
      sym_identifier,
    ACTIONS(10625), 1,
      sym_primitive_type,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(3414), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274870] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10627), 1,
      sym_identifier,
    ACTIONS(10629), 1,
      sym_primitive_type,
    STATE(2955), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(3600), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9344), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274910] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10617), 1,
      sym_identifier,
    ACTIONS(10619), 1,
      sym_primitive_type,
    STATE(5031), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(5753), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8004), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [274950] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10497), 1,
      anon_sym_requires,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [274980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(4109), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9630), 1,
      anon_sym_requires,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275056] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10631), 1,
      sym_identifier,
    ACTIONS(10633), 1,
      sym_primitive_type,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(3117), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10615), 1,
      sym_primitive_type,
    ACTIONS(10635), 1,
      sym_identifier,
    STATE(2324), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(2354), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2082), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(10637), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6374), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8916), 1,
      anon_sym_STAR,
    ACTIONS(8918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8920), 1,
      anon_sym_AMP,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7463), 1,
      sym__abstract_declarator,
    ACTIONS(8202), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [275232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9222), 1,
      anon_sym_requires,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(8047), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5169), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [275292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6773), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10460), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10639), 1,
      sym_identifier,
    ACTIONS(10641), 1,
      sym_primitive_type,
    STATE(4138), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(4643), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10631), 1,
      sym_identifier,
    ACTIONS(10633), 1,
      sym_primitive_type,
    STATE(3151), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(3117), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9323), 1,
      anon_sym_requires,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275450] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(6942), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [275486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10621), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10643), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6346), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5349), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275534] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10645), 1,
      anon_sym_requires,
    STATE(6943), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [275570] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10174), 1,
      anon_sym_TILDE,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10650), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10655), 1,
      anon_sym_template,
    STATE(7093), 1,
      sym__scope_resolution,
    STATE(8565), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4181), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [275612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5306), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10657), 1,
      sym_identifier,
    ACTIONS(10659), 1,
      sym_primitive_type,
    STATE(5441), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(5881), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8095), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275718] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10625), 1,
      sym_primitive_type,
    ACTIONS(10661), 1,
      sym_identifier,
    STATE(2886), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(3414), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3421), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5286), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10663), 1,
      sym_identifier,
    ACTIONS(10665), 1,
      sym_primitive_type,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(3117), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275850] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10667), 1,
      sym_identifier,
    ACTIONS(10669), 1,
      sym_primitive_type,
    STATE(6071), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(2354), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(8033), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [275890] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(10116), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10124), 1,
      anon_sym_EQ,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(8581), 1,
      sym_gnu_asm_expression,
    ACTIONS(10126), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8496), 2,
      sym_argument_list,
      sym_initializer_list,
  [275934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [275956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10676), 1,
      anon_sym_requires,
    ACTIONS(10673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5290), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10679), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6773), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10405), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [276086] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10682), 1,
      sym_identifier,
    ACTIONS(10684), 1,
      sym_primitive_type,
    STATE(3053), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(3946), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9473), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(5093), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5086), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276156] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10663), 1,
      sym_identifier,
    ACTIONS(10665), 1,
      sym_primitive_type,
    STATE(3951), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(3117), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(4025), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5302), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [276248] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(6983), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [276284] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10686), 1,
      sym_identifier,
    ACTIONS(10688), 1,
      sym_primitive_type,
    STATE(2604), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(3179), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276324] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10690), 1,
      sym_identifier,
    ACTIONS(10692), 1,
      sym_primitive_type,
    STATE(2499), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(2575), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9461), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_requires,
    STATE(6953), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [276422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [276452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276474] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10694), 1,
      sym_identifier,
    ACTIONS(10696), 1,
      sym_primitive_type,
    STATE(2888), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(3420), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9397), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(6981), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [276550] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10698), 1,
      sym_identifier,
    ACTIONS(10700), 1,
      sym_primitive_type,
    STATE(4357), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(4811), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9441), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276590] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_requires,
    STATE(6973), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [276626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10702), 1,
      sym_identifier,
    ACTIONS(10704), 1,
      sym_primitive_type,
    STATE(2505), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(2575), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9419), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [276666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5323), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5333), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [276732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7882), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9553), 1,
      anon_sym_requires,
    STATE(6954), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [276768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [276797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(6963), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5926), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8041), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [276859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6516), 1,
      anon_sym_LBRACK,
    ACTIONS(6518), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [276882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10046), 1,
      anon_sym_TILDE,
    ACTIONS(10712), 1,
      sym_identifier,
    ACTIONS(10714), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10716), 1,
      anon_sym_template,
    STATE(7028), 1,
      sym__scope_resolution,
    STATE(8695), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2992), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [276921] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10720), 1,
      anon_sym___attribute__,
    ACTIONS(10725), 1,
      anon_sym_alignas,
    ACTIONS(10723), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6801), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10718), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [276950] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10046), 1,
      anon_sym_TILDE,
    ACTIONS(10712), 1,
      sym_identifier,
    ACTIONS(10728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10730), 1,
      anon_sym_template,
    STATE(7083), 1,
      sym__scope_resolution,
    STATE(8661), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(2992), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [276989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8391), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277020] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(9795), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      anon_sym_EQ,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(8062), 1,
      sym_initializer_list,
    STATE(8065), 1,
      sym_bitfield_clause,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10732), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [277063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8011), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(6384), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277121] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7734), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277164] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6771), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7808), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277207] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10104), 1,
      anon_sym_TILDE,
    ACTIONS(10736), 1,
      sym_identifier,
    ACTIONS(10738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10740), 1,
      anon_sym_template,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(8460), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(3729), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8223), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277451] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(6963), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10174), 1,
      anon_sym_TILDE,
    ACTIONS(10648), 1,
      sym_identifier,
    ACTIONS(10653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10655), 1,
      anon_sym_template,
    STATE(7093), 1,
      sym__scope_resolution,
    STATE(8565), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4181), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8233), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [277639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8309), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(7972), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277701] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2979), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7756), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8241), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(7980), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    STATE(6893), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [277839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6071), 1,
      anon_sym_LBRACK,
    ACTIONS(10756), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6073), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [277866] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6563), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7821), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [277909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8318), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [277940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10256), 1,
      anon_sym_TILDE,
    ACTIONS(10759), 1,
      sym_identifier,
    ACTIONS(10761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10763), 1,
      anon_sym_template,
    STATE(7120), 1,
      sym__scope_resolution,
    STATE(8782), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(4207), 4,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
      sym_qualified_field_identifier,
  [277979] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5170), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7778), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278022] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8089), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278053] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8363), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 1,
      anon_sym_LBRACK,
    ACTIONS(6374), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [278107] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(5133), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7726), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(6963), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5964), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [278181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(6963), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [278212] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(4430), 1,
      sym_compound_statement,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7784), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    STATE(6903), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [278288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6977), 1,
      sym_trailing_return_type,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [278321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(7000), 1,
      sym_trailing_return_type,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [278354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8085), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278385] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8281), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278416] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7645), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(10767), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10769), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10771), 1,
      aux_sym_preproc_elif_token1,
    STATE(7220), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7221), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7485), 1,
      sym_enumerator,
    ACTIONS(10773), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8853), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
    STATE(8862), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [278527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [278556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [278585] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(2059), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(7936), 1,
      sym_abstract_function_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [278628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(6963), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6016), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [278659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8078), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278690] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8158), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [278721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278750] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [278837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [278866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(6934), 1,
      sym_trailing_return_type,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [278899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    STATE(6974), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [278932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [278961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [278990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4347), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [279019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8121), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279108] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(7896), 1,
      anon_sym_requires,
    STATE(6959), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [279141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4373), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8381), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(6872), 1,
      sym_string_literal,
    STATE(7158), 1,
      sym_raw_string_literal,
    STATE(8220), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5451), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279259] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7894), 1,
      anon_sym_DASH_GT,
    ACTIONS(10775), 1,
      anon_sym_requires,
    STATE(6940), 1,
      sym_trailing_return_type,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [279292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    STATE(4287), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7705), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [279335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3663), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7662), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [279378] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4034), 1,
      sym_compound_statement,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7716), 1,
      sym_abstract_function_declarator,
    STATE(7783), 1,
      sym__abstract_declarator,
    STATE(6990), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [279421] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3382), 1,
      sym_enumerator_list,
    STATE(7352), 1,
      sym__scope_resolution,
    ACTIONS(10778), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3092), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9009), 1,
      sym_concatenated_string,
    STATE(7084), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279489] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3917), 1,
      sym_enumerator_list,
    STATE(7330), 1,
      sym__scope_resolution,
    ACTIONS(10780), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4925), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10782), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [279561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10784), 1,
      anon_sym_SEMI,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10790), 1,
      anon_sym_try,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(8715), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1061), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [279599] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10792), 1,
      anon_sym_SEMI,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_EQ,
    ACTIONS(10798), 1,
      anon_sym_try,
    STATE(2761), 1,
      sym_compound_statement,
    STATE(8722), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2765), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [279637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10364), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279657] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10800), 1,
      anon_sym_SEMI,
    ACTIONS(10802), 1,
      anon_sym_EQ,
    ACTIONS(10804), 1,
      anon_sym_try,
    STATE(984), 1,
      sym_compound_statement,
    STATE(8744), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(983), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [279695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10603), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279715] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(4588), 1,
      sym_enumerator_list,
    STATE(7341), 1,
      sym__scope_resolution,
    ACTIONS(10806), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5453), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279755] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(4588), 1,
      sym_enumerator_list,
    STATE(7368), 1,
      sym__scope_resolution,
    ACTIONS(10808), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4754), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279795] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10810), 1,
      anon_sym_SEMI,
    ACTIONS(10812), 1,
      anon_sym_EQ,
    ACTIONS(10814), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_compound_statement,
    STATE(8567), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(414), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [279833] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_enumerator_list,
    STATE(7337), 1,
      sym__scope_resolution,
    ACTIONS(10816), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2738), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 1,
      sym_identifier,
    ACTIONS(5378), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [279895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [279971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10520), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [279991] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10820), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280023] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5787), 1,
      sym_enumerator_list,
    STATE(7358), 1,
      sym__scope_resolution,
    ACTIONS(10822), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5616), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280063] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4562), 1,
      sym_enumerator_list,
    STATE(7364), 1,
      sym__scope_resolution,
    ACTIONS(10824), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4340), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10826), 1,
      anon_sym_SEMI,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(560), 1,
      sym_compound_statement,
    STATE(8447), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(577), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9310), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5662), 1,
      sym_enumerator_list,
    STATE(7368), 1,
      sym__scope_resolution,
    ACTIONS(10832), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(6052), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [280285] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7303), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [280323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10504), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280343] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    STATE(2695), 1,
      sym_compound_statement,
    STATE(8713), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2696), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280381] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10842), 1,
      anon_sym_SEMI,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_EQ,
    ACTIONS(10848), 1,
      anon_sym_try,
    STATE(2446), 1,
      sym_compound_statement,
    STATE(8583), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2444), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10790), 1,
      anon_sym_try,
    ACTIONS(10850), 1,
      anon_sym_SEMI,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(8606), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1096), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(8830), 1,
      sym_concatenated_string,
    STATE(7116), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [280485] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10852), 1,
      anon_sym_SEMI,
    ACTIONS(10854), 1,
      anon_sym_EQ,
    ACTIONS(10856), 1,
      anon_sym_try,
    STATE(956), 1,
      sym_compound_statement,
    STATE(8566), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(952), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280523] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4749), 1,
      sym_enumerator_list,
    STATE(7365), 1,
      sym__scope_resolution,
    ACTIONS(10858), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4496), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280563] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3144), 1,
      sym_enumerator_list,
    STATE(7370), 1,
      sym__scope_resolution,
    ACTIONS(10860), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2957), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(8933), 1,
      sym_concatenated_string,
    STATE(7042), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [280631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [280659] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5662), 1,
      sym_enumerator_list,
    STATE(7341), 1,
      sym__scope_resolution,
    ACTIONS(10862), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5591), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10864), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [280731] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10866), 1,
      anon_sym_SEMI,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    ACTIONS(10870), 1,
      anon_sym_EQ,
    ACTIONS(10872), 1,
      anon_sym_try,
    STATE(2231), 1,
      sym_compound_statement,
    STATE(8490), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2230), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280769] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10854), 1,
      anon_sym_EQ,
    ACTIONS(10856), 1,
      anon_sym_try,
    ACTIONS(10874), 1,
      anon_sym_SEMI,
    STATE(991), 1,
      sym_compound_statement,
    STATE(8725), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(969), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [280807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10782), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [280839] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10876), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [280871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3917), 1,
      sym_enumerator_list,
    STATE(7340), 1,
      sym__scope_resolution,
    ACTIONS(10878), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4363), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [280911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10607), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [280987] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    ACTIONS(10796), 1,
      anon_sym_EQ,
    ACTIONS(10798), 1,
      anon_sym_try,
    ACTIONS(10880), 1,
      anon_sym_SEMI,
    STATE(2713), 1,
      sym_compound_statement,
    STATE(8785), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2712), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [281025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3254), 1,
      sym_enumerator_list,
    STATE(7350), 1,
      sym__scope_resolution,
    ACTIONS(10882), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3062), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [281065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9215), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281085] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10884), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [281117] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10886), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [281149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281225] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10864), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [281257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10775), 1,
      anon_sym_requires,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [281285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(10888), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [281309] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7314), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [281347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10890), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10892), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6346), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9063), 1,
      sym_concatenated_string,
    STATE(7122), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [281399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5136), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5138), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5131), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [281423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10894), 1,
      anon_sym_requires,
    ACTIONS(10673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [281451] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3917), 1,
      sym_enumerator_list,
    STATE(7357), 1,
      sym__scope_resolution,
    ACTIONS(10897), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4084), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [281491] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [281521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(10899), 1,
      anon_sym_requires,
    ACTIONS(10397), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [281551] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_COLON,
    ACTIONS(9225), 1,
      anon_sym_STAR,
    ACTIONS(9227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9229), 1,
      anon_sym_AMP,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7595), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [281589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10393), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10902), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [281641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LBRACK,
    ACTIONS(10888), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10904), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6346), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [281667] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(6124), 1,
      sym_enumerator_list,
    STATE(7322), 1,
      sym__scope_resolution,
    ACTIONS(10906), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5816), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [281707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10561), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10565), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9107), 1,
      sym_concatenated_string,
    STATE(7051), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [281775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5368), 1,
      sym_identifier,
    ACTIONS(5370), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [281797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10645), 1,
      anon_sym_requires,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [281827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_requires,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [281857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(10908), 1,
      anon_sym_requires,
    STATE(7171), 1,
      sym_trailing_return_type,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [281889] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    ACTIONS(10870), 1,
      anon_sym_EQ,
    ACTIONS(10872), 1,
      anon_sym_try,
    ACTIONS(10911), 1,
      anon_sym_SEMI,
    STATE(2273), 1,
      sym_compound_statement,
    STATE(8470), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2272), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [281927] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9782), 1,
      anon_sym_requires,
    STATE(7169), 1,
      sym_trailing_return_type,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [281959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9623), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [281979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [282007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9314), 1,
      anon_sym_requires,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [282035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282065] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10812), 1,
      anon_sym_EQ,
    ACTIONS(10814), 1,
      anon_sym_try,
    ACTIONS(10913), 1,
      anon_sym_SEMI,
    STATE(429), 1,
      sym_compound_statement,
    STATE(8534), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(430), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [282103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6041), 1,
      anon_sym_LBRACK,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6043), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [282129] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(3041), 1,
      sym_enumerator_list,
    STATE(7320), 1,
      sym__scope_resolution,
    ACTIONS(10915), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5770), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282169] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3620), 1,
      sym_enumerator_list,
    STATE(7326), 1,
      sym__scope_resolution,
    ACTIONS(10917), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3241), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4343), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10886), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [282241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9150), 1,
      sym_concatenated_string,
    STATE(7113), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282269] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_EQ,
    ACTIONS(10848), 1,
      anon_sym_try,
    ACTIONS(10919), 1,
      anon_sym_SEMI,
    STATE(2377), 1,
      sym_compound_statement,
    STATE(8611), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2374), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [282307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10884), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [282339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10921), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [282371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9267), 1,
      sym_concatenated_string,
    STATE(7020), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9187), 1,
      sym_concatenated_string,
    STATE(7102), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9553), 1,
      anon_sym_requires,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282457] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [282485] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    ACTIONS(10923), 1,
      anon_sym_SEMI,
    STATE(601), 1,
      sym_compound_statement,
    STATE(8589), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(602), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [282523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9620), 1,
      anon_sym_requires,
    STATE(7167), 1,
      sym_trailing_return_type,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [282555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9568), 1,
      anon_sym_requires,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [282583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10925), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [282615] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(9390), 1,
      anon_sym_requires,
    STATE(7141), 1,
      sym_trailing_return_type,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [282647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4101), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [282675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282705] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(3041), 1,
      sym_enumerator_list,
    STATE(7327), 1,
      sym__scope_resolution,
    ACTIONS(10927), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4494), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [282745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9317), 1,
      anon_sym_requires,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4371), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10902), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [282837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7903), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10593), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [282887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [282907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7299), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8131), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [282945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10569), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [282965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5380), 1,
      sym_identifier,
    ACTIONS(5382), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [282987] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3356), 1,
      sym_enumerator_list,
    STATE(7343), 1,
      sym__scope_resolution,
    ACTIONS(10929), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4725), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [283027] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3356), 1,
      sym_enumerator_list,
    STATE(7339), 1,
      sym__scope_resolution,
    ACTIONS(10931), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5773), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [283067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10935), 1,
      anon_sym_LBRACK,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10933), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10892), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [283115] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7288), 1,
      sym_access_specifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8016), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10344), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [283153] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    ACTIONS(10838), 1,
      anon_sym_EQ,
    ACTIONS(10840), 1,
      anon_sym_try,
    ACTIONS(10937), 1,
      anon_sym_SEMI,
    STATE(2686), 1,
      sym_compound_statement,
    STATE(8679), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2676), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [283191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    STATE(7168), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [283223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10573), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [283243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      anon_sym_requires,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [283271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    STATE(7166), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [283303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10577), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [283323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    STATE(7164), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [283355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10599), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [283375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7927), 1,
      anon_sym_DASH_GT,
    ACTIONS(7929), 1,
      anon_sym_requires,
    STATE(7160), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [283407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10581), 1,
      sym_identifier,
    STATE(9335), 1,
      sym_concatenated_string,
    STATE(7090), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [283435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10508), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [283455] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2471), 1,
      sym_enumerator_list,
    STATE(7337), 1,
      sym__scope_resolution,
    ACTIONS(10939), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3001), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [283495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 1,
      sym_identifier,
    ACTIONS(5374), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [283517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10553), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [283537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10802), 1,
      anon_sym_EQ,
    ACTIONS(10804), 1,
      anon_sym_try,
    ACTIONS(10941), 1,
      anon_sym_SEMI,
    STATE(947), 1,
      sym_compound_statement,
    STATE(8748), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(946), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [283575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    STATE(4191), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7155), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10943), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [283607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10951), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8529), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9407), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7057), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACK,
    ACTIONS(6063), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283661] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10802), 1,
      anon_sym_EQ,
    ACTIONS(10804), 1,
      anon_sym_try,
    STATE(984), 1,
      sym_compound_statement,
    STATE(8744), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(983), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [283696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10953), 1,
      anon_sym_requires,
    STATE(7240), 1,
      sym_trailing_return_type,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [283729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [283756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [283783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10958), 1,
      anon_sym_LBRACK,
    ACTIONS(10956), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [283804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10960), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [283829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9891), 1,
      anon_sym_requires,
    STATE(7243), 1,
      sym_trailing_return_type,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [283862] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(560), 1,
      sym_compound_statement,
    STATE(8447), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(577), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [283897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9687), 1,
      anon_sym_requires,
    STATE(7250), 1,
      sym_trailing_return_type,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [283930] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10812), 1,
      anon_sym_EQ,
    ACTIONS(10814), 1,
      anon_sym_try,
    STATE(429), 1,
      sym_compound_statement,
    STATE(8534), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(430), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [283965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10962), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8480), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9545), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7037), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [283998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [284025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10714), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10716), 1,
      anon_sym_template,
    ACTIONS(10964), 1,
      sym_identifier,
    STATE(2869), 1,
      sym_qualified_field_identifier,
    STATE(2870), 1,
      sym_dependent_field_identifier,
    STATE(2871), 1,
      sym_template_method,
    STATE(7028), 1,
      sym__scope_resolution,
    STATE(8695), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [284091] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10854), 1,
      anon_sym_EQ,
    ACTIONS(10856), 1,
      anon_sym_try,
    STATE(991), 1,
      sym_compound_statement,
    STATE(8725), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(969), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [284126] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9559), 1,
      anon_sym_requires,
    STATE(7259), 1,
      sym_trailing_return_type,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    STATE(7232), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10966), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8551), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9386), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284225] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10968), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8522), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9426), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7114), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10970), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8557), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9367), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7054), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284291] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10790), 1,
      anon_sym_try,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(8715), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1061), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [284326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284353] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10972), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8501), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9475), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    STATE(7249), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_LBRACK,
    ACTIONS(6626), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10974), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [284519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [284600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10978), 1,
      anon_sym_LBRACK,
    ACTIONS(10976), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284621] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    STATE(7256), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284654] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10980), 1,
      sym_identifier,
    ACTIONS(10982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10984), 1,
      anon_sym_template,
    STATE(2869), 1,
      sym_qualified_field_identifier,
    STATE(2870), 1,
      sym_dependent_field_identifier,
    STATE(2871), 1,
      sym_template_method,
    STATE(7048), 1,
      sym__scope_resolution,
    STATE(8427), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [284693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(5169), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10790), 1,
      anon_sym_try,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(8606), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1096), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [284749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [284774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10988), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8578), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9330), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8113), 1,
      anon_sym_DASH_GT,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    STATE(7275), 1,
      sym_trailing_return_type,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [284840] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8479), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9726), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284900] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4378), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [284927] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10992), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8577), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9326), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [284960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10996), 1,
      anon_sym_LBRACK,
    ACTIONS(10994), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [284981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_LBRACK,
    ACTIONS(6136), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_LBRACK,
    ACTIONS(6130), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285023] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10998), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8602), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9278), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7064), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285056] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11000), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8590), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9315), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7052), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11004), 1,
      anon_sym_LBRACK,
    ACTIONS(11002), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11006), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8612), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9251), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285143] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11008), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8793), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8817), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6155), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6037), 1,
      anon_sym_LBRACK,
    ACTIONS(6039), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11010), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8745), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8901), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7065), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6163), 1,
      anon_sym_LBRACK,
    ACTIONS(6165), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 1,
      anon_sym_LBRACK,
    ACTIONS(6126), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_LBRACK,
    ACTIONS(11012), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6053), 1,
      anon_sym_LBRACK,
    ACTIONS(6055), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6065), 1,
      anon_sym_LBRACK,
    ACTIONS(6067), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10738), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10740), 1,
      anon_sym_template,
    ACTIONS(11016), 1,
      sym_identifier,
    STATE(3780), 1,
      sym_qualified_field_identifier,
    STATE(3786), 1,
      sym_dependent_field_identifier,
    STATE(3793), 1,
      sym_template_method,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(8460), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [285395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    ACTIONS(8519), 1,
      anon_sym_STAR,
    ACTIONS(8521), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8523), 1,
      anon_sym_AMP,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7406), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [285430] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7604), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [285465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11018), 1,
      sym_identifier,
    STATE(7048), 1,
      sym__scope_resolution,
    STATE(8427), 1,
      sym_operator_name,
    STATE(8542), 1,
      sym_field_initializer,
    STATE(7908), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [285529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6057), 1,
      anon_sym_LBRACK,
    ACTIONS(6059), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11022), 1,
      anon_sym_LBRACK,
    ACTIONS(11020), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACK,
    ACTIONS(5513), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11026), 1,
      anon_sym_LBRACK,
    ACTIONS(11024), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [285613] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10728), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10730), 1,
      anon_sym_template,
    ACTIONS(10964), 1,
      sym_identifier,
    STATE(2869), 1,
      sym_qualified_field_identifier,
    STATE(2870), 1,
      sym_dependent_field_identifier,
    STATE(2871), 1,
      sym_template_method,
    STATE(7083), 1,
      sym__scope_resolution,
    STATE(8661), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [285652] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [285677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10854), 1,
      anon_sym_EQ,
    ACTIONS(10856), 1,
      anon_sym_try,
    STATE(956), 1,
      sym_compound_statement,
    STATE(8566), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(952), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [285712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11030), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8554), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9374), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11032), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8731), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8947), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7032), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [285805] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10828), 1,
      anon_sym_EQ,
    ACTIONS(10830), 1,
      anon_sym_try,
    STATE(601), 1,
      sym_compound_statement,
    STATE(8589), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(602), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [285840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11034), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [285865] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11036), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8752), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9019), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7098), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [285898] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10812), 1,
      anon_sym_EQ,
    ACTIONS(10814), 1,
      anon_sym_try,
    STATE(415), 1,
      sym_compound_statement,
    STATE(8567), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(414), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [285933] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10653), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10655), 1,
      anon_sym_template,
    ACTIONS(11038), 1,
      sym_identifier,
    STATE(4068), 1,
      sym_qualified_field_identifier,
    STATE(4072), 1,
      sym_dependent_field_identifier,
    STATE(4073), 1,
      sym_template_method,
    STATE(7093), 1,
      sym__scope_resolution,
    STATE(8565), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [285972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(7134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(7134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6016), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11040), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286051] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10982), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11018), 1,
      sym_identifier,
    STATE(7048), 1,
      sym__scope_resolution,
    STATE(8389), 1,
      sym_field_initializer,
    STATE(8427), 1,
      sym_operator_name,
    STATE(7908), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [286088] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11044), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8721), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8958), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(7134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5964), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286171] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11046), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8667), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9020), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [286229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(7134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286258] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5145), 1,
      anon_sym_LPAREN2,
    ACTIONS(5147), 1,
      anon_sym_STAR,
    ACTIONS(5149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5151), 1,
      anon_sym_AMP,
    ACTIONS(8075), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6988), 1,
      sym__function_declarator_seq,
    STATE(7565), 1,
      sym__abstract_declarator,
    STATE(6990), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [286293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10710), 1,
      anon_sym_LBRACK,
    STATE(7121), 1,
      sym_parameter_list,
    STATE(7134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5926), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [286364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [286391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4379), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [286418] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    ACTIONS(10802), 1,
      anon_sym_EQ,
    ACTIONS(10804), 1,
      anon_sym_try,
    STATE(947), 1,
      sym_compound_statement,
    STATE(8748), 1,
      sym_field_initializer_list,
    ACTIONS(5169), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(946), 4,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
      sym_pure_virtual_clause,
  [286453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286474] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11050), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8789), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8819), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7115), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11052), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [286532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11054), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8421), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9746), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11056), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8779), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(8856), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11058), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [286623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11060), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8636), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9165), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7086), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11064), 1,
      anon_sym_LBRACK,
    ACTIONS(11062), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286698] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10761), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10763), 1,
      anon_sym_template,
    ACTIONS(11066), 1,
      sym_identifier,
    STATE(4312), 1,
      sym_template_method,
    STATE(4314), 1,
      sym_dependent_field_identifier,
    STATE(4322), 1,
      sym_qualified_field_identifier,
    STATE(7120), 1,
      sym__scope_resolution,
    STATE(8782), 1,
      sym_operator_name,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [286737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      anon_sym_LBRACK,
    ACTIONS(6122), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_RPAREN,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [286783] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      sym_preproc_directive,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(10947), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11070), 1,
      anon_sym_RBRACE,
    ACTIONS(10949), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8699), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(9157), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7101), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [286816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(5086), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [286837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [286863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6881), 1,
      anon_sym_LBRACE,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9612), 1,
      sym_identifier,
    STATE(3262), 1,
      sym_template_type,
    STATE(3778), 1,
      sym_enumerator_list,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(3249), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5926), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [286927] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6707), 1,
      anon_sym_LBRACE,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9583), 1,
      sym_identifier,
    STATE(3073), 1,
      sym_template_type,
    STATE(3351), 1,
      sym_enumerator_list,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(3076), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [286963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5964), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [286991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9614), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3316), 1,
      sym_enumerator_list,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(4726), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10935), 1,
      anon_sym_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10933), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [287077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5944), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [287105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_LBRACK,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6043), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [287129] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7299), 1,
      sym_virtual,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8131), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287165] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9575), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(6116), 1,
      sym_enumerator_list,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(5771), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287201] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6829), 1,
      anon_sym_LBRACE,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9618), 1,
      sym_identifier,
    STATE(3205), 1,
      sym_template_type,
    STATE(3316), 1,
      sym_enumerator_list,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(5777), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287237] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_enumerator_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(4743), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11072), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11074), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6346), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [287295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9568), 1,
      anon_sym_requires,
    STATE(7000), 1,
      sym_trailing_return_type,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9620), 1,
      anon_sym_requires,
    ACTIONS(9320), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [287351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9577), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_enumerator_list,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(4156), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9769), 1,
      anon_sym_requires,
    STATE(6934), 1,
      sym_trailing_return_type,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6020), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [287523] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(6903), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(6974), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(6893), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287613] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_requires,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    STATE(6959), 1,
      sym_trailing_return_type,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [287643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [287669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7944), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7946), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
  [287689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287715] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11076), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [287739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11074), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [287759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [287785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6654), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10526), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10528), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [287807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7303), 1,
      sym_virtual,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7843), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6958), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [287869] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9579), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_enumerator_list,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(4337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287905] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(9577), 1,
      sym_identifier,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    STATE(2823), 1,
      sym_template_type,
    STATE(3885), 1,
      sym_enumerator_list,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(4929), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5659), 1,
      sym_enumerator_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(5587), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [287977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10902), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [288033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9782), 1,
      anon_sym_requires,
    ACTIONS(9627), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6883), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7929), 1,
      anon_sym_requires,
    ACTIONS(7644), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10908), 1,
      anon_sym_requires,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(10775), 1,
      anon_sym_requires,
    STATE(6940), 1,
      sym_trailing_return_type,
    ACTIONS(10494), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6945), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [288167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11080), 1,
      anon_sym_requires,
    ACTIONS(10673), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6987), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6016), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [288221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10884), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [288251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4399), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [288277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7288), 1,
      sym_virtual,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8016), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288313] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      anon_sym_LBRACE,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9600), 1,
      sym_identifier,
    STATE(4348), 1,
      sym_template_type,
    STATE(4571), 1,
      sym_enumerator_list,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(4346), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288349] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10886), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [288379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10782), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [288409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_LBRACK,
    STATE(7200), 1,
      sym_template_argument_list,
    ACTIONS(11083), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6757), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9610), 1,
      sym_identifier,
    STATE(3112), 1,
      sym_template_type,
    STATE(3389), 1,
      sym_enumerator_list,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(3148), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288469] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9293), 1,
      anon_sym_LBRACE,
    ACTIONS(9602), 1,
      sym_identifier,
    STATE(5595), 1,
      sym_template_type,
    STATE(5774), 1,
      sym_enumerator_list,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(5629), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9585), 1,
      sym_identifier,
    STATE(4504), 1,
      sym_template_type,
    STATE(4697), 1,
      sym_enumerator_list,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(4534), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11085), 1,
      anon_sym_LT,
    ACTIONS(11091), 1,
      anon_sym_LBRACK,
    STATE(7255), 1,
      sym_template_argument_list,
    ACTIONS(11089), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [288565] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7157), 1,
      anon_sym_LBRACE,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9571), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(4561), 1,
      sym_enumerator_list,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(5454), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9604), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(3034), 1,
      sym_enumerator_list,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(4509), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288637] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5443), 1,
      anon_sym_virtual,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7314), 1,
      sym_virtual,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288673] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6506), 1,
      anon_sym_LBRACE,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9606), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_template_type,
    STATE(3034), 1,
      sym_enumerator_list,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(5805), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288709] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2408), 1,
      sym_enumerator_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(2936), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10864), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [288775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5818), 1,
      anon_sym_LBRACE,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9573), 1,
      sym_identifier,
    STATE(2282), 1,
      sym_template_type,
    STATE(2408), 1,
      sym_enumerator_list,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(2737), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288811] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8027), 1,
      anon_sym_DASH_GT,
    ACTIONS(9314), 1,
      anon_sym_requires,
    STATE(6977), 1,
      sym_trailing_return_type,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [288841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9390), 1,
      anon_sym_requires,
    ACTIONS(9219), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6749), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6901), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [288867] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(6556), 1,
      anon_sym_LBRACE,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9581), 1,
      sym_identifier,
    STATE(3000), 1,
      sym_template_type,
    STATE(3106), 1,
      sym_enumerator_list,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(2967), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288903] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9254), 1,
      anon_sym_LBRACE,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(5659), 1,
      sym_enumerator_list,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(6053), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [288939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10884), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [288968] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2406), 1,
      sym_compound_statement,
    STATE(2407), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11093), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_qualified_identifier,
    ACTIONS(11095), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10208), 1,
      anon_sym_try,
    STATE(1004), 1,
      sym_compound_statement,
    STATE(1005), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11099), 1,
      anon_sym_LBRACK,
    ACTIONS(11097), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6188), 1,
      anon_sym_LBRACK,
    ACTIONS(6190), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11103), 1,
      anon_sym_LBRACK,
    ACTIONS(11101), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289151] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10328), 1,
      anon_sym_try,
    STATE(1048), 1,
      sym_try_statement,
    STATE(1049), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6041), 1,
      anon_sym_LBRACK,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6043), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [289209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 1,
      anon_sym_LBRACK,
    ACTIONS(11105), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289228] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2382), 1,
      sym_compound_statement,
    STATE(2385), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289263] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11109), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9284), 1,
      sym_qualified_identifier,
    ACTIONS(11111), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289294] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11115), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11117), 1,
      aux_sym_preproc_elif_token1,
    STATE(7419), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7421), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7581), 1,
      sym_enumerator,
    STATE(9629), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9633), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [289327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_compound_statement,
    STATE(2773), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289362] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_compound_statement,
    STATE(2648), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289397] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11119), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(8974), 1,
      sym_qualified_identifier,
    ACTIONS(11121), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2763), 1,
      sym_compound_statement,
    STATE(2791), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289463] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10300), 1,
      anon_sym_try,
    STATE(990), 1,
      sym_compound_statement,
    STATE(992), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10902), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [289527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_LBRACK,
    ACTIONS(11123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6346), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10782), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [289604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [289629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [289654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(11127), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11131), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11133), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7388), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9663), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [289683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11135), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11139), 1,
      aux_sym_preproc_elif_token1,
    STATE(7397), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9769), 1,
      sym_enumerator,
    ACTIONS(11141), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(9757), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [289714] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11117), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11143), 1,
      aux_sym_preproc_if_token2,
    STATE(7389), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7396), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7581), 1,
      sym_enumerator,
    STATE(9480), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9481), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [289747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2404), 1,
      sym_compound_statement,
    STATE(2405), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11145), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9329), 1,
      sym_qualified_identifier,
    ACTIONS(11147), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [289838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [289863] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10864), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [289892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [289917] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_try,
    STATE(561), 1,
      sym_try_statement,
    STATE(562), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11151), 1,
      anon_sym_LBRACK,
    ACTIONS(11149), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [289971] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2817), 1,
      sym_try_statement,
    STATE(2818), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11155), 1,
      anon_sym_LBRACK,
    ACTIONS(11153), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290052] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11139), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11157), 1,
      aux_sym_preproc_if_token2,
    STATE(7221), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9769), 1,
      sym_enumerator,
    ACTIONS(11141), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8853), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [290083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_try,
    STATE(556), 1,
      sym_try_statement,
    STATE(557), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290118] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2812), 1,
      sym_try_statement,
    STATE(2813), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290153] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10328), 1,
      anon_sym_try,
    STATE(1076), 1,
      sym_compound_statement,
    STATE(1077), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10156), 1,
      anon_sym_try,
    STATE(572), 1,
      sym_compound_statement,
    STATE(573), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10395), 1,
      anon_sym_LBRACK,
    ACTIONS(11159), 1,
      anon_sym_requires,
    ACTIONS(10397), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6697), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10393), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11162), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9552), 1,
      sym_qualified_identifier,
    ACTIONS(11164), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(10953), 1,
      anon_sym_requires,
    ACTIONS(10378), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10208), 1,
      anon_sym_try,
    STATE(916), 1,
      sym_try_statement,
    STATE(921), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11166), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9323), 1,
      sym_qualified_identifier,
    ACTIONS(11168), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11172), 1,
      anon_sym_LBRACK,
    ACTIONS(11170), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11174), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9603), 1,
      sym_qualified_identifier,
    ACTIONS(11176), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(10366), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6724), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10364), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(9891), 1,
      anon_sym_requires,
    ACTIONS(9681), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_LBRACK,
    ACTIONS(11089), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11178), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9066), 1,
      sym_qualified_identifier,
    ACTIONS(11180), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_LBRACK,
    ACTIONS(11125), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290626] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_try,
    STATE(384), 1,
      sym_try_statement,
    STATE(385), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9625), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9623), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290707] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10208), 1,
      anon_sym_try,
    STATE(914), 1,
      sym_try_statement,
    STATE(915), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [290767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(9687), 1,
      anon_sym_requires,
    ACTIONS(9334), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [290794] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11182), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9352), 1,
      sym_qualified_identifier,
    ACTIONS(11184), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [290825] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2156), 1,
      sym_compound_statement,
    STATE(2157), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11188), 1,
      anon_sym_LBRACK,
    ACTIONS(11186), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [290879] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2159), 1,
      sym_try_statement,
    STATE(2278), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290914] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2746), 1,
      sym_try_statement,
    STATE(2748), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [290949] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11117), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11190), 1,
      aux_sym_preproc_if_token2,
    STATE(7393), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7441), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7581), 1,
      sym_enumerator,
    STATE(8903), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9337), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [290982] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10328), 1,
      anon_sym_try,
    STATE(1091), 1,
      sym_compound_statement,
    STATE(1092), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291017] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9217), 1,
      anon_sym_LBRACK,
    ACTIONS(9559), 1,
      anon_sym_requires,
    ACTIONS(9268), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6705), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9215), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [291044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_try,
    STATE(395), 1,
      sym_try_statement,
    STATE(396), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291079] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2207), 1,
      sym_compound_statement,
    STATE(2213), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291114] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10300), 1,
      anon_sym_try,
    STATE(874), 1,
      sym_try_statement,
    STATE(945), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_try,
    STATE(390), 1,
      sym_try_statement,
    STATE(393), 1,
      sym_compound_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291184] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10886), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [291213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [291238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4476), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [291263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8124), 1,
      anon_sym_requires,
    ACTIONS(9312), 1,
      anon_sym_LBRACK,
    ACTIONS(6186), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6610), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6718), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9310), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [291290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11192), 1,
      sym_identifier,
    ACTIONS(11195), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11201), 1,
      sym_preproc_directive,
    ACTIONS(11204), 1,
      anon_sym_RBRACE,
    ACTIONS(11198), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8925), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(7276), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [291319] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10300), 1,
      anon_sym_try,
    STATE(876), 1,
      sym_compound_statement,
    STATE(877), 1,
      sym_try_statement,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [291378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11210), 1,
      anon_sym_delete,
    ACTIONS(11212), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      anon_sym_delete,
    ACTIONS(11216), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291422] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11220), 1,
      anon_sym_EQ,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    ACTIONS(11218), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5121), 1,
      anon_sym_LBRACK,
    ACTIONS(5123), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 1,
      anon_sym_LBRACK,
    ACTIONS(5115), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11222), 1,
      anon_sym_delete,
    ACTIONS(11224), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11212), 1,
      anon_sym_new,
    ACTIONS(11226), 1,
      anon_sym_delete,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5109), 1,
      anon_sym_LBRACK,
    ACTIONS(5111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291550] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11228), 1,
      anon_sym_delete,
    ACTIONS(11230), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8351), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [291602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_LBRACK,
    ACTIONS(5107), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      anon_sym_delete,
    ACTIONS(11234), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11236), 1,
      anon_sym_delete,
    ACTIONS(11238), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11240), 1,
      anon_sym_delete,
    ACTIONS(11242), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5101), 1,
      anon_sym_LBRACK,
    ACTIONS(5103), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11234), 1,
      anon_sym_new,
    ACTIONS(11244), 1,
      anon_sym_delete,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11246), 1,
      anon_sym_delete,
    ACTIONS(11248), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(7878), 1,
      sym_gnu_asm_output_operand,
    STATE(9116), 1,
      sym_string_literal,
    ACTIONS(11250), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [291772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_new,
    ACTIONS(11254), 1,
      anon_sym_delete,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5117), 1,
      anon_sym_LBRACK,
    ACTIONS(5119), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(8016), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [291842] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [291866] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11256), 1,
      anon_sym_delete,
    ACTIONS(11258), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [291888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5125), 1,
      anon_sym_LBRACK,
    ACTIONS(5127), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [291906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7899), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [291936] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11260), 1,
      anon_sym_COMMA,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7826), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11262), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [291966] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(11264), 1,
      sym_identifier,
    ACTIONS(11266), 1,
      anon_sym_COLON_COLON,
    STATE(3358), 1,
      sym_template_type,
    STATE(7333), 1,
      sym__scope_resolution,
    STATE(3308), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [291996] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11268), 1,
      anon_sym_EQ,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(9196), 1,
      sym_initializer_list,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11272), 1,
      anon_sym_LBRACK,
    STATE(7932), 1,
      sym_gnu_asm_input_operand,
    STATE(8889), 1,
      sym_string_literal,
    ACTIONS(11270), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [292052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11274), 1,
      anon_sym_delete,
    ACTIONS(11276), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [292098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11230), 1,
      anon_sym_new,
    ACTIONS(11278), 1,
      anon_sym_delete,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [292120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11280), 1,
      anon_sym_delete,
    ACTIONS(11282), 1,
      anon_sym_new,
    ACTIONS(11208), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11206), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [292166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9587), 1,
      sym_identifier,
    STATE(2823), 1,
      sym_template_type,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(7771), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9640), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [292220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4507), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [292292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11284), 1,
      anon_sym_EQ,
    STATE(4367), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    ACTIONS(11218), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [292322] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11286), 1,
      sym_identifier,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    STATE(426), 1,
      sym_declaration_list,
    STATE(7477), 1,
      sym_attribute_declaration,
    STATE(8477), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292353] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(7996), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11292), 1,
      sym_identifier,
    ACTIONS(11294), 1,
      anon_sym_template,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(7320), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8031), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11296), 1,
      sym_identifier,
    ACTIONS(11298), 1,
      anon_sym_template,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(7322), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      sym_identifier,
    ACTIONS(11304), 1,
      sym_system_lib_string,
    STATE(9660), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11302), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [292459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9926), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11306), 1,
      sym_identifier,
    ACTIONS(11308), 1,
      anon_sym_template,
    STATE(2850), 1,
      sym_dependent_type_identifier,
    STATE(2853), 1,
      sym_template_type,
    STATE(2878), 1,
      sym_qualified_type_identifier,
    STATE(7324), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292490] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11310), 1,
      sym_identifier,
    STATE(959), 1,
      sym_declaration_list,
    STATE(7472), 1,
      sym_attribute_declaration,
    STATE(8608), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292521] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9471), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11312), 1,
      sym_identifier,
    ACTIONS(11314), 1,
      anon_sym_template,
    STATE(3317), 1,
      sym_template_type,
    STATE(3322), 1,
      sym_dependent_type_identifier,
    STATE(3416), 1,
      sym_qualified_type_identifier,
    STATE(7326), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292552] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9378), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11294), 1,
      anon_sym_template,
    ACTIONS(11316), 1,
      sym_identifier,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(7327), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11318), 1,
      sym_identifier,
    ACTIONS(11320), 1,
      sym_system_lib_string,
    STATE(9078), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11302), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [292604] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11322), 1,
      sym_identifier,
    STATE(985), 1,
      sym_declaration_list,
    STATE(7478), 1,
      sym_attribute_declaration,
    STATE(8561), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292635] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11324), 1,
      sym_identifier,
    ACTIONS(11326), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3883), 1,
      sym_qualified_type_identifier,
    STATE(7330), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3289), 1,
      sym_template_argument_list,
    ACTIONS(8047), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5169), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [292689] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11328), 1,
      sym_identifier,
    STATE(627), 1,
      sym_declaration_list,
    STATE(7455), 1,
      sym_attribute_declaration,
    STATE(8711), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292720] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(11266), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11330), 1,
      sym_identifier,
    ACTIONS(11332), 1,
      anon_sym_template,
    STATE(3344), 1,
      sym_qualified_type_identifier,
    STATE(3349), 1,
      sym_dependent_type_identifier,
    STATE(3354), 1,
      sym_template_type,
    STATE(7333), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [292774] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11334), 1,
      sym_identifier,
    STATE(932), 1,
      sym_declaration_list,
    STATE(7487), 1,
      sym_attribute_declaration,
    STATE(8531), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11336), 1,
      sym_identifier,
    ACTIONS(11338), 1,
      sym_system_lib_string,
    STATE(9638), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11302), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [292826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11340), 1,
      sym_identifier,
    ACTIONS(11342), 1,
      anon_sym_template,
    STATE(2260), 1,
      sym_dependent_type_identifier,
    STATE(2261), 1,
      sym_template_type,
    STATE(2367), 1,
      sym_qualified_type_identifier,
    STATE(7337), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292857] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11344), 1,
      sym_identifier,
    STATE(1113), 1,
      sym_declaration_list,
    STATE(7474), 1,
      sym_attribute_declaration,
    STATE(8564), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [292888] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8120), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11346), 1,
      sym_identifier,
    ACTIONS(11348), 1,
      anon_sym_template,
    STATE(3228), 1,
      sym_dependent_type_identifier,
    STATE(3230), 1,
      sym_template_type,
    STATE(3365), 1,
      sym_qualified_type_identifier,
    STATE(7339), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292919] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5153), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11350), 1,
      sym_identifier,
    ACTIONS(11352), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(7340), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292950] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8002), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11354), 1,
      sym_identifier,
    ACTIONS(11356), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3883), 1,
      sym_qualified_type_identifier,
    STATE(7341), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [292981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11358), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(8993), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293008] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9364), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11348), 1,
      anon_sym_template,
    ACTIONS(11360), 1,
      sym_identifier,
    STATE(3228), 1,
      sym_dependent_type_identifier,
    STATE(3230), 1,
      sym_template_type,
    STATE(3365), 1,
      sym_qualified_type_identifier,
    STATE(7343), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11362), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9276), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_AMP,
    ACTIONS(11368), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11364), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [293085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293108] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9847), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11370), 1,
      sym_identifier,
    ACTIONS(11372), 1,
      anon_sym_template,
    STATE(2160), 1,
      sym_dependent_type_identifier,
    STATE(2162), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_qualified_type_identifier,
    STATE(7347), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11374), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9370), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9395), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11378), 1,
      anon_sym_template,
    STATE(3083), 1,
      sym_template_type,
    STATE(3087), 1,
      sym_dependent_type_identifier,
    STATE(3152), 1,
      sym_qualified_type_identifier,
    STATE(7350), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293220] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11380), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9257), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293247] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11382), 1,
      sym_identifier,
    ACTIONS(11384), 1,
      anon_sym_template,
    STATE(3101), 1,
      sym_template_type,
    STATE(3103), 1,
      sym_dependent_type_identifier,
    STATE(3216), 1,
      sym_qualified_type_identifier,
    STATE(7352), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11386), 1,
      sym_identifier,
    STATE(970), 1,
      sym_declaration_list,
    STATE(7475), 1,
      sym_attribute_declaration,
    STATE(8568), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [293309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11388), 1,
      sym_identifier,
    ACTIONS(11390), 1,
      sym_system_lib_string,
    STATE(9135), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11302), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [293330] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11392), 1,
      sym_identifier,
    STATE(616), 1,
      sym_declaration_list,
    STATE(7465), 1,
      sym_attribute_declaration,
    STATE(8741), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [293361] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8051), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11354), 1,
      sym_identifier,
    ACTIONS(11356), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(7356), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293392] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11324), 1,
      sym_identifier,
    ACTIONS(11326), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(7357), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293423] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8093), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11394), 1,
      sym_identifier,
    ACTIONS(11396), 1,
      anon_sym_template,
    STATE(5577), 1,
      sym_template_type,
    STATE(5580), 1,
      sym_dependent_type_identifier,
    STATE(5615), 1,
      sym_qualified_type_identifier,
    STATE(7358), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293477] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_AMP,
    ACTIONS(11398), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11400), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6346), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [293544] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(4023), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11402), 1,
      sym_identifier,
    STATE(2829), 1,
      sym_template_type,
    STATE(2832), 1,
      sym_qualified_type_identifier,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(7363), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293575] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9496), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11404), 1,
      sym_identifier,
    ACTIONS(11406), 1,
      anon_sym_template,
    STATE(4361), 1,
      sym_dependent_type_identifier,
    STATE(4362), 1,
      sym_template_type,
    STATE(4395), 1,
      sym_qualified_type_identifier,
    STATE(7364), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293606] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9439), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11408), 1,
      sym_identifier,
    ACTIONS(11410), 1,
      anon_sym_template,
    STATE(4510), 1,
      sym_template_type,
    STATE(4513), 1,
      sym_dependent_type_identifier,
    STATE(4552), 1,
      sym_qualified_type_identifier,
    STATE(7365), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11412), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9406), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11414), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9789), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293691] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(8079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11402), 1,
      sym_identifier,
    STATE(2829), 1,
      sym_template_type,
    STATE(2859), 1,
      sym_dependent_type_identifier,
    STATE(3883), 1,
      sym_qualified_type_identifier,
    STATE(7368), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11416), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(8867), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293749] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(9518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11418), 1,
      sym_identifier,
    ACTIONS(11420), 1,
      anon_sym_template,
    STATE(2937), 1,
      sym_template_type,
    STATE(2938), 1,
      sym_dependent_type_identifier,
    STATE(3036), 1,
      sym_qualified_type_identifier,
    STATE(7370), 1,
      sym__scope_resolution,
    STATE(9640), 1,
      sym_decltype,
  [293780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11422), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9339), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293807] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11424), 1,
      sym_identifier,
    STATE(440), 1,
      sym_declaration_list,
    STATE(7457), 1,
      sym_attribute_declaration,
    STATE(8514), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [293838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2170), 1,
      anon_sym_decltype,
    ACTIONS(10475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11426), 1,
      sym_identifier,
    STATE(6622), 1,
      sym__scope_resolution,
    STATE(9518), 1,
      sym_qualified_identifier,
    STATE(9640), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [293865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11428), 1,
      sym_identifier,
    ACTIONS(11430), 1,
      sym_system_lib_string,
    STATE(9595), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11302), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [293886] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11432), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_declaration_list,
    STATE(7456), 1,
      sym_attribute_declaration,
    STATE(8750), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [293917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10708), 1,
      anon_sym_LBRACK,
    STATE(4665), 1,
      sym_parameter_list,
    STATE(6692), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [293940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3289), 1,
      sym_template_argument_list,
    ACTIONS(5093), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5086), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [293963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(11400), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6273), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [293982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11434), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [294007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11436), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294033] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294059] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11190), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    STATE(7441), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(8903), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [294085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11440), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11442), 1,
      aux_sym_preproc_elif_token1,
    STATE(7389), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9481), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [294109] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11444), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(11446), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10902), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11143), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    STATE(7396), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(9480), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [294213] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11448), 1,
      sym_identifier,
    ACTIONS(11453), 1,
      aux_sym_preproc_elif_token1,
    STATE(7388), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11451), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [294233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11442), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11455), 1,
      aux_sym_preproc_if_token2,
    STATE(7499), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9388), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [294257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(11457), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11459), 1,
      anon_sym_SEMI,
    ACTIONS(11461), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7805), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [294331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11442), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11463), 1,
      aux_sym_preproc_if_token2,
    STATE(7499), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9567), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [294355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(10876), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294381] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(10921), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11465), 1,
      aux_sym_preproc_if_token2,
    STATE(7528), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(9390), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [294433] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      sym_identifier,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    STATE(7397), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9769), 1,
      sym_enumerator,
    ACTIONS(11470), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [294455] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11474), 1,
      anon_sym_SEMI,
    ACTIONS(11476), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7759), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11478), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11480), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(8047), 1,
      anon_sym_LBRACK,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(5169), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [294555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11482), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294581] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11484), 1,
      anon_sym_SEMI,
    ACTIONS(11486), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7757), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294607] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10864), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
    ACTIONS(11490), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7651), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294659] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4064), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(11492), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [294681] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11494), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294707] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10782), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11252), 1,
      anon_sym_LBRACK,
    STATE(7957), 1,
      sym_gnu_asm_output_operand,
    STATE(9116), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [294753] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11496), 1,
      anon_sym_SEMI,
    ACTIONS(11498), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11500), 1,
      anon_sym_SEMI,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7740), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294805] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(10943), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11272), 1,
      anon_sym_LBRACK,
    STATE(8288), 1,
      sym_gnu_asm_input_operand,
    STATE(8889), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [294851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11506), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11504), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [294867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
    ACTIONS(11510), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7777), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [294893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11514), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11512), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [294909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [294931] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [294953] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11516), 1,
      aux_sym_preproc_if_token2,
    STATE(7528), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(9054), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [294979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [295001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11442), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11518), 1,
      aux_sym_preproc_if_token2,
    STATE(7499), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(8834), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [295025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11522), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11524), 1,
      anon_sym_EQ,
    ACTIONS(11520), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [295043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [295065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [295087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3289), 1,
      sym_template_argument_list,
    ACTIONS(6384), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [295107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11526), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11528), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11530), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11113), 1,
      sym_identifier,
    ACTIONS(11129), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11442), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11532), 1,
      aux_sym_preproc_if_token2,
    STATE(7393), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9337), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [295209] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(9791), 1,
      anon_sym_LBRACK,
    ACTIONS(10925), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7246), 1,
      sym__function_declarator_seq,
    STATE(7541), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [295257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11534), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11536), 1,
      anon_sym_SEMI,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4608), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [295331] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11538), 1,
      anon_sym_SEMI,
    ACTIONS(11540), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7661), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    ACTIONS(11544), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_template_argument_list,
    STATE(7655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5093), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(5086), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [295405] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11546), 1,
      anon_sym_RPAREN,
    STATE(4433), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10886), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(11548), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295483] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11550), 1,
      aux_sym_preproc_if_token2,
    STATE(7528), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(9392), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [295509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11137), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11438), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11552), 1,
      aux_sym_preproc_if_token2,
    STATE(7419), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    STATE(9629), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [295535] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    ACTIONS(10884), 1,
      anon_sym_COLON,
    STATE(4675), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(7132), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10122), 1,
      anon_sym_LBRACK,
    STATE(4338), 1,
      sym_parameter_list,
    STATE(7019), 1,
      sym__function_declarator_seq,
    STATE(6994), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11554), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(6016), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11556), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6680), 1,
      anon_sym_AMP,
    ACTIONS(6682), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [295752] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11558), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [295775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [295796] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11392), 1,
      sym_identifier,
    STATE(616), 1,
      sym_declaration_list,
    STATE(8741), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [295821] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11560), 1,
      sym_identifier,
    STATE(1104), 1,
      sym_declaration_list,
    STATE(8499), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [295846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11562), 1,
      sym_identifier,
    STATE(403), 1,
      sym_declaration_list,
    STATE(8575), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [295871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(6939), 1,
      sym_template_argument_list,
    ACTIONS(6384), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [295890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11564), 1,
      anon_sym_LBRACK,
    ACTIONS(11567), 1,
      anon_sym_EQ,
    ACTIONS(11569), 1,
      anon_sym_DOT,
    STATE(7459), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [295909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_AMP,
    ACTIONS(4590), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [295924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6665), 1,
      anon_sym_AMP,
    ACTIONS(6667), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [295939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [295981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10746), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296002] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11572), 1,
      sym_identifier,
    STATE(581), 1,
      sym_declaration_list,
    STATE(8794), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10706), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(2688), 1,
      sym_template_argument_list,
    STATE(8226), 2,
      sym_argument_list,
      sym_initializer_list,
  [296071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_AMP,
    ACTIONS(11364), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [296086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6649), 1,
      anon_sym_AMP,
    ACTIONS(6651), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [296101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 1,
      anon_sym_AMP,
    ACTIONS(11574), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [296116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10742), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296137] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11334), 1,
      sym_identifier,
    STATE(932), 1,
      sym_declaration_list,
    STATE(8531), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11578), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296185] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11432), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_declaration_list,
    STATE(8750), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11580), 1,
      sym_identifier,
    STATE(936), 1,
      sym_declaration_list,
    STATE(8495), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296235] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5926), 1,
      anon_sym_COLON,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11424), 1,
      sym_identifier,
    STATE(440), 1,
      sym_declaration_list,
    STATE(8514), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11386), 1,
      sym_identifier,
    STATE(970), 1,
      sym_declaration_list,
    STATE(8568), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11582), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296373] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10752), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11584), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296417] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11586), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11592), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11588), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [296457] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(5944), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11594), 1,
      sym_identifier,
    STATE(892), 1,
      sym_declaration_list,
    STATE(8412), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [296505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11596), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10754), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(6020), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296572] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(5964), 1,
      anon_sym_COLON,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7543), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10744), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11600), 1,
      anon_sym_AMP,
    ACTIONS(11598), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [296631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11602), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296654] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(11604), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      sym_parameter_list,
    STATE(7204), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [296677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(10750), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11606), 1,
      anon_sym_LBRACK,
    ACTIONS(11608), 1,
      anon_sym_EQ,
    ACTIONS(11610), 1,
      anon_sym_DOT,
    STATE(7459), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [296717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11614), 1,
      anon_sym_AMP,
    ACTIONS(11612), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [296732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      sym_identifier,
    STATE(7499), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11451), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [296748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(11218), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [296768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(6384), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [296786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11619), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [296802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11623), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11625), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [296816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11627), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11629), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [296830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    ACTIONS(11633), 1,
      anon_sym_EQ,
    STATE(2710), 2,
      sym_compound_statement,
      sym_try_statement,
  [296850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11635), 1,
      anon_sym_LPAREN2,
    STATE(7508), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [296866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(10300), 1,
      anon_sym_try,
    ACTIONS(11637), 1,
      anon_sym_SEMI,
    ACTIONS(11639), 1,
      anon_sym_EQ,
    STATE(950), 2,
      sym_compound_statement,
      sym_try_statement,
  [296886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11641), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [296902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9443), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [296916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11643), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11645), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [296930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11649), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [296944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    ACTIONS(11651), 1,
      anon_sym_SEMI,
    ACTIONS(11653), 1,
      anon_sym_EQ,
    STATE(2264), 2,
      sym_compound_statement,
      sym_try_statement,
  [296964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11655), 1,
      anon_sym_LPAREN2,
    STATE(7518), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [296980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11470), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [296994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(11657), 1,
      anon_sym_SEMI,
    ACTIONS(11659), 1,
      anon_sym_EQ,
    STATE(580), 2,
      sym_compound_statement,
      sym_try_statement,
  [297014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11661), 1,
      anon_sym_LPAREN2,
    STATE(7517), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11204), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11667), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11669), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11671), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297090] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    ACTIONS(11673), 1,
      anon_sym_SEMI,
    ACTIONS(11675), 1,
      anon_sym_EQ,
    STATE(2701), 2,
      sym_compound_statement,
      sym_try_statement,
  [297110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9827), 1,
      anon_sym_try,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    ACTIONS(11677), 1,
      anon_sym_SEMI,
    ACTIONS(11679), 1,
      anon_sym_EQ,
    STATE(2801), 2,
      sym_compound_statement,
      sym_try_statement,
  [297130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9354), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [297144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4497), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
    ACTIONS(11218), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [297164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10328), 1,
      anon_sym_try,
    ACTIONS(11681), 1,
      anon_sym_SEMI,
    ACTIONS(11683), 1,
      anon_sym_EQ,
    STATE(1088), 2,
      sym_compound_statement,
      sym_try_statement,
  [297184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_try,
    ACTIONS(11685), 1,
      anon_sym_SEMI,
    ACTIONS(11687), 1,
      anon_sym_EQ,
    STATE(412), 2,
      sym_compound_statement,
      sym_try_statement,
  [297204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11689), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11691), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11467), 1,
      sym_identifier,
    STATE(7528), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8893), 1,
      sym_enumerator,
    ACTIONS(11470), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [297236] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_try,
    ACTIONS(11693), 1,
      anon_sym_SEMI,
    ACTIONS(11695), 1,
      anon_sym_EQ,
    STATE(944), 2,
      sym_compound_statement,
      sym_try_statement,
  [297256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9819), 1,
      anon_sym_try,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    ACTIONS(11697), 1,
      anon_sym_SEMI,
    ACTIONS(11699), 1,
      anon_sym_EQ,
    STATE(2667), 2,
      sym_compound_statement,
      sym_try_statement,
  [297276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11701), 1,
      anon_sym_LPAREN2,
    STATE(7532), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11703), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5439), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    STATE(6236), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6538), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(4736), 1,
      sym_template_argument_list,
    ACTIONS(6384), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [297344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11705), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11707), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(11709), 1,
      anon_sym_SEMI,
    ACTIONS(11711), 1,
      anon_sym_EQ,
    STATE(2437), 2,
      sym_compound_statement,
      sym_try_statement,
  [297378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11713), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11715), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11087), 1,
      anon_sym_LBRACK,
    STATE(7200), 1,
      sym_template_argument_list,
    ACTIONS(11083), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [297410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11717), 1,
      anon_sym_LPAREN2,
    STATE(7540), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11078), 1,
      anon_sym_LBRACK,
    ACTIONS(11076), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11091), 1,
      anon_sym_LBRACK,
    STATE(7255), 1,
      sym_template_argument_list,
    ACTIONS(11089), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [297478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 1,
      anon_sym_LBRACK,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6043), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6636), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(10156), 1,
      anon_sym_try,
    ACTIONS(11721), 1,
      anon_sym_SEMI,
    ACTIONS(11723), 1,
      anon_sym_EQ,
    STATE(607), 2,
      sym_compound_statement,
      sym_try_statement,
  [297516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11725), 1,
      anon_sym_LPAREN2,
    STATE(7502), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_EQ,
    ACTIONS(11520), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [297546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9797), 1,
      anon_sym_try,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(11729), 1,
      anon_sym_SEMI,
    ACTIONS(11731), 1,
      anon_sym_EQ,
    STATE(2372), 2,
      sym_compound_statement,
      sym_try_statement,
  [297566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    ACTIONS(10300), 1,
      anon_sym_try,
    ACTIONS(11733), 1,
      anon_sym_SEMI,
    ACTIONS(11735), 1,
      anon_sym_EQ,
    STATE(924), 2,
      sym_compound_statement,
      sym_try_statement,
  [297586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11737), 1,
      anon_sym_LPAREN2,
    STATE(7550), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11739), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_try,
    ACTIONS(11741), 1,
      anon_sym_SEMI,
    ACTIONS(11743), 1,
      anon_sym_EQ,
    STATE(435), 2,
      sym_compound_statement,
      sym_try_statement,
  [297638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11745), 1,
      anon_sym_LPAREN2,
    STATE(7554), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7839), 1,
      anon_sym___attribute__,
    ACTIONS(8025), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6427), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6642), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [297672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11747), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11749), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(10208), 1,
      anon_sym_try,
    ACTIONS(11751), 1,
      anon_sym_SEMI,
    ACTIONS(11753), 1,
      anon_sym_EQ,
    STATE(980), 2,
      sym_compound_statement,
      sym_try_statement,
  [297724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11713), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11715), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11755), 1,
      anon_sym_LPAREN2,
    STATE(7555), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11621), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11643), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(11645), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [297768] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10328), 1,
      anon_sym_try,
    ACTIONS(11757), 1,
      anon_sym_SEMI,
    ACTIONS(11759), 1,
      anon_sym_EQ,
    STATE(1063), 2,
      sym_compound_statement,
      sym_try_statement,
  [297788] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9805), 1,
      anon_sym_try,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    ACTIONS(11761), 1,
      anon_sym_SEMI,
    ACTIONS(11763), 1,
      anon_sym_EQ,
    STATE(2217), 2,
      sym_compound_statement,
      sym_try_statement,
  [297808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11765), 1,
      anon_sym_LPAREN2,
    STATE(7562), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11767), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [297824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11770), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2866), 1,
      sym_template_method,
    STATE(8661), 1,
      sym_operator_name,
  [297843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11772), 1,
      sym_identifier,
    STATE(9307), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [297862] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(11774), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [297881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym_SEMI,
    STATE(7626), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8982), 1,
      sym_attribute_specifier,
  [297900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(11778), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [297917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11780), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9184), 1,
      sym_attribute_specifier,
  [297936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11782), 1,
      anon_sym_SEMI,
    STATE(7589), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9186), 1,
      sym_attribute_specifier,
  [297955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10750), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [297974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_SEMI,
    STATE(7586), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9192), 1,
      sym_attribute_specifier,
  [297993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11786), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(8641), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [298006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9205), 1,
      anon_sym_RPAREN,
    STATE(2977), 1,
      sym_argument_list,
    STATE(4500), 1,
      sym_initializer_list,
  [298025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10746), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10744), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10706), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(11788), 1,
      aux_sym_preproc_if_token2,
    STATE(7485), 1,
      sym_enumerator,
    STATE(7885), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7890), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [298101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11790), 1,
      anon_sym_SEMI,
    STATE(7587), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9001), 1,
      sym_attribute_specifier,
  [298120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11792), 1,
      anon_sym_SEMI,
    STATE(7591), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9002), 1,
      sym_attribute_specifier,
  [298139] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11794), 1,
      anon_sym_SEMI,
    STATE(7599), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9172), 1,
      sym_attribute_specifier,
  [298158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11796), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [298171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11798), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9014), 1,
      sym_attribute_specifier,
  [298190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10742), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11800), 1,
      anon_sym_SEMI,
    STATE(7593), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9029), 1,
      sym_attribute_specifier,
  [298228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11770), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2866), 1,
      sym_template_method,
    STATE(8695), 1,
      sym_operator_name,
  [298247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11802), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9170), 1,
      sym_attribute_specifier,
  [298266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11804), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9032), 1,
      sym_attribute_specifier,
  [298285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    ACTIONS(11808), 1,
      anon_sym_COLON_COLON,
    STATE(8682), 1,
      sym_argument_list,
    ACTIONS(11806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [298302] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11810), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9166), 1,
      sym_attribute_specifier,
  [298321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(11812), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11814), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9036), 1,
      sym_attribute_specifier,
  [298359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11816), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9046), 1,
      sym_attribute_specifier,
  [298378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11818), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9047), 1,
      sym_attribute_specifier,
  [298397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11820), 1,
      anon_sym_SEMI,
    STATE(7616), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9163), 1,
      sym_attribute_specifier,
  [298416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10748), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11822), 1,
      anon_sym_SEMI,
    STATE(7623), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9017), 1,
      sym_attribute_specifier,
  [298454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11824), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [298467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11828), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9162), 1,
      sym_attribute_specifier,
  [298486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11830), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9160), 1,
      sym_attribute_specifier,
  [298505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10752), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11832), 1,
      sym_identifier,
    STATE(9197), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [298543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11834), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9632), 1,
      sym_attribute_specifier,
  [298562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11836), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2866), 1,
      sym_template_method,
    STATE(8427), 1,
      sym_operator_name,
  [298581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(11838), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298600] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9132), 1,
      sym_attribute_specifier,
  [298619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11842), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(4336), 1,
      sym_template_method,
    STATE(8782), 1,
      sym_operator_name,
  [298638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11844), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3769), 1,
      sym_template_method,
    STATE(8460), 1,
      sym_operator_name,
  [298657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11846), 1,
      anon_sym_EQ,
    ACTIONS(10569), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [298670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11848), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9033), 1,
      sym_attribute_specifier,
  [298689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11850), 1,
      sym_identifier,
    STATE(8868), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [298708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11852), 1,
      sym_identifier,
    STATE(8211), 1,
      sym__namespace_specifier,
    STATE(8587), 1,
      sym_nested_namespace_specifier,
  [298727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(5322), 1,
      sym_template_argument_list,
    ACTIONS(6384), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [298744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9304), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9308), 1,
      anon_sym_EQ,
    ACTIONS(11854), 1,
      sym_identifier,
    ACTIONS(9306), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [298761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
    ACTIONS(6219), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [298778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8222), 1,
      sym_auto,
    ACTIONS(8224), 1,
      anon_sym_decltype,
    STATE(3141), 1,
      sym_decltype_auto,
    ACTIONS(11856), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [298795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11858), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9613), 1,
      sym_attribute_specifier,
  [298814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11860), 1,
      anon_sym_SEMI,
    STATE(7618), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8800), 1,
      sym_attribute_specifier,
  [298833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11862), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9023), 1,
      sym_attribute_specifier,
  [298852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11864), 1,
      sym_identifier,
    STATE(8881), 1,
      sym_nested_namespace_specifier,
    STATE(9360), 1,
      sym__namespace_specifier,
  [298871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11866), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9128), 1,
      sym_attribute_specifier,
  [298890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(11868), 1,
      anon_sym_RPAREN,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [298909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    ACTIONS(9133), 1,
      anon_sym_RPAREN,
    STATE(2977), 1,
      sym_argument_list,
    STATE(4500), 1,
      sym_initializer_list,
  [298928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11870), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9121), 1,
      sym_attribute_specifier,
  [298947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11852), 1,
      sym_identifier,
    STATE(8025), 1,
      sym__namespace_specifier,
    STATE(8406), 1,
      sym_nested_namespace_specifier,
  [298966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11872), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9345), 1,
      sym_attribute_specifier,
  [298985] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11874), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9115), 1,
      sym_attribute_specifier,
  [299004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11876), 1,
      anon_sym_SEMI,
    STATE(7605), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9389), 1,
      sym_attribute_specifier,
  [299023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11878), 1,
      anon_sym_SEMI,
    STATE(7629), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9442), 1,
      sym_attribute_specifier,
  [299042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(8332), 1,
      anon_sym_COMMA,
    ACTIONS(11880), 1,
      anon_sym_SEMI,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9134), 1,
      sym_attribute_specifier,
  [299061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_operator,
    ACTIONS(11882), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(4057), 1,
      sym_template_method,
    STATE(8565), 1,
      sym_operator_name,
  [299080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11288), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11290), 1,
      anon_sym_inline,
    ACTIONS(11884), 1,
      sym_identifier,
    STATE(9360), 1,
      sym__namespace_specifier,
    STATE(9597), 1,
      sym_nested_namespace_specifier,
  [299099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_LBRACK,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(4551), 1,
      sym_template_argument_list,
    ACTIONS(6384), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [299116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10754), 1,
      anon_sym_COLON,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4614), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [299135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11886), 1,
      anon_sym_EQ,
    ACTIONS(10569), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [299148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11502), 1,
      anon_sym_EQ,
    STATE(7740), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11888), 1,
      anon_sym_SEMI,
    STATE(7681), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299176] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11890), 1,
      anon_sym_COMMA,
    STATE(7637), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11893), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [299190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4076), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11895), 1,
      anon_sym___except,
    ACTIONS(11897), 1,
      anon_sym___finally,
    STATE(843), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [299218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3813), 1,
      sym_field_declaration_list,
    STATE(8765), 1,
      sym_base_class_clause,
  [299234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3037), 1,
      sym_field_declaration_list,
    STATE(8488), 1,
      sym_base_class_clause,
  [299250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11901), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [299264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11905), 1,
      anon_sym_GT2,
    STATE(8261), 1,
      aux_sym_template_argument_list_repeat1,
  [299280] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11907), 1,
      anon_sym_DQUOTE,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [299296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2062), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299310] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(11913), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [299326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11915), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299340] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11917), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11921), 1,
      anon_sym___except,
    ACTIONS(11923), 1,
      anon_sym___finally,
    STATE(290), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [299368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11486), 1,
      anon_sym_EQ,
    STATE(7757), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11925), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299396] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11927), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11929), 1,
      anon_sym_SEMI,
    STATE(7881), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11540), 1,
      anon_sym_EQ,
    STATE(7661), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11931), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299452] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11933), 1,
      anon_sym_DQUOTE,
    ACTIONS(11935), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11937), 1,
      sym_escape_sequence,
    STATE(7644), 1,
      aux_sym_string_literal_repeat1,
  [299468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11941), 1,
      anon_sym_EQ,
    STATE(963), 1,
      sym_declaration_list,
  [299484] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11943), 1,
      anon_sym_DQUOTE,
    ACTIONS(11945), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11947), 1,
      sym_escape_sequence,
    STATE(7646), 1,
      aux_sym_string_literal_repeat1,
  [299500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11949), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11490), 1,
      anon_sym_EQ,
    STATE(7651), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11951), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3748), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11953), 1,
      anon_sym_COMMA,
    STATE(7663), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11956), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [299570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3281), 1,
      sym_field_declaration_list,
    STATE(8579), 1,
      sym_base_class_clause,
  [299600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11958), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [299610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6131), 1,
      sym_field_declaration_list,
    STATE(8546), 1,
      sym_base_class_clause,
  [299626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11960), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [299642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11962), 1,
      anon_sym_GT2,
    STATE(8285), 1,
      aux_sym_template_argument_list_repeat1,
  [299658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11964), 1,
      anon_sym___except,
    ACTIONS(11966), 1,
      anon_sym___finally,
    STATE(738), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [299672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11968), 1,
      anon_sym_GT2,
    STATE(8235), 1,
      aux_sym_template_argument_list_repeat1,
  [299688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11970), 1,
      anon_sym_SEMI,
    STATE(7717), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6112), 1,
      sym_field_declaration_list,
    STATE(8547), 1,
      sym_base_class_clause,
  [299718] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11972), 1,
      anon_sym_DQUOTE,
    ACTIONS(11974), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11976), 1,
      sym_escape_sequence,
    STATE(7697), 1,
      aux_sym_string_literal_repeat1,
  [299734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11978), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11544), 1,
      anon_sym_EQ,
    STATE(7655), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [299762] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11980), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299776] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(11982), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [299792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3121), 1,
      sym_field_declaration_list,
    STATE(8571), 1,
      sym_base_class_clause,
  [299808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11984), 1,
      anon_sym_GT2,
    STATE(8151), 1,
      aux_sym_template_argument_list_repeat1,
  [299824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(11986), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(11988), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [299854] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11990), 1,
      anon_sym_DQUOTE,
    ACTIONS(11992), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11994), 1,
      sym_escape_sequence,
    STATE(7828), 1,
      aux_sym_string_literal_repeat1,
  [299870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4425), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10611), 1,
      anon_sym_LBRACE,
    STATE(3682), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [299898] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(11996), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [299914] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11998), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [299928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1122), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [299944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3135), 1,
      sym_field_declaration_list,
    STATE(8585), 1,
      sym_base_class_clause,
  [299960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12002), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [299974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    ACTIONS(12006), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_requirement_seq,
    STATE(8469), 1,
      sym_requires_parameter_list,
  [299990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12008), 1,
      anon_sym_SEMI,
    STATE(7647), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300004] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12010), 1,
      anon_sym_DQUOTE,
    ACTIONS(12012), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12014), 1,
      sym_escape_sequence,
    STATE(7723), 1,
      aux_sym_string_literal_repeat1,
  [300020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12016), 1,
      anon_sym_SEMI,
    STATE(7730), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12018), 1,
      anon_sym_EQ,
    STATE(920), 1,
      sym_declaration_list,
  [300064] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12020), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [300080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12022), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12024), 1,
      anon_sym_EQ,
    STATE(1025), 1,
      sym_declaration_list,
  [300110] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12026), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12030), 1,
      sym_preproc_arg,
    STATE(8593), 1,
      sym_preproc_params,
  [300126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12032), 1,
      anon_sym_SEMI,
    STATE(7770), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300140] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12034), 1,
      anon_sym_DQUOTE,
    ACTIONS(12036), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12038), 1,
      sym_escape_sequence,
    STATE(7686), 1,
      aux_sym_string_literal_repeat1,
  [300156] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12040), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2999), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    STATE(4283), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300198] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12042), 1,
      anon_sym_DQUOTE,
    ACTIONS(12044), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12046), 1,
      sym_escape_sequence,
    STATE(7724), 1,
      aux_sym_string_literal_repeat1,
  [300214] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2976), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(3970), 1,
      sym_requirement_seq,
    STATE(8620), 1,
      sym_requires_parameter_list,
  [300244] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12048), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [300260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3632), 1,
      sym_argument_list,
    STATE(3698), 1,
      sym_initializer_list,
  [300276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    STATE(4289), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12050), 1,
      anon_sym_COMMA,
    STATE(7712), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(12053), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [300304] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12057), 1,
      anon_sym_SEMI,
    STATE(7764), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3290), 1,
      sym_field_declaration_list,
    STATE(8450), 1,
      sym_base_class_clause,
  [300348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4051), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12059), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300376] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12063), 1,
      sym_preproc_arg,
    STATE(8574), 1,
      sym_preproc_params,
  [300392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_field_declaration_list,
    STATE(8411), 1,
      sym_base_class_clause,
  [300408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3426), 1,
      sym_field_declaration_list,
    STATE(8605), 1,
      sym_base_class_clause,
  [300424] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12065), 1,
      anon_sym_DQUOTE,
    ACTIONS(12067), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12069), 1,
      sym_escape_sequence,
    STATE(7866), 1,
      aux_sym_string_literal_repeat1,
  [300440] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [300454] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12073), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [300470] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12075), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [300486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12077), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    STATE(5155), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300514] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12079), 1,
      anon_sym_DQUOTE,
    ACTIONS(12081), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12083), 1,
      sym_escape_sequence,
    STATE(7709), 1,
      aux_sym_string_literal_repeat1,
  [300530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12085), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12087), 1,
      anon_sym_SEMI,
    STATE(7725), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12089), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    STATE(5132), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9776), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(4187), 1,
      sym_requirement_seq,
    STATE(8676), 1,
      sym_requires_parameter_list,
  [300602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12091), 1,
      anon_sym_COMMA,
    STATE(7733), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12094), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [300616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(4124), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12096), 1,
      anon_sym_GT2,
    STATE(8306), 1,
      aux_sym_template_argument_list_repeat1,
  [300646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12098), 1,
      anon_sym_GT2,
    STATE(8166), 1,
      aux_sym_template_argument_list_repeat1,
  [300662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_COMMA,
    STATE(7642), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12100), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [300676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(6556), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12102), 1,
      anon_sym_SEMI,
    ACTIONS(12104), 1,
      anon_sym_DASH_GT,
    ACTIONS(12106), 1,
      anon_sym_noexcept,
    STATE(9072), 1,
      sym_trailing_return_type,
  [300706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12108), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12110), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [300736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(4017), 1,
      sym_requirement_seq,
    STATE(8597), 1,
      sym_requires_parameter_list,
  [300752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_EQ,
    STATE(7698), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4717), 1,
      sym_field_declaration_list,
    STATE(8663), 1,
      sym_base_class_clause,
  [300782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12114), 1,
      anon_sym_SEMI,
    STATE(7796), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11476), 1,
      anon_sym_EQ,
    STATE(7759), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12116), 1,
      anon_sym_GT2,
    STATE(8377), 1,
      aux_sym_template_argument_list_repeat1,
  [300826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1129), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [300842] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12118), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12120), 1,
      sym_preproc_arg,
    STATE(8700), 1,
      sym_preproc_params,
  [300858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12122), 1,
      anon_sym_SEMI,
    STATE(7728), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12124), 1,
      anon_sym_GT2,
    STATE(8147), 1,
      aux_sym_template_argument_list_repeat1,
  [300888] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12126), 1,
      anon_sym_DQUOTE,
    ACTIONS(12128), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12130), 1,
      sym_escape_sequence,
    STATE(7766), 1,
      aux_sym_string_literal_repeat1,
  [300904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12132), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [300918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10514), 1,
      anon_sym_LBRACE,
    STATE(5086), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5664), 1,
      sym_field_declaration_list,
    STATE(8527), 1,
      sym_base_class_clause,
  [300948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10597), 1,
      anon_sym_LBRACE,
    STATE(2958), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [300962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12134), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [300976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(3792), 1,
      sym_requirement_seq,
    STATE(8712), 1,
      sym_requires_parameter_list,
  [300992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12136), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(7572), 1,
      sym_template_parameter_list,
  [301022] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12138), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [301038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3384), 1,
      sym_field_declaration_list,
    STATE(8616), 1,
      sym_base_class_clause,
  [301054] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12140), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [301068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12142), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4699), 1,
      sym_field_declaration_list,
    STATE(8684), 1,
      sym_base_class_clause,
  [301098] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12144), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [301114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11510), 1,
      anon_sym_EQ,
    STATE(7777), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9759), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(2946), 1,
      sym_requirement_seq,
    STATE(8481), 1,
      sym_requires_parameter_list,
  [301144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12146), 1,
      anon_sym_GT2,
    STATE(8077), 1,
      aux_sym_template_argument_list_repeat1,
  [301160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12148), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_LBRACE,
    STATE(7963), 1,
      aux_sym_base_class_clause_repeat1,
  [301190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8171), 1,
      sym_compound_statement,
    STATE(8422), 1,
      sym_field_initializer_list,
  [301206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12156), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12158), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [301236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12160), 1,
      anon_sym___except,
    ACTIONS(12162), 1,
      anon_sym___finally,
    STATE(849), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [301250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(8671), 1,
      sym_argument_list,
    ACTIONS(12164), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [301264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12166), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(5149), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11498), 1,
      anon_sym_EQ,
    STATE(7787), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301306] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12168), 1,
      anon_sym_GT2,
    STATE(8327), 1,
      aux_sym_template_argument_list_repeat1,
  [301322] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12170), 1,
      anon_sym_DQUOTE,
    ACTIONS(12172), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12174), 1,
      sym_escape_sequence,
    STATE(7761), 1,
      aux_sym_string_literal_repeat1,
  [301338] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12176), 1,
      anon_sym_EQ,
    STATE(424), 1,
      sym_declaration_list,
  [301354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6892), 1,
      sym__function_declarator_seq,
  [301370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4417), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10549), 1,
      anon_sym_LBRACE,
    STATE(4182), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      anon_sym_COMMA,
    STATE(7637), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12180), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [301412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12182), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4186), 1,
      sym_argument_list,
    STATE(4241), 1,
      sym_initializer_list,
  [301442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11461), 1,
      anon_sym_EQ,
    STATE(7805), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(4080), 1,
      sym_argument_list,
    STATE(4393), 1,
      sym_initializer_list,
  [301472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(6591), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12184), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [301502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12186), 1,
      anon_sym_GT2,
    STATE(8322), 1,
      aux_sym_template_argument_list_repeat1,
  [301518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12188), 1,
      anon_sym_SEMI,
    STATE(7659), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12190), 1,
      anon_sym_SEMI,
    STATE(7823), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12192), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5086), 1,
      anon_sym_SEMI,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2128), 1,
      sym_template_argument_list,
  [301576] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12194), 1,
      anon_sym_DQUOTE,
    ACTIONS(12196), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12199), 1,
      sym_escape_sequence,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [301592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12202), 1,
      sym_identifier,
    ACTIONS(12204), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [301604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3806), 1,
      sym_field_declaration_list,
    STATE(8633), 1,
      sym_base_class_clause,
  [301620] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12206), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12208), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [301634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12211), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [301644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12211), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [301654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [301670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12215), 1,
      anon_sym_EQ,
    STATE(6829), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [301684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_field_declaration_list,
    STATE(8493), 1,
      sym_base_class_clause,
  [301700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12217), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(6759), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12219), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12221), 1,
      anon_sym_SEMI,
    STATE(7807), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(6772), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8189), 1,
      sym_compound_statement,
    STATE(8795), 1,
      sym_field_initializer_list,
  [301786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1126), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [301802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(4178), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_LBRACE,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    STATE(2896), 1,
      sym_initializer_list,
    STATE(2977), 1,
      sym_argument_list,
  [301832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12223), 1,
      anon_sym_GT2,
    STATE(8082), 1,
      aux_sym_template_argument_list_repeat1,
  [301848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_LBRACE,
    STATE(4042), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12225), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4555), 1,
      sym_field_declaration_list,
    STATE(8777), 1,
      sym_base_class_clause,
  [301892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10589), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10591), 1,
      anon_sym_LBRACE,
    STATE(6550), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [301920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4568), 1,
      sym_field_declaration_list,
    STATE(8464), 1,
      sym_base_class_clause,
  [301936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12227), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12229), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [301964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12231), 1,
      anon_sym_GT2,
    STATE(8228), 1,
      aux_sym_template_argument_list_repeat1,
  [301980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11260), 1,
      anon_sym_COMMA,
    STATE(7733), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12233), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [301994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12235), 1,
      anon_sym_SEMI,
    STATE(7773), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302008] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12237), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12239), 1,
      anon_sym_GT2,
    STATE(8347), 1,
      aux_sym_template_argument_list_repeat1,
  [302040] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12241), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12243), 1,
      anon_sym_SEMI,
    STATE(7809), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    ACTIONS(12245), 1,
      anon_sym_LBRACE,
    STATE(6574), 1,
      sym_requirement_seq,
    STATE(8582), 1,
      sym_requires_parameter_list,
  [302086] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12247), 1,
      anon_sym_DQUOTE,
    ACTIONS(12249), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12251), 1,
      sym_escape_sequence,
    STATE(7834), 1,
      aux_sym_string_literal_repeat1,
  [302102] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12253), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302118] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [302132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_field_declaration_list,
    STATE(8463), 1,
      sym_base_class_clause,
  [302148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10543), 1,
      anon_sym_LBRACE,
    STATE(6794), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [302162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(5171), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [302176] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12259), 1,
      sym_preproc_arg,
    STATE(8649), 1,
      sym_preproc_params,
  [302192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(5027), 1,
      sym_requirement_seq,
    STATE(8784), 1,
      sym_requires_parameter_list,
  [302208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12261), 1,
      anon_sym_GT2,
    STATE(8367), 1,
      aux_sym_template_argument_list_repeat1,
  [302224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(5459), 1,
      anon_sym_LPAREN2,
    STATE(2977), 1,
      sym_argument_list,
    STATE(4500), 1,
      sym_initializer_list,
  [302240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12263), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12265), 1,
      anon_sym_LBRACE,
    STATE(7958), 1,
      aux_sym_base_class_clause_repeat1,
  [302256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12267), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(7953), 1,
      sym_compound_statement,
    STATE(8631), 1,
      sym_field_initializer_list,
  [302286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3332), 1,
      sym_field_declaration_list,
    STATE(8541), 1,
      sym_base_class_clause,
  [302302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(12269), 1,
      aux_sym_preproc_if_token2,
    STATE(7890), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [302316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12271), 1,
      anon_sym_SEMI,
    STATE(7818), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3636), 1,
      sym_field_declaration_list,
    STATE(8552), 1,
      sym_base_class_clause,
  [302346] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12273), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302362] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12275), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [302376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8023), 1,
      sym_compound_statement,
    STATE(8525), 1,
      sym_field_initializer_list,
  [302392] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12277), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302408] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [302422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5648), 1,
      sym_field_declaration_list,
    STATE(8484), 1,
      sym_base_class_clause,
  [302438] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12281), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12283), 1,
      sym_preproc_arg,
    STATE(8622), 1,
      sym_preproc_params,
  [302454] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12285), 1,
      anon_sym_DQUOTE,
    ACTIONS(12287), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12289), 1,
      sym_escape_sequence,
    STATE(7858), 1,
      aux_sym_string_literal_repeat1,
  [302470] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12291), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4577), 1,
      sym_field_declaration_list,
    STATE(8797), 1,
      sym_base_class_clause,
  [302502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12293), 1,
      anon_sym___except,
    ACTIONS(12295), 1,
      anon_sym___finally,
    STATE(1189), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [302516] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12297), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [302530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12299), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [302546] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12301), 1,
      anon_sym_GT2,
    STATE(8215), 1,
      aux_sym_template_argument_list_repeat1,
  [302562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12303), 1,
      anon_sym_EQ,
    STATE(7675), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [302576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1124), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [302592] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12305), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [302608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8108), 1,
      sym_compound_statement,
    STATE(8643), 1,
      sym_field_initializer_list,
  [302624] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12307), 1,
      anon_sym_DQUOTE,
    ACTIONS(12309), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12311), 1,
      sym_escape_sequence,
    STATE(7893), 1,
      aux_sym_string_literal_repeat1,
  [302640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12313), 1,
      anon_sym_GT2,
    STATE(8080), 1,
      aux_sym_template_argument_list_repeat1,
  [302656] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12315), 1,
      anon_sym_DQUOTE,
    ACTIONS(12317), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12319), 1,
      sym_escape_sequence,
    STATE(7853), 1,
      aux_sym_string_literal_repeat1,
  [302672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_field_declaration_list,
    STATE(8454), 1,
      sym_base_class_clause,
  [302688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10551), 1,
      anon_sym_LBRACE,
    STATE(4442), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [302702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12321), 1,
      anon_sym_GT2,
    STATE(8387), 1,
      aux_sym_template_argument_list_repeat1,
  [302718] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12323), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12325), 1,
      sym_preproc_arg,
    STATE(8683), 1,
      sym_preproc_params,
  [302734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    STATE(2458), 1,
      sym_field_declaration_list,
    STATE(8787), 1,
      sym_base_class_clause,
  [302750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12327), 1,
      anon_sym_SEMI,
    STATE(7753), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8029), 1,
      sym_compound_statement,
    STATE(8739), 1,
      sym_field_initializer_list,
  [302780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_COMMA,
    STATE(7883), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12331), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [302794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_LPAREN2,
    STATE(3962), 1,
      sym_initializer_list,
    STATE(4080), 1,
      sym_argument_list,
  [302810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    ACTIONS(6630), 1,
      anon_sym_LPAREN2,
    STATE(3632), 1,
      sym_argument_list,
    STATE(5034), 1,
      sym_initializer_list,
  [302826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12333), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [302840] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12335), 1,
      anon_sym_DQUOTE,
    ACTIONS(12337), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12339), 1,
      sym_escape_sequence,
    STATE(7912), 1,
      aux_sym_string_literal_repeat1,
  [302856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      anon_sym_COMMA,
    STATE(7933), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12341), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [302870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1123), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [302886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(12343), 1,
      aux_sym_preproc_if_token2,
    STATE(7397), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9769), 1,
      sym_enumerator,
  [302902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1127), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [302918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8294), 1,
      sym_compound_statement,
    STATE(8659), 1,
      sym_field_initializer_list,
  [302934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12345), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12347), 1,
      anon_sym_LBRACE,
    STATE(8364), 1,
      aux_sym_base_class_clause_repeat1,
  [302950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(4400), 1,
      sym_requirement_seq,
    STATE(8598), 1,
      sym_requires_parameter_list,
  [302966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      sym_identifier,
    ACTIONS(12349), 1,
      aux_sym_preproc_if_token2,
    STATE(7388), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [302980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5781), 1,
      sym_field_declaration_list,
    STATE(8703), 1,
      sym_base_class_clause,
  [302996] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [303010] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12353), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [303026] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12355), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12357), 1,
      sym_preproc_arg,
    STATE(8734), 1,
      sym_preproc_params,
  [303042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12359), 1,
      anon_sym_SEMI,
    STATE(7844), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12361), 1,
      anon_sym_SEMI,
    STATE(7690), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    ACTIONS(6841), 1,
      anon_sym_LPAREN2,
    STATE(4186), 1,
      sym_argument_list,
    STATE(5557), 1,
      sym_initializer_list,
  [303086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    ACTIONS(12363), 1,
      anon_sym_LBRACE,
    STATE(6752), 1,
      sym_requirement_seq,
    STATE(8675), 1,
      sym_requires_parameter_list,
  [303102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12367), 1,
      anon_sym_LBRACE,
    STATE(8097), 1,
      aux_sym_base_class_clause_repeat1,
  [303118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1125), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [303134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2066), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [303148] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12369), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12371), 1,
      sym_preproc_arg,
    STATE(8503), 1,
      sym_preproc_params,
  [303164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8172), 1,
      sym_compound_statement,
    STATE(8674), 1,
      sym_field_initializer_list,
  [303180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12373), 1,
      anon_sym_SEMI,
    STATE(7928), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303194] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    STATE(2422), 1,
      sym_field_declaration_list,
    STATE(8755), 1,
      sym_base_class_clause,
  [303210] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12375), 1,
      anon_sym_DQUOTE,
    ACTIONS(12377), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12379), 1,
      sym_escape_sequence,
    STATE(7913), 1,
      aux_sym_string_literal_repeat1,
  [303226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym___except,
    ACTIONS(12383), 1,
      anon_sym___finally,
    STATE(849), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [303240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(8212), 2,
      sym_argument_list,
      sym_initializer_list,
  [303254] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12385), 1,
      anon_sym_DQUOTE,
    ACTIONS(12387), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12389), 1,
      sym_escape_sequence,
    STATE(7678), 1,
      aux_sym_string_literal_repeat1,
  [303270] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12391), 1,
      anon_sym_SQUOTE,
    STATE(7801), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11919), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [303284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 1,
      anon_sym_COLON,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5810), 1,
      sym_field_declaration_list,
    STATE(8729), 1,
      sym_base_class_clause,
  [303300] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12393), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [303316] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12395), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [303332] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12028), 1,
      anon_sym_LPAREN,
    ACTIONS(12397), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12399), 1,
      sym_preproc_arg,
    STATE(8474), 1,
      sym_preproc_params,
  [303348] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12401), 1,
      anon_sym_GT2,
    STATE(7974), 1,
      aux_sym_template_argument_list_repeat1,
  [303364] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12403), 1,
      anon_sym_DQUOTE,
    ACTIONS(12405), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12407), 1,
      sym_escape_sequence,
    STATE(7919), 1,
      aux_sym_string_literal_repeat1,
  [303380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12409), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [303396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      sym_identifier,
    ACTIONS(11788), 1,
      aux_sym_preproc_if_token2,
    STATE(7885), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9769), 1,
      sym_enumerator,
  [303412] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(11909), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11911), 1,
      sym_escape_sequence,
    ACTIONS(12411), 1,
      anon_sym_DQUOTE,
    STATE(7798), 1,
      aux_sym_string_literal_repeat1,
  [303428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10516), 1,
      anon_sym_LBRACE,
    STATE(4334), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [303442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1130), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [303458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12413), 1,
      anon_sym_EQ,
    STATE(598), 1,
      sym_declaration_list,
  [303474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8372), 1,
      sym_compound_statement,
    STATE(8705), 1,
      sym_field_initializer_list,
  [303490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11470), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [303500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2056), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [303514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9732), 1,
      anon_sym_LBRACE,
    ACTIONS(12004), 1,
      anon_sym_LPAREN2,
    STATE(5144), 1,
      sym_requirement_seq,
    STATE(8720), 1,
      sym_requires_parameter_list,
  [303530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12415), 1,
      anon_sym_SEMI,
    STATE(7937), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12417), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10530), 1,
      anon_sym_LBRACE,
    STATE(5188), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [303572] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12419), 1,
      anon_sym_DQUOTE,
    ACTIONS(12421), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12423), 1,
      sym_escape_sequence,
    STATE(7850), 1,
      aux_sym_string_literal_repeat1,
  [303588] = 5,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12425), 1,
      anon_sym_DQUOTE,
    ACTIONS(12427), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12429), 1,
      sym_escape_sequence,
    STATE(7830), 1,
      aux_sym_string_literal_repeat1,
  [303604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12178), 1,
      anon_sym_COMMA,
    STATE(7786), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12431), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [303618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12433), 1,
      anon_sym_COMMA,
    STATE(7933), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12436), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [303632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12438), 1,
      anon_sym_SEMI,
    STATE(7824), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4146), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6722), 1,
      anon_sym_LT,
    ACTIONS(12440), 1,
      anon_sym_SEMI,
    STATE(2052), 1,
      sym_template_argument_list,
  [303662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(2062), 1,
      sym_compound_statement,
    ACTIONS(10569), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [303676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7636), 1,
      anon_sym___attribute__,
    ACTIONS(12442), 1,
      anon_sym_SEMI,
    STATE(5567), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [303690] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym___except,
    ACTIONS(12446), 1,
      anon_sym___finally,
    STATE(474), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [303704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5159), 1,
      anon_sym_LT,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(1128), 1,
      sym_template_parameter_list,
    STATE(2838), 1,
      sym_template_type,
  [303720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_catch,
    STATE(2099), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(12450), 1,
      anon_sym_RPAREN,
    STATE(8335), 1,
      aux_sym_preproc_argument_list_repeat1,
  [303744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12367), 1,
      anon_sym_LBRACE,
    STATE(8097), 1,
      aux_sym_base_class_clause_repeat1,
  [303757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_catch,
    STATE(265), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12454), 1,
      anon_sym_LBRACE,
    STATE(8330), 1,
      aux_sym_base_class_clause_repeat1,
  [303781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12456), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [303794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12458), 1,
      anon_sym_SEMI,
    STATE(7981), 1,
      aux_sym_declaration_repeat1,
  [303807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12460), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [303820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12462), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [303833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12466), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [303846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12468), 1,
      anon_sym_SEMI,
    STATE(7948), 1,
      aux_sym_declaration_repeat1,
  [303859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8821), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      aux_sym_argument_list_repeat1,
  [303872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8785), 1,
      anon_sym_RPAREN,
    STATE(8193), 1,
      aux_sym_argument_list_repeat1,
  [303885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      anon_sym_catch,
    STATE(2320), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [303896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_default,
    ACTIONS(12474), 1,
      anon_sym_delete,
    ACTIONS(12476), 1,
      anon_sym_0,
  [303909] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7861), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12478), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [303920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12482), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [303931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12484), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [303940] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12367), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [303953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [303962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    STATE(9122), 1,
      sym_gnu_asm_goto_list,
  [303975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
    ACTIONS(8720), 1,
      anon_sym_COMMA,
    STATE(8207), 1,
      aux_sym_initializer_list_repeat1,
  [303988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_RPAREN,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    STATE(8013), 1,
      sym_gnu_asm_clobber_list,
  [304001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12454), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [304014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12496), 1,
      anon_sym_SEMI,
    STATE(8027), 1,
      aux_sym_declaration_repeat1,
  [304027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8694), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [304040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12498), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7988), 1,
      aux_sym_attribute_declaration_repeat1,
  [304053] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7713), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12500), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_EQ,
    ACTIONS(11520), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [304075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(12506), 1,
      anon_sym_constexpr,
    STATE(171), 1,
      sym_condition_clause,
  [304088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12508), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [304101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_RPAREN,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    STATE(7989), 1,
      sym_gnu_asm_input_operand_list,
  [304114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    STATE(7990), 1,
      sym_gnu_asm_output_operand_list,
  [304127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12518), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [304140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12520), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [304153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12522), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [304166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12524), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3884), 1,
      sym_template_function,
  [304179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_catch,
    STATE(2134), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_COMMA,
    ACTIONS(12528), 1,
      anon_sym_RBRACK,
    STATE(8176), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [304203] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12530), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    STATE(9215), 1,
      sym_preproc_argument_list,
  [304216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12534), 1,
      anon_sym_RPAREN,
    STATE(7971), 1,
      sym_gnu_asm_output_operand_list,
  [304229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12536), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [304242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12538), 1,
      anon_sym_default,
    ACTIONS(12540), 1,
      anon_sym_delete,
    ACTIONS(12542), 1,
      anon_sym_0,
  [304255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      anon_sym_catch,
    STATE(2366), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12482), 1,
      anon_sym_LBRACE,
    ACTIONS(12544), 1,
      anon_sym_COMMA,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [304279] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12547), 1,
      anon_sym_SEMI,
    STATE(8120), 1,
      aux_sym_declaration_repeat1,
  [304292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12549), 1,
      anon_sym_GT2,
    STATE(7975), 1,
      aux_sym_template_argument_list_repeat1,
  [304305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12551), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [304318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12553), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [304331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12555), 1,
      anon_sym_RPAREN,
    STATE(7992), 1,
      sym_gnu_asm_clobber_list,
  [304344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12557), 1,
      anon_sym_RPAREN,
    STATE(7993), 1,
      sym_gnu_asm_input_operand_list,
  [304357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    STATE(8058), 1,
      aux_sym_argument_list_repeat1,
  [304370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12559), 1,
      anon_sym_RPAREN,
    STATE(8921), 1,
      sym_gnu_asm_goto_list,
  [304383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12561), 1,
      anon_sym_RPAREN,
    STATE(7997), 1,
      sym_gnu_asm_clobber_list,
  [304396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_COMMA,
    ACTIONS(12563), 1,
      anon_sym_RBRACK,
    STATE(8183), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [304409] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7851), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12565), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304420] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(558), 1,
      sym_declaration_list,
  [304433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12567), 1,
      anon_sym_RPAREN,
    STATE(8919), 1,
      sym_gnu_asm_goto_list,
  [304446] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8815), 1,
      anon_sym_COMMA,
    ACTIONS(8817), 1,
      anon_sym_RBRACE,
    STATE(8060), 1,
      aux_sym_initializer_list_repeat1,
  [304459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(1102), 1,
      sym_declaration_list,
  [304472] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8708), 1,
      anon_sym_RBRACK,
    STATE(8162), 1,
      aux_sym_subscript_argument_list_repeat1,
  [304485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_COMMA,
    ACTIONS(12571), 1,
      anon_sym_GT2,
    STATE(8092), 1,
      aux_sym_template_parameter_list_repeat1,
  [304498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_default,
    ACTIONS(12575), 1,
      anon_sym_delete,
    ACTIONS(12577), 1,
      anon_sym_0,
  [304511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [304524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12581), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7949), 1,
      aux_sym_attribute_declaration_repeat1,
  [304537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5786), 1,
      anon_sym_COMMA,
    ACTIONS(12583), 1,
      anon_sym_RBRACK,
    STATE(7978), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [304550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12585), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [304563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_catch,
    STATE(2331), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12589), 1,
      anon_sym_default,
    ACTIONS(12591), 1,
      anon_sym_delete,
    ACTIONS(12593), 1,
      anon_sym_0,
  [304587] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7722), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12595), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 1,
      anon_sym_SEMI,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2128), 1,
      sym_template_argument_list,
  [304611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12597), 1,
      anon_sym_RPAREN,
    STATE(8075), 1,
      sym_gnu_asm_output_operand_list,
  [304624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
    STATE(8067), 1,
      sym_gnu_asm_clobber_list,
  [304637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12601), 1,
      anon_sym_RPAREN,
    STATE(9204), 1,
      sym_gnu_asm_goto_list,
  [304650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12603), 1,
      anon_sym_RPAREN,
    STATE(7962), 1,
      sym_gnu_asm_input_operand_list,
  [304663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12605), 1,
      anon_sym_RPAREN,
    STATE(8091), 1,
      sym_gnu_asm_input_operand_list,
  [304676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12609), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [304687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_default,
    ACTIONS(12613), 1,
      anon_sym_delete,
    ACTIONS(12615), 1,
      anon_sym_0,
  [304700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12617), 1,
      anon_sym_GT2,
    STATE(8084), 1,
      aux_sym_template_argument_list_repeat1,
  [304713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12619), 1,
      anon_sym_RPAREN,
    STATE(7960), 1,
      sym_gnu_asm_clobber_list,
  [304726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8706), 1,
      anon_sym_RPAREN,
    STATE(8202), 1,
      aux_sym_argument_list_repeat1,
  [304739] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7910), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12621), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(12623), 1,
      anon_sym_constexpr,
    STATE(160), 1,
      sym_condition_clause,
  [304763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_catch,
    STATE(505), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12627), 1,
      anon_sym_SEMI,
    STATE(8096), 1,
      aux_sym_declaration_repeat1,
  [304787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12629), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [304798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12633), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [304811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [304824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
    STATE(8103), 1,
      aux_sym_parameter_list_repeat1,
  [304837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_catch,
    STATE(2313), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8809), 1,
      anon_sym_RBRACK,
    STATE(8109), 1,
      aux_sym_subscript_argument_list_repeat1,
  [304861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    ACTIONS(12641), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [304872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    ACTIONS(12648), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [304885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [304894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8702), 1,
      anon_sym_COMMA,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
    STATE(8216), 1,
      aux_sym_initializer_list_repeat1,
  [304907] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7892), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12652), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [304918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12470), 1,
      anon_sym_catch,
    STATE(2303), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [304929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(12654), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [304942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12656), 1,
      anon_sym_RPAREN,
    STATE(9158), 1,
      sym_gnu_asm_goto_list,
  [304955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12658), 1,
      anon_sym_default,
    ACTIONS(12660), 1,
      anon_sym_delete,
    ACTIONS(12662), 1,
      anon_sym_0,
  [304968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12664), 1,
      anon_sym_RPAREN,
    STATE(8038), 1,
      sym_gnu_asm_clobber_list,
  [304981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12666), 1,
      anon_sym_RPAREN,
    STATE(8221), 1,
      sym_gnu_asm_output_operand_list,
  [304994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12668), 1,
      anon_sym_SEMI,
    STATE(8070), 1,
      aux_sym_declaration_repeat1,
  [305007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12670), 1,
      anon_sym_RPAREN,
    STATE(9164), 1,
      sym_gnu_asm_goto_list,
  [305020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(12672), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [305033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12674), 1,
      anon_sym_RPAREN,
    STATE(9185), 1,
      sym_gnu_asm_goto_list,
  [305046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12676), 1,
      sym_identifier,
    STATE(2199), 1,
      sym_template_type,
    STATE(4014), 1,
      sym_template_function,
  [305059] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7854), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12678), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
    STATE(8045), 1,
      sym_gnu_asm_clobber_list,
  [305083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    STATE(9188), 1,
      sym_gnu_asm_goto_list,
  [305096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12684), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [305105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12686), 1,
      sym_identifier,
    STATE(2199), 1,
      sym_template_type,
    STATE(3884), 1,
      sym_template_function,
  [305118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12688), 1,
      anon_sym_RPAREN,
    STATE(8048), 1,
      sym_gnu_asm_input_operand_list,
  [305131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
    STATE(8049), 1,
      sym_gnu_asm_clobber_list,
  [305144] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7763), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12692), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12694), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_GT2,
    STATE(8229), 1,
      aux_sym_template_argument_list_repeat1,
  [305181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_catch,
    STATE(2140), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [305192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8807), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_RPAREN,
    ACTIONS(12698), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [305216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RBRACE,
    ACTIONS(12702), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [305229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12704), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12706), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [305251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12708), 1,
      anon_sym_GT2,
    STATE(8083), 1,
      aux_sym_template_argument_list_repeat1,
  [305264] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7687), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12710), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12712), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [305284] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7648), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12714), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12716), 1,
      anon_sym_RPAREN,
    STATE(9239), 1,
      sym_gnu_asm_goto_list,
  [305308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12718), 1,
      anon_sym_SEMI,
    STATE(8087), 1,
      aux_sym_declaration_repeat1,
  [305321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305347] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7652), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12724), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      anon_sym_default,
    ACTIONS(12728), 1,
      anon_sym_delete,
    ACTIONS(12730), 1,
      anon_sym_0,
  [305371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    ACTIONS(12732), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [305384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_LBRACE,
    STATE(7963), 1,
      aux_sym_base_class_clause_repeat1,
  [305397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12735), 1,
      anon_sym_RPAREN,
    STATE(8123), 1,
      sym_gnu_asm_input_operand_list,
  [305410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12737), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12739), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12741), 1,
      anon_sym_RPAREN,
    STATE(8126), 1,
      sym_gnu_asm_output_operand_list,
  [305449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12743), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12745), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12747), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12749), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12751), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12753), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12755), 1,
      anon_sym_RPAREN,
    STATE(8392), 1,
      sym_gnu_asm_output_operand_list,
  [305540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(550), 1,
      sym_declaration_list,
  [305553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12757), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12759), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [305579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12761), 1,
      anon_sym_RPAREN,
    STATE(8052), 1,
      sym_gnu_asm_output_operand_list,
  [305592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12763), 1,
      anon_sym_RPAREN,
    STATE(8053), 1,
      sym_gnu_asm_input_operand_list,
  [305605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12765), 1,
      anon_sym_RPAREN,
    STATE(8222), 1,
      sym_gnu_asm_clobber_list,
  [305618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12767), 1,
      anon_sym_COMMA,
    ACTIONS(12770), 1,
      anon_sym_GT2,
    STATE(8092), 1,
      aux_sym_template_parameter_list_repeat1,
  [305631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12772), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [305644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_RBRACE,
    ACTIONS(12774), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [305657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12776), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [305696] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7835), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12778), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [305707] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_GT2,
    STATE(8214), 1,
      aux_sym_template_argument_list_repeat1,
  [305720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12782), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8006), 1,
      aux_sym_attribute_declaration_repeat1,
  [305733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(12784), 1,
      anon_sym_constexpr,
    STATE(216), 1,
      sym_condition_clause,
  [305746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7835), 1,
      anon_sym_EQ,
    ACTIONS(7833), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [305757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [305770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12788), 1,
      anon_sym_RPAREN,
    STATE(8040), 1,
      sym_gnu_asm_input_operand_list,
  [305783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12790), 1,
      anon_sym_RPAREN,
    STATE(8043), 1,
      sym_gnu_asm_clobber_list,
  [305796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8726), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [305805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_catch,
    STATE(2286), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [305816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_catch,
    STATE(2148), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [305827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_RBRACK,
    STATE(8270), 1,
      aux_sym_subscript_argument_list_repeat1,
  [305840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12794), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12796), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12798), 1,
      anon_sym_SEMI,
    STATE(8061), 1,
      aux_sym_declaration_repeat1,
  [305879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12800), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12802), 1,
      anon_sym_SEMI,
    STATE(8287), 1,
      aux_sym_declaration_repeat1,
  [305905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12804), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [305944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_COMMA,
    ACTIONS(12810), 1,
      anon_sym_RBRACK,
    STATE(8183), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [305957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12812), 1,
      anon_sym_GT2,
    STATE(8076), 1,
      aux_sym_template_argument_list_repeat1,
  [305970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12814), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [305983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
    STATE(8090), 1,
      sym_gnu_asm_output_operand_list,
  [305996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_default,
    ACTIONS(12820), 1,
      anon_sym_delete,
    ACTIONS(12822), 1,
      anon_sym_0,
  [306009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12824), 1,
      anon_sym_RPAREN,
    STATE(8137), 1,
      sym_gnu_asm_clobber_list,
  [306022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_COMMA,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
    STATE(8124), 1,
      aux_sym_requires_parameter_list_repeat1,
  [306035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(12831), 1,
      anon_sym_RPAREN,
    STATE(8335), 1,
      aux_sym_preproc_argument_list_repeat1,
  [306048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12833), 1,
      anon_sym_RPAREN,
    STATE(8139), 1,
      sym_gnu_asm_input_operand_list,
  [306061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_COMMA,
    ACTIONS(12838), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [306074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12840), 1,
      sym_identifier,
    ACTIONS(12842), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [306085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12844), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [306098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    ACTIONS(12846), 1,
      anon_sym_COMMA,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [306111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12851), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [306122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8754), 1,
      anon_sym_COMMA,
    ACTIONS(8756), 1,
      anon_sym_RBRACE,
    STATE(8094), 1,
      aux_sym_initializer_list_repeat1,
  [306135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(12853), 1,
      anon_sym_RBRACK,
    STATE(8270), 1,
      aux_sym_subscript_argument_list_repeat1,
  [306148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [306161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_catch,
    STATE(240), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8527), 1,
      anon_sym_RPAREN,
    STATE(8095), 1,
      aux_sym_argument_list_repeat1,
  [306185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
    STATE(9039), 1,
      sym_gnu_asm_goto_list,
  [306198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    STATE(8249), 1,
      aux_sym_argument_list_repeat1,
  [306211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
    STATE(8146), 1,
      sym_gnu_asm_clobber_list,
  [306224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12863), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [306237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12865), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [306250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12867), 1,
      anon_sym_SEMI,
    STATE(8331), 1,
      aux_sym_declaration_repeat1,
  [306263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_GT2,
    STATE(8001), 1,
      aux_sym_template_parameter_list_repeat1,
  [306276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12871), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [306289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10004), 1,
      anon_sym_COMMA,
    ACTIONS(12873), 1,
      anon_sym_RPAREN,
    STATE(8335), 1,
      aux_sym_preproc_argument_list_repeat1,
  [306302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(12875), 1,
      anon_sym_RPAREN,
    STATE(9052), 1,
      sym_gnu_asm_goto_list,
  [306315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12877), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(4014), 1,
      sym_template_function,
  [306341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12881), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12883), 1,
      anon_sym_GT2,
    STATE(8167), 1,
      aux_sym_template_argument_list_repeat1,
  [306367] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12885), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(12887), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [306393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12889), 1,
      anon_sym_SEMI,
    STATE(8110), 1,
      aux_sym_declaration_repeat1,
  [306406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(12891), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [306419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12104), 1,
      anon_sym_DASH_GT,
    ACTIONS(12893), 1,
      anon_sym_SEMI,
    STATE(9379), 1,
      sym_trailing_return_type,
  [306432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_SEMI,
    STATE(8263), 1,
      aux_sym_declaration_repeat1,
  [306445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12897), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306458] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(12899), 1,
      anon_sym_RPAREN,
    STATE(8104), 1,
      sym_gnu_asm_output_operand_list,
  [306471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(12901), 1,
      anon_sym_RPAREN,
    STATE(8105), 1,
      sym_gnu_asm_input_operand_list,
  [306484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(937), 1,
      sym_declaration_list,
  [306497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_RBRACE,
    ACTIONS(12903), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [306510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(12905), 1,
      anon_sym_RBRACK,
    STATE(8270), 1,
      aux_sym_subscript_argument_list_repeat1,
  [306523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_catch,
    STATE(465), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 1,
      anon_sym_COMMA,
    ACTIONS(12910), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [306547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12912), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12914), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12916), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_COMMA,
    ACTIONS(12920), 1,
      anon_sym_RPAREN,
    STATE(8344), 1,
      aux_sym_preproc_params_repeat1,
  [306599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12922), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [306612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(355), 1,
      sym_declaration_list,
  [306625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_catch,
    STATE(927), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      anon_sym_catch,
    STATE(473), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12928), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [306660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_COMMA,
    ACTIONS(12932), 1,
      anon_sym_RPAREN,
    STATE(8124), 1,
      aux_sym_requires_parameter_list_repeat1,
  [306673] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(12934), 1,
      aux_sym_preproc_include_token2,
    STATE(9215), 1,
      sym_preproc_argument_list,
  [306686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_COMMA,
    ACTIONS(12939), 1,
      anon_sym_RBRACK,
    STATE(8176), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [306699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8676), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [306712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12941), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [306725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12943), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8253), 1,
      aux_sym_attribute_declaration_repeat1,
  [306738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11903), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12945), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [306749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12947), 1,
      anon_sym_RPAREN,
    STATE(8169), 1,
      aux_sym_parameter_list_repeat1,
  [306762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_COMMA,
    ACTIONS(12949), 1,
      anon_sym_GT2,
    STATE(8092), 1,
      aux_sym_template_parameter_list_repeat1,
  [306775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8928), 1,
      anon_sym_RBRACK,
    ACTIONS(12951), 1,
      anon_sym_COMMA,
    STATE(8183), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [306788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(12954), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8140), 1,
      aux_sym_attribute_declaration_repeat1,
  [306801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(1087), 1,
      sym_declaration_list,
  [306814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 1,
      anon_sym_COMMA,
    ACTIONS(8575), 1,
      anon_sym_RBRACE,
    STATE(8352), 1,
      aux_sym_initializer_list_repeat1,
  [306827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      anon_sym_catch,
    STATE(391), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8635), 1,
      anon_sym_RBRACK,
    STATE(8133), 1,
      aux_sym_subscript_argument_list_repeat1,
  [306851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_catch,
    STATE(249), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12956), 1,
      anon_sym_RPAREN,
    STATE(8141), 1,
      aux_sym_parameter_list_repeat1,
  [306875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(12958), 1,
      anon_sym_RBRACK,
    STATE(8270), 1,
      aux_sym_subscript_argument_list_repeat1,
  [306888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12960), 1,
      anon_sym_COMMA,
    ACTIONS(12962), 1,
      anon_sym_RPAREN,
    STATE(8195), 1,
      aux_sym_throw_specifier_repeat1,
  [306901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8787), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [306914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8803), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [306923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12960), 1,
      anon_sym_COMMA,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
    STATE(8269), 1,
      aux_sym_throw_specifier_repeat1,
  [306936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(12966), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [306949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_catch,
    STATE(968), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [306960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12968), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [306973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12970), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [306986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12972), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [306995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12974), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [307004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8692), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [307017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_catch,
    STATE(359), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [307028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12976), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [307037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(12978), 1,
      anon_sym_SEMI,
    STATE(8355), 1,
      aux_sym_declaration_repeat1,
  [307050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_COMMA,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
    STATE(8168), 1,
      aux_sym_preproc_params_repeat1,
  [307063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4316), 1,
      anon_sym_RBRACE,
    ACTIONS(12982), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [307076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12984), 1,
      anon_sym_COMMA,
    ACTIONS(12987), 1,
      anon_sym_RPAREN,
    STATE(8208), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [307089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2997), 1,
      sym_template_function,
  [307102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [307111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12991), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [307122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12995), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [307133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    ACTIONS(12999), 1,
      anon_sym_LBRACE,
    STATE(8231), 1,
      aux_sym_field_initializer_list_repeat1,
  [307146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13001), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13003), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    ACTIONS(13005), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [307185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13007), 1,
      anon_sym_SEMI,
    STATE(8144), 1,
      aux_sym_declaration_repeat1,
  [307198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13009), 1,
      anon_sym_GT2,
    STATE(8149), 1,
      aux_sym_template_argument_list_repeat1,
  [307211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [307224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13013), 1,
      anon_sym_RPAREN,
    STATE(8159), 1,
      sym_gnu_asm_output_operand_list,
  [307237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13015), 1,
      anon_sym_RPAREN,
    STATE(8334), 1,
      sym_gnu_asm_input_operand_list,
  [307250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13017), 1,
      anon_sym_RPAREN,
    STATE(9398), 1,
      sym_gnu_asm_goto_list,
  [307263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13019), 1,
      anon_sym_RPAREN,
    STATE(8340), 1,
      sym_gnu_asm_output_operand_list,
  [307276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13021), 1,
      anon_sym_GT2,
    STATE(8236), 1,
      aux_sym_template_argument_list_repeat1,
  [307289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    ACTIONS(13025), 1,
      anon_sym_RPAREN,
    STATE(8208), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [307302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13029), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [307313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13031), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13033), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13035), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12486), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [307361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_COMMA,
    ACTIONS(13040), 1,
      anon_sym_LBRACE,
    STATE(8231), 1,
      aux_sym_field_initializer_list_repeat1,
  [307374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13042), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [307396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13046), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13048), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13050), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13052), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [307444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(13054), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [307457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13056), 1,
      anon_sym_RPAREN,
    STATE(9289), 1,
      sym_gnu_asm_goto_list,
  [307470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_COMMA,
    ACTIONS(13061), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [307483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13063), 1,
      anon_sym_RPAREN,
    STATE(8014), 1,
      sym_gnu_asm_output_operand_list,
  [307496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13065), 1,
      anon_sym_RPAREN,
    STATE(8019), 1,
      sym_gnu_asm_input_operand_list,
  [307509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(13067), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [307522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8583), 1,
      anon_sym_COMMA,
    ACTIONS(8585), 1,
      anon_sym_RBRACE,
    STATE(8161), 1,
      aux_sym_initializer_list_repeat1,
  [307535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
    STATE(8239), 1,
      sym_gnu_asm_clobber_list,
  [307548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13071), 1,
      anon_sym_RPAREN,
    STATE(9413), 1,
      sym_gnu_asm_goto_list,
  [307561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13073), 1,
      anon_sym_RPAREN,
    STATE(9365), 1,
      sym_gnu_asm_goto_list,
  [307574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
    STATE(8245), 1,
      sym_gnu_asm_input_operand_list,
  [307587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8758), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [307600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
    STATE(8246), 1,
      sym_gnu_asm_clobber_list,
  [307613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(404), 1,
      sym_declaration_list,
  [307626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(13079), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [307639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13081), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [307652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      sym_identifier,
    STATE(3229), 1,
      sym_template_type,
    STATE(4330), 1,
      sym_template_function,
  [307665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    STATE(8394), 1,
      aux_sym_argument_list_repeat1,
  [307678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_catch,
    STATE(352), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [307689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
    STATE(8225), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [307702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_catch,
    STATE(2105), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [307713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13087), 1,
      anon_sym_GT2,
    STATE(8262), 1,
      aux_sym_template_argument_list_repeat1,
  [307726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13089), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13091), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13093), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13095), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [307778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13097), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [307791] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8577), 1,
      anon_sym_RPAREN,
    STATE(8177), 1,
      aux_sym_argument_list_repeat1,
  [307804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13099), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [307817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13101), 1,
      anon_sym_RPAREN,
    STATE(8280), 1,
      sym_gnu_asm_input_operand_list,
  [307830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13103), 1,
      anon_sym_RPAREN,
    STATE(8247), 1,
      sym_gnu_asm_clobber_list,
  [307843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_COMMA,
    ACTIONS(13108), 1,
      anon_sym_RPAREN,
    STATE(8269), 1,
      aux_sym_throw_specifier_repeat1,
  [307856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8930), 1,
      anon_sym_RBRACK,
    ACTIONS(13110), 1,
      anon_sym_COMMA,
    STATE(8270), 1,
      aux_sym_subscript_argument_list_repeat1,
  [307869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13113), 1,
      anon_sym_RPAREN,
    STATE(9377), 1,
      sym_gnu_asm_goto_list,
  [307882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [307891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13117), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      anon_sym_COMMA,
    ACTIONS(13119), 1,
      anon_sym_RPAREN,
    STATE(8174), 1,
      aux_sym_requires_parameter_list_repeat1,
  [307917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13121), 1,
      anon_sym_RPAREN,
    STATE(8250), 1,
      sym_gnu_asm_input_operand_list,
  [307930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13123), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [307943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
    STATE(8268), 1,
      sym_gnu_asm_input_operand_list,
  [307956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [307969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(13129), 1,
      anon_sym_constexpr,
    STATE(196), 1,
      sym_condition_clause,
  [307982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13131), 1,
      anon_sym_RPAREN,
    STATE(8271), 1,
      sym_gnu_asm_clobber_list,
  [307995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
    STATE(8248), 1,
      sym_gnu_asm_output_operand_list,
  [308008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(13135), 1,
      anon_sym_constexpr,
    STATE(177), 1,
      sym_condition_clause,
  [308021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13137), 1,
      anon_sym_GT2,
    STATE(8286), 1,
      aux_sym_template_argument_list_repeat1,
  [308034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13139), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13141), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13143), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13145), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [308095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8775), 1,
      anon_sym_COMMA,
    ACTIONS(8777), 1,
      anon_sym_RBRACE,
    STATE(8399), 1,
      aux_sym_initializer_list_repeat1,
  [308108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_RBRACE,
    ACTIONS(13149), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [308121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [308134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      anon_sym_catch,
    STATE(478), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [308145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2997), 1,
      sym_template_function,
  [308158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_catch,
    STATE(2102), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [308169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [308178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13155), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(13157), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [308204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13159), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(893), 1,
      sym_declaration_list,
  [308230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(4014), 1,
      sym_template_function,
  [308243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13163), 1,
      anon_sym_SEMI,
    STATE(8264), 1,
      aux_sym_declaration_repeat1,
  [308256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [308265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13167), 1,
      anon_sym_SEMI,
    STATE(8178), 1,
      aux_sym_declaration_repeat1,
  [308278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13169), 1,
      anon_sym_GT2,
    STATE(8307), 1,
      aux_sym_template_argument_list_repeat1,
  [308291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13171), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13173), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13175), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_while,
    ACTIONS(13177), 1,
      anon_sym_else,
    STATE(800), 1,
      sym_else_clause,
  [308343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
    STATE(8267), 1,
      sym_gnu_asm_output_operand_list,
  [308356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13181), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(897), 1,
      sym_declaration_list,
  [308382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(13183), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [308395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13185), 1,
      anon_sym_SEMI,
    STATE(8310), 1,
      aux_sym_declaration_repeat1,
  [308408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 1,
      anon_sym_while,
    ACTIONS(13177), 1,
      anon_sym_else,
    STATE(681), 1,
      sym_else_clause,
  [308421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13187), 1,
      anon_sym_GT2,
    STATE(8273), 1,
      aux_sym_template_argument_list_repeat1,
  [308434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_COMMA,
    ACTIONS(13192), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13194), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8173), 1,
      aux_sym_attribute_declaration_repeat1,
  [308460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13196), 1,
      anon_sym_RPAREN,
    STATE(8275), 1,
      sym_gnu_asm_output_operand_list,
  [308473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13198), 1,
      anon_sym_SEMI,
    STATE(8198), 1,
      aux_sym_declaration_repeat1,
  [308486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13200), 1,
      anon_sym_GT2,
    STATE(8375), 1,
      aux_sym_template_argument_list_repeat1,
  [308499] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13202), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [308512] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13204), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13206), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8654), 1,
      anon_sym_COMMA,
    ACTIONS(8656), 1,
      anon_sym_RBRACE,
    STATE(8290), 1,
      aux_sym_initializer_list_repeat1,
  [308551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13208), 1,
      anon_sym_GT2,
    STATE(8328), 1,
      aux_sym_template_argument_list_repeat1,
  [308564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13210), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13212), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13214), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(13216), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [308616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(13218), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [308629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13220), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8666), 1,
      anon_sym_RPAREN,
    STATE(8291), 1,
      aux_sym_argument_list_repeat1,
  [308655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13222), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8127), 1,
      aux_sym_attribute_declaration_repeat1,
  [308668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13224), 1,
      anon_sym_RPAREN,
    STATE(8356), 1,
      sym_gnu_asm_clobber_list,
  [308681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10290), 1,
      anon_sym_RPAREN,
    ACTIONS(13226), 1,
      anon_sym_COMMA,
    STATE(8335), 1,
      aux_sym_preproc_argument_list_repeat1,
  [308694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_catch,
    STATE(230), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [308705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_catch,
    STATE(337), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [308716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(7039), 1,
      sym_template_function,
  [308729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(13231), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [308742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
    STATE(8360), 1,
      sym_gnu_asm_input_operand_list,
  [308755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [308768] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13237), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(4330), 1,
      sym_template_function,
  [308781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13239), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_COMMA,
    ACTIONS(13244), 1,
      anon_sym_RPAREN,
    STATE(8344), 1,
      aux_sym_preproc_params_repeat1,
  [308807] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13246), 1,
      anon_sym_GT2,
    STATE(8348), 1,
      aux_sym_template_argument_list_repeat1,
  [308820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13248), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308833] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13250), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13252), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [308859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13254), 1,
      anon_sym_SEMI,
    STATE(8343), 1,
      aux_sym_declaration_repeat1,
  [308872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(13256), 1,
      anon_sym_RPAREN,
    STATE(8400), 1,
      aux_sym_parameter_list_repeat1,
  [308885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(13260), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [308896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_RBRACE,
    ACTIONS(13262), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [308909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13264), 1,
      anon_sym_SEMI,
    STATE(8296), 1,
      aux_sym_declaration_repeat1,
  [308922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13266), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13268), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [308948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13270), 1,
      anon_sym_RPAREN,
    STATE(9627), 1,
      sym_gnu_asm_goto_list,
  [308961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(13272), 1,
      anon_sym_RPAREN,
    STATE(8339), 1,
      aux_sym_parameter_list_repeat1,
  [308974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12265), 1,
      anon_sym_LBRACE,
    STATE(7958), 1,
      aux_sym_base_class_clause_repeat1,
  [308987] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13274), 1,
      aux_sym_preproc_include_token2,
    STATE(9215), 1,
      sym_preproc_argument_list,
  [309000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_COLON,
    ACTIONS(13276), 1,
      anon_sym_RPAREN,
    STATE(8374), 1,
      sym_gnu_asm_clobber_list,
  [309013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    ACTIONS(8718), 1,
      anon_sym_RBRACK,
    STATE(8191), 1,
      aux_sym_subscript_argument_list_repeat1,
  [309026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13278), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(2997), 1,
      sym_template_function,
  [309039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13280), 1,
      anon_sym_RPAREN,
    STATE(8242), 1,
      sym_gnu_asm_output_operand_list,
  [309052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_COMMA,
    ACTIONS(12265), 1,
      anon_sym_LBRACE,
    STATE(7984), 1,
      aux_sym_base_class_clause_repeat1,
  [309065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13282), 1,
      anon_sym_GT2,
    STATE(8368), 1,
      aux_sym_template_argument_list_repeat1,
  [309078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13284), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13286), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13288), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_catch,
    STATE(1163), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [309128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11368), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [309137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13292), 1,
      anon_sym_default,
    ACTIONS(13294), 1,
      anon_sym_delete,
    ACTIONS(13296), 1,
      anon_sym_0,
  [309150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_catch,
    STATE(320), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [309161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13298), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8266), 1,
      aux_sym_attribute_declaration_repeat1,
  [309174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_COLON,
    ACTIONS(13300), 1,
      anon_sym_RPAREN,
    STATE(9634), 1,
      sym_gnu_asm_goto_list,
  [309187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13302), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8587), 1,
      anon_sym_COMMA,
    ACTIONS(13304), 1,
      anon_sym_RPAREN,
    STATE(8240), 1,
      aux_sym_generic_expression_repeat1,
  [309213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13306), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13308), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8129), 1,
      aux_sym_attribute_declaration_repeat1,
  [309239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13310), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309252] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13312), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13314), 1,
      anon_sym_RPAREN,
    STATE(8277), 1,
      sym_gnu_asm_output_operand_list,
  [309278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13316), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3352), 1,
      sym_template_function,
  [309291] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13318), 1,
      aux_sym_preproc_include_token2,
    STATE(9215), 1,
      sym_preproc_argument_list,
  [309304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_COMMA,
    ACTIONS(13320), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(8333), 1,
      aux_sym_attribute_declaration_repeat1,
  [309317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13322), 1,
      anon_sym_GT2,
    STATE(8388), 1,
      aux_sym_template_argument_list_repeat1,
  [309330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13324), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13326), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13328), 1,
      anon_sym_GT2,
    STATE(8032), 1,
      aux_sym_template_argument_list_repeat1,
  [309369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    ACTIONS(13330), 1,
      anon_sym_LBRACE,
    STATE(8213), 1,
      aux_sym_field_initializer_list_repeat1,
  [309382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_COMMA,
    ACTIONS(13332), 1,
      anon_sym_GT2,
    STATE(8196), 1,
      aux_sym_template_argument_list_repeat1,
  [309395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_COLON,
    ACTIONS(13334), 1,
      anon_sym_RPAREN,
    STATE(8015), 1,
      sym_gnu_asm_output_operand_list,
  [309408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12512), 1,
      anon_sym_COLON,
    ACTIONS(13336), 1,
      anon_sym_RPAREN,
    STATE(8012), 1,
      sym_gnu_asm_input_operand_list,
  [309421] = 4,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_LPAREN2,
    ACTIONS(13338), 1,
      aux_sym_preproc_include_token2,
    STATE(9215), 1,
      sym_preproc_argument_list,
  [309434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8525), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    STATE(8130), 1,
      aux_sym_argument_list_repeat1,
  [309447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_COMMA,
    ACTIONS(13340), 1,
      anon_sym_GT2,
    STATE(8182), 1,
      aux_sym_template_parameter_list_repeat1,
  [309460] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13342), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
    STATE(3782), 1,
      sym_template_function,
  [309473] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7677), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13344), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [309484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(13346), 1,
      anon_sym_constexpr,
    STATE(218), 1,
      sym_condition_clause,
  [309497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RBRACE,
    ACTIONS(13348), 1,
      anon_sym_COMMA,
    STATE(8073), 1,
      aux_sym_initializer_list_repeat1,
  [309510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(13350), 1,
      anon_sym_RPAREN,
    STATE(8164), 1,
      aux_sym_parameter_list_repeat1,
  [309523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10114), 1,
      anon_sym_COMMA,
    ACTIONS(13352), 1,
      anon_sym_SEMI,
    STATE(8316), 1,
      aux_sym_declaration_repeat1,
  [309536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    STATE(902), 1,
      sym_declaration_list,
  [309549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    ACTIONS(13354), 1,
      anon_sym_constexpr,
    STATE(200), 1,
      sym_condition_clause,
  [309562] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    STATE(7703), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(13356), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [309573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1200), 1,
      sym_compound_statement,
  [309583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [309591] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13358), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13360), 1,
      sym_preproc_arg,
  [309601] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13362), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13364), 1,
      sym_preproc_arg,
  [309611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(178), 1,
      sym_condition_clause,
  [309621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8378), 1,
      sym_attribute,
  [309631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3338), 1,
      sym_field_declaration_list,
  [309641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    STATE(905), 1,
      sym_declaration_list,
  [309651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13368), 1,
      anon_sym_LPAREN2,
    ACTIONS(13370), 1,
      sym_raw_string_delimiter,
  [309661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13372), 1,
      anon_sym_LPAREN2,
    ACTIONS(13374), 1,
      sym_raw_string_delimiter,
  [309671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13376), 1,
      anon_sym_LPAREN2,
    ACTIONS(13378), 1,
      sym_raw_string_delimiter,
  [309681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13380), 1,
      anon_sym_LPAREN2,
    ACTIONS(13382), 1,
      sym_raw_string_delimiter,
  [309691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8500), 1,
      sym_condition_clause,
  [309701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13384), 1,
      anon_sym_LPAREN2,
    ACTIONS(13386), 1,
      sym_raw_string_delimiter,
  [309711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(198), 1,
      sym_condition_clause,
  [309721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13388), 1,
      anon_sym_LPAREN2,
    ACTIONS(13390), 1,
      sym_raw_string_delimiter,
  [309731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13394), 1,
      anon_sym_RBRACE,
  [309741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8197), 1,
      sym_compound_statement,
  [309751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_compound_statement,
  [309761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13396), 1,
      anon_sym_LPAREN2,
    ACTIONS(13398), 1,
      sym_raw_string_delimiter,
  [309771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8256), 1,
      sym_compound_statement,
  [309781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13400), 1,
      anon_sym_LPAREN2,
    ACTIONS(13402), 1,
      sym_raw_string_delimiter,
  [309791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2868), 1,
      sym_template_argument_list,
  [309801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13404), 1,
      anon_sym_LPAREN2,
    ACTIONS(13406), 1,
      sym_raw_string_delimiter,
  [309811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8317), 1,
      sym_attribute,
  [309821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13408), 1,
      anon_sym_LPAREN2,
    ACTIONS(13410), 1,
      sym_raw_string_delimiter,
  [309831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13412), 1,
      anon_sym_LPAREN2,
    ACTIONS(13414), 1,
      sym_raw_string_delimiter,
  [309841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9510), 1,
      sym_argument_list,
  [309851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13416), 1,
      anon_sym_LPAREN2,
    ACTIONS(13418), 1,
      sym_raw_string_delimiter,
  [309861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_LBRACE,
    STATE(5034), 1,
      sym_initializer_list,
  [309871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13420), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
  [309881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13422), 1,
      anon_sym_LPAREN2,
    ACTIONS(13424), 1,
      sym_raw_string_delimiter,
  [309891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8520), 1,
      sym_condition_clause,
  [309901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(221), 1,
      sym_condition_clause,
  [309911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13426), 1,
      anon_sym_LPAREN2,
    ACTIONS(13428), 1,
      sym_raw_string_delimiter,
  [309921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13430), 1,
      anon_sym_LPAREN2,
    ACTIONS(13432), 1,
      sym_raw_string_delimiter,
  [309931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13434), 1,
      anon_sym_LPAREN2,
    ACTIONS(13436), 1,
      sym_raw_string_delimiter,
  [309941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9279), 1,
      sym_argument_list,
  [309951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13438), 1,
      sym_identifier,
    STATE(3324), 1,
      sym_template_type,
  [309961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13440), 1,
      anon_sym_LPAREN2,
    ACTIONS(13442), 1,
      sym_raw_string_delimiter,
  [309971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_LBRACE,
    STATE(2896), 1,
      sym_initializer_list,
  [309981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7670), 1,
      sym_compound_statement,
  [309991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_compound_statement,
  [310001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8203), 1,
      sym_compound_statement,
  [310011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13444), 1,
      anon_sym_LPAREN2,
    ACTIONS(13446), 1,
      sym_raw_string_delimiter,
  [310021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3323), 1,
      sym_field_declaration_list,
  [310031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13448), 1,
      sym_identifier,
    STATE(3067), 1,
      sym_template_type,
  [310041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(224), 1,
      sym_condition_clause,
  [310051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    STATE(4500), 1,
      sym_initializer_list,
  [310061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3924), 1,
      sym_field_declaration_list,
  [310071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13450), 1,
      sym_identifier,
    ACTIONS(13452), 1,
      anon_sym_LPAREN2,
  [310081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5648), 1,
      sym_field_declaration_list,
  [310091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12000), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
  [310101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13454), 1,
      sym_identifier,
    STATE(2199), 1,
      sym_template_type,
  [310111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3332), 1,
      sym_field_declaration_list,
  [310121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      anon_sym_LT,
    STATE(3674), 1,
      sym_template_argument_list,
  [310131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(193), 1,
      sym_condition_clause,
  [310141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_compound_statement,
  [310151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4578), 1,
      sym_field_declaration_list,
  [310161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4587), 1,
      sym_field_declaration_list,
  [310171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4564), 1,
      sym_field_declaration_list,
  [310181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13458), 1,
      sym_identifier,
    ACTIONS(13460), 1,
      anon_sym_LPAREN2,
  [310191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(608), 1,
      sym_compound_statement,
  [310201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13462), 1,
      anon_sym_SEMI,
  [310211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12006), 1,
      anon_sym_LBRACE,
    STATE(2069), 1,
      sym_requirement_seq,
  [310221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_compound_statement,
  [310231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(4568), 1,
      sym_field_declaration_list,
  [310241] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13464), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13466), 1,
      sym_preproc_arg,
  [310251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13468), 1,
      anon_sym_LPAREN2,
    ACTIONS(13470), 1,
      sym_raw_string_delimiter,
  [310261] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13472), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13474), 1,
      sym_preproc_arg,
  [310271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
  [310281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13244), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [310289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_declaration_list,
  [310299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13260), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13476), 1,
      anon_sym_RBRACE,
  [310317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10972), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [310327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9759), 1,
      anon_sym_LBRACE,
    STATE(2962), 1,
      sym_requirement_seq,
  [310337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13478), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [310345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9050), 1,
      sym_argument_list,
  [310355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5665), 1,
      sym_field_declaration_list,
  [310365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(647), 1,
      sym_compound_statement,
  [310375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7907), 1,
      sym_compound_statement,
  [310385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3044), 1,
      sym_field_declaration_list,
  [310395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3012), 1,
      sym_field_declaration_list,
  [310405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_LBRACE,
    STATE(3962), 1,
      sym_initializer_list,
  [310415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2177), 1,
      sym_compound_statement,
  [310425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_LT,
    STATE(3559), 1,
      sym_template_argument_list,
  [310435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(192), 1,
      sym_condition_clause,
  [310445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3048), 1,
      sym_field_declaration_list,
  [310455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [310463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_declaration_list,
  [310473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [310481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13480), 1,
      anon_sym_LT,
    STATE(3005), 1,
      sym_template_argument_list,
  [310491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_compound_statement,
  [310501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_declaration_list,
  [310511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_compound_statement,
  [310521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13482), 1,
      anon_sym_RBRACE,
  [310531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8688), 1,
      anon_sym_RBRACK,
    ACTIONS(13484), 1,
      anon_sym_COMMA,
  [310541] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13486), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13488), 1,
      sym_preproc_arg,
  [310551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(9400), 1,
      sym_parenthesized_expression,
  [310561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(3401), 1,
      sym_template_argument_list,
  [310571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5664), 1,
      sym_field_declaration_list,
  [310581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1176), 1,
      sym_compound_statement,
  [310591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8930), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [310599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(3037), 1,
      sym_field_declaration_list,
  [310609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8624), 1,
      sym_parameter_list,
  [310619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1195), 1,
      sym_compound_statement,
  [310629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3813), 1,
      sym_field_declaration_list,
  [310639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13492), 1,
      anon_sym_LT,
    STATE(4483), 1,
      sym_template_argument_list,
  [310649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    STATE(402), 1,
      sym_declaration_list,
  [310659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3302), 1,
      sym_field_declaration_list,
  [310669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10671), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [310693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_condition_clause,
  [310703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(663), 1,
      sym_compound_statement,
  [310713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_compound_statement,
  [310723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11054), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [310733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8712), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [310741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6444), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8163), 1,
      sym_compound_statement,
  [310759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(628), 1,
      sym_compound_statement,
  [310769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym_LBRACE,
    STATE(5673), 1,
      sym_field_declaration_list,
  [310779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6448), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [310797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    STATE(891), 1,
      sym_declaration_list,
  [310815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(226), 1,
      sym_condition_clause,
  [310825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6476), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(417), 1,
      sym_compound_statement,
  [310843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13494), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
  [310853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6488), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6492), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2547), 1,
      sym_compound_statement,
  [310879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6580), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [310887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3281), 1,
      sym_field_declaration_list,
  [310897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3270), 1,
      sym_field_declaration_list,
  [310907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13040), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13496), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [310923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9037), 1,
      anon_sym_LT,
    STATE(5593), 1,
      sym_template_argument_list,
  [310933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8736), 1,
      sym_parenthesized_expression,
  [310943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6130), 1,
      sym_field_declaration_list,
  [310953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6121), 1,
      sym_field_declaration_list,
  [310963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6131), 1,
      sym_field_declaration_list,
  [310973] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13498), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13500), 1,
      sym_preproc_arg,
  [310983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LBRACE,
    STATE(6112), 1,
      sym_field_declaration_list,
  [310993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13502), 1,
      anon_sym_RBRACE,
  [311003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3710), 1,
      sym_field_declaration_list,
  [311013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [311021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13504), 1,
      anon_sym_RBRACE,
  [311031] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13506), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13508), 1,
      sym_preproc_arg,
  [311041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_compound_statement,
  [311051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [311061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13510), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [311069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    STATE(3698), 1,
      sym_initializer_list,
  [311079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13512), 1,
      sym_identifier,
    STATE(2947), 1,
      sym_template_type,
  [311089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_declaration_list,
  [311099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_LT,
    STATE(3059), 1,
      sym_template_argument_list,
  [311109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13516), 1,
      sym_identifier,
    STATE(3345), 1,
      sym_template_type,
  [311119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym_declaration_list,
  [311129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_LT,
    STATE(4066), 1,
      sym_template_argument_list,
  [311139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(884), 1,
      sym_compound_statement,
  [311149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(376), 1,
      sym_compound_statement,
  [311159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_declaration_list,
  [311169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3426), 1,
      sym_field_declaration_list,
  [311179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13518), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [311187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3126), 1,
      sym_field_declaration_list,
  [311197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12939), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [311205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(835), 1,
      sym_compound_statement,
  [311215] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13520), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13522), 1,
      sym_preproc_arg,
  [311225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5197), 1,
      anon_sym_LBRACE,
    STATE(356), 1,
      sym_declaration_list,
  [311235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(628), 1,
      sym_compound_statement,
  [311245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13524), 1,
      anon_sym_RBRACE,
  [311255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13526), 1,
      anon_sym_RBRACE,
  [311265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6309), 1,
      anon_sym_LBRACE,
    STATE(3370), 1,
      sym_field_declaration_list,
  [311275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12910), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [311283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13528), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [311291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_LBRACE,
    STATE(6535), 1,
      sym_requirement_seq,
  [311301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2399), 1,
      sym_compound_statement,
  [311311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8710), 1,
      sym_parenthesized_expression,
  [311321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3125), 1,
      sym_field_declaration_list,
  [311331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3121), 1,
      sym_field_declaration_list,
  [311341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [311349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_compound_statement,
  [311359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(559), 1,
      sym_compound_statement,
  [311369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10988), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [311379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13530), 1,
      anon_sym_SEMI,
  [311389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [311397] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13532), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13534), 1,
      sym_preproc_arg,
  [311407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9297), 1,
      anon_sym_LT,
    STATE(3187), 1,
      sym_template_argument_list,
  [311417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13536), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [311425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_LT,
    STATE(3142), 1,
      sym_template_argument_list,
  [311435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9751), 1,
      anon_sym_LBRACE,
    STATE(4148), 1,
      sym_requirement_seq,
  [311445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9708), 1,
      anon_sym_LBRACE,
    STATE(4438), 1,
      sym_requirement_seq,
  [311455] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13540), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13542), 1,
      sym_preproc_arg,
  [311465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [311473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6153), 1,
      anon_sym_LBRACE,
    STATE(3135), 1,
      sym_field_declaration_list,
  [311483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11006), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [311493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
  [311503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3384), 1,
      sym_field_declaration_list,
  [311513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3385), 1,
      sym_field_declaration_list,
  [311523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_compound_statement,
  [311533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(631), 1,
      sym_compound_statement,
  [311543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5201), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_declaration_list,
  [311553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12829), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [311561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7775), 1,
      sym_compound_statement,
  [311571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2474), 1,
      sym_compound_statement,
  [311581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13544), 1,
      anon_sym_RBRACE,
  [311591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13546), 1,
      sym_identifier,
    STATE(4515), 1,
      sym_template_type,
  [311601] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13548), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13550), 1,
      sym_preproc_arg,
  [311611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8742), 1,
      sym_parameter_list,
  [311621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LBRACE,
    STATE(3452), 1,
      sym_field_declaration_list,
  [311631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13552), 1,
      anon_sym_LT,
    STATE(2688), 1,
      sym_template_argument_list,
  [311641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_LBRACE,
    STATE(2145), 1,
      sym_compound_statement,
  [311651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [311659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9716), 1,
      anon_sym_LBRACE,
    STATE(4140), 1,
      sym_requirement_seq,
  [311669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9303), 1,
      sym_argument_list,
  [311679] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13554), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13556), 1,
      sym_preproc_arg,
  [311689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9003), 1,
      sym_argument_list,
  [311699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_compound_statement,
  [311709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(773), 1,
      sym_compound_statement,
  [311719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13558), 1,
      anon_sym_SEMI,
  [311729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6645), 1,
      anon_sym_LBRACE,
    STATE(3290), 1,
      sym_field_declaration_list,
  [311739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8776), 1,
      sym_parameter_list,
  [311749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(8826), 1,
      sym_argument_list,
  [311759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8036), 1,
      sym_compound_statement,
  [311769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7983), 1,
      sym_compound_statement,
  [311779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8733), 1,
      sym_parameter_list,
  [311789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3638), 1,
      sym_field_declaration_list,
  [311799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3636), 1,
      sym_field_declaration_list,
  [311809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9035), 1,
      sym_argument_list,
  [311819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [311829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7977), 1,
      sym_compound_statement,
  [311839] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13560), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13562), 1,
      sym_preproc_arg,
  [311849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [311857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8004), 1,
      sym_attribute,
  [311867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13564), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [311875] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13566), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13568), 1,
      sym_preproc_arg,
  [311885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8057), 1,
      sym_compound_statement,
  [311895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13570), 1,
      sym_identifier,
    STATE(3229), 1,
      sym_template_type,
  [311905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13572), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [311913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
  [311923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13574), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [311931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8618), 1,
      sym_parameter_list,
  [311941] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13576), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13578), 1,
      sym_preproc_arg,
  [311951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13580), 1,
      sym_identifier,
    STATE(3109), 1,
      sym_template_type,
  [311961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9298), 1,
      sym_argument_list,
  [311971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_LBRACE,
    STATE(4393), 1,
      sym_initializer_list,
  [311981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13582), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [311989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7940), 1,
      sym_compound_statement,
  [311999] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13584), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13586), 1,
      sym_preproc_arg,
  [312009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8184), 1,
      sym_attribute,
  [312019] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13588), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13590), 1,
      sym_preproc_arg,
  [312029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8511), 1,
      sym_parenthesized_expression,
  [312039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8258), 1,
      sym_compound_statement,
  [312049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8507), 1,
      sym_parameter_list,
  [312059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13552), 1,
      anon_sym_LT,
    STATE(2868), 1,
      sym_template_argument_list,
  [312069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4005), 1,
      anon_sym_LBRACE,
    STATE(5557), 1,
      sym_initializer_list,
  [312079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4735), 1,
      sym_field_declaration_list,
  [312089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5781), 1,
      sym_field_declaration_list,
  [312099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9562), 1,
      sym_argument_list,
  [312109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13514), 1,
      anon_sym_LT,
    STATE(3916), 1,
      sym_template_argument_list,
  [312119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13592), 1,
      anon_sym_RBRACE,
  [312129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13594), 1,
      sym_identifier,
    STATE(2256), 1,
      sym_template_type,
  [312139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8369), 1,
      sym_compound_statement,
  [312149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8384), 1,
      sym_attribute,
  [312159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13596), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [312167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8485), 1,
      sym_parenthesized_expression,
  [312177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8954), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [312185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8292), 1,
      sym_compound_statement,
  [312195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      anon_sym_LBRACE,
    STATE(6793), 1,
      sym_requirement_seq,
  [312205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9776), 1,
      anon_sym_LBRACE,
    STATE(4260), 1,
      sym_requirement_seq,
  [312215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8538), 1,
      sym_parameter_list,
  [312225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13598), 1,
      sym_identifier,
    ACTIONS(13600), 1,
      anon_sym_RPAREN,
  [312235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2679), 1,
      sym_compound_statement,
  [312245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(9381), 1,
      sym_parenthesized_expression,
  [312255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13552), 1,
      anon_sym_LT,
    STATE(2254), 1,
      sym_template_argument_list,
  [312265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13602), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [312273] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13604), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13606), 1,
      sym_preproc_arg,
  [312283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4718), 1,
      sym_field_declaration_list,
  [312293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13608), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
  [312303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4717), 1,
      sym_field_declaration_list,
  [312313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8639), 1,
      sym_attribute,
  [312323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13610), 1,
      sym_identifier,
    STATE(2199), 1,
      sym_template_type,
  [312333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7860), 1,
      sym_compound_statement,
  [312343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LBRACE,
    STATE(4241), 1,
      sym_initializer_list,
  [312353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9082), 1,
      sym_argument_list,
  [312363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    STATE(2422), 1,
      sym_field_declaration_list,
  [312373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
  [312383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_compound_statement,
  [312393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13456), 1,
      anon_sym_LT,
    STATE(2868), 1,
      sym_template_argument_list,
  [312403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8007), 1,
      sym_compound_statement,
  [312413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8405), 1,
      sym_condition_clause,
  [312423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8100), 1,
      sym_attribute,
  [312433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11046), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [312443] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13612), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13614), 1,
      sym_preproc_arg,
  [312453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5810), 1,
      sym_field_declaration_list,
  [312463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8521), 1,
      sym_parenthesized_expression,
  [312473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5802), 1,
      sym_field_declaration_list,
  [312483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(3134), 1,
      sym_template_argument_list,
  [312493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8337), 1,
      sym_compound_statement,
  [312503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8467), 1,
      sym_parameter_list,
  [312513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(9760), 1,
      sym_parenthesized_expression,
  [312523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13616), 1,
      sym_identifier,
    STATE(2844), 1,
      sym_template_type,
  [312533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
  [312543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_compound_statement,
  [312553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym_declaration_list,
  [312563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 1,
      anon_sym_LBRACE,
    STATE(3697), 1,
      sym_requirement_seq,
  [312573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2683), 1,
      sym_compound_statement,
  [312583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(184), 1,
      sym_condition_clause,
  [312593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1103), 1,
      sym_compound_statement,
  [312603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13108), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [312611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7639), 1,
      sym_compound_statement,
  [312621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_LBRACE,
    STATE(4699), 1,
      sym_field_declaration_list,
  [312631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9385), 1,
      sym_argument_list,
  [312641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9732), 1,
      anon_sym_LBRACE,
    STATE(5165), 1,
      sym_requirement_seq,
  [312651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13618), 1,
      anon_sym_RBRACE,
  [312661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2716), 1,
      sym_compound_statement,
  [312671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8187), 1,
      sym_compound_statement,
  [312681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(172), 1,
      sym_condition_clause,
  [312691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(994), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_compound_statement,
  [312701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [312709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_compound_statement,
  [312719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8625), 1,
      sym_condition_clause,
  [312729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LBRACE,
    STATE(5779), 1,
      sym_field_declaration_list,
  [312739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8826), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [312747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10966), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [312757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8179), 1,
      sym_attribute,
  [312767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    STATE(2340), 1,
      sym_compound_statement,
  [312777] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13620), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13622), 1,
      sym_preproc_arg,
  [312787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9266), 1,
      anon_sym_LT,
    STATE(2344), 1,
      sym_template_argument_list,
  [312797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_compound_statement,
  [312807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8727), 1,
      sym_parenthesized_expression,
  [312817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_LT,
    STATE(4043), 1,
      sym_template_argument_list,
  [312827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8107), 1,
      sym_compound_statement,
  [312837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13624), 1,
      sym_identifier,
    STATE(4353), 1,
      sym_template_type,
  [312847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_declaration_list,
  [312857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(606), 1,
      sym_compound_statement,
  [312867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8773), 1,
      sym_parameter_list,
  [312877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_compound_statement,
  [312887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [312897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(8373), 1,
      sym_attribute,
  [312907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8833), 1,
      sym_parenthesized_expression,
  [312917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(909), 1,
      sym_compound_statement,
  [312927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8462), 1,
      sym_condition_clause,
  [312937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_declaration_list,
  [312947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(215), 1,
      sym_condition_clause,
  [312957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11044), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [312967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13626), 1,
      anon_sym_SEMI,
  [312977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    STATE(2458), 1,
      sym_field_declaration_list,
  [312987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    STATE(2459), 1,
      sym_field_declaration_list,
  [312997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8336), 1,
      sym_compound_statement,
  [313007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(213), 1,
      sym_condition_clause,
  [313017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7938), 1,
      sym_compound_statement,
  [313027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(8927), 1,
      sym_argument_list,
  [313037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13628), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
  [313047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13630), 1,
      sym_identifier,
    STATE(5588), 1,
      sym_template_type,
  [313057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3893), 1,
      sym_field_declaration_list,
  [313067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13632), 1,
      sym_identifier,
    STATE(2838), 1,
      sym_template_type,
  [313077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6716), 1,
      anon_sym_LBRACE,
    STATE(3806), 1,
      sym_field_declaration_list,
  [313087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_LBRACE,
    STATE(3894), 1,
      sym_field_declaration_list,
  [313097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7943), 1,
      sym_compound_statement,
  [313107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(197), 1,
      sym_condition_clause,
  [313117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(8694), 1,
      sym_condition_clause,
  [313127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7956), 1,
      anon_sym_LPAREN2,
    STATE(9461), 1,
      sym_argument_list,
  [313137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7649), 1,
      sym_compound_statement,
  [313147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12504), 1,
      anon_sym_LPAREN2,
    STATE(183), 1,
      sym_condition_clause,
  [313157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13634), 1,
      anon_sym_SEMI,
  [313167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(394), 1,
      sym_compound_statement,
  [313177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13366), 1,
      sym_identifier,
    STATE(7966), 1,
      sym_attribute,
  [313187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
    ACTIONS(8650), 1,
      anon_sym_SEMI,
  [313197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10836), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_compound_statement,
  [313207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4556), 1,
      sym_field_declaration_list,
  [313217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      anon_sym_LT,
    STATE(2052), 1,
      sym_template_argument_list,
  [313227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13636), 1,
      anon_sym_RBRACE,
  [313237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13638), 1,
      sym_identifier,
    STATE(2199), 1,
      sym_template_type,
  [313247] = 3,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13640), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13642), 1,
      sym_preproc_arg,
  [313257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13538), 1,
      anon_sym_LT,
    STATE(4246), 1,
      sym_template_argument_list,
  [313267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4577), 1,
      sym_field_declaration_list,
  [313277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9724), 1,
      anon_sym_LBRACE,
    STATE(5072), 1,
      sym_requirement_seq,
  [313287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10794), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_compound_statement,
  [313297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(9766), 1,
      sym_parenthesized_expression,
  [313307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACE,
    STATE(2484), 1,
      sym_field_declaration_list,
  [313317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6761), 1,
      anon_sym_LT,
    STATE(3326), 1,
      sym_template_argument_list,
  [313327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11056), 1,
      anon_sym_RBRACE,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [313337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8922), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [313345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(9321), 1,
      sym_parenthesized_expression,
  [313355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9785), 1,
      anon_sym_LPAREN2,
    STATE(8588), 1,
      sym_parameter_list,
  [313365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
    ACTIONS(13644), 1,
      anon_sym_RBRACE,
  [313375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5199), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_declaration_list,
  [313385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8135), 1,
      sym_compound_statement,
  [313395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_compound_statement,
  [313405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4554), 1,
      sym_field_declaration_list,
  [313415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_LBRACE,
    STATE(4555), 1,
      sym_field_declaration_list,
  [313425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13490), 1,
      anon_sym_LPAREN2,
    STATE(8607), 1,
      sym_parenthesized_expression,
  [313435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13646), 1,
      anon_sym_SEMI,
  [313442] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13648), 1,
      aux_sym_preproc_include_token2,
  [313449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13650), 1,
      anon_sym_RPAREN,
  [313456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_STAR,
  [313463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13654), 1,
      sym_identifier,
  [313470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13656), 1,
      anon_sym_RPAREN,
  [313477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13658), 1,
      anon_sym_RPAREN,
  [313484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13660), 1,
      anon_sym_RPAREN,
  [313491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8940), 1,
      anon_sym_SEMI,
  [313498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13662), 1,
      anon_sym_RPAREN,
  [313505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13664), 1,
      anon_sym_RPAREN,
  [313512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13666), 1,
      anon_sym_COMMA,
  [313519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13668), 1,
      anon_sym_COLON,
  [313526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13670), 1,
      anon_sym_RPAREN,
  [313533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13672), 1,
      anon_sym_RPAREN,
  [313540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13674), 1,
      sym_identifier,
  [313547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PERCENT,
  [313554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13644), 1,
      anon_sym_RBRACE,
  [313561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13676), 1,
      sym_identifier,
  [313568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11056), 1,
      anon_sym_RBRACE,
  [313575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13678), 1,
      anon_sym_RBRACE,
  [313582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PIPE_PIPE,
  [313589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13680), 1,
      sym_identifier,
  [313596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13682), 1,
      anon_sym_RPAREN,
  [313603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_AMP_AMP,
  [313610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13684), 1,
      aux_sym_preproc_if_token2,
  [313617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13686), 1,
      anon_sym_RPAREN,
  [313624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13688), 1,
      anon_sym_SEMI,
  [313631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13690), 1,
      aux_sym_preproc_if_token2,
  [313638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13692), 1,
      anon_sym_SEMI,
  [313645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11058), 1,
      anon_sym_RPAREN,
  [313652] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13694), 1,
      aux_sym_preproc_include_token2,
  [313659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13696), 1,
      sym_raw_string_delimiter,
  [313666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13698), 1,
      anon_sym_SEMI,
  [313673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13700), 1,
      aux_sym_preproc_if_token2,
  [313680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PIPE,
  [313687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13702), 1,
      sym_auto,
  [313694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_CARET,
  [313701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13704), 1,
      anon_sym_STAR,
  [313708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_AMP,
  [313715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8892), 1,
      anon_sym_COLON,
  [313722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8648), 1,
      anon_sym_RPAREN,
  [313729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_EQ_EQ,
  [313736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13706), 1,
      anon_sym_LPAREN2,
  [313743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13708), 1,
      anon_sym_RPAREN,
  [313750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13710), 1,
      sym_auto,
  [313757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_BANG_EQ,
  [313764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13712), 1,
      anon_sym_RBRACK,
  [313771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13714), 1,
      anon_sym_SEMI,
  [313778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4859), 1,
      anon_sym_SEMI,
  [313785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13716), 1,
      anon_sym_SEMI,
  [313792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13718), 1,
      sym_identifier,
  [313799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8990), 1,
      anon_sym_SEMI,
  [313806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13720), 1,
      aux_sym_preproc_if_token2,
  [313813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8904), 1,
      anon_sym_COLON,
  [313820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13722), 1,
      anon_sym_RPAREN,
  [313827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13636), 1,
      anon_sym_RBRACE,
  [313834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13724), 1,
      anon_sym_SEMI,
  [313841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_GT,
  [313848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13726), 1,
      sym_identifier,
  [313855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13728), 1,
      sym_identifier,
  [313862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13730), 1,
      anon_sym_RPAREN,
  [313869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13732), 1,
      aux_sym_preproc_if_token2,
  [313876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13734), 1,
      anon_sym_SEMI,
  [313883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13736), 1,
      sym_identifier,
  [313890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_GT_EQ,
  [313897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13738), 1,
      anon_sym_DQUOTE,
  [313904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12299), 1,
      anon_sym_SEMI,
  [313911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13740), 1,
      anon_sym_SEMI,
  [313918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13742), 1,
      sym_identifier,
  [313925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13744), 1,
      anon_sym_RPAREN,
  [313932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13746), 1,
      anon_sym_RPAREN,
  [313939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13748), 1,
      anon_sym_RPAREN,
  [313946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13750), 1,
      anon_sym_SEMI,
  [313953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13752), 1,
      anon_sym_RPAREN,
  [313960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_LT,
  [313967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13754), 1,
      anon_sym_RPAREN,
  [313974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13756), 1,
      anon_sym_STAR,
  [313981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13758), 1,
      anon_sym_SEMI,
  [313988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13760), 1,
      anon_sym_DQUOTE,
  [313995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13762), 1,
      anon_sym_SEMI,
  [314002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13764), 1,
      anon_sym_SEMI,
  [314009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_LT_EQ,
  [314016] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13766), 1,
      aux_sym_preproc_include_token2,
  [314023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13768), 1,
      anon_sym_STAR,
  [314030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13770), 1,
      aux_sym_preproc_if_token2,
  [314037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13772), 1,
      anon_sym_SEMI,
  [314044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13774), 1,
      anon_sym_RPAREN,
  [314051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13776), 1,
      anon_sym_RPAREN,
  [314058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13778), 1,
      anon_sym_LPAREN2,
  [314065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8988), 1,
      anon_sym_SEMI,
  [314072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13780), 1,
      anon_sym_SEMI,
  [314079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13782), 1,
      anon_sym_DQUOTE,
  [314086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11796), 1,
      anon_sym_COMMA,
  [314093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PLUS,
  [314100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      sym_identifier,
  [314107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_LT_LT,
  [314114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13784), 1,
      anon_sym_LPAREN2,
  [314121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13786), 1,
      sym_identifier,
  [314128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13788), 1,
      aux_sym_preproc_if_token2,
  [314135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13790), 1,
      sym_identifier,
  [314142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11008), 1,
      anon_sym_RBRACE,
  [314149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13792), 1,
      sym_identifier,
  [314156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13794), 1,
      aux_sym_preproc_if_token2,
  [314163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11474), 1,
      anon_sym_SEMI,
  [314170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_DASH,
  [314177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13796), 1,
      anon_sym_RPAREN,
  [314184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13798), 1,
      anon_sym_RPAREN,
  [314191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13800), 1,
      sym_identifier,
  [314198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13802), 1,
      sym_identifier,
  [314205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      anon_sym_RPAREN,
  [314212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      anon_sym_RPAREN,
  [314219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_COLON,
  [314226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      anon_sym_RPAREN,
  [314233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      anon_sym_SEMI,
  [314240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_RPAREN,
  [314247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8817), 1,
      anon_sym_RBRACE,
  [314254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      sym_identifier,
  [314261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11826), 1,
      anon_sym_COLON,
  [314268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      anon_sym_RPAREN,
  [314275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      sym_identifier,
  [314282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
  [314289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      anon_sym_DQUOTE,
  [314296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_RPAREN,
  [314303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      anon_sym_SEMI,
  [314310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13392), 1,
      anon_sym_COMMA,
  [314317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_SEMI,
  [314324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_RPAREN,
  [314331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      sym_identifier,
  [314338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      sym_identifier,
  [314345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_EQ,
  [314352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      anon_sym_DQUOTE,
  [314359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      anon_sym_SEMI,
  [314366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10974), 1,
      anon_sym_RPAREN,
  [314373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      anon_sym_RPAREN,
  [314380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      sym_raw_string_delimiter,
  [314387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      sym_identifier,
  [314394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      aux_sym_preproc_if_token2,
  [314401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      aux_sym_preproc_if_token2,
  [314408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_RPAREN,
  [314415] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13854), 1,
      aux_sym_preproc_include_token2,
  [314422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      anon_sym_SEMI,
  [314429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      anon_sym_STAR,
  [314436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_RPAREN,
  [314443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      sym_identifier,
  [314450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      sym_identifier,
  [314457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      sym_identifier,
  [314464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10966), 1,
      anon_sym_RBRACE,
  [314471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      aux_sym_preproc_if_token2,
  [314478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13870), 1,
      anon_sym_DQUOTE,
  [314485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_COMMA,
  [314492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      anon_sym_SEMI,
  [314499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      anon_sym_RPAREN,
  [314506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      anon_sym_RPAREN,
  [314513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      sym_identifier,
  [314520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      anon_sym_SEMI,
  [314527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      sym_identifier,
  [314534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      aux_sym_preproc_if_token2,
  [314541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13618), 1,
      anon_sym_RBRACE,
  [314548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      aux_sym_preproc_if_token2,
  [314555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      sym_identifier,
  [314562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      anon_sym_STAR,
  [314569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_RPAREN,
  [314576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      aux_sym_preproc_if_token2,
  [314583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_SEMI,
  [314590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      aux_sym_preproc_if_token2,
  [314597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_RPAREN,
  [314604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      anon_sym_STAR,
  [314611] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13904), 1,
      aux_sym_preproc_include_token2,
  [314618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
  [314625] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13908), 1,
      aux_sym_preproc_include_token2,
  [314632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_DQUOTE,
  [314639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      sym_identifier,
  [314646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_SEMI,
  [314653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
  [314660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      anon_sym_SEMI,
  [314667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8908), 1,
      anon_sym_COLON,
  [314674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      aux_sym_preproc_if_token2,
  [314681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      sym_auto,
  [314688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_LPAREN2,
  [314695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8517), 1,
      anon_sym_RBRACE,
  [314702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      anon_sym_SEMI,
  [314709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_SEMI,
  [314716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      anon_sym_RPAREN,
  [314723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_SEMI,
  [314730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_SEMI,
  [314737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      aux_sym_preproc_if_token2,
  [314744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_RPAREN,
  [314751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_RPAREN,
  [314758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      sym_identifier,
  [314765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_SEMI,
  [314772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      aux_sym_preproc_if_token2,
  [314779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
  [314786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12409), 1,
      anon_sym_SEMI,
  [314793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 1,
      sym_identifier,
  [314800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_STAR_EQ,
  [314807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_RPAREN,
  [314814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_RPAREN,
  [314821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
  [314828] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13948), 1,
      aux_sym_preproc_include_token2,
  [314835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13950), 1,
      anon_sym_RPAREN,
  [314842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      anon_sym_SEMI,
  [314849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_SEMI,
  [314856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_RPAREN,
  [314863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      anon_sym_SEMI,
  [314870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8960), 1,
      anon_sym_SEMI,
  [314877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13960), 1,
      sym_identifier,
  [314884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_SLASH_EQ,
  [314891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      sym_identifier,
  [314898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11028), 1,
      anon_sym_RPAREN,
  [314905] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13964), 1,
      aux_sym_preproc_include_token2,
  [314912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      sym_raw_string_delimiter,
  [314919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PERCENT_EQ,
  [314926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      sym_identifier,
  [314933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_SEMI,
  [314940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      aux_sym_preproc_if_token2,
  [314947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      anon_sym_SEMI,
  [314954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_SEMI,
  [314961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      sym_identifier,
  [314968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11044), 1,
      anon_sym_RBRACE,
  [314975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13592), 1,
      anon_sym_RBRACE,
  [314982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      aux_sym_preproc_if_token2,
  [314989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_bitor,
  [314996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      anon_sym_SEMI,
  [315003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_STAR,
  [315010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8914), 1,
      anon_sym_RPAREN,
  [315017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      anon_sym_SEMI,
  [315024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PLUS_EQ,
  [315031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_DQUOTE,
  [315038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_SEMI,
  [315045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_DASH_EQ,
  [315052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8966), 1,
      anon_sym_SEMI,
  [315059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_SEMI,
  [315066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13994), 1,
      anon_sym_SEMI,
  [315073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_SEMI,
  [315080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_RPAREN,
  [315087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      anon_sym_SEMI,
  [315094] = 2,
    ACTIONS(5382), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9978), 1,
      sym_comment,
  [315101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_LPAREN2,
  [315108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_RPAREN,
  [315115] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14006), 1,
      aux_sym_preproc_include_token2,
  [315122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      sym_identifier,
  [315129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_RPAREN,
  [315136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_LT_LT_EQ,
  [315143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      anon_sym_RPAREN,
  [315150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      sym_identifier,
  [315157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_SEMI,
  [315164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_SEMI,
  [315171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_LBRACE,
  [315178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      sym_identifier,
  [315185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_RPAREN,
  [315192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      anon_sym_RPAREN,
  [315199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      anon_sym_RPAREN,
  [315206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_GT_GT_EQ,
  [315213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      aux_sym_preproc_if_token2,
  [315220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      anon_sym_RPAREN,
  [315227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      anon_sym_DQUOTE,
  [315234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_RPAREN,
  [315241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      anon_sym_RPAREN,
  [315248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      anon_sym_RPAREN,
  [315255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      sym_identifier,
  [315262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_RPAREN,
  [315269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 1,
      anon_sym_RPAREN,
  [315276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11068), 1,
      anon_sym_RPAREN,
  [315283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_SEMI,
  [315290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      sym_raw_string_delimiter,
  [315297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11459), 1,
      anon_sym_SEMI,
  [315304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      sym_identifier,
  [315311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      sym_auto,
  [315318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_AMP_EQ,
  [315325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8900), 1,
      anon_sym_COLON,
  [315332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_DQUOTE,
  [315339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_SEMI,
  [315346] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14056), 1,
      aux_sym_preproc_include_token2,
  [315353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      aux_sym_preproc_if_token2,
  [315360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8970), 1,
      anon_sym_RPAREN,
  [315367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_CARET_EQ,
  [315374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_PIPE_EQ,
  [315381] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12530), 1,
      aux_sym_preproc_include_token2,
  [315388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_SEMI,
  [315395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_RPAREN,
  [315402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_or,
  [315409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_RPAREN,
  [315416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_LPAREN2,
  [315423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8974), 1,
      anon_sym_RPAREN,
  [315430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      aux_sym_preproc_if_token2,
  [315437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      anon_sym_SEMI,
  [315444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_and,
  [315451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      anon_sym_COLON,
  [315458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      sym_identifier,
  [315465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
  [315472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      aux_sym_preproc_if_token2,
  [315479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      sym_auto,
  [315486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14080), 1,
      anon_sym_RPAREN,
  [315493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_SEMI,
  [315500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      anon_sym_RPAREN,
  [315507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_SEMI,
  [315514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_COLON,
  [315521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_SEMI,
  [315528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      anon_sym_COLON,
  [315535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_SEMI,
  [315542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_xor,
  [315549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      sym_identifier,
  [315556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
  [315563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14100), 1,
      sym_identifier,
  [315570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14102), 1,
      sym_identifier,
  [315577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      anon_sym_RPAREN,
  [315584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10986), 1,
      anon_sym_RPAREN,
  [315591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      aux_sym_preproc_if_token2,
  [315598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      sym_raw_string_delimiter,
  [315605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_DOT_DOT_DOT,
  [315612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      sym_identifier,
  [315619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_SEMI,
  [315626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      anon_sym_RPAREN,
  [315633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      anon_sym_DQUOTE,
  [315640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      anon_sym_SEMI,
  [315647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      anon_sym_LPAREN2,
  [315654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
  [315661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      anon_sym_SEMI,
  [315668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14128), 1,
      anon_sym_DOT_DOT_DOT,
  [315675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14131), 1,
      anon_sym_DQUOTE,
  [315682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14133), 1,
      anon_sym_SEMI,
  [315689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14135), 1,
      anon_sym_RPAREN,
  [315696] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14137), 1,
      aux_sym_preproc_include_token2,
  [315703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8994), 1,
      anon_sym_COLON,
  [315710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_GT_GT,
  [315717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4759), 1,
      anon_sym_DOT_DOT_DOT,
  [315724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14139), 1,
      anon_sym_LPAREN2,
  [315731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14141), 1,
      anon_sym_SEMI,
  [315738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9065), 1,
      anon_sym_RPAREN,
  [315745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_not_eq,
  [315752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_DOT_STAR,
  [315759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14143), 1,
      anon_sym_SEMI,
  [315766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14145), 1,
      sym_identifier,
  [315773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14147), 1,
      anon_sym_SEMI,
  [315780] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(12934), 1,
      aux_sym_preproc_include_token2,
  [315787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_DOT_DOT_DOT,
  [315794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_DASH_GT_STAR,
  [315801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4605), 1,
      anon_sym_DOT_DOT_DOT,
  [315808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14149), 1,
      anon_sym_RPAREN,
  [315815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14151), 1,
      aux_sym_preproc_if_token2,
  [315822] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10168), 1,
      aux_sym_preproc_include_token2,
  [315829] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14153), 1,
      aux_sym_preproc_include_token2,
  [315836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14155), 1,
      sym_identifier,
  [315843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
  [315850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8958), 1,
      anon_sym_RPAREN,
  [315857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14159), 1,
      anon_sym_RPAREN,
  [315864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14161), 1,
      sym_identifier,
  [315871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4617), 1,
      anon_sym_DOT_DOT_DOT,
  [315878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8704), 1,
      anon_sym_RBRACE,
  [315885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11052), 1,
      anon_sym_RPAREN,
  [315892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14163), 1,
      anon_sym_LBRACE,
  [315899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14165), 1,
      sym_raw_string_delimiter,
  [315906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8986), 1,
      anon_sym_RPAREN,
  [315913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14167), 1,
      sym_identifier,
  [315920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14169), 1,
      anon_sym_RPAREN,
  [315927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14171), 1,
      anon_sym_RPAREN,
  [315934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11046), 1,
      anon_sym_RBRACE,
  [315941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14173), 1,
      anon_sym_RPAREN,
  [315948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14175), 1,
      sym_identifier,
  [315955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14177), 1,
      anon_sym_SEMI,
  [315962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14179), 1,
      anon_sym_DQUOTE,
  [315969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14181), 1,
      anon_sym_SEMI,
  [315976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14183), 1,
      anon_sym_SEMI,
  [315983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14185), 1,
      anon_sym_RPAREN,
  [315990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_RBRACE,
  [315997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14187), 1,
      anon_sym_SEMI,
  [316004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14189), 1,
      anon_sym_SEMI,
  [316011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_DOT_DOT_DOT,
  [316018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14191), 1,
      anon_sym_LPAREN2,
  [316025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14193), 1,
      anon_sym_SEMI,
  [316032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14195), 1,
      anon_sym_SEMI,
  [316039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14197), 1,
      anon_sym_SEMI,
  [316046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
  [316053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14201), 1,
      anon_sym_SEMI,
  [316060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14203), 1,
      anon_sym_SEMI,
  [316067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14205), 1,
      aux_sym_preproc_if_token2,
  [316074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14207), 1,
      anon_sym_DQUOTE,
  [316081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14209), 1,
      anon_sym_RPAREN,
  [316088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14211), 1,
      anon_sym_SEMI,
  [316095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14213), 1,
      anon_sym_SEMI,
  [316102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
  [316109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14215), 1,
      anon_sym_SEMI,
  [316116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14217), 1,
      anon_sym_RPAREN,
  [316123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14219), 1,
      anon_sym_SEMI,
  [316130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14221), 1,
      anon_sym_RPAREN,
  [316137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14223), 1,
      anon_sym_SEMI,
  [316144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11048), 1,
      anon_sym_RPAREN,
  [316151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14225), 1,
      anon_sym_RPAREN,
  [316158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14227), 1,
      sym_raw_string_delimiter,
  [316165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14229), 1,
      anon_sym_SEMI,
  [316172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8968), 1,
      anon_sym_SEMI,
  [316179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14231), 1,
      anon_sym_SEMI,
  [316186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14233), 1,
      anon_sym_SEMI,
  [316193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14235), 1,
      anon_sym_DQUOTE,
  [316200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14237), 1,
      anon_sym_LPAREN2,
  [316207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
  [316214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14239), 1,
      anon_sym_SEMI,
  [316221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14241), 1,
      anon_sym_SEMI,
  [316228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14243), 1,
      anon_sym_RPAREN,
  [316235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14245), 1,
      sym_identifier,
  [316242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14247), 1,
      aux_sym_preproc_if_token2,
  [316249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14249), 1,
      sym_raw_string_delimiter,
  [316256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14251), 1,
      anon_sym_SEMI,
  [316263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14253), 1,
      anon_sym_RPAREN,
  [316270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14255), 1,
      anon_sym_COLON,
  [316277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT_DOT,
  [316284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14257), 1,
      anon_sym_LPAREN2,
  [316291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14259), 1,
      aux_sym_preproc_if_token2,
  [316298] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14261), 1,
      aux_sym_preproc_include_token2,
  [316305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14263), 1,
      anon_sym_RPAREN,
  [316312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14265), 1,
      anon_sym_RPAREN,
  [316319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14267), 1,
      sym_raw_string_delimiter,
  [316326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14269), 1,
      anon_sym_RPAREN,
  [316333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8972), 1,
      anon_sym_SEMI,
  [316340] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10164), 1,
      aux_sym_preproc_include_token2,
  [316347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14271), 1,
      anon_sym_LPAREN2,
  [316354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14273), 1,
      anon_sym_RPAREN,
  [316361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14275), 1,
      sym_raw_string_delimiter,
  [316368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14277), 1,
      anon_sym_DQUOTE,
  [316375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14279), 1,
      anon_sym_RPAREN,
  [316382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14281), 1,
      sym_raw_string_delimiter,
  [316389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14283), 1,
      anon_sym_SEMI,
  [316396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14285), 1,
      anon_sym_RPAREN,
  [316403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14287), 1,
      sym_raw_string_delimiter,
  [316410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14289), 1,
      anon_sym_RPAREN,
  [316417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14291), 1,
      sym_raw_string_delimiter,
  [316424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14293), 1,
      anon_sym_RPAREN,
  [316431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14295), 1,
      sym_raw_string_delimiter,
  [316438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14297), 1,
      anon_sym_RPAREN,
  [316445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14299), 1,
      sym_raw_string_delimiter,
  [316452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14301), 1,
      anon_sym_RPAREN,
  [316459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14303), 1,
      sym_raw_string_delimiter,
  [316466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14305), 1,
      anon_sym_RPAREN,
  [316473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14307), 1,
      sym_raw_string_delimiter,
  [316480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14309), 1,
      anon_sym_SEMI,
  [316487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14311), 1,
      anon_sym_SEMI,
  [316494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14313), 1,
      anon_sym_SEMI,
  [316501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14315), 1,
      anon_sym_LPAREN2,
  [316508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14317), 1,
      anon_sym_RPAREN,
  [316515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14319), 1,
      anon_sym_LPAREN2,
  [316522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14321), 1,
      anon_sym_LPAREN2,
  [316529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14323), 1,
      anon_sym_RPAREN,
  [316536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14325), 1,
      anon_sym_SEMI,
  [316543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14327), 1,
      anon_sym_LPAREN2,
  [316550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_DOT_DOT_DOT,
  [316557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14329), 1,
      anon_sym_LPAREN2,
  [316564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14331), 1,
      anon_sym_LPAREN2,
  [316571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14333), 1,
      anon_sym_SEMI,
  [316578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14335), 1,
      anon_sym_SEMI,
  [316585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14337), 1,
      anon_sym_STAR,
  [316592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13544), 1,
      anon_sym_RBRACE,
  [316599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14339), 1,
      anon_sym_RPAREN,
  [316606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7456), 1,
      sym_identifier,
  [316613] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14341), 1,
      aux_sym_preproc_include_token2,
  [316620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14343), 1,
      anon_sym_RPAREN,
  [316627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14345), 1,
      anon_sym_RPAREN,
  [316634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12184), 1,
      anon_sym_SEMI,
  [316641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8924), 1,
      anon_sym_COLON,
  [316648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14347), 1,
      anon_sym_RPAREN,
  [316655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14349), 1,
      sym_auto,
  [316662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14351), 1,
      anon_sym_SEMI,
  [316669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_SEMI,
  [316676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14353), 1,
      anon_sym_while,
  [316683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14355), 1,
      anon_sym_SEMI,
  [316690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14357), 1,
      anon_sym_LPAREN2,
  [316697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14359), 1,
      anon_sym_SEMI,
  [316704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10960), 1,
      anon_sym_RPAREN,
  [316711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14361), 1,
      aux_sym_preproc_if_token2,
  [316718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14363), 1,
      sym_raw_string_delimiter,
  [316725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14365), 1,
      anon_sym_EQ,
  [316732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14367), 1,
      sym_raw_string_content,
  [316739] = 2,
    ACTIONS(5374), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9978), 1,
      sym_comment,
  [316746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14369), 1,
      anon_sym_LPAREN2,
  [316753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14371), 1,
      aux_sym_preproc_if_token2,
  [316760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14373), 1,
      anon_sym_STAR,
  [316767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12158), 1,
      anon_sym_SEMI,
  [316774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14375), 1,
      anon_sym_DQUOTE,
  [316781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11006), 1,
      anon_sym_RBRACE,
  [316788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14377), 1,
      anon_sym_RPAREN,
  [316795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14379), 1,
      anon_sym_RPAREN,
  [316802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14381), 1,
      anon_sym_RPAREN,
  [316809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14383), 1,
      anon_sym_RPAREN,
  [316816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14385), 1,
      aux_sym_preproc_if_token2,
  [316823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11500), 1,
      anon_sym_SEMI,
  [316830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14387), 1,
      sym_identifier,
  [316837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14389), 1,
      anon_sym_RPAREN,
  [316844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14391), 1,
      anon_sym_COMMA,
  [316851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14393), 1,
      anon_sym_RPAREN,
  [316858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
  [316865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_DOT_DOT_DOT,
  [316872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4623), 1,
      anon_sym_DOT_DOT_DOT,
  [316879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8878), 1,
      anon_sym_COLON,
  [316886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14397), 1,
      anon_sym_RPAREN,
  [316893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8756), 1,
      anon_sym_RBRACE,
  [316900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14399), 1,
      aux_sym_preproc_if_token2,
  [316907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_DOT_DOT_DOT,
  [316914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13652), 1,
      anon_sym_bitand,
  [316921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
  [316928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14403), 1,
      anon_sym_SLASH,
  [316935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14405), 1,
      anon_sym_DQUOTE,
  [316942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4629), 1,
      anon_sym_DOT_DOT_DOT,
  [316949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14407), 1,
      anon_sym_RPAREN,
  [316956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14409), 1,
      anon_sym_RPAREN,
  [316963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14411), 1,
      anon_sym_RPAREN,
  [316970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14413), 1,
      anon_sym_SEMI,
  [316977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14415), 1,
      anon_sym_SEMI,
  [316984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14417), 1,
      anon_sym_SEMI,
  [316991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14419), 1,
      sym_raw_string_content,
  [316998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14421), 1,
      anon_sym_COLON,
  [317005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14423), 1,
      anon_sym_LPAREN2,
  [317012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_DOT_DOT_DOT,
  [317019] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10308), 1,
      aux_sym_preproc_include_token2,
  [317026] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14425), 1,
      aux_sym_preproc_include_token2,
  [317033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14427), 1,
      anon_sym_SEMI,
  [317040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10988), 1,
      anon_sym_RBRACE,
  [317047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14429), 1,
      anon_sym_RPAREN,
  [317054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14431), 1,
      anon_sym_SEMI,
  [317061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14433), 1,
      anon_sym_RPAREN,
  [317068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14435), 1,
      anon_sym_RPAREN,
  [317075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14437), 1,
      sym_auto,
  [317082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14439), 1,
      anon_sym_SEMI,
  [317089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14441), 1,
      anon_sym_STAR,
  [317096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11484), 1,
      anon_sym_SEMI,
  [317103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14443), 1,
      anon_sym_SEMI,
  [317110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14445), 1,
      anon_sym_SEMI,
  [317117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13524), 1,
      anon_sym_RBRACE,
  [317124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8894), 1,
      anon_sym_COLON,
  [317131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14447), 1,
      sym_identifier,
  [317138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11496), 1,
      anon_sym_SEMI,
  [317145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13526), 1,
      anon_sym_RBRACE,
  [317152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14449), 1,
      anon_sym_SEMI,
  [317159] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14451), 1,
      aux_sym_preproc_include_token2,
  [317166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14453), 1,
      aux_sym_preproc_if_token2,
  [317173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14455), 1,
      sym_raw_string_delimiter,
  [317180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11034), 1,
      anon_sym_RPAREN,
  [317187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14457), 1,
      sym_auto,
  [317194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14459), 1,
      aux_sym_preproc_if_token2,
  [317201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8996), 1,
      anon_sym_COLON,
  [317208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11960), 1,
      anon_sym_SEMI,
  [317215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14461), 1,
      aux_sym_preproc_if_token2,
  [317222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14463), 1,
      aux_sym_preproc_if_token2,
  [317229] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14465), 1,
      aux_sym_preproc_include_token2,
  [317236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14467), 1,
      anon_sym_DQUOTE,
  [317243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8575), 1,
      anon_sym_RBRACE,
  [317250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14469), 1,
      anon_sym_SEMI,
  [317257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14471), 1,
      anon_sym_DQUOTE,
  [317264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8942), 1,
      anon_sym_COLON,
  [317271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14473), 1,
      anon_sym_RPAREN,
  [317278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14475), 1,
      anon_sym_RPAREN,
  [317285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14477), 1,
      anon_sym_EQ,
  [317292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14479), 1,
      sym_auto,
  [317299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11538), 1,
      anon_sym_SEMI,
  [317306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14481), 1,
      anon_sym_RPAREN,
  [317313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14483), 1,
      anon_sym_LPAREN2,
  [317320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14485), 1,
      anon_sym_RBRACE,
  [317327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14487), 1,
      anon_sym_SEMI,
  [317334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14489), 1,
      anon_sym_SEMI,
  [317341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14491), 1,
      anon_sym_SEMI,
  [317348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14493), 1,
      anon_sym_RPAREN,
  [317355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12631), 1,
      anon_sym_COLON_COLON,
  [317362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14495), 1,
      sym_identifier,
  [317369] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14497), 1,
      aux_sym_preproc_include_token2,
  [317376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14499), 1,
      sym_identifier,
  [317383] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14501), 1,
      aux_sym_preproc_include_token2,
  [317390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14503), 1,
      anon_sym_RPAREN,
  [317397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14505), 1,
      anon_sym_COLON,
  [317404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_RBRACE,
  [317411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14507), 1,
      sym_raw_string_content,
  [317418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10637), 1,
      sym_identifier,
  [317425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11988), 1,
      anon_sym_SEMI,
  [317432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14509), 1,
      sym_identifier,
  [317439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14511), 1,
      anon_sym_RPAREN,
  [317446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14513), 1,
      anon_sym_RPAREN,
  [317453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13504), 1,
      anon_sym_RBRACE,
  [317460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14515), 1,
      anon_sym_SEMI,
  [317467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14517), 1,
      anon_sym_RPAREN,
  [317474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14519), 1,
      anon_sym_RPAREN,
  [317481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14521), 1,
      anon_sym_RPAREN,
  [317488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14523), 1,
      anon_sym_SEMI,
  [317495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14525), 1,
      anon_sym_RPAREN,
  [317502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14527), 1,
      anon_sym_SEMI,
  [317509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14529), 1,
      anon_sym_RPAREN,
  [317516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14531), 1,
      anon_sym_RPAREN,
  [317523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14533), 1,
      anon_sym_STAR,
  [317530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14535), 1,
      anon_sym_RPAREN,
  [317537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13502), 1,
      anon_sym_RBRACE,
  [317544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14537), 1,
      aux_sym_preproc_if_token2,
  [317551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14539), 1,
      aux_sym_preproc_if_token2,
  [317558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14541), 1,
      anon_sym_SEMI,
  [317565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14543), 1,
      aux_sym_preproc_if_token2,
  [317572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14545), 1,
      anon_sym_COLON,
  [317579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14547), 1,
      aux_sym_preproc_if_token2,
  [317586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14549), 1,
      anon_sym_LPAREN2,
  [317593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14551), 1,
      anon_sym_RPAREN,
  [317600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14553), 1,
      anon_sym_SEMI,
  [317607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8948), 1,
      anon_sym_SEMI,
  [317614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7232), 1,
      sym_identifier,
  [317621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14555), 1,
      anon_sym_RPAREN,
  [317628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14557), 1,
      anon_sym_LBRACE,
  [317635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14559), 1,
      anon_sym_SEMI,
  [317642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14561), 1,
      anon_sym_DQUOTE,
  [317649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14563), 1,
      anon_sym_SEMI,
  [317656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14565), 1,
      anon_sym_COLON,
  [317663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14567), 1,
      anon_sym_SEMI,
  [317670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14569), 1,
      anon_sym_SEMI,
  [317677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
  [317684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10992), 1,
      anon_sym_RBRACE,
  [317691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14571), 1,
      anon_sym_RPAREN,
  [317698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14573), 1,
      anon_sym_COLON,
  [317705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14575), 1,
      anon_sym_SEMI,
  [317712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14577), 1,
      anon_sym_SEMI,
  [317719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14579), 1,
      anon_sym_DQUOTE,
  [317726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14581), 1,
      anon_sym_RPAREN,
  [317733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8585), 1,
      anon_sym_RBRACE,
  [317740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14583), 1,
      anon_sym_while,
  [317747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14585), 1,
      anon_sym_LPAREN2,
  [317754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14587), 1,
      anon_sym_LPAREN2,
  [317761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14589), 1,
      anon_sym_LPAREN2,
  [317768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14591), 1,
      anon_sym_DQUOTE,
  [317775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14593), 1,
      anon_sym_LPAREN2,
  [317782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14595), 1,
      anon_sym_DQUOTE,
  [317789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14597), 1,
      anon_sym_RPAREN,
  [317796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8777), 1,
      anon_sym_RBRACE,
  [317803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14599), 1,
      anon_sym_RBRACE,
  [317810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14601), 1,
      anon_sym_while,
  [317817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11054), 1,
      anon_sym_RBRACE,
  [317824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14603), 1,
      anon_sym_LPAREN2,
  [317831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14605), 1,
      anon_sym_SEMI,
  [317838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14607), 1,
      anon_sym_SEMI,
  [317845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14609), 1,
      anon_sym_RPAREN,
  [317852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14611), 1,
      anon_sym_EQ,
  [317859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14613), 1,
      sym_raw_string_content,
  [317866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14615), 1,
      anon_sym_STAR,
  [317873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14617), 1,
      anon_sym_SEMI,
  [317880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14619), 1,
      anon_sym_RPAREN,
  [317887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14621), 1,
      anon_sym_COMMA,
  [317894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14623), 1,
      anon_sym_RPAREN,
  [317901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14625), 1,
      anon_sym_SEMI,
  [317908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14627), 1,
      anon_sym_SEMI,
  [317915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14629), 1,
      anon_sym_RPAREN,
  [317922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14631), 1,
      anon_sym_COLON,
  [317929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14633), 1,
      anon_sym_SEMI,
  [317936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14635), 1,
      anon_sym_LPAREN2,
  [317943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14637), 1,
      anon_sym_LPAREN2,
  [317950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14639), 1,
      anon_sym_LPAREN2,
  [317957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8876), 1,
      anon_sym_SEMI,
  [317964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14641), 1,
      anon_sym_LPAREN2,
  [317971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14643), 1,
      anon_sym_DQUOTE,
  [317978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14645), 1,
      anon_sym_DQUOTE,
  [317985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14647), 1,
      anon_sym_while,
  [317992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14649), 1,
      anon_sym_SEMI,
  [317999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14651), 1,
      anon_sym_LPAREN2,
  [318006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14653), 1,
      anon_sym_SEMI,
  [318013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14655), 1,
      anon_sym_DQUOTE,
  [318020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14657), 1,
      anon_sym_EQ,
  [318027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14659), 1,
      sym_raw_string_content,
  [318034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14661), 1,
      anon_sym_SEMI,
  [318041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14663), 1,
      anon_sym_COMMA,
  [318048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
  [318055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14667), 1,
      anon_sym_RPAREN,
  [318062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14669), 1,
      anon_sym_RPAREN,
  [318069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14671), 1,
      anon_sym_RPAREN,
  [318076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14673), 1,
      anon_sym_COLON,
  [318083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14675), 1,
      sym_identifier,
  [318090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14677), 1,
      anon_sym_RPAREN,
  [318097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14679), 1,
      anon_sym_LPAREN2,
  [318104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14681), 1,
      anon_sym_LPAREN2,
  [318111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14683), 1,
      anon_sym_SEMI,
  [318118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14685), 1,
      anon_sym_LPAREN2,
  [318125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14687), 1,
      aux_sym_preproc_if_token2,
  [318132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14689), 1,
      anon_sym_RPAREN,
  [318139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14691), 1,
      anon_sym_while,
  [318146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14693), 1,
      anon_sym_RPAREN,
  [318153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14695), 1,
      anon_sym_LPAREN2,
  [318160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13482), 1,
      anon_sym_RBRACE,
  [318167] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14697), 1,
      aux_sym_preproc_include_token2,
  [318174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14699), 1,
      anon_sym_EQ,
  [318181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14701), 1,
      sym_raw_string_content,
  [318188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14703), 1,
      anon_sym_COMMA,
  [318195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14705), 1,
      aux_sym_preproc_if_token2,
  [318202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14707), 1,
      aux_sym_preproc_if_token2,
  [318209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14709), 1,
      aux_sym_preproc_if_token2,
  [318216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14711), 1,
      anon_sym_RPAREN,
  [318223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14713), 1,
      anon_sym_COLON,
  [318230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14715), 1,
      sym_identifier,
  [318237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14717), 1,
      anon_sym_LPAREN2,
  [318244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14719), 1,
      anon_sym_LPAREN2,
  [318251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14721), 1,
      anon_sym_DQUOTE,
  [318258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14723), 1,
      anon_sym_LPAREN2,
  [318265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14725), 1,
      anon_sym_STAR,
  [318272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8515), 1,
      anon_sym_SEMI,
  [318279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14727), 1,
      anon_sym_while,
  [318286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14729), 1,
      anon_sym_LPAREN2,
  [318293] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14731), 1,
      aux_sym_preproc_include_token2,
  [318300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14733), 1,
      anon_sym_DQUOTE,
  [318307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14735), 1,
      anon_sym_EQ,
  [318314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14737), 1,
      sym_raw_string_content,
  [318321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14739), 1,
      anon_sym_COMMA,
  [318328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8946), 1,
      anon_sym_COLON,
  [318335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14741), 1,
      aux_sym_preproc_if_token2,
  [318342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14743), 1,
      sym_auto,
  [318349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14745), 1,
      anon_sym_RPAREN,
  [318356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14747), 1,
      anon_sym_COLON,
  [318363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14749), 1,
      anon_sym_SEMI,
  [318370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14751), 1,
      anon_sym_LPAREN2,
  [318377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14753), 1,
      anon_sym_LPAREN2,
  [318384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14755), 1,
      anon_sym_SEMI,
  [318391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14757), 1,
      anon_sym_LPAREN2,
  [318398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14759), 1,
      anon_sym_RPAREN,
  [318405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14761), 1,
      anon_sym_STAR,
  [318412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14763), 1,
      anon_sym_LPAREN2,
  [318419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_SEMI,
  [318426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14765), 1,
      sym_identifier,
  [318433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14767), 1,
      anon_sym_EQ,
  [318440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14769), 1,
      sym_raw_string_content,
  [318447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14771), 1,
      anon_sym_COMMA,
  [318454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14773), 1,
      anon_sym_SEMI,
  [318461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_SEMI,
  [318468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14775), 1,
      anon_sym_SEMI,
  [318475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14777), 1,
      anon_sym_RPAREN,
  [318482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14779), 1,
      anon_sym_COLON,
  [318489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14781), 1,
      anon_sym_RPAREN,
  [318496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14783), 1,
      anon_sym_LPAREN2,
  [318503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14785), 1,
      anon_sym_LPAREN2,
  [318510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14787), 1,
      sym_identifier,
  [318517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14789), 1,
      anon_sym_LPAREN2,
  [318524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14791), 1,
      anon_sym_RPAREN,
  [318531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14793), 1,
      anon_sym_RPAREN,
  [318538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14795), 1,
      anon_sym_LPAREN2,
  [318545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14797), 1,
      aux_sym_preproc_if_token2,
  [318552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14799), 1,
      anon_sym_DQUOTE,
  [318559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14801), 1,
      anon_sym_EQ,
  [318566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14803), 1,
      sym_raw_string_content,
  [318573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14805), 1,
      anon_sym_COMMA,
  [318580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14807), 1,
      anon_sym_RPAREN,
  [318587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14809), 1,
      anon_sym_STAR,
  [318594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14811), 1,
      anon_sym_RPAREN,
  [318601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14813), 1,
      anon_sym_RPAREN,
  [318608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14815), 1,
      anon_sym_COLON,
  [318615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14817), 1,
      anon_sym_RPAREN,
  [318622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14819), 1,
      anon_sym_LPAREN2,
  [318629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14821), 1,
      anon_sym_DQUOTE,
  [318636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14823), 1,
      anon_sym_LPAREN2,
  [318643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14825), 1,
      anon_sym_DQUOTE,
  [318650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10972), 1,
      anon_sym_RBRACE,
  [318657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8870), 1,
      anon_sym_COLON,
  [318664] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(10098), 1,
      aux_sym_preproc_include_token2,
  [318671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14827), 1,
      anon_sym_EQ,
  [318678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14829), 1,
      sym_raw_string_content,
  [318685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14831), 1,
      anon_sym_RPAREN,
  [318692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8656), 1,
      anon_sym_RBRACE,
  [318699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
  [318706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14833), 1,
      anon_sym_RPAREN,
  [318713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14835), 1,
      anon_sym_DQUOTE,
  [318720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14837), 1,
      anon_sym_LPAREN2,
  [318727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14839), 1,
      anon_sym_LPAREN2,
  [318734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14841), 1,
      anon_sym_RPAREN,
  [318741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14843), 1,
      sym_raw_string_content,
  [318748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14845), 1,
      anon_sym_RPAREN,
  [318755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14847), 1,
      anon_sym_RPAREN,
  [318762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14849), 1,
      anon_sym_RPAREN,
  [318769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14851), 1,
      anon_sym_RPAREN,
  [318776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14853), 1,
      anon_sym_LPAREN2,
  [318783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14855), 1,
      anon_sym_LPAREN2,
  [318790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14857), 1,
      anon_sym_SEMI,
  [318797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14859), 1,
      sym_raw_string_content,
  [318804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14861), 1,
      aux_sym_preproc_if_token2,
  [318811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14863), 1,
      anon_sym_RPAREN,
  [318818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14865), 1,
      anon_sym_LPAREN2,
  [318825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14867), 1,
      anon_sym_LPAREN2,
  [318832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14869), 1,
      sym_raw_string_content,
  [318839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14871), 1,
      anon_sym_RPAREN,
  [318846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14873), 1,
      sym_raw_string_content,
  [318853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14875), 1,
      anon_sym_RPAREN,
  [318860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14877), 1,
      sym_raw_string_content,
  [318867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14879), 1,
      anon_sym_RPAREN,
  [318874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14881), 1,
      sym_raw_string_content,
  [318881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14883), 1,
      anon_sym_RPAREN,
  [318888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14885), 1,
      sym_raw_string_content,
  [318895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14887), 1,
      anon_sym_RPAREN,
  [318902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14889), 1,
      sym_raw_string_content,
  [318909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14891), 1,
      anon_sym_RPAREN,
  [318916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14893), 1,
      sym_raw_string_content,
  [318923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14895), 1,
      anon_sym_RPAREN,
  [318930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14897), 1,
      sym_raw_string_content,
  [318937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14899), 1,
      anon_sym_RPAREN,
  [318944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14901), 1,
      anon_sym_LPAREN2,
  [318951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14903), 1,
      sym_identifier,
  [318958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14905), 1,
      anon_sym_LPAREN2,
  [318965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14907), 1,
      anon_sym_LPAREN2,
  [318972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14909), 1,
      sym_identifier,
  [318979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14911), 1,
      anon_sym_SEMI,
  [318986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14913), 1,
      sym_identifier,
  [318993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7310), 1,
      sym_identifier,
  [319000] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13274), 1,
      aux_sym_preproc_include_token2,
  [319007] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14915), 1,
      aux_sym_preproc_include_token2,
  [319014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14917), 1,
      anon_sym_SEMI,
  [319021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14919), 1,
      anon_sym_SEMI,
  [319028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14921), 1,
      aux_sym_preproc_if_token2,
  [319035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14923), 1,
      anon_sym_DQUOTE,
  [319042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14925), 1,
      anon_sym_DQUOTE,
  [319049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14927), 1,
      aux_sym_preproc_if_token2,
  [319056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11508), 1,
      anon_sym_SEMI,
  [319063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14929), 1,
      anon_sym_LPAREN2,
  [319070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14931), 1,
      anon_sym_SEMI,
  [319077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14933), 1,
      sym_identifier,
  [319084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14935), 1,
      sym_raw_string_content,
  [319091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14937), 1,
      anon_sym_SEMI,
  [319098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14939), 1,
      anon_sym_SEMI,
  [319105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8906), 1,
      anon_sym_SEMI,
  [319112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14941), 1,
      anon_sym_LPAREN2,
  [319119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14943), 1,
      anon_sym_SEMI,
  [319126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14945), 1,
      anon_sym_SEMI,
  [319133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14947), 1,
      anon_sym_RPAREN,
  [319140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14949), 1,
      anon_sym_SEMI,
  [319147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
  [319154] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14953), 1,
      aux_sym_preproc_include_token2,
  [319161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14955), 1,
      anon_sym_RPAREN,
  [319168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14957), 1,
      anon_sym_RPAREN,
  [319175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 1,
      anon_sym_RPAREN,
  [319182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7159), 1,
      sym_identifier,
  [319189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8886), 1,
      anon_sym_SEMI,
  [319196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14959), 1,
      anon_sym_SEMI,
  [319203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8840), 1,
      anon_sym_SEMI,
  [319210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14961), 1,
      anon_sym_DQUOTE,
  [319217] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(14963), 1,
      aux_sym_preproc_include_token2,
  [319224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14965), 1,
      anon_sym_RPAREN,
  [319231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14967), 1,
      sym_auto,
  [319238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14969), 1,
      aux_sym_preproc_if_token2,
  [319245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14971), 1,
      anon_sym_RPAREN,
  [319252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14973), 1,
      sym_identifier,
  [319259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14975), 1,
      anon_sym_SEMI,
  [319266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14977), 1,
      aux_sym_preproc_if_token2,
  [319273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14979), 1,
      anon_sym_RPAREN,
  [319280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14981), 1,
      anon_sym_SEMI,
  [319287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8650), 1,
      anon_sym_SEMI,
  [319294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8880), 1,
      anon_sym_COLON,
  [319301] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13318), 1,
      aux_sym_preproc_include_token2,
  [319308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14983), 1,
      aux_sym_preproc_if_token2,
  [319315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 1,
      anon_sym_COLON_COLON,
  [319322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14985), 1,
      anon_sym_RPAREN,
  [319329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14987), 1,
      anon_sym_RPAREN,
  [319336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14989), 1,
      sym_identifier,
  [319343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8982), 1,
      anon_sym_COLON,
  [319350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14991), 1,
      anon_sym_RPAREN,
  [319357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
  [319364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14995), 1,
      anon_sym_RPAREN,
  [319371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      anon_sym_RPAREN,
  [319378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14997), 1,
      anon_sym_RPAREN,
  [319385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14999), 1,
      sym_identifier,
  [319392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15001), 1,
      anon_sym_STAR,
  [319399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15003), 1,
      anon_sym_SEMI,
  [319406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15005), 1,
      ts_builtin_sym_end,
  [319413] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(15007), 1,
      aux_sym_preproc_include_token2,
  [319420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15009), 1,
      anon_sym_RPAREN,
  [319427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15011), 1,
      anon_sym_RPAREN,
  [319434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15013), 1,
      anon_sym_SEMI,
  [319441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15015), 1,
      sym_identifier,
  [319448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15017), 1,
      anon_sym_LPAREN2,
  [319455] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(13338), 1,
      aux_sym_preproc_include_token2,
  [319462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15019), 1,
      anon_sym_RPAREN,
  [319469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15021), 1,
      aux_sym_preproc_if_token2,
  [319476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15023), 1,
      aux_sym_preproc_if_token2,
  [319483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15025), 1,
      anon_sym_SEMI,
  [319490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15027), 1,
      anon_sym_RBRACE,
  [319497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8860), 1,
      anon_sym_COLON,
  [319504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15029), 1,
      anon_sym_LPAREN2,
  [319511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15031), 1,
      anon_sym_LPAREN2,
  [319518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15033), 1,
      anon_sym_LPAREN2,
  [319525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15035), 1,
      anon_sym_LPAREN2,
  [319532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15037), 1,
      sym_identifier,
  [319539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15039), 1,
      sym_identifier,
  [319546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8952), 1,
      anon_sym_SEMI,
  [319553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      anon_sym_RPAREN,
  [319560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15041), 1,
      sym_identifier,
  [319567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15043), 1,
      sym_raw_string_content,
  [319574] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(15045), 1,
      aux_sym_preproc_include_token2,
  [319581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15047), 1,
      anon_sym_RPAREN,
  [319588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15049), 1,
      anon_sym_LPAREN2,
  [319595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15051), 1,
      anon_sym_LPAREN2,
  [319602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15053), 1,
      anon_sym_LPAREN2,
  [319609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15055), 1,
      sym_identifier,
  [319616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15057), 1,
      anon_sym_SEMI,
  [319623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15059), 1,
      anon_sym_LPAREN2,
  [319630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15061), 1,
      sym_identifier,
  [319637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15063), 1,
      sym_raw_string_content,
  [319644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15065), 1,
      anon_sym_LPAREN2,
  [319651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15067), 1,
      aux_sym_preproc_if_token2,
  [319658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15069), 1,
      sym_identifier,
  [319665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15071), 1,
      anon_sym_LPAREN2,
  [319672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15073), 1,
      anon_sym_LPAREN2,
  [319679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15075), 1,
      sym_identifier,
  [319686] = 2,
    ACTIONS(9978), 1,
      sym_comment,
    ACTIONS(15077), 1,
      aux_sym_preproc_include_token2,
  [319693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15079), 1,
      anon_sym_SEMI,
  [319700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15081), 1,
      sym_identifier,
  [319707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15083), 1,
      sym_raw_string_content,
  [319714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15085), 1,
      anon_sym_SEMI,
  [319721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15087), 1,
      anon_sym_RBRACE,
  [319728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15089), 1,
      anon_sym_LPAREN2,
  [319735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15091), 1,
      anon_sym_LPAREN2,
  [319742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15093), 1,
      sym_identifier,
  [319749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15095), 1,
      aux_sym_preproc_if_token2,
  [319756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15097), 1,
      aux_sym_preproc_if_token2,
  [319763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15099), 1,
      sym_identifier,
  [319770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15101), 1,
      sym_raw_string_content,
  [319777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15103), 1,
      anon_sym_COLON,
  [319784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15105), 1,
      anon_sym_DQUOTE,
  [319791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15107), 1,
      anon_sym_LPAREN2,
  [319798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15109), 1,
      sym_identifier,
  [319805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15111), 1,
      anon_sym_RPAREN,
  [319812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15113), 1,
      anon_sym_RPAREN,
  [319819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15115), 1,
      sym_identifier,
  [319826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15117), 1,
      sym_raw_string_content,
  [319833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8950), 1,
      anon_sym_RPAREN,
  [319840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8956), 1,
      anon_sym_SEMI,
  [319847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15119), 1,
      anon_sym_LPAREN2,
  [319854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15121), 1,
      sym_identifier,
  [319861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15123), 1,
      aux_sym_preproc_if_token2,
  [319868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15125), 1,
      sym_identifier,
  [319875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15127), 1,
      sym_identifier,
  [319882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15129), 1,
      sym_raw_string_content,
  [319889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15131), 1,
      anon_sym_SEMI,
  [319896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15133), 1,
      anon_sym_RPAREN,
  [319903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15135), 1,
      anon_sym_LPAREN2,
  [319910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15137), 1,
      sym_identifier,
  [319917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13476), 1,
      anon_sym_RBRACE,
  [319924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15139), 1,
      sym_identifier,
  [319931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15141), 1,
      sym_raw_string_content,
  [319938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15143), 1,
      anon_sym_LPAREN2,
  [319945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15145), 1,
      anon_sym_SEMI,
  [319952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15147), 1,
      sym_identifier,
  [319959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15149), 1,
      sym_raw_string_content,
  [319966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15151), 1,
      anon_sym_STAR,
  [319973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15153), 1,
      anon_sym_RPAREN,
  [319980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15155), 1,
      sym_raw_string_content,
  [319987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15157), 1,
      anon_sym_RPAREN,
  [319994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15159), 1,
      sym_raw_string_content,
  [320001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15161), 1,
      anon_sym_DQUOTE,
  [320008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15163), 1,
      sym_raw_string_content,
  [320015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15165), 1,
      sym_identifier,
  [320022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15167), 1,
      sym_raw_string_content,
  [320029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15169), 1,
      sym_identifier,
  [320036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15171), 1,
      sym_raw_string_content,
  [320043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15173), 1,
      sym_auto,
  [320050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15175), 1,
      sym_raw_string_content,
  [320057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13394), 1,
      anon_sym_RBRACE,
  [320064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15177), 1,
      sym_raw_string_content,
  [320071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15179), 1,
      anon_sym_RPAREN,
  [320078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15181), 1,
      sym_raw_string_content,
  [320085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15183), 1,
      anon_sym_SEMI,
  [320092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15185), 1,
      sym_raw_string_content,
  [320099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15187), 1,
      anon_sym_LPAREN2,
  [320106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15189), 1,
      anon_sym_LPAREN2,
  [320113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15191), 1,
      anon_sym_SEMI,
  [320120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15193), 1,
      anon_sym_LPAREN2,
  [320127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15195), 1,
      anon_sym_LPAREN2,
  [320134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15197), 1,
      aux_sym_preproc_if_token2,
  [320141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15199), 1,
      anon_sym_LPAREN2,
  [320148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15201), 1,
      anon_sym_LPAREN2,
  [320155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15203), 1,
      anon_sym_SEMI,
  [320162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15205), 1,
      anon_sym_LPAREN2,
  [320169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15207), 1,
      anon_sym_LPAREN2,
  [320176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15209), 1,
      anon_sym_COLON,
  [320183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15211), 1,
      anon_sym_LPAREN2,
  [320190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15213), 1,
      anon_sym_LPAREN2,
  [320197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15215), 1,
      anon_sym_SEMI,
  [320204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15217), 1,
      anon_sym_LPAREN2,
  [320211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15219), 1,
      anon_sym_LPAREN2,
  [320218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
  [320225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15221), 1,
      anon_sym_LPAREN2,
  [320232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15223), 1,
      anon_sym_LPAREN2,
  [320239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15225), 1,
      anon_sym_RBRACE,
  [320246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15227), 1,
      anon_sym_LPAREN2,
  [320253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15229), 1,
      anon_sym_LPAREN2,
  [320260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15231), 1,
      anon_sym_LPAREN2,
  [320267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15233), 1,
      anon_sym_LPAREN2,
  [320274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15235), 1,
      anon_sym_LPAREN2,
  [320281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15237), 1,
      anon_sym_LPAREN2,
  [320288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15239), 1,
      anon_sym_LPAREN2,
  [320295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15241), 1,
      anon_sym_LPAREN2,
  [320302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15243), 1,
      anon_sym_LPAREN2,
  [320309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15245), 1,
      anon_sym_LPAREN2,
  [320316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15247), 1,
      anon_sym_LPAREN2,
  [320323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15249), 1,
      anon_sym_RBRACK,
  [320330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15251), 1,
      anon_sym_LPAREN2,
  [320337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15253), 1,
      sym_identifier,
  [320344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15255), 1,
      sym_identifier,
  [320351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15257), 1,
      sym_identifier,
  [320358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_SEMI,
  [320365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15259), 1,
      sym_identifier,
  [320372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15261), 1,
      anon_sym_LPAREN2,
  [320379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15263), 1,
      anon_sym_LPAREN2,
  [320386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15265), 1,
      anon_sym_LPAREN2,
  [320393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15267), 1,
      anon_sym_LPAREN2,
  [320400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15269), 1,
      anon_sym_LPAREN2,
  [320407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15271), 1,
      anon_sym_LPAREN2,
  [320414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15273), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2603)] = 0,
  [SMALL_STATE(2604)] = 71,
  [SMALL_STATE(2605)] = 150,
  [SMALL_STATE(2606)] = 221,
  [SMALL_STATE(2607)] = 292,
  [SMALL_STATE(2608)] = 363,
  [SMALL_STATE(2609)] = 434,
  [SMALL_STATE(2610)] = 505,
  [SMALL_STATE(2611)] = 576,
  [SMALL_STATE(2612)] = 647,
  [SMALL_STATE(2613)] = 718,
  [SMALL_STATE(2614)] = 789,
  [SMALL_STATE(2615)] = 860,
  [SMALL_STATE(2616)] = 931,
  [SMALL_STATE(2617)] = 1002,
  [SMALL_STATE(2618)] = 1073,
  [SMALL_STATE(2619)] = 1144,
  [SMALL_STATE(2620)] = 1215,
  [SMALL_STATE(2621)] = 1286,
  [SMALL_STATE(2622)] = 1357,
  [SMALL_STATE(2623)] = 1428,
  [SMALL_STATE(2624)] = 1499,
  [SMALL_STATE(2625)] = 1570,
  [SMALL_STATE(2626)] = 1641,
  [SMALL_STATE(2627)] = 1712,
  [SMALL_STATE(2628)] = 1783,
  [SMALL_STATE(2629)] = 1854,
  [SMALL_STATE(2630)] = 1925,
  [SMALL_STATE(2631)] = 1996,
  [SMALL_STATE(2632)] = 2067,
  [SMALL_STATE(2633)] = 2138,
  [SMALL_STATE(2634)] = 2209,
  [SMALL_STATE(2635)] = 2280,
  [SMALL_STATE(2636)] = 2351,
  [SMALL_STATE(2637)] = 2422,
  [SMALL_STATE(2638)] = 2493,
  [SMALL_STATE(2639)] = 2564,
  [SMALL_STATE(2640)] = 2635,
  [SMALL_STATE(2641)] = 2706,
  [SMALL_STATE(2642)] = 2781,
  [SMALL_STATE(2643)] = 2852,
  [SMALL_STATE(2644)] = 2923,
  [SMALL_STATE(2645)] = 2994,
  [SMALL_STATE(2646)] = 3065,
  [SMALL_STATE(2647)] = 3136,
  [SMALL_STATE(2648)] = 3211,
  [SMALL_STATE(2649)] = 3282,
  [SMALL_STATE(2650)] = 3353,
  [SMALL_STATE(2651)] = 3424,
  [SMALL_STATE(2652)] = 3495,
  [SMALL_STATE(2653)] = 3574,
  [SMALL_STATE(2654)] = 3653,
  [SMALL_STATE(2655)] = 3740,
  [SMALL_STATE(2656)] = 3811,
  [SMALL_STATE(2657)] = 3882,
  [SMALL_STATE(2658)] = 3955,
  [SMALL_STATE(2659)] = 4026,
  [SMALL_STATE(2660)] = 4097,
  [SMALL_STATE(2661)] = 4168,
  [SMALL_STATE(2662)] = 4239,
  [SMALL_STATE(2663)] = 4310,
  [SMALL_STATE(2664)] = 4381,
  [SMALL_STATE(2665)] = 4452,
  [SMALL_STATE(2666)] = 4523,
  [SMALL_STATE(2667)] = 4594,
  [SMALL_STATE(2668)] = 4665,
  [SMALL_STATE(2669)] = 4736,
  [SMALL_STATE(2670)] = 4807,
  [SMALL_STATE(2671)] = 4886,
  [SMALL_STATE(2672)] = 4957,
  [SMALL_STATE(2673)] = 5028,
  [SMALL_STATE(2674)] = 5099,
  [SMALL_STATE(2675)] = 5170,
  [SMALL_STATE(2676)] = 5241,
  [SMALL_STATE(2677)] = 5312,
  [SMALL_STATE(2678)] = 5387,
  [SMALL_STATE(2679)] = 5458,
  [SMALL_STATE(2680)] = 5529,
  [SMALL_STATE(2681)] = 5600,
  [SMALL_STATE(2682)] = 5671,
  [SMALL_STATE(2683)] = 5742,
  [SMALL_STATE(2684)] = 5813,
  [SMALL_STATE(2685)] = 5884,
  [SMALL_STATE(2686)] = 5955,
  [SMALL_STATE(2687)] = 6026,
  [SMALL_STATE(2688)] = 6101,
  [SMALL_STATE(2689)] = 6174,
  [SMALL_STATE(2690)] = 6245,
  [SMALL_STATE(2691)] = 6316,
  [SMALL_STATE(2692)] = 6387,
  [SMALL_STATE(2693)] = 6458,
  [SMALL_STATE(2694)] = 6529,
  [SMALL_STATE(2695)] = 6600,
  [SMALL_STATE(2696)] = 6671,
  [SMALL_STATE(2697)] = 6742,
  [SMALL_STATE(2698)] = 6813,
  [SMALL_STATE(2699)] = 6884,
  [SMALL_STATE(2700)] = 6955,
  [SMALL_STATE(2701)] = 7026,
  [SMALL_STATE(2702)] = 7097,
  [SMALL_STATE(2703)] = 7168,
  [SMALL_STATE(2704)] = 7239,
  [SMALL_STATE(2705)] = 7310,
  [SMALL_STATE(2706)] = 7381,
  [SMALL_STATE(2707)] = 7458,
  [SMALL_STATE(2708)] = 7529,
  [SMALL_STATE(2709)] = 7600,
  [SMALL_STATE(2710)] = 7671,
  [SMALL_STATE(2711)] = 7742,
  [SMALL_STATE(2712)] = 7813,
  [SMALL_STATE(2713)] = 7884,
  [SMALL_STATE(2714)] = 7955,
  [SMALL_STATE(2715)] = 8026,
  [SMALL_STATE(2716)] = 8097,
  [SMALL_STATE(2717)] = 8168,
  [SMALL_STATE(2718)] = 8247,
  [SMALL_STATE(2719)] = 8318,
  [SMALL_STATE(2720)] = 8389,
  [SMALL_STATE(2721)] = 8460,
  [SMALL_STATE(2722)] = 8531,
  [SMALL_STATE(2723)] = 8602,
  [SMALL_STATE(2724)] = 8673,
  [SMALL_STATE(2725)] = 8744,
  [SMALL_STATE(2726)] = 8815,
  [SMALL_STATE(2727)] = 8886,
  [SMALL_STATE(2728)] = 8957,
  [SMALL_STATE(2729)] = 9028,
  [SMALL_STATE(2730)] = 9099,
  [SMALL_STATE(2731)] = 9170,
  [SMALL_STATE(2732)] = 9241,
  [SMALL_STATE(2733)] = 9312,
  [SMALL_STATE(2734)] = 9383,
  [SMALL_STATE(2735)] = 9454,
  [SMALL_STATE(2736)] = 9529,
  [SMALL_STATE(2737)] = 9600,
  [SMALL_STATE(2738)] = 9683,
  [SMALL_STATE(2739)] = 9766,
  [SMALL_STATE(2740)] = 9837,
  [SMALL_STATE(2741)] = 9912,
  [SMALL_STATE(2742)] = 9983,
  [SMALL_STATE(2743)] = 10058,
  [SMALL_STATE(2744)] = 10129,
  [SMALL_STATE(2745)] = 10200,
  [SMALL_STATE(2746)] = 10281,
  [SMALL_STATE(2747)] = 10352,
  [SMALL_STATE(2748)] = 10427,
  [SMALL_STATE(2749)] = 10498,
  [SMALL_STATE(2750)] = 10569,
  [SMALL_STATE(2751)] = 10644,
  [SMALL_STATE(2752)] = 10715,
  [SMALL_STATE(2753)] = 10786,
  [SMALL_STATE(2754)] = 10857,
  [SMALL_STATE(2755)] = 10928,
  [SMALL_STATE(2756)] = 10999,
  [SMALL_STATE(2757)] = 11070,
  [SMALL_STATE(2758)] = 11141,
  [SMALL_STATE(2759)] = 11212,
  [SMALL_STATE(2760)] = 11283,
  [SMALL_STATE(2761)] = 11354,
  [SMALL_STATE(2762)] = 11425,
  [SMALL_STATE(2763)] = 11496,
  [SMALL_STATE(2764)] = 11567,
  [SMALL_STATE(2765)] = 11638,
  [SMALL_STATE(2766)] = 11709,
  [SMALL_STATE(2767)] = 11780,
  [SMALL_STATE(2768)] = 11851,
  [SMALL_STATE(2769)] = 11922,
  [SMALL_STATE(2770)] = 11997,
  [SMALL_STATE(2771)] = 12068,
  [SMALL_STATE(2772)] = 12139,
  [SMALL_STATE(2773)] = 12210,
  [SMALL_STATE(2774)] = 12281,
  [SMALL_STATE(2775)] = 12352,
  [SMALL_STATE(2776)] = 12423,
  [SMALL_STATE(2777)] = 12494,
  [SMALL_STATE(2778)] = 12565,
  [SMALL_STATE(2779)] = 12636,
  [SMALL_STATE(2780)] = 12707,
  [SMALL_STATE(2781)] = 12778,
  [SMALL_STATE(2782)] = 12849,
  [SMALL_STATE(2783)] = 12920,
  [SMALL_STATE(2784)] = 12997,
  [SMALL_STATE(2785)] = 13068,
  [SMALL_STATE(2786)] = 13139,
  [SMALL_STATE(2787)] = 13210,
  [SMALL_STATE(2788)] = 13281,
  [SMALL_STATE(2789)] = 13352,
  [SMALL_STATE(2790)] = 13423,
  [SMALL_STATE(2791)] = 13494,
  [SMALL_STATE(2792)] = 13565,
  [SMALL_STATE(2793)] = 13636,
  [SMALL_STATE(2794)] = 13707,
  [SMALL_STATE(2795)] = 13778,
  [SMALL_STATE(2796)] = 13849,
  [SMALL_STATE(2797)] = 13920,
  [SMALL_STATE(2798)] = 13991,
  [SMALL_STATE(2799)] = 14062,
  [SMALL_STATE(2800)] = 14133,
  [SMALL_STATE(2801)] = 14204,
  [SMALL_STATE(2802)] = 14275,
  [SMALL_STATE(2803)] = 14346,
  [SMALL_STATE(2804)] = 14417,
  [SMALL_STATE(2805)] = 14488,
  [SMALL_STATE(2806)] = 14559,
  [SMALL_STATE(2807)] = 14630,
  [SMALL_STATE(2808)] = 14701,
  [SMALL_STATE(2809)] = 14778,
  [SMALL_STATE(2810)] = 14849,
  [SMALL_STATE(2811)] = 14972,
  [SMALL_STATE(2812)] = 15043,
  [SMALL_STATE(2813)] = 15114,
  [SMALL_STATE(2814)] = 15185,
  [SMALL_STATE(2815)] = 15260,
  [SMALL_STATE(2816)] = 15383,
  [SMALL_STATE(2817)] = 15462,
  [SMALL_STATE(2818)] = 15533,
  [SMALL_STATE(2819)] = 15604,
  [SMALL_STATE(2820)] = 15675,
  [SMALL_STATE(2821)] = 15746,
  [SMALL_STATE(2822)] = 15820,
  [SMALL_STATE(2823)] = 15894,
  [SMALL_STATE(2824)] = 15966,
  [SMALL_STATE(2825)] = 16042,
  [SMALL_STATE(2826)] = 16112,
  [SMALL_STATE(2827)] = 16194,
  [SMALL_STATE(2828)] = 16264,
  [SMALL_STATE(2829)] = 16338,
  [SMALL_STATE(2830)] = 16410,
  [SMALL_STATE(2831)] = 16480,
  [SMALL_STATE(2832)] = 16554,
  [SMALL_STATE(2833)] = 16624,
  [SMALL_STATE(2834)] = 16694,
  [SMALL_STATE(2835)] = 16764,
  [SMALL_STATE(2836)] = 16848,
  [SMALL_STATE(2837)] = 16918,
  [SMALL_STATE(2838)] = 16996,
  [SMALL_STATE(2839)] = 17066,
  [SMALL_STATE(2840)] = 17136,
  [SMALL_STATE(2841)] = 17206,
  [SMALL_STATE(2842)] = 17276,
  [SMALL_STATE(2843)] = 17346,
  [SMALL_STATE(2844)] = 17416,
  [SMALL_STATE(2845)] = 17486,
  [SMALL_STATE(2846)] = 17568,
  [SMALL_STATE(2847)] = 17638,
  [SMALL_STATE(2848)] = 17712,
  [SMALL_STATE(2849)] = 17788,
  [SMALL_STATE(2850)] = 17864,
  [SMALL_STATE(2851)] = 17936,
  [SMALL_STATE(2852)] = 18012,
  [SMALL_STATE(2853)] = 18086,
  [SMALL_STATE(2854)] = 18158,
  [SMALL_STATE(2855)] = 18228,
  [SMALL_STATE(2856)] = 18314,
  [SMALL_STATE(2857)] = 18384,
  [SMALL_STATE(2858)] = 18468,
  [SMALL_STATE(2859)] = 18538,
  [SMALL_STATE(2860)] = 18610,
  [SMALL_STATE(2861)] = 18684,
  [SMALL_STATE(2862)] = 18754,
  [SMALL_STATE(2863)] = 18828,
  [SMALL_STATE(2864)] = 18902,
  [SMALL_STATE(2865)] = 18986,
  [SMALL_STATE(2866)] = 19056,
  [SMALL_STATE(2867)] = 19126,
  [SMALL_STATE(2868)] = 19196,
  [SMALL_STATE(2869)] = 19266,
  [SMALL_STATE(2870)] = 19336,
  [SMALL_STATE(2871)] = 19406,
  [SMALL_STATE(2872)] = 19476,
  [SMALL_STATE(2873)] = 19550,
  [SMALL_STATE(2874)] = 19620,
  [SMALL_STATE(2875)] = 19694,
  [SMALL_STATE(2876)] = 19764,
  [SMALL_STATE(2877)] = 19834,
  [SMALL_STATE(2878)] = 19904,
  [SMALL_STATE(2879)] = 19974,
  [SMALL_STATE(2880)] = 20052,
  [SMALL_STATE(2881)] = 20122,
  [SMALL_STATE(2882)] = 20192,
  [SMALL_STATE(2883)] = 20262,
  [SMALL_STATE(2884)] = 20332,
  [SMALL_STATE(2885)] = 20402,
  [SMALL_STATE(2886)] = 20472,
  [SMALL_STATE(2887)] = 20550,
  [SMALL_STATE(2888)] = 20620,
  [SMALL_STATE(2889)] = 20698,
  [SMALL_STATE(2890)] = 20782,
  [SMALL_STATE(2891)] = 20854,
  [SMALL_STATE(2892)] = 20926,
  [SMALL_STATE(2893)] = 21010,
  [SMALL_STATE(2894)] = 21084,
  [SMALL_STATE(2895)] = 21153,
  [SMALL_STATE(2896)] = 21222,
  [SMALL_STATE(2897)] = 21291,
  [SMALL_STATE(2898)] = 21364,
  [SMALL_STATE(2899)] = 21433,
  [SMALL_STATE(2900)] = 21524,
  [SMALL_STATE(2901)] = 21593,
  [SMALL_STATE(2902)] = 21714,
  [SMALL_STATE(2903)] = 21783,
  [SMALL_STATE(2904)] = 21852,
  [SMALL_STATE(2905)] = 21921,
  [SMALL_STATE(2906)] = 21990,
  [SMALL_STATE(2907)] = 22059,
  [SMALL_STATE(2908)] = 22128,
  [SMALL_STATE(2909)] = 22197,
  [SMALL_STATE(2910)] = 22318,
  [SMALL_STATE(2911)] = 22387,
  [SMALL_STATE(2912)] = 22456,
  [SMALL_STATE(2913)] = 22525,
  [SMALL_STATE(2914)] = 22594,
  [SMALL_STATE(2915)] = 22663,
  [SMALL_STATE(2916)] = 22736,
  [SMALL_STATE(2917)] = 22805,
  [SMALL_STATE(2918)] = 22874,
  [SMALL_STATE(2919)] = 22943,
  [SMALL_STATE(2920)] = 23012,
  [SMALL_STATE(2921)] = 23081,
  [SMALL_STATE(2922)] = 23150,
  [SMALL_STATE(2923)] = 23219,
  [SMALL_STATE(2924)] = 23310,
  [SMALL_STATE(2925)] = 23379,
  [SMALL_STATE(2926)] = 23448,
  [SMALL_STATE(2927)] = 23517,
  [SMALL_STATE(2928)] = 23586,
  [SMALL_STATE(2929)] = 23655,
  [SMALL_STATE(2930)] = 23724,
  [SMALL_STATE(2931)] = 23801,
  [SMALL_STATE(2932)] = 23870,
  [SMALL_STATE(2933)] = 23939,
  [SMALL_STATE(2934)] = 24008,
  [SMALL_STATE(2935)] = 24077,
  [SMALL_STATE(2936)] = 24146,
  [SMALL_STATE(2937)] = 24227,
  [SMALL_STATE(2938)] = 24298,
  [SMALL_STATE(2939)] = 24369,
  [SMALL_STATE(2940)] = 24438,
  [SMALL_STATE(2941)] = 24507,
  [SMALL_STATE(2942)] = 24576,
  [SMALL_STATE(2943)] = 24645,
  [SMALL_STATE(2944)] = 24714,
  [SMALL_STATE(2945)] = 24783,
  [SMALL_STATE(2946)] = 24860,
  [SMALL_STATE(2947)] = 24929,
  [SMALL_STATE(2948)] = 24998,
  [SMALL_STATE(2949)] = 25067,
  [SMALL_STATE(2950)] = 25136,
  [SMALL_STATE(2951)] = 25213,
  [SMALL_STATE(2952)] = 25282,
  [SMALL_STATE(2953)] = 25351,
  [SMALL_STATE(2954)] = 25420,
  [SMALL_STATE(2955)] = 25489,
  [SMALL_STATE(2956)] = 25566,
  [SMALL_STATE(2957)] = 25635,
  [SMALL_STATE(2958)] = 25716,
  [SMALL_STATE(2959)] = 25785,
  [SMALL_STATE(2960)] = 25854,
  [SMALL_STATE(2961)] = 25923,
  [SMALL_STATE(2962)] = 25992,
  [SMALL_STATE(2963)] = 26061,
  [SMALL_STATE(2964)] = 26138,
  [SMALL_STATE(2965)] = 26207,
  [SMALL_STATE(2966)] = 26276,
  [SMALL_STATE(2967)] = 26397,
  [SMALL_STATE(2968)] = 26478,
  [SMALL_STATE(2969)] = 26553,
  [SMALL_STATE(2970)] = 26622,
  [SMALL_STATE(2971)] = 26691,
  [SMALL_STATE(2972)] = 26812,
  [SMALL_STATE(2973)] = 26881,
  [SMALL_STATE(2974)] = 26950,
  [SMALL_STATE(2975)] = 27027,
  [SMALL_STATE(2976)] = 27096,
  [SMALL_STATE(2977)] = 27165,
  [SMALL_STATE(2978)] = 27234,
  [SMALL_STATE(2979)] = 27303,
  [SMALL_STATE(2980)] = 27372,
  [SMALL_STATE(2981)] = 27457,
  [SMALL_STATE(2982)] = 27526,
  [SMALL_STATE(2983)] = 27595,
  [SMALL_STATE(2984)] = 27664,
  [SMALL_STATE(2985)] = 27733,
  [SMALL_STATE(2986)] = 27802,
  [SMALL_STATE(2987)] = 27879,
  [SMALL_STATE(2988)] = 27948,
  [SMALL_STATE(2989)] = 28017,
  [SMALL_STATE(2990)] = 28086,
  [SMALL_STATE(2991)] = 28155,
  [SMALL_STATE(2992)] = 28224,
  [SMALL_STATE(2993)] = 28293,
  [SMALL_STATE(2994)] = 28362,
  [SMALL_STATE(2995)] = 28431,
  [SMALL_STATE(2996)] = 28510,
  [SMALL_STATE(2997)] = 28579,
  [SMALL_STATE(2998)] = 28648,
  [SMALL_STATE(2999)] = 28717,
  [SMALL_STATE(3000)] = 28786,
  [SMALL_STATE(3001)] = 28857,
  [SMALL_STATE(3002)] = 28938,
  [SMALL_STATE(3003)] = 29011,
  [SMALL_STATE(3004)] = 29080,
  [SMALL_STATE(3005)] = 29149,
  [SMALL_STATE(3006)] = 29218,
  [SMALL_STATE(3007)] = 29338,
  [SMALL_STATE(3008)] = 29422,
  [SMALL_STATE(3009)] = 29494,
  [SMALL_STATE(3010)] = 29568,
  [SMALL_STATE(3011)] = 29640,
  [SMALL_STATE(3012)] = 29708,
  [SMALL_STATE(3013)] = 29780,
  [SMALL_STATE(3014)] = 29864,
  [SMALL_STATE(3015)] = 29936,
  [SMALL_STATE(3016)] = 30008,
  [SMALL_STATE(3017)] = 30080,
  [SMALL_STATE(3018)] = 30152,
  [SMALL_STATE(3019)] = 30220,
  [SMALL_STATE(3020)] = 30292,
  [SMALL_STATE(3021)] = 30376,
  [SMALL_STATE(3022)] = 30448,
  [SMALL_STATE(3023)] = 30520,
  [SMALL_STATE(3024)] = 30598,
  [SMALL_STATE(3025)] = 30670,
  [SMALL_STATE(3026)] = 30742,
  [SMALL_STATE(3027)] = 30814,
  [SMALL_STATE(3028)] = 30886,
  [SMALL_STATE(3029)] = 30970,
  [SMALL_STATE(3030)] = 31038,
  [SMALL_STATE(3031)] = 31106,
  [SMALL_STATE(3032)] = 31178,
  [SMALL_STATE(3033)] = 31250,
  [SMALL_STATE(3034)] = 31318,
  [SMALL_STATE(3035)] = 31390,
  [SMALL_STATE(3036)] = 31474,
  [SMALL_STATE(3037)] = 31542,
  [SMALL_STATE(3038)] = 31614,
  [SMALL_STATE(3039)] = 31682,
  [SMALL_STATE(3040)] = 31758,
  [SMALL_STATE(3041)] = 31830,
  [SMALL_STATE(3042)] = 31902,
  [SMALL_STATE(3043)] = 31978,
  [SMALL_STATE(3044)] = 32050,
  [SMALL_STATE(3045)] = 32122,
  [SMALL_STATE(3046)] = 32190,
  [SMALL_STATE(3047)] = 32310,
  [SMALL_STATE(3048)] = 32384,
  [SMALL_STATE(3049)] = 32456,
  [SMALL_STATE(3050)] = 32528,
  [SMALL_STATE(3051)] = 32600,
  [SMALL_STATE(3052)] = 32676,
  [SMALL_STATE(3053)] = 32748,
  [SMALL_STATE(3054)] = 32823,
  [SMALL_STATE(3055)] = 32894,
  [SMALL_STATE(3056)] = 32965,
  [SMALL_STATE(3057)] = 33040,
  [SMALL_STATE(3058)] = 33111,
  [SMALL_STATE(3059)] = 33184,
  [SMALL_STATE(3060)] = 33251,
  [SMALL_STATE(3061)] = 33334,
  [SMALL_STATE(3062)] = 33403,
  [SMALL_STATE(3063)] = 33482,
  [SMALL_STATE(3064)] = 33553,
  [SMALL_STATE(3065)] = 33626,
  [SMALL_STATE(3066)] = 33697,
  [SMALL_STATE(3067)] = 33764,
  [SMALL_STATE(3068)] = 33831,
  [SMALL_STATE(3069)] = 33898,
  [SMALL_STATE(3070)] = 33981,
  [SMALL_STATE(3071)] = 34056,
  [SMALL_STATE(3072)] = 34123,
  [SMALL_STATE(3073)] = 34206,
  [SMALL_STATE(3074)] = 34275,
  [SMALL_STATE(3075)] = 34342,
  [SMALL_STATE(3076)] = 34419,
  [SMALL_STATE(3077)] = 34498,
  [SMALL_STATE(3078)] = 34569,
  [SMALL_STATE(3079)] = 34640,
  [SMALL_STATE(3080)] = 34713,
  [SMALL_STATE(3081)] = 34788,
  [SMALL_STATE(3082)] = 34859,
  [SMALL_STATE(3083)] = 34942,
  [SMALL_STATE(3084)] = 35011,
  [SMALL_STATE(3085)] = 35082,
  [SMALL_STATE(3086)] = 35155,
  [SMALL_STATE(3087)] = 35222,
  [SMALL_STATE(3088)] = 35291,
  [SMALL_STATE(3089)] = 35362,
  [SMALL_STATE(3090)] = 35445,
  [SMALL_STATE(3091)] = 35511,
  [SMALL_STATE(3092)] = 35577,
  [SMALL_STATE(3093)] = 35655,
  [SMALL_STATE(3094)] = 35721,
  [SMALL_STATE(3095)] = 35787,
  [SMALL_STATE(3096)] = 35859,
  [SMALL_STATE(3097)] = 35925,
  [SMALL_STATE(3098)] = 35991,
  [SMALL_STATE(3099)] = 36057,
  [SMALL_STATE(3100)] = 36127,
  [SMALL_STATE(3101)] = 36193,
  [SMALL_STATE(3102)] = 36261,
  [SMALL_STATE(3103)] = 36327,
  [SMALL_STATE(3104)] = 36395,
  [SMALL_STATE(3105)] = 36477,
  [SMALL_STATE(3106)] = 36543,
  [SMALL_STATE(3107)] = 36613,
  [SMALL_STATE(3108)] = 36679,
  [SMALL_STATE(3109)] = 36757,
  [SMALL_STATE(3110)] = 36823,
  [SMALL_STATE(3111)] = 36899,
  [SMALL_STATE(3112)] = 36971,
  [SMALL_STATE(3113)] = 37039,
  [SMALL_STATE(3114)] = 37105,
  [SMALL_STATE(3115)] = 37171,
  [SMALL_STATE(3116)] = 37241,
  [SMALL_STATE(3117)] = 37307,
  [SMALL_STATE(3118)] = 37373,
  [SMALL_STATE(3119)] = 37439,
  [SMALL_STATE(3120)] = 37505,
  [SMALL_STATE(3121)] = 37575,
  [SMALL_STATE(3122)] = 37645,
  [SMALL_STATE(3123)] = 37727,
  [SMALL_STATE(3124)] = 37793,
  [SMALL_STATE(3125)] = 37859,
  [SMALL_STATE(3126)] = 37929,
  [SMALL_STATE(3127)] = 37999,
  [SMALL_STATE(3128)] = 38065,
  [SMALL_STATE(3129)] = 38131,
  [SMALL_STATE(3130)] = 38197,
  [SMALL_STATE(3131)] = 38263,
  [SMALL_STATE(3132)] = 38333,
  [SMALL_STATE(3133)] = 38415,
  [SMALL_STATE(3134)] = 38485,
  [SMALL_STATE(3135)] = 38551,
  [SMALL_STATE(3136)] = 38621,
  [SMALL_STATE(3137)] = 38703,
  [SMALL_STATE(3138)] = 38769,
  [SMALL_STATE(3139)] = 38839,
  [SMALL_STATE(3140)] = 38905,
  [SMALL_STATE(3141)] = 38971,
  [SMALL_STATE(3142)] = 39037,
  [SMALL_STATE(3143)] = 39103,
  [SMALL_STATE(3144)] = 39169,
  [SMALL_STATE(3145)] = 39239,
  [SMALL_STATE(3146)] = 39309,
  [SMALL_STATE(3147)] = 39375,
  [SMALL_STATE(3148)] = 39441,
  [SMALL_STATE(3149)] = 39519,
  [SMALL_STATE(3150)] = 39585,
  [SMALL_STATE(3151)] = 39651,
  [SMALL_STATE(3152)] = 39725,
  [SMALL_STATE(3153)] = 39791,
  [SMALL_STATE(3154)] = 39857,
  [SMALL_STATE(3155)] = 39923,
  [SMALL_STATE(3156)] = 39989,
  [SMALL_STATE(3157)] = 40055,
  [SMALL_STATE(3158)] = 40127,
  [SMALL_STATE(3159)] = 40193,
  [SMALL_STATE(3160)] = 40258,
  [SMALL_STATE(3161)] = 40367,
  [SMALL_STATE(3162)] = 40442,
  [SMALL_STATE(3163)] = 40511,
  [SMALL_STATE(3164)] = 40580,
  [SMALL_STATE(3165)] = 40645,
  [SMALL_STATE(3166)] = 40716,
  [SMALL_STATE(3167)] = 40789,
  [SMALL_STATE(3168)] = 40864,
  [SMALL_STATE(3169)] = 40929,
  [SMALL_STATE(3170)] = 41004,
  [SMALL_STATE(3171)] = 41069,
  [SMALL_STATE(3172)] = 41134,
  [SMALL_STATE(3173)] = 41199,
  [SMALL_STATE(3174)] = 41268,
  [SMALL_STATE(3175)] = 41333,
  [SMALL_STATE(3176)] = 41408,
  [SMALL_STATE(3177)] = 41473,
  [SMALL_STATE(3178)] = 41542,
  [SMALL_STATE(3179)] = 41617,
  [SMALL_STATE(3180)] = 41682,
  [SMALL_STATE(3181)] = 41755,
  [SMALL_STATE(3182)] = 41820,
  [SMALL_STATE(3183)] = 41889,
  [SMALL_STATE(3184)] = 41998,
  [SMALL_STATE(3185)] = 42079,
  [SMALL_STATE(3186)] = 42192,
  [SMALL_STATE(3187)] = 42273,
  [SMALL_STATE(3188)] = 42338,
  [SMALL_STATE(3189)] = 42403,
  [SMALL_STATE(3190)] = 42468,
  [SMALL_STATE(3191)] = 42539,
  [SMALL_STATE(3192)] = 42608,
  [SMALL_STATE(3193)] = 42673,
  [SMALL_STATE(3194)] = 42742,
  [SMALL_STATE(3195)] = 42811,
  [SMALL_STATE(3196)] = 42892,
  [SMALL_STATE(3197)] = 42979,
  [SMALL_STATE(3198)] = 43070,
  [SMALL_STATE(3199)] = 43165,
  [SMALL_STATE(3200)] = 43262,
  [SMALL_STATE(3201)] = 43361,
  [SMALL_STATE(3202)] = 43462,
  [SMALL_STATE(3203)] = 43567,
  [SMALL_STATE(3204)] = 43680,
  [SMALL_STATE(3205)] = 43749,
  [SMALL_STATE(3206)] = 43816,
  [SMALL_STATE(3207)] = 43887,
  [SMALL_STATE(3208)] = 43968,
  [SMALL_STATE(3209)] = 44037,
  [SMALL_STATE(3210)] = 44106,
  [SMALL_STATE(3211)] = 44179,
  [SMALL_STATE(3212)] = 44248,
  [SMALL_STATE(3213)] = 44317,
  [SMALL_STATE(3214)] = 44384,
  [SMALL_STATE(3215)] = 44449,
  [SMALL_STATE(3216)] = 44514,
  [SMALL_STATE(3217)] = 44579,
  [SMALL_STATE(3218)] = 44652,
  [SMALL_STATE(3219)] = 44765,
  [SMALL_STATE(3220)] = 44834,
  [SMALL_STATE(3221)] = 44915,
  [SMALL_STATE(3222)] = 44980,
  [SMALL_STATE(3223)] = 45063,
  [SMALL_STATE(3224)] = 45148,
  [SMALL_STATE(3225)] = 45257,
  [SMALL_STATE(3226)] = 45322,
  [SMALL_STATE(3227)] = 45431,
  [SMALL_STATE(3228)] = 45496,
  [SMALL_STATE(3229)] = 45563,
  [SMALL_STATE(3230)] = 45628,
  [SMALL_STATE(3231)] = 45695,
  [SMALL_STATE(3232)] = 45764,
  [SMALL_STATE(3233)] = 45832,
  [SMALL_STATE(3234)] = 45920,
  [SMALL_STATE(3235)] = 45984,
  [SMALL_STATE(3236)] = 46048,
  [SMALL_STATE(3237)] = 46112,
  [SMALL_STATE(3238)] = 46184,
  [SMALL_STATE(3239)] = 46248,
  [SMALL_STATE(3240)] = 46312,
  [SMALL_STATE(3241)] = 46376,
  [SMALL_STATE(3242)] = 46452,
  [SMALL_STATE(3243)] = 46516,
  [SMALL_STATE(3244)] = 46580,
  [SMALL_STATE(3245)] = 46646,
  [SMALL_STATE(3246)] = 46714,
  [SMALL_STATE(3247)] = 46778,
  [SMALL_STATE(3248)] = 46842,
  [SMALL_STATE(3249)] = 46906,
  [SMALL_STATE(3250)] = 46982,
  [SMALL_STATE(3251)] = 47046,
  [SMALL_STATE(3252)] = 47110,
  [SMALL_STATE(3253)] = 47174,
  [SMALL_STATE(3254)] = 47238,
  [SMALL_STATE(3255)] = 47306,
  [SMALL_STATE(3256)] = 47370,
  [SMALL_STATE(3257)] = 47434,
  [SMALL_STATE(3258)] = 47498,
  [SMALL_STATE(3259)] = 47568,
  [SMALL_STATE(3260)] = 47632,
  [SMALL_STATE(3261)] = 47696,
  [SMALL_STATE(3262)] = 47760,
  [SMALL_STATE(3263)] = 47826,
  [SMALL_STATE(3264)] = 47890,
  [SMALL_STATE(3265)] = 47958,
  [SMALL_STATE(3266)] = 48022,
  [SMALL_STATE(3267)] = 48090,
  [SMALL_STATE(3268)] = 48154,
  [SMALL_STATE(3269)] = 48242,
  [SMALL_STATE(3270)] = 48306,
  [SMALL_STATE(3271)] = 48374,
  [SMALL_STATE(3272)] = 48442,
  [SMALL_STATE(3273)] = 48510,
  [SMALL_STATE(3274)] = 48574,
  [SMALL_STATE(3275)] = 48638,
  [SMALL_STATE(3276)] = 48702,
  [SMALL_STATE(3277)] = 48770,
  [SMALL_STATE(3278)] = 48834,
  [SMALL_STATE(3279)] = 48922,
  [SMALL_STATE(3280)] = 48986,
  [SMALL_STATE(3281)] = 49050,
  [SMALL_STATE(3282)] = 49118,
  [SMALL_STATE(3283)] = 49182,
  [SMALL_STATE(3284)] = 49246,
  [SMALL_STATE(3285)] = 49334,
  [SMALL_STATE(3286)] = 49398,
  [SMALL_STATE(3287)] = 49462,
  [SMALL_STATE(3288)] = 49526,
  [SMALL_STATE(3289)] = 49590,
  [SMALL_STATE(3290)] = 49656,
  [SMALL_STATE(3291)] = 49724,
  [SMALL_STATE(3292)] = 49788,
  [SMALL_STATE(3293)] = 49858,
  [SMALL_STATE(3294)] = 49922,
  [SMALL_STATE(3295)] = 49986,
  [SMALL_STATE(3296)] = 50050,
  [SMALL_STATE(3297)] = 50122,
  [SMALL_STATE(3298)] = 50186,
  [SMALL_STATE(3299)] = 50250,
  [SMALL_STATE(3300)] = 50314,
  [SMALL_STATE(3301)] = 50378,
  [SMALL_STATE(3302)] = 50466,
  [SMALL_STATE(3303)] = 50534,
  [SMALL_STATE(3304)] = 50598,
  [SMALL_STATE(3305)] = 50662,
  [SMALL_STATE(3306)] = 50726,
  [SMALL_STATE(3307)] = 50794,
  [SMALL_STATE(3308)] = 50858,
  [SMALL_STATE(3309)] = 50922,
  [SMALL_STATE(3310)] = 51010,
  [SMALL_STATE(3311)] = 51074,
  [SMALL_STATE(3312)] = 51138,
  [SMALL_STATE(3313)] = 51206,
  [SMALL_STATE(3314)] = 51270,
  [SMALL_STATE(3315)] = 51358,
  [SMALL_STATE(3316)] = 51422,
  [SMALL_STATE(3317)] = 51490,
  [SMALL_STATE(3318)] = 51556,
  [SMALL_STATE(3319)] = 51620,
  [SMALL_STATE(3320)] = 51708,
  [SMALL_STATE(3321)] = 51772,
  [SMALL_STATE(3322)] = 51838,
  [SMALL_STATE(3323)] = 51904,
  [SMALL_STATE(3324)] = 51972,
  [SMALL_STATE(3325)] = 52036,
  [SMALL_STATE(3326)] = 52106,
  [SMALL_STATE(3327)] = 52170,
  [SMALL_STATE(3328)] = 52234,
  [SMALL_STATE(3329)] = 52298,
  [SMALL_STATE(3330)] = 52362,
  [SMALL_STATE(3331)] = 52430,
  [SMALL_STATE(3332)] = 52498,
  [SMALL_STATE(3333)] = 52566,
  [SMALL_STATE(3334)] = 52634,
  [SMALL_STATE(3335)] = 52702,
  [SMALL_STATE(3336)] = 52770,
  [SMALL_STATE(3337)] = 52834,
  [SMALL_STATE(3338)] = 52922,
  [SMALL_STATE(3339)] = 52990,
  [SMALL_STATE(3340)] = 53054,
  [SMALL_STATE(3341)] = 53118,
  [SMALL_STATE(3342)] = 53188,
  [SMALL_STATE(3343)] = 53252,
  [SMALL_STATE(3344)] = 53316,
  [SMALL_STATE(3345)] = 53380,
  [SMALL_STATE(3346)] = 53444,
  [SMALL_STATE(3347)] = 53508,
  [SMALL_STATE(3348)] = 53576,
  [SMALL_STATE(3349)] = 53648,
  [SMALL_STATE(3350)] = 53714,
  [SMALL_STATE(3351)] = 53778,
  [SMALL_STATE(3352)] = 53846,
  [SMALL_STATE(3353)] = 53910,
  [SMALL_STATE(3354)] = 53978,
  [SMALL_STATE(3355)] = 54044,
  [SMALL_STATE(3356)] = 54112,
  [SMALL_STATE(3357)] = 54180,
  [SMALL_STATE(3358)] = 54244,
  [SMALL_STATE(3359)] = 54310,
  [SMALL_STATE(3360)] = 54378,
  [SMALL_STATE(3361)] = 54442,
  [SMALL_STATE(3362)] = 54510,
  [SMALL_STATE(3363)] = 54574,
  [SMALL_STATE(3364)] = 54638,
  [SMALL_STATE(3365)] = 54702,
  [SMALL_STATE(3366)] = 54766,
  [SMALL_STATE(3367)] = 54830,
  [SMALL_STATE(3368)] = 54898,
  [SMALL_STATE(3369)] = 54962,
  [SMALL_STATE(3370)] = 55030,
  [SMALL_STATE(3371)] = 55098,
  [SMALL_STATE(3372)] = 55205,
  [SMALL_STATE(3373)] = 55314,
  [SMALL_STATE(3374)] = 55407,
  [SMALL_STATE(3375)] = 55496,
  [SMALL_STATE(3376)] = 55563,
  [SMALL_STATE(3377)] = 55636,
  [SMALL_STATE(3378)] = 55703,
  [SMALL_STATE(3379)] = 55800,
  [SMALL_STATE(3380)] = 55895,
  [SMALL_STATE(3381)] = 55994,
  [SMALL_STATE(3382)] = 56073,
  [SMALL_STATE(3383)] = 56140,
  [SMALL_STATE(3384)] = 56207,
  [SMALL_STATE(3385)] = 56274,
  [SMALL_STATE(3386)] = 56341,
  [SMALL_STATE(3387)] = 56444,
  [SMALL_STATE(3388)] = 56523,
  [SMALL_STATE(3389)] = 56590,
  [SMALL_STATE(3390)] = 56657,
  [SMALL_STATE(3391)] = 56740,
  [SMALL_STATE(3392)] = 56821,
  [SMALL_STATE(3393)] = 56896,
  [SMALL_STATE(3394)] = 56981,
  [SMALL_STATE(3395)] = 57054,
  [SMALL_STATE(3396)] = 57143,
  [SMALL_STATE(3397)] = 57250,
  [SMALL_STATE(3398)] = 57327,
  [SMALL_STATE(3399)] = 57390,
  [SMALL_STATE(3400)] = 57475,
  [SMALL_STATE(3401)] = 57636,
  [SMALL_STATE(3402)] = 57699,
  [SMALL_STATE(3403)] = 57762,
  [SMALL_STATE(3404)] = 57827,
  [SMALL_STATE(3405)] = 57896,
  [SMALL_STATE(3406)] = 57961,
  [SMALL_STATE(3407)] = 58032,
  [SMALL_STATE(3408)] = 58095,
  [SMALL_STATE(3409)] = 58158,
  [SMALL_STATE(3410)] = 58235,
  [SMALL_STATE(3411)] = 58342,
  [SMALL_STATE(3412)] = 58419,
  [SMALL_STATE(3413)] = 58532,
  [SMALL_STATE(3414)] = 58601,
  [SMALL_STATE(3415)] = 58664,
  [SMALL_STATE(3416)] = 58729,
  [SMALL_STATE(3417)] = 58792,
  [SMALL_STATE(3418)] = 58899,
  [SMALL_STATE(3419)] = 58974,
  [SMALL_STATE(3420)] = 59037,
  [SMALL_STATE(3421)] = 59100,
  [SMALL_STATE(3422)] = 59179,
  [SMALL_STATE(3423)] = 59286,
  [SMALL_STATE(3424)] = 59393,
  [SMALL_STATE(3425)] = 59484,
  [SMALL_STATE(3426)] = 59551,
  [SMALL_STATE(3427)] = 59618,
  [SMALL_STATE(3428)] = 59713,
  [SMALL_STATE(3429)] = 59776,
  [SMALL_STATE(3430)] = 59887,
  [SMALL_STATE(3431)] = 59984,
  [SMALL_STATE(3432)] = 60047,
  [SMALL_STATE(3433)] = 60148,
  [SMALL_STATE(3434)] = 60253,
  [SMALL_STATE(3435)] = 60414,
  [SMALL_STATE(3436)] = 60487,
  [SMALL_STATE(3437)] = 60596,
  [SMALL_STATE(3438)] = 60669,
  [SMALL_STATE(3439)] = 60738,
  [SMALL_STATE(3440)] = 60807,
  [SMALL_STATE(3441)] = 60918,
  [SMALL_STATE(3442)] = 60985,
  [SMALL_STATE(3443)] = 61048,
  [SMALL_STATE(3444)] = 61113,
  [SMALL_STATE(3445)] = 61186,
  [SMALL_STATE(3446)] = 61265,
  [SMALL_STATE(3447)] = 61346,
  [SMALL_STATE(3448)] = 61417,
  [SMALL_STATE(3449)] = 61528,
  [SMALL_STATE(3450)] = 61595,
  [SMALL_STATE(3451)] = 61660,
  [SMALL_STATE(3452)] = 61723,
  [SMALL_STATE(3453)] = 61790,
  [SMALL_STATE(3454)] = 61869,
  [SMALL_STATE(3455)] = 61932,
  [SMALL_STATE(3456)] = 61995,
  [SMALL_STATE(3457)] = 62058,
  [SMALL_STATE(3458)] = 62219,
  [SMALL_STATE(3459)] = 62282,
  [SMALL_STATE(3460)] = 62391,
  [SMALL_STATE(3461)] = 62504,
  [SMALL_STATE(3462)] = 62581,
  [SMALL_STATE(3463)] = 62694,
  [SMALL_STATE(3464)] = 62757,
  [SMALL_STATE(3465)] = 62824,
  [SMALL_STATE(3466)] = 62907,
  [SMALL_STATE(3467)] = 62984,
  [SMALL_STATE(3468)] = 63145,
  [SMALL_STATE(3469)] = 63224,
  [SMALL_STATE(3470)] = 63287,
  [SMALL_STATE(3471)] = 63396,
  [SMALL_STATE(3472)] = 63458,
  [SMALL_STATE(3473)] = 63520,
  [SMALL_STATE(3474)] = 63582,
  [SMALL_STATE(3475)] = 63648,
  [SMALL_STATE(3476)] = 63710,
  [SMALL_STATE(3477)] = 63780,
  [SMALL_STATE(3478)] = 63842,
  [SMALL_STATE(3479)] = 63904,
  [SMALL_STATE(3480)] = 63984,
  [SMALL_STATE(3481)] = 64056,
  [SMALL_STATE(3482)] = 64122,
  [SMALL_STATE(3483)] = 64184,
  [SMALL_STATE(3484)] = 64254,
  [SMALL_STATE(3485)] = 64316,
  [SMALL_STATE(3486)] = 64378,
  [SMALL_STATE(3487)] = 64440,
  [SMALL_STATE(3488)] = 64502,
  [SMALL_STATE(3489)] = 64564,
  [SMALL_STATE(3490)] = 64626,
  [SMALL_STATE(3491)] = 64688,
  [SMALL_STATE(3492)] = 64750,
  [SMALL_STATE(3493)] = 64814,
  [SMALL_STATE(3494)] = 64876,
  [SMALL_STATE(3495)] = 64944,
  [SMALL_STATE(3496)] = 65006,
  [SMALL_STATE(3497)] = 65068,
  [SMALL_STATE(3498)] = 65148,
  [SMALL_STATE(3499)] = 65210,
  [SMALL_STATE(3500)] = 65272,
  [SMALL_STATE(3501)] = 65334,
  [SMALL_STATE(3502)] = 65396,
  [SMALL_STATE(3503)] = 65458,
  [SMALL_STATE(3504)] = 65520,
  [SMALL_STATE(3505)] = 65582,
  [SMALL_STATE(3506)] = 65654,
  [SMALL_STATE(3507)] = 65718,
  [SMALL_STATE(3508)] = 65780,
  [SMALL_STATE(3509)] = 65850,
  [SMALL_STATE(3510)] = 65912,
  [SMALL_STATE(3511)] = 65974,
  [SMALL_STATE(3512)] = 66036,
  [SMALL_STATE(3513)] = 66098,
  [SMALL_STATE(3514)] = 66160,
  [SMALL_STATE(3515)] = 66228,
  [SMALL_STATE(3516)] = 66290,
  [SMALL_STATE(3517)] = 66352,
  [SMALL_STATE(3518)] = 66418,
  [SMALL_STATE(3519)] = 66484,
  [SMALL_STATE(3520)] = 66546,
  [SMALL_STATE(3521)] = 66608,
  [SMALL_STATE(3522)] = 66670,
  [SMALL_STATE(3523)] = 66732,
  [SMALL_STATE(3524)] = 66798,
  [SMALL_STATE(3525)] = 66860,
  [SMALL_STATE(3526)] = 66922,
  [SMALL_STATE(3527)] = 66984,
  [SMALL_STATE(3528)] = 67046,
  [SMALL_STATE(3529)] = 67108,
  [SMALL_STATE(3530)] = 67170,
  [SMALL_STATE(3531)] = 67232,
  [SMALL_STATE(3532)] = 67294,
  [SMALL_STATE(3533)] = 67356,
  [SMALL_STATE(3534)] = 67418,
  [SMALL_STATE(3535)] = 67480,
  [SMALL_STATE(3536)] = 67542,
  [SMALL_STATE(3537)] = 67604,
  [SMALL_STATE(3538)] = 67684,
  [SMALL_STATE(3539)] = 67746,
  [SMALL_STATE(3540)] = 67808,
  [SMALL_STATE(3541)] = 67870,
  [SMALL_STATE(3542)] = 67932,
  [SMALL_STATE(3543)] = 68004,
  [SMALL_STATE(3544)] = 68066,
  [SMALL_STATE(3545)] = 68128,
  [SMALL_STATE(3546)] = 68190,
  [SMALL_STATE(3547)] = 68252,
  [SMALL_STATE(3548)] = 68314,
  [SMALL_STATE(3549)] = 68376,
  [SMALL_STATE(3550)] = 68438,
  [SMALL_STATE(3551)] = 68500,
  [SMALL_STATE(3552)] = 68562,
  [SMALL_STATE(3553)] = 68624,
  [SMALL_STATE(3554)] = 68686,
  [SMALL_STATE(3555)] = 68748,
  [SMALL_STATE(3556)] = 68810,
  [SMALL_STATE(3557)] = 68876,
  [SMALL_STATE(3558)] = 68938,
  [SMALL_STATE(3559)] = 69000,
  [SMALL_STATE(3560)] = 69064,
  [SMALL_STATE(3561)] = 69132,
  [SMALL_STATE(3562)] = 69194,
  [SMALL_STATE(3563)] = 69256,
  [SMALL_STATE(3564)] = 69318,
  [SMALL_STATE(3565)] = 69380,
  [SMALL_STATE(3566)] = 69442,
  [SMALL_STATE(3567)] = 69506,
  [SMALL_STATE(3568)] = 69586,
  [SMALL_STATE(3569)] = 69654,
  [SMALL_STATE(3570)] = 69716,
  [SMALL_STATE(3571)] = 69778,
  [SMALL_STATE(3572)] = 69840,
  [SMALL_STATE(3573)] = 69902,
  [SMALL_STATE(3574)] = 69964,
  [SMALL_STATE(3575)] = 70026,
  [SMALL_STATE(3576)] = 70096,
  [SMALL_STATE(3577)] = 70158,
  [SMALL_STATE(3578)] = 70220,
  [SMALL_STATE(3579)] = 70292,
  [SMALL_STATE(3580)] = 70354,
  [SMALL_STATE(3581)] = 70420,
  [SMALL_STATE(3582)] = 70500,
  [SMALL_STATE(3583)] = 70566,
  [SMALL_STATE(3584)] = 70646,
  [SMALL_STATE(3585)] = 70714,
  [SMALL_STATE(3586)] = 70776,
  [SMALL_STATE(3587)] = 70838,
  [SMALL_STATE(3588)] = 70900,
  [SMALL_STATE(3589)] = 70972,
  [SMALL_STATE(3590)] = 71034,
  [SMALL_STATE(3591)] = 71104,
  [SMALL_STATE(3592)] = 71166,
  [SMALL_STATE(3593)] = 71230,
  [SMALL_STATE(3594)] = 71292,
  [SMALL_STATE(3595)] = 71362,
  [SMALL_STATE(3596)] = 71426,
  [SMALL_STATE(3597)] = 71506,
  [SMALL_STATE(3598)] = 71568,
  [SMALL_STATE(3599)] = 71630,
  [SMALL_STATE(3600)] = 71692,
  [SMALL_STATE(3601)] = 71754,
  [SMALL_STATE(3602)] = 71834,
  [SMALL_STATE(3603)] = 71896,
  [SMALL_STATE(3604)] = 71976,
  [SMALL_STATE(3605)] = 72038,
  [SMALL_STATE(3606)] = 72100,
  [SMALL_STATE(3607)] = 72162,
  [SMALL_STATE(3608)] = 72232,
  [SMALL_STATE(3609)] = 72298,
  [SMALL_STATE(3610)] = 72360,
  [SMALL_STATE(3611)] = 72422,
  [SMALL_STATE(3612)] = 72488,
  [SMALL_STATE(3613)] = 72549,
  [SMALL_STATE(3614)] = 72628,
  [SMALL_STATE(3615)] = 72689,
  [SMALL_STATE(3616)] = 72750,
  [SMALL_STATE(3617)] = 72815,
  [SMALL_STATE(3618)] = 72882,
  [SMALL_STATE(3619)] = 72987,
  [SMALL_STATE(3620)] = 73092,
  [SMALL_STATE(3621)] = 73157,
  [SMALL_STATE(3622)] = 73222,
  [SMALL_STATE(3623)] = 73283,
  [SMALL_STATE(3624)] = 73344,
  [SMALL_STATE(3625)] = 73405,
  [SMALL_STATE(3626)] = 73470,
  [SMALL_STATE(3627)] = 73575,
  [SMALL_STATE(3628)] = 73644,
  [SMALL_STATE(3629)] = 73705,
  [SMALL_STATE(3630)] = 73766,
  [SMALL_STATE(3631)] = 73831,
  [SMALL_STATE(3632)] = 73894,
  [SMALL_STATE(3633)] = 73955,
  [SMALL_STATE(3634)] = 74022,
  [SMALL_STATE(3635)] = 74083,
  [SMALL_STATE(3636)] = 74144,
  [SMALL_STATE(3637)] = 74209,
  [SMALL_STATE(3638)] = 74270,
  [SMALL_STATE(3639)] = 74335,
  [SMALL_STATE(3640)] = 74396,
  [SMALL_STATE(3641)] = 74457,
  [SMALL_STATE(3642)] = 74564,
  [SMALL_STATE(3643)] = 74625,
  [SMALL_STATE(3644)] = 74686,
  [SMALL_STATE(3645)] = 74747,
  [SMALL_STATE(3646)] = 74812,
  [SMALL_STATE(3647)] = 74919,
  [SMALL_STATE(3648)] = 74980,
  [SMALL_STATE(3649)] = 75049,
  [SMALL_STATE(3650)] = 75110,
  [SMALL_STATE(3651)] = 75171,
  [SMALL_STATE(3652)] = 75232,
  [SMALL_STATE(3653)] = 75309,
  [SMALL_STATE(3654)] = 75388,
  [SMALL_STATE(3655)] = 75455,
  [SMALL_STATE(3656)] = 75516,
  [SMALL_STATE(3657)] = 75577,
  [SMALL_STATE(3658)] = 75638,
  [SMALL_STATE(3659)] = 75699,
  [SMALL_STATE(3660)] = 75780,
  [SMALL_STATE(3661)] = 75891,
  [SMALL_STATE(3662)] = 75952,
  [SMALL_STATE(3663)] = 76013,
  [SMALL_STATE(3664)] = 76074,
  [SMALL_STATE(3665)] = 76135,
  [SMALL_STATE(3666)] = 76196,
  [SMALL_STATE(3667)] = 76257,
  [SMALL_STATE(3668)] = 76318,
  [SMALL_STATE(3669)] = 76379,
  [SMALL_STATE(3670)] = 76440,
  [SMALL_STATE(3671)] = 76501,
  [SMALL_STATE(3672)] = 76568,
  [SMALL_STATE(3673)] = 76629,
  [SMALL_STATE(3674)] = 76690,
  [SMALL_STATE(3675)] = 76751,
  [SMALL_STATE(3676)] = 76812,
  [SMALL_STATE(3677)] = 76873,
  [SMALL_STATE(3678)] = 76934,
  [SMALL_STATE(3679)] = 76995,
  [SMALL_STATE(3680)] = 77056,
  [SMALL_STATE(3681)] = 77117,
  [SMALL_STATE(3682)] = 77178,
  [SMALL_STATE(3683)] = 77239,
  [SMALL_STATE(3684)] = 77300,
  [SMALL_STATE(3685)] = 77361,
  [SMALL_STATE(3686)] = 77422,
  [SMALL_STATE(3687)] = 77487,
  [SMALL_STATE(3688)] = 77552,
  [SMALL_STATE(3689)] = 77613,
  [SMALL_STATE(3690)] = 77674,
  [SMALL_STATE(3691)] = 77785,
  [SMALL_STATE(3692)] = 77892,
  [SMALL_STATE(3693)] = 77955,
  [SMALL_STATE(3694)] = 78016,
  [SMALL_STATE(3695)] = 78085,
  [SMALL_STATE(3696)] = 78154,
  [SMALL_STATE(3697)] = 78229,
  [SMALL_STATE(3698)] = 78290,
  [SMALL_STATE(3699)] = 78351,
  [SMALL_STATE(3700)] = 78412,
  [SMALL_STATE(3701)] = 78485,
  [SMALL_STATE(3702)] = 78560,
  [SMALL_STATE(3703)] = 78629,
  [SMALL_STATE(3704)] = 78694,
  [SMALL_STATE(3705)] = 78765,
  [SMALL_STATE(3706)] = 78830,
  [SMALL_STATE(3707)] = 78891,
  [SMALL_STATE(3708)] = 78952,
  [SMALL_STATE(3709)] = 79013,
  [SMALL_STATE(3710)] = 79074,
  [SMALL_STATE(3711)] = 79139,
  [SMALL_STATE(3712)] = 79214,
  [SMALL_STATE(3713)] = 79289,
  [SMALL_STATE(3714)] = 79396,
  [SMALL_STATE(3715)] = 79457,
  [SMALL_STATE(3716)] = 79518,
  [SMALL_STATE(3717)] = 79625,
  [SMALL_STATE(3718)] = 79698,
  [SMALL_STATE(3719)] = 79759,
  [SMALL_STATE(3720)] = 79820,
  [SMALL_STATE(3721)] = 79881,
  [SMALL_STATE(3722)] = 79942,
  [SMALL_STATE(3723)] = 80049,
  [SMALL_STATE(3724)] = 80110,
  [SMALL_STATE(3725)] = 80171,
  [SMALL_STATE(3726)] = 80232,
  [SMALL_STATE(3727)] = 80343,
  [SMALL_STATE(3728)] = 80404,
  [SMALL_STATE(3729)] = 80465,
  [SMALL_STATE(3730)] = 80526,
  [SMALL_STATE(3731)] = 80593,
  [SMALL_STATE(3732)] = 80674,
  [SMALL_STATE(3733)] = 80785,
  [SMALL_STATE(3734)] = 80846,
  [SMALL_STATE(3735)] = 80929,
  [SMALL_STATE(3736)] = 81016,
  [SMALL_STATE(3737)] = 81105,
  [SMALL_STATE(3738)] = 81166,
  [SMALL_STATE(3739)] = 81231,
  [SMALL_STATE(3740)] = 81324,
  [SMALL_STATE(3741)] = 81387,
  [SMALL_STATE(3742)] = 81482,
  [SMALL_STATE(3743)] = 81581,
  [SMALL_STATE(3744)] = 81684,
  [SMALL_STATE(3745)] = 81749,
  [SMALL_STATE(3746)] = 81824,
  [SMALL_STATE(3747)] = 81901,
  [SMALL_STATE(3748)] = 81974,
  [SMALL_STATE(3749)] = 82035,
  [SMALL_STATE(3750)] = 82096,
  [SMALL_STATE(3751)] = 82157,
  [SMALL_STATE(3752)] = 82218,
  [SMALL_STATE(3753)] = 82279,
  [SMALL_STATE(3754)] = 82340,
  [SMALL_STATE(3755)] = 82443,
  [SMALL_STATE(3756)] = 82542,
  [SMALL_STATE(3757)] = 82637,
  [SMALL_STATE(3758)] = 82698,
  [SMALL_STATE(3759)] = 82791,
  [SMALL_STATE(3760)] = 82852,
  [SMALL_STATE(3761)] = 82913,
  [SMALL_STATE(3762)] = 83018,
  [SMALL_STATE(3763)] = 83079,
  [SMALL_STATE(3764)] = 83140,
  [SMALL_STATE(3765)] = 83201,
  [SMALL_STATE(3766)] = 83262,
  [SMALL_STATE(3767)] = 83337,
  [SMALL_STATE(3768)] = 83398,
  [SMALL_STATE(3769)] = 83459,
  [SMALL_STATE(3770)] = 83520,
  [SMALL_STATE(3771)] = 83581,
  [SMALL_STATE(3772)] = 83670,
  [SMALL_STATE(3773)] = 83757,
  [SMALL_STATE(3774)] = 83864,
  [SMALL_STATE(3775)] = 83925,
  [SMALL_STATE(3776)] = 84008,
  [SMALL_STATE(3777)] = 84069,
  [SMALL_STATE(3778)] = 84180,
  [SMALL_STATE(3779)] = 84245,
  [SMALL_STATE(3780)] = 84306,
  [SMALL_STATE(3781)] = 84367,
  [SMALL_STATE(3782)] = 84432,
  [SMALL_STATE(3783)] = 84493,
  [SMALL_STATE(3784)] = 84562,
  [SMALL_STATE(3785)] = 84627,
  [SMALL_STATE(3786)] = 84688,
  [SMALL_STATE(3787)] = 84749,
  [SMALL_STATE(3788)] = 84810,
  [SMALL_STATE(3789)] = 84871,
  [SMALL_STATE(3790)] = 84932,
  [SMALL_STATE(3791)] = 85039,
  [SMALL_STATE(3792)] = 85106,
  [SMALL_STATE(3793)] = 85167,
  [SMALL_STATE(3794)] = 85228,
  [SMALL_STATE(3795)] = 85289,
  [SMALL_STATE(3796)] = 85350,
  [SMALL_STATE(3797)] = 85411,
  [SMALL_STATE(3798)] = 85472,
  [SMALL_STATE(3799)] = 85533,
  [SMALL_STATE(3800)] = 85604,
  [SMALL_STATE(3801)] = 85665,
  [SMALL_STATE(3802)] = 85726,
  [SMALL_STATE(3803)] = 85787,
  [SMALL_STATE(3804)] = 85852,
  [SMALL_STATE(3805)] = 85913,
  [SMALL_STATE(3806)] = 85974,
  [SMALL_STATE(3807)] = 86039,
  [SMALL_STATE(3808)] = 86100,
  [SMALL_STATE(3809)] = 86161,
  [SMALL_STATE(3810)] = 86272,
  [SMALL_STATE(3811)] = 86337,
  [SMALL_STATE(3812)] = 86406,
  [SMALL_STATE(3813)] = 86466,
  [SMALL_STATE(3814)] = 86530,
  [SMALL_STATE(3815)] = 86594,
  [SMALL_STATE(3816)] = 86658,
  [SMALL_STATE(3817)] = 86718,
  [SMALL_STATE(3818)] = 86784,
  [SMALL_STATE(3819)] = 86940,
  [SMALL_STATE(3820)] = 87000,
  [SMALL_STATE(3821)] = 87066,
  [SMALL_STATE(3822)] = 87126,
  [SMALL_STATE(3823)] = 87186,
  [SMALL_STATE(3824)] = 87246,
  [SMALL_STATE(3825)] = 87306,
  [SMALL_STATE(3826)] = 87366,
  [SMALL_STATE(3827)] = 87476,
  [SMALL_STATE(3828)] = 87536,
  [SMALL_STATE(3829)] = 87596,
  [SMALL_STATE(3830)] = 87656,
  [SMALL_STATE(3831)] = 87762,
  [SMALL_STATE(3832)] = 87866,
  [SMALL_STATE(3833)] = 87926,
  [SMALL_STATE(3834)] = 87998,
  [SMALL_STATE(3835)] = 88066,
  [SMALL_STATE(3836)] = 88126,
  [SMALL_STATE(3837)] = 88282,
  [SMALL_STATE(3838)] = 88392,
  [SMALL_STATE(3839)] = 88452,
  [SMALL_STATE(3840)] = 88558,
  [SMALL_STATE(3841)] = 88618,
  [SMALL_STATE(3842)] = 88678,
  [SMALL_STATE(3843)] = 88744,
  [SMALL_STATE(3844)] = 88848,
  [SMALL_STATE(3845)] = 88922,
  [SMALL_STATE(3846)] = 89002,
  [SMALL_STATE(3847)] = 89062,
  [SMALL_STATE(3848)] = 89124,
  [SMALL_STATE(3849)] = 89206,
  [SMALL_STATE(3850)] = 89270,
  [SMALL_STATE(3851)] = 89356,
  [SMALL_STATE(3852)] = 89416,
  [SMALL_STATE(3853)] = 89504,
  [SMALL_STATE(3854)] = 89660,
  [SMALL_STATE(3855)] = 89726,
  [SMALL_STATE(3856)] = 89818,
  [SMALL_STATE(3857)] = 89892,
  [SMALL_STATE(3858)] = 89966,
  [SMALL_STATE(3859)] = 90060,
  [SMALL_STATE(3860)] = 90158,
  [SMALL_STATE(3861)] = 90260,
  [SMALL_STATE(3862)] = 90334,
  [SMALL_STATE(3863)] = 90410,
  [SMALL_STATE(3864)] = 90470,
  [SMALL_STATE(3865)] = 90580,
  [SMALL_STATE(3866)] = 90684,
  [SMALL_STATE(3867)] = 90790,
  [SMALL_STATE(3868)] = 90862,
  [SMALL_STATE(3869)] = 90934,
  [SMALL_STATE(3870)] = 91040,
  [SMALL_STATE(3871)] = 91114,
  [SMALL_STATE(3872)] = 91188,
  [SMALL_STATE(3873)] = 91260,
  [SMALL_STATE(3874)] = 91320,
  [SMALL_STATE(3875)] = 91404,
  [SMALL_STATE(3876)] = 91464,
  [SMALL_STATE(3877)] = 91524,
  [SMALL_STATE(3878)] = 91584,
  [SMALL_STATE(3879)] = 91648,
  [SMALL_STATE(3880)] = 91804,
  [SMALL_STATE(3881)] = 91864,
  [SMALL_STATE(3882)] = 91928,
  [SMALL_STATE(3883)] = 92084,
  [SMALL_STATE(3884)] = 92144,
  [SMALL_STATE(3885)] = 92204,
  [SMALL_STATE(3886)] = 92268,
  [SMALL_STATE(3887)] = 92328,
  [SMALL_STATE(3888)] = 92436,
  [SMALL_STATE(3889)] = 92504,
  [SMALL_STATE(3890)] = 92570,
  [SMALL_STATE(3891)] = 92634,
  [SMALL_STATE(3892)] = 92694,
  [SMALL_STATE(3893)] = 92754,
  [SMALL_STATE(3894)] = 92818,
  [SMALL_STATE(3895)] = 92882,
  [SMALL_STATE(3896)] = 92946,
  [SMALL_STATE(3897)] = 93010,
  [SMALL_STATE(3898)] = 93086,
  [SMALL_STATE(3899)] = 93150,
  [SMALL_STATE(3900)] = 93210,
  [SMALL_STATE(3901)] = 93366,
  [SMALL_STATE(3902)] = 93432,
  [SMALL_STATE(3903)] = 93546,
  [SMALL_STATE(3904)] = 93616,
  [SMALL_STATE(3905)] = 93676,
  [SMALL_STATE(3906)] = 93744,
  [SMALL_STATE(3907)] = 93806,
  [SMALL_STATE(3908)] = 93910,
  [SMALL_STATE(3909)] = 93972,
  [SMALL_STATE(3910)] = 94034,
  [SMALL_STATE(3911)] = 94100,
  [SMALL_STATE(3912)] = 94162,
  [SMALL_STATE(3913)] = 94224,
  [SMALL_STATE(3914)] = 94292,
  [SMALL_STATE(3915)] = 94396,
  [SMALL_STATE(3916)] = 94462,
  [SMALL_STATE(3917)] = 94524,
  [SMALL_STATE(3918)] = 94588,
  [SMALL_STATE(3919)] = 94696,
  [SMALL_STATE(3920)] = 94762,
  [SMALL_STATE(3921)] = 94840,
  [SMALL_STATE(3922)] = 94900,
  [SMALL_STATE(3923)] = 94964,
  [SMALL_STATE(3924)] = 95028,
  [SMALL_STATE(3925)] = 95092,
  [SMALL_STATE(3926)] = 95166,
  [SMALL_STATE(3927)] = 95270,
  [SMALL_STATE(3928)] = 95330,
  [SMALL_STATE(3929)] = 95390,
  [SMALL_STATE(3930)] = 95458,
  [SMALL_STATE(3931)] = 95526,
  [SMALL_STATE(3932)] = 95682,
  [SMALL_STATE(3933)] = 95756,
  [SMALL_STATE(3934)] = 95820,
  [SMALL_STATE(3935)] = 95880,
  [SMALL_STATE(3936)] = 96036,
  [SMALL_STATE(3937)] = 96098,
  [SMALL_STATE(3938)] = 96158,
  [SMALL_STATE(3939)] = 96240,
  [SMALL_STATE(3940)] = 96308,
  [SMALL_STATE(3941)] = 96368,
  [SMALL_STATE(3942)] = 96434,
  [SMALL_STATE(3943)] = 96542,
  [SMALL_STATE(3944)] = 96620,
  [SMALL_STATE(3945)] = 96680,
  [SMALL_STATE(3946)] = 96836,
  [SMALL_STATE(3947)] = 96896,
  [SMALL_STATE(3948)] = 96956,
  [SMALL_STATE(3949)] = 97036,
  [SMALL_STATE(3950)] = 97096,
  [SMALL_STATE(3951)] = 97252,
  [SMALL_STATE(3952)] = 97320,
  [SMALL_STATE(3953)] = 97394,
  [SMALL_STATE(3954)] = 97470,
  [SMALL_STATE(3955)] = 97544,
  [SMALL_STATE(3956)] = 97700,
  [SMALL_STATE(3957)] = 97800,
  [SMALL_STATE(3958)] = 97896,
  [SMALL_STATE(3959)] = 97988,
  [SMALL_STATE(3960)] = 98078,
  [SMALL_STATE(3961)] = 98164,
  [SMALL_STATE(3962)] = 98231,
  [SMALL_STATE(3963)] = 98290,
  [SMALL_STATE(3964)] = 98349,
  [SMALL_STATE(3965)] = 98416,
  [SMALL_STATE(3966)] = 98475,
  [SMALL_STATE(3967)] = 98576,
  [SMALL_STATE(3968)] = 98641,
  [SMALL_STATE(3969)] = 98700,
  [SMALL_STATE(3970)] = 98759,
  [SMALL_STATE(3971)] = 98818,
  [SMALL_STATE(3972)] = 98883,
  [SMALL_STATE(3973)] = 98984,
  [SMALL_STATE(3974)] = 99043,
  [SMALL_STATE(3975)] = 99102,
  [SMALL_STATE(3976)] = 99163,
  [SMALL_STATE(3977)] = 99222,
  [SMALL_STATE(3978)] = 99289,
  [SMALL_STATE(3979)] = 99390,
  [SMALL_STATE(3980)] = 99449,
  [SMALL_STATE(3981)] = 99550,
  [SMALL_STATE(3982)] = 99609,
  [SMALL_STATE(3983)] = 99676,
  [SMALL_STATE(3984)] = 99735,
  [SMALL_STATE(3985)] = 99794,
  [SMALL_STATE(3986)] = 99853,
  [SMALL_STATE(3987)] = 99912,
  [SMALL_STATE(3988)] = 100013,
  [SMALL_STATE(3989)] = 100072,
  [SMALL_STATE(3990)] = 100135,
  [SMALL_STATE(3991)] = 100194,
  [SMALL_STATE(3992)] = 100253,
  [SMALL_STATE(3993)] = 100312,
  [SMALL_STATE(3994)] = 100371,
  [SMALL_STATE(3995)] = 100430,
  [SMALL_STATE(3996)] = 100499,
  [SMALL_STATE(3997)] = 100558,
  [SMALL_STATE(3998)] = 100617,
  [SMALL_STATE(3999)] = 100676,
  [SMALL_STATE(4000)] = 100777,
  [SMALL_STATE(4001)] = 100836,
  [SMALL_STATE(4002)] = 100895,
  [SMALL_STATE(4003)] = 100954,
  [SMALL_STATE(4004)] = 101013,
  [SMALL_STATE(4005)] = 101072,
  [SMALL_STATE(4006)] = 101131,
  [SMALL_STATE(4007)] = 101190,
  [SMALL_STATE(4008)] = 101249,
  [SMALL_STATE(4009)] = 101350,
  [SMALL_STATE(4010)] = 101409,
  [SMALL_STATE(4011)] = 101470,
  [SMALL_STATE(4012)] = 101531,
  [SMALL_STATE(4013)] = 101590,
  [SMALL_STATE(4014)] = 101649,
  [SMALL_STATE(4015)] = 101708,
  [SMALL_STATE(4016)] = 101809,
  [SMALL_STATE(4017)] = 101868,
  [SMALL_STATE(4018)] = 101927,
  [SMALL_STATE(4019)] = 101986,
  [SMALL_STATE(4020)] = 102087,
  [SMALL_STATE(4021)] = 102146,
  [SMALL_STATE(4022)] = 102205,
  [SMALL_STATE(4023)] = 102264,
  [SMALL_STATE(4024)] = 102323,
  [SMALL_STATE(4025)] = 102382,
  [SMALL_STATE(4026)] = 102441,
  [SMALL_STATE(4027)] = 102500,
  [SMALL_STATE(4028)] = 102559,
  [SMALL_STATE(4029)] = 102628,
  [SMALL_STATE(4030)] = 102689,
  [SMALL_STATE(4031)] = 102748,
  [SMALL_STATE(4032)] = 102809,
  [SMALL_STATE(4033)] = 102910,
  [SMALL_STATE(4034)] = 102973,
  [SMALL_STATE(4035)] = 103032,
  [SMALL_STATE(4036)] = 103133,
  [SMALL_STATE(4037)] = 103192,
  [SMALL_STATE(4038)] = 103293,
  [SMALL_STATE(4039)] = 103354,
  [SMALL_STATE(4040)] = 103415,
  [SMALL_STATE(4041)] = 103474,
  [SMALL_STATE(4042)] = 103533,
  [SMALL_STATE(4043)] = 103592,
  [SMALL_STATE(4044)] = 103653,
  [SMALL_STATE(4045)] = 103754,
  [SMALL_STATE(4046)] = 103813,
  [SMALL_STATE(4047)] = 103872,
  [SMALL_STATE(4048)] = 103931,
  [SMALL_STATE(4049)] = 103990,
  [SMALL_STATE(4050)] = 104049,
  [SMALL_STATE(4051)] = 104108,
  [SMALL_STATE(4052)] = 104167,
  [SMALL_STATE(4053)] = 104268,
  [SMALL_STATE(4054)] = 104369,
  [SMALL_STATE(4055)] = 104436,
  [SMALL_STATE(4056)] = 104495,
  [SMALL_STATE(4057)] = 104596,
  [SMALL_STATE(4058)] = 104655,
  [SMALL_STATE(4059)] = 104714,
  [SMALL_STATE(4060)] = 104815,
  [SMALL_STATE(4061)] = 104916,
  [SMALL_STATE(4062)] = 104977,
  [SMALL_STATE(4063)] = 105036,
  [SMALL_STATE(4064)] = 105095,
  [SMALL_STATE(4065)] = 105200,
  [SMALL_STATE(4066)] = 105259,
  [SMALL_STATE(4067)] = 105318,
  [SMALL_STATE(4068)] = 105377,
  [SMALL_STATE(4069)] = 105436,
  [SMALL_STATE(4070)] = 105495,
  [SMALL_STATE(4071)] = 105554,
  [SMALL_STATE(4072)] = 105613,
  [SMALL_STATE(4073)] = 105672,
  [SMALL_STATE(4074)] = 105731,
  [SMALL_STATE(4075)] = 105790,
  [SMALL_STATE(4076)] = 105849,
  [SMALL_STATE(4077)] = 105908,
  [SMALL_STATE(4078)] = 105969,
  [SMALL_STATE(4079)] = 106028,
  [SMALL_STATE(4080)] = 106087,
  [SMALL_STATE(4081)] = 106146,
  [SMALL_STATE(4082)] = 106205,
  [SMALL_STATE(4083)] = 106264,
  [SMALL_STATE(4084)] = 106323,
  [SMALL_STATE(4085)] = 106394,
  [SMALL_STATE(4086)] = 106453,
  [SMALL_STATE(4087)] = 106516,
  [SMALL_STATE(4088)] = 106575,
  [SMALL_STATE(4089)] = 106634,
  [SMALL_STATE(4090)] = 106693,
  [SMALL_STATE(4091)] = 106752,
  [SMALL_STATE(4092)] = 106853,
  [SMALL_STATE(4093)] = 106916,
  [SMALL_STATE(4094)] = 106975,
  [SMALL_STATE(4095)] = 107034,
  [SMALL_STATE(4096)] = 107093,
  [SMALL_STATE(4097)] = 107152,
  [SMALL_STATE(4098)] = 107211,
  [SMALL_STATE(4099)] = 107312,
  [SMALL_STATE(4100)] = 107371,
  [SMALL_STATE(4101)] = 107436,
  [SMALL_STATE(4102)] = 107541,
  [SMALL_STATE(4103)] = 107600,
  [SMALL_STATE(4104)] = 107661,
  [SMALL_STATE(4105)] = 107720,
  [SMALL_STATE(4106)] = 107779,
  [SMALL_STATE(4107)] = 107838,
  [SMALL_STATE(4108)] = 107897,
  [SMALL_STATE(4109)] = 107956,
  [SMALL_STATE(4110)] = 108027,
  [SMALL_STATE(4111)] = 108088,
  [SMALL_STATE(4112)] = 108147,
  [SMALL_STATE(4113)] = 108206,
  [SMALL_STATE(4114)] = 108267,
  [SMALL_STATE(4115)] = 108336,
  [SMALL_STATE(4116)] = 108395,
  [SMALL_STATE(4117)] = 108456,
  [SMALL_STATE(4118)] = 108515,
  [SMALL_STATE(4119)] = 108574,
  [SMALL_STATE(4120)] = 108637,
  [SMALL_STATE(4121)] = 108696,
  [SMALL_STATE(4122)] = 108757,
  [SMALL_STATE(4123)] = 108816,
  [SMALL_STATE(4124)] = 108875,
  [SMALL_STATE(4125)] = 108934,
  [SMALL_STATE(4126)] = 108993,
  [SMALL_STATE(4127)] = 109052,
  [SMALL_STATE(4128)] = 109111,
  [SMALL_STATE(4129)] = 109174,
  [SMALL_STATE(4130)] = 109233,
  [SMALL_STATE(4131)] = 109292,
  [SMALL_STATE(4132)] = 109393,
  [SMALL_STATE(4133)] = 109452,
  [SMALL_STATE(4134)] = 109511,
  [SMALL_STATE(4135)] = 109570,
  [SMALL_STATE(4136)] = 109629,
  [SMALL_STATE(4137)] = 109690,
  [SMALL_STATE(4138)] = 109749,
  [SMALL_STATE(4139)] = 109816,
  [SMALL_STATE(4140)] = 109875,
  [SMALL_STATE(4141)] = 109934,
  [SMALL_STATE(4142)] = 109993,
  [SMALL_STATE(4143)] = 110094,
  [SMALL_STATE(4144)] = 110153,
  [SMALL_STATE(4145)] = 110212,
  [SMALL_STATE(4146)] = 110271,
  [SMALL_STATE(4147)] = 110330,
  [SMALL_STATE(4148)] = 110389,
  [SMALL_STATE(4149)] = 110448,
  [SMALL_STATE(4150)] = 110513,
  [SMALL_STATE(4151)] = 110572,
  [SMALL_STATE(4152)] = 110631,
  [SMALL_STATE(4153)] = 110732,
  [SMALL_STATE(4154)] = 110791,
  [SMALL_STATE(4155)] = 110850,
  [SMALL_STATE(4156)] = 110911,
  [SMALL_STATE(4157)] = 110982,
  [SMALL_STATE(4158)] = 111041,
  [SMALL_STATE(4159)] = 111100,
  [SMALL_STATE(4160)] = 111159,
  [SMALL_STATE(4161)] = 111218,
  [SMALL_STATE(4162)] = 111277,
  [SMALL_STATE(4163)] = 111338,
  [SMALL_STATE(4164)] = 111403,
  [SMALL_STATE(4165)] = 111462,
  [SMALL_STATE(4166)] = 111521,
  [SMALL_STATE(4167)] = 111580,
  [SMALL_STATE(4168)] = 111639,
  [SMALL_STATE(4169)] = 111698,
  [SMALL_STATE(4170)] = 111757,
  [SMALL_STATE(4171)] = 111816,
  [SMALL_STATE(4172)] = 111875,
  [SMALL_STATE(4173)] = 111976,
  [SMALL_STATE(4174)] = 112035,
  [SMALL_STATE(4175)] = 112094,
  [SMALL_STATE(4176)] = 112155,
  [SMALL_STATE(4177)] = 112214,
  [SMALL_STATE(4178)] = 112273,
  [SMALL_STATE(4179)] = 112332,
  [SMALL_STATE(4180)] = 112393,
  [SMALL_STATE(4181)] = 112452,
  [SMALL_STATE(4182)] = 112511,
  [SMALL_STATE(4183)] = 112570,
  [SMALL_STATE(4184)] = 112629,
  [SMALL_STATE(4185)] = 112688,
  [SMALL_STATE(4186)] = 112746,
  [SMALL_STATE(4187)] = 112804,
  [SMALL_STATE(4188)] = 112862,
  [SMALL_STATE(4189)] = 112924,
  [SMALL_STATE(4190)] = 112982,
  [SMALL_STATE(4191)] = 113058,
  [SMALL_STATE(4192)] = 113162,
  [SMALL_STATE(4193)] = 113224,
  [SMALL_STATE(4194)] = 113282,
  [SMALL_STATE(4195)] = 113340,
  [SMALL_STATE(4196)] = 113414,
  [SMALL_STATE(4197)] = 113472,
  [SMALL_STATE(4198)] = 113538,
  [SMALL_STATE(4199)] = 113596,
  [SMALL_STATE(4200)] = 113662,
  [SMALL_STATE(4201)] = 113724,
  [SMALL_STATE(4202)] = 113782,
  [SMALL_STATE(4203)] = 113840,
  [SMALL_STATE(4204)] = 113898,
  [SMALL_STATE(4205)] = 113956,
  [SMALL_STATE(4206)] = 114014,
  [SMALL_STATE(4207)] = 114072,
  [SMALL_STATE(4208)] = 114130,
  [SMALL_STATE(4209)] = 114188,
  [SMALL_STATE(4210)] = 114260,
  [SMALL_STATE(4211)] = 114326,
  [SMALL_STATE(4212)] = 114398,
  [SMALL_STATE(4213)] = 114456,
  [SMALL_STATE(4214)] = 114560,
  [SMALL_STATE(4215)] = 114618,
  [SMALL_STATE(4216)] = 114676,
  [SMALL_STATE(4217)] = 114778,
  [SMALL_STATE(4218)] = 114880,
  [SMALL_STATE(4219)] = 114952,
  [SMALL_STATE(4220)] = 115010,
  [SMALL_STATE(4221)] = 115068,
  [SMALL_STATE(4222)] = 115126,
  [SMALL_STATE(4223)] = 115190,
  [SMALL_STATE(4224)] = 115264,
  [SMALL_STATE(4225)] = 115322,
  [SMALL_STATE(4226)] = 115380,
  [SMALL_STATE(4227)] = 115442,
  [SMALL_STATE(4228)] = 115500,
  [SMALL_STATE(4229)] = 115600,
  [SMALL_STATE(4230)] = 115662,
  [SMALL_STATE(4231)] = 115720,
  [SMALL_STATE(4232)] = 115784,
  [SMALL_STATE(4233)] = 115842,
  [SMALL_STATE(4234)] = 115904,
  [SMALL_STATE(4235)] = 115962,
  [SMALL_STATE(4236)] = 116024,
  [SMALL_STATE(4237)] = 116082,
  [SMALL_STATE(4238)] = 116154,
  [SMALL_STATE(4239)] = 116228,
  [SMALL_STATE(4240)] = 116292,
  [SMALL_STATE(4241)] = 116350,
  [SMALL_STATE(4242)] = 116408,
  [SMALL_STATE(4243)] = 116466,
  [SMALL_STATE(4244)] = 116524,
  [SMALL_STATE(4245)] = 116622,
  [SMALL_STATE(4246)] = 116716,
  [SMALL_STATE(4247)] = 116774,
  [SMALL_STATE(4248)] = 116880,
  [SMALL_STATE(4249)] = 116940,
  [SMALL_STATE(4250)] = 117030,
  [SMALL_STATE(4251)] = 117088,
  [SMALL_STATE(4252)] = 117146,
  [SMALL_STATE(4253)] = 117232,
  [SMALL_STATE(4254)] = 117290,
  [SMALL_STATE(4255)] = 117348,
  [SMALL_STATE(4256)] = 117406,
  [SMALL_STATE(4257)] = 117486,
  [SMALL_STATE(4258)] = 117544,
  [SMALL_STATE(4259)] = 117602,
  [SMALL_STATE(4260)] = 117678,
  [SMALL_STATE(4261)] = 117736,
  [SMALL_STATE(4262)] = 117798,
  [SMALL_STATE(4263)] = 117860,
  [SMALL_STATE(4264)] = 117938,
  [SMALL_STATE(4265)] = 117996,
  [SMALL_STATE(4266)] = 118054,
  [SMALL_STATE(4267)] = 118112,
  [SMALL_STATE(4268)] = 118170,
  [SMALL_STATE(4269)] = 118234,
  [SMALL_STATE(4270)] = 118336,
  [SMALL_STATE(4271)] = 118398,
  [SMALL_STATE(4272)] = 118456,
  [SMALL_STATE(4273)] = 118522,
  [SMALL_STATE(4274)] = 118580,
  [SMALL_STATE(4275)] = 118638,
  [SMALL_STATE(4276)] = 118696,
  [SMALL_STATE(4277)] = 118770,
  [SMALL_STATE(4278)] = 118828,
  [SMALL_STATE(4279)] = 118886,
  [SMALL_STATE(4280)] = 118944,
  [SMALL_STATE(4281)] = 119006,
  [SMALL_STATE(4282)] = 119090,
  [SMALL_STATE(4283)] = 119148,
  [SMALL_STATE(4284)] = 119206,
  [SMALL_STATE(4285)] = 119264,
  [SMALL_STATE(4286)] = 119322,
  [SMALL_STATE(4287)] = 119384,
  [SMALL_STATE(4288)] = 119442,
  [SMALL_STATE(4289)] = 119504,
  [SMALL_STATE(4290)] = 119562,
  [SMALL_STATE(4291)] = 119624,
  [SMALL_STATE(4292)] = 119686,
  [SMALL_STATE(4293)] = 119748,
  [SMALL_STATE(4294)] = 119806,
  [SMALL_STATE(4295)] = 119864,
  [SMALL_STATE(4296)] = 119922,
  [SMALL_STATE(4297)] = 119986,
  [SMALL_STATE(4298)] = 120058,
  [SMALL_STATE(4299)] = 120116,
  [SMALL_STATE(4300)] = 120174,
  [SMALL_STATE(4301)] = 120236,
  [SMALL_STATE(4302)] = 120294,
  [SMALL_STATE(4303)] = 120352,
  [SMALL_STATE(4304)] = 120410,
  [SMALL_STATE(4305)] = 120468,
  [SMALL_STATE(4306)] = 120526,
  [SMALL_STATE(4307)] = 120584,
  [SMALL_STATE(4308)] = 120642,
  [SMALL_STATE(4309)] = 120700,
  [SMALL_STATE(4310)] = 120762,
  [SMALL_STATE(4311)] = 120820,
  [SMALL_STATE(4312)] = 120890,
  [SMALL_STATE(4313)] = 120948,
  [SMALL_STATE(4314)] = 121006,
  [SMALL_STATE(4315)] = 121064,
  [SMALL_STATE(4316)] = 121122,
  [SMALL_STATE(4317)] = 121180,
  [SMALL_STATE(4318)] = 121238,
  [SMALL_STATE(4319)] = 121296,
  [SMALL_STATE(4320)] = 121358,
  [SMALL_STATE(4321)] = 121460,
  [SMALL_STATE(4322)] = 121522,
  [SMALL_STATE(4323)] = 121580,
  [SMALL_STATE(4324)] = 121638,
  [SMALL_STATE(4325)] = 121710,
  [SMALL_STATE(4326)] = 121780,
  [SMALL_STATE(4327)] = 121838,
  [SMALL_STATE(4328)] = 121944,
  [SMALL_STATE(4329)] = 122002,
  [SMALL_STATE(4330)] = 122060,
  [SMALL_STATE(4331)] = 122118,
  [SMALL_STATE(4332)] = 122224,
  [SMALL_STATE(4333)] = 122282,
  [SMALL_STATE(4334)] = 122344,
  [SMALL_STATE(4335)] = 122402,
  [SMALL_STATE(4336)] = 122460,
  [SMALL_STATE(4337)] = 122518,
  [SMALL_STATE(4338)] = 122587,
  [SMALL_STATE(4339)] = 122690,
  [SMALL_STATE(4340)] = 122747,
  [SMALL_STATE(4341)] = 122816,
  [SMALL_STATE(4342)] = 122873,
  [SMALL_STATE(4343)] = 122932,
  [SMALL_STATE(4344)] = 123035,
  [SMALL_STATE(4345)] = 123092,
  [SMALL_STATE(4346)] = 123151,
  [SMALL_STATE(4347)] = 123220,
  [SMALL_STATE(4348)] = 123323,
  [SMALL_STATE(4349)] = 123382,
  [SMALL_STATE(4350)] = 123449,
  [SMALL_STATE(4351)] = 123512,
  [SMALL_STATE(4352)] = 123575,
  [SMALL_STATE(4353)] = 123632,
  [SMALL_STATE(4354)] = 123689,
  [SMALL_STATE(4355)] = 123746,
  [SMALL_STATE(4356)] = 123803,
  [SMALL_STATE(4357)] = 123862,
  [SMALL_STATE(4358)] = 123927,
  [SMALL_STATE(4359)] = 123984,
  [SMALL_STATE(4360)] = 124045,
  [SMALL_STATE(4361)] = 124102,
  [SMALL_STATE(4362)] = 124161,
  [SMALL_STATE(4363)] = 124220,
  [SMALL_STATE(4364)] = 124289,
  [SMALL_STATE(4365)] = 124346,
  [SMALL_STATE(4366)] = 124403,
  [SMALL_STATE(4367)] = 124460,
  [SMALL_STATE(4368)] = 124563,
  [SMALL_STATE(4369)] = 124624,
  [SMALL_STATE(4370)] = 124681,
  [SMALL_STATE(4371)] = 124742,
  [SMALL_STATE(4372)] = 124845,
  [SMALL_STATE(4373)] = 124902,
  [SMALL_STATE(4374)] = 125005,
  [SMALL_STATE(4375)] = 125070,
  [SMALL_STATE(4376)] = 125137,
  [SMALL_STATE(4377)] = 125202,
  [SMALL_STATE(4378)] = 125265,
  [SMALL_STATE(4379)] = 125368,
  [SMALL_STATE(4380)] = 125471,
  [SMALL_STATE(4381)] = 125527,
  [SMALL_STATE(4382)] = 125583,
  [SMALL_STATE(4383)] = 125639,
  [SMALL_STATE(4384)] = 125695,
  [SMALL_STATE(4385)] = 125751,
  [SMALL_STATE(4386)] = 125807,
  [SMALL_STATE(4387)] = 125863,
  [SMALL_STATE(4388)] = 125919,
  [SMALL_STATE(4389)] = 125975,
  [SMALL_STATE(4390)] = 126031,
  [SMALL_STATE(4391)] = 126087,
  [SMALL_STATE(4392)] = 126147,
  [SMALL_STATE(4393)] = 126203,
  [SMALL_STATE(4394)] = 126259,
  [SMALL_STATE(4395)] = 126319,
  [SMALL_STATE(4396)] = 126375,
  [SMALL_STATE(4397)] = 126431,
  [SMALL_STATE(4398)] = 126487,
  [SMALL_STATE(4399)] = 126543,
  [SMALL_STATE(4400)] = 126645,
  [SMALL_STATE(4401)] = 126701,
  [SMALL_STATE(4402)] = 126757,
  [SMALL_STATE(4403)] = 126815,
  [SMALL_STATE(4404)] = 126871,
  [SMALL_STATE(4405)] = 126927,
  [SMALL_STATE(4406)] = 126983,
  [SMALL_STATE(4407)] = 127039,
  [SMALL_STATE(4408)] = 127095,
  [SMALL_STATE(4409)] = 127151,
  [SMALL_STATE(4410)] = 127211,
  [SMALL_STATE(4411)] = 127267,
  [SMALL_STATE(4412)] = 127333,
  [SMALL_STATE(4413)] = 127401,
  [SMALL_STATE(4414)] = 127463,
  [SMALL_STATE(4415)] = 127519,
  [SMALL_STATE(4416)] = 127575,
  [SMALL_STATE(4417)] = 127631,
  [SMALL_STATE(4418)] = 127687,
  [SMALL_STATE(4419)] = 127743,
  [SMALL_STATE(4420)] = 127799,
  [SMALL_STATE(4421)] = 127855,
  [SMALL_STATE(4422)] = 127911,
  [SMALL_STATE(4423)] = 128013,
  [SMALL_STATE(4424)] = 128081,
  [SMALL_STATE(4425)] = 128141,
  [SMALL_STATE(4426)] = 128197,
  [SMALL_STATE(4427)] = 128253,
  [SMALL_STATE(4428)] = 128313,
  [SMALL_STATE(4429)] = 128379,
  [SMALL_STATE(4430)] = 128439,
  [SMALL_STATE(4431)] = 128495,
  [SMALL_STATE(4432)] = 128551,
  [SMALL_STATE(4433)] = 128611,
  [SMALL_STATE(4434)] = 128713,
  [SMALL_STATE(4435)] = 128783,
  [SMALL_STATE(4436)] = 128843,
  [SMALL_STATE(4437)] = 128903,
  [SMALL_STATE(4438)] = 128975,
  [SMALL_STATE(4439)] = 129031,
  [SMALL_STATE(4440)] = 129087,
  [SMALL_STATE(4441)] = 129143,
  [SMALL_STATE(4442)] = 129199,
  [SMALL_STATE(4443)] = 129255,
  [SMALL_STATE(4444)] = 129311,
  [SMALL_STATE(4445)] = 129367,
  [SMALL_STATE(4446)] = 129423,
  [SMALL_STATE(4447)] = 129495,
  [SMALL_STATE(4448)] = 129551,
  [SMALL_STATE(4449)] = 129607,
  [SMALL_STATE(4450)] = 129663,
  [SMALL_STATE(4451)] = 129719,
  [SMALL_STATE(4452)] = 129775,
  [SMALL_STATE(4453)] = 129831,
  [SMALL_STATE(4454)] = 129887,
  [SMALL_STATE(4455)] = 129943,
  [SMALL_STATE(4456)] = 129999,
  [SMALL_STATE(4457)] = 130055,
  [SMALL_STATE(4458)] = 130111,
  [SMALL_STATE(4459)] = 130167,
  [SMALL_STATE(4460)] = 130229,
  [SMALL_STATE(4461)] = 130285,
  [SMALL_STATE(4462)] = 130347,
  [SMALL_STATE(4463)] = 130417,
  [SMALL_STATE(4464)] = 130473,
  [SMALL_STATE(4465)] = 130529,
  [SMALL_STATE(4466)] = 130585,
  [SMALL_STATE(4467)] = 130641,
  [SMALL_STATE(4468)] = 130703,
  [SMALL_STATE(4469)] = 130775,
  [SMALL_STATE(4470)] = 130831,
  [SMALL_STATE(4471)] = 130887,
  [SMALL_STATE(4472)] = 130943,
  [SMALL_STATE(4473)] = 130999,
  [SMALL_STATE(4474)] = 131055,
  [SMALL_STATE(4475)] = 131111,
  [SMALL_STATE(4476)] = 131181,
  [SMALL_STATE(4477)] = 131283,
  [SMALL_STATE(4478)] = 131339,
  [SMALL_STATE(4479)] = 131395,
  [SMALL_STATE(4480)] = 131467,
  [SMALL_STATE(4481)] = 131537,
  [SMALL_STATE(4482)] = 131592,
  [SMALL_STATE(4483)] = 131647,
  [SMALL_STATE(4484)] = 131702,
  [SMALL_STATE(4485)] = 131757,
  [SMALL_STATE(4486)] = 131812,
  [SMALL_STATE(4487)] = 131867,
  [SMALL_STATE(4488)] = 131922,
  [SMALL_STATE(4489)] = 131977,
  [SMALL_STATE(4490)] = 132032,
  [SMALL_STATE(4491)] = 132087,
  [SMALL_STATE(4492)] = 132142,
  [SMALL_STATE(4493)] = 132197,
  [SMALL_STATE(4494)] = 132252,
  [SMALL_STATE(4495)] = 132319,
  [SMALL_STATE(4496)] = 132374,
  [SMALL_STATE(4497)] = 132441,
  [SMALL_STATE(4498)] = 132542,
  [SMALL_STATE(4499)] = 132597,
  [SMALL_STATE(4500)] = 132652,
  [SMALL_STATE(4501)] = 132707,
  [SMALL_STATE(4502)] = 132762,
  [SMALL_STATE(4503)] = 132817,
  [SMALL_STATE(4504)] = 132872,
  [SMALL_STATE(4505)] = 132929,
  [SMALL_STATE(4506)] = 132984,
  [SMALL_STATE(4507)] = 133047,
  [SMALL_STATE(4508)] = 133148,
  [SMALL_STATE(4509)] = 133219,
  [SMALL_STATE(4510)] = 133286,
  [SMALL_STATE(4511)] = 133343,
  [SMALL_STATE(4512)] = 133398,
  [SMALL_STATE(4513)] = 133453,
  [SMALL_STATE(4514)] = 133510,
  [SMALL_STATE(4515)] = 133565,
  [SMALL_STATE(4516)] = 133620,
  [SMALL_STATE(4517)] = 133683,
  [SMALL_STATE(4518)] = 133738,
  [SMALL_STATE(4519)] = 133793,
  [SMALL_STATE(4520)] = 133848,
  [SMALL_STATE(4521)] = 133903,
  [SMALL_STATE(4522)] = 133958,
  [SMALL_STATE(4523)] = 134013,
  [SMALL_STATE(4524)] = 134068,
  [SMALL_STATE(4525)] = 134123,
  [SMALL_STATE(4526)] = 134182,
  [SMALL_STATE(4527)] = 134245,
  [SMALL_STATE(4528)] = 134300,
  [SMALL_STATE(4529)] = 134355,
  [SMALL_STATE(4530)] = 134418,
  [SMALL_STATE(4531)] = 134473,
  [SMALL_STATE(4532)] = 134528,
  [SMALL_STATE(4533)] = 134583,
  [SMALL_STATE(4534)] = 134646,
  [SMALL_STATE(4535)] = 134713,
  [SMALL_STATE(4536)] = 134768,
  [SMALL_STATE(4537)] = 134823,
  [SMALL_STATE(4538)] = 134878,
  [SMALL_STATE(4539)] = 134933,
  [SMALL_STATE(4540)] = 134988,
  [SMALL_STATE(4541)] = 135051,
  [SMALL_STATE(4542)] = 135109,
  [SMALL_STATE(4543)] = 135163,
  [SMALL_STATE(4544)] = 135223,
  [SMALL_STATE(4545)] = 135283,
  [SMALL_STATE(4546)] = 135341,
  [SMALL_STATE(4547)] = 135401,
  [SMALL_STATE(4548)] = 135471,
  [SMALL_STATE(4549)] = 135541,
  [SMALL_STATE(4550)] = 135611,
  [SMALL_STATE(4551)] = 135669,
  [SMALL_STATE(4552)] = 135727,
  [SMALL_STATE(4553)] = 135781,
  [SMALL_STATE(4554)] = 135839,
  [SMALL_STATE(4555)] = 135897,
  [SMALL_STATE(4556)] = 135955,
  [SMALL_STATE(4557)] = 136013,
  [SMALL_STATE(4558)] = 136071,
  [SMALL_STATE(4559)] = 136135,
  [SMALL_STATE(4560)] = 136205,
  [SMALL_STATE(4561)] = 136263,
  [SMALL_STATE(4562)] = 136321,
  [SMALL_STATE(4563)] = 136379,
  [SMALL_STATE(4564)] = 136437,
  [SMALL_STATE(4565)] = 136495,
  [SMALL_STATE(4566)] = 136581,
  [SMALL_STATE(4567)] = 136639,
  [SMALL_STATE(4568)] = 136709,
  [SMALL_STATE(4569)] = 136767,
  [SMALL_STATE(4570)] = 136853,
  [SMALL_STATE(4571)] = 136939,
  [SMALL_STATE(4572)] = 136997,
  [SMALL_STATE(4573)] = 137057,
  [SMALL_STATE(4574)] = 137115,
  [SMALL_STATE(4575)] = 137171,
  [SMALL_STATE(4576)] = 137257,
  [SMALL_STATE(4577)] = 137315,
  [SMALL_STATE(4578)] = 137373,
  [SMALL_STATE(4579)] = 137431,
  [SMALL_STATE(4580)] = 137517,
  [SMALL_STATE(4581)] = 137615,
  [SMALL_STATE(4582)] = 137673,
  [SMALL_STATE(4583)] = 137743,
  [SMALL_STATE(4584)] = 137801,
  [SMALL_STATE(4585)] = 137859,
  [SMALL_STATE(4586)] = 137929,
  [SMALL_STATE(4587)] = 138015,
  [SMALL_STATE(4588)] = 138073,
  [SMALL_STATE(4589)] = 138131,
  [SMALL_STATE(4590)] = 138201,
  [SMALL_STATE(4591)] = 138296,
  [SMALL_STATE(4592)] = 138391,
  [SMALL_STATE(4593)] = 138486,
  [SMALL_STATE(4594)] = 138581,
  [SMALL_STATE(4595)] = 138676,
  [SMALL_STATE(4596)] = 138771,
  [SMALL_STATE(4597)] = 138866,
  [SMALL_STATE(4598)] = 138961,
  [SMALL_STATE(4599)] = 139056,
  [SMALL_STATE(4600)] = 139151,
  [SMALL_STATE(4601)] = 139246,
  [SMALL_STATE(4602)] = 139305,
  [SMALL_STATE(4603)] = 139400,
  [SMALL_STATE(4604)] = 139459,
  [SMALL_STATE(4605)] = 139554,
  [SMALL_STATE(4606)] = 139649,
  [SMALL_STATE(4607)] = 139744,
  [SMALL_STATE(4608)] = 139839,
  [SMALL_STATE(4609)] = 139938,
  [SMALL_STATE(4610)] = 140033,
  [SMALL_STATE(4611)] = 140128,
  [SMALL_STATE(4612)] = 140223,
  [SMALL_STATE(4613)] = 140318,
  [SMALL_STATE(4614)] = 140413,
  [SMALL_STATE(4615)] = 140512,
  [SMALL_STATE(4616)] = 140607,
  [SMALL_STATE(4617)] = 140674,
  [SMALL_STATE(4618)] = 140769,
  [SMALL_STATE(4619)] = 140864,
  [SMALL_STATE(4620)] = 140959,
  [SMALL_STATE(4621)] = 141054,
  [SMALL_STATE(4622)] = 141149,
  [SMALL_STATE(4623)] = 141202,
  [SMALL_STATE(4624)] = 141297,
  [SMALL_STATE(4625)] = 141392,
  [SMALL_STATE(4626)] = 141487,
  [SMALL_STATE(4627)] = 141582,
  [SMALL_STATE(4628)] = 141677,
  [SMALL_STATE(4629)] = 141772,
  [SMALL_STATE(4630)] = 141867,
  [SMALL_STATE(4631)] = 141962,
  [SMALL_STATE(4632)] = 142021,
  [SMALL_STATE(4633)] = 142106,
  [SMALL_STATE(4634)] = 142201,
  [SMALL_STATE(4635)] = 142296,
  [SMALL_STATE(4636)] = 142391,
  [SMALL_STATE(4637)] = 142444,
  [SMALL_STATE(4638)] = 142539,
  [SMALL_STATE(4639)] = 142634,
  [SMALL_STATE(4640)] = 142729,
  [SMALL_STATE(4641)] = 142824,
  [SMALL_STATE(4642)] = 142877,
  [SMALL_STATE(4643)] = 142972,
  [SMALL_STATE(4644)] = 143025,
  [SMALL_STATE(4645)] = 143120,
  [SMALL_STATE(4646)] = 143215,
  [SMALL_STATE(4647)] = 143310,
  [SMALL_STATE(4648)] = 143405,
  [SMALL_STATE(4649)] = 143500,
  [SMALL_STATE(4650)] = 143553,
  [SMALL_STATE(4651)] = 143648,
  [SMALL_STATE(4652)] = 143743,
  [SMALL_STATE(4653)] = 143838,
  [SMALL_STATE(4654)] = 143933,
  [SMALL_STATE(4655)] = 143994,
  [SMALL_STATE(4656)] = 144089,
  [SMALL_STATE(4657)] = 144184,
  [SMALL_STATE(4658)] = 144279,
  [SMALL_STATE(4659)] = 144334,
  [SMALL_STATE(4660)] = 144429,
  [SMALL_STATE(4661)] = 144524,
  [SMALL_STATE(4662)] = 144585,
  [SMALL_STATE(4663)] = 144680,
  [SMALL_STATE(4664)] = 144733,
  [SMALL_STATE(4665)] = 144828,
  [SMALL_STATE(4666)] = 144927,
  [SMALL_STATE(4667)] = 145022,
  [SMALL_STATE(4668)] = 145117,
  [SMALL_STATE(4669)] = 145212,
  [SMALL_STATE(4670)] = 145307,
  [SMALL_STATE(4671)] = 145402,
  [SMALL_STATE(4672)] = 145497,
  [SMALL_STATE(4673)] = 145592,
  [SMALL_STATE(4674)] = 145677,
  [SMALL_STATE(4675)] = 145740,
  [SMALL_STATE(4676)] = 145839,
  [SMALL_STATE(4677)] = 145934,
  [SMALL_STATE(4678)] = 146029,
  [SMALL_STATE(4679)] = 146124,
  [SMALL_STATE(4680)] = 146219,
  [SMALL_STATE(4681)] = 146314,
  [SMALL_STATE(4682)] = 146409,
  [SMALL_STATE(4683)] = 146504,
  [SMALL_STATE(4684)] = 146599,
  [SMALL_STATE(4685)] = 146694,
  [SMALL_STATE(4686)] = 146789,
  [SMALL_STATE(4687)] = 146884,
  [SMALL_STATE(4688)] = 146979,
  [SMALL_STATE(4689)] = 147074,
  [SMALL_STATE(4690)] = 147169,
  [SMALL_STATE(4691)] = 147264,
  [SMALL_STATE(4692)] = 147317,
  [SMALL_STATE(4693)] = 147412,
  [SMALL_STATE(4694)] = 147468,
  [SMALL_STATE(4695)] = 147524,
  [SMALL_STATE(4696)] = 147616,
  [SMALL_STATE(4697)] = 147672,
  [SMALL_STATE(4698)] = 147728,
  [SMALL_STATE(4699)] = 147820,
  [SMALL_STATE(4700)] = 147876,
  [SMALL_STATE(4701)] = 147968,
  [SMALL_STATE(4702)] = 148060,
  [SMALL_STATE(4703)] = 148112,
  [SMALL_STATE(4704)] = 148164,
  [SMALL_STATE(4705)] = 148232,
  [SMALL_STATE(4706)] = 148288,
  [SMALL_STATE(4707)] = 148340,
  [SMALL_STATE(4708)] = 148392,
  [SMALL_STATE(4709)] = 148444,
  [SMALL_STATE(4710)] = 148496,
  [SMALL_STATE(4711)] = 148580,
  [SMALL_STATE(4712)] = 148632,
  [SMALL_STATE(4713)] = 148684,
  [SMALL_STATE(4714)] = 148736,
  [SMALL_STATE(4715)] = 148788,
  [SMALL_STATE(4716)] = 148840,
  [SMALL_STATE(4717)] = 148892,
  [SMALL_STATE(4718)] = 148948,
  [SMALL_STATE(4719)] = 149004,
  [SMALL_STATE(4720)] = 149056,
  [SMALL_STATE(4721)] = 149108,
  [SMALL_STATE(4722)] = 149160,
  [SMALL_STATE(4723)] = 149252,
  [SMALL_STATE(4724)] = 149304,
  [SMALL_STATE(4725)] = 149356,
  [SMALL_STATE(4726)] = 149420,
  [SMALL_STATE(4727)] = 149484,
  [SMALL_STATE(4728)] = 149576,
  [SMALL_STATE(4729)] = 149668,
  [SMALL_STATE(4730)] = 149760,
  [SMALL_STATE(4731)] = 149812,
  [SMALL_STATE(4732)] = 149864,
  [SMALL_STATE(4733)] = 149956,
  [SMALL_STATE(4734)] = 150008,
  [SMALL_STATE(4735)] = 150064,
  [SMALL_STATE(4736)] = 150120,
  [SMALL_STATE(4737)] = 150178,
  [SMALL_STATE(4738)] = 150262,
  [SMALL_STATE(4739)] = 150314,
  [SMALL_STATE(4740)] = 150366,
  [SMALL_STATE(4741)] = 150418,
  [SMALL_STATE(4742)] = 150510,
  [SMALL_STATE(4743)] = 150562,
  [SMALL_STATE(4744)] = 150626,
  [SMALL_STATE(4745)] = 150678,
  [SMALL_STATE(4746)] = 150746,
  [SMALL_STATE(4747)] = 150802,
  [SMALL_STATE(4748)] = 150870,
  [SMALL_STATE(4749)] = 150922,
  [SMALL_STATE(4750)] = 150978,
  [SMALL_STATE(4751)] = 151046,
  [SMALL_STATE(4752)] = 151130,
  [SMALL_STATE(4753)] = 151222,
  [SMALL_STATE(4754)] = 151314,
  [SMALL_STATE(4755)] = 151378,
  [SMALL_STATE(4756)] = 151470,
  [SMALL_STATE(4757)] = 151554,
  [SMALL_STATE(4758)] = 151646,
  [SMALL_STATE(4759)] = 151698,
  [SMALL_STATE(4760)] = 151766,
  [SMALL_STATE(4761)] = 151818,
  [SMALL_STATE(4762)] = 151870,
  [SMALL_STATE(4763)] = 151962,
  [SMALL_STATE(4764)] = 152014,
  [SMALL_STATE(4765)] = 152066,
  [SMALL_STATE(4766)] = 152118,
  [SMALL_STATE(4767)] = 152170,
  [SMALL_STATE(4768)] = 152255,
  [SMALL_STATE(4769)] = 152356,
  [SMALL_STATE(4770)] = 152459,
  [SMALL_STATE(4771)] = 152544,
  [SMALL_STATE(4772)] = 152629,
  [SMALL_STATE(4773)] = 152680,
  [SMALL_STATE(4774)] = 152783,
  [SMALL_STATE(4775)] = 152882,
  [SMALL_STATE(4776)] = 152967,
  [SMALL_STATE(4777)] = 153018,
  [SMALL_STATE(4778)] = 153069,
  [SMALL_STATE(4779)] = 153164,
  [SMALL_STATE(4780)] = 153249,
  [SMALL_STATE(4781)] = 153318,
  [SMALL_STATE(4782)] = 153403,
  [SMALL_STATE(4783)] = 153488,
  [SMALL_STATE(4784)] = 153573,
  [SMALL_STATE(4785)] = 153658,
  [SMALL_STATE(4786)] = 153709,
  [SMALL_STATE(4787)] = 153780,
  [SMALL_STATE(4788)] = 153865,
  [SMALL_STATE(4789)] = 153950,
  [SMALL_STATE(4790)] = 154045,
  [SMALL_STATE(4791)] = 154136,
  [SMALL_STATE(4792)] = 154225,
  [SMALL_STATE(4793)] = 154282,
  [SMALL_STATE(4794)] = 154385,
  [SMALL_STATE(4795)] = 154470,
  [SMALL_STATE(4796)] = 154543,
  [SMALL_STATE(4797)] = 154594,
  [SMALL_STATE(4798)] = 154677,
  [SMALL_STATE(4799)] = 154730,
  [SMALL_STATE(4800)] = 154815,
  [SMALL_STATE(4801)] = 154898,
  [SMALL_STATE(4802)] = 154977,
  [SMALL_STATE(4803)] = 155078,
  [SMALL_STATE(4804)] = 155161,
  [SMALL_STATE(4805)] = 155246,
  [SMALL_STATE(4806)] = 155345,
  [SMALL_STATE(4807)] = 155430,
  [SMALL_STATE(4808)] = 155489,
  [SMALL_STATE(4809)] = 155574,
  [SMALL_STATE(4810)] = 155625,
  [SMALL_STATE(4811)] = 155702,
  [SMALL_STATE(4812)] = 155753,
  [SMALL_STATE(4813)] = 155838,
  [SMALL_STATE(4814)] = 155889,
  [SMALL_STATE(4815)] = 155940,
  [SMALL_STATE(4816)] = 156017,
  [SMALL_STATE(4817)] = 156116,
  [SMALL_STATE(4818)] = 156191,
  [SMALL_STATE(4819)] = 156276,
  [SMALL_STATE(4820)] = 156343,
  [SMALL_STATE(4821)] = 156410,
  [SMALL_STATE(4822)] = 156477,
  [SMALL_STATE(4823)] = 156576,
  [SMALL_STATE(4824)] = 156679,
  [SMALL_STATE(4825)] = 156730,
  [SMALL_STATE(4826)] = 156815,
  [SMALL_STATE(4827)] = 156882,
  [SMALL_STATE(4828)] = 156933,
  [SMALL_STATE(4829)] = 156983,
  [SMALL_STATE(4830)] = 157033,
  [SMALL_STATE(4831)] = 157089,
  [SMALL_STATE(4832)] = 157141,
  [SMALL_STATE(4833)] = 157191,
  [SMALL_STATE(4834)] = 157241,
  [SMALL_STATE(4835)] = 157291,
  [SMALL_STATE(4836)] = 157341,
  [SMALL_STATE(4837)] = 157391,
  [SMALL_STATE(4838)] = 157453,
  [SMALL_STATE(4839)] = 157503,
  [SMALL_STATE(4840)] = 157553,
  [SMALL_STATE(4841)] = 157603,
  [SMALL_STATE(4842)] = 157659,
  [SMALL_STATE(4843)] = 157711,
  [SMALL_STATE(4844)] = 157761,
  [SMALL_STATE(4845)] = 157817,
  [SMALL_STATE(4846)] = 157867,
  [SMALL_STATE(4847)] = 157949,
  [SMALL_STATE(4848)] = 157999,
  [SMALL_STATE(4849)] = 158049,
  [SMALL_STATE(4850)] = 158099,
  [SMALL_STATE(4851)] = 158149,
  [SMALL_STATE(4852)] = 158231,
  [SMALL_STATE(4853)] = 158281,
  [SMALL_STATE(4854)] = 158331,
  [SMALL_STATE(4855)] = 158381,
  [SMALL_STATE(4856)] = 158433,
  [SMALL_STATE(4857)] = 158483,
  [SMALL_STATE(4858)] = 158535,
  [SMALL_STATE(4859)] = 158585,
  [SMALL_STATE(4860)] = 158635,
  [SMALL_STATE(4861)] = 158685,
  [SMALL_STATE(4862)] = 158735,
  [SMALL_STATE(4863)] = 158791,
  [SMALL_STATE(4864)] = 158841,
  [SMALL_STATE(4865)] = 158891,
  [SMALL_STATE(4866)] = 158947,
  [SMALL_STATE(4867)] = 158997,
  [SMALL_STATE(4868)] = 159047,
  [SMALL_STATE(4869)] = 159097,
  [SMALL_STATE(4870)] = 159153,
  [SMALL_STATE(4871)] = 159209,
  [SMALL_STATE(4872)] = 159259,
  [SMALL_STATE(4873)] = 159315,
  [SMALL_STATE(4874)] = 159365,
  [SMALL_STATE(4875)] = 159415,
  [SMALL_STATE(4876)] = 159465,
  [SMALL_STATE(4877)] = 159515,
  [SMALL_STATE(4878)] = 159596,
  [SMALL_STATE(4879)] = 159645,
  [SMALL_STATE(4880)] = 159698,
  [SMALL_STATE(4881)] = 159779,
  [SMALL_STATE(4882)] = 159860,
  [SMALL_STATE(4883)] = 159941,
  [SMALL_STATE(4884)] = 160022,
  [SMALL_STATE(4885)] = 160103,
  [SMALL_STATE(4886)] = 160204,
  [SMALL_STATE(4887)] = 160307,
  [SMALL_STATE(4888)] = 160360,
  [SMALL_STATE(4889)] = 160461,
  [SMALL_STATE(4890)] = 160558,
  [SMALL_STATE(4891)] = 160655,
  [SMALL_STATE(4892)] = 160736,
  [SMALL_STATE(4893)] = 160839,
  [SMALL_STATE(4894)] = 160920,
  [SMALL_STATE(4895)] = 161001,
  [SMALL_STATE(4896)] = 161102,
  [SMALL_STATE(4897)] = 161155,
  [SMALL_STATE(4898)] = 161218,
  [SMALL_STATE(4899)] = 161299,
  [SMALL_STATE(4900)] = 161370,
  [SMALL_STATE(4901)] = 161451,
  [SMALL_STATE(4902)] = 161548,
  [SMALL_STATE(4903)] = 161629,
  [SMALL_STATE(4904)] = 161698,
  [SMALL_STATE(4905)] = 161765,
  [SMALL_STATE(4906)] = 161846,
  [SMALL_STATE(4907)] = 161927,
  [SMALL_STATE(4908)] = 161990,
  [SMALL_STATE(4909)] = 162067,
  [SMALL_STATE(4910)] = 162148,
  [SMALL_STATE(4911)] = 162229,
  [SMALL_STATE(4912)] = 162306,
  [SMALL_STATE(4913)] = 162387,
  [SMALL_STATE(4914)] = 162460,
  [SMALL_STATE(4915)] = 162537,
  [SMALL_STATE(4916)] = 162618,
  [SMALL_STATE(4917)] = 162701,
  [SMALL_STATE(4918)] = 162788,
  [SMALL_STATE(4919)] = 162877,
  [SMALL_STATE(4920)] = 162928,
  [SMALL_STATE(4921)] = 163021,
  [SMALL_STATE(4922)] = 163098,
  [SMALL_STATE(4923)] = 163149,
  [SMALL_STATE(4924)] = 163252,
  [SMALL_STATE(4925)] = 163353,
  [SMALL_STATE(4926)] = 163414,
  [SMALL_STATE(4927)] = 163495,
  [SMALL_STATE(4928)] = 163576,
  [SMALL_STATE(4929)] = 163627,
  [SMALL_STATE(4930)] = 163688,
  [SMALL_STATE(4931)] = 163785,
  [SMALL_STATE(4932)] = 163866,
  [SMALL_STATE(4933)] = 163923,
  [SMALL_STATE(4934)] = 164000,
  [SMALL_STATE(4935)] = 164081,
  [SMALL_STATE(4936)] = 164142,
  [SMALL_STATE(4937)] = 164205,
  [SMALL_STATE(4938)] = 164268,
  [SMALL_STATE(4939)] = 164349,
  [SMALL_STATE(4940)] = 164430,
  [SMALL_STATE(4941)] = 164491,
  [SMALL_STATE(4942)] = 164572,
  [SMALL_STATE(4943)] = 164653,
  [SMALL_STATE(4944)] = 164730,
  [SMALL_STATE(4945)] = 164811,
  [SMALL_STATE(4946)] = 164892,
  [SMALL_STATE(4947)] = 164941,
  [SMALL_STATE(4948)] = 164990,
  [SMALL_STATE(4949)] = 165039,
  [SMALL_STATE(4950)] = 165090,
  [SMALL_STATE(4951)] = 165171,
  [SMALL_STATE(4952)] = 165220,
  [SMALL_STATE(4953)] = 165301,
  [SMALL_STATE(4954)] = 165390,
  [SMALL_STATE(4955)] = 165493,
  [SMALL_STATE(4956)] = 165574,
  [SMALL_STATE(4957)] = 165623,
  [SMALL_STATE(4958)] = 165704,
  [SMALL_STATE(4959)] = 165753,
  [SMALL_STATE(4960)] = 165834,
  [SMALL_STATE(4961)] = 165911,
  [SMALL_STATE(4962)] = 165992,
  [SMALL_STATE(4963)] = 166041,
  [SMALL_STATE(4964)] = 166122,
  [SMALL_STATE(4965)] = 166216,
  [SMALL_STATE(4966)] = 166292,
  [SMALL_STATE(4967)] = 166380,
  [SMALL_STATE(4968)] = 166466,
  [SMALL_STATE(4969)] = 166550,
  [SMALL_STATE(4970)] = 166632,
  [SMALL_STATE(4971)] = 166712,
  [SMALL_STATE(4972)] = 166770,
  [SMALL_STATE(4973)] = 166838,
  [SMALL_STATE(4974)] = 166896,
  [SMALL_STATE(4975)] = 166986,
  [SMALL_STATE(4976)] = 167076,
  [SMALL_STATE(4977)] = 167152,
  [SMALL_STATE(4978)] = 167230,
  [SMALL_STATE(4979)] = 167302,
  [SMALL_STATE(4980)] = 167370,
  [SMALL_STATE(4981)] = 167438,
  [SMALL_STATE(4982)] = 167532,
  [SMALL_STATE(4983)] = 167612,
  [SMALL_STATE(4984)] = 167660,
  [SMALL_STATE(4985)] = 167718,
  [SMALL_STATE(4986)] = 167766,
  [SMALL_STATE(4987)] = 167824,
  [SMALL_STATE(4988)] = 167872,
  [SMALL_STATE(4989)] = 167926,
  [SMALL_STATE(4990)] = 167974,
  [SMALL_STATE(4991)] = 168032,
  [SMALL_STATE(4992)] = 168108,
  [SMALL_STATE(4993)] = 168176,
  [SMALL_STATE(4994)] = 168266,
  [SMALL_STATE(4995)] = 168316,
  [SMALL_STATE(4996)] = 168410,
  [SMALL_STATE(4997)] = 168510,
  [SMALL_STATE(4998)] = 168576,
  [SMALL_STATE(4999)] = 168626,
  [SMALL_STATE(5000)] = 168716,
  [SMALL_STATE(5001)] = 168786,
  [SMALL_STATE(5002)] = 168840,
  [SMALL_STATE(5003)] = 168919,
  [SMALL_STATE(5004)] = 168966,
  [SMALL_STATE(5005)] = 169063,
  [SMALL_STATE(5006)] = 169160,
  [SMALL_STATE(5007)] = 169257,
  [SMALL_STATE(5008)] = 169306,
  [SMALL_STATE(5009)] = 169403,
  [SMALL_STATE(5010)] = 169500,
  [SMALL_STATE(5011)] = 169597,
  [SMALL_STATE(5012)] = 169694,
  [SMALL_STATE(5013)] = 169791,
  [SMALL_STATE(5014)] = 169888,
  [SMALL_STATE(5015)] = 169981,
  [SMALL_STATE(5016)] = 170078,
  [SMALL_STATE(5017)] = 170153,
  [SMALL_STATE(5018)] = 170250,
  [SMALL_STATE(5019)] = 170347,
  [SMALL_STATE(5020)] = 170444,
  [SMALL_STATE(5021)] = 170541,
  [SMALL_STATE(5022)] = 170638,
  [SMALL_STATE(5023)] = 170689,
  [SMALL_STATE(5024)] = 170786,
  [SMALL_STATE(5025)] = 170883,
  [SMALL_STATE(5026)] = 170930,
  [SMALL_STATE(5027)] = 171027,
  [SMALL_STATE(5028)] = 171074,
  [SMALL_STATE(5029)] = 171129,
  [SMALL_STATE(5030)] = 171226,
  [SMALL_STATE(5031)] = 171323,
  [SMALL_STATE(5032)] = 171378,
  [SMALL_STATE(5033)] = 171425,
  [SMALL_STATE(5034)] = 171472,
  [SMALL_STATE(5035)] = 171519,
  [SMALL_STATE(5036)] = 171616,
  [SMALL_STATE(5037)] = 171663,
  [SMALL_STATE(5038)] = 171740,
  [SMALL_STATE(5039)] = 171787,
  [SMALL_STATE(5040)] = 171884,
  [SMALL_STATE(5041)] = 171981,
  [SMALL_STATE(5042)] = 172028,
  [SMALL_STATE(5043)] = 172075,
  [SMALL_STATE(5044)] = 172122,
  [SMALL_STATE(5045)] = 172169,
  [SMALL_STATE(5046)] = 172220,
  [SMALL_STATE(5047)] = 172317,
  [SMALL_STATE(5048)] = 172414,
  [SMALL_STATE(5049)] = 172461,
  [SMALL_STATE(5050)] = 172508,
  [SMALL_STATE(5051)] = 172555,
  [SMALL_STATE(5052)] = 172602,
  [SMALL_STATE(5053)] = 172699,
  [SMALL_STATE(5054)] = 172746,
  [SMALL_STATE(5055)] = 172843,
  [SMALL_STATE(5056)] = 172940,
  [SMALL_STATE(5057)] = 173037,
  [SMALL_STATE(5058)] = 173124,
  [SMALL_STATE(5059)] = 173213,
  [SMALL_STATE(5060)] = 173310,
  [SMALL_STATE(5061)] = 173389,
  [SMALL_STATE(5062)] = 173436,
  [SMALL_STATE(5063)] = 173511,
  [SMALL_STATE(5064)] = 173606,
  [SMALL_STATE(5065)] = 173653,
  [SMALL_STATE(5066)] = 173728,
  [SMALL_STATE(5067)] = 173775,
  [SMALL_STATE(5068)] = 173822,
  [SMALL_STATE(5069)] = 173897,
  [SMALL_STATE(5070)] = 173944,
  [SMALL_STATE(5071)] = 173991,
  [SMALL_STATE(5072)] = 174038,
  [SMALL_STATE(5073)] = 174085,
  [SMALL_STATE(5074)] = 174182,
  [SMALL_STATE(5075)] = 174279,
  [SMALL_STATE(5076)] = 174376,
  [SMALL_STATE(5077)] = 174473,
  [SMALL_STATE(5078)] = 174570,
  [SMALL_STATE(5079)] = 174647,
  [SMALL_STATE(5080)] = 174694,
  [SMALL_STATE(5081)] = 174747,
  [SMALL_STATE(5082)] = 174842,
  [SMALL_STATE(5083)] = 174889,
  [SMALL_STATE(5084)] = 174986,
  [SMALL_STATE(5085)] = 175063,
  [SMALL_STATE(5086)] = 175142,
  [SMALL_STATE(5087)] = 175189,
  [SMALL_STATE(5088)] = 175236,
  [SMALL_STATE(5089)] = 175333,
  [SMALL_STATE(5090)] = 175430,
  [SMALL_STATE(5091)] = 175527,
  [SMALL_STATE(5092)] = 175574,
  [SMALL_STATE(5093)] = 175671,
  [SMALL_STATE(5094)] = 175718,
  [SMALL_STATE(5095)] = 175811,
  [SMALL_STATE(5096)] = 175904,
  [SMALL_STATE(5097)] = 175951,
  [SMALL_STATE(5098)] = 176040,
  [SMALL_STATE(5099)] = 176105,
  [SMALL_STATE(5100)] = 176202,
  [SMALL_STATE(5101)] = 176299,
  [SMALL_STATE(5102)] = 176346,
  [SMALL_STATE(5103)] = 176443,
  [SMALL_STATE(5104)] = 176540,
  [SMALL_STATE(5105)] = 176637,
  [SMALL_STATE(5106)] = 176734,
  [SMALL_STATE(5107)] = 176781,
  [SMALL_STATE(5108)] = 176878,
  [SMALL_STATE(5109)] = 176925,
  [SMALL_STATE(5110)] = 177012,
  [SMALL_STATE(5111)] = 177109,
  [SMALL_STATE(5112)] = 177206,
  [SMALL_STATE(5113)] = 177291,
  [SMALL_STATE(5114)] = 177388,
  [SMALL_STATE(5115)] = 177485,
  [SMALL_STATE(5116)] = 177562,
  [SMALL_STATE(5117)] = 177609,
  [SMALL_STATE(5118)] = 177692,
  [SMALL_STATE(5119)] = 177789,
  [SMALL_STATE(5120)] = 177870,
  [SMALL_STATE(5121)] = 177947,
  [SMALL_STATE(5122)] = 177994,
  [SMALL_STATE(5123)] = 178041,
  [SMALL_STATE(5124)] = 178116,
  [SMALL_STATE(5125)] = 178163,
  [SMALL_STATE(5126)] = 178234,
  [SMALL_STATE(5127)] = 178301,
  [SMALL_STATE(5128)] = 178398,
  [SMALL_STATE(5129)] = 178487,
  [SMALL_STATE(5130)] = 178556,
  [SMALL_STATE(5131)] = 178603,
  [SMALL_STATE(5132)] = 178700,
  [SMALL_STATE(5133)] = 178747,
  [SMALL_STATE(5134)] = 178794,
  [SMALL_STATE(5135)] = 178843,
  [SMALL_STATE(5136)] = 178890,
  [SMALL_STATE(5137)] = 178937,
  [SMALL_STATE(5138)] = 179030,
  [SMALL_STATE(5139)] = 179077,
  [SMALL_STATE(5140)] = 179174,
  [SMALL_STATE(5141)] = 179221,
  [SMALL_STATE(5142)] = 179268,
  [SMALL_STATE(5143)] = 179315,
  [SMALL_STATE(5144)] = 179392,
  [SMALL_STATE(5145)] = 179439,
  [SMALL_STATE(5146)] = 179536,
  [SMALL_STATE(5147)] = 179625,
  [SMALL_STATE(5148)] = 179672,
  [SMALL_STATE(5149)] = 179749,
  [SMALL_STATE(5150)] = 179796,
  [SMALL_STATE(5151)] = 179843,
  [SMALL_STATE(5152)] = 179920,
  [SMALL_STATE(5153)] = 179967,
  [SMALL_STATE(5154)] = 180014,
  [SMALL_STATE(5155)] = 180061,
  [SMALL_STATE(5156)] = 180108,
  [SMALL_STATE(5157)] = 180155,
  [SMALL_STATE(5158)] = 180252,
  [SMALL_STATE(5159)] = 180349,
  [SMALL_STATE(5160)] = 180436,
  [SMALL_STATE(5161)] = 180489,
  [SMALL_STATE(5162)] = 180536,
  [SMALL_STATE(5163)] = 180633,
  [SMALL_STATE(5164)] = 180686,
  [SMALL_STATE(5165)] = 180733,
  [SMALL_STATE(5166)] = 180780,
  [SMALL_STATE(5167)] = 180827,
  [SMALL_STATE(5168)] = 180874,
  [SMALL_STATE(5169)] = 180951,
  [SMALL_STATE(5170)] = 181048,
  [SMALL_STATE(5171)] = 181095,
  [SMALL_STATE(5172)] = 181142,
  [SMALL_STATE(5173)] = 181191,
  [SMALL_STATE(5174)] = 181238,
  [SMALL_STATE(5175)] = 181285,
  [SMALL_STATE(5176)] = 181332,
  [SMALL_STATE(5177)] = 181379,
  [SMALL_STATE(5178)] = 181476,
  [SMALL_STATE(5179)] = 181555,
  [SMALL_STATE(5180)] = 181602,
  [SMALL_STATE(5181)] = 181649,
  [SMALL_STATE(5182)] = 181696,
  [SMALL_STATE(5183)] = 181743,
  [SMALL_STATE(5184)] = 181836,
  [SMALL_STATE(5185)] = 181889,
  [SMALL_STATE(5186)] = 181986,
  [SMALL_STATE(5187)] = 182039,
  [SMALL_STATE(5188)] = 182136,
  [SMALL_STATE(5189)] = 182183,
  [SMALL_STATE(5190)] = 182251,
  [SMALL_STATE(5191)] = 182343,
  [SMALL_STATE(5192)] = 182399,
  [SMALL_STATE(5193)] = 182455,
  [SMALL_STATE(5194)] = 182549,
  [SMALL_STATE(5195)] = 182643,
  [SMALL_STATE(5196)] = 182737,
  [SMALL_STATE(5197)] = 182825,
  [SMALL_STATE(5198)] = 182913,
  [SMALL_STATE(5199)] = 183005,
  [SMALL_STATE(5200)] = 183065,
  [SMALL_STATE(5201)] = 183159,
  [SMALL_STATE(5202)] = 183253,
  [SMALL_STATE(5203)] = 183317,
  [SMALL_STATE(5204)] = 183377,
  [SMALL_STATE(5205)] = 183471,
  [SMALL_STATE(5206)] = 183531,
  [SMALL_STATE(5207)] = 183617,
  [SMALL_STATE(5208)] = 183701,
  [SMALL_STATE(5209)] = 183783,
  [SMALL_STATE(5210)] = 183853,
  [SMALL_STATE(5211)] = 183919,
  [SMALL_STATE(5212)] = 183991,
  [SMALL_STATE(5213)] = 184065,
  [SMALL_STATE(5214)] = 184145,
  [SMALL_STATE(5215)] = 184221,
  [SMALL_STATE(5216)] = 184301,
  [SMALL_STATE(5217)] = 184383,
  [SMALL_STATE(5218)] = 184467,
  [SMALL_STATE(5219)] = 184553,
  [SMALL_STATE(5220)] = 184613,
  [SMALL_STATE(5221)] = 184677,
  [SMALL_STATE(5222)] = 184753,
  [SMALL_STATE(5223)] = 184827,
  [SMALL_STATE(5224)] = 184897,
  [SMALL_STATE(5225)] = 184975,
  [SMALL_STATE(5226)] = 185041,
  [SMALL_STATE(5227)] = 185129,
  [SMALL_STATE(5228)] = 185217,
  [SMALL_STATE(5229)] = 185295,
  [SMALL_STATE(5230)] = 185363,
  [SMALL_STATE(5231)] = 185457,
  [SMALL_STATE(5232)] = 185509,
  [SMALL_STATE(5233)] = 185603,
  [SMALL_STATE(5234)] = 185691,
  [SMALL_STATE(5235)] = 185783,
  [SMALL_STATE(5236)] = 185877,
  [SMALL_STATE(5237)] = 185969,
  [SMALL_STATE(5238)] = 186063,
  [SMALL_STATE(5239)] = 186155,
  [SMALL_STATE(5240)] = 186243,
  [SMALL_STATE(5241)] = 186335,
  [SMALL_STATE(5242)] = 186381,
  [SMALL_STATE(5243)] = 186431,
  [SMALL_STATE(5244)] = 186523,
  [SMALL_STATE(5245)] = 186615,
  [SMALL_STATE(5246)] = 186703,
  [SMALL_STATE(5247)] = 186761,
  [SMALL_STATE(5248)] = 186855,
  [SMALL_STATE(5249)] = 186949,
  [SMALL_STATE(5250)] = 187017,
  [SMALL_STATE(5251)] = 187077,
  [SMALL_STATE(5252)] = 187137,
  [SMALL_STATE(5253)] = 187231,
  [SMALL_STATE(5254)] = 187289,
  [SMALL_STATE(5255)] = 187383,
  [SMALL_STATE(5256)] = 187431,
  [SMALL_STATE(5257)] = 187499,
  [SMALL_STATE(5258)] = 187591,
  [SMALL_STATE(5259)] = 187659,
  [SMALL_STATE(5260)] = 187753,
  [SMALL_STATE(5261)] = 187847,
  [SMALL_STATE(5262)] = 187941,
  [SMALL_STATE(5263)] = 188029,
  [SMALL_STATE(5264)] = 188123,
  [SMALL_STATE(5265)] = 188215,
  [SMALL_STATE(5266)] = 188263,
  [SMALL_STATE(5267)] = 188321,
  [SMALL_STATE(5268)] = 188409,
  [SMALL_STATE(5269)] = 188503,
  [SMALL_STATE(5270)] = 188563,
  [SMALL_STATE(5271)] = 188623,
  [SMALL_STATE(5272)] = 188717,
  [SMALL_STATE(5273)] = 188809,
  [SMALL_STATE(5274)] = 188867,
  [SMALL_STATE(5275)] = 188955,
  [SMALL_STATE(5276)] = 189033,
  [SMALL_STATE(5277)] = 189125,
  [SMALL_STATE(5278)] = 189217,
  [SMALL_STATE(5279)] = 189305,
  [SMALL_STATE(5280)] = 189383,
  [SMALL_STATE(5281)] = 189449,
  [SMALL_STATE(5282)] = 189519,
  [SMALL_STATE(5283)] = 189567,
  [SMALL_STATE(5284)] = 189661,
  [SMALL_STATE(5285)] = 189737,
  [SMALL_STATE(5286)] = 189817,
  [SMALL_STATE(5287)] = 189899,
  [SMALL_STATE(5288)] = 189983,
  [SMALL_STATE(5289)] = 190069,
  [SMALL_STATE(5290)] = 190161,
  [SMALL_STATE(5291)] = 190225,
  [SMALL_STATE(5292)] = 190317,
  [SMALL_STATE(5293)] = 190385,
  [SMALL_STATE(5294)] = 190477,
  [SMALL_STATE(5295)] = 190565,
  [SMALL_STATE(5296)] = 190657,
  [SMALL_STATE(5297)] = 190725,
  [SMALL_STATE(5298)] = 190817,
  [SMALL_STATE(5299)] = 190911,
  [SMALL_STATE(5300)] = 191005,
  [SMALL_STATE(5301)] = 191073,
  [SMALL_STATE(5302)] = 191167,
  [SMALL_STATE(5303)] = 191261,
  [SMALL_STATE(5304)] = 191353,
  [SMALL_STATE(5305)] = 191421,
  [SMALL_STATE(5306)] = 191513,
  [SMALL_STATE(5307)] = 191605,
  [SMALL_STATE(5308)] = 191699,
  [SMALL_STATE(5309)] = 191793,
  [SMALL_STATE(5310)] = 191887,
  [SMALL_STATE(5311)] = 191961,
  [SMALL_STATE(5312)] = 192055,
  [SMALL_STATE(5313)] = 192149,
  [SMALL_STATE(5314)] = 192241,
  [SMALL_STATE(5315)] = 192335,
  [SMALL_STATE(5316)] = 192403,
  [SMALL_STATE(5317)] = 192497,
  [SMALL_STATE(5318)] = 192591,
  [SMALL_STATE(5319)] = 192685,
  [SMALL_STATE(5320)] = 192779,
  [SMALL_STATE(5321)] = 192873,
  [SMALL_STATE(5322)] = 192967,
  [SMALL_STATE(5323)] = 193017,
  [SMALL_STATE(5324)] = 193111,
  [SMALL_STATE(5325)] = 193205,
  [SMALL_STATE(5326)] = 193299,
  [SMALL_STATE(5327)] = 193393,
  [SMALL_STATE(5328)] = 193467,
  [SMALL_STATE(5329)] = 193535,
  [SMALL_STATE(5330)] = 193603,
  [SMALL_STATE(5331)] = 193697,
  [SMALL_STATE(5332)] = 193765,
  [SMALL_STATE(5333)] = 193833,
  [SMALL_STATE(5334)] = 193925,
  [SMALL_STATE(5335)] = 194017,
  [SMALL_STATE(5336)] = 194111,
  [SMALL_STATE(5337)] = 194197,
  [SMALL_STATE(5338)] = 194271,
  [SMALL_STATE(5339)] = 194365,
  [SMALL_STATE(5340)] = 194459,
  [SMALL_STATE(5341)] = 194553,
  [SMALL_STATE(5342)] = 194645,
  [SMALL_STATE(5343)] = 194739,
  [SMALL_STATE(5344)] = 194833,
  [SMALL_STATE(5345)] = 194927,
  [SMALL_STATE(5346)] = 195019,
  [SMALL_STATE(5347)] = 195110,
  [SMALL_STATE(5348)] = 195159,
  [SMALL_STATE(5349)] = 195250,
  [SMALL_STATE(5350)] = 195341,
  [SMALL_STATE(5351)] = 195432,
  [SMALL_STATE(5352)] = 195523,
  [SMALL_STATE(5353)] = 195614,
  [SMALL_STATE(5354)] = 195661,
  [SMALL_STATE(5355)] = 195752,
  [SMALL_STATE(5356)] = 195843,
  [SMALL_STATE(5357)] = 195934,
  [SMALL_STATE(5358)] = 196025,
  [SMALL_STATE(5359)] = 196106,
  [SMALL_STATE(5360)] = 196197,
  [SMALL_STATE(5361)] = 196288,
  [SMALL_STATE(5362)] = 196379,
  [SMALL_STATE(5363)] = 196470,
  [SMALL_STATE(5364)] = 196561,
  [SMALL_STATE(5365)] = 196652,
  [SMALL_STATE(5366)] = 196743,
  [SMALL_STATE(5367)] = 196834,
  [SMALL_STATE(5368)] = 196883,
  [SMALL_STATE(5369)] = 196938,
  [SMALL_STATE(5370)] = 197029,
  [SMALL_STATE(5371)] = 197120,
  [SMALL_STATE(5372)] = 197211,
  [SMALL_STATE(5373)] = 197302,
  [SMALL_STATE(5374)] = 197393,
  [SMALL_STATE(5375)] = 197484,
  [SMALL_STATE(5376)] = 197575,
  [SMALL_STATE(5377)] = 197666,
  [SMALL_STATE(5378)] = 197757,
  [SMALL_STATE(5379)] = 197848,
  [SMALL_STATE(5380)] = 197939,
  [SMALL_STATE(5381)] = 198030,
  [SMALL_STATE(5382)] = 198079,
  [SMALL_STATE(5383)] = 198170,
  [SMALL_STATE(5384)] = 198261,
  [SMALL_STATE(5385)] = 198352,
  [SMALL_STATE(5386)] = 198443,
  [SMALL_STATE(5387)] = 198534,
  [SMALL_STATE(5388)] = 198607,
  [SMALL_STATE(5389)] = 198656,
  [SMALL_STATE(5390)] = 198747,
  [SMALL_STATE(5391)] = 198828,
  [SMALL_STATE(5392)] = 198879,
  [SMALL_STATE(5393)] = 198970,
  [SMALL_STATE(5394)] = 199053,
  [SMALL_STATE(5395)] = 199144,
  [SMALL_STATE(5396)] = 199235,
  [SMALL_STATE(5397)] = 199326,
  [SMALL_STATE(5398)] = 199377,
  [SMALL_STATE(5399)] = 199468,
  [SMALL_STATE(5400)] = 199559,
  [SMALL_STATE(5401)] = 199650,
  [SMALL_STATE(5402)] = 199741,
  [SMALL_STATE(5403)] = 199832,
  [SMALL_STATE(5404)] = 199923,
  [SMALL_STATE(5405)] = 200014,
  [SMALL_STATE(5406)] = 200105,
  [SMALL_STATE(5407)] = 200196,
  [SMALL_STATE(5408)] = 200287,
  [SMALL_STATE(5409)] = 200378,
  [SMALL_STATE(5410)] = 200459,
  [SMALL_STATE(5411)] = 200550,
  [SMALL_STATE(5412)] = 200641,
  [SMALL_STATE(5413)] = 200732,
  [SMALL_STATE(5414)] = 200823,
  [SMALL_STATE(5415)] = 200914,
  [SMALL_STATE(5416)] = 200963,
  [SMALL_STATE(5417)] = 201054,
  [SMALL_STATE(5418)] = 201145,
  [SMALL_STATE(5419)] = 201192,
  [SMALL_STATE(5420)] = 201283,
  [SMALL_STATE(5421)] = 201374,
  [SMALL_STATE(5422)] = 201465,
  [SMALL_STATE(5423)] = 201556,
  [SMALL_STATE(5424)] = 201647,
  [SMALL_STATE(5425)] = 201698,
  [SMALL_STATE(5426)] = 201789,
  [SMALL_STATE(5427)] = 201870,
  [SMALL_STATE(5428)] = 201961,
  [SMALL_STATE(5429)] = 202052,
  [SMALL_STATE(5430)] = 202143,
  [SMALL_STATE(5431)] = 202234,
  [SMALL_STATE(5432)] = 202325,
  [SMALL_STATE(5433)] = 202416,
  [SMALL_STATE(5434)] = 202467,
  [SMALL_STATE(5435)] = 202558,
  [SMALL_STATE(5436)] = 202649,
  [SMALL_STATE(5437)] = 202740,
  [SMALL_STATE(5438)] = 202831,
  [SMALL_STATE(5439)] = 202922,
  [SMALL_STATE(5440)] = 203013,
  [SMALL_STATE(5441)] = 203104,
  [SMALL_STATE(5442)] = 203157,
  [SMALL_STATE(5443)] = 203248,
  [SMALL_STATE(5444)] = 203339,
  [SMALL_STATE(5445)] = 203430,
  [SMALL_STATE(5446)] = 203511,
  [SMALL_STATE(5447)] = 203592,
  [SMALL_STATE(5448)] = 203683,
  [SMALL_STATE(5449)] = 203774,
  [SMALL_STATE(5450)] = 203819,
  [SMALL_STATE(5451)] = 203910,
  [SMALL_STATE(5452)] = 204001,
  [SMALL_STATE(5453)] = 204092,
  [SMALL_STATE(5454)] = 204149,
  [SMALL_STATE(5455)] = 204206,
  [SMALL_STATE(5456)] = 204255,
  [SMALL_STATE(5457)] = 204346,
  [SMALL_STATE(5458)] = 204413,
  [SMALL_STATE(5459)] = 204504,
  [SMALL_STATE(5460)] = 204595,
  [SMALL_STATE(5461)] = 204686,
  [SMALL_STATE(5462)] = 204777,
  [SMALL_STATE(5463)] = 204868,
  [SMALL_STATE(5464)] = 204959,
  [SMALL_STATE(5465)] = 205050,
  [SMALL_STATE(5466)] = 205131,
  [SMALL_STATE(5467)] = 205222,
  [SMALL_STATE(5468)] = 205313,
  [SMALL_STATE(5469)] = 205380,
  [SMALL_STATE(5470)] = 205471,
  [SMALL_STATE(5471)] = 205538,
  [SMALL_STATE(5472)] = 205629,
  [SMALL_STATE(5473)] = 205678,
  [SMALL_STATE(5474)] = 205769,
  [SMALL_STATE(5475)] = 205860,
  [SMALL_STATE(5476)] = 205909,
  [SMALL_STATE(5477)] = 205958,
  [SMALL_STATE(5478)] = 206049,
  [SMALL_STATE(5479)] = 206140,
  [SMALL_STATE(5480)] = 206231,
  [SMALL_STATE(5481)] = 206322,
  [SMALL_STATE(5482)] = 206413,
  [SMALL_STATE(5483)] = 206504,
  [SMALL_STATE(5484)] = 206585,
  [SMALL_STATE(5485)] = 206652,
  [SMALL_STATE(5486)] = 206743,
  [SMALL_STATE(5487)] = 206788,
  [SMALL_STATE(5488)] = 206879,
  [SMALL_STATE(5489)] = 206970,
  [SMALL_STATE(5490)] = 207061,
  [SMALL_STATE(5491)] = 207134,
  [SMALL_STATE(5492)] = 207225,
  [SMALL_STATE(5493)] = 207316,
  [SMALL_STATE(5494)] = 207407,
  [SMALL_STATE(5495)] = 207498,
  [SMALL_STATE(5496)] = 207589,
  [SMALL_STATE(5497)] = 207680,
  [SMALL_STATE(5498)] = 207761,
  [SMALL_STATE(5499)] = 207805,
  [SMALL_STATE(5500)] = 207849,
  [SMALL_STATE(5501)] = 207903,
  [SMALL_STATE(5502)] = 207963,
  [SMALL_STATE(5503)] = 208041,
  [SMALL_STATE(5504)] = 208085,
  [SMALL_STATE(5505)] = 208151,
  [SMALL_STATE(5506)] = 208229,
  [SMALL_STATE(5507)] = 208295,
  [SMALL_STATE(5508)] = 208383,
  [SMALL_STATE(5509)] = 208461,
  [SMALL_STATE(5510)] = 208505,
  [SMALL_STATE(5511)] = 208549,
  [SMALL_STATE(5512)] = 208615,
  [SMALL_STATE(5513)] = 208659,
  [SMALL_STATE(5514)] = 208703,
  [SMALL_STATE(5515)] = 208785,
  [SMALL_STATE(5516)] = 208829,
  [SMALL_STATE(5517)] = 208873,
  [SMALL_STATE(5518)] = 208917,
  [SMALL_STATE(5519)] = 208961,
  [SMALL_STATE(5520)] = 209005,
  [SMALL_STATE(5521)] = 209049,
  [SMALL_STATE(5522)] = 209115,
  [SMALL_STATE(5523)] = 209159,
  [SMALL_STATE(5524)] = 209203,
  [SMALL_STATE(5525)] = 209247,
  [SMALL_STATE(5526)] = 209313,
  [SMALL_STATE(5527)] = 209357,
  [SMALL_STATE(5528)] = 209401,
  [SMALL_STATE(5529)] = 209477,
  [SMALL_STATE(5530)] = 209521,
  [SMALL_STATE(5531)] = 209571,
  [SMALL_STATE(5532)] = 209615,
  [SMALL_STATE(5533)] = 209681,
  [SMALL_STATE(5534)] = 209759,
  [SMALL_STATE(5535)] = 209809,
  [SMALL_STATE(5536)] = 209887,
  [SMALL_STATE(5537)] = 209969,
  [SMALL_STATE(5538)] = 210013,
  [SMALL_STATE(5539)] = 210057,
  [SMALL_STATE(5540)] = 210101,
  [SMALL_STATE(5541)] = 210179,
  [SMALL_STATE(5542)] = 210257,
  [SMALL_STATE(5543)] = 210333,
  [SMALL_STATE(5544)] = 210381,
  [SMALL_STATE(5545)] = 210425,
  [SMALL_STATE(5546)] = 210469,
  [SMALL_STATE(5547)] = 210513,
  [SMALL_STATE(5548)] = 210579,
  [SMALL_STATE(5549)] = 210623,
  [SMALL_STATE(5550)] = 210667,
  [SMALL_STATE(5551)] = 210711,
  [SMALL_STATE(5552)] = 210783,
  [SMALL_STATE(5553)] = 210827,
  [SMALL_STATE(5554)] = 210871,
  [SMALL_STATE(5555)] = 210937,
  [SMALL_STATE(5556)] = 210981,
  [SMALL_STATE(5557)] = 211025,
  [SMALL_STATE(5558)] = 211069,
  [SMALL_STATE(5559)] = 211147,
  [SMALL_STATE(5560)] = 211225,
  [SMALL_STATE(5561)] = 211303,
  [SMALL_STATE(5562)] = 211347,
  [SMALL_STATE(5563)] = 211391,
  [SMALL_STATE(5564)] = 211463,
  [SMALL_STATE(5565)] = 211507,
  [SMALL_STATE(5566)] = 211551,
  [SMALL_STATE(5567)] = 211597,
  [SMALL_STATE(5568)] = 211645,
  [SMALL_STATE(5569)] = 211688,
  [SMALL_STATE(5570)] = 211735,
  [SMALL_STATE(5571)] = 211778,
  [SMALL_STATE(5572)] = 211821,
  [SMALL_STATE(5573)] = 211864,
  [SMALL_STATE(5574)] = 211907,
  [SMALL_STATE(5575)] = 211950,
  [SMALL_STATE(5576)] = 211993,
  [SMALL_STATE(5577)] = 212040,
  [SMALL_STATE(5578)] = 212085,
  [SMALL_STATE(5579)] = 212132,
  [SMALL_STATE(5580)] = 212179,
  [SMALL_STATE(5581)] = 212224,
  [SMALL_STATE(5582)] = 212267,
  [SMALL_STATE(5583)] = 212314,
  [SMALL_STATE(5584)] = 212361,
  [SMALL_STATE(5585)] = 212432,
  [SMALL_STATE(5586)] = 212479,
  [SMALL_STATE(5587)] = 212544,
  [SMALL_STATE(5588)] = 212599,
  [SMALL_STATE(5589)] = 212642,
  [SMALL_STATE(5590)] = 212695,
  [SMALL_STATE(5591)] = 212776,
  [SMALL_STATE(5592)] = 212831,
  [SMALL_STATE(5593)] = 212896,
  [SMALL_STATE(5594)] = 212939,
  [SMALL_STATE(5595)] = 212984,
  [SMALL_STATE(5596)] = 213029,
  [SMALL_STATE(5597)] = 213100,
  [SMALL_STATE(5598)] = 213153,
  [SMALL_STATE(5599)] = 213196,
  [SMALL_STATE(5600)] = 213261,
  [SMALL_STATE(5601)] = 213342,
  [SMALL_STATE(5602)] = 213391,
  [SMALL_STATE(5603)] = 213434,
  [SMALL_STATE(5604)] = 213477,
  [SMALL_STATE(5605)] = 213536,
  [SMALL_STATE(5606)] = 213601,
  [SMALL_STATE(5607)] = 213644,
  [SMALL_STATE(5608)] = 213724,
  [SMALL_STATE(5609)] = 213804,
  [SMALL_STATE(5610)] = 213852,
  [SMALL_STATE(5611)] = 213932,
  [SMALL_STATE(5612)] = 213996,
  [SMALL_STATE(5613)] = 214076,
  [SMALL_STATE(5614)] = 214140,
  [SMALL_STATE(5615)] = 214188,
  [SMALL_STATE(5616)] = 214230,
  [SMALL_STATE(5617)] = 214284,
  [SMALL_STATE(5618)] = 214334,
  [SMALL_STATE(5619)] = 214392,
  [SMALL_STATE(5620)] = 214462,
  [SMALL_STATE(5621)] = 214512,
  [SMALL_STATE(5622)] = 214592,
  [SMALL_STATE(5623)] = 214640,
  [SMALL_STATE(5624)] = 214710,
  [SMALL_STATE(5625)] = 214790,
  [SMALL_STATE(5626)] = 214854,
  [SMALL_STATE(5627)] = 214902,
  [SMALL_STATE(5628)] = 214982,
  [SMALL_STATE(5629)] = 215062,
  [SMALL_STATE(5630)] = 215116,
  [SMALL_STATE(5631)] = 215162,
  [SMALL_STATE(5632)] = 215246,
  [SMALL_STATE(5633)] = 215292,
  [SMALL_STATE(5634)] = 215338,
  [SMALL_STATE(5635)] = 215386,
  [SMALL_STATE(5636)] = 215434,
  [SMALL_STATE(5637)] = 215498,
  [SMALL_STATE(5638)] = 215563,
  [SMALL_STATE(5639)] = 215628,
  [SMALL_STATE(5640)] = 215693,
  [SMALL_STATE(5641)] = 215744,
  [SMALL_STATE(5642)] = 215809,
  [SMALL_STATE(5643)] = 215874,
  [SMALL_STATE(5644)] = 215919,
  [SMALL_STATE(5645)] = 215984,
  [SMALL_STATE(5646)] = 216057,
  [SMALL_STATE(5647)] = 216122,
  [SMALL_STATE(5648)] = 216187,
  [SMALL_STATE(5649)] = 216232,
  [SMALL_STATE(5650)] = 216297,
  [SMALL_STATE(5651)] = 216362,
  [SMALL_STATE(5652)] = 216431,
  [SMALL_STATE(5653)] = 216504,
  [SMALL_STATE(5654)] = 216569,
  [SMALL_STATE(5655)] = 216634,
  [SMALL_STATE(5656)] = 216679,
  [SMALL_STATE(5657)] = 216726,
  [SMALL_STATE(5658)] = 216791,
  [SMALL_STATE(5659)] = 216856,
  [SMALL_STATE(5660)] = 216901,
  [SMALL_STATE(5661)] = 216946,
  [SMALL_STATE(5662)] = 216993,
  [SMALL_STATE(5663)] = 217038,
  [SMALL_STATE(5664)] = 217083,
  [SMALL_STATE(5665)] = 217128,
  [SMALL_STATE(5666)] = 217173,
  [SMALL_STATE(5667)] = 217220,
  [SMALL_STATE(5668)] = 217299,
  [SMALL_STATE(5669)] = 217364,
  [SMALL_STATE(5670)] = 217443,
  [SMALL_STATE(5671)] = 217488,
  [SMALL_STATE(5672)] = 217553,
  [SMALL_STATE(5673)] = 217598,
  [SMALL_STATE(5674)] = 217643,
  [SMALL_STATE(5675)] = 217708,
  [SMALL_STATE(5676)] = 217787,
  [SMALL_STATE(5677)] = 217850,
  [SMALL_STATE(5678)] = 217891,
  [SMALL_STATE(5679)] = 217954,
  [SMALL_STATE(5680)] = 218019,
  [SMALL_STATE(5681)] = 218084,
  [SMALL_STATE(5682)] = 218149,
  [SMALL_STATE(5683)] = 218222,
  [SMALL_STATE(5684)] = 218285,
  [SMALL_STATE(5685)] = 218348,
  [SMALL_STATE(5686)] = 218417,
  [SMALL_STATE(5687)] = 218482,
  [SMALL_STATE(5688)] = 218555,
  [SMALL_STATE(5689)] = 218620,
  [SMALL_STATE(5690)] = 218685,
  [SMALL_STATE(5691)] = 218774,
  [SMALL_STATE(5692)] = 218839,
  [SMALL_STATE(5693)] = 218908,
  [SMALL_STATE(5694)] = 218987,
  [SMALL_STATE(5695)] = 219056,
  [SMALL_STATE(5696)] = 219118,
  [SMALL_STATE(5697)] = 219158,
  [SMALL_STATE(5698)] = 219236,
  [SMALL_STATE(5699)] = 219308,
  [SMALL_STATE(5700)] = 219388,
  [SMALL_STATE(5701)] = 219450,
  [SMALL_STATE(5702)] = 219530,
  [SMALL_STATE(5703)] = 219610,
  [SMALL_STATE(5704)] = 219690,
  [SMALL_STATE(5705)] = 219770,
  [SMALL_STATE(5706)] = 219848,
  [SMALL_STATE(5707)] = 219910,
  [SMALL_STATE(5708)] = 219972,
  [SMALL_STATE(5709)] = 220052,
  [SMALL_STATE(5710)] = 220132,
  [SMALL_STATE(5711)] = 220212,
  [SMALL_STATE(5712)] = 220292,
  [SMALL_STATE(5713)] = 220332,
  [SMALL_STATE(5714)] = 220412,
  [SMALL_STATE(5715)] = 220492,
  [SMALL_STATE(5716)] = 220542,
  [SMALL_STATE(5717)] = 220622,
  [SMALL_STATE(5718)] = 220702,
  [SMALL_STATE(5719)] = 220782,
  [SMALL_STATE(5720)] = 220830,
  [SMALL_STATE(5721)] = 220872,
  [SMALL_STATE(5722)] = 220912,
  [SMALL_STATE(5723)] = 220984,
  [SMALL_STATE(5724)] = 221024,
  [SMALL_STATE(5725)] = 221064,
  [SMALL_STATE(5726)] = 221144,
  [SMALL_STATE(5727)] = 221224,
  [SMALL_STATE(5728)] = 221304,
  [SMALL_STATE(5729)] = 221344,
  [SMALL_STATE(5730)] = 221384,
  [SMALL_STATE(5731)] = 221464,
  [SMALL_STATE(5732)] = 221504,
  [SMALL_STATE(5733)] = 221544,
  [SMALL_STATE(5734)] = 221624,
  [SMALL_STATE(5735)] = 221704,
  [SMALL_STATE(5736)] = 221744,
  [SMALL_STATE(5737)] = 221784,
  [SMALL_STATE(5738)] = 221824,
  [SMALL_STATE(5739)] = 221864,
  [SMALL_STATE(5740)] = 221904,
  [SMALL_STATE(5741)] = 221944,
  [SMALL_STATE(5742)] = 222016,
  [SMALL_STATE(5743)] = 222056,
  [SMALL_STATE(5744)] = 222096,
  [SMALL_STATE(5745)] = 222136,
  [SMALL_STATE(5746)] = 222176,
  [SMALL_STATE(5747)] = 222216,
  [SMALL_STATE(5748)] = 222264,
  [SMALL_STATE(5749)] = 222344,
  [SMALL_STATE(5750)] = 222384,
  [SMALL_STATE(5751)] = 222424,
  [SMALL_STATE(5752)] = 222464,
  [SMALL_STATE(5753)] = 222504,
  [SMALL_STATE(5754)] = 222544,
  [SMALL_STATE(5755)] = 222584,
  [SMALL_STATE(5756)] = 222624,
  [SMALL_STATE(5757)] = 222664,
  [SMALL_STATE(5758)] = 222704,
  [SMALL_STATE(5759)] = 222784,
  [SMALL_STATE(5760)] = 222824,
  [SMALL_STATE(5761)] = 222864,
  [SMALL_STATE(5762)] = 222904,
  [SMALL_STATE(5763)] = 222976,
  [SMALL_STATE(5764)] = 223016,
  [SMALL_STATE(5765)] = 223056,
  [SMALL_STATE(5766)] = 223096,
  [SMALL_STATE(5767)] = 223136,
  [SMALL_STATE(5768)] = 223176,
  [SMALL_STATE(5769)] = 223223,
  [SMALL_STATE(5770)] = 223290,
  [SMALL_STATE(5771)] = 223341,
  [SMALL_STATE(5772)] = 223392,
  [SMALL_STATE(5773)] = 223463,
  [SMALL_STATE(5774)] = 223514,
  [SMALL_STATE(5775)] = 223557,
  [SMALL_STATE(5776)] = 223600,
  [SMALL_STATE(5777)] = 223671,
  [SMALL_STATE(5778)] = 223722,
  [SMALL_STATE(5779)] = 223765,
  [SMALL_STATE(5780)] = 223808,
  [SMALL_STATE(5781)] = 223851,
  [SMALL_STATE(5782)] = 223894,
  [SMALL_STATE(5783)] = 223937,
  [SMALL_STATE(5784)] = 223998,
  [SMALL_STATE(5785)] = 224069,
  [SMALL_STATE(5786)] = 224112,
  [SMALL_STATE(5787)] = 224179,
  [SMALL_STATE(5788)] = 224222,
  [SMALL_STATE(5789)] = 224293,
  [SMALL_STATE(5790)] = 224364,
  [SMALL_STATE(5791)] = 224425,
  [SMALL_STATE(5792)] = 224496,
  [SMALL_STATE(5793)] = 224567,
  [SMALL_STATE(5794)] = 224638,
  [SMALL_STATE(5795)] = 224709,
  [SMALL_STATE(5796)] = 224752,
  [SMALL_STATE(5797)] = 224823,
  [SMALL_STATE(5798)] = 224884,
  [SMALL_STATE(5799)] = 224955,
  [SMALL_STATE(5800)] = 225026,
  [SMALL_STATE(5801)] = 225087,
  [SMALL_STATE(5802)] = 225148,
  [SMALL_STATE(5803)] = 225191,
  [SMALL_STATE(5804)] = 225262,
  [SMALL_STATE(5805)] = 225333,
  [SMALL_STATE(5806)] = 225384,
  [SMALL_STATE(5807)] = 225445,
  [SMALL_STATE(5808)] = 225506,
  [SMALL_STATE(5809)] = 225577,
  [SMALL_STATE(5810)] = 225638,
  [SMALL_STATE(5811)] = 225681,
  [SMALL_STATE(5812)] = 225742,
  [SMALL_STATE(5813)] = 225803,
  [SMALL_STATE(5814)] = 225864,
  [SMALL_STATE(5815)] = 225935,
  [SMALL_STATE(5816)] = 225996,
  [SMALL_STATE(5817)] = 226047,
  [SMALL_STATE(5818)] = 226121,
  [SMALL_STATE(5819)] = 226191,
  [SMALL_STATE(5820)] = 226261,
  [SMALL_STATE(5821)] = 226321,
  [SMALL_STATE(5822)] = 226381,
  [SMALL_STATE(5823)] = 226441,
  [SMALL_STATE(5824)] = 226511,
  [SMALL_STATE(5825)] = 226585,
  [SMALL_STATE(5826)] = 226625,
  [SMALL_STATE(5827)] = 226699,
  [SMALL_STATE(5828)] = 226773,
  [SMALL_STATE(5829)] = 226847,
  [SMALL_STATE(5830)] = 226921,
  [SMALL_STATE(5831)] = 226995,
  [SMALL_STATE(5832)] = 227069,
  [SMALL_STATE(5833)] = 227143,
  [SMALL_STATE(5834)] = 227217,
  [SMALL_STATE(5835)] = 227291,
  [SMALL_STATE(5836)] = 227361,
  [SMALL_STATE(5837)] = 227435,
  [SMALL_STATE(5838)] = 227509,
  [SMALL_STATE(5839)] = 227583,
  [SMALL_STATE(5840)] = 227653,
  [SMALL_STATE(5841)] = 227727,
  [SMALL_STATE(5842)] = 227801,
  [SMALL_STATE(5843)] = 227861,
  [SMALL_STATE(5844)] = 227899,
  [SMALL_STATE(5845)] = 227969,
  [SMALL_STATE(5846)] = 228011,
  [SMALL_STATE(5847)] = 228081,
  [SMALL_STATE(5848)] = 228141,
  [SMALL_STATE(5849)] = 228215,
  [SMALL_STATE(5850)] = 228289,
  [SMALL_STATE(5851)] = 228363,
  [SMALL_STATE(5852)] = 228439,
  [SMALL_STATE(5853)] = 228513,
  [SMALL_STATE(5854)] = 228587,
  [SMALL_STATE(5855)] = 228661,
  [SMALL_STATE(5856)] = 228705,
  [SMALL_STATE(5857)] = 228765,
  [SMALL_STATE(5858)] = 228835,
  [SMALL_STATE(5859)] = 228909,
  [SMALL_STATE(5860)] = 228983,
  [SMALL_STATE(5861)] = 229057,
  [SMALL_STATE(5862)] = 229127,
  [SMALL_STATE(5863)] = 229197,
  [SMALL_STATE(5864)] = 229241,
  [SMALL_STATE(5865)] = 229315,
  [SMALL_STATE(5866)] = 229389,
  [SMALL_STATE(5867)] = 229459,
  [SMALL_STATE(5868)] = 229497,
  [SMALL_STATE(5869)] = 229573,
  [SMALL_STATE(5870)] = 229647,
  [SMALL_STATE(5871)] = 229721,
  [SMALL_STATE(5872)] = 229791,
  [SMALL_STATE(5873)] = 229829,
  [SMALL_STATE(5874)] = 229899,
  [SMALL_STATE(5875)] = 229973,
  [SMALL_STATE(5876)] = 230049,
  [SMALL_STATE(5877)] = 230109,
  [SMALL_STATE(5878)] = 230183,
  [SMALL_STATE(5879)] = 230257,
  [SMALL_STATE(5880)] = 230307,
  [SMALL_STATE(5881)] = 230381,
  [SMALL_STATE(5882)] = 230419,
  [SMALL_STATE(5883)] = 230493,
  [SMALL_STATE(5884)] = 230563,
  [SMALL_STATE(5885)] = 230637,
  [SMALL_STATE(5886)] = 230711,
  [SMALL_STATE(5887)] = 230781,
  [SMALL_STATE(5888)] = 230819,
  [SMALL_STATE(5889)] = 230893,
  [SMALL_STATE(5890)] = 230967,
  [SMALL_STATE(5891)] = 231041,
  [SMALL_STATE(5892)] = 231115,
  [SMALL_STATE(5893)] = 231175,
  [SMALL_STATE(5894)] = 231249,
  [SMALL_STATE(5895)] = 231287,
  [SMALL_STATE(5896)] = 231361,
  [SMALL_STATE(5897)] = 231435,
  [SMALL_STATE(5898)] = 231509,
  [SMALL_STATE(5899)] = 231579,
  [SMALL_STATE(5900)] = 231649,
  [SMALL_STATE(5901)] = 231723,
  [SMALL_STATE(5902)] = 231799,
  [SMALL_STATE(5903)] = 231837,
  [SMALL_STATE(5904)] = 231874,
  [SMALL_STATE(5905)] = 231953,
  [SMALL_STATE(5906)] = 232032,
  [SMALL_STATE(5907)] = 232111,
  [SMALL_STATE(5908)] = 232190,
  [SMALL_STATE(5909)] = 232227,
  [SMALL_STATE(5910)] = 232264,
  [SMALL_STATE(5911)] = 232301,
  [SMALL_STATE(5912)] = 232380,
  [SMALL_STATE(5913)] = 232447,
  [SMALL_STATE(5914)] = 232514,
  [SMALL_STATE(5915)] = 232551,
  [SMALL_STATE(5916)] = 232630,
  [SMALL_STATE(5917)] = 232697,
  [SMALL_STATE(5918)] = 232734,
  [SMALL_STATE(5919)] = 232771,
  [SMALL_STATE(5920)] = 232808,
  [SMALL_STATE(5921)] = 232845,
  [SMALL_STATE(5922)] = 232912,
  [SMALL_STATE(5923)] = 232949,
  [SMALL_STATE(5924)] = 232986,
  [SMALL_STATE(5925)] = 233065,
  [SMALL_STATE(5926)] = 233144,
  [SMALL_STATE(5927)] = 233181,
  [SMALL_STATE(5928)] = 233218,
  [SMALL_STATE(5929)] = 233297,
  [SMALL_STATE(5930)] = 233364,
  [SMALL_STATE(5931)] = 233443,
  [SMALL_STATE(5932)] = 233480,
  [SMALL_STATE(5933)] = 233559,
  [SMALL_STATE(5934)] = 233626,
  [SMALL_STATE(5935)] = 233705,
  [SMALL_STATE(5936)] = 233784,
  [SMALL_STATE(5937)] = 233863,
  [SMALL_STATE(5938)] = 233942,
  [SMALL_STATE(5939)] = 234021,
  [SMALL_STATE(5940)] = 234100,
  [SMALL_STATE(5941)] = 234179,
  [SMALL_STATE(5942)] = 234246,
  [SMALL_STATE(5943)] = 234313,
  [SMALL_STATE(5944)] = 234392,
  [SMALL_STATE(5945)] = 234471,
  [SMALL_STATE(5946)] = 234538,
  [SMALL_STATE(5947)] = 234575,
  [SMALL_STATE(5948)] = 234612,
  [SMALL_STATE(5949)] = 234679,
  [SMALL_STATE(5950)] = 234758,
  [SMALL_STATE(5951)] = 234795,
  [SMALL_STATE(5952)] = 234832,
  [SMALL_STATE(5953)] = 234869,
  [SMALL_STATE(5954)] = 234936,
  [SMALL_STATE(5955)] = 234973,
  [SMALL_STATE(5956)] = 235010,
  [SMALL_STATE(5957)] = 235047,
  [SMALL_STATE(5958)] = 235114,
  [SMALL_STATE(5959)] = 235193,
  [SMALL_STATE(5960)] = 235260,
  [SMALL_STATE(5961)] = 235339,
  [SMALL_STATE(5962)] = 235418,
  [SMALL_STATE(5963)] = 235485,
  [SMALL_STATE(5964)] = 235552,
  [SMALL_STATE(5965)] = 235589,
  [SMALL_STATE(5966)] = 235626,
  [SMALL_STATE(5967)] = 235705,
  [SMALL_STATE(5968)] = 235784,
  [SMALL_STATE(5969)] = 235831,
  [SMALL_STATE(5970)] = 235898,
  [SMALL_STATE(5971)] = 235977,
  [SMALL_STATE(5972)] = 236056,
  [SMALL_STATE(5973)] = 236135,
  [SMALL_STATE(5974)] = 236202,
  [SMALL_STATE(5975)] = 236281,
  [SMALL_STATE(5976)] = 236348,
  [SMALL_STATE(5977)] = 236385,
  [SMALL_STATE(5978)] = 236432,
  [SMALL_STATE(5979)] = 236469,
  [SMALL_STATE(5980)] = 236548,
  [SMALL_STATE(5981)] = 236585,
  [SMALL_STATE(5982)] = 236622,
  [SMALL_STATE(5983)] = 236659,
  [SMALL_STATE(5984)] = 236738,
  [SMALL_STATE(5985)] = 236775,
  [SMALL_STATE(5986)] = 236854,
  [SMALL_STATE(5987)] = 236933,
  [SMALL_STATE(5988)] = 237012,
  [SMALL_STATE(5989)] = 237079,
  [SMALL_STATE(5990)] = 237146,
  [SMALL_STATE(5991)] = 237225,
  [SMALL_STATE(5992)] = 237304,
  [SMALL_STATE(5993)] = 237383,
  [SMALL_STATE(5994)] = 237462,
  [SMALL_STATE(5995)] = 237541,
  [SMALL_STATE(5996)] = 237620,
  [SMALL_STATE(5997)] = 237657,
  [SMALL_STATE(5998)] = 237736,
  [SMALL_STATE(5999)] = 237815,
  [SMALL_STATE(6000)] = 237894,
  [SMALL_STATE(6001)] = 237931,
  [SMALL_STATE(6002)] = 238010,
  [SMALL_STATE(6003)] = 238089,
  [SMALL_STATE(6004)] = 238156,
  [SMALL_STATE(6005)] = 238235,
  [SMALL_STATE(6006)] = 238314,
  [SMALL_STATE(6007)] = 238393,
  [SMALL_STATE(6008)] = 238472,
  [SMALL_STATE(6009)] = 238539,
  [SMALL_STATE(6010)] = 238618,
  [SMALL_STATE(6011)] = 238697,
  [SMALL_STATE(6012)] = 238776,
  [SMALL_STATE(6013)] = 238855,
  [SMALL_STATE(6014)] = 238934,
  [SMALL_STATE(6015)] = 239013,
  [SMALL_STATE(6016)] = 239080,
  [SMALL_STATE(6017)] = 239159,
  [SMALL_STATE(6018)] = 239238,
  [SMALL_STATE(6019)] = 239305,
  [SMALL_STATE(6020)] = 239384,
  [SMALL_STATE(6021)] = 239463,
  [SMALL_STATE(6022)] = 239542,
  [SMALL_STATE(6023)] = 239621,
  [SMALL_STATE(6024)] = 239700,
  [SMALL_STATE(6025)] = 239767,
  [SMALL_STATE(6026)] = 239846,
  [SMALL_STATE(6027)] = 239925,
  [SMALL_STATE(6028)] = 239992,
  [SMALL_STATE(6029)] = 240071,
  [SMALL_STATE(6030)] = 240138,
  [SMALL_STATE(6031)] = 240217,
  [SMALL_STATE(6032)] = 240296,
  [SMALL_STATE(6033)] = 240375,
  [SMALL_STATE(6034)] = 240442,
  [SMALL_STATE(6035)] = 240521,
  [SMALL_STATE(6036)] = 240600,
  [SMALL_STATE(6037)] = 240669,
  [SMALL_STATE(6038)] = 240736,
  [SMALL_STATE(6039)] = 240815,
  [SMALL_STATE(6040)] = 240894,
  [SMALL_STATE(6041)] = 240973,
  [SMALL_STATE(6042)] = 241052,
  [SMALL_STATE(6043)] = 241131,
  [SMALL_STATE(6044)] = 241210,
  [SMALL_STATE(6045)] = 241279,
  [SMALL_STATE(6046)] = 241358,
  [SMALL_STATE(6047)] = 241425,
  [SMALL_STATE(6048)] = 241504,
  [SMALL_STATE(6049)] = 241571,
  [SMALL_STATE(6050)] = 241650,
  [SMALL_STATE(6051)] = 241687,
  [SMALL_STATE(6052)] = 241754,
  [SMALL_STATE(6053)] = 241803,
  [SMALL_STATE(6054)] = 241852,
  [SMALL_STATE(6055)] = 241921,
  [SMALL_STATE(6056)] = 241966,
  [SMALL_STATE(6057)] = 242045,
  [SMALL_STATE(6058)] = 242124,
  [SMALL_STATE(6059)] = 242203,
  [SMALL_STATE(6060)] = 242282,
  [SMALL_STATE(6061)] = 242361,
  [SMALL_STATE(6062)] = 242440,
  [SMALL_STATE(6063)] = 242519,
  [SMALL_STATE(6064)] = 242588,
  [SMALL_STATE(6065)] = 242633,
  [SMALL_STATE(6066)] = 242691,
  [SMALL_STATE(6067)] = 242753,
  [SMALL_STATE(6068)] = 242829,
  [SMALL_STATE(6069)] = 242877,
  [SMALL_STATE(6070)] = 242939,
  [SMALL_STATE(6071)] = 243015,
  [SMALL_STATE(6072)] = 243059,
  [SMALL_STATE(6073)] = 243135,
  [SMALL_STATE(6074)] = 243193,
  [SMALL_STATE(6075)] = 243269,
  [SMALL_STATE(6076)] = 243309,
  [SMALL_STATE(6077)] = 243385,
  [SMALL_STATE(6078)] = 243461,
  [SMALL_STATE(6079)] = 243537,
  [SMALL_STATE(6080)] = 243613,
  [SMALL_STATE(6081)] = 243689,
  [SMALL_STATE(6082)] = 243727,
  [SMALL_STATE(6083)] = 243767,
  [SMALL_STATE(6084)] = 243829,
  [SMALL_STATE(6085)] = 243905,
  [SMALL_STATE(6086)] = 243945,
  [SMALL_STATE(6087)] = 243985,
  [SMALL_STATE(6088)] = 244025,
  [SMALL_STATE(6089)] = 244065,
  [SMALL_STATE(6090)] = 244141,
  [SMALL_STATE(6091)] = 244187,
  [SMALL_STATE(6092)] = 244263,
  [SMALL_STATE(6093)] = 244339,
  [SMALL_STATE(6094)] = 244401,
  [SMALL_STATE(6095)] = 244477,
  [SMALL_STATE(6096)] = 244517,
  [SMALL_STATE(6097)] = 244563,
  [SMALL_STATE(6098)] = 244639,
  [SMALL_STATE(6099)] = 244701,
  [SMALL_STATE(6100)] = 244777,
  [SMALL_STATE(6101)] = 244853,
  [SMALL_STATE(6102)] = 244929,
  [SMALL_STATE(6103)] = 245005,
  [SMALL_STATE(6104)] = 245045,
  [SMALL_STATE(6105)] = 245103,
  [SMALL_STATE(6106)] = 245161,
  [SMALL_STATE(6107)] = 245237,
  [SMALL_STATE(6108)] = 245299,
  [SMALL_STATE(6109)] = 245366,
  [SMALL_STATE(6110)] = 245427,
  [SMALL_STATE(6111)] = 245488,
  [SMALL_STATE(6112)] = 245549,
  [SMALL_STATE(6113)] = 245588,
  [SMALL_STATE(6114)] = 245655,
  [SMALL_STATE(6115)] = 245722,
  [SMALL_STATE(6116)] = 245761,
  [SMALL_STATE(6117)] = 245800,
  [SMALL_STATE(6118)] = 245861,
  [SMALL_STATE(6119)] = 245900,
  [SMALL_STATE(6120)] = 245967,
  [SMALL_STATE(6121)] = 246028,
  [SMALL_STATE(6122)] = 246067,
  [SMALL_STATE(6123)] = 246106,
  [SMALL_STATE(6124)] = 246145,
  [SMALL_STATE(6125)] = 246184,
  [SMALL_STATE(6126)] = 246245,
  [SMALL_STATE(6127)] = 246312,
  [SMALL_STATE(6128)] = 246351,
  [SMALL_STATE(6129)] = 246418,
  [SMALL_STATE(6130)] = 246485,
  [SMALL_STATE(6131)] = 246524,
  [SMALL_STATE(6132)] = 246563,
  [SMALL_STATE(6133)] = 246630,
  [SMALL_STATE(6134)] = 246669,
  [SMALL_STATE(6135)] = 246707,
  [SMALL_STATE(6136)] = 246767,
  [SMALL_STATE(6137)] = 246827,
  [SMALL_STATE(6138)] = 246887,
  [SMALL_STATE(6139)] = 246947,
  [SMALL_STATE(6140)] = 247005,
  [SMALL_STATE(6141)] = 247065,
  [SMALL_STATE(6142)] = 247099,
  [SMALL_STATE(6143)] = 247157,
  [SMALL_STATE(6144)] = 247191,
  [SMALL_STATE(6145)] = 247251,
  [SMALL_STATE(6146)] = 247311,
  [SMALL_STATE(6147)] = 247371,
  [SMALL_STATE(6148)] = 247429,
  [SMALL_STATE(6149)] = 247489,
  [SMALL_STATE(6150)] = 247549,
  [SMALL_STATE(6151)] = 247609,
  [SMALL_STATE(6152)] = 247669,
  [SMALL_STATE(6153)] = 247729,
  [SMALL_STATE(6154)] = 247789,
  [SMALL_STATE(6155)] = 247849,
  [SMALL_STATE(6156)] = 247909,
  [SMALL_STATE(6157)] = 247969,
  [SMALL_STATE(6158)] = 248029,
  [SMALL_STATE(6159)] = 248087,
  [SMALL_STATE(6160)] = 248147,
  [SMALL_STATE(6161)] = 248207,
  [SMALL_STATE(6162)] = 248265,
  [SMALL_STATE(6163)] = 248325,
  [SMALL_STATE(6164)] = 248385,
  [SMALL_STATE(6165)] = 248445,
  [SMALL_STATE(6166)] = 248505,
  [SMALL_STATE(6167)] = 248542,
  [SMALL_STATE(6168)] = 248603,
  [SMALL_STATE(6169)] = 248662,
  [SMALL_STATE(6170)] = 248721,
  [SMALL_STATE(6171)] = 248782,
  [SMALL_STATE(6172)] = 248843,
  [SMALL_STATE(6173)] = 248902,
  [SMALL_STATE(6174)] = 248961,
  [SMALL_STATE(6175)] = 249022,
  [SMALL_STATE(6176)] = 249059,
  [SMALL_STATE(6177)] = 249118,
  [SMALL_STATE(6178)] = 249177,
  [SMALL_STATE(6179)] = 249238,
  [SMALL_STATE(6180)] = 249297,
  [SMALL_STATE(6181)] = 249356,
  [SMALL_STATE(6182)] = 249415,
  [SMALL_STATE(6183)] = 249476,
  [SMALL_STATE(6184)] = 249537,
  [SMALL_STATE(6185)] = 249574,
  [SMALL_STATE(6186)] = 249633,
  [SMALL_STATE(6187)] = 249694,
  [SMALL_STATE(6188)] = 249753,
  [SMALL_STATE(6189)] = 249814,
  [SMALL_STATE(6190)] = 249873,
  [SMALL_STATE(6191)] = 249931,
  [SMALL_STATE(6192)] = 249989,
  [SMALL_STATE(6193)] = 250037,
  [SMALL_STATE(6194)] = 250085,
  [SMALL_STATE(6195)] = 250119,
  [SMALL_STATE(6196)] = 250177,
  [SMALL_STATE(6197)] = 250225,
  [SMALL_STATE(6198)] = 250283,
  [SMALL_STATE(6199)] = 250337,
  [SMALL_STATE(6200)] = 250395,
  [SMALL_STATE(6201)] = 250453,
  [SMALL_STATE(6202)] = 250524,
  [SMALL_STATE(6203)] = 250595,
  [SMALL_STATE(6204)] = 250632,
  [SMALL_STATE(6205)] = 250679,
  [SMALL_STATE(6206)] = 250750,
  [SMALL_STATE(6207)] = 250821,
  [SMALL_STATE(6208)] = 250877,
  [SMALL_STATE(6209)] = 250929,
  [SMALL_STATE(6210)] = 250981,
  [SMALL_STATE(6211)] = 251033,
  [SMALL_STATE(6212)] = 251085,
  [SMALL_STATE(6213)] = 251137,
  [SMALL_STATE(6214)] = 251189,
  [SMALL_STATE(6215)] = 251241,
  [SMALL_STATE(6216)] = 251293,
  [SMALL_STATE(6217)] = 251345,
  [SMALL_STATE(6218)] = 251397,
  [SMALL_STATE(6219)] = 251449,
  [SMALL_STATE(6220)] = 251501,
  [SMALL_STATE(6221)] = 251553,
  [SMALL_STATE(6222)] = 251609,
  [SMALL_STATE(6223)] = 251665,
  [SMALL_STATE(6224)] = 251721,
  [SMALL_STATE(6225)] = 251773,
  [SMALL_STATE(6226)] = 251825,
  [SMALL_STATE(6227)] = 251877,
  [SMALL_STATE(6228)] = 251933,
  [SMALL_STATE(6229)] = 251985,
  [SMALL_STATE(6230)] = 252037,
  [SMALL_STATE(6231)] = 252089,
  [SMALL_STATE(6232)] = 252145,
  [SMALL_STATE(6233)] = 252201,
  [SMALL_STATE(6234)] = 252239,
  [SMALL_STATE(6235)] = 252291,
  [SMALL_STATE(6236)] = 252343,
  [SMALL_STATE(6237)] = 252381,
  [SMALL_STATE(6238)] = 252433,
  [SMALL_STATE(6239)] = 252485,
  [SMALL_STATE(6240)] = 252537,
  [SMALL_STATE(6241)] = 252589,
  [SMALL_STATE(6242)] = 252641,
  [SMALL_STATE(6243)] = 252687,
  [SMALL_STATE(6244)] = 252721,
  [SMALL_STATE(6245)] = 252773,
  [SMALL_STATE(6246)] = 252825,
  [SMALL_STATE(6247)] = 252881,
  [SMALL_STATE(6248)] = 252937,
  [SMALL_STATE(6249)] = 252989,
  [SMALL_STATE(6250)] = 253041,
  [SMALL_STATE(6251)] = 253093,
  [SMALL_STATE(6252)] = 253163,
  [SMALL_STATE(6253)] = 253215,
  [SMALL_STATE(6254)] = 253267,
  [SMALL_STATE(6255)] = 253323,
  [SMALL_STATE(6256)] = 253375,
  [SMALL_STATE(6257)] = 253427,
  [SMALL_STATE(6258)] = 253497,
  [SMALL_STATE(6259)] = 253543,
  [SMALL_STATE(6260)] = 253595,
  [SMALL_STATE(6261)] = 253647,
  [SMALL_STATE(6262)] = 253699,
  [SMALL_STATE(6263)] = 253751,
  [SMALL_STATE(6264)] = 253803,
  [SMALL_STATE(6265)] = 253859,
  [SMALL_STATE(6266)] = 253915,
  [SMALL_STATE(6267)] = 253967,
  [SMALL_STATE(6268)] = 254019,
  [SMALL_STATE(6269)] = 254071,
  [SMALL_STATE(6270)] = 254141,
  [SMALL_STATE(6271)] = 254193,
  [SMALL_STATE(6272)] = 254245,
  [SMALL_STATE(6273)] = 254304,
  [SMALL_STATE(6274)] = 254363,
  [SMALL_STATE(6275)] = 254422,
  [SMALL_STATE(6276)] = 254481,
  [SMALL_STATE(6277)] = 254526,
  [SMALL_STATE(6278)] = 254585,
  [SMALL_STATE(6279)] = 254644,
  [SMALL_STATE(6280)] = 254703,
  [SMALL_STATE(6281)] = 254762,
  [SMALL_STATE(6282)] = 254821,
  [SMALL_STATE(6283)] = 254880,
  [SMALL_STATE(6284)] = 254913,
  [SMALL_STATE(6285)] = 254972,
  [SMALL_STATE(6286)] = 255031,
  [SMALL_STATE(6287)] = 255090,
  [SMALL_STATE(6288)] = 255149,
  [SMALL_STATE(6289)] = 255208,
  [SMALL_STATE(6290)] = 255267,
  [SMALL_STATE(6291)] = 255326,
  [SMALL_STATE(6292)] = 255385,
  [SMALL_STATE(6293)] = 255444,
  [SMALL_STATE(6294)] = 255503,
  [SMALL_STATE(6295)] = 255562,
  [SMALL_STATE(6296)] = 255621,
  [SMALL_STATE(6297)] = 255680,
  [SMALL_STATE(6298)] = 255739,
  [SMALL_STATE(6299)] = 255798,
  [SMALL_STATE(6300)] = 255857,
  [SMALL_STATE(6301)] = 255916,
  [SMALL_STATE(6302)] = 255975,
  [SMALL_STATE(6303)] = 256034,
  [SMALL_STATE(6304)] = 256093,
  [SMALL_STATE(6305)] = 256152,
  [SMALL_STATE(6306)] = 256211,
  [SMALL_STATE(6307)] = 256270,
  [SMALL_STATE(6308)] = 256329,
  [SMALL_STATE(6309)] = 256388,
  [SMALL_STATE(6310)] = 256447,
  [SMALL_STATE(6311)] = 256506,
  [SMALL_STATE(6312)] = 256565,
  [SMALL_STATE(6313)] = 256624,
  [SMALL_STATE(6314)] = 256683,
  [SMALL_STATE(6315)] = 256742,
  [SMALL_STATE(6316)] = 256801,
  [SMALL_STATE(6317)] = 256860,
  [SMALL_STATE(6318)] = 256903,
  [SMALL_STATE(6319)] = 256962,
  [SMALL_STATE(6320)] = 257021,
  [SMALL_STATE(6321)] = 257080,
  [SMALL_STATE(6322)] = 257139,
  [SMALL_STATE(6323)] = 257182,
  [SMALL_STATE(6324)] = 257241,
  [SMALL_STATE(6325)] = 257300,
  [SMALL_STATE(6326)] = 257359,
  [SMALL_STATE(6327)] = 257418,
  [SMALL_STATE(6328)] = 257481,
  [SMALL_STATE(6329)] = 257540,
  [SMALL_STATE(6330)] = 257599,
  [SMALL_STATE(6331)] = 257658,
  [SMALL_STATE(6332)] = 257717,
  [SMALL_STATE(6333)] = 257776,
  [SMALL_STATE(6334)] = 257835,
  [SMALL_STATE(6335)] = 257894,
  [SMALL_STATE(6336)] = 257953,
  [SMALL_STATE(6337)] = 258012,
  [SMALL_STATE(6338)] = 258067,
  [SMALL_STATE(6339)] = 258126,
  [SMALL_STATE(6340)] = 258185,
  [SMALL_STATE(6341)] = 258244,
  [SMALL_STATE(6342)] = 258303,
  [SMALL_STATE(6343)] = 258362,
  [SMALL_STATE(6344)] = 258421,
  [SMALL_STATE(6345)] = 258480,
  [SMALL_STATE(6346)] = 258539,
  [SMALL_STATE(6347)] = 258594,
  [SMALL_STATE(6348)] = 258653,
  [SMALL_STATE(6349)] = 258712,
  [SMALL_STATE(6350)] = 258771,
  [SMALL_STATE(6351)] = 258830,
  [SMALL_STATE(6352)] = 258889,
  [SMALL_STATE(6353)] = 258948,
  [SMALL_STATE(6354)] = 259007,
  [SMALL_STATE(6355)] = 259050,
  [SMALL_STATE(6356)] = 259109,
  [SMALL_STATE(6357)] = 259168,
  [SMALL_STATE(6358)] = 259227,
  [SMALL_STATE(6359)] = 259286,
  [SMALL_STATE(6360)] = 259345,
  [SMALL_STATE(6361)] = 259404,
  [SMALL_STATE(6362)] = 259463,
  [SMALL_STATE(6363)] = 259522,
  [SMALL_STATE(6364)] = 259551,
  [SMALL_STATE(6365)] = 259580,
  [SMALL_STATE(6366)] = 259639,
  [SMALL_STATE(6367)] = 259698,
  [SMALL_STATE(6368)] = 259757,
  [SMALL_STATE(6369)] = 259816,
  [SMALL_STATE(6370)] = 259875,
  [SMALL_STATE(6371)] = 259934,
  [SMALL_STATE(6372)] = 259989,
  [SMALL_STATE(6373)] = 260048,
  [SMALL_STATE(6374)] = 260107,
  [SMALL_STATE(6375)] = 260166,
  [SMALL_STATE(6376)] = 260225,
  [SMALL_STATE(6377)] = 260284,
  [SMALL_STATE(6378)] = 260343,
  [SMALL_STATE(6379)] = 260402,
  [SMALL_STATE(6380)] = 260461,
  [SMALL_STATE(6381)] = 260520,
  [SMALL_STATE(6382)] = 260579,
  [SMALL_STATE(6383)] = 260638,
  [SMALL_STATE(6384)] = 260702,
  [SMALL_STATE(6385)] = 260730,
  [SMALL_STATE(6386)] = 260794,
  [SMALL_STATE(6387)] = 260844,
  [SMALL_STATE(6388)] = 260884,
  [SMALL_STATE(6389)] = 260924,
  [SMALL_STATE(6390)] = 260964,
  [SMALL_STATE(6391)] = 261028,
  [SMALL_STATE(6392)] = 261078,
  [SMALL_STATE(6393)] = 261118,
  [SMALL_STATE(6394)] = 261182,
  [SMALL_STATE(6395)] = 261234,
  [SMALL_STATE(6396)] = 261262,
  [SMALL_STATE(6397)] = 261326,
  [SMALL_STATE(6398)] = 261366,
  [SMALL_STATE(6399)] = 261416,
  [SMALL_STATE(6400)] = 261474,
  [SMALL_STATE(6401)] = 261538,
  [SMALL_STATE(6402)] = 261578,
  [SMALL_STATE(6403)] = 261628,
  [SMALL_STATE(6404)] = 261662,
  [SMALL_STATE(6405)] = 261712,
  [SMALL_STATE(6406)] = 261748,
  [SMALL_STATE(6407)] = 261788,
  [SMALL_STATE(6408)] = 261838,
  [SMALL_STATE(6409)] = 261878,
  [SMALL_STATE(6410)] = 261920,
  [SMALL_STATE(6411)] = 261964,
  [SMALL_STATE(6412)] = 262004,
  [SMALL_STATE(6413)] = 262050,
  [SMALL_STATE(6414)] = 262096,
  [SMALL_STATE(6415)] = 262144,
  [SMALL_STATE(6416)] = 262172,
  [SMALL_STATE(6417)] = 262212,
  [SMALL_STATE(6418)] = 262262,
  [SMALL_STATE(6419)] = 262294,
  [SMALL_STATE(6420)] = 262334,
  [SMALL_STATE(6421)] = 262362,
  [SMALL_STATE(6422)] = 262420,
  [SMALL_STATE(6423)] = 262460,
  [SMALL_STATE(6424)] = 262488,
  [SMALL_STATE(6425)] = 262516,
  [SMALL_STATE(6426)] = 262544,
  [SMALL_STATE(6427)] = 262594,
  [SMALL_STATE(6428)] = 262630,
  [SMALL_STATE(6429)] = 262694,
  [SMALL_STATE(6430)] = 262752,
  [SMALL_STATE(6431)] = 262804,
  [SMALL_STATE(6432)] = 262844,
  [SMALL_STATE(6433)] = 262884,
  [SMALL_STATE(6434)] = 262936,
  [SMALL_STATE(6435)] = 262976,
  [SMALL_STATE(6436)] = 263016,
  [SMALL_STATE(6437)] = 263056,
  [SMALL_STATE(6438)] = 263106,
  [SMALL_STATE(6439)] = 263156,
  [SMALL_STATE(6440)] = 263196,
  [SMALL_STATE(6441)] = 263236,
  [SMALL_STATE(6442)] = 263294,
  [SMALL_STATE(6443)] = 263334,
  [SMALL_STATE(6444)] = 263384,
  [SMALL_STATE(6445)] = 263424,
  [SMALL_STATE(6446)] = 263464,
  [SMALL_STATE(6447)] = 263514,
  [SMALL_STATE(6448)] = 263564,
  [SMALL_STATE(6449)] = 263604,
  [SMALL_STATE(6450)] = 263644,
  [SMALL_STATE(6451)] = 263696,
  [SMALL_STATE(6452)] = 263754,
  [SMALL_STATE(6453)] = 263794,
  [SMALL_STATE(6454)] = 263834,
  [SMALL_STATE(6455)] = 263898,
  [SMALL_STATE(6456)] = 263938,
  [SMALL_STATE(6457)] = 263978,
  [SMALL_STATE(6458)] = 264028,
  [SMALL_STATE(6459)] = 264068,
  [SMALL_STATE(6460)] = 264108,
  [SMALL_STATE(6461)] = 264148,
  [SMALL_STATE(6462)] = 264188,
  [SMALL_STATE(6463)] = 264238,
  [SMALL_STATE(6464)] = 264288,
  [SMALL_STATE(6465)] = 264338,
  [SMALL_STATE(6466)] = 264388,
  [SMALL_STATE(6467)] = 264432,
  [SMALL_STATE(6468)] = 264472,
  [SMALL_STATE(6469)] = 264500,
  [SMALL_STATE(6470)] = 264540,
  [SMALL_STATE(6471)] = 264580,
  [SMALL_STATE(6472)] = 264644,
  [SMALL_STATE(6473)] = 264694,
  [SMALL_STATE(6474)] = 264752,
  [SMALL_STATE(6475)] = 264792,
  [SMALL_STATE(6476)] = 264856,
  [SMALL_STATE(6477)] = 264920,
  [SMALL_STATE(6478)] = 264960,
  [SMALL_STATE(6479)] = 265000,
  [SMALL_STATE(6480)] = 265040,
  [SMALL_STATE(6481)] = 265090,
  [SMALL_STATE(6482)] = 265140,
  [SMALL_STATE(6483)] = 265180,
  [SMALL_STATE(6484)] = 265220,
  [SMALL_STATE(6485)] = 265278,
  [SMALL_STATE(6486)] = 265342,
  [SMALL_STATE(6487)] = 265378,
  [SMALL_STATE(6488)] = 265406,
  [SMALL_STATE(6489)] = 265456,
  [SMALL_STATE(6490)] = 265520,
  [SMALL_STATE(6491)] = 265584,
  [SMALL_STATE(6492)] = 265624,
  [SMALL_STATE(6493)] = 265682,
  [SMALL_STATE(6494)] = 265710,
  [SMALL_STATE(6495)] = 265768,
  [SMALL_STATE(6496)] = 265818,
  [SMALL_STATE(6497)] = 265845,
  [SMALL_STATE(6498)] = 265880,
  [SMALL_STATE(6499)] = 265911,
  [SMALL_STATE(6500)] = 265950,
  [SMALL_STATE(6501)] = 266001,
  [SMALL_STATE(6502)] = 266046,
  [SMALL_STATE(6503)] = 266085,
  [SMALL_STATE(6504)] = 266120,
  [SMALL_STATE(6505)] = 266167,
  [SMALL_STATE(6506)] = 266212,
  [SMALL_STATE(6507)] = 266239,
  [SMALL_STATE(6508)] = 266266,
  [SMALL_STATE(6509)] = 266305,
  [SMALL_STATE(6510)] = 266344,
  [SMALL_STATE(6511)] = 266371,
  [SMALL_STATE(6512)] = 266410,
  [SMALL_STATE(6513)] = 266437,
  [SMALL_STATE(6514)] = 266476,
  [SMALL_STATE(6515)] = 266515,
  [SMALL_STATE(6516)] = 266542,
  [SMALL_STATE(6517)] = 266581,
  [SMALL_STATE(6518)] = 266616,
  [SMALL_STATE(6519)] = 266643,
  [SMALL_STATE(6520)] = 266682,
  [SMALL_STATE(6521)] = 266717,
  [SMALL_STATE(6522)] = 266756,
  [SMALL_STATE(6523)] = 266795,
  [SMALL_STATE(6524)] = 266834,
  [SMALL_STATE(6525)] = 266873,
  [SMALL_STATE(6526)] = 266912,
  [SMALL_STATE(6527)] = 266957,
  [SMALL_STATE(6528)] = 267008,
  [SMALL_STATE(6529)] = 267053,
  [SMALL_STATE(6530)] = 267092,
  [SMALL_STATE(6531)] = 267119,
  [SMALL_STATE(6532)] = 267158,
  [SMALL_STATE(6533)] = 267215,
  [SMALL_STATE(6534)] = 267242,
  [SMALL_STATE(6535)] = 267289,
  [SMALL_STATE(6536)] = 267316,
  [SMALL_STATE(6537)] = 267361,
  [SMALL_STATE(6538)] = 267396,
  [SMALL_STATE(6539)] = 267427,
  [SMALL_STATE(6540)] = 267466,
  [SMALL_STATE(6541)] = 267505,
  [SMALL_STATE(6542)] = 267562,
  [SMALL_STATE(6543)] = 267597,
  [SMALL_STATE(6544)] = 267626,
  [SMALL_STATE(6545)] = 267657,
  [SMALL_STATE(6546)] = 267696,
  [SMALL_STATE(6547)] = 267743,
  [SMALL_STATE(6548)] = 267792,
  [SMALL_STATE(6549)] = 267819,
  [SMALL_STATE(6550)] = 267866,
  [SMALL_STATE(6551)] = 267893,
  [SMALL_STATE(6552)] = 267938,
  [SMALL_STATE(6553)] = 267977,
  [SMALL_STATE(6554)] = 268008,
  [SMALL_STATE(6555)] = 268059,
  [SMALL_STATE(6556)] = 268110,
  [SMALL_STATE(6557)] = 268137,
  [SMALL_STATE(6558)] = 268172,
  [SMALL_STATE(6559)] = 268219,
  [SMALL_STATE(6560)] = 268246,
  [SMALL_STATE(6561)] = 268281,
  [SMALL_STATE(6562)] = 268320,
  [SMALL_STATE(6563)] = 268351,
  [SMALL_STATE(6564)] = 268378,
  [SMALL_STATE(6565)] = 268405,
  [SMALL_STATE(6566)] = 268440,
  [SMALL_STATE(6567)] = 268475,
  [SMALL_STATE(6568)] = 268502,
  [SMALL_STATE(6569)] = 268539,
  [SMALL_STATE(6570)] = 268578,
  [SMALL_STATE(6571)] = 268625,
  [SMALL_STATE(6572)] = 268666,
  [SMALL_STATE(6573)] = 268693,
  [SMALL_STATE(6574)] = 268740,
  [SMALL_STATE(6575)] = 268767,
  [SMALL_STATE(6576)] = 268812,
  [SMALL_STATE(6577)] = 268839,
  [SMALL_STATE(6578)] = 268886,
  [SMALL_STATE(6579)] = 268931,
  [SMALL_STATE(6580)] = 268960,
  [SMALL_STATE(6581)] = 268987,
  [SMALL_STATE(6582)] = 269022,
  [SMALL_STATE(6583)] = 269071,
  [SMALL_STATE(6584)] = 269118,
  [SMALL_STATE(6585)] = 269163,
  [SMALL_STATE(6586)] = 269202,
  [SMALL_STATE(6587)] = 269237,
  [SMALL_STATE(6588)] = 269276,
  [SMALL_STATE(6589)] = 269303,
  [SMALL_STATE(6590)] = 269330,
  [SMALL_STATE(6591)] = 269387,
  [SMALL_STATE(6592)] = 269414,
  [SMALL_STATE(6593)] = 269441,
  [SMALL_STATE(6594)] = 269484,
  [SMALL_STATE(6595)] = 269511,
  [SMALL_STATE(6596)] = 269538,
  [SMALL_STATE(6597)] = 269569,
  [SMALL_STATE(6598)] = 269614,
  [SMALL_STATE(6599)] = 269643,
  [SMALL_STATE(6600)] = 269674,
  [SMALL_STATE(6601)] = 269719,
  [SMALL_STATE(6602)] = 269746,
  [SMALL_STATE(6603)] = 269789,
  [SMALL_STATE(6604)] = 269834,
  [SMALL_STATE(6605)] = 269879,
  [SMALL_STATE(6606)] = 269906,
  [SMALL_STATE(6607)] = 269953,
  [SMALL_STATE(6608)] = 269988,
  [SMALL_STATE(6609)] = 270023,
  [SMALL_STATE(6610)] = 270068,
  [SMALL_STATE(6611)] = 270099,
  [SMALL_STATE(6612)] = 270126,
  [SMALL_STATE(6613)] = 270173,
  [SMALL_STATE(6614)] = 270202,
  [SMALL_STATE(6615)] = 270235,
  [SMALL_STATE(6616)] = 270270,
  [SMALL_STATE(6617)] = 270315,
  [SMALL_STATE(6618)] = 270350,
  [SMALL_STATE(6619)] = 270385,
  [SMALL_STATE(6620)] = 270420,
  [SMALL_STATE(6621)] = 270455,
  [SMALL_STATE(6622)] = 270512,
  [SMALL_STATE(6623)] = 270569,
  [SMALL_STATE(6624)] = 270614,
  [SMALL_STATE(6625)] = 270661,
  [SMALL_STATE(6626)] = 270696,
  [SMALL_STATE(6627)] = 270743,
  [SMALL_STATE(6628)] = 270800,
  [SMALL_STATE(6629)] = 270839,
  [SMALL_STATE(6630)] = 270874,
  [SMALL_STATE(6631)] = 270921,
  [SMALL_STATE(6632)] = 270966,
  [SMALL_STATE(6633)] = 270993,
  [SMALL_STATE(6634)] = 271020,
  [SMALL_STATE(6635)] = 271056,
  [SMALL_STATE(6636)] = 271108,
  [SMALL_STATE(6637)] = 271138,
  [SMALL_STATE(6638)] = 271174,
  [SMALL_STATE(6639)] = 271210,
  [SMALL_STATE(6640)] = 271246,
  [SMALL_STATE(6641)] = 271276,
  [SMALL_STATE(6642)] = 271306,
  [SMALL_STATE(6643)] = 271336,
  [SMALL_STATE(6644)] = 271372,
  [SMALL_STATE(6645)] = 271408,
  [SMALL_STATE(6646)] = 271450,
  [SMALL_STATE(6647)] = 271486,
  [SMALL_STATE(6648)] = 271522,
  [SMALL_STATE(6649)] = 271547,
  [SMALL_STATE(6650)] = 271572,
  [SMALL_STATE(6651)] = 271597,
  [SMALL_STATE(6652)] = 271646,
  [SMALL_STATE(6653)] = 271695,
  [SMALL_STATE(6654)] = 271720,
  [SMALL_STATE(6655)] = 271751,
  [SMALL_STATE(6656)] = 271800,
  [SMALL_STATE(6657)] = 271849,
  [SMALL_STATE(6658)] = 271880,
  [SMALL_STATE(6659)] = 271931,
  [SMALL_STATE(6660)] = 271980,
  [SMALL_STATE(6661)] = 272029,
  [SMALL_STATE(6662)] = 272078,
  [SMALL_STATE(6663)] = 272109,
  [SMALL_STATE(6664)] = 272146,
  [SMALL_STATE(6665)] = 272183,
  [SMALL_STATE(6666)] = 272220,
  [SMALL_STATE(6667)] = 272269,
  [SMALL_STATE(6668)] = 272310,
  [SMALL_STATE(6669)] = 272347,
  [SMALL_STATE(6670)] = 272378,
  [SMALL_STATE(6671)] = 272427,
  [SMALL_STATE(6672)] = 272476,
  [SMALL_STATE(6673)] = 272525,
  [SMALL_STATE(6674)] = 272550,
  [SMALL_STATE(6675)] = 272587,
  [SMALL_STATE(6676)] = 272624,
  [SMALL_STATE(6677)] = 272661,
  [SMALL_STATE(6678)] = 272698,
  [SMALL_STATE(6679)] = 272747,
  [SMALL_STATE(6680)] = 272784,
  [SMALL_STATE(6681)] = 272809,
  [SMALL_STATE(6682)] = 272858,
  [SMALL_STATE(6683)] = 272883,
  [SMALL_STATE(6684)] = 272908,
  [SMALL_STATE(6685)] = 272933,
  [SMALL_STATE(6686)] = 272964,
  [SMALL_STATE(6687)] = 272989,
  [SMALL_STATE(6688)] = 273038,
  [SMALL_STATE(6689)] = 273087,
  [SMALL_STATE(6690)] = 273112,
  [SMALL_STATE(6691)] = 273147,
  [SMALL_STATE(6692)] = 273196,
  [SMALL_STATE(6693)] = 273221,
  [SMALL_STATE(6694)] = 273270,
  [SMALL_STATE(6695)] = 273319,
  [SMALL_STATE(6696)] = 273362,
  [SMALL_STATE(6697)] = 273411,
  [SMALL_STATE(6698)] = 273436,
  [SMALL_STATE(6699)] = 273461,
  [SMALL_STATE(6700)] = 273510,
  [SMALL_STATE(6701)] = 273547,
  [SMALL_STATE(6702)] = 273584,
  [SMALL_STATE(6703)] = 273621,
  [SMALL_STATE(6704)] = 273670,
  [SMALL_STATE(6705)] = 273719,
  [SMALL_STATE(6706)] = 273744,
  [SMALL_STATE(6707)] = 273781,
  [SMALL_STATE(6708)] = 273830,
  [SMALL_STATE(6709)] = 273867,
  [SMALL_STATE(6710)] = 273910,
  [SMALL_STATE(6711)] = 273935,
  [SMALL_STATE(6712)] = 273972,
  [SMALL_STATE(6713)] = 273997,
  [SMALL_STATE(6714)] = 274034,
  [SMALL_STATE(6715)] = 274083,
  [SMALL_STATE(6716)] = 274126,
  [SMALL_STATE(6717)] = 274175,
  [SMALL_STATE(6718)] = 274200,
  [SMALL_STATE(6719)] = 274225,
  [SMALL_STATE(6720)] = 274250,
  [SMALL_STATE(6721)] = 274291,
  [SMALL_STATE(6722)] = 274334,
  [SMALL_STATE(6723)] = 274383,
  [SMALL_STATE(6724)] = 274432,
  [SMALL_STATE(6725)] = 274457,
  [SMALL_STATE(6726)] = 274506,
  [SMALL_STATE(6727)] = 274555,
  [SMALL_STATE(6728)] = 274604,
  [SMALL_STATE(6729)] = 274644,
  [SMALL_STATE(6730)] = 274680,
  [SMALL_STATE(6731)] = 274720,
  [SMALL_STATE(6732)] = 274760,
  [SMALL_STATE(6733)] = 274782,
  [SMALL_STATE(6734)] = 274806,
  [SMALL_STATE(6735)] = 274830,
  [SMALL_STATE(6736)] = 274870,
  [SMALL_STATE(6737)] = 274910,
  [SMALL_STATE(6738)] = 274950,
  [SMALL_STATE(6739)] = 274980,
  [SMALL_STATE(6740)] = 275002,
  [SMALL_STATE(6741)] = 275026,
  [SMALL_STATE(6742)] = 275056,
  [SMALL_STATE(6743)] = 275096,
  [SMALL_STATE(6744)] = 275136,
  [SMALL_STATE(6745)] = 275166,
  [SMALL_STATE(6746)] = 275192,
  [SMALL_STATE(6747)] = 275232,
  [SMALL_STATE(6748)] = 275262,
  [SMALL_STATE(6749)] = 275292,
  [SMALL_STATE(6750)] = 275318,
  [SMALL_STATE(6751)] = 275358,
  [SMALL_STATE(6752)] = 275398,
  [SMALL_STATE(6753)] = 275420,
  [SMALL_STATE(6754)] = 275450,
  [SMALL_STATE(6755)] = 275486,
  [SMALL_STATE(6756)] = 275512,
  [SMALL_STATE(6757)] = 275534,
  [SMALL_STATE(6758)] = 275570,
  [SMALL_STATE(6759)] = 275612,
  [SMALL_STATE(6760)] = 275634,
  [SMALL_STATE(6761)] = 275656,
  [SMALL_STATE(6762)] = 275678,
  [SMALL_STATE(6763)] = 275718,
  [SMALL_STATE(6764)] = 275758,
  [SMALL_STATE(6765)] = 275780,
  [SMALL_STATE(6766)] = 275810,
  [SMALL_STATE(6767)] = 275850,
  [SMALL_STATE(6768)] = 275890,
  [SMALL_STATE(6769)] = 275934,
  [SMALL_STATE(6770)] = 275956,
  [SMALL_STATE(6771)] = 275986,
  [SMALL_STATE(6772)] = 276008,
  [SMALL_STATE(6773)] = 276030,
  [SMALL_STATE(6774)] = 276056,
  [SMALL_STATE(6775)] = 276086,
  [SMALL_STATE(6776)] = 276126,
  [SMALL_STATE(6777)] = 276156,
  [SMALL_STATE(6778)] = 276196,
  [SMALL_STATE(6779)] = 276218,
  [SMALL_STATE(6780)] = 276248,
  [SMALL_STATE(6781)] = 276284,
  [SMALL_STATE(6782)] = 276324,
  [SMALL_STATE(6783)] = 276364,
  [SMALL_STATE(6784)] = 276386,
  [SMALL_STATE(6785)] = 276422,
  [SMALL_STATE(6786)] = 276452,
  [SMALL_STATE(6787)] = 276474,
  [SMALL_STATE(6788)] = 276514,
  [SMALL_STATE(6789)] = 276550,
  [SMALL_STATE(6790)] = 276590,
  [SMALL_STATE(6791)] = 276626,
  [SMALL_STATE(6792)] = 276666,
  [SMALL_STATE(6793)] = 276688,
  [SMALL_STATE(6794)] = 276710,
  [SMALL_STATE(6795)] = 276732,
  [SMALL_STATE(6796)] = 276768,
  [SMALL_STATE(6797)] = 276797,
  [SMALL_STATE(6798)] = 276828,
  [SMALL_STATE(6799)] = 276859,
  [SMALL_STATE(6800)] = 276882,
  [SMALL_STATE(6801)] = 276921,
  [SMALL_STATE(6802)] = 276950,
  [SMALL_STATE(6803)] = 276989,
  [SMALL_STATE(6804)] = 277020,
  [SMALL_STATE(6805)] = 277063,
  [SMALL_STATE(6806)] = 277094,
  [SMALL_STATE(6807)] = 277121,
  [SMALL_STATE(6808)] = 277164,
  [SMALL_STATE(6809)] = 277207,
  [SMALL_STATE(6810)] = 277246,
  [SMALL_STATE(6811)] = 277275,
  [SMALL_STATE(6812)] = 277304,
  [SMALL_STATE(6813)] = 277333,
  [SMALL_STATE(6814)] = 277364,
  [SMALL_STATE(6815)] = 277393,
  [SMALL_STATE(6816)] = 277422,
  [SMALL_STATE(6817)] = 277451,
  [SMALL_STATE(6818)] = 277482,
  [SMALL_STATE(6819)] = 277511,
  [SMALL_STATE(6820)] = 277540,
  [SMALL_STATE(6821)] = 277579,
  [SMALL_STATE(6822)] = 277610,
  [SMALL_STATE(6823)] = 277639,
  [SMALL_STATE(6824)] = 277670,
  [SMALL_STATE(6825)] = 277701,
  [SMALL_STATE(6826)] = 277744,
  [SMALL_STATE(6827)] = 277775,
  [SMALL_STATE(6828)] = 277806,
  [SMALL_STATE(6829)] = 277839,
  [SMALL_STATE(6830)] = 277866,
  [SMALL_STATE(6831)] = 277909,
  [SMALL_STATE(6832)] = 277940,
  [SMALL_STATE(6833)] = 277979,
  [SMALL_STATE(6834)] = 278022,
  [SMALL_STATE(6835)] = 278053,
  [SMALL_STATE(6836)] = 278084,
  [SMALL_STATE(6837)] = 278107,
  [SMALL_STATE(6838)] = 278150,
  [SMALL_STATE(6839)] = 278181,
  [SMALL_STATE(6840)] = 278212,
  [SMALL_STATE(6841)] = 278255,
  [SMALL_STATE(6842)] = 278288,
  [SMALL_STATE(6843)] = 278321,
  [SMALL_STATE(6844)] = 278354,
  [SMALL_STATE(6845)] = 278385,
  [SMALL_STATE(6846)] = 278416,
  [SMALL_STATE(6847)] = 278459,
  [SMALL_STATE(6848)] = 278488,
  [SMALL_STATE(6849)] = 278527,
  [SMALL_STATE(6850)] = 278556,
  [SMALL_STATE(6851)] = 278585,
  [SMALL_STATE(6852)] = 278628,
  [SMALL_STATE(6853)] = 278659,
  [SMALL_STATE(6854)] = 278690,
  [SMALL_STATE(6855)] = 278721,
  [SMALL_STATE(6856)] = 278750,
  [SMALL_STATE(6857)] = 278779,
  [SMALL_STATE(6858)] = 278808,
  [SMALL_STATE(6859)] = 278837,
  [SMALL_STATE(6860)] = 278866,
  [SMALL_STATE(6861)] = 278899,
  [SMALL_STATE(6862)] = 278932,
  [SMALL_STATE(6863)] = 278961,
  [SMALL_STATE(6864)] = 278990,
  [SMALL_STATE(6865)] = 279019,
  [SMALL_STATE(6866)] = 279048,
  [SMALL_STATE(6867)] = 279077,
  [SMALL_STATE(6868)] = 279108,
  [SMALL_STATE(6869)] = 279141,
  [SMALL_STATE(6870)] = 279170,
  [SMALL_STATE(6871)] = 279201,
  [SMALL_STATE(6872)] = 279232,
  [SMALL_STATE(6873)] = 279259,
  [SMALL_STATE(6874)] = 279292,
  [SMALL_STATE(6875)] = 279335,
  [SMALL_STATE(6876)] = 279378,
  [SMALL_STATE(6877)] = 279421,
  [SMALL_STATE(6878)] = 279461,
  [SMALL_STATE(6879)] = 279489,
  [SMALL_STATE(6880)] = 279529,
  [SMALL_STATE(6881)] = 279561,
  [SMALL_STATE(6882)] = 279599,
  [SMALL_STATE(6883)] = 279637,
  [SMALL_STATE(6884)] = 279657,
  [SMALL_STATE(6885)] = 279695,
  [SMALL_STATE(6886)] = 279715,
  [SMALL_STATE(6887)] = 279755,
  [SMALL_STATE(6888)] = 279795,
  [SMALL_STATE(6889)] = 279833,
  [SMALL_STATE(6890)] = 279873,
  [SMALL_STATE(6891)] = 279895,
  [SMALL_STATE(6892)] = 279923,
  [SMALL_STATE(6893)] = 279943,
  [SMALL_STATE(6894)] = 279971,
  [SMALL_STATE(6895)] = 279991,
  [SMALL_STATE(6896)] = 280023,
  [SMALL_STATE(6897)] = 280063,
  [SMALL_STATE(6898)] = 280103,
  [SMALL_STATE(6899)] = 280131,
  [SMALL_STATE(6900)] = 280159,
  [SMALL_STATE(6901)] = 280197,
  [SMALL_STATE(6902)] = 280217,
  [SMALL_STATE(6903)] = 280257,
  [SMALL_STATE(6904)] = 280285,
  [SMALL_STATE(6905)] = 280323,
  [SMALL_STATE(6906)] = 280343,
  [SMALL_STATE(6907)] = 280381,
  [SMALL_STATE(6908)] = 280419,
  [SMALL_STATE(6909)] = 280457,
  [SMALL_STATE(6910)] = 280485,
  [SMALL_STATE(6911)] = 280523,
  [SMALL_STATE(6912)] = 280563,
  [SMALL_STATE(6913)] = 280603,
  [SMALL_STATE(6914)] = 280631,
  [SMALL_STATE(6915)] = 280659,
  [SMALL_STATE(6916)] = 280699,
  [SMALL_STATE(6917)] = 280731,
  [SMALL_STATE(6918)] = 280769,
  [SMALL_STATE(6919)] = 280807,
  [SMALL_STATE(6920)] = 280839,
  [SMALL_STATE(6921)] = 280871,
  [SMALL_STATE(6922)] = 280911,
  [SMALL_STATE(6923)] = 280931,
  [SMALL_STATE(6924)] = 280959,
  [SMALL_STATE(6925)] = 280987,
  [SMALL_STATE(6926)] = 281025,
  [SMALL_STATE(6927)] = 281065,
  [SMALL_STATE(6928)] = 281085,
  [SMALL_STATE(6929)] = 281117,
  [SMALL_STATE(6930)] = 281149,
  [SMALL_STATE(6931)] = 281177,
  [SMALL_STATE(6932)] = 281197,
  [SMALL_STATE(6933)] = 281225,
  [SMALL_STATE(6934)] = 281257,
  [SMALL_STATE(6935)] = 281285,
  [SMALL_STATE(6936)] = 281309,
  [SMALL_STATE(6937)] = 281347,
  [SMALL_STATE(6938)] = 281371,
  [SMALL_STATE(6939)] = 281399,
  [SMALL_STATE(6940)] = 281423,
  [SMALL_STATE(6941)] = 281451,
  [SMALL_STATE(6942)] = 281491,
  [SMALL_STATE(6943)] = 281521,
  [SMALL_STATE(6944)] = 281551,
  [SMALL_STATE(6945)] = 281589,
  [SMALL_STATE(6946)] = 281609,
  [SMALL_STATE(6947)] = 281641,
  [SMALL_STATE(6948)] = 281667,
  [SMALL_STATE(6949)] = 281707,
  [SMALL_STATE(6950)] = 281727,
  [SMALL_STATE(6951)] = 281747,
  [SMALL_STATE(6952)] = 281775,
  [SMALL_STATE(6953)] = 281797,
  [SMALL_STATE(6954)] = 281827,
  [SMALL_STATE(6955)] = 281857,
  [SMALL_STATE(6956)] = 281889,
  [SMALL_STATE(6957)] = 281927,
  [SMALL_STATE(6958)] = 281959,
  [SMALL_STATE(6959)] = 281979,
  [SMALL_STATE(6960)] = 282007,
  [SMALL_STATE(6961)] = 282035,
  [SMALL_STATE(6962)] = 282065,
  [SMALL_STATE(6963)] = 282103,
  [SMALL_STATE(6964)] = 282129,
  [SMALL_STATE(6965)] = 282169,
  [SMALL_STATE(6966)] = 282209,
  [SMALL_STATE(6967)] = 282241,
  [SMALL_STATE(6968)] = 282269,
  [SMALL_STATE(6969)] = 282307,
  [SMALL_STATE(6970)] = 282339,
  [SMALL_STATE(6971)] = 282371,
  [SMALL_STATE(6972)] = 282399,
  [SMALL_STATE(6973)] = 282427,
  [SMALL_STATE(6974)] = 282457,
  [SMALL_STATE(6975)] = 282485,
  [SMALL_STATE(6976)] = 282523,
  [SMALL_STATE(6977)] = 282555,
  [SMALL_STATE(6978)] = 282583,
  [SMALL_STATE(6979)] = 282615,
  [SMALL_STATE(6980)] = 282647,
  [SMALL_STATE(6981)] = 282675,
  [SMALL_STATE(6982)] = 282705,
  [SMALL_STATE(6983)] = 282745,
  [SMALL_STATE(6984)] = 282775,
  [SMALL_STATE(6985)] = 282805,
  [SMALL_STATE(6986)] = 282837,
  [SMALL_STATE(6987)] = 282867,
  [SMALL_STATE(6988)] = 282887,
  [SMALL_STATE(6989)] = 282907,
  [SMALL_STATE(6990)] = 282945,
  [SMALL_STATE(6991)] = 282965,
  [SMALL_STATE(6992)] = 282987,
  [SMALL_STATE(6993)] = 283027,
  [SMALL_STATE(6994)] = 283067,
  [SMALL_STATE(6995)] = 283093,
  [SMALL_STATE(6996)] = 283115,
  [SMALL_STATE(6997)] = 283153,
  [SMALL_STATE(6998)] = 283191,
  [SMALL_STATE(6999)] = 283223,
  [SMALL_STATE(7000)] = 283243,
  [SMALL_STATE(7001)] = 283271,
  [SMALL_STATE(7002)] = 283303,
  [SMALL_STATE(7003)] = 283323,
  [SMALL_STATE(7004)] = 283355,
  [SMALL_STATE(7005)] = 283375,
  [SMALL_STATE(7006)] = 283407,
  [SMALL_STATE(7007)] = 283435,
  [SMALL_STATE(7008)] = 283455,
  [SMALL_STATE(7009)] = 283495,
  [SMALL_STATE(7010)] = 283517,
  [SMALL_STATE(7011)] = 283537,
  [SMALL_STATE(7012)] = 283575,
  [SMALL_STATE(7013)] = 283607,
  [SMALL_STATE(7014)] = 283640,
  [SMALL_STATE(7015)] = 283661,
  [SMALL_STATE(7016)] = 283696,
  [SMALL_STATE(7017)] = 283729,
  [SMALL_STATE(7018)] = 283756,
  [SMALL_STATE(7019)] = 283783,
  [SMALL_STATE(7020)] = 283804,
  [SMALL_STATE(7021)] = 283829,
  [SMALL_STATE(7022)] = 283862,
  [SMALL_STATE(7023)] = 283897,
  [SMALL_STATE(7024)] = 283930,
  [SMALL_STATE(7025)] = 283965,
  [SMALL_STATE(7026)] = 283998,
  [SMALL_STATE(7027)] = 284025,
  [SMALL_STATE(7028)] = 284052,
  [SMALL_STATE(7029)] = 284091,
  [SMALL_STATE(7030)] = 284126,
  [SMALL_STATE(7031)] = 284159,
  [SMALL_STATE(7032)] = 284192,
  [SMALL_STATE(7033)] = 284225,
  [SMALL_STATE(7034)] = 284258,
  [SMALL_STATE(7035)] = 284291,
  [SMALL_STATE(7036)] = 284326,
  [SMALL_STATE(7037)] = 284353,
  [SMALL_STATE(7038)] = 284386,
  [SMALL_STATE(7039)] = 284419,
  [SMALL_STATE(7040)] = 284440,
  [SMALL_STATE(7041)] = 284467,
  [SMALL_STATE(7042)] = 284494,
  [SMALL_STATE(7043)] = 284519,
  [SMALL_STATE(7044)] = 284546,
  [SMALL_STATE(7045)] = 284573,
  [SMALL_STATE(7046)] = 284600,
  [SMALL_STATE(7047)] = 284621,
  [SMALL_STATE(7048)] = 284654,
  [SMALL_STATE(7049)] = 284693,
  [SMALL_STATE(7050)] = 284714,
  [SMALL_STATE(7051)] = 284749,
  [SMALL_STATE(7052)] = 284774,
  [SMALL_STATE(7053)] = 284807,
  [SMALL_STATE(7054)] = 284840,
  [SMALL_STATE(7055)] = 284873,
  [SMALL_STATE(7056)] = 284900,
  [SMALL_STATE(7057)] = 284927,
  [SMALL_STATE(7058)] = 284960,
  [SMALL_STATE(7059)] = 284981,
  [SMALL_STATE(7060)] = 285002,
  [SMALL_STATE(7061)] = 285023,
  [SMALL_STATE(7062)] = 285056,
  [SMALL_STATE(7063)] = 285089,
  [SMALL_STATE(7064)] = 285110,
  [SMALL_STATE(7065)] = 285143,
  [SMALL_STATE(7066)] = 285176,
  [SMALL_STATE(7067)] = 285197,
  [SMALL_STATE(7068)] = 285218,
  [SMALL_STATE(7069)] = 285251,
  [SMALL_STATE(7070)] = 285272,
  [SMALL_STATE(7071)] = 285293,
  [SMALL_STATE(7072)] = 285314,
  [SMALL_STATE(7073)] = 285335,
  [SMALL_STATE(7074)] = 285356,
  [SMALL_STATE(7075)] = 285395,
  [SMALL_STATE(7076)] = 285430,
  [SMALL_STATE(7077)] = 285465,
  [SMALL_STATE(7078)] = 285492,
  [SMALL_STATE(7079)] = 285529,
  [SMALL_STATE(7080)] = 285550,
  [SMALL_STATE(7081)] = 285571,
  [SMALL_STATE(7082)] = 285592,
  [SMALL_STATE(7083)] = 285613,
  [SMALL_STATE(7084)] = 285652,
  [SMALL_STATE(7085)] = 285677,
  [SMALL_STATE(7086)] = 285712,
  [SMALL_STATE(7087)] = 285745,
  [SMALL_STATE(7088)] = 285778,
  [SMALL_STATE(7089)] = 285805,
  [SMALL_STATE(7090)] = 285840,
  [SMALL_STATE(7091)] = 285865,
  [SMALL_STATE(7092)] = 285898,
  [SMALL_STATE(7093)] = 285933,
  [SMALL_STATE(7094)] = 285972,
  [SMALL_STATE(7095)] = 286001,
  [SMALL_STATE(7096)] = 286030,
  [SMALL_STATE(7097)] = 286051,
  [SMALL_STATE(7098)] = 286088,
  [SMALL_STATE(7099)] = 286121,
  [SMALL_STATE(7100)] = 286142,
  [SMALL_STATE(7101)] = 286171,
  [SMALL_STATE(7102)] = 286204,
  [SMALL_STATE(7103)] = 286229,
  [SMALL_STATE(7104)] = 286258,
  [SMALL_STATE(7105)] = 286293,
  [SMALL_STATE(7106)] = 286314,
  [SMALL_STATE(7107)] = 286335,
  [SMALL_STATE(7108)] = 286364,
  [SMALL_STATE(7109)] = 286391,
  [SMALL_STATE(7110)] = 286418,
  [SMALL_STATE(7111)] = 286453,
  [SMALL_STATE(7112)] = 286474,
  [SMALL_STATE(7113)] = 286507,
  [SMALL_STATE(7114)] = 286532,
  [SMALL_STATE(7115)] = 286565,
  [SMALL_STATE(7116)] = 286598,
  [SMALL_STATE(7117)] = 286623,
  [SMALL_STATE(7118)] = 286644,
  [SMALL_STATE(7119)] = 286677,
  [SMALL_STATE(7120)] = 286698,
  [SMALL_STATE(7121)] = 286737,
  [SMALL_STATE(7122)] = 286758,
  [SMALL_STATE(7123)] = 286783,
  [SMALL_STATE(7124)] = 286816,
  [SMALL_STATE(7125)] = 286837,
  [SMALL_STATE(7126)] = 286863,
  [SMALL_STATE(7127)] = 286899,
  [SMALL_STATE(7128)] = 286927,
  [SMALL_STATE(7129)] = 286963,
  [SMALL_STATE(7130)] = 286991,
  [SMALL_STATE(7131)] = 287027,
  [SMALL_STATE(7132)] = 287053,
  [SMALL_STATE(7133)] = 287077,
  [SMALL_STATE(7134)] = 287105,
  [SMALL_STATE(7135)] = 287129,
  [SMALL_STATE(7136)] = 287165,
  [SMALL_STATE(7137)] = 287201,
  [SMALL_STATE(7138)] = 287237,
  [SMALL_STATE(7139)] = 287273,
  [SMALL_STATE(7140)] = 287295,
  [SMALL_STATE(7141)] = 287325,
  [SMALL_STATE(7142)] = 287351,
  [SMALL_STATE(7143)] = 287387,
  [SMALL_STATE(7144)] = 287413,
  [SMALL_STATE(7145)] = 287439,
  [SMALL_STATE(7146)] = 287469,
  [SMALL_STATE(7147)] = 287495,
  [SMALL_STATE(7148)] = 287523,
  [SMALL_STATE(7149)] = 287553,
  [SMALL_STATE(7150)] = 287583,
  [SMALL_STATE(7151)] = 287613,
  [SMALL_STATE(7152)] = 287643,
  [SMALL_STATE(7153)] = 287669,
  [SMALL_STATE(7154)] = 287689,
  [SMALL_STATE(7155)] = 287715,
  [SMALL_STATE(7156)] = 287739,
  [SMALL_STATE(7157)] = 287759,
  [SMALL_STATE(7158)] = 287785,
  [SMALL_STATE(7159)] = 287807,
  [SMALL_STATE(7160)] = 287843,
  [SMALL_STATE(7161)] = 287869,
  [SMALL_STATE(7162)] = 287905,
  [SMALL_STATE(7163)] = 287941,
  [SMALL_STATE(7164)] = 287977,
  [SMALL_STATE(7165)] = 288003,
  [SMALL_STATE(7166)] = 288033,
  [SMALL_STATE(7167)] = 288059,
  [SMALL_STATE(7168)] = 288085,
  [SMALL_STATE(7169)] = 288111,
  [SMALL_STATE(7170)] = 288137,
  [SMALL_STATE(7171)] = 288167,
  [SMALL_STATE(7172)] = 288193,
  [SMALL_STATE(7173)] = 288221,
  [SMALL_STATE(7174)] = 288251,
  [SMALL_STATE(7175)] = 288277,
  [SMALL_STATE(7176)] = 288313,
  [SMALL_STATE(7177)] = 288349,
  [SMALL_STATE(7178)] = 288379,
  [SMALL_STATE(7179)] = 288409,
  [SMALL_STATE(7180)] = 288433,
  [SMALL_STATE(7181)] = 288469,
  [SMALL_STATE(7182)] = 288505,
  [SMALL_STATE(7183)] = 288541,
  [SMALL_STATE(7184)] = 288565,
  [SMALL_STATE(7185)] = 288601,
  [SMALL_STATE(7186)] = 288637,
  [SMALL_STATE(7187)] = 288673,
  [SMALL_STATE(7188)] = 288709,
  [SMALL_STATE(7189)] = 288745,
  [SMALL_STATE(7190)] = 288775,
  [SMALL_STATE(7191)] = 288811,
  [SMALL_STATE(7192)] = 288841,
  [SMALL_STATE(7193)] = 288867,
  [SMALL_STATE(7194)] = 288903,
  [SMALL_STATE(7195)] = 288939,
  [SMALL_STATE(7196)] = 288968,
  [SMALL_STATE(7197)] = 289003,
  [SMALL_STATE(7198)] = 289034,
  [SMALL_STATE(7199)] = 289069,
  [SMALL_STATE(7200)] = 289088,
  [SMALL_STATE(7201)] = 289107,
  [SMALL_STATE(7202)] = 289132,
  [SMALL_STATE(7203)] = 289151,
  [SMALL_STATE(7204)] = 289186,
  [SMALL_STATE(7205)] = 289209,
  [SMALL_STATE(7206)] = 289228,
  [SMALL_STATE(7207)] = 289263,
  [SMALL_STATE(7208)] = 289294,
  [SMALL_STATE(7209)] = 289327,
  [SMALL_STATE(7210)] = 289362,
  [SMALL_STATE(7211)] = 289397,
  [SMALL_STATE(7212)] = 289428,
  [SMALL_STATE(7213)] = 289463,
  [SMALL_STATE(7214)] = 289498,
  [SMALL_STATE(7215)] = 289527,
  [SMALL_STATE(7216)] = 289550,
  [SMALL_STATE(7217)] = 289575,
  [SMALL_STATE(7218)] = 289604,
  [SMALL_STATE(7219)] = 289629,
  [SMALL_STATE(7220)] = 289654,
  [SMALL_STATE(7221)] = 289683,
  [SMALL_STATE(7222)] = 289714,
  [SMALL_STATE(7223)] = 289747,
  [SMALL_STATE(7224)] = 289772,
  [SMALL_STATE(7225)] = 289807,
  [SMALL_STATE(7226)] = 289838,
  [SMALL_STATE(7227)] = 289863,
  [SMALL_STATE(7228)] = 289892,
  [SMALL_STATE(7229)] = 289917,
  [SMALL_STATE(7230)] = 289952,
  [SMALL_STATE(7231)] = 289971,
  [SMALL_STATE(7232)] = 290006,
  [SMALL_STATE(7233)] = 290033,
  [SMALL_STATE(7234)] = 290052,
  [SMALL_STATE(7235)] = 290083,
  [SMALL_STATE(7236)] = 290118,
  [SMALL_STATE(7237)] = 290153,
  [SMALL_STATE(7238)] = 290188,
  [SMALL_STATE(7239)] = 290215,
  [SMALL_STATE(7240)] = 290250,
  [SMALL_STATE(7241)] = 290277,
  [SMALL_STATE(7242)] = 290302,
  [SMALL_STATE(7243)] = 290333,
  [SMALL_STATE(7244)] = 290360,
  [SMALL_STATE(7245)] = 290395,
  [SMALL_STATE(7246)] = 290426,
  [SMALL_STATE(7247)] = 290445,
  [SMALL_STATE(7248)] = 290470,
  [SMALL_STATE(7249)] = 290501,
  [SMALL_STATE(7250)] = 290528,
  [SMALL_STATE(7251)] = 290555,
  [SMALL_STATE(7252)] = 290574,
  [SMALL_STATE(7253)] = 290605,
  [SMALL_STATE(7254)] = 290626,
  [SMALL_STATE(7255)] = 290661,
  [SMALL_STATE(7256)] = 290680,
  [SMALL_STATE(7257)] = 290707,
  [SMALL_STATE(7258)] = 290742,
  [SMALL_STATE(7259)] = 290767,
  [SMALL_STATE(7260)] = 290794,
  [SMALL_STATE(7261)] = 290825,
  [SMALL_STATE(7262)] = 290860,
  [SMALL_STATE(7263)] = 290879,
  [SMALL_STATE(7264)] = 290914,
  [SMALL_STATE(7265)] = 290949,
  [SMALL_STATE(7266)] = 290982,
  [SMALL_STATE(7267)] = 291017,
  [SMALL_STATE(7268)] = 291044,
  [SMALL_STATE(7269)] = 291079,
  [SMALL_STATE(7270)] = 291114,
  [SMALL_STATE(7271)] = 291149,
  [SMALL_STATE(7272)] = 291184,
  [SMALL_STATE(7273)] = 291213,
  [SMALL_STATE(7274)] = 291238,
  [SMALL_STATE(7275)] = 291263,
  [SMALL_STATE(7276)] = 291290,
  [SMALL_STATE(7277)] = 291319,
  [SMALL_STATE(7278)] = 291354,
  [SMALL_STATE(7279)] = 291378,
  [SMALL_STATE(7280)] = 291400,
  [SMALL_STATE(7281)] = 291422,
  [SMALL_STATE(7282)] = 291452,
  [SMALL_STATE(7283)] = 291470,
  [SMALL_STATE(7284)] = 291488,
  [SMALL_STATE(7285)] = 291510,
  [SMALL_STATE(7286)] = 291532,
  [SMALL_STATE(7287)] = 291550,
  [SMALL_STATE(7288)] = 291572,
  [SMALL_STATE(7289)] = 291602,
  [SMALL_STATE(7290)] = 291620,
  [SMALL_STATE(7291)] = 291642,
  [SMALL_STATE(7292)] = 291664,
  [SMALL_STATE(7293)] = 291686,
  [SMALL_STATE(7294)] = 291704,
  [SMALL_STATE(7295)] = 291726,
  [SMALL_STATE(7296)] = 291748,
  [SMALL_STATE(7297)] = 291772,
  [SMALL_STATE(7298)] = 291794,
  [SMALL_STATE(7299)] = 291812,
  [SMALL_STATE(7300)] = 291842,
  [SMALL_STATE(7301)] = 291866,
  [SMALL_STATE(7302)] = 291888,
  [SMALL_STATE(7303)] = 291906,
  [SMALL_STATE(7304)] = 291936,
  [SMALL_STATE(7305)] = 291966,
  [SMALL_STATE(7306)] = 291996,
  [SMALL_STATE(7307)] = 292028,
  [SMALL_STATE(7308)] = 292052,
  [SMALL_STATE(7309)] = 292076,
  [SMALL_STATE(7310)] = 292098,
  [SMALL_STATE(7311)] = 292120,
  [SMALL_STATE(7312)] = 292144,
  [SMALL_STATE(7313)] = 292166,
  [SMALL_STATE(7314)] = 292190,
  [SMALL_STATE(7315)] = 292220,
  [SMALL_STATE(7316)] = 292244,
  [SMALL_STATE(7317)] = 292268,
  [SMALL_STATE(7318)] = 292292,
  [SMALL_STATE(7319)] = 292322,
  [SMALL_STATE(7320)] = 292353,
  [SMALL_STATE(7321)] = 292384,
  [SMALL_STATE(7322)] = 292407,
  [SMALL_STATE(7323)] = 292438,
  [SMALL_STATE(7324)] = 292459,
  [SMALL_STATE(7325)] = 292490,
  [SMALL_STATE(7326)] = 292521,
  [SMALL_STATE(7327)] = 292552,
  [SMALL_STATE(7328)] = 292583,
  [SMALL_STATE(7329)] = 292604,
  [SMALL_STATE(7330)] = 292635,
  [SMALL_STATE(7331)] = 292666,
  [SMALL_STATE(7332)] = 292689,
  [SMALL_STATE(7333)] = 292720,
  [SMALL_STATE(7334)] = 292751,
  [SMALL_STATE(7335)] = 292774,
  [SMALL_STATE(7336)] = 292805,
  [SMALL_STATE(7337)] = 292826,
  [SMALL_STATE(7338)] = 292857,
  [SMALL_STATE(7339)] = 292888,
  [SMALL_STATE(7340)] = 292919,
  [SMALL_STATE(7341)] = 292950,
  [SMALL_STATE(7342)] = 292981,
  [SMALL_STATE(7343)] = 293008,
  [SMALL_STATE(7344)] = 293039,
  [SMALL_STATE(7345)] = 293066,
  [SMALL_STATE(7346)] = 293085,
  [SMALL_STATE(7347)] = 293108,
  [SMALL_STATE(7348)] = 293139,
  [SMALL_STATE(7349)] = 293162,
  [SMALL_STATE(7350)] = 293189,
  [SMALL_STATE(7351)] = 293220,
  [SMALL_STATE(7352)] = 293247,
  [SMALL_STATE(7353)] = 293278,
  [SMALL_STATE(7354)] = 293309,
  [SMALL_STATE(7355)] = 293330,
  [SMALL_STATE(7356)] = 293361,
  [SMALL_STATE(7357)] = 293392,
  [SMALL_STATE(7358)] = 293423,
  [SMALL_STATE(7359)] = 293454,
  [SMALL_STATE(7360)] = 293477,
  [SMALL_STATE(7361)] = 293500,
  [SMALL_STATE(7362)] = 293523,
  [SMALL_STATE(7363)] = 293544,
  [SMALL_STATE(7364)] = 293575,
  [SMALL_STATE(7365)] = 293606,
  [SMALL_STATE(7366)] = 293637,
  [SMALL_STATE(7367)] = 293664,
  [SMALL_STATE(7368)] = 293691,
  [SMALL_STATE(7369)] = 293722,
  [SMALL_STATE(7370)] = 293749,
  [SMALL_STATE(7371)] = 293780,
  [SMALL_STATE(7372)] = 293807,
  [SMALL_STATE(7373)] = 293838,
  [SMALL_STATE(7374)] = 293865,
  [SMALL_STATE(7375)] = 293886,
  [SMALL_STATE(7376)] = 293917,
  [SMALL_STATE(7377)] = 293940,
  [SMALL_STATE(7378)] = 293963,
  [SMALL_STATE(7379)] = 293982,
  [SMALL_STATE(7380)] = 294007,
  [SMALL_STATE(7381)] = 294033,
  [SMALL_STATE(7382)] = 294059,
  [SMALL_STATE(7383)] = 294085,
  [SMALL_STATE(7384)] = 294109,
  [SMALL_STATE(7385)] = 294135,
  [SMALL_STATE(7386)] = 294161,
  [SMALL_STATE(7387)] = 294187,
  [SMALL_STATE(7388)] = 294213,
  [SMALL_STATE(7389)] = 294233,
  [SMALL_STATE(7390)] = 294257,
  [SMALL_STATE(7391)] = 294283,
  [SMALL_STATE(7392)] = 294309,
  [SMALL_STATE(7393)] = 294331,
  [SMALL_STATE(7394)] = 294355,
  [SMALL_STATE(7395)] = 294381,
  [SMALL_STATE(7396)] = 294407,
  [SMALL_STATE(7397)] = 294433,
  [SMALL_STATE(7398)] = 294455,
  [SMALL_STATE(7399)] = 294481,
  [SMALL_STATE(7400)] = 294507,
  [SMALL_STATE(7401)] = 294533,
  [SMALL_STATE(7402)] = 294555,
  [SMALL_STATE(7403)] = 294581,
  [SMALL_STATE(7404)] = 294607,
  [SMALL_STATE(7405)] = 294633,
  [SMALL_STATE(7406)] = 294659,
  [SMALL_STATE(7407)] = 294681,
  [SMALL_STATE(7408)] = 294707,
  [SMALL_STATE(7409)] = 294733,
  [SMALL_STATE(7410)] = 294753,
  [SMALL_STATE(7411)] = 294779,
  [SMALL_STATE(7412)] = 294805,
  [SMALL_STATE(7413)] = 294831,
  [SMALL_STATE(7414)] = 294851,
  [SMALL_STATE(7415)] = 294867,
  [SMALL_STATE(7416)] = 294893,
  [SMALL_STATE(7417)] = 294909,
  [SMALL_STATE(7418)] = 294931,
  [SMALL_STATE(7419)] = 294953,
  [SMALL_STATE(7420)] = 294979,
  [SMALL_STATE(7421)] = 295001,
  [SMALL_STATE(7422)] = 295025,
  [SMALL_STATE(7423)] = 295043,
  [SMALL_STATE(7424)] = 295065,
  [SMALL_STATE(7425)] = 295087,
  [SMALL_STATE(7426)] = 295107,
  [SMALL_STATE(7427)] = 295133,
  [SMALL_STATE(7428)] = 295159,
  [SMALL_STATE(7429)] = 295185,
  [SMALL_STATE(7430)] = 295209,
  [SMALL_STATE(7431)] = 295235,
  [SMALL_STATE(7432)] = 295257,
  [SMALL_STATE(7433)] = 295283,
  [SMALL_STATE(7434)] = 295309,
  [SMALL_STATE(7435)] = 295331,
  [SMALL_STATE(7436)] = 295357,
  [SMALL_STATE(7437)] = 295383,
  [SMALL_STATE(7438)] = 295405,
  [SMALL_STATE(7439)] = 295431,
  [SMALL_STATE(7440)] = 295457,
  [SMALL_STATE(7441)] = 295483,
  [SMALL_STATE(7442)] = 295509,
  [SMALL_STATE(7443)] = 295535,
  [SMALL_STATE(7444)] = 295561,
  [SMALL_STATE(7445)] = 295584,
  [SMALL_STATE(7446)] = 295605,
  [SMALL_STATE(7447)] = 295626,
  [SMALL_STATE(7448)] = 295649,
  [SMALL_STATE(7449)] = 295670,
  [SMALL_STATE(7450)] = 295693,
  [SMALL_STATE(7451)] = 295716,
  [SMALL_STATE(7452)] = 295737,
  [SMALL_STATE(7453)] = 295752,
  [SMALL_STATE(7454)] = 295775,
  [SMALL_STATE(7455)] = 295796,
  [SMALL_STATE(7456)] = 295821,
  [SMALL_STATE(7457)] = 295846,
  [SMALL_STATE(7458)] = 295871,
  [SMALL_STATE(7459)] = 295890,
  [SMALL_STATE(7460)] = 295909,
  [SMALL_STATE(7461)] = 295924,
  [SMALL_STATE(7462)] = 295939,
  [SMALL_STATE(7463)] = 295960,
  [SMALL_STATE(7464)] = 295981,
  [SMALL_STATE(7465)] = 296002,
  [SMALL_STATE(7466)] = 296027,
  [SMALL_STATE(7467)] = 296048,
  [SMALL_STATE(7468)] = 296071,
  [SMALL_STATE(7469)] = 296086,
  [SMALL_STATE(7470)] = 296101,
  [SMALL_STATE(7471)] = 296116,
  [SMALL_STATE(7472)] = 296137,
  [SMALL_STATE(7473)] = 296162,
  [SMALL_STATE(7474)] = 296185,
  [SMALL_STATE(7475)] = 296210,
  [SMALL_STATE(7476)] = 296235,
  [SMALL_STATE(7477)] = 296258,
  [SMALL_STATE(7478)] = 296283,
  [SMALL_STATE(7479)] = 296308,
  [SMALL_STATE(7480)] = 296329,
  [SMALL_STATE(7481)] = 296352,
  [SMALL_STATE(7482)] = 296373,
  [SMALL_STATE(7483)] = 296394,
  [SMALL_STATE(7484)] = 296417,
  [SMALL_STATE(7485)] = 296440,
  [SMALL_STATE(7486)] = 296457,
  [SMALL_STATE(7487)] = 296480,
  [SMALL_STATE(7488)] = 296505,
  [SMALL_STATE(7489)] = 296528,
  [SMALL_STATE(7490)] = 296549,
  [SMALL_STATE(7491)] = 296572,
  [SMALL_STATE(7492)] = 296595,
  [SMALL_STATE(7493)] = 296616,
  [SMALL_STATE(7494)] = 296631,
  [SMALL_STATE(7495)] = 296654,
  [SMALL_STATE(7496)] = 296677,
  [SMALL_STATE(7497)] = 296698,
  [SMALL_STATE(7498)] = 296717,
  [SMALL_STATE(7499)] = 296732,
  [SMALL_STATE(7500)] = 296748,
  [SMALL_STATE(7501)] = 296768,
  [SMALL_STATE(7502)] = 296786,
  [SMALL_STATE(7503)] = 296802,
  [SMALL_STATE(7504)] = 296816,
  [SMALL_STATE(7505)] = 296830,
  [SMALL_STATE(7506)] = 296850,
  [SMALL_STATE(7507)] = 296866,
  [SMALL_STATE(7508)] = 296886,
  [SMALL_STATE(7509)] = 296902,
  [SMALL_STATE(7510)] = 296916,
  [SMALL_STATE(7511)] = 296930,
  [SMALL_STATE(7512)] = 296944,
  [SMALL_STATE(7513)] = 296964,
  [SMALL_STATE(7514)] = 296980,
  [SMALL_STATE(7515)] = 296994,
  [SMALL_STATE(7516)] = 297014,
  [SMALL_STATE(7517)] = 297030,
  [SMALL_STATE(7518)] = 297046,
  [SMALL_STATE(7519)] = 297062,
  [SMALL_STATE(7520)] = 297076,
  [SMALL_STATE(7521)] = 297090,
  [SMALL_STATE(7522)] = 297110,
  [SMALL_STATE(7523)] = 297130,
  [SMALL_STATE(7524)] = 297144,
  [SMALL_STATE(7525)] = 297164,
  [SMALL_STATE(7526)] = 297184,
  [SMALL_STATE(7527)] = 297204,
  [SMALL_STATE(7528)] = 297218,
  [SMALL_STATE(7529)] = 297236,
  [SMALL_STATE(7530)] = 297256,
  [SMALL_STATE(7531)] = 297276,
  [SMALL_STATE(7532)] = 297292,
  [SMALL_STATE(7533)] = 297308,
  [SMALL_STATE(7534)] = 297326,
  [SMALL_STATE(7535)] = 297344,
  [SMALL_STATE(7536)] = 297358,
  [SMALL_STATE(7537)] = 297378,
  [SMALL_STATE(7538)] = 297392,
  [SMALL_STATE(7539)] = 297410,
  [SMALL_STATE(7540)] = 297426,
  [SMALL_STATE(7541)] = 297442,
  [SMALL_STATE(7542)] = 297460,
  [SMALL_STATE(7543)] = 297478,
  [SMALL_STATE(7544)] = 297496,
  [SMALL_STATE(7545)] = 297516,
  [SMALL_STATE(7546)] = 297532,
  [SMALL_STATE(7547)] = 297546,
  [SMALL_STATE(7548)] = 297566,
  [SMALL_STATE(7549)] = 297586,
  [SMALL_STATE(7550)] = 297602,
  [SMALL_STATE(7551)] = 297618,
  [SMALL_STATE(7552)] = 297638,
  [SMALL_STATE(7553)] = 297654,
  [SMALL_STATE(7554)] = 297672,
  [SMALL_STATE(7555)] = 297688,
  [SMALL_STATE(7556)] = 297704,
  [SMALL_STATE(7557)] = 297724,
  [SMALL_STATE(7558)] = 297738,
  [SMALL_STATE(7559)] = 297754,
  [SMALL_STATE(7560)] = 297768,
  [SMALL_STATE(7561)] = 297788,
  [SMALL_STATE(7562)] = 297808,
  [SMALL_STATE(7563)] = 297824,
  [SMALL_STATE(7564)] = 297843,
  [SMALL_STATE(7565)] = 297862,
  [SMALL_STATE(7566)] = 297881,
  [SMALL_STATE(7567)] = 297900,
  [SMALL_STATE(7568)] = 297917,
  [SMALL_STATE(7569)] = 297936,
  [SMALL_STATE(7570)] = 297955,
  [SMALL_STATE(7571)] = 297974,
  [SMALL_STATE(7572)] = 297993,
  [SMALL_STATE(7573)] = 298006,
  [SMALL_STATE(7574)] = 298025,
  [SMALL_STATE(7575)] = 298044,
  [SMALL_STATE(7576)] = 298063,
  [SMALL_STATE(7577)] = 298082,
  [SMALL_STATE(7578)] = 298101,
  [SMALL_STATE(7579)] = 298120,
  [SMALL_STATE(7580)] = 298139,
  [SMALL_STATE(7581)] = 298158,
  [SMALL_STATE(7582)] = 298171,
  [SMALL_STATE(7583)] = 298190,
  [SMALL_STATE(7584)] = 298209,
  [SMALL_STATE(7585)] = 298228,
  [SMALL_STATE(7586)] = 298247,
  [SMALL_STATE(7587)] = 298266,
  [SMALL_STATE(7588)] = 298285,
  [SMALL_STATE(7589)] = 298302,
  [SMALL_STATE(7590)] = 298321,
  [SMALL_STATE(7591)] = 298340,
  [SMALL_STATE(7592)] = 298359,
  [SMALL_STATE(7593)] = 298378,
  [SMALL_STATE(7594)] = 298397,
  [SMALL_STATE(7595)] = 298416,
  [SMALL_STATE(7596)] = 298435,
  [SMALL_STATE(7597)] = 298454,
  [SMALL_STATE(7598)] = 298467,
  [SMALL_STATE(7599)] = 298486,
  [SMALL_STATE(7600)] = 298505,
  [SMALL_STATE(7601)] = 298524,
  [SMALL_STATE(7602)] = 298543,
  [SMALL_STATE(7603)] = 298562,
  [SMALL_STATE(7604)] = 298581,
  [SMALL_STATE(7605)] = 298600,
  [SMALL_STATE(7606)] = 298619,
  [SMALL_STATE(7607)] = 298638,
  [SMALL_STATE(7608)] = 298657,
  [SMALL_STATE(7609)] = 298670,
  [SMALL_STATE(7610)] = 298689,
  [SMALL_STATE(7611)] = 298708,
  [SMALL_STATE(7612)] = 298727,
  [SMALL_STATE(7613)] = 298744,
  [SMALL_STATE(7614)] = 298761,
  [SMALL_STATE(7615)] = 298778,
  [SMALL_STATE(7616)] = 298795,
  [SMALL_STATE(7617)] = 298814,
  [SMALL_STATE(7618)] = 298833,
  [SMALL_STATE(7619)] = 298852,
  [SMALL_STATE(7620)] = 298871,
  [SMALL_STATE(7621)] = 298890,
  [SMALL_STATE(7622)] = 298909,
  [SMALL_STATE(7623)] = 298928,
  [SMALL_STATE(7624)] = 298947,
  [SMALL_STATE(7625)] = 298966,
  [SMALL_STATE(7626)] = 298985,
  [SMALL_STATE(7627)] = 299004,
  [SMALL_STATE(7628)] = 299023,
  [SMALL_STATE(7629)] = 299042,
  [SMALL_STATE(7630)] = 299061,
  [SMALL_STATE(7631)] = 299080,
  [SMALL_STATE(7632)] = 299099,
  [SMALL_STATE(7633)] = 299116,
  [SMALL_STATE(7634)] = 299135,
  [SMALL_STATE(7635)] = 299148,
  [SMALL_STATE(7636)] = 299162,
  [SMALL_STATE(7637)] = 299176,
  [SMALL_STATE(7638)] = 299190,
  [SMALL_STATE(7639)] = 299204,
  [SMALL_STATE(7640)] = 299218,
  [SMALL_STATE(7641)] = 299234,
  [SMALL_STATE(7642)] = 299250,
  [SMALL_STATE(7643)] = 299264,
  [SMALL_STATE(7644)] = 299280,
  [SMALL_STATE(7645)] = 299296,
  [SMALL_STATE(7646)] = 299310,
  [SMALL_STATE(7647)] = 299326,
  [SMALL_STATE(7648)] = 299340,
  [SMALL_STATE(7649)] = 299354,
  [SMALL_STATE(7650)] = 299368,
  [SMALL_STATE(7651)] = 299382,
  [SMALL_STATE(7652)] = 299396,
  [SMALL_STATE(7653)] = 299410,
  [SMALL_STATE(7654)] = 299424,
  [SMALL_STATE(7655)] = 299438,
  [SMALL_STATE(7656)] = 299452,
  [SMALL_STATE(7657)] = 299468,
  [SMALL_STATE(7658)] = 299484,
  [SMALL_STATE(7659)] = 299500,
  [SMALL_STATE(7660)] = 299514,
  [SMALL_STATE(7661)] = 299528,
  [SMALL_STATE(7662)] = 299542,
  [SMALL_STATE(7663)] = 299556,
  [SMALL_STATE(7664)] = 299570,
  [SMALL_STATE(7665)] = 299584,
  [SMALL_STATE(7666)] = 299600,
  [SMALL_STATE(7667)] = 299610,
  [SMALL_STATE(7668)] = 299626,
  [SMALL_STATE(7669)] = 299642,
  [SMALL_STATE(7670)] = 299658,
  [SMALL_STATE(7671)] = 299672,
  [SMALL_STATE(7672)] = 299688,
  [SMALL_STATE(7673)] = 299702,
  [SMALL_STATE(7674)] = 299718,
  [SMALL_STATE(7675)] = 299734,
  [SMALL_STATE(7676)] = 299748,
  [SMALL_STATE(7677)] = 299762,
  [SMALL_STATE(7678)] = 299776,
  [SMALL_STATE(7679)] = 299792,
  [SMALL_STATE(7680)] = 299808,
  [SMALL_STATE(7681)] = 299824,
  [SMALL_STATE(7682)] = 299838,
  [SMALL_STATE(7683)] = 299854,
  [SMALL_STATE(7684)] = 299870,
  [SMALL_STATE(7685)] = 299884,
  [SMALL_STATE(7686)] = 299898,
  [SMALL_STATE(7687)] = 299914,
  [SMALL_STATE(7688)] = 299928,
  [SMALL_STATE(7689)] = 299944,
  [SMALL_STATE(7690)] = 299960,
  [SMALL_STATE(7691)] = 299974,
  [SMALL_STATE(7692)] = 299990,
  [SMALL_STATE(7693)] = 300004,
  [SMALL_STATE(7694)] = 300020,
  [SMALL_STATE(7695)] = 300034,
  [SMALL_STATE(7696)] = 300048,
  [SMALL_STATE(7697)] = 300064,
  [SMALL_STATE(7698)] = 300080,
  [SMALL_STATE(7699)] = 300094,
  [SMALL_STATE(7700)] = 300110,
  [SMALL_STATE(7701)] = 300126,
  [SMALL_STATE(7702)] = 300140,
  [SMALL_STATE(7703)] = 300156,
  [SMALL_STATE(7704)] = 300170,
  [SMALL_STATE(7705)] = 300184,
  [SMALL_STATE(7706)] = 300198,
  [SMALL_STATE(7707)] = 300214,
  [SMALL_STATE(7708)] = 300228,
  [SMALL_STATE(7709)] = 300244,
  [SMALL_STATE(7710)] = 300260,
  [SMALL_STATE(7711)] = 300276,
  [SMALL_STATE(7712)] = 300290,
  [SMALL_STATE(7713)] = 300304,
  [SMALL_STATE(7714)] = 300318,
  [SMALL_STATE(7715)] = 300332,
  [SMALL_STATE(7716)] = 300348,
  [SMALL_STATE(7717)] = 300362,
  [SMALL_STATE(7718)] = 300376,
  [SMALL_STATE(7719)] = 300392,
  [SMALL_STATE(7720)] = 300408,
  [SMALL_STATE(7721)] = 300424,
  [SMALL_STATE(7722)] = 300440,
  [SMALL_STATE(7723)] = 300454,
  [SMALL_STATE(7724)] = 300470,
  [SMALL_STATE(7725)] = 300486,
  [SMALL_STATE(7726)] = 300500,
  [SMALL_STATE(7727)] = 300514,
  [SMALL_STATE(7728)] = 300530,
  [SMALL_STATE(7729)] = 300544,
  [SMALL_STATE(7730)] = 300558,
  [SMALL_STATE(7731)] = 300572,
  [SMALL_STATE(7732)] = 300586,
  [SMALL_STATE(7733)] = 300602,
  [SMALL_STATE(7734)] = 300616,
  [SMALL_STATE(7735)] = 300630,
  [SMALL_STATE(7736)] = 300646,
  [SMALL_STATE(7737)] = 300662,
  [SMALL_STATE(7738)] = 300676,
  [SMALL_STATE(7739)] = 300690,
  [SMALL_STATE(7740)] = 300706,
  [SMALL_STATE(7741)] = 300720,
  [SMALL_STATE(7742)] = 300736,
  [SMALL_STATE(7743)] = 300752,
  [SMALL_STATE(7744)] = 300766,
  [SMALL_STATE(7745)] = 300782,
  [SMALL_STATE(7746)] = 300796,
  [SMALL_STATE(7747)] = 300810,
  [SMALL_STATE(7748)] = 300826,
  [SMALL_STATE(7749)] = 300842,
  [SMALL_STATE(7750)] = 300858,
  [SMALL_STATE(7751)] = 300872,
  [SMALL_STATE(7752)] = 300888,
  [SMALL_STATE(7753)] = 300904,
  [SMALL_STATE(7754)] = 300918,
  [SMALL_STATE(7755)] = 300932,
  [SMALL_STATE(7756)] = 300948,
  [SMALL_STATE(7757)] = 300962,
  [SMALL_STATE(7758)] = 300976,
  [SMALL_STATE(7759)] = 300992,
  [SMALL_STATE(7760)] = 301006,
  [SMALL_STATE(7761)] = 301022,
  [SMALL_STATE(7762)] = 301038,
  [SMALL_STATE(7763)] = 301054,
  [SMALL_STATE(7764)] = 301068,
  [SMALL_STATE(7765)] = 301082,
  [SMALL_STATE(7766)] = 301098,
  [SMALL_STATE(7767)] = 301114,
  [SMALL_STATE(7768)] = 301128,
  [SMALL_STATE(7769)] = 301144,
  [SMALL_STATE(7770)] = 301160,
  [SMALL_STATE(7771)] = 301174,
  [SMALL_STATE(7772)] = 301190,
  [SMALL_STATE(7773)] = 301206,
  [SMALL_STATE(7774)] = 301220,
  [SMALL_STATE(7775)] = 301236,
  [SMALL_STATE(7776)] = 301250,
  [SMALL_STATE(7777)] = 301264,
  [SMALL_STATE(7778)] = 301278,
  [SMALL_STATE(7779)] = 301292,
  [SMALL_STATE(7780)] = 301306,
  [SMALL_STATE(7781)] = 301322,
  [SMALL_STATE(7782)] = 301338,
  [SMALL_STATE(7783)] = 301354,
  [SMALL_STATE(7784)] = 301370,
  [SMALL_STATE(7785)] = 301384,
  [SMALL_STATE(7786)] = 301398,
  [SMALL_STATE(7787)] = 301412,
  [SMALL_STATE(7788)] = 301426,
  [SMALL_STATE(7789)] = 301442,
  [SMALL_STATE(7790)] = 301456,
  [SMALL_STATE(7791)] = 301472,
  [SMALL_STATE(7792)] = 301486,
  [SMALL_STATE(7793)] = 301502,
  [SMALL_STATE(7794)] = 301518,
  [SMALL_STATE(7795)] = 301532,
  [SMALL_STATE(7796)] = 301546,
  [SMALL_STATE(7797)] = 301560,
  [SMALL_STATE(7798)] = 301576,
  [SMALL_STATE(7799)] = 301592,
  [SMALL_STATE(7800)] = 301604,
  [SMALL_STATE(7801)] = 301620,
  [SMALL_STATE(7802)] = 301634,
  [SMALL_STATE(7803)] = 301644,
  [SMALL_STATE(7804)] = 301654,
  [SMALL_STATE(7805)] = 301670,
  [SMALL_STATE(7806)] = 301684,
  [SMALL_STATE(7807)] = 301700,
  [SMALL_STATE(7808)] = 301714,
  [SMALL_STATE(7809)] = 301728,
  [SMALL_STATE(7810)] = 301742,
  [SMALL_STATE(7811)] = 301756,
  [SMALL_STATE(7812)] = 301770,
  [SMALL_STATE(7813)] = 301786,
  [SMALL_STATE(7814)] = 301802,
  [SMALL_STATE(7815)] = 301816,
  [SMALL_STATE(7816)] = 301832,
  [SMALL_STATE(7817)] = 301848,
  [SMALL_STATE(7818)] = 301862,
  [SMALL_STATE(7819)] = 301876,
  [SMALL_STATE(7820)] = 301892,
  [SMALL_STATE(7821)] = 301906,
  [SMALL_STATE(7822)] = 301920,
  [SMALL_STATE(7823)] = 301936,
  [SMALL_STATE(7824)] = 301950,
  [SMALL_STATE(7825)] = 301964,
  [SMALL_STATE(7826)] = 301980,
  [SMALL_STATE(7827)] = 301994,
  [SMALL_STATE(7828)] = 302008,
  [SMALL_STATE(7829)] = 302024,
  [SMALL_STATE(7830)] = 302040,
  [SMALL_STATE(7831)] = 302056,
  [SMALL_STATE(7832)] = 302070,
  [SMALL_STATE(7833)] = 302086,
  [SMALL_STATE(7834)] = 302102,
  [SMALL_STATE(7835)] = 302118,
  [SMALL_STATE(7836)] = 302132,
  [SMALL_STATE(7837)] = 302148,
  [SMALL_STATE(7838)] = 302162,
  [SMALL_STATE(7839)] = 302176,
  [SMALL_STATE(7840)] = 302192,
  [SMALL_STATE(7841)] = 302208,
  [SMALL_STATE(7842)] = 302224,
  [SMALL_STATE(7843)] = 302240,
  [SMALL_STATE(7844)] = 302256,
  [SMALL_STATE(7845)] = 302270,
  [SMALL_STATE(7846)] = 302286,
  [SMALL_STATE(7847)] = 302302,
  [SMALL_STATE(7848)] = 302316,
  [SMALL_STATE(7849)] = 302330,
  [SMALL_STATE(7850)] = 302346,
  [SMALL_STATE(7851)] = 302362,
  [SMALL_STATE(7852)] = 302376,
  [SMALL_STATE(7853)] = 302392,
  [SMALL_STATE(7854)] = 302408,
  [SMALL_STATE(7855)] = 302422,
  [SMALL_STATE(7856)] = 302438,
  [SMALL_STATE(7857)] = 302454,
  [SMALL_STATE(7858)] = 302470,
  [SMALL_STATE(7859)] = 302486,
  [SMALL_STATE(7860)] = 302502,
  [SMALL_STATE(7861)] = 302516,
  [SMALL_STATE(7862)] = 302530,
  [SMALL_STATE(7863)] = 302546,
  [SMALL_STATE(7864)] = 302562,
  [SMALL_STATE(7865)] = 302576,
  [SMALL_STATE(7866)] = 302592,
  [SMALL_STATE(7867)] = 302608,
  [SMALL_STATE(7868)] = 302624,
  [SMALL_STATE(7869)] = 302640,
  [SMALL_STATE(7870)] = 302656,
  [SMALL_STATE(7871)] = 302672,
  [SMALL_STATE(7872)] = 302688,
  [SMALL_STATE(7873)] = 302702,
  [SMALL_STATE(7874)] = 302718,
  [SMALL_STATE(7875)] = 302734,
  [SMALL_STATE(7876)] = 302750,
  [SMALL_STATE(7877)] = 302764,
  [SMALL_STATE(7878)] = 302780,
  [SMALL_STATE(7879)] = 302794,
  [SMALL_STATE(7880)] = 302810,
  [SMALL_STATE(7881)] = 302826,
  [SMALL_STATE(7882)] = 302840,
  [SMALL_STATE(7883)] = 302856,
  [SMALL_STATE(7884)] = 302870,
  [SMALL_STATE(7885)] = 302886,
  [SMALL_STATE(7886)] = 302902,
  [SMALL_STATE(7887)] = 302918,
  [SMALL_STATE(7888)] = 302934,
  [SMALL_STATE(7889)] = 302950,
  [SMALL_STATE(7890)] = 302966,
  [SMALL_STATE(7891)] = 302980,
  [SMALL_STATE(7892)] = 302996,
  [SMALL_STATE(7893)] = 303010,
  [SMALL_STATE(7894)] = 303026,
  [SMALL_STATE(7895)] = 303042,
  [SMALL_STATE(7896)] = 303056,
  [SMALL_STATE(7897)] = 303070,
  [SMALL_STATE(7898)] = 303086,
  [SMALL_STATE(7899)] = 303102,
  [SMALL_STATE(7900)] = 303118,
  [SMALL_STATE(7901)] = 303134,
  [SMALL_STATE(7902)] = 303148,
  [SMALL_STATE(7903)] = 303164,
  [SMALL_STATE(7904)] = 303180,
  [SMALL_STATE(7905)] = 303194,
  [SMALL_STATE(7906)] = 303210,
  [SMALL_STATE(7907)] = 303226,
  [SMALL_STATE(7908)] = 303240,
  [SMALL_STATE(7909)] = 303254,
  [SMALL_STATE(7910)] = 303270,
  [SMALL_STATE(7911)] = 303284,
  [SMALL_STATE(7912)] = 303300,
  [SMALL_STATE(7913)] = 303316,
  [SMALL_STATE(7914)] = 303332,
  [SMALL_STATE(7915)] = 303348,
  [SMALL_STATE(7916)] = 303364,
  [SMALL_STATE(7917)] = 303380,
  [SMALL_STATE(7918)] = 303396,
  [SMALL_STATE(7919)] = 303412,
  [SMALL_STATE(7920)] = 303428,
  [SMALL_STATE(7921)] = 303442,
  [SMALL_STATE(7922)] = 303458,
  [SMALL_STATE(7923)] = 303474,
  [SMALL_STATE(7924)] = 303490,
  [SMALL_STATE(7925)] = 303500,
  [SMALL_STATE(7926)] = 303514,
  [SMALL_STATE(7927)] = 303530,
  [SMALL_STATE(7928)] = 303544,
  [SMALL_STATE(7929)] = 303558,
  [SMALL_STATE(7930)] = 303572,
  [SMALL_STATE(7931)] = 303588,
  [SMALL_STATE(7932)] = 303604,
  [SMALL_STATE(7933)] = 303618,
  [SMALL_STATE(7934)] = 303632,
  [SMALL_STATE(7935)] = 303646,
  [SMALL_STATE(7936)] = 303662,
  [SMALL_STATE(7937)] = 303676,
  [SMALL_STATE(7938)] = 303690,
  [SMALL_STATE(7939)] = 303704,
  [SMALL_STATE(7940)] = 303720,
  [SMALL_STATE(7941)] = 303731,
  [SMALL_STATE(7942)] = 303744,
  [SMALL_STATE(7943)] = 303757,
  [SMALL_STATE(7944)] = 303768,
  [SMALL_STATE(7945)] = 303781,
  [SMALL_STATE(7946)] = 303794,
  [SMALL_STATE(7947)] = 303807,
  [SMALL_STATE(7948)] = 303820,
  [SMALL_STATE(7949)] = 303833,
  [SMALL_STATE(7950)] = 303846,
  [SMALL_STATE(7951)] = 303859,
  [SMALL_STATE(7952)] = 303872,
  [SMALL_STATE(7953)] = 303885,
  [SMALL_STATE(7954)] = 303896,
  [SMALL_STATE(7955)] = 303909,
  [SMALL_STATE(7956)] = 303920,
  [SMALL_STATE(7957)] = 303931,
  [SMALL_STATE(7958)] = 303940,
  [SMALL_STATE(7959)] = 303953,
  [SMALL_STATE(7960)] = 303962,
  [SMALL_STATE(7961)] = 303975,
  [SMALL_STATE(7962)] = 303988,
  [SMALL_STATE(7963)] = 304001,
  [SMALL_STATE(7964)] = 304014,
  [SMALL_STATE(7965)] = 304027,
  [SMALL_STATE(7966)] = 304040,
  [SMALL_STATE(7967)] = 304053,
  [SMALL_STATE(7968)] = 304064,
  [SMALL_STATE(7969)] = 304075,
  [SMALL_STATE(7970)] = 304088,
  [SMALL_STATE(7971)] = 304101,
  [SMALL_STATE(7972)] = 304114,
  [SMALL_STATE(7973)] = 304127,
  [SMALL_STATE(7974)] = 304140,
  [SMALL_STATE(7975)] = 304153,
  [SMALL_STATE(7976)] = 304166,
  [SMALL_STATE(7977)] = 304179,
  [SMALL_STATE(7978)] = 304190,
  [SMALL_STATE(7979)] = 304203,
  [SMALL_STATE(7980)] = 304216,
  [SMALL_STATE(7981)] = 304229,
  [SMALL_STATE(7982)] = 304242,
  [SMALL_STATE(7983)] = 304255,
  [SMALL_STATE(7984)] = 304266,
  [SMALL_STATE(7985)] = 304279,
  [SMALL_STATE(7986)] = 304292,
  [SMALL_STATE(7987)] = 304305,
  [SMALL_STATE(7988)] = 304318,
  [SMALL_STATE(7989)] = 304331,
  [SMALL_STATE(7990)] = 304344,
  [SMALL_STATE(7991)] = 304357,
  [SMALL_STATE(7992)] = 304370,
  [SMALL_STATE(7993)] = 304383,
  [SMALL_STATE(7994)] = 304396,
  [SMALL_STATE(7995)] = 304409,
  [SMALL_STATE(7996)] = 304420,
  [SMALL_STATE(7997)] = 304433,
  [SMALL_STATE(7998)] = 304446,
  [SMALL_STATE(7999)] = 304459,
  [SMALL_STATE(8000)] = 304472,
  [SMALL_STATE(8001)] = 304485,
  [SMALL_STATE(8002)] = 304498,
  [SMALL_STATE(8003)] = 304511,
  [SMALL_STATE(8004)] = 304524,
  [SMALL_STATE(8005)] = 304537,
  [SMALL_STATE(8006)] = 304550,
  [SMALL_STATE(8007)] = 304563,
  [SMALL_STATE(8008)] = 304574,
  [SMALL_STATE(8009)] = 304587,
  [SMALL_STATE(8010)] = 304598,
  [SMALL_STATE(8011)] = 304611,
  [SMALL_STATE(8012)] = 304624,
  [SMALL_STATE(8013)] = 304637,
  [SMALL_STATE(8014)] = 304650,
  [SMALL_STATE(8015)] = 304663,
  [SMALL_STATE(8016)] = 304676,
  [SMALL_STATE(8017)] = 304687,
  [SMALL_STATE(8018)] = 304700,
  [SMALL_STATE(8019)] = 304713,
  [SMALL_STATE(8020)] = 304726,
  [SMALL_STATE(8021)] = 304739,
  [SMALL_STATE(8022)] = 304750,
  [SMALL_STATE(8023)] = 304763,
  [SMALL_STATE(8024)] = 304774,
  [SMALL_STATE(8025)] = 304787,
  [SMALL_STATE(8026)] = 304798,
  [SMALL_STATE(8027)] = 304811,
  [SMALL_STATE(8028)] = 304824,
  [SMALL_STATE(8029)] = 304837,
  [SMALL_STATE(8030)] = 304848,
  [SMALL_STATE(8031)] = 304861,
  [SMALL_STATE(8032)] = 304872,
  [SMALL_STATE(8033)] = 304885,
  [SMALL_STATE(8034)] = 304894,
  [SMALL_STATE(8035)] = 304907,
  [SMALL_STATE(8036)] = 304918,
  [SMALL_STATE(8037)] = 304929,
  [SMALL_STATE(8038)] = 304942,
  [SMALL_STATE(8039)] = 304955,
  [SMALL_STATE(8040)] = 304968,
  [SMALL_STATE(8041)] = 304981,
  [SMALL_STATE(8042)] = 304994,
  [SMALL_STATE(8043)] = 305007,
  [SMALL_STATE(8044)] = 305020,
  [SMALL_STATE(8045)] = 305033,
  [SMALL_STATE(8046)] = 305046,
  [SMALL_STATE(8047)] = 305059,
  [SMALL_STATE(8048)] = 305070,
  [SMALL_STATE(8049)] = 305083,
  [SMALL_STATE(8050)] = 305096,
  [SMALL_STATE(8051)] = 305105,
  [SMALL_STATE(8052)] = 305118,
  [SMALL_STATE(8053)] = 305131,
  [SMALL_STATE(8054)] = 305144,
  [SMALL_STATE(8055)] = 305155,
  [SMALL_STATE(8056)] = 305168,
  [SMALL_STATE(8057)] = 305181,
  [SMALL_STATE(8058)] = 305192,
  [SMALL_STATE(8059)] = 305205,
  [SMALL_STATE(8060)] = 305216,
  [SMALL_STATE(8061)] = 305229,
  [SMALL_STATE(8062)] = 305242,
  [SMALL_STATE(8063)] = 305251,
  [SMALL_STATE(8064)] = 305264,
  [SMALL_STATE(8065)] = 305275,
  [SMALL_STATE(8066)] = 305284,
  [SMALL_STATE(8067)] = 305295,
  [SMALL_STATE(8068)] = 305308,
  [SMALL_STATE(8069)] = 305321,
  [SMALL_STATE(8070)] = 305334,
  [SMALL_STATE(8071)] = 305347,
  [SMALL_STATE(8072)] = 305358,
  [SMALL_STATE(8073)] = 305371,
  [SMALL_STATE(8074)] = 305384,
  [SMALL_STATE(8075)] = 305397,
  [SMALL_STATE(8076)] = 305410,
  [SMALL_STATE(8077)] = 305423,
  [SMALL_STATE(8078)] = 305436,
  [SMALL_STATE(8079)] = 305449,
  [SMALL_STATE(8080)] = 305462,
  [SMALL_STATE(8081)] = 305475,
  [SMALL_STATE(8082)] = 305488,
  [SMALL_STATE(8083)] = 305501,
  [SMALL_STATE(8084)] = 305514,
  [SMALL_STATE(8085)] = 305527,
  [SMALL_STATE(8086)] = 305540,
  [SMALL_STATE(8087)] = 305553,
  [SMALL_STATE(8088)] = 305566,
  [SMALL_STATE(8089)] = 305579,
  [SMALL_STATE(8090)] = 305592,
  [SMALL_STATE(8091)] = 305605,
  [SMALL_STATE(8092)] = 305618,
  [SMALL_STATE(8093)] = 305631,
  [SMALL_STATE(8094)] = 305644,
  [SMALL_STATE(8095)] = 305657,
  [SMALL_STATE(8096)] = 305670,
  [SMALL_STATE(8097)] = 305683,
  [SMALL_STATE(8098)] = 305696,
  [SMALL_STATE(8099)] = 305707,
  [SMALL_STATE(8100)] = 305720,
  [SMALL_STATE(8101)] = 305733,
  [SMALL_STATE(8102)] = 305746,
  [SMALL_STATE(8103)] = 305757,
  [SMALL_STATE(8104)] = 305770,
  [SMALL_STATE(8105)] = 305783,
  [SMALL_STATE(8106)] = 305796,
  [SMALL_STATE(8107)] = 305805,
  [SMALL_STATE(8108)] = 305816,
  [SMALL_STATE(8109)] = 305827,
  [SMALL_STATE(8110)] = 305840,
  [SMALL_STATE(8111)] = 305853,
  [SMALL_STATE(8112)] = 305866,
  [SMALL_STATE(8113)] = 305879,
  [SMALL_STATE(8114)] = 305892,
  [SMALL_STATE(8115)] = 305905,
  [SMALL_STATE(8116)] = 305918,
  [SMALL_STATE(8117)] = 305931,
  [SMALL_STATE(8118)] = 305944,
  [SMALL_STATE(8119)] = 305957,
  [SMALL_STATE(8120)] = 305970,
  [SMALL_STATE(8121)] = 305983,
  [SMALL_STATE(8122)] = 305996,
  [SMALL_STATE(8123)] = 306009,
  [SMALL_STATE(8124)] = 306022,
  [SMALL_STATE(8125)] = 306035,
  [SMALL_STATE(8126)] = 306048,
  [SMALL_STATE(8127)] = 306061,
  [SMALL_STATE(8128)] = 306074,
  [SMALL_STATE(8129)] = 306085,
  [SMALL_STATE(8130)] = 306098,
  [SMALL_STATE(8131)] = 306111,
  [SMALL_STATE(8132)] = 306122,
  [SMALL_STATE(8133)] = 306135,
  [SMALL_STATE(8134)] = 306148,
  [SMALL_STATE(8135)] = 306161,
  [SMALL_STATE(8136)] = 306172,
  [SMALL_STATE(8137)] = 306185,
  [SMALL_STATE(8138)] = 306198,
  [SMALL_STATE(8139)] = 306211,
  [SMALL_STATE(8140)] = 306224,
  [SMALL_STATE(8141)] = 306237,
  [SMALL_STATE(8142)] = 306250,
  [SMALL_STATE(8143)] = 306263,
  [SMALL_STATE(8144)] = 306276,
  [SMALL_STATE(8145)] = 306289,
  [SMALL_STATE(8146)] = 306302,
  [SMALL_STATE(8147)] = 306315,
  [SMALL_STATE(8148)] = 306328,
  [SMALL_STATE(8149)] = 306341,
  [SMALL_STATE(8150)] = 306354,
  [SMALL_STATE(8151)] = 306367,
  [SMALL_STATE(8152)] = 306380,
  [SMALL_STATE(8153)] = 306393,
  [SMALL_STATE(8154)] = 306406,
  [SMALL_STATE(8155)] = 306419,
  [SMALL_STATE(8156)] = 306432,
  [SMALL_STATE(8157)] = 306445,
  [SMALL_STATE(8158)] = 306458,
  [SMALL_STATE(8159)] = 306471,
  [SMALL_STATE(8160)] = 306484,
  [SMALL_STATE(8161)] = 306497,
  [SMALL_STATE(8162)] = 306510,
  [SMALL_STATE(8163)] = 306523,
  [SMALL_STATE(8164)] = 306534,
  [SMALL_STATE(8165)] = 306547,
  [SMALL_STATE(8166)] = 306560,
  [SMALL_STATE(8167)] = 306573,
  [SMALL_STATE(8168)] = 306586,
  [SMALL_STATE(8169)] = 306599,
  [SMALL_STATE(8170)] = 306612,
  [SMALL_STATE(8171)] = 306625,
  [SMALL_STATE(8172)] = 306636,
  [SMALL_STATE(8173)] = 306647,
  [SMALL_STATE(8174)] = 306660,
  [SMALL_STATE(8175)] = 306673,
  [SMALL_STATE(8176)] = 306686,
  [SMALL_STATE(8177)] = 306699,
  [SMALL_STATE(8178)] = 306712,
  [SMALL_STATE(8179)] = 306725,
  [SMALL_STATE(8180)] = 306738,
  [SMALL_STATE(8181)] = 306749,
  [SMALL_STATE(8182)] = 306762,
  [SMALL_STATE(8183)] = 306775,
  [SMALL_STATE(8184)] = 306788,
  [SMALL_STATE(8185)] = 306801,
  [SMALL_STATE(8186)] = 306814,
  [SMALL_STATE(8187)] = 306827,
  [SMALL_STATE(8188)] = 306838,
  [SMALL_STATE(8189)] = 306851,
  [SMALL_STATE(8190)] = 306862,
  [SMALL_STATE(8191)] = 306875,
  [SMALL_STATE(8192)] = 306888,
  [SMALL_STATE(8193)] = 306901,
  [SMALL_STATE(8194)] = 306914,
  [SMALL_STATE(8195)] = 306923,
  [SMALL_STATE(8196)] = 306936,
  [SMALL_STATE(8197)] = 306949,
  [SMALL_STATE(8198)] = 306960,
  [SMALL_STATE(8199)] = 306973,
  [SMALL_STATE(8200)] = 306986,
  [SMALL_STATE(8201)] = 306995,
  [SMALL_STATE(8202)] = 307004,
  [SMALL_STATE(8203)] = 307017,
  [SMALL_STATE(8204)] = 307028,
  [SMALL_STATE(8205)] = 307037,
  [SMALL_STATE(8206)] = 307050,
  [SMALL_STATE(8207)] = 307063,
  [SMALL_STATE(8208)] = 307076,
  [SMALL_STATE(8209)] = 307089,
  [SMALL_STATE(8210)] = 307102,
  [SMALL_STATE(8211)] = 307111,
  [SMALL_STATE(8212)] = 307122,
  [SMALL_STATE(8213)] = 307133,
  [SMALL_STATE(8214)] = 307146,
  [SMALL_STATE(8215)] = 307159,
  [SMALL_STATE(8216)] = 307172,
  [SMALL_STATE(8217)] = 307185,
  [SMALL_STATE(8218)] = 307198,
  [SMALL_STATE(8219)] = 307211,
  [SMALL_STATE(8220)] = 307224,
  [SMALL_STATE(8221)] = 307237,
  [SMALL_STATE(8222)] = 307250,
  [SMALL_STATE(8223)] = 307263,
  [SMALL_STATE(8224)] = 307276,
  [SMALL_STATE(8225)] = 307289,
  [SMALL_STATE(8226)] = 307302,
  [SMALL_STATE(8227)] = 307313,
  [SMALL_STATE(8228)] = 307326,
  [SMALL_STATE(8229)] = 307339,
  [SMALL_STATE(8230)] = 307352,
  [SMALL_STATE(8231)] = 307361,
  [SMALL_STATE(8232)] = 307374,
  [SMALL_STATE(8233)] = 307387,
  [SMALL_STATE(8234)] = 307396,
  [SMALL_STATE(8235)] = 307409,
  [SMALL_STATE(8236)] = 307422,
  [SMALL_STATE(8237)] = 307435,
  [SMALL_STATE(8238)] = 307444,
  [SMALL_STATE(8239)] = 307457,
  [SMALL_STATE(8240)] = 307470,
  [SMALL_STATE(8241)] = 307483,
  [SMALL_STATE(8242)] = 307496,
  [SMALL_STATE(8243)] = 307509,
  [SMALL_STATE(8244)] = 307522,
  [SMALL_STATE(8245)] = 307535,
  [SMALL_STATE(8246)] = 307548,
  [SMALL_STATE(8247)] = 307561,
  [SMALL_STATE(8248)] = 307574,
  [SMALL_STATE(8249)] = 307587,
  [SMALL_STATE(8250)] = 307600,
  [SMALL_STATE(8251)] = 307613,
  [SMALL_STATE(8252)] = 307626,
  [SMALL_STATE(8253)] = 307639,
  [SMALL_STATE(8254)] = 307652,
  [SMALL_STATE(8255)] = 307665,
  [SMALL_STATE(8256)] = 307678,
  [SMALL_STATE(8257)] = 307689,
  [SMALL_STATE(8258)] = 307702,
  [SMALL_STATE(8259)] = 307713,
  [SMALL_STATE(8260)] = 307726,
  [SMALL_STATE(8261)] = 307739,
  [SMALL_STATE(8262)] = 307752,
  [SMALL_STATE(8263)] = 307765,
  [SMALL_STATE(8264)] = 307778,
  [SMALL_STATE(8265)] = 307791,
  [SMALL_STATE(8266)] = 307804,
  [SMALL_STATE(8267)] = 307817,
  [SMALL_STATE(8268)] = 307830,
  [SMALL_STATE(8269)] = 307843,
  [SMALL_STATE(8270)] = 307856,
  [SMALL_STATE(8271)] = 307869,
  [SMALL_STATE(8272)] = 307882,
  [SMALL_STATE(8273)] = 307891,
  [SMALL_STATE(8274)] = 307904,
  [SMALL_STATE(8275)] = 307917,
  [SMALL_STATE(8276)] = 307930,
  [SMALL_STATE(8277)] = 307943,
  [SMALL_STATE(8278)] = 307956,
  [SMALL_STATE(8279)] = 307969,
  [SMALL_STATE(8280)] = 307982,
  [SMALL_STATE(8281)] = 307995,
  [SMALL_STATE(8282)] = 308008,
  [SMALL_STATE(8283)] = 308021,
  [SMALL_STATE(8284)] = 308034,
  [SMALL_STATE(8285)] = 308047,
  [SMALL_STATE(8286)] = 308060,
  [SMALL_STATE(8287)] = 308073,
  [SMALL_STATE(8288)] = 308086,
  [SMALL_STATE(8289)] = 308095,
  [SMALL_STATE(8290)] = 308108,
  [SMALL_STATE(8291)] = 308121,
  [SMALL_STATE(8292)] = 308134,
  [SMALL_STATE(8293)] = 308145,
  [SMALL_STATE(8294)] = 308158,
  [SMALL_STATE(8295)] = 308169,
  [SMALL_STATE(8296)] = 308178,
  [SMALL_STATE(8297)] = 308191,
  [SMALL_STATE(8298)] = 308204,
  [SMALL_STATE(8299)] = 308217,
  [SMALL_STATE(8300)] = 308230,
  [SMALL_STATE(8301)] = 308243,
  [SMALL_STATE(8302)] = 308256,
  [SMALL_STATE(8303)] = 308265,
  [SMALL_STATE(8304)] = 308278,
  [SMALL_STATE(8305)] = 308291,
  [SMALL_STATE(8306)] = 308304,
  [SMALL_STATE(8307)] = 308317,
  [SMALL_STATE(8308)] = 308330,
  [SMALL_STATE(8309)] = 308343,
  [SMALL_STATE(8310)] = 308356,
  [SMALL_STATE(8311)] = 308369,
  [SMALL_STATE(8312)] = 308382,
  [SMALL_STATE(8313)] = 308395,
  [SMALL_STATE(8314)] = 308408,
  [SMALL_STATE(8315)] = 308421,
  [SMALL_STATE(8316)] = 308434,
  [SMALL_STATE(8317)] = 308447,
  [SMALL_STATE(8318)] = 308460,
  [SMALL_STATE(8319)] = 308473,
  [SMALL_STATE(8320)] = 308486,
  [SMALL_STATE(8321)] = 308499,
  [SMALL_STATE(8322)] = 308512,
  [SMALL_STATE(8323)] = 308525,
  [SMALL_STATE(8324)] = 308538,
  [SMALL_STATE(8325)] = 308551,
  [SMALL_STATE(8326)] = 308564,
  [SMALL_STATE(8327)] = 308577,
  [SMALL_STATE(8328)] = 308590,
  [SMALL_STATE(8329)] = 308603,
  [SMALL_STATE(8330)] = 308616,
  [SMALL_STATE(8331)] = 308629,
  [SMALL_STATE(8332)] = 308642,
  [SMALL_STATE(8333)] = 308655,
  [SMALL_STATE(8334)] = 308668,
  [SMALL_STATE(8335)] = 308681,
  [SMALL_STATE(8336)] = 308694,
  [SMALL_STATE(8337)] = 308705,
  [SMALL_STATE(8338)] = 308716,
  [SMALL_STATE(8339)] = 308729,
  [SMALL_STATE(8340)] = 308742,
  [SMALL_STATE(8341)] = 308755,
  [SMALL_STATE(8342)] = 308768,
  [SMALL_STATE(8343)] = 308781,
  [SMALL_STATE(8344)] = 308794,
  [SMALL_STATE(8345)] = 308807,
  [SMALL_STATE(8346)] = 308820,
  [SMALL_STATE(8347)] = 308833,
  [SMALL_STATE(8348)] = 308846,
  [SMALL_STATE(8349)] = 308859,
  [SMALL_STATE(8350)] = 308872,
  [SMALL_STATE(8351)] = 308885,
  [SMALL_STATE(8352)] = 308896,
  [SMALL_STATE(8353)] = 308909,
  [SMALL_STATE(8354)] = 308922,
  [SMALL_STATE(8355)] = 308935,
  [SMALL_STATE(8356)] = 308948,
  [SMALL_STATE(8357)] = 308961,
  [SMALL_STATE(8358)] = 308974,
  [SMALL_STATE(8359)] = 308987,
  [SMALL_STATE(8360)] = 309000,
  [SMALL_STATE(8361)] = 309013,
  [SMALL_STATE(8362)] = 309026,
  [SMALL_STATE(8363)] = 309039,
  [SMALL_STATE(8364)] = 309052,
  [SMALL_STATE(8365)] = 309065,
  [SMALL_STATE(8366)] = 309078,
  [SMALL_STATE(8367)] = 309091,
  [SMALL_STATE(8368)] = 309104,
  [SMALL_STATE(8369)] = 309117,
  [SMALL_STATE(8370)] = 309128,
  [SMALL_STATE(8371)] = 309137,
  [SMALL_STATE(8372)] = 309150,
  [SMALL_STATE(8373)] = 309161,
  [SMALL_STATE(8374)] = 309174,
  [SMALL_STATE(8375)] = 309187,
  [SMALL_STATE(8376)] = 309200,
  [SMALL_STATE(8377)] = 309213,
  [SMALL_STATE(8378)] = 309226,
  [SMALL_STATE(8379)] = 309239,
  [SMALL_STATE(8380)] = 309252,
  [SMALL_STATE(8381)] = 309265,
  [SMALL_STATE(8382)] = 309278,
  [SMALL_STATE(8383)] = 309291,
  [SMALL_STATE(8384)] = 309304,
  [SMALL_STATE(8385)] = 309317,
  [SMALL_STATE(8386)] = 309330,
  [SMALL_STATE(8387)] = 309343,
  [SMALL_STATE(8388)] = 309356,
  [SMALL_STATE(8389)] = 309369,
  [SMALL_STATE(8390)] = 309382,
  [SMALL_STATE(8391)] = 309395,
  [SMALL_STATE(8392)] = 309408,
  [SMALL_STATE(8393)] = 309421,
  [SMALL_STATE(8394)] = 309434,
  [SMALL_STATE(8395)] = 309447,
  [SMALL_STATE(8396)] = 309460,
  [SMALL_STATE(8397)] = 309473,
  [SMALL_STATE(8398)] = 309484,
  [SMALL_STATE(8399)] = 309497,
  [SMALL_STATE(8400)] = 309510,
  [SMALL_STATE(8401)] = 309523,
  [SMALL_STATE(8402)] = 309536,
  [SMALL_STATE(8403)] = 309549,
  [SMALL_STATE(8404)] = 309562,
  [SMALL_STATE(8405)] = 309573,
  [SMALL_STATE(8406)] = 309583,
  [SMALL_STATE(8407)] = 309591,
  [SMALL_STATE(8408)] = 309601,
  [SMALL_STATE(8409)] = 309611,
  [SMALL_STATE(8410)] = 309621,
  [SMALL_STATE(8411)] = 309631,
  [SMALL_STATE(8412)] = 309641,
  [SMALL_STATE(8413)] = 309651,
  [SMALL_STATE(8414)] = 309661,
  [SMALL_STATE(8415)] = 309671,
  [SMALL_STATE(8416)] = 309681,
  [SMALL_STATE(8417)] = 309691,
  [SMALL_STATE(8418)] = 309701,
  [SMALL_STATE(8419)] = 309711,
  [SMALL_STATE(8420)] = 309721,
  [SMALL_STATE(8421)] = 309731,
  [SMALL_STATE(8422)] = 309741,
  [SMALL_STATE(8423)] = 309751,
  [SMALL_STATE(8424)] = 309761,
  [SMALL_STATE(8425)] = 309771,
  [SMALL_STATE(8426)] = 309781,
  [SMALL_STATE(8427)] = 309791,
  [SMALL_STATE(8428)] = 309801,
  [SMALL_STATE(8429)] = 309811,
  [SMALL_STATE(8430)] = 309821,
  [SMALL_STATE(8431)] = 309831,
  [SMALL_STATE(8432)] = 309841,
  [SMALL_STATE(8433)] = 309851,
  [SMALL_STATE(8434)] = 309861,
  [SMALL_STATE(8435)] = 309871,
  [SMALL_STATE(8436)] = 309881,
  [SMALL_STATE(8437)] = 309891,
  [SMALL_STATE(8438)] = 309901,
  [SMALL_STATE(8439)] = 309911,
  [SMALL_STATE(8440)] = 309921,
  [SMALL_STATE(8441)] = 309931,
  [SMALL_STATE(8442)] = 309941,
  [SMALL_STATE(8443)] = 309951,
  [SMALL_STATE(8444)] = 309961,
  [SMALL_STATE(8445)] = 309971,
  [SMALL_STATE(8446)] = 309981,
  [SMALL_STATE(8447)] = 309991,
  [SMALL_STATE(8448)] = 310001,
  [SMALL_STATE(8449)] = 310011,
  [SMALL_STATE(8450)] = 310021,
  [SMALL_STATE(8451)] = 310031,
  [SMALL_STATE(8452)] = 310041,
  [SMALL_STATE(8453)] = 310051,
  [SMALL_STATE(8454)] = 310061,
  [SMALL_STATE(8455)] = 310071,
  [SMALL_STATE(8456)] = 310081,
  [SMALL_STATE(8457)] = 310091,
  [SMALL_STATE(8458)] = 310101,
  [SMALL_STATE(8459)] = 310111,
  [SMALL_STATE(8460)] = 310121,
  [SMALL_STATE(8461)] = 310131,
  [SMALL_STATE(8462)] = 310141,
  [SMALL_STATE(8463)] = 310151,
  [SMALL_STATE(8464)] = 310161,
  [SMALL_STATE(8465)] = 310171,
  [SMALL_STATE(8466)] = 310181,
  [SMALL_STATE(8467)] = 310191,
  [SMALL_STATE(8468)] = 310201,
  [SMALL_STATE(8469)] = 310211,
  [SMALL_STATE(8470)] = 310221,
  [SMALL_STATE(8471)] = 310231,
  [SMALL_STATE(8472)] = 310241,
  [SMALL_STATE(8473)] = 310251,
  [SMALL_STATE(8474)] = 310261,
  [SMALL_STATE(8475)] = 310271,
  [SMALL_STATE(8476)] = 310281,
  [SMALL_STATE(8477)] = 310289,
  [SMALL_STATE(8478)] = 310299,
  [SMALL_STATE(8479)] = 310307,
  [SMALL_STATE(8480)] = 310317,
  [SMALL_STATE(8481)] = 310327,
  [SMALL_STATE(8482)] = 310337,
  [SMALL_STATE(8483)] = 310345,
  [SMALL_STATE(8484)] = 310355,
  [SMALL_STATE(8485)] = 310365,
  [SMALL_STATE(8486)] = 310375,
  [SMALL_STATE(8487)] = 310385,
  [SMALL_STATE(8488)] = 310395,
  [SMALL_STATE(8489)] = 310405,
  [SMALL_STATE(8490)] = 310415,
  [SMALL_STATE(8491)] = 310425,
  [SMALL_STATE(8492)] = 310435,
  [SMALL_STATE(8493)] = 310445,
  [SMALL_STATE(8494)] = 310455,
  [SMALL_STATE(8495)] = 310463,
  [SMALL_STATE(8496)] = 310473,
  [SMALL_STATE(8497)] = 310481,
  [SMALL_STATE(8498)] = 310491,
  [SMALL_STATE(8499)] = 310501,
  [SMALL_STATE(8500)] = 310511,
  [SMALL_STATE(8501)] = 310521,
  [SMALL_STATE(8502)] = 310531,
  [SMALL_STATE(8503)] = 310541,
  [SMALL_STATE(8504)] = 310551,
  [SMALL_STATE(8505)] = 310561,
  [SMALL_STATE(8506)] = 310571,
  [SMALL_STATE(8507)] = 310581,
  [SMALL_STATE(8508)] = 310591,
  [SMALL_STATE(8509)] = 310599,
  [SMALL_STATE(8510)] = 310609,
  [SMALL_STATE(8511)] = 310619,
  [SMALL_STATE(8512)] = 310629,
  [SMALL_STATE(8513)] = 310639,
  [SMALL_STATE(8514)] = 310649,
  [SMALL_STATE(8515)] = 310659,
  [SMALL_STATE(8516)] = 310669,
  [SMALL_STATE(8517)] = 310677,
  [SMALL_STATE(8518)] = 310685,
  [SMALL_STATE(8519)] = 310693,
  [SMALL_STATE(8520)] = 310703,
  [SMALL_STATE(8521)] = 310713,
  [SMALL_STATE(8522)] = 310723,
  [SMALL_STATE(8523)] = 310733,
  [SMALL_STATE(8524)] = 310741,
  [SMALL_STATE(8525)] = 310749,
  [SMALL_STATE(8526)] = 310759,
  [SMALL_STATE(8527)] = 310769,
  [SMALL_STATE(8528)] = 310779,
  [SMALL_STATE(8529)] = 310787,
  [SMALL_STATE(8530)] = 310797,
  [SMALL_STATE(8531)] = 310805,
  [SMALL_STATE(8532)] = 310815,
  [SMALL_STATE(8533)] = 310825,
  [SMALL_STATE(8534)] = 310833,
  [SMALL_STATE(8535)] = 310843,
  [SMALL_STATE(8536)] = 310853,
  [SMALL_STATE(8537)] = 310861,
  [SMALL_STATE(8538)] = 310869,
  [SMALL_STATE(8539)] = 310879,
  [SMALL_STATE(8540)] = 310887,
  [SMALL_STATE(8541)] = 310897,
  [SMALL_STATE(8542)] = 310907,
  [SMALL_STATE(8543)] = 310915,
  [SMALL_STATE(8544)] = 310923,
  [SMALL_STATE(8545)] = 310933,
  [SMALL_STATE(8546)] = 310943,
  [SMALL_STATE(8547)] = 310953,
  [SMALL_STATE(8548)] = 310963,
  [SMALL_STATE(8549)] = 310973,
  [SMALL_STATE(8550)] = 310983,
  [SMALL_STATE(8551)] = 310993,
  [SMALL_STATE(8552)] = 311003,
  [SMALL_STATE(8553)] = 311013,
  [SMALL_STATE(8554)] = 311021,
  [SMALL_STATE(8555)] = 311031,
  [SMALL_STATE(8556)] = 311041,
  [SMALL_STATE(8557)] = 311051,
  [SMALL_STATE(8558)] = 311061,
  [SMALL_STATE(8559)] = 311069,
  [SMALL_STATE(8560)] = 311079,
  [SMALL_STATE(8561)] = 311089,
  [SMALL_STATE(8562)] = 311099,
  [SMALL_STATE(8563)] = 311109,
  [SMALL_STATE(8564)] = 311119,
  [SMALL_STATE(8565)] = 311129,
  [SMALL_STATE(8566)] = 311139,
  [SMALL_STATE(8567)] = 311149,
  [SMALL_STATE(8568)] = 311159,
  [SMALL_STATE(8569)] = 311169,
  [SMALL_STATE(8570)] = 311179,
  [SMALL_STATE(8571)] = 311187,
  [SMALL_STATE(8572)] = 311197,
  [SMALL_STATE(8573)] = 311205,
  [SMALL_STATE(8574)] = 311215,
  [SMALL_STATE(8575)] = 311225,
  [SMALL_STATE(8576)] = 311235,
  [SMALL_STATE(8577)] = 311245,
  [SMALL_STATE(8578)] = 311255,
  [SMALL_STATE(8579)] = 311265,
  [SMALL_STATE(8580)] = 311275,
  [SMALL_STATE(8581)] = 311283,
  [SMALL_STATE(8582)] = 311291,
  [SMALL_STATE(8583)] = 311301,
  [SMALL_STATE(8584)] = 311311,
  [SMALL_STATE(8585)] = 311321,
  [SMALL_STATE(8586)] = 311331,
  [SMALL_STATE(8587)] = 311341,
  [SMALL_STATE(8588)] = 311349,
  [SMALL_STATE(8589)] = 311359,
  [SMALL_STATE(8590)] = 311369,
  [SMALL_STATE(8591)] = 311379,
  [SMALL_STATE(8592)] = 311389,
  [SMALL_STATE(8593)] = 311397,
  [SMALL_STATE(8594)] = 311407,
  [SMALL_STATE(8595)] = 311417,
  [SMALL_STATE(8596)] = 311425,
  [SMALL_STATE(8597)] = 311435,
  [SMALL_STATE(8598)] = 311445,
  [SMALL_STATE(8599)] = 311455,
  [SMALL_STATE(8600)] = 311465,
  [SMALL_STATE(8601)] = 311473,
  [SMALL_STATE(8602)] = 311483,
  [SMALL_STATE(8603)] = 311493,
  [SMALL_STATE(8604)] = 311503,
  [SMALL_STATE(8605)] = 311513,
  [SMALL_STATE(8606)] = 311523,
  [SMALL_STATE(8607)] = 311533,
  [SMALL_STATE(8608)] = 311543,
  [SMALL_STATE(8609)] = 311553,
  [SMALL_STATE(8610)] = 311561,
  [SMALL_STATE(8611)] = 311571,
  [SMALL_STATE(8612)] = 311581,
  [SMALL_STATE(8613)] = 311591,
  [SMALL_STATE(8614)] = 311601,
  [SMALL_STATE(8615)] = 311611,
  [SMALL_STATE(8616)] = 311621,
  [SMALL_STATE(8617)] = 311631,
  [SMALL_STATE(8618)] = 311641,
  [SMALL_STATE(8619)] = 311651,
  [SMALL_STATE(8620)] = 311659,
  [SMALL_STATE(8621)] = 311669,
  [SMALL_STATE(8622)] = 311679,
  [SMALL_STATE(8623)] = 311689,
  [SMALL_STATE(8624)] = 311699,
  [SMALL_STATE(8625)] = 311709,
  [SMALL_STATE(8626)] = 311719,
  [SMALL_STATE(8627)] = 311729,
  [SMALL_STATE(8628)] = 311739,
  [SMALL_STATE(8629)] = 311749,
  [SMALL_STATE(8630)] = 311759,
  [SMALL_STATE(8631)] = 311769,
  [SMALL_STATE(8632)] = 311779,
  [SMALL_STATE(8633)] = 311789,
  [SMALL_STATE(8634)] = 311799,
  [SMALL_STATE(8635)] = 311809,
  [SMALL_STATE(8636)] = 311819,
  [SMALL_STATE(8637)] = 311829,
  [SMALL_STATE(8638)] = 311839,
  [SMALL_STATE(8639)] = 311849,
  [SMALL_STATE(8640)] = 311857,
  [SMALL_STATE(8641)] = 311867,
  [SMALL_STATE(8642)] = 311875,
  [SMALL_STATE(8643)] = 311885,
  [SMALL_STATE(8644)] = 311895,
  [SMALL_STATE(8645)] = 311905,
  [SMALL_STATE(8646)] = 311913,
  [SMALL_STATE(8647)] = 311923,
  [SMALL_STATE(8648)] = 311931,
  [SMALL_STATE(8649)] = 311941,
  [SMALL_STATE(8650)] = 311951,
  [SMALL_STATE(8651)] = 311961,
  [SMALL_STATE(8652)] = 311971,
  [SMALL_STATE(8653)] = 311981,
  [SMALL_STATE(8654)] = 311989,
  [SMALL_STATE(8655)] = 311999,
  [SMALL_STATE(8656)] = 312009,
  [SMALL_STATE(8657)] = 312019,
  [SMALL_STATE(8658)] = 312029,
  [SMALL_STATE(8659)] = 312039,
  [SMALL_STATE(8660)] = 312049,
  [SMALL_STATE(8661)] = 312059,
  [SMALL_STATE(8662)] = 312069,
  [SMALL_STATE(8663)] = 312079,
  [SMALL_STATE(8664)] = 312089,
  [SMALL_STATE(8665)] = 312099,
  [SMALL_STATE(8666)] = 312109,
  [SMALL_STATE(8667)] = 312119,
  [SMALL_STATE(8668)] = 312129,
  [SMALL_STATE(8669)] = 312139,
  [SMALL_STATE(8670)] = 312149,
  [SMALL_STATE(8671)] = 312159,
  [SMALL_STATE(8672)] = 312167,
  [SMALL_STATE(8673)] = 312177,
  [SMALL_STATE(8674)] = 312185,
  [SMALL_STATE(8675)] = 312195,
  [SMALL_STATE(8676)] = 312205,
  [SMALL_STATE(8677)] = 312215,
  [SMALL_STATE(8678)] = 312225,
  [SMALL_STATE(8679)] = 312235,
  [SMALL_STATE(8680)] = 312245,
  [SMALL_STATE(8681)] = 312255,
  [SMALL_STATE(8682)] = 312265,
  [SMALL_STATE(8683)] = 312273,
  [SMALL_STATE(8684)] = 312283,
  [SMALL_STATE(8685)] = 312293,
  [SMALL_STATE(8686)] = 312303,
  [SMALL_STATE(8687)] = 312313,
  [SMALL_STATE(8688)] = 312323,
  [SMALL_STATE(8689)] = 312333,
  [SMALL_STATE(8690)] = 312343,
  [SMALL_STATE(8691)] = 312353,
  [SMALL_STATE(8692)] = 312363,
  [SMALL_STATE(8693)] = 312373,
  [SMALL_STATE(8694)] = 312383,
  [SMALL_STATE(8695)] = 312393,
  [SMALL_STATE(8696)] = 312403,
  [SMALL_STATE(8697)] = 312413,
  [SMALL_STATE(8698)] = 312423,
  [SMALL_STATE(8699)] = 312433,
  [SMALL_STATE(8700)] = 312443,
  [SMALL_STATE(8701)] = 312453,
  [SMALL_STATE(8702)] = 312463,
  [SMALL_STATE(8703)] = 312473,
  [SMALL_STATE(8704)] = 312483,
  [SMALL_STATE(8705)] = 312493,
  [SMALL_STATE(8706)] = 312503,
  [SMALL_STATE(8707)] = 312513,
  [SMALL_STATE(8708)] = 312523,
  [SMALL_STATE(8709)] = 312533,
  [SMALL_STATE(8710)] = 312543,
  [SMALL_STATE(8711)] = 312553,
  [SMALL_STATE(8712)] = 312563,
  [SMALL_STATE(8713)] = 312573,
  [SMALL_STATE(8714)] = 312583,
  [SMALL_STATE(8715)] = 312593,
  [SMALL_STATE(8716)] = 312603,
  [SMALL_STATE(8717)] = 312611,
  [SMALL_STATE(8718)] = 312621,
  [SMALL_STATE(8719)] = 312631,
  [SMALL_STATE(8720)] = 312641,
  [SMALL_STATE(8721)] = 312651,
  [SMALL_STATE(8722)] = 312661,
  [SMALL_STATE(8723)] = 312671,
  [SMALL_STATE(8724)] = 312681,
  [SMALL_STATE(8725)] = 312691,
  [SMALL_STATE(8726)] = 312701,
  [SMALL_STATE(8727)] = 312709,
  [SMALL_STATE(8728)] = 312719,
  [SMALL_STATE(8729)] = 312729,
  [SMALL_STATE(8730)] = 312739,
  [SMALL_STATE(8731)] = 312747,
  [SMALL_STATE(8732)] = 312757,
  [SMALL_STATE(8733)] = 312767,
  [SMALL_STATE(8734)] = 312777,
  [SMALL_STATE(8735)] = 312787,
  [SMALL_STATE(8736)] = 312797,
  [SMALL_STATE(8737)] = 312807,
  [SMALL_STATE(8738)] = 312817,
  [SMALL_STATE(8739)] = 312827,
  [SMALL_STATE(8740)] = 312837,
  [SMALL_STATE(8741)] = 312847,
  [SMALL_STATE(8742)] = 312857,
  [SMALL_STATE(8743)] = 312867,
  [SMALL_STATE(8744)] = 312877,
  [SMALL_STATE(8745)] = 312887,
  [SMALL_STATE(8746)] = 312897,
  [SMALL_STATE(8747)] = 312907,
  [SMALL_STATE(8748)] = 312917,
  [SMALL_STATE(8749)] = 312927,
  [SMALL_STATE(8750)] = 312937,
  [SMALL_STATE(8751)] = 312947,
  [SMALL_STATE(8752)] = 312957,
  [SMALL_STATE(8753)] = 312967,
  [SMALL_STATE(8754)] = 312977,
  [SMALL_STATE(8755)] = 312987,
  [SMALL_STATE(8756)] = 312997,
  [SMALL_STATE(8757)] = 313007,
  [SMALL_STATE(8758)] = 313017,
  [SMALL_STATE(8759)] = 313027,
  [SMALL_STATE(8760)] = 313037,
  [SMALL_STATE(8761)] = 313047,
  [SMALL_STATE(8762)] = 313057,
  [SMALL_STATE(8763)] = 313067,
  [SMALL_STATE(8764)] = 313077,
  [SMALL_STATE(8765)] = 313087,
  [SMALL_STATE(8766)] = 313097,
  [SMALL_STATE(8767)] = 313107,
  [SMALL_STATE(8768)] = 313117,
  [SMALL_STATE(8769)] = 313127,
  [SMALL_STATE(8770)] = 313137,
  [SMALL_STATE(8771)] = 313147,
  [SMALL_STATE(8772)] = 313157,
  [SMALL_STATE(8773)] = 313167,
  [SMALL_STATE(8774)] = 313177,
  [SMALL_STATE(8775)] = 313187,
  [SMALL_STATE(8776)] = 313197,
  [SMALL_STATE(8777)] = 313207,
  [SMALL_STATE(8778)] = 313217,
  [SMALL_STATE(8779)] = 313227,
  [SMALL_STATE(8780)] = 313237,
  [SMALL_STATE(8781)] = 313247,
  [SMALL_STATE(8782)] = 313257,
  [SMALL_STATE(8783)] = 313267,
  [SMALL_STATE(8784)] = 313277,
  [SMALL_STATE(8785)] = 313287,
  [SMALL_STATE(8786)] = 313297,
  [SMALL_STATE(8787)] = 313307,
  [SMALL_STATE(8788)] = 313317,
  [SMALL_STATE(8789)] = 313327,
  [SMALL_STATE(8790)] = 313337,
  [SMALL_STATE(8791)] = 313345,
  [SMALL_STATE(8792)] = 313355,
  [SMALL_STATE(8793)] = 313365,
  [SMALL_STATE(8794)] = 313375,
  [SMALL_STATE(8795)] = 313385,
  [SMALL_STATE(8796)] = 313395,
  [SMALL_STATE(8797)] = 313405,
  [SMALL_STATE(8798)] = 313415,
  [SMALL_STATE(8799)] = 313425,
  [SMALL_STATE(8800)] = 313435,
  [SMALL_STATE(8801)] = 313442,
  [SMALL_STATE(8802)] = 313449,
  [SMALL_STATE(8803)] = 313456,
  [SMALL_STATE(8804)] = 313463,
  [SMALL_STATE(8805)] = 313470,
  [SMALL_STATE(8806)] = 313477,
  [SMALL_STATE(8807)] = 313484,
  [SMALL_STATE(8808)] = 313491,
  [SMALL_STATE(8809)] = 313498,
  [SMALL_STATE(8810)] = 313505,
  [SMALL_STATE(8811)] = 313512,
  [SMALL_STATE(8812)] = 313519,
  [SMALL_STATE(8813)] = 313526,
  [SMALL_STATE(8814)] = 313533,
  [SMALL_STATE(8815)] = 313540,
  [SMALL_STATE(8816)] = 313547,
  [SMALL_STATE(8817)] = 313554,
  [SMALL_STATE(8818)] = 313561,
  [SMALL_STATE(8819)] = 313568,
  [SMALL_STATE(8820)] = 313575,
  [SMALL_STATE(8821)] = 313582,
  [SMALL_STATE(8822)] = 313589,
  [SMALL_STATE(8823)] = 313596,
  [SMALL_STATE(8824)] = 313603,
  [SMALL_STATE(8825)] = 313610,
  [SMALL_STATE(8826)] = 313617,
  [SMALL_STATE(8827)] = 313624,
  [SMALL_STATE(8828)] = 313631,
  [SMALL_STATE(8829)] = 313638,
  [SMALL_STATE(8830)] = 313645,
  [SMALL_STATE(8831)] = 313652,
  [SMALL_STATE(8832)] = 313659,
  [SMALL_STATE(8833)] = 313666,
  [SMALL_STATE(8834)] = 313673,
  [SMALL_STATE(8835)] = 313680,
  [SMALL_STATE(8836)] = 313687,
  [SMALL_STATE(8837)] = 313694,
  [SMALL_STATE(8838)] = 313701,
  [SMALL_STATE(8839)] = 313708,
  [SMALL_STATE(8840)] = 313715,
  [SMALL_STATE(8841)] = 313722,
  [SMALL_STATE(8842)] = 313729,
  [SMALL_STATE(8843)] = 313736,
  [SMALL_STATE(8844)] = 313743,
  [SMALL_STATE(8845)] = 313750,
  [SMALL_STATE(8846)] = 313757,
  [SMALL_STATE(8847)] = 313764,
  [SMALL_STATE(8848)] = 313771,
  [SMALL_STATE(8849)] = 313778,
  [SMALL_STATE(8850)] = 313785,
  [SMALL_STATE(8851)] = 313792,
  [SMALL_STATE(8852)] = 313799,
  [SMALL_STATE(8853)] = 313806,
  [SMALL_STATE(8854)] = 313813,
  [SMALL_STATE(8855)] = 313820,
  [SMALL_STATE(8856)] = 313827,
  [SMALL_STATE(8857)] = 313834,
  [SMALL_STATE(8858)] = 313841,
  [SMALL_STATE(8859)] = 313848,
  [SMALL_STATE(8860)] = 313855,
  [SMALL_STATE(8861)] = 313862,
  [SMALL_STATE(8862)] = 313869,
  [SMALL_STATE(8863)] = 313876,
  [SMALL_STATE(8864)] = 313883,
  [SMALL_STATE(8865)] = 313890,
  [SMALL_STATE(8866)] = 313897,
  [SMALL_STATE(8867)] = 313904,
  [SMALL_STATE(8868)] = 313911,
  [SMALL_STATE(8869)] = 313918,
  [SMALL_STATE(8870)] = 313925,
  [SMALL_STATE(8871)] = 313932,
  [SMALL_STATE(8872)] = 313939,
  [SMALL_STATE(8873)] = 313946,
  [SMALL_STATE(8874)] = 313953,
  [SMALL_STATE(8875)] = 313960,
  [SMALL_STATE(8876)] = 313967,
  [SMALL_STATE(8877)] = 313974,
  [SMALL_STATE(8878)] = 313981,
  [SMALL_STATE(8879)] = 313988,
  [SMALL_STATE(8880)] = 313995,
  [SMALL_STATE(8881)] = 314002,
  [SMALL_STATE(8882)] = 314009,
  [SMALL_STATE(8883)] = 314016,
  [SMALL_STATE(8884)] = 314023,
  [SMALL_STATE(8885)] = 314030,
  [SMALL_STATE(8886)] = 314037,
  [SMALL_STATE(8887)] = 314044,
  [SMALL_STATE(8888)] = 314051,
  [SMALL_STATE(8889)] = 314058,
  [SMALL_STATE(8890)] = 314065,
  [SMALL_STATE(8891)] = 314072,
  [SMALL_STATE(8892)] = 314079,
  [SMALL_STATE(8893)] = 314086,
  [SMALL_STATE(8894)] = 314093,
  [SMALL_STATE(8895)] = 314100,
  [SMALL_STATE(8896)] = 314107,
  [SMALL_STATE(8897)] = 314114,
  [SMALL_STATE(8898)] = 314121,
  [SMALL_STATE(8899)] = 314128,
  [SMALL_STATE(8900)] = 314135,
  [SMALL_STATE(8901)] = 314142,
  [SMALL_STATE(8902)] = 314149,
  [SMALL_STATE(8903)] = 314156,
  [SMALL_STATE(8904)] = 314163,
  [SMALL_STATE(8905)] = 314170,
  [SMALL_STATE(8906)] = 314177,
  [SMALL_STATE(8907)] = 314184,
  [SMALL_STATE(8908)] = 314191,
  [SMALL_STATE(8909)] = 314198,
  [SMALL_STATE(8910)] = 314205,
  [SMALL_STATE(8911)] = 314212,
  [SMALL_STATE(8912)] = 314219,
  [SMALL_STATE(8913)] = 314226,
  [SMALL_STATE(8914)] = 314233,
  [SMALL_STATE(8915)] = 314240,
  [SMALL_STATE(8916)] = 314247,
  [SMALL_STATE(8917)] = 314254,
  [SMALL_STATE(8918)] = 314261,
  [SMALL_STATE(8919)] = 314268,
  [SMALL_STATE(8920)] = 314275,
  [SMALL_STATE(8921)] = 314282,
  [SMALL_STATE(8922)] = 314289,
  [SMALL_STATE(8923)] = 314296,
  [SMALL_STATE(8924)] = 314303,
  [SMALL_STATE(8925)] = 314310,
  [SMALL_STATE(8926)] = 314317,
  [SMALL_STATE(8927)] = 314324,
  [SMALL_STATE(8928)] = 314331,
  [SMALL_STATE(8929)] = 314338,
  [SMALL_STATE(8930)] = 314345,
  [SMALL_STATE(8931)] = 314352,
  [SMALL_STATE(8932)] = 314359,
  [SMALL_STATE(8933)] = 314366,
  [SMALL_STATE(8934)] = 314373,
  [SMALL_STATE(8935)] = 314380,
  [SMALL_STATE(8936)] = 314387,
  [SMALL_STATE(8937)] = 314394,
  [SMALL_STATE(8938)] = 314401,
  [SMALL_STATE(8939)] = 314408,
  [SMALL_STATE(8940)] = 314415,
  [SMALL_STATE(8941)] = 314422,
  [SMALL_STATE(8942)] = 314429,
  [SMALL_STATE(8943)] = 314436,
  [SMALL_STATE(8944)] = 314443,
  [SMALL_STATE(8945)] = 314450,
  [SMALL_STATE(8946)] = 314457,
  [SMALL_STATE(8947)] = 314464,
  [SMALL_STATE(8948)] = 314471,
  [SMALL_STATE(8949)] = 314478,
  [SMALL_STATE(8950)] = 314485,
  [SMALL_STATE(8951)] = 314492,
  [SMALL_STATE(8952)] = 314499,
  [SMALL_STATE(8953)] = 314506,
  [SMALL_STATE(8954)] = 314513,
  [SMALL_STATE(8955)] = 314520,
  [SMALL_STATE(8956)] = 314527,
  [SMALL_STATE(8957)] = 314534,
  [SMALL_STATE(8958)] = 314541,
  [SMALL_STATE(8959)] = 314548,
  [SMALL_STATE(8960)] = 314555,
  [SMALL_STATE(8961)] = 314562,
  [SMALL_STATE(8962)] = 314569,
  [SMALL_STATE(8963)] = 314576,
  [SMALL_STATE(8964)] = 314583,
  [SMALL_STATE(8965)] = 314590,
  [SMALL_STATE(8966)] = 314597,
  [SMALL_STATE(8967)] = 314604,
  [SMALL_STATE(8968)] = 314611,
  [SMALL_STATE(8969)] = 314618,
  [SMALL_STATE(8970)] = 314625,
  [SMALL_STATE(8971)] = 314632,
  [SMALL_STATE(8972)] = 314639,
  [SMALL_STATE(8973)] = 314646,
  [SMALL_STATE(8974)] = 314653,
  [SMALL_STATE(8975)] = 314660,
  [SMALL_STATE(8976)] = 314667,
  [SMALL_STATE(8977)] = 314674,
  [SMALL_STATE(8978)] = 314681,
  [SMALL_STATE(8979)] = 314688,
  [SMALL_STATE(8980)] = 314695,
  [SMALL_STATE(8981)] = 314702,
  [SMALL_STATE(8982)] = 314709,
  [SMALL_STATE(8983)] = 314716,
  [SMALL_STATE(8984)] = 314723,
  [SMALL_STATE(8985)] = 314730,
  [SMALL_STATE(8986)] = 314737,
  [SMALL_STATE(8987)] = 314744,
  [SMALL_STATE(8988)] = 314751,
  [SMALL_STATE(8989)] = 314758,
  [SMALL_STATE(8990)] = 314765,
  [SMALL_STATE(8991)] = 314772,
  [SMALL_STATE(8992)] = 314779,
  [SMALL_STATE(8993)] = 314786,
  [SMALL_STATE(8994)] = 314793,
  [SMALL_STATE(8995)] = 314800,
  [SMALL_STATE(8996)] = 314807,
  [SMALL_STATE(8997)] = 314814,
  [SMALL_STATE(8998)] = 314821,
  [SMALL_STATE(8999)] = 314828,
  [SMALL_STATE(9000)] = 314835,
  [SMALL_STATE(9001)] = 314842,
  [SMALL_STATE(9002)] = 314849,
  [SMALL_STATE(9003)] = 314856,
  [SMALL_STATE(9004)] = 314863,
  [SMALL_STATE(9005)] = 314870,
  [SMALL_STATE(9006)] = 314877,
  [SMALL_STATE(9007)] = 314884,
  [SMALL_STATE(9008)] = 314891,
  [SMALL_STATE(9009)] = 314898,
  [SMALL_STATE(9010)] = 314905,
  [SMALL_STATE(9011)] = 314912,
  [SMALL_STATE(9012)] = 314919,
  [SMALL_STATE(9013)] = 314926,
  [SMALL_STATE(9014)] = 314933,
  [SMALL_STATE(9015)] = 314940,
  [SMALL_STATE(9016)] = 314947,
  [SMALL_STATE(9017)] = 314954,
  [SMALL_STATE(9018)] = 314961,
  [SMALL_STATE(9019)] = 314968,
  [SMALL_STATE(9020)] = 314975,
  [SMALL_STATE(9021)] = 314982,
  [SMALL_STATE(9022)] = 314989,
  [SMALL_STATE(9023)] = 314996,
  [SMALL_STATE(9024)] = 315003,
  [SMALL_STATE(9025)] = 315010,
  [SMALL_STATE(9026)] = 315017,
  [SMALL_STATE(9027)] = 315024,
  [SMALL_STATE(9028)] = 315031,
  [SMALL_STATE(9029)] = 315038,
  [SMALL_STATE(9030)] = 315045,
  [SMALL_STATE(9031)] = 315052,
  [SMALL_STATE(9032)] = 315059,
  [SMALL_STATE(9033)] = 315066,
  [SMALL_STATE(9034)] = 315073,
  [SMALL_STATE(9035)] = 315080,
  [SMALL_STATE(9036)] = 315087,
  [SMALL_STATE(9037)] = 315094,
  [SMALL_STATE(9038)] = 315101,
  [SMALL_STATE(9039)] = 315108,
  [SMALL_STATE(9040)] = 315115,
  [SMALL_STATE(9041)] = 315122,
  [SMALL_STATE(9042)] = 315129,
  [SMALL_STATE(9043)] = 315136,
  [SMALL_STATE(9044)] = 315143,
  [SMALL_STATE(9045)] = 315150,
  [SMALL_STATE(9046)] = 315157,
  [SMALL_STATE(9047)] = 315164,
  [SMALL_STATE(9048)] = 315171,
  [SMALL_STATE(9049)] = 315178,
  [SMALL_STATE(9050)] = 315185,
  [SMALL_STATE(9051)] = 315192,
  [SMALL_STATE(9052)] = 315199,
  [SMALL_STATE(9053)] = 315206,
  [SMALL_STATE(9054)] = 315213,
  [SMALL_STATE(9055)] = 315220,
  [SMALL_STATE(9056)] = 315227,
  [SMALL_STATE(9057)] = 315234,
  [SMALL_STATE(9058)] = 315241,
  [SMALL_STATE(9059)] = 315248,
  [SMALL_STATE(9060)] = 315255,
  [SMALL_STATE(9061)] = 315262,
  [SMALL_STATE(9062)] = 315269,
  [SMALL_STATE(9063)] = 315276,
  [SMALL_STATE(9064)] = 315283,
  [SMALL_STATE(9065)] = 315290,
  [SMALL_STATE(9066)] = 315297,
  [SMALL_STATE(9067)] = 315304,
  [SMALL_STATE(9068)] = 315311,
  [SMALL_STATE(9069)] = 315318,
  [SMALL_STATE(9070)] = 315325,
  [SMALL_STATE(9071)] = 315332,
  [SMALL_STATE(9072)] = 315339,
  [SMALL_STATE(9073)] = 315346,
  [SMALL_STATE(9074)] = 315353,
  [SMALL_STATE(9075)] = 315360,
  [SMALL_STATE(9076)] = 315367,
  [SMALL_STATE(9077)] = 315374,
  [SMALL_STATE(9078)] = 315381,
  [SMALL_STATE(9079)] = 315388,
  [SMALL_STATE(9080)] = 315395,
  [SMALL_STATE(9081)] = 315402,
  [SMALL_STATE(9082)] = 315409,
  [SMALL_STATE(9083)] = 315416,
  [SMALL_STATE(9084)] = 315423,
  [SMALL_STATE(9085)] = 315430,
  [SMALL_STATE(9086)] = 315437,
  [SMALL_STATE(9087)] = 315444,
  [SMALL_STATE(9088)] = 315451,
  [SMALL_STATE(9089)] = 315458,
  [SMALL_STATE(9090)] = 315465,
  [SMALL_STATE(9091)] = 315472,
  [SMALL_STATE(9092)] = 315479,
  [SMALL_STATE(9093)] = 315486,
  [SMALL_STATE(9094)] = 315493,
  [SMALL_STATE(9095)] = 315500,
  [SMALL_STATE(9096)] = 315507,
  [SMALL_STATE(9097)] = 315514,
  [SMALL_STATE(9098)] = 315521,
  [SMALL_STATE(9099)] = 315528,
  [SMALL_STATE(9100)] = 315535,
  [SMALL_STATE(9101)] = 315542,
  [SMALL_STATE(9102)] = 315549,
  [SMALL_STATE(9103)] = 315556,
  [SMALL_STATE(9104)] = 315563,
  [SMALL_STATE(9105)] = 315570,
  [SMALL_STATE(9106)] = 315577,
  [SMALL_STATE(9107)] = 315584,
  [SMALL_STATE(9108)] = 315591,
  [SMALL_STATE(9109)] = 315598,
  [SMALL_STATE(9110)] = 315605,
  [SMALL_STATE(9111)] = 315612,
  [SMALL_STATE(9112)] = 315619,
  [SMALL_STATE(9113)] = 315626,
  [SMALL_STATE(9114)] = 315633,
  [SMALL_STATE(9115)] = 315640,
  [SMALL_STATE(9116)] = 315647,
  [SMALL_STATE(9117)] = 315654,
  [SMALL_STATE(9118)] = 315661,
  [SMALL_STATE(9119)] = 315668,
  [SMALL_STATE(9120)] = 315675,
  [SMALL_STATE(9121)] = 315682,
  [SMALL_STATE(9122)] = 315689,
  [SMALL_STATE(9123)] = 315696,
  [SMALL_STATE(9124)] = 315703,
  [SMALL_STATE(9125)] = 315710,
  [SMALL_STATE(9126)] = 315717,
  [SMALL_STATE(9127)] = 315724,
  [SMALL_STATE(9128)] = 315731,
  [SMALL_STATE(9129)] = 315738,
  [SMALL_STATE(9130)] = 315745,
  [SMALL_STATE(9131)] = 315752,
  [SMALL_STATE(9132)] = 315759,
  [SMALL_STATE(9133)] = 315766,
  [SMALL_STATE(9134)] = 315773,
  [SMALL_STATE(9135)] = 315780,
  [SMALL_STATE(9136)] = 315787,
  [SMALL_STATE(9137)] = 315794,
  [SMALL_STATE(9138)] = 315801,
  [SMALL_STATE(9139)] = 315808,
  [SMALL_STATE(9140)] = 315815,
  [SMALL_STATE(9141)] = 315822,
  [SMALL_STATE(9142)] = 315829,
  [SMALL_STATE(9143)] = 315836,
  [SMALL_STATE(9144)] = 315843,
  [SMALL_STATE(9145)] = 315850,
  [SMALL_STATE(9146)] = 315857,
  [SMALL_STATE(9147)] = 315864,
  [SMALL_STATE(9148)] = 315871,
  [SMALL_STATE(9149)] = 315878,
  [SMALL_STATE(9150)] = 315885,
  [SMALL_STATE(9151)] = 315892,
  [SMALL_STATE(9152)] = 315899,
  [SMALL_STATE(9153)] = 315906,
  [SMALL_STATE(9154)] = 315913,
  [SMALL_STATE(9155)] = 315920,
  [SMALL_STATE(9156)] = 315927,
  [SMALL_STATE(9157)] = 315934,
  [SMALL_STATE(9158)] = 315941,
  [SMALL_STATE(9159)] = 315948,
  [SMALL_STATE(9160)] = 315955,
  [SMALL_STATE(9161)] = 315962,
  [SMALL_STATE(9162)] = 315969,
  [SMALL_STATE(9163)] = 315976,
  [SMALL_STATE(9164)] = 315983,
  [SMALL_STATE(9165)] = 315990,
  [SMALL_STATE(9166)] = 315997,
  [SMALL_STATE(9167)] = 316004,
  [SMALL_STATE(9168)] = 316011,
  [SMALL_STATE(9169)] = 316018,
  [SMALL_STATE(9170)] = 316025,
  [SMALL_STATE(9171)] = 316032,
  [SMALL_STATE(9172)] = 316039,
  [SMALL_STATE(9173)] = 316046,
  [SMALL_STATE(9174)] = 316053,
  [SMALL_STATE(9175)] = 316060,
  [SMALL_STATE(9176)] = 316067,
  [SMALL_STATE(9177)] = 316074,
  [SMALL_STATE(9178)] = 316081,
  [SMALL_STATE(9179)] = 316088,
  [SMALL_STATE(9180)] = 316095,
  [SMALL_STATE(9181)] = 316102,
  [SMALL_STATE(9182)] = 316109,
  [SMALL_STATE(9183)] = 316116,
  [SMALL_STATE(9184)] = 316123,
  [SMALL_STATE(9185)] = 316130,
  [SMALL_STATE(9186)] = 316137,
  [SMALL_STATE(9187)] = 316144,
  [SMALL_STATE(9188)] = 316151,
  [SMALL_STATE(9189)] = 316158,
  [SMALL_STATE(9190)] = 316165,
  [SMALL_STATE(9191)] = 316172,
  [SMALL_STATE(9192)] = 316179,
  [SMALL_STATE(9193)] = 316186,
  [SMALL_STATE(9194)] = 316193,
  [SMALL_STATE(9195)] = 316200,
  [SMALL_STATE(9196)] = 316207,
  [SMALL_STATE(9197)] = 316214,
  [SMALL_STATE(9198)] = 316221,
  [SMALL_STATE(9199)] = 316228,
  [SMALL_STATE(9200)] = 316235,
  [SMALL_STATE(9201)] = 316242,
  [SMALL_STATE(9202)] = 316249,
  [SMALL_STATE(9203)] = 316256,
  [SMALL_STATE(9204)] = 316263,
  [SMALL_STATE(9205)] = 316270,
  [SMALL_STATE(9206)] = 316277,
  [SMALL_STATE(9207)] = 316284,
  [SMALL_STATE(9208)] = 316291,
  [SMALL_STATE(9209)] = 316298,
  [SMALL_STATE(9210)] = 316305,
  [SMALL_STATE(9211)] = 316312,
  [SMALL_STATE(9212)] = 316319,
  [SMALL_STATE(9213)] = 316326,
  [SMALL_STATE(9214)] = 316333,
  [SMALL_STATE(9215)] = 316340,
  [SMALL_STATE(9216)] = 316347,
  [SMALL_STATE(9217)] = 316354,
  [SMALL_STATE(9218)] = 316361,
  [SMALL_STATE(9219)] = 316368,
  [SMALL_STATE(9220)] = 316375,
  [SMALL_STATE(9221)] = 316382,
  [SMALL_STATE(9222)] = 316389,
  [SMALL_STATE(9223)] = 316396,
  [SMALL_STATE(9224)] = 316403,
  [SMALL_STATE(9225)] = 316410,
  [SMALL_STATE(9226)] = 316417,
  [SMALL_STATE(9227)] = 316424,
  [SMALL_STATE(9228)] = 316431,
  [SMALL_STATE(9229)] = 316438,
  [SMALL_STATE(9230)] = 316445,
  [SMALL_STATE(9231)] = 316452,
  [SMALL_STATE(9232)] = 316459,
  [SMALL_STATE(9233)] = 316466,
  [SMALL_STATE(9234)] = 316473,
  [SMALL_STATE(9235)] = 316480,
  [SMALL_STATE(9236)] = 316487,
  [SMALL_STATE(9237)] = 316494,
  [SMALL_STATE(9238)] = 316501,
  [SMALL_STATE(9239)] = 316508,
  [SMALL_STATE(9240)] = 316515,
  [SMALL_STATE(9241)] = 316522,
  [SMALL_STATE(9242)] = 316529,
  [SMALL_STATE(9243)] = 316536,
  [SMALL_STATE(9244)] = 316543,
  [SMALL_STATE(9245)] = 316550,
  [SMALL_STATE(9246)] = 316557,
  [SMALL_STATE(9247)] = 316564,
  [SMALL_STATE(9248)] = 316571,
  [SMALL_STATE(9249)] = 316578,
  [SMALL_STATE(9250)] = 316585,
  [SMALL_STATE(9251)] = 316592,
  [SMALL_STATE(9252)] = 316599,
  [SMALL_STATE(9253)] = 316606,
  [SMALL_STATE(9254)] = 316613,
  [SMALL_STATE(9255)] = 316620,
  [SMALL_STATE(9256)] = 316627,
  [SMALL_STATE(9257)] = 316634,
  [SMALL_STATE(9258)] = 316641,
  [SMALL_STATE(9259)] = 316648,
  [SMALL_STATE(9260)] = 316655,
  [SMALL_STATE(9261)] = 316662,
  [SMALL_STATE(9262)] = 316669,
  [SMALL_STATE(9263)] = 316676,
  [SMALL_STATE(9264)] = 316683,
  [SMALL_STATE(9265)] = 316690,
  [SMALL_STATE(9266)] = 316697,
  [SMALL_STATE(9267)] = 316704,
  [SMALL_STATE(9268)] = 316711,
  [SMALL_STATE(9269)] = 316718,
  [SMALL_STATE(9270)] = 316725,
  [SMALL_STATE(9271)] = 316732,
  [SMALL_STATE(9272)] = 316739,
  [SMALL_STATE(9273)] = 316746,
  [SMALL_STATE(9274)] = 316753,
  [SMALL_STATE(9275)] = 316760,
  [SMALL_STATE(9276)] = 316767,
  [SMALL_STATE(9277)] = 316774,
  [SMALL_STATE(9278)] = 316781,
  [SMALL_STATE(9279)] = 316788,
  [SMALL_STATE(9280)] = 316795,
  [SMALL_STATE(9281)] = 316802,
  [SMALL_STATE(9282)] = 316809,
  [SMALL_STATE(9283)] = 316816,
  [SMALL_STATE(9284)] = 316823,
  [SMALL_STATE(9285)] = 316830,
  [SMALL_STATE(9286)] = 316837,
  [SMALL_STATE(9287)] = 316844,
  [SMALL_STATE(9288)] = 316851,
  [SMALL_STATE(9289)] = 316858,
  [SMALL_STATE(9290)] = 316865,
  [SMALL_STATE(9291)] = 316872,
  [SMALL_STATE(9292)] = 316879,
  [SMALL_STATE(9293)] = 316886,
  [SMALL_STATE(9294)] = 316893,
  [SMALL_STATE(9295)] = 316900,
  [SMALL_STATE(9296)] = 316907,
  [SMALL_STATE(9297)] = 316914,
  [SMALL_STATE(9298)] = 316921,
  [SMALL_STATE(9299)] = 316928,
  [SMALL_STATE(9300)] = 316935,
  [SMALL_STATE(9301)] = 316942,
  [SMALL_STATE(9302)] = 316949,
  [SMALL_STATE(9303)] = 316956,
  [SMALL_STATE(9304)] = 316963,
  [SMALL_STATE(9305)] = 316970,
  [SMALL_STATE(9306)] = 316977,
  [SMALL_STATE(9307)] = 316984,
  [SMALL_STATE(9308)] = 316991,
  [SMALL_STATE(9309)] = 316998,
  [SMALL_STATE(9310)] = 317005,
  [SMALL_STATE(9311)] = 317012,
  [SMALL_STATE(9312)] = 317019,
  [SMALL_STATE(9313)] = 317026,
  [SMALL_STATE(9314)] = 317033,
  [SMALL_STATE(9315)] = 317040,
  [SMALL_STATE(9316)] = 317047,
  [SMALL_STATE(9317)] = 317054,
  [SMALL_STATE(9318)] = 317061,
  [SMALL_STATE(9319)] = 317068,
  [SMALL_STATE(9320)] = 317075,
  [SMALL_STATE(9321)] = 317082,
  [SMALL_STATE(9322)] = 317089,
  [SMALL_STATE(9323)] = 317096,
  [SMALL_STATE(9324)] = 317103,
  [SMALL_STATE(9325)] = 317110,
  [SMALL_STATE(9326)] = 317117,
  [SMALL_STATE(9327)] = 317124,
  [SMALL_STATE(9328)] = 317131,
  [SMALL_STATE(9329)] = 317138,
  [SMALL_STATE(9330)] = 317145,
  [SMALL_STATE(9331)] = 317152,
  [SMALL_STATE(9332)] = 317159,
  [SMALL_STATE(9333)] = 317166,
  [SMALL_STATE(9334)] = 317173,
  [SMALL_STATE(9335)] = 317180,
  [SMALL_STATE(9336)] = 317187,
  [SMALL_STATE(9337)] = 317194,
  [SMALL_STATE(9338)] = 317201,
  [SMALL_STATE(9339)] = 317208,
  [SMALL_STATE(9340)] = 317215,
  [SMALL_STATE(9341)] = 317222,
  [SMALL_STATE(9342)] = 317229,
  [SMALL_STATE(9343)] = 317236,
  [SMALL_STATE(9344)] = 317243,
  [SMALL_STATE(9345)] = 317250,
  [SMALL_STATE(9346)] = 317257,
  [SMALL_STATE(9347)] = 317264,
  [SMALL_STATE(9348)] = 317271,
  [SMALL_STATE(9349)] = 317278,
  [SMALL_STATE(9350)] = 317285,
  [SMALL_STATE(9351)] = 317292,
  [SMALL_STATE(9352)] = 317299,
  [SMALL_STATE(9353)] = 317306,
  [SMALL_STATE(9354)] = 317313,
  [SMALL_STATE(9355)] = 317320,
  [SMALL_STATE(9356)] = 317327,
  [SMALL_STATE(9357)] = 317334,
  [SMALL_STATE(9358)] = 317341,
  [SMALL_STATE(9359)] = 317348,
  [SMALL_STATE(9360)] = 317355,
  [SMALL_STATE(9361)] = 317362,
  [SMALL_STATE(9362)] = 317369,
  [SMALL_STATE(9363)] = 317376,
  [SMALL_STATE(9364)] = 317383,
  [SMALL_STATE(9365)] = 317390,
  [SMALL_STATE(9366)] = 317397,
  [SMALL_STATE(9367)] = 317404,
  [SMALL_STATE(9368)] = 317411,
  [SMALL_STATE(9369)] = 317418,
  [SMALL_STATE(9370)] = 317425,
  [SMALL_STATE(9371)] = 317432,
  [SMALL_STATE(9372)] = 317439,
  [SMALL_STATE(9373)] = 317446,
  [SMALL_STATE(9374)] = 317453,
  [SMALL_STATE(9375)] = 317460,
  [SMALL_STATE(9376)] = 317467,
  [SMALL_STATE(9377)] = 317474,
  [SMALL_STATE(9378)] = 317481,
  [SMALL_STATE(9379)] = 317488,
  [SMALL_STATE(9380)] = 317495,
  [SMALL_STATE(9381)] = 317502,
  [SMALL_STATE(9382)] = 317509,
  [SMALL_STATE(9383)] = 317516,
  [SMALL_STATE(9384)] = 317523,
  [SMALL_STATE(9385)] = 317530,
  [SMALL_STATE(9386)] = 317537,
  [SMALL_STATE(9387)] = 317544,
  [SMALL_STATE(9388)] = 317551,
  [SMALL_STATE(9389)] = 317558,
  [SMALL_STATE(9390)] = 317565,
  [SMALL_STATE(9391)] = 317572,
  [SMALL_STATE(9392)] = 317579,
  [SMALL_STATE(9393)] = 317586,
  [SMALL_STATE(9394)] = 317593,
  [SMALL_STATE(9395)] = 317600,
  [SMALL_STATE(9396)] = 317607,
  [SMALL_STATE(9397)] = 317614,
  [SMALL_STATE(9398)] = 317621,
  [SMALL_STATE(9399)] = 317628,
  [SMALL_STATE(9400)] = 317635,
  [SMALL_STATE(9401)] = 317642,
  [SMALL_STATE(9402)] = 317649,
  [SMALL_STATE(9403)] = 317656,
  [SMALL_STATE(9404)] = 317663,
  [SMALL_STATE(9405)] = 317670,
  [SMALL_STATE(9406)] = 317677,
  [SMALL_STATE(9407)] = 317684,
  [SMALL_STATE(9408)] = 317691,
  [SMALL_STATE(9409)] = 317698,
  [SMALL_STATE(9410)] = 317705,
  [SMALL_STATE(9411)] = 317712,
  [SMALL_STATE(9412)] = 317719,
  [SMALL_STATE(9413)] = 317726,
  [SMALL_STATE(9414)] = 317733,
  [SMALL_STATE(9415)] = 317740,
  [SMALL_STATE(9416)] = 317747,
  [SMALL_STATE(9417)] = 317754,
  [SMALL_STATE(9418)] = 317761,
  [SMALL_STATE(9419)] = 317768,
  [SMALL_STATE(9420)] = 317775,
  [SMALL_STATE(9421)] = 317782,
  [SMALL_STATE(9422)] = 317789,
  [SMALL_STATE(9423)] = 317796,
  [SMALL_STATE(9424)] = 317803,
  [SMALL_STATE(9425)] = 317810,
  [SMALL_STATE(9426)] = 317817,
  [SMALL_STATE(9427)] = 317824,
  [SMALL_STATE(9428)] = 317831,
  [SMALL_STATE(9429)] = 317838,
  [SMALL_STATE(9430)] = 317845,
  [SMALL_STATE(9431)] = 317852,
  [SMALL_STATE(9432)] = 317859,
  [SMALL_STATE(9433)] = 317866,
  [SMALL_STATE(9434)] = 317873,
  [SMALL_STATE(9435)] = 317880,
  [SMALL_STATE(9436)] = 317887,
  [SMALL_STATE(9437)] = 317894,
  [SMALL_STATE(9438)] = 317901,
  [SMALL_STATE(9439)] = 317908,
  [SMALL_STATE(9440)] = 317915,
  [SMALL_STATE(9441)] = 317922,
  [SMALL_STATE(9442)] = 317929,
  [SMALL_STATE(9443)] = 317936,
  [SMALL_STATE(9444)] = 317943,
  [SMALL_STATE(9445)] = 317950,
  [SMALL_STATE(9446)] = 317957,
  [SMALL_STATE(9447)] = 317964,
  [SMALL_STATE(9448)] = 317971,
  [SMALL_STATE(9449)] = 317978,
  [SMALL_STATE(9450)] = 317985,
  [SMALL_STATE(9451)] = 317992,
  [SMALL_STATE(9452)] = 317999,
  [SMALL_STATE(9453)] = 318006,
  [SMALL_STATE(9454)] = 318013,
  [SMALL_STATE(9455)] = 318020,
  [SMALL_STATE(9456)] = 318027,
  [SMALL_STATE(9457)] = 318034,
  [SMALL_STATE(9458)] = 318041,
  [SMALL_STATE(9459)] = 318048,
  [SMALL_STATE(9460)] = 318055,
  [SMALL_STATE(9461)] = 318062,
  [SMALL_STATE(9462)] = 318069,
  [SMALL_STATE(9463)] = 318076,
  [SMALL_STATE(9464)] = 318083,
  [SMALL_STATE(9465)] = 318090,
  [SMALL_STATE(9466)] = 318097,
  [SMALL_STATE(9467)] = 318104,
  [SMALL_STATE(9468)] = 318111,
  [SMALL_STATE(9469)] = 318118,
  [SMALL_STATE(9470)] = 318125,
  [SMALL_STATE(9471)] = 318132,
  [SMALL_STATE(9472)] = 318139,
  [SMALL_STATE(9473)] = 318146,
  [SMALL_STATE(9474)] = 318153,
  [SMALL_STATE(9475)] = 318160,
  [SMALL_STATE(9476)] = 318167,
  [SMALL_STATE(9477)] = 318174,
  [SMALL_STATE(9478)] = 318181,
  [SMALL_STATE(9479)] = 318188,
  [SMALL_STATE(9480)] = 318195,
  [SMALL_STATE(9481)] = 318202,
  [SMALL_STATE(9482)] = 318209,
  [SMALL_STATE(9483)] = 318216,
  [SMALL_STATE(9484)] = 318223,
  [SMALL_STATE(9485)] = 318230,
  [SMALL_STATE(9486)] = 318237,
  [SMALL_STATE(9487)] = 318244,
  [SMALL_STATE(9488)] = 318251,
  [SMALL_STATE(9489)] = 318258,
  [SMALL_STATE(9490)] = 318265,
  [SMALL_STATE(9491)] = 318272,
  [SMALL_STATE(9492)] = 318279,
  [SMALL_STATE(9493)] = 318286,
  [SMALL_STATE(9494)] = 318293,
  [SMALL_STATE(9495)] = 318300,
  [SMALL_STATE(9496)] = 318307,
  [SMALL_STATE(9497)] = 318314,
  [SMALL_STATE(9498)] = 318321,
  [SMALL_STATE(9499)] = 318328,
  [SMALL_STATE(9500)] = 318335,
  [SMALL_STATE(9501)] = 318342,
  [SMALL_STATE(9502)] = 318349,
  [SMALL_STATE(9503)] = 318356,
  [SMALL_STATE(9504)] = 318363,
  [SMALL_STATE(9505)] = 318370,
  [SMALL_STATE(9506)] = 318377,
  [SMALL_STATE(9507)] = 318384,
  [SMALL_STATE(9508)] = 318391,
  [SMALL_STATE(9509)] = 318398,
  [SMALL_STATE(9510)] = 318405,
  [SMALL_STATE(9511)] = 318412,
  [SMALL_STATE(9512)] = 318419,
  [SMALL_STATE(9513)] = 318426,
  [SMALL_STATE(9514)] = 318433,
  [SMALL_STATE(9515)] = 318440,
  [SMALL_STATE(9516)] = 318447,
  [SMALL_STATE(9517)] = 318454,
  [SMALL_STATE(9518)] = 318461,
  [SMALL_STATE(9519)] = 318468,
  [SMALL_STATE(9520)] = 318475,
  [SMALL_STATE(9521)] = 318482,
  [SMALL_STATE(9522)] = 318489,
  [SMALL_STATE(9523)] = 318496,
  [SMALL_STATE(9524)] = 318503,
  [SMALL_STATE(9525)] = 318510,
  [SMALL_STATE(9526)] = 318517,
  [SMALL_STATE(9527)] = 318524,
  [SMALL_STATE(9528)] = 318531,
  [SMALL_STATE(9529)] = 318538,
  [SMALL_STATE(9530)] = 318545,
  [SMALL_STATE(9531)] = 318552,
  [SMALL_STATE(9532)] = 318559,
  [SMALL_STATE(9533)] = 318566,
  [SMALL_STATE(9534)] = 318573,
  [SMALL_STATE(9535)] = 318580,
  [SMALL_STATE(9536)] = 318587,
  [SMALL_STATE(9537)] = 318594,
  [SMALL_STATE(9538)] = 318601,
  [SMALL_STATE(9539)] = 318608,
  [SMALL_STATE(9540)] = 318615,
  [SMALL_STATE(9541)] = 318622,
  [SMALL_STATE(9542)] = 318629,
  [SMALL_STATE(9543)] = 318636,
  [SMALL_STATE(9544)] = 318643,
  [SMALL_STATE(9545)] = 318650,
  [SMALL_STATE(9546)] = 318657,
  [SMALL_STATE(9547)] = 318664,
  [SMALL_STATE(9548)] = 318671,
  [SMALL_STATE(9549)] = 318678,
  [SMALL_STATE(9550)] = 318685,
  [SMALL_STATE(9551)] = 318692,
  [SMALL_STATE(9552)] = 318699,
  [SMALL_STATE(9553)] = 318706,
  [SMALL_STATE(9554)] = 318713,
  [SMALL_STATE(9555)] = 318720,
  [SMALL_STATE(9556)] = 318727,
  [SMALL_STATE(9557)] = 318734,
  [SMALL_STATE(9558)] = 318741,
  [SMALL_STATE(9559)] = 318748,
  [SMALL_STATE(9560)] = 318755,
  [SMALL_STATE(9561)] = 318762,
  [SMALL_STATE(9562)] = 318769,
  [SMALL_STATE(9563)] = 318776,
  [SMALL_STATE(9564)] = 318783,
  [SMALL_STATE(9565)] = 318790,
  [SMALL_STATE(9566)] = 318797,
  [SMALL_STATE(9567)] = 318804,
  [SMALL_STATE(9568)] = 318811,
  [SMALL_STATE(9569)] = 318818,
  [SMALL_STATE(9570)] = 318825,
  [SMALL_STATE(9571)] = 318832,
  [SMALL_STATE(9572)] = 318839,
  [SMALL_STATE(9573)] = 318846,
  [SMALL_STATE(9574)] = 318853,
  [SMALL_STATE(9575)] = 318860,
  [SMALL_STATE(9576)] = 318867,
  [SMALL_STATE(9577)] = 318874,
  [SMALL_STATE(9578)] = 318881,
  [SMALL_STATE(9579)] = 318888,
  [SMALL_STATE(9580)] = 318895,
  [SMALL_STATE(9581)] = 318902,
  [SMALL_STATE(9582)] = 318909,
  [SMALL_STATE(9583)] = 318916,
  [SMALL_STATE(9584)] = 318923,
  [SMALL_STATE(9585)] = 318930,
  [SMALL_STATE(9586)] = 318937,
  [SMALL_STATE(9587)] = 318944,
  [SMALL_STATE(9588)] = 318951,
  [SMALL_STATE(9589)] = 318958,
  [SMALL_STATE(9590)] = 318965,
  [SMALL_STATE(9591)] = 318972,
  [SMALL_STATE(9592)] = 318979,
  [SMALL_STATE(9593)] = 318986,
  [SMALL_STATE(9594)] = 318993,
  [SMALL_STATE(9595)] = 319000,
  [SMALL_STATE(9596)] = 319007,
  [SMALL_STATE(9597)] = 319014,
  [SMALL_STATE(9598)] = 319021,
  [SMALL_STATE(9599)] = 319028,
  [SMALL_STATE(9600)] = 319035,
  [SMALL_STATE(9601)] = 319042,
  [SMALL_STATE(9602)] = 319049,
  [SMALL_STATE(9603)] = 319056,
  [SMALL_STATE(9604)] = 319063,
  [SMALL_STATE(9605)] = 319070,
  [SMALL_STATE(9606)] = 319077,
  [SMALL_STATE(9607)] = 319084,
  [SMALL_STATE(9608)] = 319091,
  [SMALL_STATE(9609)] = 319098,
  [SMALL_STATE(9610)] = 319105,
  [SMALL_STATE(9611)] = 319112,
  [SMALL_STATE(9612)] = 319119,
  [SMALL_STATE(9613)] = 319126,
  [SMALL_STATE(9614)] = 319133,
  [SMALL_STATE(9615)] = 319140,
  [SMALL_STATE(9616)] = 319147,
  [SMALL_STATE(9617)] = 319154,
  [SMALL_STATE(9618)] = 319161,
  [SMALL_STATE(9619)] = 319168,
  [SMALL_STATE(9620)] = 319175,
  [SMALL_STATE(9621)] = 319182,
  [SMALL_STATE(9622)] = 319189,
  [SMALL_STATE(9623)] = 319196,
  [SMALL_STATE(9624)] = 319203,
  [SMALL_STATE(9625)] = 319210,
  [SMALL_STATE(9626)] = 319217,
  [SMALL_STATE(9627)] = 319224,
  [SMALL_STATE(9628)] = 319231,
  [SMALL_STATE(9629)] = 319238,
  [SMALL_STATE(9630)] = 319245,
  [SMALL_STATE(9631)] = 319252,
  [SMALL_STATE(9632)] = 319259,
  [SMALL_STATE(9633)] = 319266,
  [SMALL_STATE(9634)] = 319273,
  [SMALL_STATE(9635)] = 319280,
  [SMALL_STATE(9636)] = 319287,
  [SMALL_STATE(9637)] = 319294,
  [SMALL_STATE(9638)] = 319301,
  [SMALL_STATE(9639)] = 319308,
  [SMALL_STATE(9640)] = 319315,
  [SMALL_STATE(9641)] = 319322,
  [SMALL_STATE(9642)] = 319329,
  [SMALL_STATE(9643)] = 319336,
  [SMALL_STATE(9644)] = 319343,
  [SMALL_STATE(9645)] = 319350,
  [SMALL_STATE(9646)] = 319357,
  [SMALL_STATE(9647)] = 319364,
  [SMALL_STATE(9648)] = 319371,
  [SMALL_STATE(9649)] = 319378,
  [SMALL_STATE(9650)] = 319385,
  [SMALL_STATE(9651)] = 319392,
  [SMALL_STATE(9652)] = 319399,
  [SMALL_STATE(9653)] = 319406,
  [SMALL_STATE(9654)] = 319413,
  [SMALL_STATE(9655)] = 319420,
  [SMALL_STATE(9656)] = 319427,
  [SMALL_STATE(9657)] = 319434,
  [SMALL_STATE(9658)] = 319441,
  [SMALL_STATE(9659)] = 319448,
  [SMALL_STATE(9660)] = 319455,
  [SMALL_STATE(9661)] = 319462,
  [SMALL_STATE(9662)] = 319469,
  [SMALL_STATE(9663)] = 319476,
  [SMALL_STATE(9664)] = 319483,
  [SMALL_STATE(9665)] = 319490,
  [SMALL_STATE(9666)] = 319497,
  [SMALL_STATE(9667)] = 319504,
  [SMALL_STATE(9668)] = 319511,
  [SMALL_STATE(9669)] = 319518,
  [SMALL_STATE(9670)] = 319525,
  [SMALL_STATE(9671)] = 319532,
  [SMALL_STATE(9672)] = 319539,
  [SMALL_STATE(9673)] = 319546,
  [SMALL_STATE(9674)] = 319553,
  [SMALL_STATE(9675)] = 319560,
  [SMALL_STATE(9676)] = 319567,
  [SMALL_STATE(9677)] = 319574,
  [SMALL_STATE(9678)] = 319581,
  [SMALL_STATE(9679)] = 319588,
  [SMALL_STATE(9680)] = 319595,
  [SMALL_STATE(9681)] = 319602,
  [SMALL_STATE(9682)] = 319609,
  [SMALL_STATE(9683)] = 319616,
  [SMALL_STATE(9684)] = 319623,
  [SMALL_STATE(9685)] = 319630,
  [SMALL_STATE(9686)] = 319637,
  [SMALL_STATE(9687)] = 319644,
  [SMALL_STATE(9688)] = 319651,
  [SMALL_STATE(9689)] = 319658,
  [SMALL_STATE(9690)] = 319665,
  [SMALL_STATE(9691)] = 319672,
  [SMALL_STATE(9692)] = 319679,
  [SMALL_STATE(9693)] = 319686,
  [SMALL_STATE(9694)] = 319693,
  [SMALL_STATE(9695)] = 319700,
  [SMALL_STATE(9696)] = 319707,
  [SMALL_STATE(9697)] = 319714,
  [SMALL_STATE(9698)] = 319721,
  [SMALL_STATE(9699)] = 319728,
  [SMALL_STATE(9700)] = 319735,
  [SMALL_STATE(9701)] = 319742,
  [SMALL_STATE(9702)] = 319749,
  [SMALL_STATE(9703)] = 319756,
  [SMALL_STATE(9704)] = 319763,
  [SMALL_STATE(9705)] = 319770,
  [SMALL_STATE(9706)] = 319777,
  [SMALL_STATE(9707)] = 319784,
  [SMALL_STATE(9708)] = 319791,
  [SMALL_STATE(9709)] = 319798,
  [SMALL_STATE(9710)] = 319805,
  [SMALL_STATE(9711)] = 319812,
  [SMALL_STATE(9712)] = 319819,
  [SMALL_STATE(9713)] = 319826,
  [SMALL_STATE(9714)] = 319833,
  [SMALL_STATE(9715)] = 319840,
  [SMALL_STATE(9716)] = 319847,
  [SMALL_STATE(9717)] = 319854,
  [SMALL_STATE(9718)] = 319861,
  [SMALL_STATE(9719)] = 319868,
  [SMALL_STATE(9720)] = 319875,
  [SMALL_STATE(9721)] = 319882,
  [SMALL_STATE(9722)] = 319889,
  [SMALL_STATE(9723)] = 319896,
  [SMALL_STATE(9724)] = 319903,
  [SMALL_STATE(9725)] = 319910,
  [SMALL_STATE(9726)] = 319917,
  [SMALL_STATE(9727)] = 319924,
  [SMALL_STATE(9728)] = 319931,
  [SMALL_STATE(9729)] = 319938,
  [SMALL_STATE(9730)] = 319945,
  [SMALL_STATE(9731)] = 319952,
  [SMALL_STATE(9732)] = 319959,
  [SMALL_STATE(9733)] = 319966,
  [SMALL_STATE(9734)] = 319973,
  [SMALL_STATE(9735)] = 319980,
  [SMALL_STATE(9736)] = 319987,
  [SMALL_STATE(9737)] = 319994,
  [SMALL_STATE(9738)] = 320001,
  [SMALL_STATE(9739)] = 320008,
  [SMALL_STATE(9740)] = 320015,
  [SMALL_STATE(9741)] = 320022,
  [SMALL_STATE(9742)] = 320029,
  [SMALL_STATE(9743)] = 320036,
  [SMALL_STATE(9744)] = 320043,
  [SMALL_STATE(9745)] = 320050,
  [SMALL_STATE(9746)] = 320057,
  [SMALL_STATE(9747)] = 320064,
  [SMALL_STATE(9748)] = 320071,
  [SMALL_STATE(9749)] = 320078,
  [SMALL_STATE(9750)] = 320085,
  [SMALL_STATE(9751)] = 320092,
  [SMALL_STATE(9752)] = 320099,
  [SMALL_STATE(9753)] = 320106,
  [SMALL_STATE(9754)] = 320113,
  [SMALL_STATE(9755)] = 320120,
  [SMALL_STATE(9756)] = 320127,
  [SMALL_STATE(9757)] = 320134,
  [SMALL_STATE(9758)] = 320141,
  [SMALL_STATE(9759)] = 320148,
  [SMALL_STATE(9760)] = 320155,
  [SMALL_STATE(9761)] = 320162,
  [SMALL_STATE(9762)] = 320169,
  [SMALL_STATE(9763)] = 320176,
  [SMALL_STATE(9764)] = 320183,
  [SMALL_STATE(9765)] = 320190,
  [SMALL_STATE(9766)] = 320197,
  [SMALL_STATE(9767)] = 320204,
  [SMALL_STATE(9768)] = 320211,
  [SMALL_STATE(9769)] = 320218,
  [SMALL_STATE(9770)] = 320225,
  [SMALL_STATE(9771)] = 320232,
  [SMALL_STATE(9772)] = 320239,
  [SMALL_STATE(9773)] = 320246,
  [SMALL_STATE(9774)] = 320253,
  [SMALL_STATE(9775)] = 320260,
  [SMALL_STATE(9776)] = 320267,
  [SMALL_STATE(9777)] = 320274,
  [SMALL_STATE(9778)] = 320281,
  [SMALL_STATE(9779)] = 320288,
  [SMALL_STATE(9780)] = 320295,
  [SMALL_STATE(9781)] = 320302,
  [SMALL_STATE(9782)] = 320309,
  [SMALL_STATE(9783)] = 320316,
  [SMALL_STATE(9784)] = 320323,
  [SMALL_STATE(9785)] = 320330,
  [SMALL_STATE(9786)] = 320337,
  [SMALL_STATE(9787)] = 320344,
  [SMALL_STATE(9788)] = 320351,
  [SMALL_STATE(9789)] = 320358,
  [SMALL_STATE(9790)] = 320365,
  [SMALL_STATE(9791)] = 320372,
  [SMALL_STATE(9792)] = 320379,
  [SMALL_STATE(9793)] = 320386,
  [SMALL_STATE(9794)] = 320393,
  [SMALL_STATE(9795)] = 320400,
  [SMALL_STATE(9796)] = 320407,
  [SMALL_STATE(9797)] = 320414,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9790),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9785),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9729),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5944),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8398),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8437),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9706),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9699),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9697),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9694),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9689),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9684),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9679),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7513),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9668),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7338),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9659),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9658),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6182),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9740),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9102),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8279),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9410),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9742),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9504),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8972),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7329),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7245),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9590),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9591),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7323),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8920),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8917),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9143),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9589),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9754),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9722),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8898),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8770),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9623),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8756),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7319),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7242),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9670),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9671),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7328),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8944),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8638),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8101),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9669),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9096),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8869),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9034),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7332),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9691),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 10),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7323),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8920),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6389),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8917),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8408),
  [453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(619),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5963),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4103),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7294),
  [492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8432),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4542),
  [504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(97),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4039),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6941),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5943),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5944),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8403),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8749),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1795),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9099),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8419),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9589),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9754),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9722),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8898),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8770),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9623),
  [576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9687),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9679),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4928),
  [597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8397),
  [600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4482),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4495),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5007),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5889),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8756),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1485),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7319),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7242),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9670),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9671),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5713),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6182),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 78),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 78),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 10),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7328),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8944),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6387),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8860),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8638),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3975),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4682),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3266),
  [722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4077),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8101),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8768),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1876),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9088),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8751),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9669),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9096),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9094),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8869),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9034),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2001),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8766),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7332),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7207),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9691),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9682),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1152),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7374),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9740),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6470),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9102),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8549),
  [860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4031),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4648),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3335),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4175),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8279),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8417),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1685),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9409),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8532),
  [895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9241),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9410),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9411),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9742),
  [913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8486),
  [916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9504),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2000),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8425),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7329),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7245),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9590),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9591),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6440),
  [980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8945),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4669),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9205),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9680),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9098),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9100),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9174),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8723),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7325),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9700),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1149),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7354),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9013),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6440),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8945),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8614),
  [1090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4010),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4669),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3276),
  [1102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4162),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8022),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8728),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1913),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9205),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8767),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9680),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9098),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9100),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8954),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8717),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9174),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2002),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1530),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7325),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(7197),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9700),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(9692),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1175),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7336),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9790),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6397),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9788),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8407),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1663),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(619),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5963),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4110),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4667),
  [1227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [1233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7294),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [1239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [1242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8432),
  [1245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4542),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [1254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [1257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4029),
  [1263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [1266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [1269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6941),
  [1272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5943),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5944),
  [1281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8398),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8437),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1886),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9706),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8438),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9699),
  [1302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9697),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9694),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9689),
  [1314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [1317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [1320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9687),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9679),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [1332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4928),
  [1335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8397),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [1341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5594),
  [1344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4495),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [1350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5007),
  [1362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5889),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1999),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [1371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8448),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7338),
  [1383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(7260),
  [1386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9659),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(9658),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5713),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6182),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 14),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1300),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [1446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [1449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4103),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [1475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7294),
  [1478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8746),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [1484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(97),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6941),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5943),
  [1508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5944),
  [1511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8403),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8749),
  [1517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8419),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9589),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9754),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9722),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8898),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8770),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9623),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9687),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9679),
  [1559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4928),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8397),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4482),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4495),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5889),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8457),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8756),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1485),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1492),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1743),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5713),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6182),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 14),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3975),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4682),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8101),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8768),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8751),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9669),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9096),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9094),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8869),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8758),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9034),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8766),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1515),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9657),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(648),
  [1704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4031),
  [1707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4648),
  [1710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [1713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8279),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8417),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8532),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9241),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9410),
  [1734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9411),
  [1737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9742),
  [1740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8486),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9504),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8425),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1502),
  [1752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [1755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1680),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4010),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4669),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8022),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8728),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8767),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9680),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1347),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9098),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9100),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8954),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8717),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9174),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8723),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1530),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1584),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1299),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(658),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4110),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4667),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8398),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8437),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8438),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9699),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9697),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9694),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9689),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8446),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9657),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8448),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1493),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8697),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8724),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9690),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9167),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9404),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9018),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8689),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8891),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4842),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4650),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8697),
  [1941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8724),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9690),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9167),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9404),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9018),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8689),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8891),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8669),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1578),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1915),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9606),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5949),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9761),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9794),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7516),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6167),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7153),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9752),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9791),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 45),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7815),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9755),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9792),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9611),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7710),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9524),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9770),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9797),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7842),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9763),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7788),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9487),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9764),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7539),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4255),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2371),
  [2365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(260),
  [2368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1662),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1662),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1883),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(658),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7294),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8746),
  [2386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(85),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1411),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7842),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8398),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8437),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1886),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9706),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8438),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(202),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9699),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1341),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9697),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9694),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9689),
  [2428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8446),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9657),
  [2434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1906),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1513),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9687),
  [2443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9684),
  [2446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9679),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7513),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4928),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8397),
  [2458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7909),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4482),
  [2464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(4495),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9611),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8457),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8448),
  [2476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1895),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1493),
  [2482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1508),
  [2485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1735),
  [2488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8449),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1681),
  [2494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(5713),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(6182),
  [2500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2346),
  [2503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1197),
  [2506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(90),
  [2509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(7969),
  [2512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8697),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1732),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9763),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8724),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(201),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9690),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1329),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9167),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9404),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9018),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8689),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8891),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8669),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1586),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1578),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1915),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2368),
  [2563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(535),
  [2566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(52),
  [2569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8101),
  [2572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8768),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1876),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9088),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8751),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(209),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9669),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1345),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9096),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9094),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8869),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8758),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9034),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8766),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1498),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1515),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1797),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2300),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(302),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(97),
  [2629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8403),
  [2632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8749),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1795),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9099),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8419),
  [2644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(211),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9589),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1332),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9754),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9722),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8898),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8770),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9623),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8756),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1485),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1492),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1743),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2297),
  [2683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(648),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8282),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8409),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9417),
  [2695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8610),
  [2698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9504),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [2703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2309),
  [2706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(659),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(81),
  [2712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8022),
  [2715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8728),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1913),
  [2721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9205),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8767),
  [2727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(205),
  [2730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9680),
  [2733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1347),
  [2736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9098),
  [2739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9100),
  [2742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8954),
  [2745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8717),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9174),
  [2751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8723),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1530),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1584),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1879),
  [2763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(2263),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(53),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8279),
  [2772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8417),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1685),
  [2778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9409),
  [2781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8532),
  [2784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(174),
  [2787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9241),
  [2790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1337),
  [2793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9410),
  [2796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9411),
  [2799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(9742),
  [2802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8486),
  [2805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(8425),
  [2808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1502),
  [2811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1503),
  [2814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT(1680),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 9),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8792),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0),
  [2827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8792),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, 0, 46),
  [2846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, 0, 9),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8743),
  [2852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8743),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 103),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 159),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 51),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 131),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 66),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 66),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, 0, 151),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 150),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 85),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, 0, 9),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 104),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 113),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 113),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 114),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 114),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 167),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 167),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 55),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 53),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 131),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 85),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, 0, 9),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 52),
  [2983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 145),
  [2987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 52),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, 0, 177),
  [2999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [3003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 146),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 146),
  [3007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [3013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 128),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6483),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8936),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9588),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6013),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7884),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8918),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9708),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 135),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 5, 0, 136),
  [3081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8706),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8615),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, 0, 26),
  [3096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(2158),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7294),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1, 0, 0),
  [3108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(7842),
  [3111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(9611),
  [3114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_init_statement, 1, 0, 0), SHIFT(8457),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 67),
  [3121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(2158),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7294),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(7842),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(9611),
  [3135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(8457),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 78),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, 0, 204),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3, 0, 0),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 127),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, 0, 5),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 126),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, 0, 125),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, 0, 193),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, 0, 121),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8510),
  [3181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 175),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, 0, 174),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 169),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 169),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pure_virtual_clause, 3, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3, 0, 0),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, 0, 10),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 116),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8706),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, 0, 163),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 111),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4, 0, 0),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, 0, 57),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, 0, 58),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, 0, 162),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 94),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 93),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, 0, 92),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 10),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 161),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 79),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 78),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 77),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 76),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, 0, 75),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, 0, 5),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 5),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 75),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, 0, 160),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, 0, 69),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 3),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 48),
  [3325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 60),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8615),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 9),
  [3336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, 0, 57),
  [3344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 25),
  [3348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, 0, 26),
  [3352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, 0, 5),
  [3356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(2158),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7294),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(7842),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(9611),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0), SHIFT(8457),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, 0, 26),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, 0, 25),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 37),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 10),
  [3393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 10),
  [3397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 38),
  [3401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 46),
  [3405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 44),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9445),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9758),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7506),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9469),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 10),
  [3543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8818),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [3547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4645),
  [3551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [3553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7225),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9716),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 78),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 78),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 10),
  [3569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [3573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4616),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9067),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6483),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9485),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8781),
  [3592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5502),
  [3595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9593),
  [3598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [3601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5963),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5963),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4061),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4664),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [3616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6257),
  [3622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8774),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8432),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9588),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3369),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6879),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6013),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6023),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6025),
  [3655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3146),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [3661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [3664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [3667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5007),
  [3670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5891),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7884),
  [3676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [3679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2047),
  [3682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8918),
  [3685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7248),
  [3688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9708),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [3723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9111),
  [3726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6388),
  [3729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8818),
  [3732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8555),
  [3735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4136),
  [3738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4645),
  [3741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7886),
  [3744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2043),
  [3747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7225),
  [3750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9716),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7880),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9506),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9767),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9796),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5166),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6411),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7939),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7211),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9681),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9154),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6406),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8902),
  [3824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8642),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4155),
  [3830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4635),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7865),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2046),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7252),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9724),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9154),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6406),
  [3877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8642),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4635),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7865),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7252),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9724),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [3917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [3941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8859),
  [3944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6411),
  [3947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8929),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8657),
  [3953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4179),
  [3956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4642),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [3961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7939),
  [3964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2045),
  [3967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7211),
  [3970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9681),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, 0, 28),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6836),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6887),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6745),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7688),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9285),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9709),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9731),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9725),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7900),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9712),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7813),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9685),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9727),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9717),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9695),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9701),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9675),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9704),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3, 0, 0),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4, 0, 0),
  [4111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1, 0, 0),
  [4121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4129] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(447),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [4148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 1),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [4155] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8660),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [4170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [4182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [4192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7305),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [4320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(2158),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [4326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [4329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1883),
  [4335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(3350),
  [4338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7294),
  [4341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1620),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0),
  [4346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [4349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7842),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1906),
  [4355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1513),
  [4358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(9687),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(9679),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7513),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4928),
  [4373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8397),
  [4376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7909),
  [4379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4482),
  [4382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(4495),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(9611),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(7305),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8457),
  [4394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1895),
  [4397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(8449),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(1681),
  [4403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(5713),
  [4406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2, 0, 0), SHIFT_REPEAT(6182),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(472),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [4516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [4524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8990),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9517),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9507),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8850),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [4588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2, 0, 0),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [4602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8930),
  [4605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8995),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9007),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9012),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9027),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9030),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9043),
  [4623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9053),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9069),
  [4629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9076),
  [4632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9077),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 186),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 0),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 78),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 149),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8950),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 105),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 1, 105),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1, 0, 0),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [4784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [4790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9125),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8874),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [4863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8905),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8894),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8803),
  [4878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9299),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [4883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8875),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8821),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8824),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9509),
  [4896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8835),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8837),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [4922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8839),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [4927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8842),
  [4930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8846),
  [4933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8858),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8816),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8865),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [4952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8882),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [4965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(8896),
  [4968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9101),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9649),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [4981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9022),
  [4984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9087),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9522),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9130),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [5008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9081),
  [5011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9297),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7573),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [5088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [5093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34),
  [5095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), REDUCE(sym_qualified_type_identifier, 2, 0, 35),
  [5098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(518),
  [5101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 1, 0),
  [5105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [5107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 1, 0),
  [5109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 3, 0),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, 2, 0),
  [5117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 3, 0),
  [5121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [5123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2, 0, 0),
  [5125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [5127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, 2, 0),
  [5129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16),
  [5131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, 0, 17),
  [5133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [5136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, 0, 16),
  [5138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, 0, 17),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, 0, 16), REDUCE(sym_template_function, 2, 0, 17),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [5163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(462),
  [5166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(462),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [5177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(463),
  [5180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(486),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6005),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5970),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6010),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [5259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [5263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(477),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [5272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3, 0, 0),
  [5276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 123),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, 0, 40),
  [5284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3, 0, 0),
  [5288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, 0, 124),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [5300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, 0, 54),
  [5304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, 0, 173),
  [5308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [5311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [5315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7693),
  [5318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8439),
  [5321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 73),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [5331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 72),
  [5335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, 0, 21),
  [5339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, 0, 65),
  [5343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2, 0, 0),
  [5347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 32),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, 0, 144),
  [5357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, 0, 14),
  [5361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2079),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, 0, 205),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [5376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5, 0, 0),
  [5380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8648),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(446),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [5411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8648),
  [5414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 6),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9486),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6673),
  [5426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2111),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7331),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9238),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9240),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [5447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [5449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 63),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [5469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 90),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(477),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 20),
  [5480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(506),
  [5483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(463),
  [5486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 1),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [5490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8632),
  [5493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(444),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 45),
  [5504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(482),
  [5507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, 0, 34),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [5513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2, 0, 0),
  [5517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [5520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(518),
  [5523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__expression_not_binary, 1, 0, 0),
  [5526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 206),
  [5530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 197),
  [5534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 196),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 206),
  [5542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 192),
  [5546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 175),
  [5550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, -1, 0),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9604),
  [5558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 179),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 197),
  [5566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 178),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 196),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 66),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 10),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2, 0, 0),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 56),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 66),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 67),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, 0, 66),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 192),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 128),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 78),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 127),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, 0, 0),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0),
  [5630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(484),
  [5633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4, 0, 0),
  [5635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4, 0, 0),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [5639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 179),
  [5643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 178),
  [5647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 66),
  [5651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 10),
  [5655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 79),
  [5659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 78),
  [5663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2, 0, 0),
  [5667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 56),
  [5671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [5673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [5675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2503),
  [5678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2281),
  [5681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7916),
  [5684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8413),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 10),
  [5691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 9),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8677),
  [5697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [5700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7906),
  [5703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8414),
  [5706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, 0, 12),
  [5710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(464),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 6),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 11),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [5729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [5733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [5737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [5747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8628),
  [5750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, 0, 27),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [5760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 140),
  [5764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [5766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 12),
  [5770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 12),
  [5774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, 0, 13),
  [5778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, 0, 12),
  [5782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, 0, 141),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(7080),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [5795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 98),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [5803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [5811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(9008),
  [5814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 96),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1, 0, 0),
  [5826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, 0, 142),
  [5830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 46),
  [5834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [5838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 102),
  [5842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [5846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [5850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 94),
  [5854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 49),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [5866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 46),
  [5870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 47),
  [5874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, 0, 97),
  [5878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 48),
  [5882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 49),
  [5886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [5890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, 0, 101),
  [5894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 50),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [5900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8677),
  [5903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2364),
  [5906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7930),
  [5909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8440),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4, 0, 0),
  [5916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [5924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 5),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 46),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 168),
  [5946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 48),
  [5950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 50),
  [5954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, 0, 9),
  [5958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 94),
  [5962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 41),
  [5966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 99),
  [5970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 102),
  [5974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, 0, 46),
  [5978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1, 0, 0), SHIFT(484),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, 0, 11),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [5995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 140),
  [5999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [6001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, 0, 141),
  [6003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [6006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7706),
  [6009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8424),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [6014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [6016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 84),
  [6018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type_declarator, 2, 1, 0),
  [6022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2537),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [6035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [6037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 170),
  [6041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2, 0, 0),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [6047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [6049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 2),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [6053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 1),
  [6057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [6061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 26),
  [6065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 43),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [6071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0),
  [6075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8698),
  [6078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [6080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 18),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 20),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [6088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [6090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 36),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [6094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2538),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [6099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 20),
  [6103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 36),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [6109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 134),
  [6113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 62),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [6120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 86),
  [6124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [6128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 117),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [6134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 26),
  [6138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [6140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 110),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [6148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(477),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9569),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 42),
  [6159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 89),
  [6163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [6167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2822),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [6172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [6188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 118),
  [6190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 118),
  [6192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2742),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [6197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 47),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [6203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 10),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [6213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 70),
  [6215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 70),
  [6217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [6219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 119),
  [6221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6748),
  [6223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [6235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, 0, 164),
  [6239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [6241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2816),
  [6244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7658),
  [6247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8426),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [6254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(506),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6802),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [6271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, 0, 54),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [6277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [6279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [6282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 4),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [6294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, 0, 4),
  [6298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [6300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [6303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, 0, 164),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [6311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 40),
  [6315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 4),
  [6319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2860),
  [6322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 54),
  [6326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2, 0, 0),
  [6330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, 0, 17),
  [6332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, 0, 17),
  [6334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, 0, 34),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [6346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, 0, 22),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [6358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [6368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 14),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2, 0, 0),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 83),
  [6382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, 0, 74),
  [6386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(477),
  [6389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [6391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [6393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, 0, 8),
  [6397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2897),
  [6400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 45),
  [6404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 20),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [6412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [6422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 54),
  [6426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 214),
  [6430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, 0, 30),
  [6434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 106),
  [6438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [6442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 211),
  [6446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 210),
  [6450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [6454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 108),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [6460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [6462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [6464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [6466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 133),
  [6470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 203),
  [6474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 202),
  [6478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4, 0, 0),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 2),
  [6486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 190),
  [6490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 189),
  [6494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 187),
  [6498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [6502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2, 0, 0),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [6508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3, 0, 0),
  [6512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [6514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [6516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3, 0, 0),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [6524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [6528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [6534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 109),
  [6538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 61),
  [6542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [6544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [6546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, 0, 176),
  [6550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [6560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [6564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 29),
  [6568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 165),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [6578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 155),
  [6582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 154),
  [6586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, 0, 152),
  [6590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, 0, 132),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [6598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 88),
  [6602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [6606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 83),
  [6610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2, 0, 0),
  [6614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 71),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [6620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [6624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2, 0, 0),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3357),
  [6636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9216),
  [6638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(463),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [6649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4, 0, 0),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [6665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3, 0, 0),
  [6669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [6672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7721),
  [6675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8441),
  [6678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [6680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2, 0, 0),
  [6684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [6688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [6690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [6692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [6696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [6700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(484),
  [6703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 2),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [6711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3063),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [6728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 20),
  [6732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [6736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4083),
  [6739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4170),
  [6742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9238),
  [6745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8410),
  [6748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9240),
  [6751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [6754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9247),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [6771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1327),
  [6774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [6776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [6778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3163),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [6785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3, 0, 0),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3231),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [6837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4, 0, 0),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 120),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [6857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(464),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 171),
  [6868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5, 0, 0),
  [6872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2, 0, 0),
  [6876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3231),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [6885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [6893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, 0, 64),
  [6895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, 0, 64),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [6901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5, 0, 0),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [6907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4, 0, 0),
  [6911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2, 0, 0),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [6921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6, 0, 0),
  [6925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8640),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [6930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, 0, 34), SHIFT(506),
  [6933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6809),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [6987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [6991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [6995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [7001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [7035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [7043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [7051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [7055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [7107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6820),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 0),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [7127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [7129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [7131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4, 0, 0),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4, 0, 0),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [7147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4310),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [7175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual, 1, 0, 0),
  [7177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual, 1, 0, 0),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [7215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8670),
  [7218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(506),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [7227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(518),
  [7230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [7242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [7244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [7252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(462),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [7265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [7273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [7279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [7283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [7289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3648),
  [7298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7857),
  [7301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8415),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [7306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym__type_specifier, 1, 0, 1),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [7317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [7321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8656),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [7334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [7338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [7340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [7348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [7350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [7356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [7360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [7362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [7364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [7366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [7368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [7376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [7406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [7424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [7452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [7478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [7480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(463),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9444),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3939),
  [7524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7833),
  [7527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8416),
  [7530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [7532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, 0, 129),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [7552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [7560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [7572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [7576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [7582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [7590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [7592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, 0, 74), SHIFT(484),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [7605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [7609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7372),
  [7617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4054),
  [7620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7656),
  [7623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8428),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [7632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6364),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [7638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, 0, 23),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [7654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6751),
  [7656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7010),
  [7659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6218),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [7664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1320),
  [7667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [7669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [7673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4235),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [7678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4270),
  [7680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7335),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7353),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [7690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0),
  [7694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4083),
  [7697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4170),
  [7700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9238),
  [7703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8410),
  [7706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9240),
  [7709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [7712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9247),
  [7715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5007),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [7720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(9416),
  [7723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8732),
  [7726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [7740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [7742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [7744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6673),
  [7747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6225),
  [7750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [7760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9563),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [7784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [7787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [7790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [7793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8774),
  [7796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [7799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [7802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [7805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1, 0, 0),
  [7812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1, 0, 0), REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(446),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4424),
  [7824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4286),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [7829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, 0, 107),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6742),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [7847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(8410),
  [7850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(7531),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [7857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6219),
  [7860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4359),
  [7863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4394),
  [7866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [7878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [7880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6250),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [7891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(482),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [7898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [7900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4432),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6262),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9195),
  [7915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(444),
  [7918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6212),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [7931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6261),
  [7934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4702),
  [7941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4703),
  [7944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9207),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [7962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [7984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [8004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [8006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [8014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9508),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [8022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, 0, 35), SHIFT(486),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [8029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [8033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [8035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [8041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [8043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [8047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [8049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [8053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6006),
  [8057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6004),
  [8059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [8067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [8077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [8081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [8083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [8087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [8089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5633),
  [8099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [8103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [8107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [8109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [8115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, 0, 23), SHIFT(6244),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [8122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [8126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [8148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [8152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 56),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [8192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [8194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [8196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [8198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 139),
  [8202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [8208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [8210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [8212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4985),
  [8215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(4983),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [8234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [8240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6466),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6606),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [8328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [8334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [8344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6612),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7066),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6570),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [8400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 20),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [8406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 2),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [8412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [8420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [8424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6602),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [8484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6645),
  [8486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1, 0, 0),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [8492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [8495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4299),
  [8498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [8501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [8504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9729),
  [8507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(4225),
  [8510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(9667),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [8523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [8543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [8567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [8571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1, 0, 0),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [8613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [8645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5022),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [8662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6209),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [8670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7179),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [8686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6709),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [8696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4, 0, 0),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [8712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 112),
  [8714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, 0, 181),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [8726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 81),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7538),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [8736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6695),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [8742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [8752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6363),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [8760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137), SHIFT(1557),
  [8763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 137),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [8767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [8803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, 0, 174),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [8823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT(1557),
  [8826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [8832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [8836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, 0, 192),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [8848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [8888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [8890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 20),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [8914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 1, 198),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [8922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [8926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 2),
  [8928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0),
  [8930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, 0, 158),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [8954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [8958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 185),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [8970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 147),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [8974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 1, 148),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [8984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 1, 0),
  [8986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 183),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 1, 182),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [9004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, 0, 82),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, 0, 199),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [9034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5367),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [9063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, 0, 54),
  [9065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, 0, 184),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [9123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [9126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [9137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [9171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, 0, 54),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [9215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [9217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, 0, 23),
  [9219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7010),
  [9222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6218),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [9231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [9233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2, 0, 0),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [9241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [9243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9785),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [9258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(9416),
  [9261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8732),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [9268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6673),
  [9271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6225),
  [9274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5677),
  [9277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5677),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [9284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(8410),
  [9287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(7531),
  [9290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6219),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [9299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9416),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [9306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1, 0, 0),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [9310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, 0, 23),
  [9314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6212),
  [9317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6250),
  [9320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7010),
  [9323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6218),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [9328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(9416),
  [9331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8732),
  [9334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6673),
  [9337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6225),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [9346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6877),
  [9350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [9354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9526),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6992),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6982),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [9384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [9388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [9390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6261),
  [9393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [9397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [9399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [9401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [9403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5938),
  [9405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [9407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [9411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9420),
  [9413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [9415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [9419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [9423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [9425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [9427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [9429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [9431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [9433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9447),
  [9435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [9437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4357),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [9455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9564),
  [9457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [9459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [9461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [9463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [9465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [9467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [9469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [9473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [9475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [9477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [9479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [9481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6042),
  [9483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [9487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9489),
  [9489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [9491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [9502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [9506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [9508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5979),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [9514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [9520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [9522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [9528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3239),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [9542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(7531),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [9547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(8410),
  [9550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6219),
  [9553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6250),
  [9556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5602),
  [9559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, 0, 23), SHIFT(6244),
  [9562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(5602),
  [9565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(1319),
  [9568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6212),
  [9571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [9573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [9575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [9579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [9581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [9589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6141),
  [9592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6141),
  [9595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6143),
  [9598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [9600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [9602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [9604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [9618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [9620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6261),
  [9623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, 0, 23),
  [9627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7010),
  [9630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6218),
  [9633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(6087),
  [9636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(6088),
  [9639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(6086),
  [9642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 2), SHIFT(2559),
  [9645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 18), SHIFT(2559),
  [9648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8410),
  [9651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 20), SHIFT(6103),
  [9654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 36), SHIFT(6095),
  [9657] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(2559),
  [9661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 20),
  [9665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 36), SHIFT(2559),
  [9668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 2),
  [9672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 20), SHIFT(2559),
  [9675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(9416),
  [9678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8732),
  [9681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6673),
  [9684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6225),
  [9687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, 0, 23), SHIFT(6244),
  [9690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, 0, 0), SHIFT(6075),
  [9693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(8410),
  [9696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6219),
  [9699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(7531),
  [9702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 20),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [9728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7840),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [9736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7926),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [9746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6250),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [9753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4879),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7768),
  [9765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 2),
  [9769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6212),
  [9772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [9778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [9780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [9782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6261),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [9807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6363),
  [9810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6363),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5124),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [9843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6937),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7898),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [9871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6596),
  [9873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [9877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4090),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6562),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7832),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [9889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [9891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, 0, 23), SHIFT(6244),
  [9894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7156),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1, 0, 0),
  [9900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [9902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6543),
  [9904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2, 0, 0),
  [9908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [9910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [9912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7253),
  [9916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [9920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4922),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6778),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6733),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [9946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [9948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [9950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [9954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [9956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4233),
  [9960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6579),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7362),
  [9964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [9970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [9974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6995),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6317),
  [9978] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8466),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [9990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6419),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6474),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6444),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6435),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [10038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [10040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1, 0, 0),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [10050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [10054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 4),
  [10058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [10062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [10064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6283),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8455),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [10074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [10088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [10094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8382),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [10098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [10122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [10128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [10132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [10136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 54),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [10160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [10164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 7),
  [10168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [10180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [10230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [10254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [10260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [10262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [10270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [10272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [10274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [10282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [10290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [10302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8148),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [10316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8342),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [10342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [10344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6458),
  [10350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [10356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [10358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [10360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [10362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6432),
  [10364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [10366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, 0, 23),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [10372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4, 0, 0),
  [10374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4, 0, 0),
  [10378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6673),
  [10381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6225),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6219),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [10393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, 0, 23),
  [10397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6673),
  [10400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6225),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [10405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0),
  [10409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(6673),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3, 0, 0),
  [10432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6776),
  [10434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [10438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1, 0, 0),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [10442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1, 0, 0),
  [10444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3, 0, 0),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [10454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [10460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [10466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6219),
  [10469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7797),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7945),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [10483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5, 0, 0),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [10491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8732),
  [10494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(7010),
  [10497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6218),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, 0, 33),
  [10504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 26),
  [10508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [10520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [10532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6657),
  [10535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7781),
  [10538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(8431),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [10553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1, 0, 0),
  [10557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [10563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 172),
  [10565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [10567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 117),
  [10569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 26),
  [10577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [10583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 24),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [10593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, 0, 23),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [10601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 122),
  [10603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2, 0, 0),
  [10607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [10609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 170),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [10623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [10627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [10645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6250),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [10650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9131),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7630),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5589),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 5),
  [10673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(7010),
  [10676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6218),
  [10679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2, 0, 0), SHIFT_REPEAT(7010),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [10686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [10706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 80),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [10718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(9238),
  [10723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0),
  [10725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(9247),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [10732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 5),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [10742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 4, 1, 84),
  [10744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 130),
  [10746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 41),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 62),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 5),
  [10754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 39),
  [10756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(8429),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [10763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7606),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [10775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6212),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [10782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 5),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7184),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7138),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7190),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 84),
  [10822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7176),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7182),
  [10860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7193),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7163),
  [10864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, 1, 0),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 168),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7128),
  [10884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 84),
  [10886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 41),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6212),
  [10897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7142),
  [10899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6250),
  [10902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 168),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7136),
  [10908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6261),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7187),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [10919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [10921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 41),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [10925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 5),
  [10927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7137),
  [10933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2, 0, 0),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [10939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, 1, 0),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6392),
  [10949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8956),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [10953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, 0, 23), SHIFT(6244),
  [10956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 1, 24),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [10976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 117),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [10994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 26),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [11002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [11004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, -1, 0),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [11012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [11014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [11016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [11020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [11022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, -1, 0),
  [11024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [11026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 26),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [11040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [11042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 170),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [11062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [11064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [11078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [11080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6261),
  [11083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [11085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [11087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 100),
  [11089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [11091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7398),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [11097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [11099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [11101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 26),
  [11105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [11107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 117),
  [11109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [11111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7366),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [11115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [11119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [11121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [11125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [11127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [11129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [11131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [11133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [11135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [11139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [11141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [11143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, 0, 78),
  [11145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7344),
  [11149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 26),
  [11153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [11159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, 0, 23), SHIFT(6244),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [11164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7349),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [11170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, 1, 24),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7373),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7391),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7371),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [11188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 170),
  [11190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 2, 0, 10),
  [11192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7968),
  [11195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6453),
  [11198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8900),
  [11201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8407),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1, 0, 0),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 66),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [11250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 26),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [11270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [11278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7782),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [11290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9363),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [11294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8688),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [11300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [11306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8708),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [11312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [11316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7657),
  [11324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [11328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [11332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [11334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [11336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [11340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8668),
  [11344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7699),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5626),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [11350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8763),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3, 0, 0),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6685),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [11374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7682),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [11382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [11386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8160),
  [11388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8175),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [11392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [11402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4268),
  [11406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8613),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [11414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7935),
  [11416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7862),
  [11418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8560),
  [11422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [11424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [11426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7741),
  [11428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8359),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 5),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [11440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, 0, 78),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [11448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(7422),
  [11451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 78),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [11463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 10),
  [11465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 78),
  [11467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7968),
  [11470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2, 0, 0),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [11492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, 0, 58),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [11498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [11504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 15),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [11512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, 0, 31),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [11520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 6),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [11532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 2, 0, 10),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [11550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 10),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [11560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8185),
  [11562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [11564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(1765),
  [11567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [11569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(8972),
  [11572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4, 0, 0),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [11580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [11588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [11592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1, 0, 0),
  [11594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [11598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6, 0, 0),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [11612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5, 0, 0),
  [11616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2, 0, 0), SHIFT_REPEAT(7546),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 127),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, 0, 128),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [11641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [11643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, 0, 10),
  [11647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 10),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [11653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [11667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [11669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, 0, 79),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [11675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [11681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [11683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [11687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [11689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [11691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, 0, 78),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [11701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [11703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [11705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [11707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, 0, 175),
  [11709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [11713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [11715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, 0, 78),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [11725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [11727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [11733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [11753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [11765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [11767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(7666),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [11778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, 0, 191),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1, 0, 0),
  [11790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [11806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 6),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [11824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1, 0, 0),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [11836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8603),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [11844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [11850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [11856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, 0, 157),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8753),
  [11866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [11882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8666),
  [11884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8468),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [11890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(7413),
  [11893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 200),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [11901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 208),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [11909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [11913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [11915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [11917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [11919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7801),
  [11921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [11925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7644),
  [11939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, 0, 19),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [11953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212), SHIFT_REPEAT(6821),
  [11956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 212),
  [11958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [11962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [11964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [11980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [11984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [11988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [11990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [11998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [12010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [12014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [12020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9037),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [12030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9313),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [12034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [12038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7686),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6588),
  [12042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [12046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [12048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [12050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180), SHIFT_REPEAT(6715),
  [12053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 180),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6468),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9332),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7866),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [12073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [12075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [12079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [12091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115), SHIFT_REPEAT(6534),
  [12094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 115),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [12100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 201),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [12112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [12120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9010),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4463),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [12130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [12138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6991),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [12154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5, 0, 0),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [12164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 91),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [12174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7761),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [12180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 188),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [12194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [12196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7798),
  [12199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7798),
  [12202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [12204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1, 0, 0),
  [12206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [12208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7801),
  [12211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, 0, 34),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [12233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 87),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [12237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [12241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [12251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [12253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [12255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [12265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3, 0, 0),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [12269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1, 0, 0),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [12277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [12279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [12283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9209),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7858),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [12297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5449),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [12305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [12311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [12315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [12319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7853),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [12325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9040),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [12331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 153),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [12341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 188),
  [12343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2, 0, 0),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [12347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2, 0, 0),
  [12349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2, 0, 0),
  [12351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [12353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4521),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [12357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [12367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4, 0, 0),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7913),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [12385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3988),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [12389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7678),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [12395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [12399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [12403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [12407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [12411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [12419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [12423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7850),
  [12425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [12429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [12431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 153),
  [12433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200), SHIFT_REPEAT(7409),
  [12436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 200),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [12450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [12454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6, 0, 0),
  [12456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [12478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7861),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [12482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0),
  [12484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 153),
  [12486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, 0, 66),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [12500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7713),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [12532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [12544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(6527),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [12565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [12595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4, 0, 0),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [12621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7910),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [12629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3, 0, 0),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, 0, 68),
  [12643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, 0, 143),
  [12645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [12648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 0, 0),
  [12650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2, 0, 0),
  [12652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [12678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7854),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [12684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2, 0, 0),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [12692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7763),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [12706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 195),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [12710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [12712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 5),
  [12714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7648),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [12724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7652),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [12732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [12767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [12770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2, 0, 0),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [12778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [12826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [12829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2, 0, 0),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [12835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8687),
  [12838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [12842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2, 0, 0),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [12846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [12851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3, 0, 0),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [12907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2098),
  [12910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [12922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [12936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(9008),
  [12939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2, 0, 0),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [12945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 3, 0),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [12951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(1907),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 95),
  [12974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 216),
  [12976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 216),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [12984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215), SHIFT_REPEAT(9328),
  [12987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 215),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2, 0, 0),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [12995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 0),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [12999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [13025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 213),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [13029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, 0, 100),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [13037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7078),
  [13040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 201),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [13052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 207),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [13058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4607),
  [13061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [13085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 209),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [13105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4684),
  [13108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2, 0, 0),
  [13110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1432),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [13115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 194),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 153),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [13153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 207),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [13165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, 0, 59),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [13189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115), SHIFT_REPEAT(5898),
  [13192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 115),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [13218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7, 0, 0),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [13226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6482),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [13241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(8653),
  [13244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [13260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5, 0, 0),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [13330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [13344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [13356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [13360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9626),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [13364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9654),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9782),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [13464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [13474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9494),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [13478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, 0, 28),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9342),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [13496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 100),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [13500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9617),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [13506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [13508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9362),
  [13510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6, 0, 0),
  [13512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [13514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [13516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [13518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 0),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [13522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9693),
  [13524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [13526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [13528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 166),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [13532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [13534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9254),
  [13536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 209),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [13540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [13544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [13548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [13550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8999),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [13556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9142),
  [13564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, 0, 57),
  [13566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9123),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [13572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, 0, 156),
  [13574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, 2, 0),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8968),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [13584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [13590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [13596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 91),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [13600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [13602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 6),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [13606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [13614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9364),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [13618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [13622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8831),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [13642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9677),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [13664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [13666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [13670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [13672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [13678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 78),
  [13680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [13692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [13694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [13698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [13704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [13706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [13708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [13718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [13722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [13724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [13726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [13728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [13730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [13732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [13734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [13736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [13738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [13740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [13742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [13744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [13746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [13748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [13750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [13752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [13754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [13756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [13758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [13762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [13766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [13768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [13772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [13774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [13776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [13778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [13786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [13788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 3, 0, 79),
  [13796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [13798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [14020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3, 0, 0),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [14076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 79),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [14128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1, 0, 0), SHIFT(9137),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [14157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, 0, 54),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [14163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4, 0, 0),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [14189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [14399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 79),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [14403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [14459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 3, 0, 79),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [14485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, 0, 127),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [14537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 175),
  [14539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, 0, 175),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [14543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, 0, 175),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [14547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list, 4, 0, 128),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8804),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [14557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2, 0, 0),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [14579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [14599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, 0, 175),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [14619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [14621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [14623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [14625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [14661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [14705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, 0, 127),
  [14707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, 0, 127),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [14729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [14755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [14761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [14763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [14769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [14771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [14795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [14797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 175),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [14807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [14811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [14813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [14815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [14819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [14821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [14827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [14829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [14845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [14861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_enumerator_list_no_comma, 4, 0, 128),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [14921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 127),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [14927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 128),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [15005] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [15021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 128),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [15027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 79),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [15061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [15063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [15087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, 0, 128),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [15123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 127),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [15183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [15225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, 0, 10),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
